Library Information

This topic describes the basic information about the unified gateway document package, including the reader information and revision record.

·Documentation Guide

·This topic describes the composition and contents of the unified gateway documents and how to obtain the documents.

·Conventions

·This topic describes the conventions in the document.

·Open-Source Software Usage Statement

·The X1900 uses open-source software. For details about the software list, see the body.

·Safety Notices

·This topic describes the product-related safety notices, including notices for secure operations, personal data, feature usage, passwords, protocols, encryption algorithms, and sensitive words.


Documentation Guide

This topic describes the composition and contents of the unified gateway documents and how to obtain the documents.

Composition

Figure 1 shows the composition of the unified gateway documents.

Figure 1 Composition of the unified gateway documents

Contents

Table 1 describes the contents of the unified gateway documents.

Table 1 Contents of the unified gateway documents

Type | Document | Content | Intended Audience
 |  |  | Technical Support Personnel | Enterprise User
Release documents | Release Notes | Describes the general information about an unified gateway version, including its version mapping, compatibility, feature updates, and known issues. This document is used during unified gateway deployment or upgrade. | √ | -
 | Version Mapping | Provides the general information about an unified gateway version and its version mapping. This document is used during unified gateway deployment or upgrade. | √ | -
 | License Application Instructions | Describes how to apply for a license for an unified gateway from official website. This document is used during unified gateway deployment or upgrade. | √ | -
 | Acceptance Test Guide | Describes how to accept all service functions after the unified gateway system installation and commissioning. This document is used during unified gateway deployment or upgrade. | √ | -
General information | Product Description | Describes the highlights, positioning, architecture, features, operation and maintenance methods, and network applications of an unified gateway. | √ | √
Plan and design | Plan and Design | Describes the planning and preparations before the unified gateway installation and configuration. This document is used before unified gateway deployment. | √ | -
Installation | Quick Start | Describes how to install an unified gateway on the shelf, connect cables, and power on the unified gateway. This document is used during unified gateway deployment. | √ | -
Configuration | Configuration Guide | Describes how to configure an unified gateway and also how to configure its typical networks according to the configuration examples for typical scenarios. | √ | -
 | Configuration Examples | Describes the configuration processes for actual office deployments. | √ | -
Operation and maintenance | Administrator Guide | Describes how the enterprise administrator performs routine operations and maintenance on an unified gateway. | √ | √
 | Voice Service Guide | Describes how to configure and use the voice services. | √ | √
 | Security Management | Describes the purpose and methods of security maintenance for an unified gateway. | √ | √
 | User Guide | Describes how enterprise users activate and use voice services provided by an unified gateway. | √ | √
Troubleshooting | Alarm Handling | Describes how to handle alarms generated on an unified gateway. NOTE: When an alarm is generated, you can learn about the alarm handling methods according to the help information provided by related tools. | √ | √
 | Emergency Maintenance | Describes how to restore voice services using related tools or simple commands when a large number of users cannot normally use the voice services due to an emergency fault. | √ | √
 | Troubleshooting Basics | Describes how to troubleshoot simple faults and how to collect fault information. | √ | √
 | Troubleshooting Cases | Describes how to troubleshoot complex faults from aspects of fault location and rectification. | √ | -
Reference | CDR Reference | Describes CDR-related information, including its generation principle, format, operation, and troubleshooting. | √ | -
 | Parameter Reference | Describes unified gateway parameters and their functions. | √ | -
 | Log Reference | Describes the classification and format of the logs and how to obtain the logs for fault location. | √ | -
 | Command Reference | Describes command-related information including the command functions, syntax, parameters, and usage precautions. | √ | -
 | Communication Matrix | Describes the ports (including the port usage), protocols, IP addresses, and authentication modes used for network communication of the unified gateway. | √ | √
Glossary | Glossary | Describes the glossary used in the unified gateway documents. | √ | √

Parent Topic: Library Information


Conventions

This topic describes the conventions in the document.

Symbol Conventions

The following symbols may be found in this document. They are defined as follows.

Symbol | Description
 | Indicates a hazard with a high level of risk which, if not avoided, will result in death or serious injury.
 | Indicates a hazard with a medium or low level of risk which, if not avoided, could result in minor or moderate injury.
 | Indicates a potentially hazardous situation that, if not avoided, could cause device damage, data loss, and performance degradation, or unexpected results.
 | Indicates a tip that may help you solve a problem or save your time.
 | Provides additional information to emphasize or supplement important points of the main text.

General Conventions

Convention | Description
Times New Roman | Normal paragraphs are in Times New Roman.
Boldface | Names of files, directories, folders, and users are in boldface. For example, log in as user root.
Italic | Book titles are in italics.
Courier New | Terminal display is in Courier New.

Command Conventions

Convention | Description
Boldface | The keywords of a command line are in boldface.
Italic | Command arguments are in italic.
[ ] | Items (keywords or arguments) in square brackets [ ] are optional.
{ x | y | ... } | Alternative items are grouped in braces and separated by vertical bars. One is selected.
[ x | y | ... ] | Optional alternative items are grouped in square brackets and separated by vertical bars. One or none is selected.
{ x | y | ... } * | Alternative items are grouped in braces and separated by vertical bars. A minimum of one or a maximum of all can be selected.
[ x | y | ... ] * | Optional alternative items are grouped in square brackets and separated by vertical bars. Multiple items or none can be selected.

GUI Conventions

Convention | Description
Boldface | Buttons, menus, parameters, tabs, window, and dialog titles are in boldface. For example, click OK.
> | Multi-level menus are in boldface and separated by the ">" signs. For example, choose File > Create > Folder.

Keyboard Operation

Format | Description
Key | Press the key. For example, press Enter and press Tab.
Key 1+Key 2 | Press the keys concurrently. For example, pressing Ctrl+Alt+A means the three keys should be pressed concurrently.
Key 1, Key 2 | Press the keys in turn. For example, pressing Alt, A means the two keys should be pressed in turn.

Mouse Operation

Action | Description
Click | Select and release the primary mouse button without moving the pointer.
Double-click | Press the primary mouse button twice continuously and quickly without moving the pointer.
Drag | Press and hold the primary mouse button and move the pointer to a certain position.

Parent Topic: Library Information


Open-Source Software Usage Statement

X1900 software uses a small amount of open-source software.

Parent Topic: Library Information


Safety Notices

This topic describes the product-related safety notices, including notices for secure operations, personal data, feature usage, passwords, protocols, encryption algorithms, and sensitive words.

·Secure Operations

·Personal Data

·Notices About Feature Usage

·Passwords

·Protocols

·Encryption Algorithms

·Interfaces/Commands

·Notices About Sensitive Words

·Software Verification

Secure Operations

Before performing maintenance operations, engineers must comply with the following requirements:

·All maintenance operations must be authorized by the customer. Do not perform any operations beyond the customer's authorization.

·The customer's authorization must be obtained before taking troubleshooting data out of the customer's network. Personal information in such data must be rendered anonymous to ensure that the device provider cannot restore personal information in any ways.

Personal Data

During service operation or troubleshooting, the product, service, or feature you purchased may obtain or use certain personal data of users. Therefore, you are obliged to formulate necessary user privacy policies in accordance with local laws and regulations and take sufficient measures to protect personal data.

Notices About Feature Usage

You are advised to enable the following functions only within the purpose and scope allowed by applicable laws and regulations. When using or storing personal data or communication contents of users, you must take adequate measures to ensure that such information is strictly protected.

·Audio recording, recording, video recording, file download, or play

Using these functions involves personal data of users. It is recommended that you comply with local laws and regulations when using these functions and take sufficient measures to protect personal data. OpenVox alone cannot collect or store users' communication contents. Whether to enable audio recording, recording, or video recording function is solely determined by users themselves. Before recording a call, the system will clearly remind users that "The call will be recorded".

§Agent call recording: Each call between an agent and a customer is recorded by the media engine on the agent's local PC to facilitate call query for the agent. Recording files are stored on the agent's local PC or a console server. The storage mode and time are determined by the agent.

§P2P call recording: Calls between users are recorded by a recording server to facilitate query and auditing. Recording files are stored on the recording server. The storage time is determined by an enterprise administrator. Before recording a call, the system will clearly remind users that "The call will be recorded".

§Voice conference recording: Conversations in voice conferences are recorded by a recording server to facilitate conference management, query, and auditing. Recording files are stored on the recording server. The storage time is determined by an enterprise administrator. Before recording a call, the system will clearly remind users that "The call will be recorded".

§Channel tone recording: System announcements of the X1900 gateway can be recorded on phones. These announcements are played to users when they perform operations. Voice files are stored on the X1900 unified gateway.

§Audio and video recording file download or play: Audio and video recording files can be downloaded to and played on local terminals.

·User information storage or usage

To provide call services for users, the system needs to configure and store user information such as user numbers, authentication accounts, and passwords. It is recommended that you comply with local laws and regulations and obtain the customer's authorization when using the information and take sufficient measures to protect personal data.

·SMS, fax, or voicemail

The system provides SMS, fax, and voice mail functions. Using these functions involves personal data of users. It is recommended that you take sufficient measures to protect personal data.

·CDR

When users make calls or hold conferences, the system generates CDRs, including the calling number, called number, and call duration. It is recommended that you comply with local laws and regulations and obtain the customer's authorization when using CDRs and take sufficient measures to protect personal data.

·Data backup

To prevent system faults or user data errors caused by data misoperation, the product promotes enterprises to back up different data periodically. Backup data may involve user information, such as user numbers and contact information. Backup data is used only for data restoration. Do not store backup data in an unauthorized manner or use it for other purposes. Expired backup data must be deleted in a timely manner.

·Log

Logs are used to locate faults. When exporting logs from the customer's network, ensure that no personal data is collected. It is recommended that you comply with local laws and regulations when using this function and take sufficient measures to protect personal data. For example, you should delete log files copied to the local PC immediately when faults are rectified.

·Message, data, or signaling tracing

This function is used to commission services and locate faults. Using this function involves personal data, such as user numbers. This function provides anonymity processing for personal data. Traced messages are used only for locating faults. Delete related information immediately when faults are located.

·Fault information collection

To find fault causes, the system may collect necessary service data, which may contain user information, such as user numbers. User information in collected logs is rendered anonymous. Comply with local laws and regulations when using the fault information collected. Do not take such information out of the enterprise network. Such information shall be deleted immediately when fault causes are found.

Passwords

The product contains many default passwords. After logging in to a server or an application using a default password, change the password immediately.

To ensure security, passwords must meet complexity requirements. It is highly recommended that enterprises set complex passwords.

Configure passwords in ciphertext mode if possible. To ensure device security, do no disable the password complexity check function, and change passwords periodically.

For a list of default passwords, see the tab of accounts and passwords in Integration Design. For the password change method, see the Security Maintenance.

Protocols

·TFTP/FTP/FTPS/SFTPv1/SFTPv2

Used to transfer files. TFTP/FTP/SFTPv1 has security risks. You are advised to use SFTP/FTPS/SFTPv2 for file operations.

If you must use TFTP/FTP/SFTPv1, pay attention to data security during the use and disable the protocol immediately when it is no longer used.

·Telnet/STelnetv1/STelnetv2/SSHv1/SSHv2

Used to log in to the device. Telnet/STelnetv1/SSHv1 has security risks. You are advised to use STelnetv2/SSHv2 for login.

If you must use Telnet/STelnetv1/SSHv1, pay attention to data security during the use and disable the protocol immediately when it is no longer used.

·HTTP/HTTPS

Used to access web applications. HTTP has security risks. In an untrusted network, you are advised to HTTPS for application access.

·SNMPv1/SNMPv2c/SNMPv3

Used to manage the device. SNMPv1/SNMPv2c has security risks. You are advised to use SNMPv3 for device management.

·SIP TLS/SRTP

SIP TLS, an industry-standard signaling encryption protocol, and SRTP, a media encryption protocol, are used to encrypt TCP/UDP-borne data, ensuring data communication security. You are advised to enable SIP TLS or SRTP in an insecure network. You are advised to use TLS1.0 or later versions.

·LDAP

Used by IP phones to obtain the address book from an LDAP server. LDAP is an insecure protocol. Unless necessary, do not use LDAP. Pay attention to data security during the use.

·SMTPS

Protocol used by a mail server. SMTPS is an insecure protocol. Unless necessary, do not use SMTPS. Pay attention to data security during the use.

·NFS

NFS server protocol. You are advised to use NFS4.0 or later versions.

Encryption Algorithms

The solution uses industry-standard encryption algorithms. Determine the algorithm based on the scenario. Use encryption algorithms with high strength preferentially.

When SSH is used for unified gateway login or when the unified gateway functions as the client of the SIP trunk, Diffie-Hellman (DH) of 2048 bits or above is used by default. For compatibility with different types of CLI clients, parameter 520 of the unified gateway can be set to support less-than-2048–bit DH. To avoid security risks, DH of 2048 bits or above is recommended.

To ensure algorithm compatibility, the RSA_3DES_EDE_CBC_SHA algorithm as well as the high-level RSA_AES_256_CBC_SHA256 algorithm are supported for SSL/TLS used in interaction between a browser and the unified gateway. You are advised to use the high-level encryption algorithm to avoid security risks.

Interfaces/Commands

The product documentation describes the commands that you will use when you use OpenVox devices or deploy/maintain networks. Commands and interfaces used for production, assembly, returned repair are not described in the documentation.

Misuse of some advanced commands used only for engineering implementation and troubleshooting and upgrade commands may result in device faults or service interruption. It is recommended that these commands be used by engineers with higher rights.

Notices About Sensitive Words

This section describes the scenarios where sensitive words are used in the product.

·Database listening: a service provided by a database server to listen on access requests from clients. If the listening status of a database is abnormal, clients cannot access the database properly.

·Tracing: Signaling tracing provides a function for tracing narrowband signaling and parsing messages so that users can quickly locate faults. Message tracing provides a function for tracing service signaling so that users can learn service transfer and communication information from traced services. Neither signaling tracing nor message tracing involve personal data or privacy of users or customers. After the tracing function is used, disable it in a timely manner.

·Call record: used by agents or administrators to query calls, and by IP phone users to query their own calls. Call records can be provided to a CDR server or third-party server in CDR format for charging or enterprise call traffic statistics collection.

·Equipment serial number (ESN): a string that uniquely identifies a device. The ESN is used to apply for licenses and ensures that a license is grant to the specified device.

·Media Access Control (MAC) address: a hardware address that uniquely identifies a network adapter. The MAC address is used to bind network adapters and apply for licenses.

·IP address: a unique address of each device/host for network communication. IP addresses are the basis for network operation.

·Uniform resource locator (URL): path for accessing websites or files in web mode. The URL is often used to configure such path information.

·Topology: refers to a network topology diagram and its management. The network topology diagram shows the physical layout of the device and presents logical or physical connections with other devices in a virtual manner.

·Serial port: used to log in to the device for modifying the default IP address.

·Management network port: used to manage the device. For example, you can use the management network port on a board of the X1900 unified gateway to manage the gateway, and use the management network port of the RH2285 V2 and RH2288 V3 to view hardware status or install the operating system.

·Plaintext password: password in plaintext. The system uses a password encryption tool to convert plaintext into ciphertext and then writes ciphertext to the configuration file.

·Internal user: a phone user inside an enterprise or an intra-office phone user.

·Play: used in scenarios where voice files, recording files, and alarm tones are played.

·User name: displayed on the called party's terminal.

Software Verification

When installing software, upgrading the system, or installing patches, use the software digit signature verification tool (OpenPGP) to verify the software integrity.

Parent Topic: Library Information


Product Description

This topic describes the service features, functions, and hardware structure of the unified gateway.

·Introduction

·This topic describes the positioning and features of the X1900 series unified gateways.

·Application Scenario

·The unified gateway is applicable to the following application scenarios.

·X1911/X1960/X1981 Product Architecture

·This topic describes the hardware structure of the X1911/X1960/X1981.

·Functions and Features

·The unified gateway provides comprehensive voice services and supplementary services for users.

·Operation, Maintenance, and Management

·The unified gateway can be managed using the web management system . Operations such as conference management and service registration/deregistration can be performed using the web self-service system. Also, the unified gateway can be operated and maintained using commands.

·Technical Specifications

·This topic provides the key technical specifications of the unified gateway.


Introduction

This topic describes the positioning and features of the X1900 series unified gateways.

·Product Positioning

·The X1900 series unified gateways are switches used in OpenVox unified communications solutions. The X1900 series unified gateways provide professional voice over IP (VoIP) services that meet communication requirements of various enterprises.

·Highlights

·The unified gateway provides rich services and ports. It is easy to deploy and maintain.

Parent Topic: Product Description


Product Positioning

The X1900 series unified gateways are switches used in OpenVox unified communications solutions. The X1900 series unified gateways provide professional voice over IP (VoIP) services that meet communication requirements of various enterprises.

Table 1 shows the models and application scenarios of the X1900 series unified gateways (unified gateway for short).

Table 1 Models and application scenarios of the unified gateway

Model | Application Scenario
X1911 | Works as a voice PBX in SMEs or as a local access gateway in small and medium-sized branches, providing services for less than 100 users. (only 2 U high)
X1960 | Works as a voice PBX in midsize enterprises or as a local access gateway in midsize branches, providing services for 300–1000 users. (only 2 U high)
X1981 | Works as a voice PBX in large-sized enterprises or as a local access gateway in large-sized branches, providing services for 1000–20000 users. (only 2 U high)

The unified gateway uses a highly-integrated SIP softswitch as the core and supports both narrowband and broadband services, helping effectively improve communication efficiency and reducing operating expense (OPEX).

The unified gateway can connect to analog phones and IP phones at the same time:

·Directly access to local analog phones.

·Use IP bearer networks to connect to analog phones through IADs.

·Use IP bearer networks to connect to IP phones.

The unified gateway can connect to PSTN networks or dedicated network voice switches through digital, analog, and broadband SIP trunks.

Parent Topic: Introduction


Highlights

The unified gateway provides rich services and ports. It is easy to deploy and maintain.

Rich Services and Ports

·Provides high-quality, built-in voice conference resources and web conference management portal for easy use and management.

·Provides built-in voice mailboxes to implement the voicemail function and prevent call loss.

·Supports diverse supplementary services (including One Number Link You (ONLY), emergency call, secretary station, and call barring) to meet different service requirements.

·Supports PRA, QSIG, AT0, SIP trunks and integrates narrowband and broadband services.

High Reliability and Low Costs

·A telecom-grade software and hardware platform is used, and the built-in CentOS operating system is deployed.

·The X1960 and X1981 support power supply with 1+1 redundancy backup.

·The X1981 support active and standby control boards. Services that are interrupted due to network cable faults on the active control board can be restored on the standby control board within 6s; if services are interrupted due to other faults, 1s is required for service restoration. The ongoing voice calls are not affected during an active/standby switchover of the control boards.

·The unified gateway supports two-node cluster in active/standby mode. The ongoing voice calls are not affected during an active/standby switchover of the two-node.

·Reduces the enterprise operation and maintenance costs as the IP PBX.

·Can be expanded and upgraded to UC applications, protecting customers' investments.

Easy Deployment and Maintenance

·Supports various networking modes, including the single-node network and centralized call management network. Allowing for flexible deployment.

·Supports unified network management, meeting requirements for centralized operation and maintenance (O&M) and highly efficient management.

·Provides a built-in web management system for quick deployment and routine configuration.

·Provides a built-in web self-service system for conference scheduling and personal service management.

Parent Topic: Introduction


Application Scenario

The unified gateway is applicable to the following application scenarios.

·Single-Node Network

·A single-node network is suitable for an enterprise with no more than 20,000 users that does not have branches or has branches that do not require local regeneration. In such a network, the unified gateway and a variety of service servers are all deployed at the enterprise's equipment room, and all terminal users register with the unified gateway. If the enterprise has small-sized branches, IADs can be deployed at branches and function as proxies for user registration to the unified gateway, or IP phones can be deployed at branches and register with the unified gateway.

·Distributed Call Management Network (Peer-to-Peer Mode)

·A distributed call management network in peer-to-peer mode can be used for enterprises with 10,000-30,000 users. In such a network, two or three nodes each deploy a unified gateway, which provides call services for the corresponding node. Different nodes are connected using SIP trunks, through which inter-node calls are routed.

·Distributed Call Management Network (Convergent Mode)

·Enterprises with more than 30,000 users can use a distributed call management network where four or more unified gateways are convergent.

Parent Topic: Product Description


Single-Node Network

A single-node network is suitable for an enterprise with no more than 20,000 users that does not have branches or has branches that do not require local regeneration. In such a network, the unified gateway and a variety of service servers are all deployed at the enterprise's equipment room, and all terminal users register with the unified gateway. If the enterprise has small-sized branches, IADs can be deployed at branches and function as proxies for user registration to the unified gateway, or IP phones can be deployed at branches and register with the unified gateway.

Network Scheme

Figure 1 shows a typical single-node network scheme.

Figure 1 Single-node network

Networking Description

·Analog phones and fax machines connect to the unified gateway through analog phone cables. IP phones and SoftPhone connect to the unified gateway through IP network.

·The unified gateway connects to the PSTN through the trunk.

·The unified gateway provides voice mailbox and voice conference services for enterprise users.

The X1911/X1960/X1981 supports the built-in voice mailbox function.

·By default, the unified gateway functions as an IP PBX and can provide basic and supplementary voice services for enterprise users. The unified gateway can also as an access gateway and register with the IMS network through a SIP trunk, allowing enterprise users to use services provided by the IMS network.

It is recommended that you deploy firewalls at the network entry and exit as well as at the user access point of the enterprise, and make access control policies according to Communication Matrix.

Parent Topic: Application Scenario


Distributed Call Management Network (Peer-to-Peer Mode)

A distributed call management network in peer-to-peer mode can be used for enterprises with 10,000-30,000 users. In such a network, two or three nodes each deploy a unified gateway, which provides call services for the corresponding node. Different nodes are connected using SIP trunks, through which inter-node calls are routed.

Network Scheme

Figure 1 illustrates a typical distributed call management network in peer-to-peer mode. This network applies only to the X1911/X1960/X1981.

Figure 1 Distributed call management network (peer-to-peer mode)

Networking Description

·Each node has a unified gateway deployed. The unified gateway at a node is a voice gateway, which is responsible for user registration, intra-office users, and local PSTN calls at that node. Different nodes are connected using SIP trunks, through which inter-node calls are routed.

·IP phones, SoftConsole users (SIP users), UC soft terminal users (SIP users), and IADs (on behalf of analog phones and fax machines) at a node register with the unified gateway at the node.

·The unified gateways at different nodes can connect to the PSTN using trunks such as PRA, QSIG, and AT0 for local outgoing calls.

·All business servers are deployed at the headquarters, centrally handling business operations.

Parent Topic: Application Scenario


Distributed Call Management Network (Convergent Mode)

Enterprises with more than 30,000 users can use a distributed call management network where four or more unified gateways are convergent.

Network Scheme

Figure 1 illustrates a typical distributed call management network in convergent mode. This network applies only to the X1911/X1960/X1981.

Figure 1 Distributed call management network (convergent mode)

Networking Description

·Each node has a unified gateway deployed. The unified gateway at a node is a voice gateway, which is responsible for user registration, intra-office users, and local PSTN calls at that node.

·IP phones, SoftConsole users (SIP users), UC soft terminal users (SIP users), and IADs (on behalf of analog phones and fax machines) at a node register with the voice gateway at the node.

·The voice gateways at different nodes can connect to the PSTN using trunks such as PRA, QSIG, and AT0 for local outgoing calls.

·The convergence gateways route inter-node calls. Different convergence gateways are connected using SIP trunks, and each convergence gateway connects to different voice gateways also using SIP trunks. A convergence gateway can be X1981.

·Multiple convergence gateways can be deployed in active-standby or load balancing mode.

·All business servers are deployed at the headquarters, centrally handling business operations.

Parent Topic: Application Scenario


X1911/X1960/X1981 Product Architecture

This topic describes the hardware structure of the X1911/X1960/X1981.

·X1911 Shelf

·A shelf of the X1911 provides a space for placing and connecting X1911 internal components. It also protects the components from contamination and external damage.

·X1960 Shelf

·A shelf of the X1960 provides a space for placing and connecting X1960 internal components. It also protects the components from contamination and external damage.

·X1981 Shelf

·A shelf of the X1981 provides a space for placing and connecting X1981 internal components. It also protects the components from contamination and external damage.

·Board

·The X1911/X1960/X1981 has main control boards (SCU), MTU boards, ASI boards and OSU boards.

·Power Supply

·The X1911/X1960/X1981 supports AC or DC power supply. For X1960/X1981, when two power modules are configured, current equalization and power backup are supported.

·Fan Tray Assembly

·The fan tray assembly ensures heat dissipation for the X1911/X1960/X1981.

·Cables

·The X1911/X1960/X1981 uses digital trunk cables, high-density user cables, and DC power cables.

Parent Topic: Product Description


X1911 Shelf

A shelf of the X1911 provides a space for placing and connecting X1911 internal components. It also protects the components from contamination and external damage.

Appearance

The X1911 adopts the standard 1U (44.45 mm) shelf. The dimensions (H x W x D) of the shelf are 44 mm x 442 mm x 310 mm. The self can be installed in a 19-inch cabinet that meets the International Electrotechnical Commission (IEC) standard. Figure 1 shows the X1911 front panel.

Figure 1 Front panel

Slots

Slots are located on the front panel of the shelf. The X1911 provides one main control board slot, three interface board slots, one power supply sockets, and one fan tray assembly slot, as shown in Figure 2.

·Slots 0 to 2 are service board slots, which are used to install the MTU, ASI, OSU boards.

·Slot 3 is the main control board slot, which is used to install the SCU board.

Figure 2 Slot distribution

·The number of X1911 interface boards is determined by the system capacity. Filler panels must be inserted into blank slots.

·To ensure that basic services are functioning properly, at least one SCU board must be configured for the X1911.

·To install the shelf on the cabinet, use the screws for mounting ears instead of M4 ground screws. To install the chassis on the tray, use M4 ground screws to ground the shelf instead of the screws for mounting ears.

Parent Topic: X1911/X1960/X1981 Product Architecture


X1960 Shelf

A shelf of the X1960 provides a space for placing and connecting X1960 internal components. It also protects the components from contamination and external damage.

Appearance

The X1960 adopts the standard 2U (88.9 mm)shelf. The dimensions (H x W x D) of the shelf are 86.1 mm x 442 mm x 310 mm. The self can be installed in a 19-inch cabinet that meets the International Electrotechnical Commission (IEC) standard. Figure 1 shows the X1960 front panel.

Figure 1 Front panel

Slots

Slots are located on the front panel of the shelf. The X1960 provides one main control board slot, seven interface board slots, two power supply sockets, and one fan tray assembly slot, as shown in Figure 2.

·Slots 0 to 6 are service board slots, which are used to install the MTU, ASI, and OSU boards.

·Slot 7 is the main control board slot, which is used to install the SCU board.

Figure 2 Slot distribution

·The number of X1960 interface boards is determined by the system capacity. Filler panels must be inserted into blank slots.

·To ensure that basic services are functioning properly, at least one SCU board must be configured for the X1960.

Parent Topic: X1911/X1960/X1981 Product Architecture


X1981 Shelf

A shelf of the X1981 provides a space for placing and connecting X1981 internal components. It also protects the components from contamination and external damage.

Appearance

The X1981 adopts the standard 2U (88.9 mm) shelf. The dimensions (H x W x D) of the shelf are 86.1 mm x 442 mm x 310 mm. The self can be installed in a 19-inch cabinet that meets the International Electrotechnical Commission (IEC) standard. Figure 1 shows the X1981 front panel.

Figure 1 Front panel

Slots

Slots are located on the front panel of the shelf. The X1981 provides two main control board slot, six interface board slots, two power supply sockets, and one fan tray assembly slot, as shown in Figure 2.

·Slots 0 to 2 and 4 to 6 are service board slots, which are used to install the MTU, ASI, OSU boards.

·Slot 3 and 7 are the main control board slot, which is used to install the SCU board.(Support Dual Controllers)

Figure 2 Slot distribution

·When only one SCU board is installed, the system runs in single-node control mode. When two SCU boards are installed, the system runs in active/standby control mode and has a higher reliability.

·The number of X1981 interface boards is determined by the system capacity. Filler panels must be inserted into blank slots.

·To ensure that basic services are functioning properly, at least one SCU board must be configured for the X1981.

Parent Topic: X1911/X1960/X1981 Product Architecture


Board

The X1911/X1960/X1981 has main control boards (SCU), MTU boards, ASI boards, OSU boards.

·SCU

·SCU is the control board (a mandatory board) of the X1911/X1960/X1981. It is the management and control center of the X1911/X1960/X1981. It provides four network ports, one USB port, one Console port.

·MTU

·MTU is a media trunk resource board. It provides two E1/T1 ports (each of which supports two trunks) and two SD card slots (only one SD card slot available). Each X1911/X1960/1981 must configure one MTU board.

·ASI

·An Analog Subscriber Interface (ASI) board provides 32 Foreign Exchange Subscriber (FXS) ports.

·OSU

·An FXO/FXS Interface Unit (OSU) board provides 12 Foreign Exchange Subscriber (FXS) ports and 12 Foreign Exchange Office (FXO) ports.

Parent Topic: X1911/X1960/X1981 Product Architecture


SCU

SCU is the control board (a mandatory board) of the X1911/X1960/X1981. It is the management and control center of the X1911/X1960/X1981. It provides four network ports, one USB port, one Console port.

Main Functions

The SCU board provides the following functions:

·Provides the softswitch functions.

·Processes media control protocols.

·Supports hot swap.

Panel

Figure 1 shows the panel of the SCU board.

Figure 1 Panel of the SCU board

1 | Indicator | 2 | Reset button | 3 | Network port
4 | Console port | 5 | USB port | 6 | Wrench

Panel Components

Panel Component

Identifier

Description

Ports

100/1000BASE-TX

Service network port that connects the device to a LAN and functions as an IP service port. This port is a GE port (adaptive electrical port) and supports an RJ-45 connector. The maximum transmission distance is less than 100m.

NOTE:

Port 1, 2 and 3 can all be connected to the LAN. Port 4 is an emergency repair port and is not used for operational purposes.

CONSOLE

Debugging serial port for configuring and commissioning the device. This port is an RS-232 serial port and supports an RJ-45 connector. The maximum transmission distance is less than 10 m.

USB

Reserved for the service to extend interfaces when required (not used currently).

AUDIO

3.5 mm audio input port for connecting external audio sources. It is used for playing music on hold (MoH).

Indicators

ACT

Power indicator (green), which indicates the power status.

·On: The power supply is normal.

·Off: There is no power supply.

RUN

Running indicator (green), which indicates the running status of the board.

·Blinking (0.5 Hz): The board is running normally.

·Blinking (1 Hz): The board is being started.

·Steady on: The board is faulty.

·Off: No power is supplied or the board is faulty.

ALM

Alarm indicator (red), which indicates the alarm status of the board.

·Steady on: An alarm exists.

·Off: No alarm exists.

Button

RST

Press to restart the board.

NOTICE:

Do not press the RST button unless required. The board restarts when you press the RST button, which causes service interruption.

Parent Topic: Board


MTU

MTU is a media trunk resource board. It provides two E1/T1 ports (each of which supports two trunks). Each X1911/X1960/X1981 must be equipped with at least one MTU board.

Main Functions

The MTU board provides digital trunk access for connection to the upper-level office through digital trunks. It also provides digit collection, announcement playing, conference, TDM-to-VoIP conversion, T.30 to T.38 fax conversion.

Supports hot swap.

Panel

Figure 1 shows the panel of the MTU board.

Figure 1 Panel of the MTU board

1 | Indicator | 2 | Reset button | 3 | Console Port
4 | Digital trunk port | 5 | Signal indicator | 6 | Wrench

Panel Components

Panel Component

Identifier

Description

Ports

E1/T1

Digital trunk port for connecting to the upper-level office (for example, LE) through digital trunks. An E1/T1 port supports a DB9 connector.

The MTU board provides two E1/T1 ports, each of which supports two trunks.

·When functioning as an E1 port, it supports the PRA, SS7, R2, and QSIG signaling, and can be connected to a 75-ohm digital trunk cable directly or to a 120-ohm digital trunk cable through a 75-120-ohm transfer box.

·When functioning as a T1 port, it supports the PRA, QSIG, R2 and SS7 signaling, and can be connected to a 100-ohm digital trunk cable.

CONSOLE

The debugging serial port.

Indicators

ACT

Power indicator (green), which indicates the power status.

·On: The power supply is normal.

·Off: No power is supplied or the board is faulty.

RUN

Running indicator (green), which indicates the running status of the board.

·Blinking (0.5 Hz): The board is running normally.

·Blinking (1 Hz): The board is being started.

·Steady on: The board is faulty.

·Off: No power is supplied or the board is faulty.

ALM

Alarm indicator (red), which indicates the alarm status of the board.

·Steady on: An alarm exists.

·Off: No alarm exists.

Button

RST

Press to restart the board.

NOTICE:

Do not press the RST button unless required. The board restarts when you press the RST button, which causes service interruption.

Parent Topic: Board


ASI

An Analog Subscriber Interface (ASI) board provides 32 Foreign Exchange Subscriber (FXS) ports.

Main Functions

An ASI board connects the device to Plain Old Telephone Service (POTS) phones. Each board connects to up to 32 analog phones.

Supports hot swap.

Panel

Figure 1 shows the panel of the ASI board.

Figure 1 ASI panel

1 | Indicator | 2 | button | 3 | Console port
4 | FXS port | 5 | Wrench | - | -

Panel Components

Panel Component | Identifier | Description
Ports | FXS 1-32 | FXS ports for connecting the device to a maximum of 32 analog phones. The port supports a DB68B connector.
 | CONSOLE | The debugging serial port.
Indicators | PWR | Power indicator (green), which indicates the power status. ·Steady on: Power is supplied. ·Off: No power is supplied or the board is faulty.
 | RUN | Running indicator (green), which indicates the running status of the board. ·Blinking (0.5 Hz): The board is running normally and no conversation exits. ·Blinking (1 Hz): The board is being started. ·Steady on: The board is incorrectly installed or faulty. ·Off: No power is supplied or the board is faulty.
 | ALM | Alarm indicator (red), which indicates the alarm status of the board. ·Steady on: The communication is abnormal or the board is incorrectly installed or faulty. ·Off: The board is running normally.
Button | RST | Press to restart the board. NOTICE: Do not press the RST button unless required. The board restarts when you press the RST button, which causes service interruption.

Parent Topic: Board


OSU

An FXO/FXS Interface Unit (OSU) board provides 12 Foreign Exchange Subscriber (FXS) ports and 12 Foreign Exchange Office (FXO) ports.

Main Functions

An OSU board connects to a POTS telephone or an analog trunk.

Supports hot swap.

Panel

Figure 1 shows the panel of the OSU board.

Figure 1 OSU panel

1 | Indicator | 2 | Reset button | 3 | Console port
4 | FXO/FXS port | 5 | Wrench | - | -

Panel Components

Panel Component | Identifier | Description
Ports | FXS 1-12 | FXS ports for connecting the device to a maximum of 12 analog phones. The port supports a DB68B connector.
 | FXO 1-12 | FXO ports for connecting the device to a maximum of 12 analog trunks. The port supports a DB68B connector.
 | CONSOLE | The debugging serial port.
Indicators | PWR | Power indicator (green), which indicates the power status. ·Steady on: Power is supplied. ·Off: No power is supplied or the board is faulty.
 | RUN | Running indicator (green), which indicates the running status of the board. ·Blinking (0.5 Hz): The board is running normally and no conversation exits. ·Blinking (1 Hz): The board is being started. ·Steady on: The board is incorrectly installed or faulty. ·Off: No power is supplied or the board is faulty.
 | ALM | Alarm indicator (red), which indicates the alarm status of the board. ·Steady on: The communication is abnormal or the board is incorrectly installed or faulty. ·Off: The board is running normally.
Buttons | RST | Press to restart the board. NOTICE: Do not press the RST button unless required. The board restarts when you press the RST button, which causes service interruption.

Parent Topic: Board


Power Supply

The X1911/X1960/X1981 supports AC power supply. For X1960/X1981, when two power modules are configured, current equalization and power backup are supported.

Figure 1 shows an AC power supply module.

Figure 1 An AC power supply module

1

Power switch

2

AC power socket

3

RJ45 port

The X1911 supports only one power module.

The X1960 and X1981 can be equipped with two power modules. By default, only one power module is configured and is in slot 2 for the power supply. When two power modules are configured, the following functions are supported:

·Equalizing currents and backing up power supplies

When working normally, each power supply module shares the load with output current. When a power supply module stops working, the other power supply module continues to work.

·Supporting hot swapping

You can insert a power supply module directly into a vacant slot of the power distribution frame without powering off the X1911/X1960/X1981. When a backup power supply module is installed, you can remove a power supply module without affecting the running of the X1911/X1960/X1981.

Parent Topic: X1911/X1960/X1981 Product Architecture


Fan Tray Assembly

The fan tray assembly ensures heat dissipation for the X1911/X1960/X1981.

The fan tray assembly is vertically mounted on the left side of the device. The X1911 is equipped with four fans, and the X1960 and X1981 are equipped with three fans. The following figure shows the appearance of the fan tray assembly.

Figure 1 Appearance of the X1911 fan tray assembly

Figure 2 Appearance of the X1960/X1981 fan tray assembly

When the system is running, the fans draw out the hot air inside the equipment and expel the air to the left. At the same time, cool air comes in from the right side. The fan tray assembly ensures heat dissipation and improves equipment stability.

Parent Topic: X1911/X1960/X1981 Product Architecture


Cables

The X1911/X1960/X1981 uses digital trunk cables, high-density user cables, and AC power cables.

Digital Trunk Cable

The X1911/X1960/X1981 uses digital trunk cables to connect various inter-office trunk devices. Table 1 shows a digital trunk cable.

Table 1 Digital trunk cables

Name | Picture
E1 trunk cable | Figure 1 1E1 trunk cable Figure 2 2E1 trunk cable
75-120-ohm transfer box | This transfer box converts 75-ohm unbalanced E1 signals to 120-ohm balanced E1 signals for connection using E1 trunks.
T1 trunk cable | Figure 3 1T1 trunk cable Figure 4 2T1 trunk cable

High-Density User Cable

Analog phones use high-density user cables to connect to FXS ports of the X1911/X1960/X1981. Figure 5 shows a high-density user cable.

Figure 5 High-density user cable

Power Cable

If AC power supplie is used, the AC power cable shown in Figure 7 must be used.

Figure 7 AC power cable

Parent Topic: X1911/X1960/X1981 Product Architecture


Functions and Features

The unified gateway provides comprehensive voice services and supplementary services for users.

·Basic Voice Services

·

·Supplementary Services

·

·Advanced Services

·The unified gateway supports user rights management by level and call barring policies.

·Intelligent Routing

·The intelligent routing service automatically selects office routes when an IP trunk , and provides routing polices to increase communication reliability and minimize communication costs.

·Voice Conference

·unified gateway provides scheduled and instant conferences.

·Voice Mailbox Services

·The X1911/X1960/X1981 provides the Voice Mailbox Services (VMS) by default. It stored and managed voice messages in a unified manner to enable uses to retrieve voice messages at any time anywhere by dialing the voice message retrieving prefix.

·Automatic Switchboard Service

·The automatic switchboard service is also called interactive voice response (IVR) service. In this service, if a user dials the number that is preset as an automatic switchboard number, the announcement asking the user to dial an extension number is played by default. Note that the announcement can be customized as required. The automatic switchboard service implements functions of playing announcements, collecting digits, and automatically forwarding calls.

·Console

·The unified gateway provides a built-in IP-phone console to work with IP phones for simple console services. A separate console system can connect to unified gateway for more console services.

·CDR

·The unified gateway generates call details records (CDRs) and saves the CDRs to the CDR pool. When the unified gateway connects to the CDR server, the applications can obtain CDRs from the CDR server and parse them.

·Security

·The unified gateway provides enhanced security measures for users.

Parent Topic: Product Description


Basic Voice Services

Voice Communication

The unified gateway supports basic voice communication, including:

·Intra-office communication

Intra-office users under the unified gateway can use various supported broadband and narrowband terminals to make voice calls to each other. The terminals include analog phones, soft phones, IP phones (SIP), SIP-based Desktop Client, and SIP SoftConsole. Access devices such as the IAD (SIP) are also supported.

·Narrowband trunk-based communication

The unified gateway can be connected to the PSTN or TDM PBX using a digital trunk (E1/T1) or analog trunk (AT0). Intra-office users (either as calling or called parties) can have voice calls with users at the peer end of the narrowband trunk.

Table 1 lists the E1/T1 trunk types supported by the unified gateway.

Table 1 E1/T1 trunk types supported by the unified gateway

Trunk Type | E1 | T1
PRA | √ | √
QSIG | √ | √

An E1 trunk supports a maximum of 30 voice channels, and a T1 trunk supports a maximum of 23 voice channels.

·Broadband trunk-based communication

The unified gateway uses the SIP trunk to connect to the IP PBX, softswitch, or IMS. Voice calls can be made between intra-office users and the users under other devices.

Point-to-Point Multimedia Communication

The unified gateway supports the point-to-point (P2P) multimedia communication service, allowing SIP-based multimedia terminals to communicate with each other.

·Supports the Video Phone 8950.

·Supports P2P video calls between intra-office users and SIP-based P2P video calls between intra-office and outer-office users.

Call Rights Control

The unified gateway allows users to make intra-office calls, local calls, national toll calls, and international toll calls. In addition, a maximum of 32 types of call rights can be defined to restrict users from making specified types of calls.

Number Analysis and Processing

The unified gateway analyzes the calling and called numbers based on their prefix and length to control incoming and outgoing call rights. The calling number is analyzed before the called number. Numbers with the same prefix are analyzed based on the length.

·The unified gateway can analyze and process a regular number or prefix containing a maximum of 32 digits and an intra-office number containing a maximum of 16 digits.

·The unified gateway can analyze a maximum of 1024 calling numbers and a maximum of 2048 called numbers.

·Prefixes can identify emergency, intra-office, local, intra-office and local, national, and international calls, and support 32 levels of customized call rights. The intra-office and local prefixes are applied when the intra-office prefix is the same as the local outgoing prefix.

·The unified gateway can insert, change, or delete digits in calling and called numbers. The length of a changed number cannot exceed the maximum value. A maximum of 1024 change types are supported.

Voice Processing, Encoding, and Decoding

The unified gateway provides the following voice processing capabilities:

·Supports the voice activity detection (VAD), comfort noise generator (CNG), echo cancellation (EC), gain adjustment, jitter buffer, and packet loss compensation (PLC) technologies, providing users with high-quality voice services.

·Supports type of service (ToS) and Differentiated Services Code Point (DSCP) technologies, ensuring that voice streams are preferentially transmitted.

·Supports the Real-Time Transport Control Protocol (RTCP) and provides statistical information about the total numbers of RTP packets sent and received, total numbers of bytes sent and received, delay, jitter, and packet loss rate.

·The unified gateway supports various codecs such as G.711 (A-Law/U-law), G.729a/b, iLBC, G.722, G.722.1, G.722.2, and Opus. In addition, it supports voice codec change and priority selection.

Fax

The unified gateway supports T.30 faxes in the circuit switched domain and T.38 faxes in the packet switched domain, and transparent transmission of G.711 faxes.

·The end-to-end delay for transmitting signals using a fax machine cannot exceed 3 seconds. It is recommended that no more than four T.38 code switching gateways be deployed on the network.

·For transparent transmission, unified gateway supports converting voice calls in G.729 encoding mode into G.711 faxes.

Parent Topic: Functions and Features


Supplementary Services

The following table lists the supplementary services provided by the unified gateway.

Service Name | Description
Voice Calling | Voice calls can be made between PBX users and between PBX users and external users.
Video Calling | Video calls are made between two video phones. In a video call, both parties can watch the video of each other.
Local Number Query Service | The local number query feature allows users to obtain the numbers of the phones they are using by dialing the specified service number.
Calling Line Identification Presentation | With the calling line identification presentation (CLIP) feature, the calling number is displayed on the phone of the called party.
Calling Name Identification Presentation | Calling name identification presentation (CNIP) is a terminating service that provides the name associated with the calling number to the called party.
Calling Line Identification Restriction | The calling line identification restriction (CLIR) feature provides a supplementary service that prevents the number of the calling party from being presented to the called party.
Calling Line Identification Restriction Override | The calling line identification restriction override (CLIRO) feature allows a called party to view the number of the calling party even when the calling party enables the CLIR service.
Connected Name Identification Presentation | The connected name identification presentation (CONP) feature provides the calling party with the name information of the called party.
Calling/Connected Name Identification Restriction | When a user has enabled the Calling/Connected Name Identification Restriction (CNIR) service, the name of this user is not displayed on the peer party's terminal.
Distinctive Ring Tone | The distinctive ring tone feature allows a user to set a specific ring tone for a calling party so that the calling party can be recognized by the ring tone when there is an incoming call from the calling party.
Ringback Tone | The ringback tone (RBT) feature provides a calling party with a pleasant melody or a greeting instead of an ordinary ring back tone when the calling party places a call to a user attached to an enterprise PBX.
Call Hold | The call hold feature enables a user to hold an ongoing call and resume it when necessary.
Call Park | The call hold feature allows a user to hold a call on one phone and resume the call on another phone within the office. If the user does not resume the call within the specified period, the call is released and the party on hold hears a busy tone.
Multi-line Call | The multi-line call feature allows users to process multiple incoming and outgoing calls on a single phone. However, only one voice call can be ongoing at the same time, and other calls are held.
Call Waiting | If a user activates the call waiting service and a third party makes a call to the user when the user is on a call, the user hears a prompt tone of the new call.
Call Transfer | The call transfer feature allows a user to press the transfer button to transfer an ongoing call to a third party and exit the call.
Call Divert | The call divert feature allows a user to press the forward button to forward a call to a third party without answering the call.
Call Forwarding | If a user activates the call forwarding service, incoming calls are automatically forwarded to a preset forward-to number without going through the user.
Hotline | The hotline feature enables a phone to automatically dial a preset hotline number upon off-hook.
Pickup | With the call pickup service, users can use a phone to answer a call that is ringing on another phone. Designated pickup: Users can use a phone to answer a call that is ringing on a specific phone. Group pickup: Users can use a phone to answer a call that is ringing on another phone in the same pickup group.
Automatic Callback | A user who dials an internal number that is busy or not answered, can register the automatic callback (ACB) service. When the called user is idle, the system automatically calls the calling and called parties.
Abbreviated Dialing | The abbreviated dialing feature allows users to call frequent contacts by dialing abbreviated numbers instead of long numbers. Abbreviated dialing reduces dialing time and makes numbers easy to remember.
Do Not Disturb | The do not disturb (DND) features allows the system to temporarily reject incoming calls for users.
Barge | The barge feature allows users to forcibly join an internal user's call and establish a three-way call.
Forced Release | The forced release feature allows an agent to forcibly end an ongoing call between two users.
Privileged User | The privileged user feature allows an agent to forcibly establish a call with an intra-office user who is in a call.
One Number Link You | The One Number Link You (ONLY) service enables users to bind several terminals to a single user number so that the users can answer incoming calls on any bound terminal.
Three-way Calling | The three-way calling service allows a user to make a call to a third party without ending the ongoing call and enable three-way calling.
Alarm Clock | A phone that has enabled the alarm clock service rings automatically at the preset time to remind the phone user.
Music on Hold(MoH) | The Music on Hold (MoH) feature allows the system to play waiting music to users when calls are being held, transferred, or parked.
Absence | The absence feature enables calling parties to hear an absence announcement when they place calls to users who have enabled the absence service.
Multi-Number | The multi-number service allows a single user to have multiple phone numbers, any of which can be dialed to reach the user.
Audio Paging | The audio paging feature uses telephony systems to send messages to all group users through unidirectional broadcast.
Secretary Service | The secretary service enables calls made to a manager to be forwarded to the secretary first. The secretary processes the call and forwards the call to the manager if necessary.
Secretary Station Service | With the secretary station feature, the system queues an incoming call when a secretary is busy, and forwards the call to the secretary when the secretary becomes idle.
Advanced Secretary Service | The advanced secretary service binds a line of a manager's phone to a line of a secretary's phone. The manager and secretary receive a call to the manager at the same time. The manager can answer the call directly. Alternatively, the secretary answers the call first and determines whether to forward the call to the manager.
Emergency Call | The emergency call feature allows IP phone users to call public safety answering points (PSAPs) when IP phones are locked, unregistered, or call-barred.
Call Admission Control | If the number of incoming and outgoing VoIP calls is too large, the network may be congested, therefore affecting voice quality. The system allows you to limit the number of concurrent incoming and outgoing calls that are made through SIP trunks to ensure proper use of bandwidth resources and better voice quality. Then, when the number of concurrent calls reach the preset upper limit, new incoming and outgoing VoIP calls will be rejected or routed to other trunks.
Deactivation of All Services | This feature allows a user to deactivate all the activated supplementary services. However, the user's service rights are not affected.
Voice Service Password Change | The voice service password is used in the outgoing call barring, password-based call barring, ONLY, deactivation of all services, and voice mailbox. It is recommended that the voice service password be changed periodically to improve the security of voice services.
Busy Lamp Field (BLF) | The Busy Lamp Field (BLF) feature allows users to subscribe to the status (idle, call in progress, ringing, or offline) of others using the programmable buttons on the IP phone. Before making a call, the calling party can know the status of the called party. If the called party is not idle, the calling party waits until the called party becomes idle. This helps improve the call success rate.
Extension Mobility | The extension mobility feature allows a user to use the same IP phone settings in a visited area as in the home area provided that the two areas belong to the same unified gateway. Since the user logs in to the IP phone in the visited area using the account of the home area's IP phone, the account on the IP phone of the home area is logged out.
Service Level | The service level feature enables management of service rights and basic call rights by service level.
Trunk Preemption by User Rights Level | This feature allows a higher-level user to preempt the trunk of a lower-level user to make an outgoing call when the system trunk resources are insufficient. This ensures the voice service requirements of high-level users.
Call Rights Control | This feature allows the system to determine whether to set up a call according to the call rights of the calling number and the call type of the called prefix when a user initiates a voice call. Therefore, call rights can be flexibly controlled based on actual needs.
Blacklist and Whitelist Call Barring | With the blacklist and whitelist call barring feature, calls are accepted or rejected based on call barring relationships configured in the blacklist and whitelist.
Anonymous Call Rejection | When the system cannot obtain the phone number of a calling party, the call will be rejected and the called party's phone does not ring.
Call-out Restriction Service | If the call-out restriction service is enabled for a user, the user is prohibited from making specified types of outgoing calls.
Hunt Group | In an enterprise, employees in the same field can be added to a hunt group, with a group access code configured. When a user dials the access code of a hunt group, the system allocates the call to group members based on preset ringing policies. When a member answers the call, the system stops ringing.
Simultaneous Ringing | A user binds several numbers to a primary number. When the primary number is called, phones with the primary number and the bound numbers ring simultaneously. When the call is answered on any phone, other phones stop ringing.
Sequential Ringing | A user binds several numbers to a primary number. When the primary number is called, phones with the primary number and the bound numbers ring in sequence. When the call is answered on a ringing phone, other phones will no longer ring.
Call Group | When a user dials the access code of a call group, phones of all members in the group ring simultaneously. Members can pick up phones to join a meeting. By default, the instant hotline service is enabled for call group members who can talk with specific outer-group users after picking up phones.
DID | The Direct Inward Dialing (DID) feature enables external users to directly call intra-office users without being forwarded by calling the automatic switchboard.
Automatic Switchboard | The automatic switchboard service is also known as the interactive voice response (IVR) service. The IVR service forwards incoming calls to extension numbers.

Parent Topic: Functions and Features


Advanced Services

The unified gateway supports user rights management by level and call barring policies.

User Rights Management by Level

unified gateway users are assigned four levels of rights from lowest to highest: default, normal, advanced, and privileged. Users at different levels have different rights to use supplementary services or make calls. By default, users are at the default level.

·Right levels for supplementary services

The rights at lower levels to use supplementary services are subsets of the rights at higher levels. Table 1 describes the mapping between service rights and user levels.

Table 1 Mapping between service rights and user levels

Call Right User Level | Service Rights
Default | Users have rights to use local number query, call transfer, call forwarding, call waiting, abbreviated dialing, outgoing call barring, alarm clock, CLIP, password change, phone conference, unified access to the fax mailbox, call park, call right, ONLY, DND, multi-call, instant meeting and absent user services.
Common | In addition to services that users can use at the default level, users at the normal level have rights to use the RCB(only for POTS users), CBB, designated pickup, and group pickup services.
Advanced | In addition to services that users can use at the normal level, users at the advanced level have rights to use three-party call, simultaneous and sequential ringing, break-in, forced release, hotline, CTVMU, CTVMB, CTVMNR, CTFMU, CTVMO, call forwarding presence, call forwarding conditional, callback on no reply, and BLFservices.
Super | In addition to services that users can use at the advanced level, users at the privileged level have rights to use privileged user, secretary, secretary station services.

·Right levels for call rights and call control by time segment

Users at different right levels have different rights to make calls. Call rights can be control by time segment so that users at a level can make calls only in a specified time segment. Table 2 describes the mapping between call rights and user levels.

Table 2 Mapping between call rights and user levels

Call Right User Level | Intra-Office Call | Local Call | National Toll Call | International Toll Call
Default | Yes | Yes | No | No
Common | Yes | Yes | Only working time | No
Advanced | Yes | Yes | Yes | Only working time
Super | Yes | Yes | Yes | Yes

Call Barring Policies

The unified gateway can restrict calls as required. Table 3 describes the call restriction services.

Table 3 Call restriction services

Service

Description

Call barring by calling number

Call rights that are classified by calling number include incoming and outgoing call rights, for example, local call rights, toll call rights, and trunk call rights.

Call barring by blacklist or whitelist

Call barring by blacklist or whitelist allows a user to accept or reject calls made by a list of users.

·Users in the blacklist group can call only users in the whitelist group.

·Users in the ordinary call barring group can call users in the same group or in the whitelist group, but cannot call users in the blacklist group.

·Users in the whitelist group can call users in any of the three groups.

Call barring by personal blacklist

Call barring by blacklist or whitelist allows a user to accept or reject calls made by a list of users. The personal blacklist has a lower priority than the system blacklist.

VoIP domain-based call barring

IP PBX logically assigns some local users or office routes to a VoIP domain for barring calls and sets the maximum number of concurrent calls for this VoIP domain. When receiving a new call request, the IP PBX checks the calling and called parties' domains and the maximum number of calls allowed. If the maximum number of calls allowed is reached, the call fails, and the calling party hears an announcement.

Password-based call barring

unified gateway determines whether a user can make calls by asking the user to enter a password. The password is bound to the user's phone.

Call barring by card number and password

Users can use authorized card numbers and passwords to make calls from any phones in the office. This service supports the following two dialing modes:

·IVR navigation dialing mode: Users enter the password-based call barring prefix, and dial a number as prompted.

·Full number dialing mode: Users directly enter outgoing prefix*call barring service ID*password*called number# to make a call.

PIN-Code Service

The PIN-Code service enables differentiated call-out service rights for different users that share the same IP phone.

Calling number authentication

If the calling number authentication service is configured for the called number prefix involved in an incoming call from a local user or a trunk, the IP PBX initiates a request to the remote authentication dial-in user service (RADIUS) server to authenticate the calling number. If the authentication is successful, the IP PBX connects the call. If the authentication fails, the call fails.

Call barring by region

The IP PBX manages call rights for users who use different types of phones in various regions.

·After users under the IP PBX are assigned to different VoIP domains, the IP PBX determines whether a call can be established based on the calling number, called number, or domain type.

·This service meets VoIP restriction requirements of India offices. Incoming and outgoing calls cannot be routed through broadband and narrowband trunks. Different rights can be assigned to trunks to prevent trunk tandem calls.

Anonymous call barring

This service allows the system to restrict anonymous calls (including intra-office calls and outer-office calls) to a user.

Restriction on outer-office call duration

When a user under unified gateway makes an outgoing call to or receives an incoming call from an outer-office user, the IP PBX controls the call duration as configured and plays an announcement to the user when there is only one minute left.

Emergency Call

As long as the network between the IP phones and the unified gateway is available, users can make emergency calls in any state (such as unregistered, call rights restricted, or overdrawn state). The emergency call center can locate the calling parties.

·The emergency call service is still available in the following scenarios: account overdrawn, password-based call barring, call baring by card number, national/international toll call barring, intra-office call barring, outer-office call barring, call barring due to the full CDR pool, RADIUS authentication failure, and call barring by VoIP domain

Parent Topic: Functions and Features


Intelligent Routing

The intelligent routing service automatically selects office routes when an IP trunk or a TDM trunk is faulty, and provides routing polices to increase communication reliability and minimize communication costs.

·Routing by time segment

Different time indexes are set for different office routes. Each time index corresponds to a specified time segment (accurate to hour). Based on the current time, the IP PBX searches for the time index for an outgoing call and selects the related office route.

The IP PBX allows multiple office route selection codes to share one office route. When an office route is added to multiple office route selection codes, multiple routing policies apply to the office route. The IP PBX automatically selects the routing policy based on the outgoing prefix that a user dials.

·Routing by charge rate

Different charge rate reference values are set for different office routes. The IP PBX preferentially selects the office route with the lowest charge rate reference value for outgoing calls. If all trunk circuits are busy for this office route, the IP PBX selects the office route with the second lowest charge rate reference value.

·Rerouting upon a routing failure

When a call fails to be routed based on the office route selection code, the IP PBX selects a new route based on the standby office route selection code corresponding to the failure processing index.

·Route load balancing

The IP PBX balances traffic among multiple preset routes. The IP PBX polls office routes based on office route IDs in ascending order till an office route that contains idle circuits is found. The later calls will poll from the next office route after an office route is selected by the preceding call.

·Routing by percentage

Different percentages are set for different office routes. The IP PBX selects office routes in turn based on the preset percentages. Except the office routes whose percentages are set to 100%, office routes are polled based on preset percentages in descending order.

·Routing by user right level

Different office routes are set for different user right levels. When a higher-right-level user makes an outgoing call, the IP PBX preferentially selects the office route that is set for the user right level. If selecting the office route fails, the IP PBX selects the office route that is set for a lower user right level.

When routing by user right level is used, the IP PBX preferentially uses an office route at the user right level to route calls. If no circuit is idle, the office route that is set for a lower user right level is used. Office routes that are set for the same level are polled based on office route IDs in ascending order. To ensure good voice quality of calls for higher-right-level users, these users are allocated with high-performance office routes. Lower-right-level users, however, are not allowed to use these office routes.

·Routing by trunk link balance

The IP PBX preferentially selects a trunk with more idle circuits to balance loads among available trunk links.

Parent Topic: Functions and Features


Voice Conference

unified gateway provides scheduled and instant conferences.

Scheduled Conference

Users can schedule three types of conferences in the unified gateway built-in web management system. The conference types are described as follows:

·Individual Dialing-In

Participants dial a conference access code and enter the conference ID and password as prompted to join a conference. If the conference ID or password that a participant enters is incorrect, the participant returns to the upper-level menu.

·Host Convening

The moderator joins a conference as prompted by the IVR and invites participants to the conference using the phone or web self-service system.

·System Convening

The moderator sets a participant list in advance, and the system calls the listed participants at the scheduled time. Participants can simply pick up phones to join the conference.

Instant Conference

Users can directly initiate an instant conference without scheduling the conference in advance.

Parent Topic: Functions and Features


Voice Mailbox Services

The X1911/X1960/X1981 provides the Voice Mailbox Services (VMS) by default. It stored and managed voice messages in a unified manner to enable uses to retrieve voice messages at any time anywhere by dialing the voice message retrieving prefix.

Users can leave, retrieve, delete, and play voice messages. If a phone has a message indicator, the indicator turns on when a voice message is received.

Voice mailbox services include call transfer to voice mailbox unconditional (CTVMU), call transfer to voice mailbox on no reply (CTVMNR), call transfer to voice mailbox on busy (CTVMB), call transfer to voice mailbox offline (CTVMO).

·X1911 supports a maximum of 12 calls being forwarded to voice mailboxes at a time. X1960 or X1981 supports a maximum of 30 calls being forwarded to voice mailboxes at a time.

·The unified gateway provides each user with a maximum of 50 voice messages, with each lasting at most 300s.

Parent Topic: Functions and Features


Automatic Switchboard Service

The automatic switchboard service is also called interactive voice response (IVR) service. In this service, if a user dials the number that is preset as an automatic switchboard number, the announcement asking the user to dial an extension number is played by default. Note that the announcement can be customized as required. The automatic switchboard service implements functions of playing announcements, collecting digits, and automatically forwarding calls.

The automatic switchboard service provided by the unified gateway is described as follows:

·A maximum of 256 automatic switchboards and a maximum of 245 customized scripts are supported.

·The X1981/X1960/X1911 supports recording of announcements.

·The X1981/X1960/X1911 supports recording of a maximum of 246 announcements, with one announcement for each automatic switchboard (one default automatic switchboard and 245 user-defined automatic switchboards). The maximum length of an announcement is 300 seconds, and the maximum size of announcements is 64 MB.

·Users can dial an automatic switchboard number plus an extension number to directly make a call to the extension number. This function is not supported if the automatic switchboard uses the AT0 trunk.

·Voice prompts can be set by time segment, that is, different voice prompts are played in different time segments.

·When a called party hangs up the phone on an extension, the switchboard becomes available for the calling party.

Parent Topic: Functions and Features


Console

The unified gateway provides a built-in IP-phone console to work with IP phones for simple console services. A separate console system can connect to unified gateway for more console services.

IP-Phone Console

Figure 1 shows the IP-phone console networking of the unified gateway.

Figure 1 IP-phone console networking

When external users or enterprise users dial the console access code, they are placed in a queue and waiting for the system to put them through. The system automatically allocates idle attendants to answer the calls. An attendant can transfer calls to other attendants, and authorized attendants can also barge in to or forcibly release other attendants' calls.

External Console System

The unified gateway can connect to a console server for handling registration requests from the console clients and providing more diversified console services.

Parent Topic: Functions and Features


CDR

The unified gateway generates call details records (CDRs) and saves the CDRs to the CDR pool. When the unified gateway connects to the CDR server, the applications can obtain CDRs from the CDR server and parse them.

CDR Server

The CDR server (installation is required) is used to store and process CDRs of multiple IP PBXs.

CDR Console Integration

A CDR server provides a graphic man-machine interface for users to manage CDRs.

·Querying CDRs

Users can use any of the following search criteria to query CDRs from a CDR server: calling number, called number, IP address of the device for which CDRs are generated, and CDR generation time.

·Deleting historical CDRs

Users can delete CDR files from a CDR server to free up disk space. Only CDRs that were generated one month ago can be deleted, which ensures the data security.

·Viewing CDR pool information

Users can view the CDR pool status of an IP PBX according to the IP PBX IP address.

·Controlling CDR transfer

Users can enable the automatic CDR transfer function. When new CDRs are generated in the CDR pool of an IP PBX, a CDR server automatically retrieves the CDRs if the automatic call transfer function is enabled. The automatic CDR transfer function is enabled by default.

Parent Topic: Functions and Features


Security

The unified gateway provides enhanced security measures for users.

Anti-attack Measures

·The communication port matrix is delivered with the product documentation. Only services and ports listed in the communication port matrix need to be enabled.

The communication port matrix contains the following port information: available ports, transport layer protocols used by the ports, network elements (NEs) that use the ports to communicate with peer NEs, application layer protocols used by the ports and description of the services at the application layer, information about whether services at the application layer can be disabled, authentication modes, and functions of the ports (such as transmitting management traffic, control traffic, or data traffic).

·Different network ports carry management traffic and service traffic so that the management traffic is transmitted in a different network segment from the service traffic. This ensures system security. Note that the management traffic requires a fixed network port, not a random one.

·The Secure Shell (SSH) protocol is used to authenticate user login.

·Media streams and TLS signaling in the voice services are encrypted to ensure voice data security.

Password Security

·The system prompts users to change login passwords upon their first login

·The authentication modules of the web page and command-line interface use the brute-force attack prevention mechanism, which temporarily locks an account and IP address (for web only) after three failed login attempts.

·The HTTPS protocol is used to send user names and passwords to the server during web page login.

Web Security Measures

·Verifies the user session ID and user rights for each request to access a page or servlet that requires authorization.

·Executes the final authentication on users on the server.

·Verifies data generated by users on the server, and encodes data using the HTML before transmitting the data to clients, which prevents malicious code and cross-site scripting attacks.

·Uses the web security scanning software to scan web servers and applications, which prevents high-level vulnerabilities.

Parent Topic: Functions and Features


Operation, Maintenance, and Management

The unified gateway can be managed using the web management system . Operations such as conference management and service registration/deregistration can be performed using the web self-service system.

·Web Management System

·The web management system is a built-in configuration and monitoring tool of the unified gateway. Users can access the system for configuration management and resource query.

·Web Self-Service System

·The unified gateway provides a web self-service system. Common users can access the system using a browser to perform operations such as managing conferences, registering or deregistering services, and maintaining service passwords.

Parent Topic: Product Description


Web Management System

The web management system is a built-in configuration and monitoring tool of the unified gateway. Users can access the system for configuration management and resource query.

Table 1 describes the functions provided by the web management system.

Table 1 Functions provided by the web management system

Management Function | Subfunction
Configuration management | ·Provides a configuration wizard for board, user, and trunk configurations. ·Provides graphical user interfaces (GUIs) for data, service, and network configurations.
Resource monitoring | ·Monitors board status. ·Monitors CPU usage.

Parent Topic: Operation, Maintenance, and Management


Web Self-Service System

The unified gateway provides a web self-service system. Common users can access the system using a browser to perform operations such as managing conferences, registering or deregistering services, and maintaining service passwords.

Table 1 lists services provided by the web self-service system.

Table 1 Services provided by the web self-service system

Service | Description
Scheduling conferences | Users can schedule conferences as required and add participants.
Viewing conferences | Users can view and join conferences.
Initiating instant conferences | Users can initiate instant conferences as required and add participants.
Registering services | Users can register or deregister the ONLY, call forwarding, voice mailbox (for X1911, X1960, and X1981 only), abbreviated dialing and blacklist services.
Maintaining service passwords | Users can change their service passwords to ensure service security.

Parent Topic: Operation, Maintenance, and Management


Technical Specifications

This topic provides the key technical specifications of the unified gateway.

·Physical Specifications

·

·Performance and Capacity

·

·Ports and Protocols

·

·Standard Compliance

·

Parent Topic: Product Description


Physical Specifications

Table 1 lists the dimensions, weight, power supply settings, power consumption, and operating environment of the unified gateway.

Table 1 Physical specifications

Item | Indicator
 | X1911 | X1960 | X1981
Dimensions (H x W x D) | 44mm x 442mm x 310mm | 86.1mm x 442mm x 310mm
Weight | 8 kg (weight in full configuration) | 10 kg (weight in full configuration)
Maximum power consumption in full configuration | 150 W | 220 W
Input voltage (AC power) | 100 V AC to 240 V AC
Input current (AC power) | 3.5 A |  | 4.5 A
Power frequency (AC power) | 50 Hz/60 Hz
Maximum output power (AC power) | 300 W
Input voltage (DC power) | -38.4 V DC to -60 V DC; typical value: -48 V DC
Input current (DC power) | 9 A
Maximum output power (DC power) | 350 W
Feeder voltage | -38V
User line distance (the user line diameter is 0.4 mm and the phone is not paralleled) | 5.0km
Storage temperature | -40°C to +70°C
Long-term operating temperature | 0°C to 45°C
Short-term operating temperature | -5°C to +55°C NOTE: Short-term running means that the device works nonstop for not greater than 48 hours and the cumulated working time of the device in a year does not exceed 15 days.
Relative humidity | 5% to 95% (non-condensing)
Ambient particulate concentration | < 180 mg/m3

Parent Topic: Technical Specifications


Performance and Capacity

Table 1 Performance and capacity

Specification Item | X1911 | X1960 | X1981
Maximum number of users(Only in UDP registration scenarios) | 300 | 1000 | 20000
Maximum number of SIP users | 300 | 1000 | 20000
Maximum number of POTS users directly connected to the boards | 96 (3 ASI boards) | 224 (7 ASI boards) | 192(6 ASI boards)
Maximum number of concurrent online sessions | 100 | 420 | 2000
Maximum number of FXO ports | 36 (3 OSU boards) | 84 (7 OSU boards) | 72 (6 OSU boards)
Maximum number of E1 ports | 12 (3 MTU boards) | 28 (7 MTU boards) | 24 (6 MTU boards)
Maximum number of T1 ports | 12 (3 MTU boards) | 28 (7 MTU boards) | 24 (6 MTU boards)
Maximum number of SIP trunk groups | 255 | 255 | 1024
Maximum number of channels per SIP trunk group | 100 | 240 | 4000
Maximum number of channels of all SIP trunk groups | 100 | 1000 | 20000
Maximum number of concurrent participants | 60 | 360 | 2000
Maximum number of conference halls | 20 | 120 | 660
Maximum number of participants per conference hall (The media resources occupied by a single conference site must be provided by the same media resource board.) | 60 | 60 | 360
Maximum number of VMS users | 100 | 1000 | 1000
Maximum number of messages per user | 50 | 50 | 50
Maximum duration (unit: second) of a message | 300 | 300 | 300
Maximum number of concurrent messages | 12 | 30 | 30

Table 2 Media board codec specifications

Codec Format | MTU Board Specifications (Channel)
G711A/U | 128
G729 | 100
iLBC | 90
G.722/G722.1/G722.2 | 90
Opus | ·Each MTU board supports 80 channels of Opus codec. ·In the conference scenario, each MTU board supports 200 participants.
T.38 | 60
Encryption (all codec) | Same with specifications for each encoding in no-encryption scenarios

Parent Topic: Technical Specifications


Ports and Protocols

Ports

The unified gateway series products provide FE ports, E1/T1 digital trunk ports, and debugging ports. The following table lists the external ports of the unified gateway series products.

Table 1 External ports

Port | Board | Number of Ports | Function | Product
 |  |  |  | X1911 | X1960 | X1981
GE port | SCU | 4 | Connects the unified gateway to a LAN and functions as an IP service port. The unified gateway can work in single-network-port, dual-network-port mode, or triple-network-port mode. | Yes | Yes | Yes
USB port | SCU | 1 | Reserved for the service to extend interfaces when required (not used currently). | Yes | Yes | Yes
E1/T1 port | MTU | 2 | Connects the unified gateway to digital trunks of an upper level office, for example. | Yes | Yes | Yes
FXS port | ASI | 32 | Connects to a maximum of 32 analog phones. | Yes | Yes | Yes
 | OSU | 12 | Connects to a maximum of 12 analog phones. | Yes | Yes | Yes
FXO port | OSU | 12 | Connects to a maximum of 12 analog trunks. | Yes | Yes | Yes
Serial port | SCU | 1 | Configures and commissions the unified gateway. The debugging port is an RS-232 serial port (RJ45 jack). | Yes | Yes | Yes
External audio source input port | SCU | 1 | 3.5 mm audio input port for connecting external audio sources. It is used for playing music on hold (MoH). | Yes | Yes | Yes

Signaling and Protocols

Table 2 lists the signaling and protocols supported by the unified gateway.

Table 2 Signaling and protocols

Signaling/Protocol | Function
SS7 | Enables the communication between the unified gateway and switches supporting the SS7 signaling and enables the unified gateway to access E1 trunks provided by the switches.
PRA | Enables the communication between the unified gateway and the switches on the ISDN and enables the unified gateway to access E1/T1 trunks provided by the switches on the ISDN.
R2 | Enables the communication between the unified gateway and traditional switching devices and enables the unified gateway to access E1 trunks provided by the traditional switching devices.
QSIG | Enables the communication between the unified gateway and switches supporting the QSIG signaling and enables the unified gateway to access E1/T1 trunks provided by the switches.
SIP | Enables the interconnections between unified gateways and connects the unified gateway to IADs and SIP multimedia packet terminals.
AT0 | Connects the PSTN and switches. It is a DC loop analog trunk (also called narrowband trunk) and enables intra-office users to have voice communications with outer-office users through the obtained traditional phone lines, achieving easy narrowband access.
SSH | Secures remote logins to operation and maintenance terminal through an unreliable network to the unified gateway for configuration and debugging.
SNTP | Allows unified gateways to provide the time synchronization service for the client (IP terminal and SoftConsole server).
SNMP v3 | Simple Network Management Protocol, used for unified gateway alarm reporting.

Parent Topic: Technical Specifications


Standard Compliance

Table 1 lists the standards that the unified gateway complies with.

Table 1 Standard compliance

Protocol/Technology | Standard
PRA | YDN 034-1997 ISDN User-Network Interface Specification, ITU-T G.962, ITU-T I.431, ITU-T Q.921 and ITU-T Q.931
QSIG | ITU-T G.962, ITU-T I.431, ITU-T Q.921, ECMA-142, ECMA-143, ECMA-148, ECMA-157, ECMA-163, ECMA-164, ECMA-165, ECMA-173, ECMA-174, ECMA-185, ECMA-186, ECMA-241 and ECMA-242
SIP | RFC 3261-3263, RFC 3265, RFC 2976, RFC 3311, RFC 3420, RFC 3515, and RFC 3842
SDP | RFC 2327-1998 and RFC 3264
T.30 | ITU-T T.30 (07/2003)
T.38 | ITU-T T.38
Echo Cancel | ITU-T G.165 and ITU-T G.168
EMC | X1911, X1960, X1981: ·EN 55022: 2006 + A1: 2007 ·CISPR 22: 2006 ·EN 55024: 1998 + A1: 2001 + A2: 2003 ·CISPR 24: 1997 + A1: 2001 + A2: 2002 ·ETSI EN 300 386 V1.4.1: 2008 ·VCCI V-3: 2009 ·ICES-003: 2004 ·AS/NZS CISPR 22: 2006 ·IEC 61000-6-2: 2005/ EN 61000-6-2: 2005 ·IEC 61000-6-4: 2006/ EN 61000-6-4: 2007
Security | X1911, X1960, X1981: ·IEC 60950 ·UL 60950 ·EN 60950 ·AS/NZS 60950
DTMF | ·DTMF detection and reporting complies with ITU-T Q.23 and ITU-T Q.24. The information reported includes the DTMF number, signal strength, and signal duration. ·Support DTMF transmission using RTP. ·Support RFC 2833.
Voice QoS | ·In compliance with IEEE 802.1P/Q ·TOS: priorities 0–7, service types 0–4 ·DSCP: priorities 0–63
RTP media stream encryption (SRTP) | Encryption algorithm: AES 128
TCP/IP | ·Support IPv4. X1981/X1960/X1911 supports intra-office phone calls only in IPv6 (excluding IPSec) scenarios, but does not support coexistence of IPv4 and IPv6.

Parent Topic: Technical Specifications


Plan and Design

You need to make necessary preparations before the installation and configuration.

·Deployment Process

·This document is intended to guide deployment engineers to perform various tasks such as installation and configuration during deployment of the unified communications product, and provide typical cases related to the deployment. First, you need to know the deployment process.

·Checking the Installation Environment

·Before the on-site deployment, make sure that the equipment room environment meets the device installation requirements. You can proceed with the deployment only after the condition is met.

·Planning Network Data

·Before hardware installation and data configuration, plan hardware configurations, network data, trunks, and phone numbers based on customer requirements.

·Holding a Kickoff Meeting

·After arriving at the site, you need to organize relevant owners of the customer to a kickoff meeting to determine relevant issues and customer support during the deployment.


Deployment Process

This document is intended to guide deployment engineers to perform various tasks such as installation and configuration during deployment of the unified communications product, and provide typical cases related to the deployment. First, you need to know the deployment process.

Figure 1 describes tasks in the deployment process, reference documents needed for each task, and outputs of deployment engineers in each phase, to give you an overall picture of the deployment.

Plan and configure the service data by strictly following the information described in Configuring Toll Fraud Prevention. Otherwise, toll fraud (placing international toll calls or premium-rate telephone numbers bypassing the security policies) may occur, causing economic losses.

Figure 1 Deployment process

Methods of obtaining the reference documents in the preceding figure are shown in Table 1.

Table 1 Reference documents for deployment and methods of obtaining reference documents

Document | Methods of Obtaining
Quick Installation Guide | ·A paper quick installation guide is delivered with the product. ·Obtain the document from the CD-ROM that is delivered with the product.
Acceptance Test Guide | Visit Enterprise Service Support and login. enter UScale X19XX in the search box, select the path displayed below the search box, and click Search. On the Documentation tab page, download your Product Documentations.
The Installation and Configuration of the terminal and network management software | ·Released with the software product. ·The reference documents released with this document.
Other documents mentioned in the preceding figure | Other documents mentioned in the preceding figure are the documents of Engineering Proposal for OpenVox United Communications Solution. Connect the OpenVox technical support to obtain them.

Parent Topic: Plan and Design


Checking the Installation Environment

Before the on-site deployment, make sure that the equipment room environment meets the device installation requirements. You can proceed with the deployment only after the condition is met.

Table 1 describes the installation environment check items.

Table 1 Major installation environment check items

No. | Check Item | Requirement
1 | Auxiliary equipment | The equipment room is equipped with specialized air conditioners, fire control facilities, and good lighting facilities. Double aluminum alloy windows and doors are installed in the equipment room. In addition, the auxiliary devices such as cabinets, distribution frames, and cabling trays have been installed in the equipment room.
2 | Moisture-proof | The dehumidity devices such as air conditioners with the dehumidifying function and special dehumidifiers must be installed in the equipment room where the relative humidity is higher than 90%. Water seepage, dripping, and dew producing are forbidden in the equipment room.
3 | Lightning protection | Lightning-proof equipment such as lightning rods and lightning strips must be installed in the equipment room. In addition, the lightning-proof grounding (that is, the grounding of lightning-proof equipment such as lightning rods) must share a grounding body with the protection grounding of the equipment room.
4 | Dust-proof | If the equipment room is close to a dust source, such as a coal mine, a country road or a farmland, aluminum alloy windows and fireproofing doors must be installed in the equipment room.
5 | Grounding | Joint grounding is used in the equipment room. That is, the working ground, protection ground, and lightning-proof ground share a grounding body. Various communication equipment and power supplies should share a protection ground bar. The grounding resistance is less than 1 ohm.
6 | AC power supply | Stable AC power supply must be available in the equipment room to meet the power requirements of the equipment. The AC power distribution switch and AC power cables are installed properly. The AC voltage is 220 V, the power is 300 W, and the conducting wire can accept a current of 3.5 A.
7 | DC power supply | The AC voltage is –48 V, the power is 350 W, and the conducting wire can accept a current of 9 A.
8 | UPS power supply | If the UPS power supply is required for the equipment, the UPS power supply must be installed before deployment, and the output power meets the requirements.
9 | Shipment information | The software and hardware purchased by OpenVox have been delivered to the customer site, with complete packages.

Parent Topic: Plan and Design


Planning Network Data

Before hardware installation and data configuration, plan hardware configurations, network data, trunks, and phone numbers based on customer requirements.

For details, see Configuration Guide (Web Mode). Update data after communicating with the customer.

Precautions

·Before data planning, refer to the UScale Product Survey Guide to collect office information and complete the survey report.

·An E1 trunk supports a maximum of 30 voice channels, and a T1 trunk supports a maximum of 23 voice channels.

·The unified gateway IP address for internal communication (between boards) is 10.241.241.241:8080. If the external IP address to which the unified gateway is connected is a conflict with the IP address for internal communication occurs and the communication fails. In this case, change the unified gateway IP address for internal communication or the IP address for external communication.

Parent Topic: Plan and Design


Holding a Kickoff Meeting

After arriving at the site, you need to organize relevant owners of the customer to a kickoff meeting to determine relevant issues and customer support during the deployment.

You need to accomplish the following tasks:

·Determine the engineering contact of the customer and working staff of the customer.

·Collect the data to be used in data configuration such as subscriber number segment, dialing rules, planned IP addresses, and trunk types.

·Determine the trunk commissioning schemes, deployment tools to be provided by the customer, and installation locations of the equipment.

·Determine the engineering implementation plan.

After all the preceding contents are determined, both parties sign the kickoff agreement.

Parent Topic: Plan and Design


Installation

This topic describes how to install the unified gateway hardware and apply for a License.

·Applying for a License

·This topic describes how to obtain the Equipment Serial Number (ESN) of the unified gateway and apply for a license from OpenVox. According to the obtained license, the system determines the number of users to be allocated, number of concurrent users in an audio conference, number of SoftConsole clients, number of concurrent voice mailboxes, and the permission of local survival.

·Quick Installation Guide

·This topic describes how to install an unified gateway on the shelf, connect cables, and power on the unified gateway.

·Grounding Guide

·In order to ensure stable operation of the devices, ensure that the device is properly grounded and adopt a proper cabling method.

·Obtaining Software

·This topic describes how to obtain software before configuring and using the unified gateway.


Applying for a License

This topic describes how to obtain the Equipment Serial Number (ESN) of the unified gateway and apply for a license from OpenVox. According to the obtained license, the system determines the number of users to be allocated, number of concurrent users in an audio conference, number of SoftConsole clients, number of concurrent voice mailboxes, and the permission of local survival.

Prerequisites

Unpacking and goods inspection have been performed upon delivery.

Procedure

1.Obtain the ESN of the unified gateway.

·Method 1 (recommended): View the label on the unified gateway. The first 20 digits of the bar code indicate the ESN, as shown in Table 1.

Table 1 Bar code positions

Device Model | Position
X1960/X1981 |
X1911 |

·Method 2: Log in to the web management system and choose System > License information to view the ESN. For details about how to use the web management system, see Logging In to the Web Management System.

2.Based on the contract and ESN, visit http://app.OpenVox.com/isdp, and apply for the license.

The unified gateway provides the license that supports the following number of users. When you apply for a license, it is unnecessary to cover these users. If there are any problems, contact OpenVox technical support.

Device Model | Number of Users Supported in the Pre-configured License | Number of Conferences Supported in the Pre-configured License
X1911 | 8 | 16
X1960 | 8 | 30
X1981 | 8 | 60

·The user license for other models is the default license. After a new license is loaded, the total number of allowed users is determined by the new license.

·The initial conference license for other models is given as a bonus. After a new license is loaded, the total number of allowed conferences is the sum of the pre-configured number and the purchased number.

3.Rename the license file that is obtained.

Rename the license file license.dat.

The following table describes the license control items.

Control Item Code | Description
LSV1NUMU01 | UScale X1960&X1981 voice user license.
LSV1VMSP01 | Concurrent built-in voice mailbox license.
LSV1VOIT01 | Concurrent voice conference license.
LSV1APST01 | SoftConsole user license.
LSV1RMTRC01 | Active/standby two-node cluster or DR license.

Parent Topic: Installation


Quick Installation Guide

This topic describes how to install an unified gateway on the shelf, connect cables, and power on the unified gateway.

·Ensure that no tool is scanning on the network where the unified gateway is deployed. Otherwise, the unified gateway displays a message indicating that the CPU usage is high.

·The SCUB boards on the X1911, X1960, and X1981 are not compatible with each other. If you install the incorrect SCUB board, the device will restart continuously.

·X1911&U1960&X1981 Quick Installation Guide

Parent Topic: Installation


Grounding Guide

In order to ensure stable operation of the devices, ensure that the device is properly grounded and adopt a proper cabling method.

Grounding Methods

Table 1 describes the grounding methods.

The cross-sectional area of a PGND cable is no less than 4 mm2. A PGND cable shall be as short as possible during construction, and coiling is forbidden.

Table 1 Device grounding methods

Equipment Room Condition

Grounding Method

A ground bar is available.

Method 1: Use a PGND cable to connect the ground hole of the device directly to the ground bar, as shown in the following figure.

Method 2: Use a PGND cable to connect the ground hole of the device to the ground terminal of the cabinet so that the ground hole of the device is connected to the ground bar through the cabinet. When using this method, ensure that the ground terminal and ground bar are reliably connected.

No ground bar is available.

Method 1: If the device uses a 220 V AC power supply, use the PE cable of the AC power supply to ground the device. When using this method, ensure that that the PE cable is properly grounded in the power distribution room or on the AC power transformer, and that all cables used between the ground segment and device are triple-core cables.

Method 2: Bury a ground electrode, and use a PGND cable to directly ground the device. When using this method, ensure that mud ground exists near the device and that the ground electrode can be buried.

The ground electrode can be angle steel or a steel pipe (made of zinc-coated steel) with a length no less than 0.5 m. The dimensions of the angle steel must be at least 50 mm x 50 mm x 5 mm (L x W x H). The inner wall thickness of the steel pipe must be at least 3.5 mm. The PGND cable shall be welded to the ground electrode, and the surface of the welding point must be coated with antirust paint.

NOTE:

You are advised to spray some salt water on the soil near the ground electrode to reduce the resistivity of the soil and improve the grounding effect of the ground electrode.

Verifying Grounding

Method: Measure the ground voltage and resistance.

Item | Measurement Method and Description
Ground voltage | When the device is powered on, use a multimeter to measure the voltage between the device shell and ground (which can be the ground bar or PE cable of the AC power supply). If the voltage is greater than 10 V, the grounding effect is not good. Locate the cause and improve the grounding effect.
Ground resistance. | When the device is powered off, use a multimeter to measure the voltage between the device shell and ground (which can be the ground bar or PE cable of the AC power supply). If the resistance is greater than 10 ohms, the grounding effect is not good. Locate the cause and improve the grounding effect.

Cabling Specifications

To prevent call quality from being affected by interference among cables, comply with the following cabling rules:

·The PGND cable is grounded based on the nearby principle, and is properly connected to the ground bar.

·The length of the PGND cable does not exceed 45 cm. The PGND cable shall be as short as possible, and coiling is forbidden. If the length of the PGND cable exceeds 45 cm, relocate the ground bar.

·The PGND cable shall not be in parallel or twisted with signal cables.

·Signal and power cables are separated, and analog and digital signal cables are separated.

Parent Topic: Installation


Obtaining Software

This topic describes how to obtain software before configuring and using the unified gateway.

Obtaining Software Installation Packages

In software package file names, *** indicates the specific version number.

Table 1 Software Package

Software Package | Description | How to Obtain
UScale X19XX | UScale X19XX.zip: a package containing device software and configuration scripts | Obtain software from Software on the technical support website.

Parent Topic: Installation


Configuration

This topic describes the configuration methods and configuration examples of the unified gateway.

·Before Configuration

·This topic provides information about configuration documents and how to use such documents to configure related data.

·Configuration Guide (Web Mode)

·This topic describes how to configure the basic information, numbers, trunks, and some services for the unified gateway.

·Feature Guide

·This guide describes the general information, configuration, and usage of the basic features provided based on the X1900 + ECS.

·Configuration Examples in Typical Scenarios

·This topic provides examples for the configuration and commissioning in typical scenarios of the unified gateway.


Before Configuration

This topic provides information about configuration documents and how to use such documents to configure related data.

Overview of Configuration Documents

Configuration documents for the unified gateway involve the configuration guide, configuration example, and online help integrated into the configuration tools. Table 1 describes these documents.

Table 1 Description of configuration documents

Document | Description
Configuration Guide | Describes the entire process and general method of data configuration, including configuration preparations, initial configurations, license loading, board configurations, user number allocation, trunk configurations, automatic switchboard configurations, advanced configurations, and post-configuration operations.
Configuration Example | Provides configuration examples for the unified gateway in typical application scenarios, including board configurations, user number allocation, trunk configurations, and other configurations.
Online Help | ·Provides online help for the web management system, including the background information, operation procedure, and parameter description.

Usage of Configuration Documents

You are advised to follow the principles below to configure data when referring to the configuration documents for the unified gateway:

·When the configuration examples provided match the live network scenarios, follow the Configuration Examples in Typical Scenarios and refer to the Configuration Guide to configure data.

For details, see Figure 1.

·When performing a configuration task following a specific configuration example, you can also refer to the related information in the Configuration Guide if necessary.

Figure 1 Using the Configuration Guide and Configuration Example

·When performing a configuration task based on an configuration example, you can refer to the configuration guide as required.

·For example, "Number Allocation for SIP Users" in the Configuration Guide only provides description of some parameters. For more information, you can refer to the online help of the web management system.

Parent Topic: Configuration


Configuration Guide (Web Mode)

This topic describes how to configure the basic information, numbers, trunks, and some services for the unified gateway.

·Configuration Process

·The configuration process described in this topic is a complete and general process. It provides guidance for initial configuration, configuration verification, and commissioning of the unified gateway.

·Preparing for Configuration

·Before configuration, check the prerequisites for configuration and learn about how to log in to the configuration tool.

·Configuring the Basic Information

·This topic describes how to configure the working mode, network port mode of the main control board, IP address, system time of the unified gateway.

·Configuring Boards

·This topic describes how to configure boards in the web management system based on the actual hardware configuration. After the boards are configured, you can perform operations such as number allocation and trunk configuration.

·Allocating User Numbers

·This topic describes how to allocate user numbers of different types based on the network configuration. The unified gateway supports two types of users: SIP user and POTS user.

·Configuring Trunks

·This topic describes how to configure various trunk data to connect the unified gateway to the peer device.

·Configuring Toll Fraud Prevention

·You can configure limiting conditions on the PBX to prevent extra expenses due to call fraud.

·Verifying the CDR Service

·This topic describes the background and application scenario of the call detail record (CDR) service and explains the methods of configuring and verifying the CDR service in the EC solution.

·Advanced Configuration

·This topic describes common configuration policies and services including number change, intelligent routing, and call restriction.

·Post-Configuration Operations(Data save)

·This topic describes the enterprise user information, server IP addresses, backup files, documents, and maintenance suggestions to be provided for the enterprise customer after the configurations are completed.

Parent Topic: Configuration


Configuration Process

The configuration process described in this topic is a complete and general process. It provides guidance for initial configuration, configuration verification, and commissioning of the unified gateway.

Figure 1 shows the configuration process.

Plan and configure the service data by strictly following the information described in Configuring Toll Fraud Prevention. Otherwise, toll fraud (placing international toll calls or premium-rate telephone numbers bypassing the security policies) may occur, causing economic losses.

Figure 1 Configuration process

Parent Topic: Configuration Guide (Web Mode)


Preparing for Configuration

Before configuration, check the prerequisites for configuration and learn about how to log in to the configuration tool.

·Checking the Prerequisites for Configuration

·This topic describes the prerequisites for configuration.

·Preparing Configuration Tools

·The configuration tools include the web management system, You must know the functions of these tools and how to use them.

·Loading and Backing Up the License File

·You are advised to load the license file before configuring the data.

Parent Topic: Configuration Guide (Web Mode)


Checking the Prerequisites for Configuration

This topic describes the prerequisites for configuration.

Table 1 Checking the Prerequisites for Configuration

Check Item | Expected Result
Hardware installation | 1.The unified gateway has been installed on the shelf. 2.The unified gateway has been connected to other devices. 3.The indicators function properly when the unified gateway is powered on.
License application | The License.dat file has been obtained. For details on how to obtain the license file, see Applying for a License.
Data plan | The configuration data has been planned using the network plan configuration template.
Version information | The unified gateway version is the desired version. You can log in to the web management system (for details, see web management system) and choose System > Version Information to view the version information.

Parent Topic: Preparing for Configuration


Preparing Configuration Tools

The configuration tools include the web management system, You must know the functions of these tools and how to use them.

·Learning About Configuration Tools

·Before the configuration, you must learn about the functions and application scenarios of the web management system.

·Logging In to the Web Management System

·The unified gateway provides a web management system, enabling users to quicksetup, number management, trunk management, system configuration, and resource query on the unified gateway.

Parent Topic: Preparing for Configuration


Learning About Configuration Tools

Before the configuration, you must learn about the functions and application scenarios of the web management system, local maintenance terminal (LMT), and command-line interface (CLI) configuration tools.

Table 1 lists the functions and application scenarios of the configuration tools.

Table 1 Functions and application scenarios of the configuration tools

Configuration Tool | Functions and Application Scenario
Web management system | The web management system enables you to log in to the unified gateway using a browser. The web management system can be used to allocate user numbers, configure the system and trunk data, and query resources.


Logging In to the Web Management System

The unified gateway provides a web management system, enabling users to quicksetup, number management, trunk management, system configuration, and resource query on the unified gateway.

Prerequisites

1.An operation and maintenance terminal (a PC) is available.

The PC must:

·Have an Ethernet adapter installed and support TCP/IP.

·The web browser can only be Internet Explorer 8.0/9.0/10.0/11.0 that supports ActiveX and Javascript.

·Support the resolution of 1024 x 768 or higher (1280 x 1024 recommended).

2.You have connected the network cables.

Select either of the following two modes for networking based on actual network requirements:

·Use a straight-through cable to connect the network port of the unified gateway to the network adapter port of the PC.

·Use a straight-through cable to connect the network port of the unified gateway to a switch or a hub, which is then connected to the PC.

·The unified gateway is a single network port mode, and you can log in to the web management system through network ports 1, 2, and 3 on the SCU board ( X1911/X1960/X1981).

3.You have set the IP address of the PC.

The IP address of the PC must be on the same network segment as that of the unified gateway and cannot conflict with IP addresses of other devices.

1.X1911/X1960/X1981 The factory default IP address for 1981 is 10.241.241.241:8080, the default gateway is 10.241.241.1, and the subnet mask is 255.255.255.0.

Procedure

1.Open Internet Explorer, enter the IP address (default: http://10.241.241.241:8080) of the unified gateway in the address box, and press Enter.

2.Click Enter management system in the upper right corner of the login page, and Enter the user name, configuration password, and verification code, and click Log In, as shown in Figure 1.

Figure 1 Logging in to the X1900 web interface

The default user name and configuration password are admin and admin123 respectively.

·To ensure account security, change the password as soon as possible after the first login and use a password with a high complexity. If the password is not changed, the account might be stolen. To change the password, click Change password in the upper right corner of the web management system portal.

Troubleshooting

If you fail to log in to the unified gateway, check your login information.

·If Enter management system is displayed in the upper right corner of the login page, you have logged in as a common user. The user name and the password is configured by users themselves.

·If Enter self-service system is displayed in the upper right corner of the login page, you have logged in as an administrator. The default user name and config password are admin and admin123.


Loading and Backing Up the License File

You are advised to load the license file before configuring the data.

Prerequisites

The License.dat file has been obtained. For details, see Applying for a License.

Loading the License File

1.Use an editor to open the license file and check whether the license version is the same as the device version.

If the versions are the same, go to the next step. If the versions are different, apply for the license file of the corresponding version before loading the license file.

2.Log in to the web management system. For details, see Logging In to the Web Management System.

3.Choose System > License Information > License Management from the navigation tree.

4.Click Browse and select the license file.

5.Click Upload.

Result Validation

1.After loading the license, click on the "License Information" tab to query the license information loaded for each model of the unified network gateway, as shown in Figure 1.

Figure 1 License Information

Table 1 describes the key parameters displayed on the page. For more information about the parameters.

Table 1 Key parameters

Parameter | Description
Total users | Number of users to be allocated.
CTI users | Number of SoftConsole clients.
Attendant Console Client User License | Number of assignable attendant console client users
Voice Mail nums | Number of concurrent voice mailboxes.
Conference users | Number of concurrent users in an audio conference.

If the number of users supported remains unchanged, the license file fails to be loaded. See the troubleshooting guide and load the license file again.

The specifications of the control items allowed by the license file to be loaded must be greater than the specifications authorized by the current license file; otherwise, the loading fails.

Backing Up the License File

The unified gateway later versions allow you to export the license file in the web management system.

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose System > License Information > License Management from the navigation tree.

3.Click Download and save the license file to the local PC. As shown in Figure 2.

Figure 2 Export License File

Troubleshooting

Symptom

Solution

The license file fails to be loaded.

·View the number of users. If the number of users exceeds the number allowed by the license file, delete excessive users and load the license file again.

·Check whether the value of Esn in the license.dat file is the same as the device electronic serial number (ESN). If no, apply for a new license file using the device ESN.

·Ensure that the license version is the same as the device version. If the versions are different, apply for the license file of the corresponding version before loading the license file.

Parent Topic: Preparing for Configuration


Configuring the Basic Information

This topic describes how to configure the working mode, network port mode of the main control board, IP address, system time of the unified gateway.

·Configure IP address

·To enable the connection between the unified gateway and other network devices, you must configure the IP address of the unified gateway.

·Configure System Time

·This topic describes how to configure the date, time, time zone, and daylight saving time (DST) rules to ensure that the data such as the license file can be loaded correctly.

Parent Topic: Configuration Guide (Web Mode)


Configure IP address

Configure the IP address of the unified gateway to ensure interoperability with other devices in the network.

Repair external communication IP address

The factory default external communication IP address for X1911/X1960/X1981 is 10.241.241.241:8080, and the default gateway is 10.241.241.1. Please make modifications based on your actual data planning.

This section takes the implementation of the following requirements as an example: modify the local communication IP address of the unified gateway to 172.16.228.61, the subnet mask to 255.255.0.0, and the gateway address to 172.16.0.1.

1.Log in to the web management system. Please refer to Logging in to the web management system for instructions on how to log in.

2.Select "System Management>Device Management" in the navigation bar.

3.Click on 'Configure' after 'IP Address'.

4.Modify the local IP and gateway addresses, as shown in Figure 1.

Figure 1 Modifying the Local IP

5.Click 'Save'.

The system pops up a prompt window saying 'Please complete the address modification for P, if the master has already used TLS certificate, please regenerate the certificate'. Then, please log in to the Unified Gateway with the modified IP address.

6. If you want to enable TLS, please go to the certificate management page to regenerate the TLS certificate.

Parent Topic: Preparing Configuration Tools


Configure System Time

Configure the system time, including configuring the date, time, and time zone to ensure the correctness of data loading, and load the license.

Background information

Due to the possibility of different time zones in different countries or regions, it is necessary to configure the system time zone as the time zone of the country or region where the unified gateway device is located. The default time zone of the system is+8 zone.

Configure system date、time and time zone

The unified gateway supports manual setting of system time and synchronization time with NTP servers.

·Manually set the time and time zone.

1. Log in to the web management system and select "System Management>Time Configuration".

2. Set the time zone and local time in the "Time Configuration" tab.

Figure 1 Setting System Time and Time Zone

3. Click the OK button and a prompt 'Operation successful' will pop up.

·Synchronize the clock from the NTP server.

1. Log in to the web management system and select "System Management>Time Configuration".

2.

The unified gateway provides a web management system, enabling users to quicksetup, number management, trunk management, system configuration, and resource query on the unified gateway.

Prerequisites

1.An operation and maintenance terminal (a PC) is available.

The PC must:

·Have an Ethernet adapter installed and support TCP/IP.

·The web browser can only be Internet Explorer 8.0/9.0/10.0/11.0 that supports ActiveX and Javascript.

·Support the resolution of 1024 x 768 or higher (1280 x 1024 recommended).

2.You have connected the network cables.

Select either of the following two modes for networking based on actual network requirements:

·Use a straight-through cable to connect the network port of the unified gateway to the network adapter port of the PC.

·Use a straight-through cable to connect the network port of the unified gateway to a switch or a hub, which is then connected to the PC.

·In single-network-port mode, you can log in to the web management system through network port 0 or 1 or 2 on the SCU board (X1911/X1960/X1981) .

3.You have set the IP address of the PC. The IP address of the PC must be on the same network segment as that of the unified gateway and cannot conflict with IP addresses of other devices.

The default IP address of the X1911/X1960/X1981 is 10.241.241.241, gateway addresses are the which is 10.241.241.1,The subnet mask is 255.255.255.0.

Procedure

1.Open Internet Explorer, enter the IP address (default: http://10.241.241.241:8080) of the unified gateway in the address box, and press Enter.

2.Click on "Enter Management Page" in the upper right corner of the login interface, enter "User Name", "Configure Password", "Verification Code", and click "Login". As shown in Figure 1.

Figure 1 Login to X1900 Series Web Interface

·To ensure account security, change the password as soon as possible after the first login and use a password with a high complexity. If the password is not changed, the account might be stolen. To change the password, click Change password in the upper right corner of the web management system portal.

Troubleshooting

If you fail to log in to the unified gateway, check your login information.

·If Enter management system is displayed in the upper right corner of the login page, you have logged in as a common user. The user name and the password is configured by users themselves.

·If Enter self-service system is displayed in the upper right corner of the login page, you have logged in as an administrator. The default user name and config password are admin and admin123.

Parent Topic: Preparing Configuration Tools


Configuring Boards

The USlale system automatically recognizes the board and does not require manual configuration.

Parent Topic: Configuration Guide (Web Mode)


Allocating User Numbers

This topic describes how to allocate user numbers of different types based on the network configuration. The unified gateway supports two types of users: SIP user and POTS user.

Context

The total number of users and the number of POTS users vary depending on the unified gateway model. For details, see Table 1.

Table 1 Number of users

Device Model | Total Number of Users | Number of POTS Users
X1911 | 300 | 96
X1960 | 1000 | 224
X1981 | 20000 | 192

·Allocating Numbers to SIP Users

·This topic describes how to allocate numbers to SIP users on the unified gateway to enable SIP users to make outgoing calls and receive incoming calls. SIP users refer to users who use IP phones, UScale soft terminals, and POTS phones connected to UScale Integrated Access Devices (IADs).

·Allocating Numbers to POTS Users

·This topic describes how to allocate user numbers to POTS phones so that POTS phones can use voice services.

Parent Topic: Configuration Guide (Web Mode)


Allocating Numbers to SIP Users

This topic describes how to allocate numbers to SIP users on the unified gateway to enable SIP users to make outgoing calls and receive incoming calls. SIP users refer to users who use IP phones, UScale soft terminals, and POTS phones connected to UScale Integrated Access Devices (IADs).

Prerequisites

·User numbers have been planned for the unified gateway.

·Initial configurations (such as IP address configuration) have been performed on IP phones or IADs if SIP users use IP phones or POTS phones connected to the IADs.

Context

SIP users use SIP to communicate with a SIP server for call connection. On the unified gateway, SIP user devices can be IP phones, UScale soft terminals, and POTS phones connected to UScale IADs. The unified gateway functions as a SIP server that receives registration and call requests from SIP users. Figure 1 shows the network involving SIP users.

Figure 1 Unified gateway network involving SIP users

The unified gateway supports batch and single number allocation. You can select an allocation mode based on the number plan. If you select the batch mode, the unified gateway allocates numbers in batches based on the specified start number, number step, and number count.

The unified gateway supports four user right levels. You can configure different right levels for different users to control the service and call rights of users.

·Table 1 lists the service rights for different user right levels.

Table 1 Service rights for different user right levels

User Right Level | Service Rights
Default | Users of this level have rights to use the local number query, call transfer, call forwarding, call waiting, abbreviated dialing, call-out barring, alarm clock, CLIP, password change, phone meeting, unified fax mailbox, call park, phone permission, ONLY, DND, multi-call, instant meeting and absent user services.
Common | In addition to service rights for the Default right level, users of this level have rights to use the RCB(only for POTS users), CBB, designated pickup, and group pickup services.
Advanced | In addition to service rights for the Normal right level, users of this level have rights to use the three-way calling, ringing, break-in, forced release, hotline, CTVMU, CTVMB, CTVMNR, CTFMU, CTVMO, call forwarding presence, call forwarding conditional, callback on no reply, and BLF services.
Super | In addition to service rights for the Advanced right level, users of this level have rights to use the privileged user, secretary, secretary station services.

·Table 2 lists the call rights for different user right levels.

Table 2 Call rights for different user right levels

User Right Level | Intra-Office Call | Local Call | National Toll Call | International Toll Call
Default | √ | √ | × | ×
Common | √ | √ | Only working time | ×
Advanced | √ | √ | √ | Only working time
Super | √ | √ | √ | √

To meet common users cannot make national toll calls, and advanced users cannot make international toll call in non-working hours, on the basis of the PIN-Code call barring service, the config set workingtime switch switch starttime starttime endtime endtime directdialtmpright on command can be executed on the unified gateway to set the working time and enable the temporary toll call rights. In this way, common user can make national toll calls and an advanced user can make international toll calls in non-working hours. For details.

During number allocation, you must specify the SIP device IDs (used as registered accounts of SIP users) and authentication modes, and ensure that the settings for these parameters are the same on the SIP user side and the unified gateway.

Scenario Description

This topic uses the following scenario as an example to describe how to allocate numbers to SIP users. You must allocate numbers based on the actual number plan.

·You need to configure 32 SIP users who use POTS phones connected to an IAD. The user numbers range from 7000 to 7031.

·You need to configure one SIP user who uses an IP phone. The user number is 7096.

·All SIP users have rights of the Default user right level and use password authentication.

Figure 2 shows the process of allocating numbers to SIP users based on the preceding requirements.

Figure 2 SIP user number allocation process

Configuring User Data on the unified gateway

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose User > SIP User and click Create on the SIP User page.

3.Enter user information on the Add SIP User page that is displayed, as shown in Figure 3.

Figure 3 Batch Adding SIP Users

Table 3 describes the key parameters.

Table 3 Key parameter description

Parameter

Description

Account

SIP user ID used in authentication. The value is the same as the SIP device ID configured on the unified gateway.

User Name

Account name provided by the VoIP service provider. The value is similar to or is a phone number. It is the same as the user number configured on the unified gateway.

Password

Indicates the password used for an account to register with the SIP server. Set this parameter to the authentication password for the SIP user configured on the unified gateway.

In X1900 V2.0 or a later version, the password can be changed on the Self-service > ONLY page for the unified gateway self-service platform.

Server 1

IP address of the SIP server. Set this parameter to the IP address of the unified gateway.

Port

Port number of the SIP server.

NOTE:

·If TLS is selected, the default value of this port is 5061.

·If UDP or TCP is selected, the default value of this port is 5060.

Figure 4 SIP User page

You can select one user and click [image] to modify user information, or click Delete to delete the users.

1.Add SIP user 7096, as shown in Figure 5.

Figure 5 Adding a SIP user

2.Click OK.

The SIP User page is displayed. If you want to modify or delete users.

Parent Topic: Allocating User Numbers


Allocating Numbers to POTS Users

This topic describes how to allocate user numbers to POTS phones so that POTS phones can use voice services.

Prerequisites

·POTS phones have been connected to the FXS ports on the OSU or ASI board through user lines. For details about the connection, see section "Connecting to Intra-Office Trunk Devices" in Quick Installation Guide. For details about the user line sequence, see Pin Assignments of Subscriber Cables.

·User numbers have been planned for the unified gateway.

·The OSU or ASI board has been configured on the unified gateway.

Context

POTS phones are directly connected to the unified gateway through analog phone lines and registered with the unified gateway, as shown in Figure 1.

Figure 1 unified gateway network involving POTS users

The unified gateway supports batch and single number allocation. You can select an allocation mode based on the number plan. If you select the batch mode, the unified gateway allocates numbers in a batch based on the specified start number and number count.

The unified gateway supports four user right levels. You can configure different right levels for different users to control the service and call rights of users.

·Table 1 lists the service rights for different user right levels.

Table 1 Service rights for different user right levels

User Right Level | Service Rights
Default | Users of this level have rights to use the local number query, call transfer, call forwarding, call waiting, abbreviated dialing, call-out barring, alarm clock, CLIP, password change, phone meeting, unified fax mailbox, call park, phone permission, ONLY, DND, multi-call, instant meeting and absent user services.
Common | In addition to service rights for the Default right level, users of this level have rights to use the RCB(only for POTS users), CBB, designated pickup, and group pickup services.
Advanced | In addition to service rights for the Normal right level, users of this level have rights to use the three-way calling, ringing, break-in, forced release, hotline, CTVMU, CTVMB, CTVMNR, CTFMU, CTVMO, call forwarding presence, call forwarding conditional, callback on no reply, and BLF services.
Super | In addition to service rights for the Advanced right level, users of this level have rights to use the privileged user, ringing, secretary, secretary station services.

·Table 2 lists the call rights for different user right levels.

Table 2 Call rights for different user right levels

User Right Level | Intra-Office Call | Local Call | National Toll Call | International Toll Call
Default | √ | √ | × | ×
Common | √ | √ | Only working time | ×
Advanced | √ | √ | √ | Only working time
Super | √ | √ | √ | √

To meet common users cannot make national toll calls, and advanced users cannot make international toll call in non-working hours, on the basis of the PIN-Code call barring service, the config set workingtime switch switch starttime starttime endtime endtime directdialtmpright on command can be executed on the unified gateway to set the working time and enable the temporary toll call rights. In this way, common user can make national toll calls and an advanced user can make international toll calls in non-working hours. For details.

Scenario Description

The following assumes that you need to:

·Allocate 12 user numbers starting from 9000 to the OSU board installed in slot 0 on the unified gateway.

·Allocate long numbers 68909000–68909011 to user numbers 9000–9011.

The long numbers are provided by the carrier.

Configuring POTS Users

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose User > POTS User and click Create on the POTS User configuration page.

3.Enter user information on the Create POTS Users page that is displayed, as shown in Figure 2.

Figure 2. Add POTS user

Table 3 describes the key parameters displayed on the page. For detailed description about the parameters, see the Web Management System Online Help.

Table 3 Key parameter description

Parameter

Description

Slot

ID of the slot where the OSU or ASI board is installed.

NOTE:

The slot numbers for boards of different models are different. You can select only the numbers of slots that have boards.

User right level

User right levels are listed in the following ascending order: Default right < Normal right < Advanced right < Super right. The default value is Default right.

Different user right levels indicate different service rights and call rights. For details, see Table 1 and Table 2.

Start port

Number of the port (on the OSU or ASI board) connecting the subscriber cable of the POTS user.

Agent registration ID

ID of a registration proxy on the central node to register a POTS user on the local node in the centralized call management network.

The default value is the POTS user number.

Agent registration psw

Password used by a registration proxy on the central node to register a POTS user on the local node in the centralized call management network.

If no authentication information is configured for the registration proxy user on the central node, no password is required.

Media stream encryption

Indicates whether to encrypt media streams of calls. This service prevents calls from being listened to, which ensures conversation security. For details, see Configuring Media Stream Encryption.

4.Click OK.

The POTS User page is displayed.

You can select one or more users and click Modify to modify user information, or click Delete to delete the users.

5.Click Data Save in the upper right corner of the web management system.

The unsaved configurations will be deleted after the device is restarted.

Verification

Task | Operation | Result
Verify the allocated number. | User 9000 picks up the phone and dials *128#. | The announcement "Your number is 9000" is played.

Parent Topic: Allocating User Numbers


Configuring Trunks

This topic describes how to configure various trunk data to connect the unified gateway to the peer device.

·Configuring an Office Route

·This topic describes the concepts about office route, sub-route, and office route selection code, and how to configure an office route.

·Configuring Prefixes

·Configure intra-office prefixes and outgoing prefixes for unified gateway users so that unified gateway users (intra-office users) can make calls with each other or to external users.

·Configuring Signaling Data

·This topic describes how to configure various signaling data to connect the unified gateway to the peer device through trunks.

·Configuring a Clock Source

·When configuring the digital trunk (PRA/SS7/QSIG/R2/), you also need to configure a clock source to ensure clock synchronization between the local device and the peer device and prevent frame slip (voice packet loss) during voice calls.

Parent Topic: Configuration Guide (Web Mode)


Configuring an Office Route

This topic describes the concepts about office route, sub-route, and office route selection code, and how to configure an office route.

Context

Figure 1 shows a network that involves sub-routes and office routes between offices A and B and trunks between offices C and D.

Figure 1 Network diagram

Office route and Office route ID

If a direct channel is available between two exchange offices, either of the exchange offices is the office route of the other exchange office. For example, in Figure 1, there are direct channels between office A and office B; therefore, office B is office route of office A. There is no direct channel between office A and office D; therefore, office D is not an office route of office A.

The unified gateway uses the office route number to uniquely identify an office route. For example, for office A in Figure 1, the office route number from office A to office B is 1 and from office A to office C is 2.

Sub-route

If a direct channel or an alternative channel is available between two exchange offices, there is a sub-route between the two exchange offices. The direct channel is the direct sub-route while the alternative channel is the alternative sub-route. For example, in Figure 1, there are two sub-routes between office A and office B. No.1 sub-route is a direct sub-route and can connect office A and office B directly without any convergence connections. No.2 sub-route is an alternative sub-route and connects office A and office B through office C.

Route

A route is the group of sub-routes between two exchange offices. A route contains one or more sub-routes and different routes may contain the same sub-route. For example, in Figure 1, the route between office A and office B contains sub-routes NO.1 and NO.2 while there is only a sub-route No.2 between office A and office D.

Office route selection code and Office route selection policy

Office route selection code of an office route. Each code identifies an office route selection policy.

An office route selection policy is used to select the trunk for communication when multiple trunks are available between two offices. For example, you can configure a time-based office route selection policy to allow offices C and D to communicate with office A in the morning and communicate with office B in the afternoon. For details, see Configuring Intelligent Routing.

Failure Processing Index

If multiple trunks are available between two offices and one trunk is faulty, the failure processing index is used to switch the communication to another trunk. For example, if trunk b is configured as the standby trunk for trunk a, trunk b can be used in communication when trunk a is faulty. For details, see Configuring Rerouting.

Scenario Description

This topic assumes that you want to:

Set Office route selection code to 0 and Office route ID to 0, and retain the default values for Office route selection policy, Office route selection policy, and Whether to send the two-stage dialing tone.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose Trunk > Office Route Configuration.

3.Configure an office route selection code and an office route.

a.Click Office Route Configuration.

b.Click Create on the Office route selection code page and enter an office route selection code, as shown in Figure 2.

Figure 2 Creating an office route selection code

Table 1 describes the key parameters displayed on the page. For detailed description about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description

Parameter | Description
Office route selection policy | Policy indicating which trunk is used when multiple trunks are available between two offices. For details, see Configuring Intelligent Routing.
Failure Processing Index | Index that allows the standby office route selection code policy to be used when the active office route selection code policy fails. For details, see Configuring Rerouting.
Whether to send the two-stage dialing tone | Indicates whether to play the two-stage dialing tone to a user when the user dials an outgoing prefix. To play the two-stage dialing tone, set this parameter to Yes.

c.Click OK.

d.Click Office route ID.

e.Click Create on the Office route ID page.

f.Set Office route ID, Office route selection code, Media stream encryption, and Count concurrent calls, as shown in Figure 3.

Figure 3 Creating an office route

·You are advised to bind each office route ID to a unique office route selection code. If multiple office route IDs are bound to the same office route selection code, all office route records under the office route selection code are added to the routing table on the unified gateway when you configure the route analysis function, which may cause that the routing table becomes full.

·The Media stream encryption parameter indicates whether to encrypt RTP media streams to ensure data security.

·Count concurrent calls parameter is added in the V2.0 version. Indicates whether to collect the maximum number of historical concurrent calls in each statistical period (30 or 60 minutes) for an office route. The statistics can be collected for a maximum of 30 office routes so that users can learn whether the current concurrent call specifications are sufficient. By default, this function is disabled. If this parameter is enabled, you can query the number of concurrent historical calls in Concurrent calls records statistics in the web management system. For details, see the Web Management System Online Help. You can also run the show concurrentcallshistory command to query the number of concurrent historical calls.

g.Click OK.

h.Click Data Save in the upper right corner of the web management system.

The unsaved configurations will be deleted after the device is restarted.

i.Special scenario

In special scenarios, you need to configure the intelligent route and two-stage dial tone as required. For details, see Configuring Intelligent Routing or Configuring Call Restriction Policies.

Parent Topic: Configuring Trunks


Configuring Prefixes

Configure intra-office prefixes and outgoing prefixes for unified gateway users so that unified gateway users (intra-office users) can make calls with each other or to external users.

Prerequisites

·Prefixes have been planned.

·The office route selection code has been configured if you need to configure an outgoing prefix. For details, see Configuring an Office Route.

·The number change rule has been configured if it is required. For details, see Configuring the Number Change.

·The number mapping rule has been configured if it is required. For details, see Configuring the Number Mapping.

Context

A call prefix is the string consisting of first few digits or all digits in called numbers.

Prefixes are classified into precise prefixes and wildcard prefixes.

In versions earlier than V2.0, the unified gateway supports only precise prefixes, which can contain only digits 0 to 9, *, #, and +.

In V2.0 and later versions, the unified gateway supports both precise prefixes and wildcard prefixes. In addition to digits 0 to 9, *, #, and +, wildcard prefixes can contain x, [], and [-]. The length of a wildcard prefix must be the same as the number length.

In digit-by-digit collection, if a wildcard prefix contains a precise prefix, the wildcard prefix does not take effect. For example, if prefixes 5 and 5xxx both exist and if a POTS user dials 5000, prefix 5, instead of 5xxx, is matched.

If only precise prefixes are used when number routing rules are complicated, you need to configure a large number of prefixes, increasing the difficulty for deployment and maintenance. In this case, you should use wildcard prefixes.

For example, for number segments where only a middle digit changes, such as 23401, 23411, 23421, ..., 23491, you need to add 10 prefixes if you use precise prefixes. If you use wildcard prefixes, you can add only one wildcard prefix 234x1.

If the called number is 1234, the prefix can be:

·First digit: 1

·First two digits: 12

·First three digits: 123

·Entire called number: 1234

·Wildcard prefix: 1xxx, 1[235]34, and so on

The prefix groups configured on the unified gateway constitute a called number analysis table of the system. If the called number analysis table contains multiple prefixes for a called number, the system uses the maximum matching rule to match the called number with a prefix during number analysis.

Assume that the called number is 1234 and the prefixes 1, 12, and 1234 are configured in the called number analysis table. According to the maximum matching rule, the system will select the prefix 1234, which is the closest to the called number. The prefixes 1 and 12 do not comply with the rule.

The basic service prefixes are classified into two types:

·Intra-office prefix: used for intra-office and outer-office users to call intra-office users. For example, if the intra-office number ranges from 7000 to 7099, you can set the intra-office prefix to 7. When calling an intra-office user, you can simply dial the user number such as 7001.

·Outgoing prefix: used when intra-office users make outgoing calls, such as local calls, national toll calls, or international toll calls. For example, when intra-office user 7000 makes a call to outer-office user 12345678, the following scenarios are available:

Figure 1 shows the scenario where number change is not involved.

Figure 1 Scenario not involving number change

If number change is involved, see Configuring the Number Change for how to configure number change. Figure 2 shows the scenario where number change is involved. This scenario assumes that the number change rule deletes the first digit 9 of the called number and prefixes the calling number with 5.

Figure 2 Scenario involving number change

Prefix configuration is flexible. It is up to the users' dialing habits and the number plan.

Table 1 Prefix Description

Prefix Type

Value

Remarks

Digits

0, 1, 2, 3, 4, 5, 6, 7, 8, and 9

None

Symbols

Asterisk (*), number sign (#), and plus sign (+)

The asterisk can be the first or last character only.

The number sign can be the first or last character only.

The plus sign can be the first character only.

NOTICE:

A prefix configured for call barring cannot start with an asterisk (*) or a pound sign (#).

Wildcard

Wildcard x indicates any digit of 0-9.

To avoid abnormal outgoing calls, wildcard x cannot be the first character in a prefix.

Wildcard x cannot appear in [].

A wildcard is case-insensitive. Therefore, x and X are the same.

Range

The characters in [] must digits 0-9 only. Any character inside [] can be matched.

For example, [0125] matches any digit of 0, 1, 2, and 5.

[] must appear in pairs and cannot contain []. There must be at least one character in []. Digits in [] must appear in ascending order.

Sub-range

Two digits before and after a hyphen (-) together indicates a range, for example, 2-4 can match any digit from 2 to 4.

The form of two digits before and after a hyphen must appear in []. For example, [1-578] indicates digit 7 or 8 or any digit from 1 to 5.

A hyphen (-) must appear in [], the characters before and after it must be digits only, and the digit before the hyphen must be smaller than the digit after the hyphen. For example, [01-34] is correct, but [10], [1], [], [-], [-9], [3-3], and [3-2] are incorrect.

Table 2 give some examples of wildcard prefixes.

Table 2 Wildcard prefix examples

Example | Description
[2-8]xxxxxxx | This prefix matches an 8-digit number. The first digit is any digit from 2 to 8, and each of the rest seven digits is one from 0 to 9.
13xxxxxxxxx | This prefix matches an 11-digit number. The first digit must be 1, the second digit must be 3, and each of the rest nine digits is one from 0 to 9.
1[0124-9]x | This prefix matches a 3-digit number. The first digit must be 1, the second digit can be 0, 1, 2, or one from 4 to 9, and the third digit is any digit from 0 to 9.

In versions earlier than V200R003C30SPC100, Wildcard prefixes support only called prefix analysis. Calling prefix analysis and trunk bearer prefix analysis are not supported. In addition, wildcard prefixes support only the following four basic services: intra-office call, local call, national toll call, international toll call, and localinter.

The wildcard prefix number analysis table is independent of the precise prefix number analysis table. When analyzing a number, the unified gateway searches the precise prefix number analysis table first. If the corresponding prefix exists and the analysis result is precise exact match, searching ends; otherwise, the unified gateway searches the wildcard prefix number analysis table. If a wildcard prefix with exact match exists, this wildcard prefix prevails; otherwise, the analysis result of the precise prefix number analysis table is used.

When two wildcard prefixes are matched, the one with more precise match prevails. For example, for wildcard prefixes 31xx and 310x, if number 3100 is dialed, wildcard prefix 310x prevails. This is because wildcard prefix 310x contains 10 prefixes and 31xx contains 100 prefixes. In the case of the same match level (for example, 31x0 and 310x), the one appearing first in the show prefix command output prevails.

In V200R003C30SPC100 and later versions, wildcard prefixes support called prefix analysis and calling prefix analysis.

Scenario Description

This topic assumes that you want to:

·Add intra-office prefix 7 and set Service type to Basic service.

·Add outgoing prefix 9 and set the office route selection code to 0, Service type to Basic service, and Call property to Local call.

To prevent toll fraud, before adding the local call prefix, you must add the national toll call prefix and international toll call prefix; otherwise, the local call prefix cannot be added.

Procedure

1.Configure the intra-office prefix.

a.Log in to the web management system. For details, see Logging In to the Web Management System.

b.Choose Trunk > CalleePrefix Configuration and click Create.

c.Configure a prefix in the Create Prefix dialog box, as shown in Figure 3.

Figure 3 Configuring an intra-office prefix

Table 3 describes the key parameters displayed on the page. For detailed description about the parameters, see the Web Management System Online Help.

Table 3 Key parameter description

Parameter

Description

Prefix

A wildcard prefix cannot exceed 40 characters, and the actual prefix cannot exceed 32 characters.

For example, wildcard prefix 3[3-6] contains six characters, and the matched actual prefix contains two characters.

Service type

·Basic service

The service type is a basic audio service such as intra-office call and local call.

·Supplementary service

The service type is a supplementary service.

·Intelligent service

The service type is a common intelligent service, and is currently unavailable.

·SoftConsole service

The service type is a softconsole service such as the call waiting and attendant group in the console.

·Virtual user

The service type is a virtual user service such as the phone meeting, automatic switchboard, and customized VU.

·Card number service

The service type is a card number service such as the call, recharge, password change, balance query, terminal binding, prepaid, or postpaid service.

·Call by Dialing Card NumbeSr

Users can dial a card number to make intra-office calls, national toll calls, international toll calls, and emergency calls.

Call property

·Intra-office call

This option is selected for calls between users under the same unified gateway.

·Local call

This option is selected for local calls.

·National toll call

This option is selected for national toll calls.

·International toll call

This option is selected for international toll calls.

·Emergency call

This option is selected for emergency calls, for example, to 911.

·Intra-office or local call

This option is selected when first digits in a local number compose a short number. The call with this attribute is routed to the intra-office user. If the routing fails, the call is then routed to the local user in another office.

·Route by number length

This option is selected for outgoing calls with the same prefix but with different number lengths. For details, see Add a number route analyzing prefix.

·Local regeneration call

This option is selected for calls between intra-office users and local PSTN users when both active and standby devices in the centralized call management network mode fail and the local generation function is enabled.

Calling number change

Index of a calling number change rule. The calling number change rule is used to change calling numbers, for example, to a switchboard.

The priorities of the three number change modes are long number and short number, number mapping, and number change in descending order.

For details, see Configuring the Number Change.

Calling number mapping

Indicates whether to display the mapping number of a calling number. If a user is not configured with the long number, the mapping number is displayed on the called parties' phones.

The priorities of the three number change modes are long number and short number, number mapping, and number change in descending order.

For details, see Configuring the Number Mapping.

Called number change

Index of a called number change rule. For example, a called number change rule can be as follows: If the calling party dials 912345678, unified gateway deletes the outgoing prefix 9 and sends the called number 12345678.

The priorities of the three number change modes are long number and short number, number mapping, and number change in descending order.

For details, see Configuring the Number Change.

Called number mapping

Indicates whether the mapping number of a called number can be used in dialing. If a user is not configured with the long number, the mapping number can be used.

The priorities of the three number change modes are long number and short number, number mapping, and number change in descending order.

For details, see Configuring the Number Mapping.

Display long calling number

The long number is a number used for short-number users to make outgoing calls or for outer-office users to call short-number users.

The default value is No. When the parameter is set to Yes and the user is configured with a long number, the calling number is changed to the long number for outgoing calls.

The priorities of the three number change modes are long number and short number, number mapping, and number change in descending order.

PSTN access

Indicates whether to allow trunk users to call the prefix.

When the parameter is set to No, trunk users cannot call numbers starting with the prefix.

User called number type

(For digital trunks) Type of the called number sent to the PSTN when an intra-office user makes an outgoing call using the prefix.

User calling number type

(For digital trunks) Type of the calling number sent to the PSTN when an intra-office user makes an outgoing call using the prefix.

Change the trunk called number type

(For digital trunks) Indicates whether to change the called number type when an outgoing tandem call is made using the prefix.

Trunk called number type

(For digital trunks) Type of the called number sent to the PSTN when an outgoing call is made using the prefix.

Change the trunk calling number type

(For digital trunks) Indicates whether to change the calling number type when an outgoing tandem call is made using the prefix.

Trunk calling number type

(For digital trunks) Type of the calling number sent to the PSTN when an outgoing call is made using the prefix.

Call Source

In V2.0 and later versions, if Service type is Basic service and Call property is Intra-office or local call or Local regeneration call, the Call Source configuration item is added on the UI. This configuration item is used to process the long-number calls of analog users on the local node, preventing a cyclic route between the local node and the central node for such calls.

32-level customized rights

32-level customized rights that are extended based on basic all rights. Customized rights can be used with prefix rights to restrict calls.

For example, if the cus1 customized right is configured for outgoing prefix 9 and user 7000, only user 7000 can dial prefix 9 to make outgoing calls.

·The User called number type, User calling number type, Change the trunk called number type, Trunk called number type, Change the trunk calling number type, and Trunk calling number type parameters are used to change the calling and called number type based on the called number prefix for outgoing calls through the E1 trunk ( ISUP, PRI, and QSIG, R2 not supported). The types include User Number, National Number, International Number, and Unknown.

·You can configure the maximum number length for a prefix when adding the prefix. By default, the maximum number length is 32. To prevent unauthorized users from making toll fraud calls by adding number prefixes, you are advised to configure different number lengths based on the prefix type. In the V200R003C50SPC300 and later versions, the default maximum number lengths are as follows: 32 for intra-office calls, 13 for national toll calls, 32 for international toll calls, and 12 for local calls, local regeneration calls, local inter-office calls, and intra-office or local calls.

b.Click OK.

2.Configure the outgoing prefix.

Add the national toll call prefix and international toll call prefix before adding a local call prefix. If not, the operation of adding a local call prefix fails.

a.Click Create on the prefix configuration page.

b.Configure a prefix in the Create Prefix dialog box, as shown in Figure 4.

Figure 4 Configuring an outgoing prefix

Table 3 describes the key parameters displayed on the page.

c.Click OK.

3.Click Data Save in the upper right corner of the web management system.

The unsaved configurations will be deleted after the device is restarted.

Result

Log in to the web management system, choose Trunk > Called Prefix Configuration, and query configured precise prefixes and wildcard prefixes.

Parent Topic: Configuring Trunks


Configuring Signaling Data

This topic describes how to configure various signaling data to connect the unified gateway to the peer device through trunks.

·Configuring a SIP Trunk

·This topic describes how to configure a SIP trunk connection between the unified gateway and the peer device. The peer device must support the SIP trunk.

·Configuring a PRA Trunk

·This topic describes how to configure a PRA trunk connection between the unified gateway and the peer device.

·Configuring an SS7 Trunk (Voice Data and Signaling Data Sent Through the Same Channel)

·There are two scenarios when the unified gateway is connected to the peer device through the SS7 trunk. This topic describes how to configure an SS7 trunk in the scenario where voice data and signaling data are sent through the same channel to the peer device.

·Configuring a QSIG trunk

·This topic describes how to configure a QSIG trunk connection between the unified gateway and the peer device.

·Configuring an R2 Trunk

·This topic describes how to configure an R2 trunk connection between the unified gateway and the peer device.

·Configuring an AT0 Trunk

·This topic describes how to configure an AT0 trunk connection between the unified gateway and the peer device. U1980 does not support the AT0 trunk.

Parent Topic: Configuring Trunks


Configuring a SIP Trunk

This topic describes how to configure a SIP trunk connection between the unified gateway and the peer device. The peer device must support the SIP trunk.

Context

The SIP trunk is a packet trunk based on the IP network. It is connected to the peer device through the Ethernet cable.

Different from a physical channel defined by a circuit trunk, a SIP trunk defines a logical channel, which solves the issues about interoperability authentication and call addressing between the local office and the peer office.

The following transmission protocols can be used for unified gateway.

Protocol | Description | Local Port
UDP | A connectionless transport layer protocol that provides a simple but unreliable transaction-oriented information transmission service. UDP features less resource consumption and higher processing speed, but does not guarantee that data packets can be sent to the destination safely and completely. | 5060 (mandatory)
TCP | A connection-oriented, reliable IP-based transport layer protocol. The processing speed of TCP is lower than that of UDP, but TCP supports retransmission of lost packets and data verification to ensure that data packets can be sent to the destination safely and completely. | 5060 (recommended)
TLS | A cryptographic protocol that provides communication security between two communication application programs, ensuring data confidentiality and integrity. | 5062 or 5063 (recommended)

This topic describes how to configure a SIP trunk that uses the non-cryptographic UDP or TCP protocol. To acquire higher security, you can configure a SIP trunk using TLS by referring to Configuring Signaling Encryption.

Scenario Description

Configurations vary depending on the actual data plan. The following assumes that you need to:

Configure the SIP trunk. Set the office route number to 0, domain name of the peer device to pbx1, IP address of the peer office to 172.16.15.87, transmission protocol to UDP, signaling port number of the local and peer offices to 5060.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose Trunk > Trunk Configuration > SIP from the navigation tree.

3.Click Add A Peer Office in the SIP trunk configuration area.

The blue icon point:0 (the peer device) is displayed.

4.Click point:0 or the solid line between the local office and point:0, and set the parameters according to actual situations and the parameter description on the page, as shown in Figure 1.

Figure 1 Configuring a SIP Trunk

If you use a TCP port that is not 5060 in SIP trunk communication, configure an FPGA flow control rule based on the transmission protocol for the port, and set the data transmission flow control threshold to 1000 to prevent traffic attacks on the port. For details, see Traffic Control.

Table 1describes the key parameters displayed on the page. For detailed description about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description (2)

Parameter | Description
Domain name of the peer device | Domain name that uniquely identifies a peer device. This parameter is mandatory, and the domain name must be unique.
Transmission protocol type | There are four types: UDP, TCP. TLSServer and TLSClient. NOTE: If you want to encrypt signaling using TLS, configure the communication parties as TLSServer and TLSClient respectively. For details, see Configuring Signaling Encryption.
Select office route number | ID of the office route that a SIP trunk belongs to.
Maximum number of restricted calls | Maximum number of calls on a SIP trunk. If the number of incoming and outgoing calls routed through a SIP trunk exceeds the maximum number, the system automatically rejects new calls.

5.Click OK.

When the SIP trunk configuration is complete, the line between the local office and the peer office turns green.

A green line indicates a successful data configuration, while a red line indicates that the data is not configured or the configuration fails.

6.Click Data Save in the upper right corner of the web management system.

The unsaved configurations will be deleted after the device is restarted.

Verification

Task | Operation | Result
Verify the trunk connection. | An intra-office user calls an outer-office user. | The call is successful.

Troubleshooting

If the call fails, see Trunk Faults.

Parent Topic: Configuring Signaling Data


Configuring a PRA Trunk

This topic describes how to configure a PRA trunk connection between the unified gateway and the peer device.

Prerequisites

·For the X1911/X1960/X1981

·You have installed the digital trunk cable that connects the local office and the peer office. For details on how to install the digital trunk cable, see the Quick Installation Guide.

Context

PRA trunk

A PRA trunk is a digital circuit trunk that is connected to the peer device through the E1 or T1 trunk cable. The PRA trunk uses the Digital Subscriber Signaling No.1 (DSS1) as the control signaling. The DSS1 is designed based on the network/user model. That is, one side of the trunk is the network, and the other side is the user.

Clock source

The clock source is configured on one device so that the peer device can synchronize its clock with this device. The configuration of a clock source prevents the frame slip (voice packet loss).

·If the unified gateway connects to multiple devices through E1 or T1 trunks, configure the clock source on any of these devices. The unified gateway will synchronize time with this device.

·If the unified gateway provides the clock source, you do not need to configure a clock source.

Scenario Description

Configurations vary depending on the actual data plan. The following assumes that you need to:

Using the X1960 as an example, add a PRA link. Set the office route number to 0, link number to 0, E1/T1 port number to 0, and link position to User Side.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure a PRA trunk.

a.Choose Trunk > Trunk Configuration > PRA from the navigation tree.

The system has a default local office Local.

b.Click Add A Peer Office in the PRA trunk configuration area.

The blue icon point:0 (the peer device) is displayed.

c.Click point:0 or the line between the local office and the peer device.

d.Click Create on the page that is displayed.

e.Set the parameters according to actual situations and the parameter description on the page, as shown in Figure 1.

Figure 1 Configuring a PRA trunk

Table 1describes the key parameters displayed on the page. For detailed description about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description

Parameter | Description
Position | Position in a PRA link. The options are User Side and Network Side.
Link Timeslot | Circuit ID of a link, which specifies the timeslot in the E1 or T1 link of a PRA trunk. When E1 is used, this parameter can be set only to 16. When T1 is used, the value of this parameter is an integer ranging from 1 to 24.
CRC | CRC is a data verification mechanism. The values of the local office and peer office must be the same. If the peer office enables the CRC, set this parameter to Yes.
Whether to send the abnormal tone | Indicates whether to play an announcement based on the returned cause code when you hang up. If this parameter is set to No, the system plays a tone when you hang up. The default value is Yes.

f.Click OK.

When the PRA trunk configuration is complete, the line between the local office and the peer office turns green.

A green line indicates a successful data configuration, while a red line indicates that the data is not configured or the configuration fails.

3.Configure a clock source. For details, see Configuring a Clock Source.

Verification

Task | Operation | Result
Verify the trunk connection. | An intra-office user calls an outer-office user. | The call is successful.

Troubleshooting

If the call fails, see Trunk Faults.

Parent Topic: Configuring Signaling Data


Configuring an SS7 Trunk (Voice Data and Signaling Data Sent Through the Same Channel)

There are two scenarios when the unified gateway is connected to the peer device through the SS7 trunk. This topic describes how to configure an SS7 trunk in the scenario where voice data and signaling data are sent through the same channel to the peer device.

Prerequisites

·You have installed the digital trunk cable that connects the local office and the peer office. For details on how to install the digital trunk cable, see the Quick Installation Guide.

·The Transmission mode parameter of the unified gateway has been set to E1.

Context

SS7 trunk

The SS7 trunk takes the SS7 signaling as the intra-office signaling. Both the ISUP protocol signaling system can be used to control inter-office trunk circuits. Therefore, the SS7 trunk can be classified into the ISUP trunk . At the physical layer, the E1 trunk cable is used to connect to the peer device. At the signaling layer, the type of trunk to be used for connecting to the peer device needs to be negotiated with the peer device. Figure 1 shows the typical network.

Figure 1 Typical networking for the SS7 trunk

The signaling data and voice data sent by the unified gateway are transferred to the PSTN switch through the E1 trunk cable.

In this topic, the ISUP trunk is used as an example.

Clock source

The clock source is configured on one device so that the peer device can synchronize its clock with this device. The configuration of a clock source prevents the frame slip (voice packet loss).

If the unified gateway connects to multiple devices through E1 or T1 trunks, configure the clock source on any of these devices. The unified gateway will synchronize time with this device. If the unified gateway provides the clock source, you do not need to configure a clock source.

Scenario Description

Configurations vary depending on the actual data plan. The following assumes that you need to:

Add a digital trunk circuit from the local office to the STP.

·Set the attribute of the digital trunk circuit on port 0 in slot 2 of the X1960. Set the office route number to 1, signaling type to ISUP, and start circuit identification code (CIC) to 0.

·Add an MTP link on port 0 of the MTU board in slot 2 of the X1960.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose Trunk > Trunk Configuration > SS7 from the navigation tree.

3.Click Add A Local Signaling Point in the SS7 trunk configuration area.

4.Add a local SPC.

a.Click Office0.

b.Set the parameters according to actual situations and the parameter description on the page, as shown in Figure 2.

Figure 2 Configuring the local office data

Obtain the Structure and Code values from a carrier.

c.Click OK.

5.Add a DSP code.

a.Click Add A Destination Signaling Point to add a DSP.

b.Click Point0.

c.Set the parameters according to actual situations and the parameter description on the page, as shown in Figure 3.

Figure 3 Configuring the STP data

d.Click OK.

6.Add a digital trunk circuit.

a.Click the solid line between Office0 and Point0.

b.Set the parameters according to actual situations and the parameter description on the page, as shown in Figure 4.

A maximum of two MTP links can be configured for the unified gateway, and each E1 port can be configured with only one MTP link. An E1 port that is not configured with any MTP links can share the MTP link with other E1 ports.

Figure 4 Configuring an SS7 trunk

Table 1describes the key parameters displayed on the page. For detailed description about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description

Parameter | Description
Signaling Type | The options are as follows: ·ISUP ISUP controls circuit switch services on the ISDN, including the necessary signaling messages, functions, and procedures in audio and non-audio service control. The default value is ISUP.
Start CIC | Circuit identification code (CIC), which is used to connect offices. The CICs configured on the trunk circuit that connects the local office and the peer office must be the same so that the two offices can be connected successfully. The value is an integer ranging from 0 to 4095. The default value is0.
CRC | CRC is a data verification mechanism. The values of the local office and peer office must be the same. If the peer office enables the CRC, set this parameter to Yes.
Link Timeslot | Circuit ID of a link, which specifies the timeslot in the E1 link of an SS7 trunk. The value is an integer ranging from 0 to 31. The default value is 16

Click on the line between "Office0" and "point1", and in the pop-up interface, click on it set up.

Set the parameters according to actual situations and the parameter description on the SS7 trunk configuration page that is displayed, as shown in Figure 5.

Figure 5 Configuring the SS7 trunk attributes

a.Click OK and click OK in the dialog box that is displayed.

If the line between the local office and the peer office turns green, the SS7 trunk configuration is complete.

2.Configure a clock source. For details, see Configuring a Clock Source.

Verification

Task | Operation | Result
Verify the trunk connection. | An intra-office user calls an outer-office user. | The call is successful.

Troubleshooting

If the call fails, see Trunk Faults.

Parent Topic: Configuring Signaling Data


Configuring a QSIG trunk

This topic describes how to configure a QSIG trunk connection between the unified gateway and the peer device.

Prerequisites

·For the X1911/X1960/X1981, an MTU board has been configured. For details, see Configuring Boards.

·You have installed the digital trunk cable that connects the local office and the peer office. For details on how to install the digital trunk cable, see the Quick Installation Guide.

Context

QSIG trunk

A QSIG trunk is a digital circuit trunk that is connected to the peer device through the E1 or T1 trunk cable. The QSIG trunk uses QSIG as the control signaling. The QSIG is designed based on the network/user model. That is, one side of the trunk is the network, and the other side is the user.

Clock source

The clock source is configured on one device so that the peer device can synchronize its clock with this device. The configuration of a clock source prevents the frame slip (voice packet loss).

If the unified gateway connects to multiple devices through E1 or T1 trunks, configure the clock source on any of these devices. The unified gateway will synchronize time with this device. If the unified gateway provides the clock source, you do not need to configure a clock source.

Scenario Description

Configurations vary depending on the actual data plan. The following assumes that you need to:

Using the X1960 as an example, add a QSIG link. Set the link number to 1, E1/T1 port number to 0, and link position to User Side.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure a QSIG trunk.

a.Choose Trunk > Trunk Configuration > QSIG from the navigation tree.

The system has a default local office Local.

b.Click Add A Peer Office in the QSIG trunk configuration area.

The blue icon point:0 (the peer device) is displayed.

c.Click point:0 or the line between the local office and point:0.

d.Click Create on the page that is displayed.

e.Set the parameters according to actual situations and the parameter description on the page, as shown in Figure 1.

Figure 1 Configuring a QSIG trunk

Table 1describes the key parameters displayed on the page. For detailed description about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description

Parameter | Description
Position | Position in a QSIG link. The options are User Side and Network Side.
Link Timeslot | Circuit ID of a link, which specifies the timeslot in the E1 or T1 link of a QSIG trunk. When E1 is used, this parameter can be set only to 16. When T1 is used, the value of this parameter is an integer ranging from 1 to 24. NOTE: If you want to use the T1 trunk, you must remove the jumper caps on the MTU board (X1911/X1960/X1981). For details on how to install a board, see the Quick Installation Guide.
CRC | CRC is a data verification mechanism. The values of the local office and peer office must be the same. If the peer office enables the CRC, set this parameter to Yes.
Whether to send the abnormal tone | Indicates whether to play an announcement based on the returned cause code when you hang up. If this parameter is set to No, the system plays a tone when you hang up. The default value is Yes.

f.Click OK.

When the QSIG trunk configuration is complete, the line between the local office and the peer office turns green.

3.Configure a clock source. For details, see Configuring a Clock Source.

Verification

Task | Operation | Result
Verify the trunk connection. | An intra-office user calls an outer-office user. | The call is successful.

Troubleshooting

If the call fails, see Trunk Faults.

Parent Topic: Configuring Signaling Data


Configuring an R2 Trunk

This topic describes how to configure an R2 trunk connection between the unified gateway and the peer device.

Prerequisites

·For the X1911/X1960/X1981, an MTU board has been configured.

·You have installed the digital trunk cable that connects the local office and the peer office. For details on how to install the digital trunk cable, see the Quick Installation Guide.

·The Transmission mode parameter of the unified gateway has been set to E1.

Context

R2 trunk

The R2 trunk is a digital circuit trunk that connects to the peer device through the E1 trunk cable.

The R2 trunk takes the R2 signaling as the inter-office signaling. The R2 signaling is a type of channel associated signaling (CAS) and is defined by the ITU-T Q.400-Q.490. Independent implementation modes are adopted in countries and regions. Therefore, multiple versions of the R2 signaling exist throughout the world. The CAS of some versions differs from the standard R2 signaling.

Clock source

The clock source is configured on one device so that the peer device can synchronize its clock with this device. The configuration of a clock source prevents the frame slip (voice packet loss).

If the unified gateway connects to multiple devices through E1 or T1 trunks, configure the clock source on any of these devices. The unified gateway will synchronize time with this device. If the unified gateway provides the clock source, you do not need to configure a clock source.

Scenario Description

Configurations vary depending on the actual data plan. The following assumes that you need to:

·Set CAS type to China NO.1.

·Using the X1960as an example, add a link. Set the link number to 0, E1 port number to 0, office route number to 2, and default called number to 68907000.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure the R2 signaling.

a.Choose Trunk > Trunk Configuration > R2 from the navigation tree.

b.Click Add A Local Office in the R2 trunk configuration area.

c.Click Local0 and set the parameters according to the parameter description on the page, as shown in Figure 1.

Figure 1 Configuring the R2 signaling

Table 1describes the key parameters displayed on the page. For detailed description about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description

Parameter | Description
Whether to use group B signaling | Indicates whether to use group B signaling to send the status of switches that process incoming calls or the line status of the called number to the outgoing R2 register. The default value is Yes.
Whether to send the scripts | Indicates whether to deliver the script corresponding to the selected CAS type. The default value is Yes.
Line signaling standard type | Signaling line standard type. The default value is Digital Line Mode.
Register signaling type | Register signaling type. The default value is MFC Signaling.

3.Configure an R2 trunk.

a.Click Add A Peer Office in the R2 trunk configuration area.

b.Click point:0.

c.Set the parameters according to actual situations and the parameter description on the page, as shown in Figure 2.

Assume that Default called number 1 is set to 68907000.

Figure 2 Configuring an R2 trunk

d.Click OK.

If the line between the local office and the peer office turns green, the R2 trunk configuration is successful.

Verification

Task | Operation | Result
Verify the trunk connection. | An intra-office user calls an outer-office user. | The call is successful.

Troubleshooting

If the call fails, see Trunk Faults.

Parent Topic: Configuring Signaling Data


Configuring an AT0 Trunk

This topic describes how to configure an AT0 trunk connection between the unified gateway and the peer device.

Context

An AT0 trunk is an analog circuit trunk. It uses a analog subscriber line to connect an FXO port in the local office to an FXS port in the upper-level office to implement the dedicated line function. Figure 1 shows the network.

Figure 1 AT0 trunk network

To support concurrent incoming and outgoing calls, you can apply to the local carrier for multiple lines, and allocate a number to each line. Based on the policy for using line resources, intra-office users are divided into DID users (that can occupy dedicated lines exclusively) and non-DID users. Table 1 describes the line selection rules in incoming and outgoing call scenarios.

Table 1 Line selection rules for AT0 trunks

Incoming and Outgoing Call Scenario

Line Selection Rule

Incoming call from a PSTN user

Figure 2 shows the line selection rule. The calling party can dial the PSTN number corresponding to a dedicated line to directly call a DID user, or dial PSTN numbers corresponding to other lines to call any intra-office users through the automatic switchboard.

Figure 2 Line selection rule for incoming calls

Outgoing call from an intra-office user

When a DID user makes an outgoing call, the call must be routed through the dedicated line of the user. When a non-DID user makes an outgoing call, the system selects a line from other lines to route the call based on the line selection rule. Figure 3 shows the line selection rule.

Figure 3 Line selection rule for outgoing calls

Available line selection rules for non-DID users include:

·Ascending line selection

The system selects lines from the line with the minimum ID in ascending order until an idle line is found.

·Descending line selection

The system selects lines from the line with the maximum ID in descending order until an idle line is found.

·Polling

The system selects lines from the line used in last AT0 outgoing call in ascending order until an idle line is found. When line FXO-11 is reached but no idle line is found, the system reselects lines from line FXO-0.

Different countries and regions use different AT0 parameter standards (involving the signal tone, impedance, and CLIP signal mode). You need to adjust AT0 parameters when configuring an AT0 trunk to avoid problems such as call failures and low voice quality. Before the X1911/X1960/X1981 is delivered, AT0 signal tone and impedance parameters have been set for some countries including China, Australia, Brazil, United Kingdom, France, Germany, Ireland, Italy, Malaysia, Mexico, New Zealand, Russia, and Saudi Arabia. (By default, parameter settings for China are used.) You can switch AT0 parameter settings to standards in these countries or regions. If the country or region where the site is located is not included in the preset country/region list, check and adjust AT0 parameters by referring to Customizing AT0 Interface Parameters.

AT0 trunk calls are easily affected by noises if the device is not properly grounded. To improve call quality, ensure that the device is properly grounded. For details, see Grounding Guide.

Scenario Description

Configurations vary depending on the actual data plan. The following assumes that you need to:

·Enable a PSTN user to dial the number corresponding to line FXO-1 or FXO-2 to call automatic switchboard 8888, and dial an extension number as prompted to call an intra-office user.

·Enable a PSTN user to dial the number corresponding to line FXO-0 to directly call DID user 7000.

The following configurations are used as an example:

·You have added an OSU board on the device. For details, see Configuring Boards.

·You have added the user number 7000. For details on how to add a user number, see Allocating Numbers to SIP Users.

·You have added the switch number 8888. For details on how to add a switch number, see Product Documentation > Configuration > Feature Guide > Automatic Switchboard.

·You have added the office route 1. For details on how to add a switch number, see Configuring an Office Route.

Configuring the AT0 Trunk

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose Trunk > Trunk Configuration > AT0 from the navigation tree.

a.Click the solid line between the AT0 trunk and the local office.

b.Click Create in the AT0 trunk configuration area, and set the parameters as shown in Figure 4.

Figure 4 Configuring the AT0 trunk

You can click the text box in the Port column to select and bind multiple FXO ports to the same office route. If you bind multiple FXO ports in different rows to the same office route, the same line selection mode and the same default called number must be used for them.

c.Click Create in the AT0 dedicated line configuration area, and set the parameters as shown in Figure 5.

Figure 5 Configuring the AT0 dedicated line

For the same FXO port, either the default called number or the dedicated line number must be configured. If the default called number and the dedicated line number are configured, the dedicated line number prevails.

d.Click OK.

e.Click Back to close the current window.

3.(Optional) Configure the AT0 country/region standards.

a.If the country or region where the site is located is included in the preset country/region list (China, Australia, Brazil, United Kingdom, France, Germany, Ireland, Italy, Malaysia, Mexico, New Zealand, Russia, and Saudi Arabia), perform the following steps to select the country or region. AT0 signal tone and impedance parameters are automatically set based on the local standards.

b.If the country or region where the site is located is not included in the preset country/region list or if you need to manually adjust more AT0 interface parameters, perform related operations on the following web portals. For details, see Customizing AT0 Interface Parameters.

If you change the Country or Region value, you must restart the device for the preset AT0 parameters to take effect.

4.(Optional) Add a number sign (#) to called numbers of the calls that are initiated by SIP users and routed to external users through AT0 trunks.

By default, called numbers of calls that are initiated by SIP users and routed to external users through AT0 trunks do not contain a number sign (#). If the peer office requires that the called number be ended with a number sign (#), it will not connect such calls until the timeout duration expires. To enable the peer office to connect such calls without any delay, perform the following steps.

a.Choose Trunk > Trunk Configuration > AT0 > Global.

b.Click Configure next to Advance in the window that is displayed. The window shown in Figure 7 is displayed.

Figure 7 Enabling the system to automatically add a number sign (#) to called numbers for calls initiated by SIP users and routed to external users through AT0 trunks

c.Set Add # for outgoing calls in Figure 6 to Yes.

Verification

Task | Operation | Result
Verify outgoing calls. | An intra-office user dials the number of a PSTN user. | The call is connected properly.
Verify the AT0 dedicated line function. | A PSTN user dials the number corresponding to line FXO-0. | Intra-office user 7000's phone rings.
Verify the AT0 switchboard function. | A PSTN user dials the number corresponding to line FXO-1 or FXO-2. | The PSTN user hears the announcement of automatic switchboard 8888.

Troubleshooting

If the call fails, see AT0 Trunk Faults.

Parent Topic: Configuring Signaling Data


Configuring a Clock Source

When configuring the digital trunk (PRA/SS7/QSIG/R2), you also need to configure a clock source to ensure clock synchronization between the local device and the peer device and prevent frame slip (voice packet loss) during voice calls.

Context

If the unified gateway is connected to multiple devices through digital trunks, you only need to configure the clock source on one device. The unified gateway will synchronize time from this device.

·If the unified gateway is used as the clock source, the local clock prevails and the clock source parameters on the peer device need to be set according to the local settings.

·If the peer device is used as the clock source, the peer clock prevails and the clock source parameters on the unified gateway need to be set according to the peer settings.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose System > Device Management, and click Configure next to Clock source configuration.

3.If the peer device is used as the clock source, select Peer device from the drop-down list box and set related parameters. If the local device is used as the clock source, select Local device from the drop-down list box.

Set the parameters according to the parameter description on the page, as shown in Figure 1.

Figure 1 Configuring a clock source

Table 1 describes the key parameters displayed on the page. For detailed description about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description

Parameter | Description
Select clock source | Select Local device if the local device is used as the clock source. Select Peer device and configure the clock source if the clock of the peer device is used as the clock source.
Active clock slot No | Slot number of the board on the unified gateway where the related digital trunk resides when the peer device is configured as the clock source.

4.Click OK.

Parent Topic: Configuring Trunks


Configuring Toll Fraud Prevention

You can configure limiting conditions on the PBX to prevent extra expenses due to call fraud.

Plan and configure the service data according to this document. Otherwise, toll fraud (making international toll calls or premium-rate telephone numbers bypassing security policies) may occur, causing economic losses.

·Toll Fraud Check List

·To prevent call fraud, users can refer to the list of items provided in this chapter for inspection.

·Background

·This topic describes toll fraud scenarios and prevention measures.

·Preventing Theft of the Administrator Right

·This topic describes how to isolate the public network from the private network, configure the whitelist, and configure the user login right and login authentication for preventing theft of the administrator right.

·Preventing Calls from Being Transferred Through a Trunk and the VU

·This section describes how to configure call attributes for a call prefix, call-out right for call transfer through a trunk, maximum number length for the automatic switchboard, and call-out right for call transfer through the VU to prevent outer-office users from making outgoing calls through the unified gateway or VU.

·Preventing Registration or Login of Unauthorized Users

·This section describes how to configure the IP whitelist, configure user password authentication, and change the self-help service password to prevent unauthorized users from registering with the unified gateway or using the default password to log in to the self-help service to modify data or make a call fraud.

·Preventing Unauthorized Call Forwarding

·This section describes how to properly configure the call forwarding service to prevent unnecessary call forwarding and save enterprise costs.

·Outgoing Call Restriction and Maximum Number of Concurrent Toll Calls

·This topic describes how to limit the duration of a single outgoing call and daily duration of outgoing calls for an intra-office user as the administrator, and how to limit the number of concurrent international toll calls.

·Configuring the Maximum Number Length for a Prefix

·You can configure the maximum number length for a prefix when adding the prefix. By default, the maximum number length is 32. To prevent unauthorized users from making toll fraud calls by adding number prefixes(such as 9+17909 nest dialing prefix), you are advised to configure different number lengths for different call properties. In the V2.0 and later versions, the default maximum number lengths are as follows: 32 for intra-office calls, 13 for national toll calls, 32 for international toll calls, and 12 for local calls, local regeneration calls, local inter-office calls, and intra-office or local calls.

·Deploying the CDR Server

·You can query call fraud information on the CDR server when a fraud occurs.

·Toll Fraud Emergency Handling

·This topic describes how to quickly respond to toll fraud.

·Verification

·After the configuration is complete, check whether an inter-office user can log in to the enterprise unified gateway through the Internet, whether a user makes an outgoing call by calling the VU or through a trunk, whether an unauthorized user can be registered with the unified gateway, and whether call forwarding can be implemented when call forwarding conditions are not met.

·Exception Handling

·This section describes exception handling.

Parent Topic: Configuration Guide (Web Mode)


Toll Fraud Check List

To prevent call fraud, users can refer to the list of items provided in this chapter for inspection.

Table 1 Toll Fraud Check List

Category

Check List

Description

Preventing Theft of the Administrator Right

Isolating Private and Public Networks

To ensure security, the device is required to be deployed on the private network. If the device is deployed on the public network, risks (such as network attacks, unauthorized registration, and account theft) may occur. If the device must be deployed on the public network, take network isolation approaches, for example, disabling SSH service port 22 and Telnet management port 23 on the SBC and firewall to prevent communication through these ports.

Configuring IP Address Whitelists

If users on the public network need to access the device, configure the whitelist. Users with the whitelisted IP addresses can perform administrator operations on the device through the public network.

Preventing Calls from Being Transferred Through a Trunk and the VU

Configuring Call Attributes for Prefixes

1.Confirm all dialing modes that will be considered as international toll calls with the carrier.

2.Configure international toll prefixes required by services as idd prefixes.

3.If there are international toll prefixes that are not required by services, ask the carrier to restrict the outgoing call rights of these prefixes. If the carrier cannot restrict the outgoing call rights of these prefixes, configure rights that no intra-office user has for these prefixes.

4.On the gateway, configure prefix 9 as a local prefix, 9 + nest dialing prefix + 0 as a national toll prefix, and 9 + nest dialing prefix + 00 as an international toll prefix.

5.If users do not have the requirement for dialing 9 + 17909 to make outgoing calls, set the maximum length of the local outgoing call prefix to 12 digits (9 + 11-digit mobile number), and set the maximum length of the national toll outgoing call prefix to 13 digits (9 + area code + fixed-line number).

Configuring Outgoing Call Rights for Trunks

1.By default, a trunk has the local call rights. If you want to forbid the outgoing call rights for trunk tandem calls through a trunk, you are advised to configure only the inter call right for the trunk so that an outer-office user who makes an incoming call through the trunk cannot make a call to another outer-office user.

2.Modify the trunk rights based on the customer requirements.

3.If the IDD right of the trunk is enabled, toll fraud of a third party through the X1900 series unified gateway may occur. Therefore, exercise caution when performing this operation.

Configuring a Number Length Limit for the Automatic Switchboard

When the automatic switchboard is configured, set the length of the extension number that meets user requirements. For example, if the maximum length of an intra-office extension number is 6 digits, set the extension number length to 6.

Configuring VU Outgoing Call Rights

1.Outgoing call rights for a trunk include inter, local, ddd, idd, and 32-level customized call rights. By default, a trunk has the local call rights.

2.Do not enable the rights that are higher than users' actual requirements. For example, if a user requires that the outgoing call right through the VU is local, do not enable ddd (national toll call), idd (international toll call), or other unnecessary rights.

Preventing Registration or Login of Unauthorized Users

Configuring User Password Authentication

It is recommended that password authentication, IP and password authentication or IP Pool be configured when users are added.

Changing the Self-Help Service Password

Unauthorized users may use this password to log in to the unified gateway to modify conference management and service registration data, for example, configure the unified gateway to forward all calls to a destination toll call number.

Defense Against Brute Force Registration

After the user registration number fails authentication, the unified gateway records the failure time. When the user registers with the unified gateway again, the unified gateway determines the difference between the current system time and last failure time. If the difference is larger than the protection time, the registration process is used. Otherwise, the system displays a message indicating registration failure. The protection time can be configured by modifying the SIP parameter control point.

Preventing Unauthorized Call Forwarding

Configuring Call Rights

Configure outgoing call rights based on the user requirements to avoid that any user can make international toll calls.

Configuring the Call Forwarding Services

Configure call forwarding rights based on the user requirements to prevent toll fraud by forwarding calls to international toll numbers.

Outgoing Call Restriction and Maximum Number of Concurrent Toll Calls

Outgoing Call Restriction and International Toll Call Frequency for a User

You can set the maximum duration of a local call, national toll call, or international toll call based on users' service habits.

Limiting the Maximum Number of Concurrent International Toll Calls for the System

Change the maximum number of concurrent international toll calls based on the customers' service requirements.

Configuring the Maximum Number Length for a Prefix

Configuring Different Number Lengths Based on the Prefix Type

To prevent unauthorized users from making toll fraud calls by adding number prefixes, you are advised to configure different number lengths based on the prefix type.

Deploying the CDR Server

Deploying the CDR Server

You can query call fraud information on the CDR server when a fraud occurs.

To download the Toll Fraud Checklist to save to local, please click Toll Fraud CheckList.

Parent Topic: Configuring Toll Fraud Prevention


Background

This topic describes toll fraud scenarios and prevention measures.

Toll Fraud Scenarios

·Theft of the administrator account and password

A user illegally obtains the administrator account and password, logs in to the device as the administrator, and modifies configuration data, such as the number, trunk, and call detail record (CDR) configurations. By configuring the required number and trunk and disabling the CDR function, the unauthorized user can make fraudulent calls for which no CDR will be generated.

·Transfer by the automatic switchboard

As shown by line (1) in Figure 1, outer-office user B dials the automatic switchboard number of the company with the unified gateway A deployed, and dials user C's number when hearing an announcement or a two-stage dialing tone. If the call is connected by the automatic switchboard, user B is charged only for a local call, while the company must pay the toll call fee.

·Transfer through a trunk

As shown by line (2) in Figure 1, outer-office user C dials the incoming prefix configured on the unified gateway A, the outgoing prefix for making calls from the unified gateway A to the unified gateway B, and a toll number in sequence to make a toll call. For example, if 0 is the incoming prefix configured on the unified gateway A, and 00 is the outgoing prefix for making calls from the unified gateway A to the unified gateway B, user C can dial 0+00+123456789 to make a call to toll number 123456789.

·Unauthorized registration

As shown by line (3) in Figure 1, an authorized user who is registered with the unified gateway B by impersonating a registered user makes a call to outer-office user D. The call is completely free of charge to the unauthorized user.

·Misuse of call forwarding services

As shown by line (4) in Figure 1, user B illegally obtains the administrator account and password for logging to the unified gateway A or user A's self-service account and password, and enables the call forwarding unconditional (CFU) service for user A with user C's number configured as the forwarded-to number. When user B makes a call to user A, the call is forwarded to user C regardless of user A's status. User B pays only the local call fee to get connected to user C, while the company must pay the toll call fee.

Figure 1 Toll fraud scenarios

Recommended Prevention Measures

1.Prevent theft of the administrator right.

As long as the administrator right is used by an unauthorized user, configuration data may be modified and other prevention measures take no effect.

·Isolate private and public networks.

·Configure the administrator whitelist.

·Configure the user login right and login authentication.

2.Prevent calls from being transferred through a trunk and the VU.

The unified gateway determines whetherthe call rights of the calling party meet the prefix call attributes.

Figure 2 Determining calls over a trunk or the VU

Configure data on the unified gateway to prevent call fraud.

·Configure the prefix call attribute.

·Configure the call-out right.

·Configure the maximum number length for the VU.

·Configure the VU call-out right.

3.Prevent registration or login of unauthorized users.

When measures of 1 and 2 are taken, prevent SIP UE users from registering on the unified gateway or logging in to the self-help service without authorization. Configure an IP whitelist to prevent users using IP addresses not included in the whitelist to initiate registration to the unified gateway. If no IP whitelist is configured, unauthorized users can initiate registration to the unified gateway through the IP network. If password authentication is configured during digit allocation, registration becomes difficult. Unauthorized users can log in to the self-help service through the IP network. If the self-help service password is changed, login becomes difficult.

·Configure the IP whitelist.

·Configure password authentication for digit allocation.

·Change the self-help service password.

4.Configure call forwarding to prevent call fraud.

When the preceding measures are taken, properly configure the call forwarding service to prevent unnecessary call forwarding and save enterprise costs.

5.Limit the toll call duration and maximum number of concurrent toll calls.

·Limiting the toll call duration

The administrator can set the upper limits for each national toll call and international toll call to control the call costs of each user. When a user makes a national or international toll call, the call will be terminated and the user's national or international toll call rights will be locked if the duration of this call exceeds the upper limit. The user needs to ask the administrator to manually unlock the rights.

·Limiting the number of concurrent international toll calls

If the number of concurrent international toll calls made within a minute in the local office exceeds the upper limit, the system terminates all ongoing international toll calls and prohibits new international toll calls. Users can make international toll calls until the administrator manually unlocks the corresponding rights.

6.Configuring the Maximum Number Length for a Prefix.

To prevent unauthorized users from making toll fraud calls by adding number prefixes(such as 9+17909 nest dialing prefix), you are advised to configure different number lengths for different call properties. In the V2.0and later versions, the default maximum number lengths are as follows: 32 for intra-office calls, 13 for national toll calls, 32 for international toll calls, and 12 for local calls, local regeneration calls, local inter-office calls, and intra-office or local calls.

7.Deploy the CDR server.

Parent Topic: Configuring Toll Fraud Prevention


Preventing Theft of the Administrator Right

This topic describes how to isolate the public network from the private network, configure the whitelist, and configure the user login right and login authentication for preventing theft of the administrator right.

Isolating Private and Public Networks

To ensure security, the device is required to be deployed on the private network. If the device is deployed on the public network, risks (such as network attacks, unauthorized registration, and account theft) may occur. If the device must be deployed on the public network, take network isolation approaches, for example, disabling SSH service port 22 and Telnet management port 23 on the SBC and firewall to prevent communication through these ports. For details about the port numbers, see the Communication Matrix.

If the device is deployed on the public network or the preceding ports are not disabled on the SBC or firewall, unauthorized users may log in to the device and modify the configuration data.

Configuring IP Address Whitelists

If users on the public network need to access the device, configure the whitelist. Users with the whitelisted IP addresses can perform administrator operations on the device through the public network. For details about how to configure the whitelist.

Parent Topic: Configuring Toll Fraud Prevention


Preventing Calls from Being Transferred Through a Trunk and the VU

This section describes how to configure call attributes for a call prefix, call-out right for call transfer through a trunk, maximum number length for the automatic switchboard, and call-out right for call transfer through the VU to prevent outer-office users from making outgoing calls through the unified gateway or VU.

Background

All prefixes have a basic call attribute, which can be one of the following:

·inter: intra-office call right.

·local: local call right.

·ddd: national toll call right.

·idd: international toll call right.

In addition to basic call attributes, you can configure 32-level customized rights for prefixes.

All users or trunks have certain outgoing call rights, which can be one or multiple of the preceding four basic call attributes and 32-level customized rights. By default, users and trunks have the inter and local outgoing call rights.

When a user makes an outgoing call, the gateway obtains the intersection of outgoing call rights of the user or trunk and the call attributes of the matched prefix. If the intersection is empty, the call is restricted. If the intersection is not empty, the call is allowed.

Figure 1 shows the trunk tandem network.

Figure 1 Trunk tandem network

In this scenario, the outgoing call rights for a VU prefix, outgoing call rights for a trunk, and rights for an outgoing prefix are used as the criteria for calls that are again routed outside the office. The outgoing call rights for a VU prefix specify the outgoing call rights of users who dial the automatic switchboard number and then have two-stage dialing. The outgoing call rights for a trunk specify the rights of calls that are routed into the office and then routed outside the office again. The rights for an outgoing prefix specify the rights for calls routed outside the office from an intermediate office.

The relationships among the VU outgoing call rights for an automatic switchboard number, outgoing call rights for a trunk, and call attributes of a prefix are as follows (Assume that the call attribute of the outgoing prefix for making calls from PBX-1 to PBX-2 is local):

·If a PSTN user dials the automatic switchboard number of PBX-1 and then dials an outgoing prefix and the phone number of a user under PBX-2 as prompted, the VU outgoing call rights for the automatic switchboard number of PBX-1 and the outgoing call rights for the trunk from PBX-1 to PBX-2 contain the local call right of the outgoing prefix.

·If a PSTN user places a call to PBX-1 and PBX-1 transfers the call to PBX-2 according to the called number prefix, the outgoing call rights for the trunk from PBX-1 to PBX-2 contain the local call right of the outgoing prefix.

Configuring Call Attributes for Prefixes

When you control outgoing call rights of users by configuring prefixes, pay attention to the following:

1.Prefix rights must be distinguished clearly. That is, prefixes with lower rights cannot contain prefixes with higher rights. For example, a prefix with the local call right cannot contain a prefix with the ddd call right.

2.Configure the minimum outgoing call rights for users based on the service requirements.

The following assumes that the local call, national toll call, and internal toll call prefixes for outgoing calls from the PBX1 to PSTN are 9, 90, and 900 respectively. When a user dials 9 + international toll number, the gateway matches outgoing prefix 900 because an international toll number generally starts with 00. The gateway determines that the user does not have international toll call rights and restricts the call. This prevents toll fraud.

Common toll fraud mode: A user dials 9 + nest dialing prefix of the carrier (such as 17900, 17901, 17909, 17911, 17951, 10193, 12593, 197, 11808) + international toll number to make an outgoing call.

Prevention measure:

1.Confirm all dialing modes that will be considered as international toll calls with the carrier.

You must confirm all nest dialing prefixes for international toll calls with the carrier, and configure the rights of these prefixes on the gateway to prevent toll fraud.

2.Configure international toll prefixes required by services as idd prefixes.

3.If there are international toll prefixes that are not required by services, ask the carrier to restrict the outgoing call rights of these prefixes. If the carrier cannot restrict the outgoing call rights of these prefixes, configure rights that no intra-office user has for these prefixes.

When an enterprise determines that the international toll call service is not required, you are advised to request the carrier to reject all international toll calls initiated from the enterprise.

4.On the gateway, configure prefix 9 as a local prefix, 9 + nest dialing prefix + 0 as a national toll prefix, and 9 + nest dialing prefix + 00 as an international toll prefix.

For example, when an intra-office user dials 9 + 17909 + international toll number, the gateway matches international toll prefix 91790900. The gateway determines that the user does not have international toll call rights and restricts the call. This prevents toll fraud.

Configuration example: All calls with call numbers starting with 00, 1790900, 1180800, 462600, and 44000 are considered as international toll calls. The carrier cannot restrict the outgoing call rights of these prefixes. Users always dial prefix 9 to make outgoing calls to the PSTN. When making international toll calls, users always dial prefix 900 or 917909. The idd prefixes should be configured as follows:

·9: local

·90: ddd

·900: idd

·91790900: idd

·91180800: cus31. Use 32-level customized rights to control outgoing calls. No intra-office user has the cus31 outgoing call right.

·No prefix for outgoing calls to the PSTN starts with 4.

The following describes how to configure prefixes 9, 90, 900, 917909, 9179090, and 91790900.

1.Configure the number change index 1:the first digit of the number is deleted.

config add predeal index 1 changetype delete changepos 0 changelen 1

2.Set the call attribute of prefix 900, 91790900 to idd.

config add prefix dn 900 callcategory basic callattribute idd cldpredeal yes cldindex 1 officeselectcode 3 minlen 0 maxlen 32

config add prefix dn 91790900 callcategory basic callattribute idd cldpredeal yes cldindex 1 officeselectcode 3 minlen 0 maxlen 32

3.Set the call attribute of prefix 90 to ddd.

config add prefix dn 90 callcategory basic callattribute ddd cldpredeal yes cldindex 1 officeselectcode 2 minlen 0 maxlen 13

4.Set the call attribute of prefix 9 to local.

config add prefix dn 9 callcategory basic callattribute local cldpredeal yes cldindex 1 officeselectcode 1 minlen 0 maxlen 12

5.Set the call attribute of prefix 91180800 to idd and cus31.

config add prefix dn 91180800 callcategory basic callattribute idd&cus31 cldpredeal yes cldindex 1 officeselectcode 1 minlen 0 maxlen 32

You have to configure the ddd prefix and idd prefix before you configure the local prefix.

Configuring Outgoing Call Rights for Trunks

Outgoing call rights for a trunk include inter, local, ddd, idd, and 32-level customized call rights. You can configure multiple outgoing call rights for a trunk. By default, a trunk has the local call rights. If you want to forbid the outgoing call rights for trunk tandem calls through a trunk, you are advised to configure only the inter call right for the trunk so that an outer-office user who makes an incoming call through the trunk cannot make a call to another outer-office user. To allow an outer-office user who makes an incoming call through the trunk to make a local call, you can use the default setting. To allow an outer-office user who makes an incoming call through the trunk to make a national or international toll call, you must add the ddd or idd call right to the trunk.

The following describes how to configure the inter call right for a primary rate access (PRA) trunk:

1.Configure the inter call right for the PRA trunk whose GroupNo is 26.

config modify trunkgroup no 26 restrict yes outgoingright inter

·The call rights for a trunk limit the outgoing call rights for trunk tandem calls only. The common outgoing calls for internal users are not affected.

·If a trunk has local or more call rights, a user who makes an incoming call through the trunk can then make a call to an outer-office number, which brings the toll fraud risk.

Configuring a Number Length Limit for the Automatic Switchboard

When configuring the automatic switchboard, modify related parameters in the automatic switchboard script if the extension number length cannot exceed 4 digits, as shown in Figure 2. For details about how to configure the automatic switchboard, see Product Documentation > Configuration > Feature Guide > Automatic Switchboard.

Figure 2 Configuring the extension number length

Configuring VU Outgoing Call Rights

VU outgoing call rights for an automatic switchboard number include inter, local, ddd, idd, and 32-level customized call rights. You can configure multiple VU outgoing call rights for an automatic switchboard number. By default, an automatic switchboard number has the inter call right.

The following describes how to configure the inter call right for automatic switchboard number 28980808:

1.Configure the inter call right for automatic switchboard number 28980808.

config add prefix dn 28980808 callcategory vu callattribute vuconsole vuoutgoingright inter cldpredeal no

If an automatic switchboard number has local or more call rights, users can dial the automatic switchboard number and then an outer-office number as prompted to make an outgoing call, which brings the toll fraud risk.

Parent Topic: Configuring Toll Fraud Prevention


Preventing Registration or Login of Unauthorized Users

This section describes how to configure the IP whitelist, configure user password authentication, and change the self-help service password to prevent unauthorized users from registering with the unified gateway or using the default password to log in to the self-help service to modify data or make a call fraud.

Configuring User Password Authentication

It is recommended that password authentication, IP and passwrd authentication or IP Pool be configured when users are added. Password authentication prevents unauthorized users from using user names to register with the unified gateway.

·To improve account security, You must configure authentication when registering SIP users.

·If no password is configured for a registered user or the password leaks, unauthorized users can make a call fraud through the registered user.

Figure 1 Create User

26 Changing the Self-Help Service Password

To ensure password security, change the password periodically. For enterprise users, access the web self-help service system using the corresponding user name and password. After a successful login, click Change Password in the upper right corner to change the password.

If the self-help service password is not changed or kept, unauthorized users may use this password to log in to the unified gateway to modify conference management and service registration data, for example, configure the unified gateway to forward all calls to a destination toll call number.

Defense Against Brute Force Registration

·After the user registration number fails authentication, the unified gateway records the failure time. When the user registers with the unified gateway again, the unified gateway determines the difference between the current system time and last failure time. If the difference is larger than the protection time, the registration process is used. Otherwise, the system displays a message indicating registration failure. The protection time can be configured by modifying the SIP parameter control point. You can run the config modify sip parameter regfailedcnt regfailedcnt regfreezeinterval regfreezeintervalcommand to configure the maximum registration attempts and protection time.

Parent Topic: Configuring Toll Fraud Prevention


Preventing Unauthorized Call Forwarding

This section describes how to properly configure the call forwarding service to prevent unnecessary call forwarding and save enterprise costs.

Context

Figure 1 shows a call forwarding scenario.

Figure 1 Call forwarding scenario

In this scenario, if an enterprise user has the toll call rights and this user's call forwarding service is changed to forward calls unconditionally to non-enterprise user B, all calls from non-enterprise user A to the enterprise user will be forwarded to non-enterprise user B.

To prevent unauthorized call forwarding,

·Limit the call rights of enterprise users. For example, in this scenario, if the enterprise user does not have the toll call rights, user A's call cannot be forwarded to user B.

·Properly configure the call forwarding services according to specific user requirements.

Configuring Call Rights

Configure the call rights based on user requirements. For details about the configuration, see Allocating Numbers to SIP Users and Configuring the 32-Level Right Call Restriction under in the X1900 Product Documentation.

Configuring the Call Forwarding Services

Configure the call forwarding service based on user requirements. For details about the configuration, see Product Documentation > Configuration > Feature Guide > Voice Service > Call Forwarding.

Parent Topic: Configuring Toll Fraud Prevention


Outgoing Call Restriction and Maximum Number of Concurrent Toll Calls

This topic describes how to limit the duration of a single outgoing call and daily duration of outgoing calls for an intra-office user as the administrator, and how to limit the number of concurrent international toll calls.

Outgoing Call Restriction and International Toll Call Frequency for a User

By default, the local as well as national and international toll call durations are unlimited for a user. To prevent call fraud, you can set the maximum duration of a local call, national toll call, or international toll call and set the daily duration limit to make local calls, national toll calls, or international toll calls for a user. When the call duration exceeds the limit, the user will be automatically locked and needs to be manually unlocked by the administrator.

The outgoing call duration limit applies only to the original calling party, but does not affect the scenarios such as call forwarding, call transfer, one number link you (ONLY), simultaneous ringing, and sequential ringing.

·X1900 series unified gateway V2.0 and later versions allow the administrator to set the maximum duration of a local call, national toll call, or international toll call, the daily duration limit of each type of the preceding calls, and the international toll call frequency for a user.

·In versions earlier than X1900 series unified gateway V2.0, the administrator can set only the maximum duration of a national toll call or international toll call.

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose User > SIP User or User > POTS User, select a number to be configured, and click Service Configuration.

3.In the Complex service area, click Configure next to Outgoing Calling Restriction, and set parameters.

Figure 1 Outgoing Call Restriction

Table 1 Parameter Description

Parameter

Description

National toll call duration (minute)

Upper limit for each national toll call.

The value ranges from 0 to 300, in minutes.

National daily toll call duration (minute)

Daily duration limit for an intra-office user to make national toll calls.

The value ranges from 0 to 600, in minutes.

International toll call duration (minute)

Upper limit for each international toll call.

The value ranges from 0 to 300, in minutes.

International daily toll call duration (minute)

Daily duration limit for an intra-office user to make international toll calls.

The value ranges from 0 to 600, in minutes.

International toll call frequency (times/second)

Maximum number of international toll calls that an intra-office user can make in a specified period (in seconds).

For example, if this parameter is set to 30/300 seconds, an intra-office user can make a maximum of 30 international toll calls in 300 seconds. When the user makes the 31st call in 300 seconds, the call fails and the user is locked.

The value 0/0 seconds indicates that the frequency limit is disabled.

Local call duration (minute)

Upper limit for each local call.

The value ranges from 0 to 300, in minutes.

Local daily call duration (minute)

Daily duration limit for an intra-office user to make local calls.

The value ranges from 0 to 600, in minutes.

The daily total local call duration, daily total national toll call duration, and daily total internal toll call duration have a 15-second deviation from actual values.

Limiting the Maximum Number of Concurrent International Toll Calls for the System

Table 2 describes the default maximum number of concurrent international toll calls.

Table 2 Default maximum number of concurrent international toll calls

Product Model | V2.0
X1911 | 0--100
X1960 | 0--100
X1981 | 0--100

The following assumes that the maximum number of concurrent international toll calls needs to be changed to 3.

1.Set the maximum number of international toll calls.

config system iddlimitnum 3

The show system iddlimitnum command can be used to query the configuration and lock status. If the international toll call rights are locked, the administrator can run the unlock system iddlimit command to unlock the rights.

Unlocking a User as the Administrator

After a user is locked, the user cannot make outgoing calls. The system plays the announcement "Sorry, your phone is out of service."

Parent Topic: Configuring Toll Fraud Prevention


Configuring the Maximum Number Length for a Prefix

You can configure the maximum number length for a prefix when adding the prefix. By default, the maximum number length is 32. To prevent unauthorized users from making toll fraud calls by adding number prefixes(such as 9+17909 nest dialing prefix), you are advised to configure different number lengths for different call properties. In the V2.0 and later versions, the default maximum number lengths are as follows: 32 for intra-office calls, 13 for national toll calls, 32 for international toll calls, and 12 for local calls, local regeneration calls, local inter-office calls, and intra-office or local calls.

Procedure

If you do not specify the maximum number length when configuring a prefix, the default maximum number length for the corresponding prefix type is used. If you specify the maximum number length, the specified length is used. However, if the specified maximum number length is longer than the default one, toll fraud risks exist.

·You can change the default maximum number length only for prefixes whose call attribute is inter, local, localinter, tolllocal, interlocal, or ddd. For prefixes whose call attribute is idd, you can directly use rights for prefix matching, and number length processing is not required; the default maximum number length is 32.

·To prevent toll fraud, before adding the local call prefix, you must add the national toll call prefix and international toll call prefix; otherwise, the local call prefix cannot be added.

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose Trunk > Called Prefix Configuration and click Create.

3.Configure a prefix in the Create Prefix dialog box, as shown in Figure 1.

Figure 1 Configuring a prefix

4.Set Maximum number length. For details about other parameters, see Table 3.

5.Click OK.

Parent Topic: Configuring Toll Fraud Prevention


Deploying the CDR Server

You can query call fraud information on the CDR server when a fraud occurs.

In the EC solution, the X1900 series unified gateways works with the CDRServer to generate call detail records (CDRs) for the a third-party billing system to obtain.

·Unified gateway: Generates CDRs for all users connected to it and saves the CDRs to its CDR pool. The unified gateway periodically pushes CDRs to the CDRServer in an unsolicited manner or upon receiving the CDRServer's request.

·CDRServer: Parses the obtained CDRs and stores them as binary files (.bill) or text files (.txt) to a specific location on the CDRServer. The CDRServer can proactively send a request to the unified gateway for obtaining CDRs after CDR transfer is enabled under CDR ConsoleCall record transfer switch of the CDRServer.

·Third-party billing system: Obtains binary CDR files or text CDR files from the CDRServer through an FTP or FTPS interface.

Parent Topic: Configuring Toll Fraud Prevention


Toll Fraud Emergency Handling

This topic describes how to quickly respond to toll fraud.

Take the following actions in the case of toll fraud to avoid economic losses:

1.Disconnect the unified gateway from the external network. Specifically, disable the SIP access policy on the firewall or disconnect the SBC network.

Before disconnecting the SBC network, query the registration information on the SBC and save screenshots of the external IP addresses registered. Restore the SBC network after toll fraud prevention measures are taken.

2.Disconnect the trunk between the unified gateway and PSTN.

·For E1/T1, AT0, and BRI lines, disconnect the physical link, that is, manually remove the cable.

Disconnection of narrowband or analog trunk lines will disable all outgoing PSTN calls. It also leads to outgoing call failures within about 3 minutes.

·For SIP trunks, restart the unified gateway.

Restarting the unified gateway will interrupt services for about 5 minutes.

3.Ask the carrier to disable the international toll call rights on the trunk lines and check and disconnect all ongoing international toll calls.

After toll fraud prevention measures are taken, ask the carrier to enable the international toll call rights on the trunk lines and provide all dialing modes that will be regarded as international toll calls.

4.Refer to the toll fraud topics to take related toll fraud prevention measures.

Parent Topic: Configuring Toll Fraud Prevention


Verification

After the configuration is complete, check whether an inter-office user can log in to the enterprise unified gateway through the Internet, whether a user makes an outgoing call by calling the VU or through a trunk, whether an unauthorized user can be registered with the unified gateway, and whether call forwarding can be implemented when call forwarding conditions are not met.

·An inter-office user cannot log in to the enterprise unified gateway through the Internet.

·An inter-office user calls the VU, but outgoing calls cannot be made. For example, when an inter-office user calls the VU, performs second-stage dialing, and dials a number, the call fails.

·When an inter-office user dials the intra-office call prefix + inter-office call prefix + toll call number, the toll call fails. For example, user C cannot make a call by dialing 0 + 00 + 001123456789.

·A user cannot be registered with the unified gateway through no-authentication or an IP address not whitelisted, or cannot log in to the self-help service through the default password.

·Call forwarding cannot be implemented when call forwarding conditions are not met.

Parent Topic: Configuring Toll Fraud Prevention


Exception Handling

This section describes exception handling.

·If an external user can log in to the unified gateway, solve the problem according to Preventing Theft of the Administrator Right.

·If a user calls the VU, performs second-stage dialing as prompted, and successfully makes a call, solve the problem according to Preventing Calls from Being Transferred Through a Trunk and the VU.

·If an inter-office user dials the intra-office call prefix + inter-office call prefix + toll call number, solve the problem according to Preventing Calls from Being Transferred Through a Trunk and the VU.

·If an intra-office user dials the outgoing prefix + nest dialing prefix of the carrier + international toll number (for example, 9 + 17909 + international toll number) to make an international toll call, solve the problem according to Preventing Calls from Being Transferred Through a Trunk and the VU.

·If a user cannot be registered with the unified gateway through no-authentication or an IP address not whitelisted, or cannot log in to the self-help service through the default password, solve the problem according to Preventing Registration or Login of Unauthorized Users.

·If the call forwarding service is implemented when call forwarding conditions are not met, solve the problem according to Preventing Unauthorized Call Forwarding.

Parent Topic: Configuring Toll Fraud Prevention


Verifying the CDR Service

This topic describes the background and application scenario of the call detail record (CDR) service and explains the methods of configuring and verifying the CDR service in the EC solution.

·Background information

·In the EC solution, the UScale X1900 series unified gateway and FTPServ are equipped with T to achieve user ticket generation. The unified gateway records all user call information and saves it to the ticket pool.

·Configuration on the Unified Gateway

·On the unified gateway, configure the IP address of the CDRServer for authentication and enable the function of generating CDR files.

·Configuration on the CDRServer

·On the CDRServer, configure the data for interworking with the unified gateway and the information related to CDR storage.

·Configuring the Third-Party Billing System

·A third-party billing system can be used to parse the CDRs of the CDRServer and charge users for calls.

·Result Validation

Parent Topic: Configuration Guide (Web Mode)


Scenario (Verifying the CDR Service)

Navigation: Configuration > Configuration Guide (Web Mode) > Verifying the CDR Service >

Return to chapter overview

Background information

In the EC solution, the UScale X1900 series unified gateway and FTPServer work together to generate user bills and provide them to the third-party billing system for reading. The unified gateway records all user call information and ensures it is integrated into the call ticket pool.

The explanation is as follows:

·Unified gateway: Record all call information and store the generated call tickets in the ticket pool of the unified gateway. The unified gateway actively pushes call orders to FTPServer on a regular basis.

·FTPServer: Parse the received ticket and store it in a binary file (. bill) format in the designated location of the FTPS server.

·Third party billing system: Obtain call tickets from FTPServer through FTP or FTPS interface.

Parent Topic: Verifying the CDR Service


Configuration on the Unified Gateway (Verifying the CDR Service)

Navigation: Configuration > Configuration Guide (Web Mode) > Verifying the CDR Service >

Return to chapter overview

Scene Description

This section introduces the application scenarios and data required for testing CDR business.

Table 1 CDR team components and data planning

module | Business data
Unified Gateway | IP Address: 10.241.241.241:8080
FTPS service | Create a new username and password, for example: admin/addin123
CDR files | Storage location: directory " BILL CurFile" on the FTP server

Parent Topic: Verifying the CDR Service


Configuration on the CDRServer

On the CDRServer, configure the data for interworking with the unified gateway and the information related to CDR storage.

1.Log in to the CDRServer.

2.Set the unified gateway to connect as an authenticated unified gateway.

a.Click [image] in the system tray of the CDRServer.

The CDR Server window is displayed.

b.Select CDR and click Display, as shown in Figure 1.

Figure 1 CDR Server CDR-Running

c.Choose Control > Unified Gateway Authorize, and configure the authentication account and password.

By default, authentication is used when the CDRServer connects to the unified gateway. To ensure data transmission security, it is recommended that authentication be enabled. The default account is admin and the default password is admin123. It is recommended that you periodically change the password and use a complex password.

When authentication is enabled, you must also set the authentication mode to AuthByPwd on the X1900 series unified gateway. Otherwise, connections cannot be established between the X1900 and CDRServer.

The account and password here must be the same as the account and password configured on the X1900 series unified gateway.

d.Choose Control > Trusted Unified Gateway address. Enter the IP address of the unified gateway in the Unified Gateway address text box and click Add, as shown in Figure 2.

·You need to add IP addresses of all unified gateways in a single-node, multi-node centralized, or multi-node distributed (peer-to-peer) network.

·You need to add IP addresses of all unified gateways (excluding the convergent gateway) in a multi-node distributed (convergent) network.

Figure 2 Adding Unified Gateway address

e.Click OK.

A message is displayed, prompting you to restart the CDR service for the configuration to take effect.

f.Click OK.

3.Set the path for storing CDR files.

a.In the CDR Server window, choose CDR Console > Control call record file path.

The Config call record file path dialog box is displayed.

b.Set the CDR file path (D:\ in this example).

The system will automatically place the binary CDR files to the $\Bill\CufFile directory (D:\Bill\CurFile in this example). The variable $ is the CDR file path you have set.

When the unified gateway has any call services, the system automatically generates D:\BillL\CurFile and D:\Bill\BakFile directories on the CDRServer.

·The D:\Bill\BakFile directory stores backup binary CDR files.

c.Click OK.

4.Gnerate text bill (Option).

UScale ECS V2.0 and later version, the system supports to generate text CDR files.

In the CDR Server window, choose CDR Console > Generate Text Bill or Not > Yes.

The system generates both text CDR and binary CDR files. The system will automatically place the text CDR files to the $\Bill\TxtBills directory (D:\Bill\TxtBills in this example). The variable $ is the CDR file path you have set.

Text CDRs are provided for third-party billing systems to read and parse. The BMU cannot parse text CDRs.

5.Restart the CDRServer.

a.Close the CDR Server CDR-Running window.

b.In the CDR Server window, click Exit to exit the CDRServer.

c.Double-click [image] to start the CDRServer.

6.Install and configure the FTP or FTPS service on the CDRServer.

The CDRServer cannot be deployed on the same server as eSight or use the FTP service provided by eSight; otherwise, the BMU may obtain CDRs repeatedly.

Parent Topic: Verifying the CDR Service


Configuring the Third-Party Billing System

A third-party billing system can be used to parse the CDRs of the CDRServer and charge users for calls.

The CDRServer obtains CDRs from the CDR pool of the unified gateway and stores them as binary files (with the file name extension .bill) or text files (with the file name extension .txt) to a specific location (shared directory).

Using FTP or FTPS, a third-party billing system obtains these binary or text CDR files from the shared directory using the authenticated FTP or FTPS user name and password.

The third-party billing system can parse the obtained binary or text CDR files, convert the file format, and save them in the database, so the system can charge users for calls and users can conveniently query call details.

Using FTP to transfer files may bring some security risks because FTP is an insecure protocol. It is recommended that you use the FTPS protocol.

If the third-party billing system needs to parse the CDR files, see the UScale X1900 series CDR Interface Document for the configuration.

Your enterprise provides a third-party billing system.

Table 1 CDRServer FTP information

Parameter | Value
CDRServer IP | Use the actual IP address of the CDRServer.
FTP or FTPS user name | Obtain the actual user name and password from your administrator.
FTP or FTPS password

Parent Topic: Verifying the CDR Service


Result Validation

Verify through this section whether FTPServer can extract ticket files from the unified gateway.

The operation steps and expected results of verifying the FTPServer to extract call orders are shown in Table 1.

Table 1 Verification steps for CDR business

Parameter

Value

1. User A calls User B.

User B's phone rings.

2. User B answers the call.

User A and User B call.

3. User A or User B hangs up.

The call ended.

4. Enter the directory where the ticket files are stored on the ticket server, such as "D: Bill CurFile 192.168.1.20 20140403".

Explanation:

In the path, "192.168.1.20" represents the I address of the unified gateway where the calling user is located, and "20140403" represents the call list storage directory named according to the call date.

Below this folder, you can see the call tickets generated by user A and user B calls.

Explanation:

The FTPServer saves the temporary call ticket file obtained from the unified gateway as "XXX. bill. tmp" and renames it to "XXXbbill" approximately 5 minutes later.

Parent Topic: Verifying the CDR Service


Advanced Configuration

This topic describes common configuration policies and services including number change, intelligent routing, and call restriction.

·Setting Number Conversion Mode

·This topic describes how to understand and set the calling and called number change, short and long numbers, and number mapping.

·Configuring a Common Administrator

·Multiple administrators can be configured on the web management platform to perform hierarchical service management. The multiple administrators is supported in X1900 V2.0 or a later version.

·Configure the Collect Call Service

·After user A enables the collect call service for specific call types, user A pays for such incoming calls. The collect call service is supported in X1900 V2.0 or a later version.

·Configuring the Function of Automatically Adding the Outgoing Prefix to a Displayed Calling Number

·For incoming calls, you can configure the function of automatically adding the outgoing prefix to a displayed calling number for easy callback.

·Configuring Call Restriction Policies

·This topic describes how to configure various call restriction polices so that the call meeting specific conditions are restricted.

·Configuring Intelligent Routing

·Intelligent routing means that the unified gateway can select a trunk and office route based on a certain routing policy, for example, by time or by lowest tariff.

·Configuring the IP-Phone Console Service

·This topic describes how to configure and use the IP-phone console service of the unified gateway. If you are using console software as the console system, skip this topic.

·Configuring Two-Stage Dial Tone

·When a user dials an outgoing prefix, the user hears the two-stage dial tone (beep tone) and then dials the subsequent number.

·Configuring Signaling Encryption

·The unified gateway can encrypt SIP signaling using TLS to improve the security and reliability of voice communication.

·Configuring Media Stream Encryption

·The unified gateway supports SRTP-based media stream encryption for voice calls to ensure the security of user communication information and prevent malicious eavesdropping.

·Customizing AT0 Interface Parameters

·The signal tone and impedance settings preset for the unified gateway may fail to meet site requirements and cause exceptions to calls routed through AT0 trunks. When this occurs, you need to customize AT0 interface parameters based on the local standards. Only X1911, X1960, and X1981 support this function.

·Configuring IPT Services

·This topic describes the IPT services provided by the UScale solution. For details about the feature description, configuration, and usage, see the Feature Guide.

·SNMP Management

·This topic describes how to configure the SNMP function, including enabling the SNMP function, adding SNMP manager IP addresses, adding SNMP user groups, and adding SNMP users.

Parent Topic: Configuration Guide (Web Mode)


Setting Number Conversion Mode

This topic describes how to understand and set the calling and called number change, short and long numbers, and number mapping.

·Configuring the Number Change

·This topic describes how to define the number change rules for modifying, inserting, and deleting calling or called numbers.

·Configuring the Long Number and Short Number

·A user has two numbers: a short number and a long number allocated by the PSTN. The short number is used for the calls between intra-office users. The long number is displayed when you make an outgoing call or is used for outer-office users' direct dialing in.

·Configuring the Number Mapping

·The number mapping is used to implement irregular number changes.

·Configuring the Number Change Based on the Number Length

·A number route analyzing prefix is used to avoid number conflict between different dialing modes due to an improper number plan. If number prefixes are the same but number lengths are different, a number conflict occurs and some numbers cannot be put through. To solve this problem, add a number route analyzing prefix.

·Configuring the Number Change Based on TGLD

·Add all the users who make incoming calls through the trunk to the specified call source, and configure TGLD to implement number change.

·Configuring Calling/Called Prefix Routing Configuration

·Based on the calling number and called number of the current call, the unified gateway performs routing analysis, number change, or number mapping, or determines whether to display the calling long number and short number. This section uses number change as an example.

Parent Topic: Advanced Configuration


Configuring the Number Change

This topic describes how to define the number change rules for modifying, inserting, and deleting calling or called numbers.

Context

The priorities of the three number change modes are long number and short number, number mapping, and number change in descending order. If a user meets the conditions of the three number change modes, only the mode with the highest priority is used. If the user has a long number, the long number is displayed on the phone of the called party. The user who does not set the long number can use the mapping number if it is set. The user who does not set the long number and number mapping uses the changed number.

Scenario Description

Assume that the user numbers under unified gateway are 7000 to 7059, and the main number is 68907888. The unified gateway interconnects with the PSTN through the PRA trunk, and the office direction selection code is 1.

Assume that the user data and trunk data are configured. The following requirements must be met:

·If a user under the unified gateway dials 9 + PSTN number, the main number is displayed on the phone set of the called party.

·If a user under the unified gateway dials 6 + PSTN number, the number 5xxxx is displayed on the phone set of the called party.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure the number change index.

This topic uses the following implementation as an example:

·Index 0 means that the first digit of the number is deleted.

·Index 1 means that the entire number is changed to 68907888.

·Index 2 means that the prefix 5 is added to the number.

·Choose Trunk > Office Route Configuration.

You can also choose Trunk > Prefix Configuration > Advanced to access the Advanced Configuration page.

·Click Number change index.

·Click Create.

·Configure the number change index to 0, as shown in Figure 1.

Figure 1 Configuring number change index 0

Table 1 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description

Parameter

Description

Number change index

Unique index of a number change rule.

Change type

Number change method that specifies the way that the system uses to change the calling or called numbers. The options are as follows:

·Change Number

Change a specified string in the original number.

·Delete Number

Delete a specified string from the original number.

·Insert Number

Add a string to a specified position in the original number.

·Insert by Length

Add a string to a specified position in the original number based on the number length.

·Change by Length

Change a specified string in the original number based on the number length.

·Delete by Length

Delete a specified string from the original number based on the number length.

·Insert by Call Source

If a number is within a specified call source, prefix the area code of the call source to the number.

Number length

Original number length. For example, if the original number is 9999, the number length is 4.

This parameter is mandatory only when Change type is set to Insert by Length, Change by Length, or Delete by Length.

Starting position

Position from which the number change begins. This parameter specifies the position to change some digits in, add digits to, or delete digits from an original called or calling number. Digits are changed from the left in the original number, and the first position code is 0.

Length

Number change length. This parameter specifies the length of the changed, added, or deleted digits in an original called or calling number.

This parameter is mandatory only when Change type is set to Change Number, Delete Number, Change by Length, or Delete by Length.

New number

New number after the number change or inserted number.

This parameter is mandatory only when Change type is set to Change Number, Insert Number, Change by Length, or Insert by Length.

·Click OK.

Number change index 0 is configured.

·Click Create, and configure number change index 1, as shown in Figure 2.

Figure 2 Configuring number change index 1

·Click OK.

·Click Create, and configure number change index 2, as shown in Figure 3.

Figure 3 Configuring number change index 2

·Click OK.

2.Configure prefixes.

This topic uses the following implementation as an example:

·Configure prefix 9, which is used to delete the first digit of the called number and display the switchboard number 68907888 as the calling number on the phone of the called user.

·Configure prefix 6, which is used to delete the first digit of the called number and display the number 5xxxx as the calling number on the phone of the called user.

·Choose Trunk > Prefix Configuration.

·Click Create.

·Configure prefix 9, as shown in Figure 4.

Figure 4 Configuring prefix 9

·Click OK.

Prefix 9 is configured.

·Click Create, and configure prefix 6, as shown in Figure 5.

Figure 5 Configuring prefix 6

·Click OK.

3.Click Data Save in the upper right corner of the web management system.

The unsaved configurations will be deleted after the device is restarted.

Verification

Task | Operation | Result
Dial prefix 9 to make an outgoing call. | Pick up the phone and dial 9 + a PSTN number. | The switchboard number is displayed on the called party's phone.
Dial prefix 6 to make an outgoing call. | Pick up the phone and dial 6 + a PSTN number. | Number 5xxxx is displayed on the called party's phone.

Parent Topic: Setting Number Conversion Mode


Configuring the Long Number and Short Number

A user has two numbers: a short number and a long number allocated by the PSTN. The short number is used for the calls between intra-office users. The long number is displayed when you make an outgoing call or is used for outer-office users' direct dialing in.

Context

The priorities of the three number change modes are long number and short number, number mapping, and number change in descending order. If a user meets the conditions of the three number change modes, only the mode with the highest priority is used. If the user has a long number, the long number is displayed on the phone of the called party. The user who does not set the long number can use the mapping number if it is set. The user who does not set the long number and number mapping uses the changed number.

Scenario Description

Assume that there are 32 users under the unified gateway. The short number ranges from 7001 to 7032, and the corresponding long number ranges from 68907001 to 68907032. The unified gateway interconnects with the PSTN through the PRA trunk. The office route selection code is 1. Assume that the trunk data has been configured on the unified gateway. The following requirements must be met:

Assume that the trunk data has been configured on the unified gateway. The following requirements must be met:

·When an unified gateway user calls an intra-office user, the short number of the calling user (for example, 7001) is displayed on the phone of the called user.

·When an unified gateway user calls a PSTN user, the long number of the calling user (for example, 68907001) is displayed on the phone of the called user.

·When a PSTN user dials the long number of an unified gateway user, the call gets through to the user under the unified gateway directly.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Set user numbers.

a.Choose User > SIP User.

b.Click Create.

c.Add SIP users in batches, as shown in Figure 1.

Figure 1 Adding SIP users in batches

d.Click OK.

It is recommended that a user's short number be the same as the last few digits of the user's long number to facilitate number management.

3.Configure intra-office prefixes.

a.Configure intra-office prefix 6890, which is used to determine whether the user called by an intra-office or outer-office user is an intra-office user.

b.Add intra-office prefix 7 to make intra-office calls.

c.Choose Trunk > Called Prefix Configuration.

d.Click Create.

e.Configure prefix 68907, as shown in Figure 2.

Figure 2 Configuring prefix 68907

f.Click OK.

Prefix 68907 is configured.

g.Configure the prefix to 7, as shown in Figure 3.

Figure 3 Configuring prefix 7

h.Click OK.

4.Configure an outgoing prefix.

Configure prefixes 900, 90, and 9. If the user who dials prefix 9 has a long number, the long number is displayed on the phone of the called user.

a.Configure the number change index.

i.Choose Trunk > Office Route Configuration.

ii.Click Number change index.

iii.Click Create.

iv.Configure the number change index to 0, as shown in Figure 4.

Figure 4 Configuring number change index 0

v.Click OK.

b.Choose Trunk > Called Prefix Configuration.

c.Click Create.

d.Configure the international toll call prefix 900, as shown in Figure 5.

Figure 5 Configuring prefix 900

e.Click OK.

f.Configure the national toll call prefix 90 and local call prefix 9.

5.Click Data Save in the upper right corner of the web management system.

The unsaved configurations will be deleted after the device is restarted.

Verification

Task | Operation | Result
Make a call to another intra-office user as an intra-office user. | Pick up the phone and dial an intra-office short number. | The short number (such as 7001) is displayed on the called party's phone.
Make a call to a PSTN user as an intra-office user. | Pick up the phone and dial a PSTN number. | The long number (such as 68907001) is displayed on the called party's phone.
Make a call to an intra-office user as a PSTN user. | Pick up the phone and dial an intra-office long number. | The call is connected.

Parent Topic: Setting Number Conversion Mode


Configuring the Number Mapping

The number mapping is used to implement irregular number changes.

Context

The priorities of the three number change modes are long number and short number, number mapping, and number change in descending order. If a user meets the conditions of the three number change modes, only the mode with the highest priority is used. If the user has a long number, the long number is displayed on the phone of the called party. The user who does not set the long number can use the mapping number if it is set. The user who does not set the long number and number mapping uses the changed number.

Scenario Description

The unified gateway connects to the PSTN through the PRA trunk. Figure 1 shows the network.

Figure 1 Network for the number mapping scenario

Assume that:

·The unified gateway user numbers are 7000 and 7001. The intra-office prefix is 7.

·The unified gateway connects to the PSTN through the PRA trunk. The office route selection code is 1.

·The long numbers allocated by the PSTN to the unified gateway users are 68907000 and 83787001.

Ensure that:

·When a PSTN user dials the unified gateway user number 68907000 or 83787001, the call can be connected normally.

·When the unified gateway user 7000 or 7001 makes an outgoing call to a PSTN user, the calling number 68907000 or 83787001 is displayed on the PSTN user's terminal.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure the number mapping.

Configure the number mapping for unified gateway users 7000 and 7001.

a.Choose Trunk > Office Route Configuration.

You can also choose Trunk > Called Prefix Configuration > Advanced to access the Advanced Configuration page.

b.Click Number mapping.

c.Click Create.

d.Configure the number mapping for user 7000, as shown in Figure 2.

Figure 2 Configuring the number mapping for user 7000

Table 1 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description

Parameter | Description
Internal number | Short number used in an intra-office call.
External number | Long number allocated by the carrier.

It is recommended that a user's short number be the same as the last few digits of the user's long number to facilitate number management.

e.Click OK.

The number mapping for user 7000 is configured successfully.

f.Click Create and configure the number mapping for user 7001 according to Figure 3.

Figure 3 Configuring the number mapping for user 7001

g.Click OK.

3.Configure intra-office prefixes.

Configure intra-office prefixes 68907 and 83787 on the unified gateway. When an out-office user dials 68907000 or 83787001, 68907000 or 83787001 is mapped to the short number 7000 or 7001.

a.Choose Trunk > Called Prefix Configuration.

b.Click Create.

c.Configure prefix 68907, as shown in Figure 4.

Figure 4 Configuring prefix 68907

d.Click OK.

Prefix 68907 is configured.

e.Configure prefix 83787.

Set Prefix to 83787 and set the other parameters to the same as those for prefix 68907.

4.Configure an outgoing prefix.

Configure outgoing prefix 9 on the unified gateway. When an unified gateway user dials 9xxxxxxxx, the first digit 9 of the called number is deleted, and the calling number is mapped from the short number to the long number.

a.Configure the number change index.

i.Choose Trunk > Office Route Configuration.

ii.Click Number Change Index.

iii.Click Create.

iv.Configure the number change index to 0, as shown in Figure 5.

Figure 5 Configuring number change index 0

v.Click OK.

b.Choose Trunk > Called Prefix Configuration.

c.Click Create.

d.Configure prefix 9, as shown in Figure 6.

Figure 6 Configuring prefix 9

e.Click OK.

Prefix 9 is configured.

5.Click Data Save in the upper right corner of the web management system.

Verification

Task | Operation | Result
Make a call to an intra-office user as a PSTN user. | Pick up the phone and dial 68907000 or 83787001. | The call is connected.
Make a call to a PSTN user as an intra-office user. | Pick up the phone and dial 9 + a PSTN number. | Number 68907000 or 83787001 is displayed on the called party's phone.

Parent Topic: Setting Number Conversion Mode


Configuring the Number Change Based on the Number Length

A number route analyzing prefix is used to avoid number conflict between different dialing modes due to an improper number plan. If number prefixes are the same but number lengths are different, a number conflict occurs and some numbers cannot be put through. To solve this problem, add a number route analyzing prefix.

Prerequisites

·The IP address (10.241.241.241:8080), gateway IP address (10.241.241.1), and subnet mask (255.255.255.0) of the unified gateway host have been set.

·The intra-office user and the intra-office prefix are set. For details, see Allocating User Numbers and Configuring Prefixes.

·The PRA trunk connection has been configured. For details, see Configuring a PRA Trunk.

Scenario Description

Figure 1 shows the network based on the carrier's requirements.

Figure 1 Network Plan

Assume that the unified gateway connects to the Public Switched Telephone Network (PSTN) through a PRA trunk, and the office route selection code is 1. The unified gateway has users whose short numbers are 7000 to 7005. The following dialing modes exist:

·Intra-office number: numbers in 7XXX format

·Local number: 0 + 2-digit area code + 8-digit number, for example, 02345678900

·National number: 0 + 2-digit carrier's access code + 2-digit area code + 8-digit number, for example, 0234567890000

The following prefix plan rules exist:

·Intra-office prefix: 7

·Local inter-office prefix: 0 + 2-digit area code, for example, 023

·National inter-office prefix: 0 + 2-digit carrier's access code + 2-digit area code, for example, 02345

Assume that the carrier's access code is the same as the local area code, and the first two digits of a local number are the same as the national area code. When you dial local number 02345678900 and national number 0234567890000, local number 02345678900 cannot be put through according to the prefix matching rule.

To avoid this number conflict, add a number route analyzing prefix.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure the number change index.

·Index 0: Add 111 before the number when the number length is 11 digits.

·Index 1: Add 222 before the number when the number length is 13 digits.

·Index 2: Delete the first three digits of a number.

·Choose Trunk > Office Route Configuration.

·Click Number change index.

·Click Create.

·Configure the number change index to 0, as shown in Figure 2.

Figure 2 Configuring number change index 0

Table 1 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description

Parameter | Description
Number change index | Unique index of a number change rule.
Change type | Number change method that specifies the way that the system uses to change the calling or called numbers. The options are as follows: ·Change Number Change a specified string in the original number. ·Delete Number Delete a specified string from the original number. ·Insert Number Add a string to a specified position in the original number. ·Insert by Length Add a string to a specified position in the original number based on the number length. ·Change by Length Change a specified string in the original number based on the number length. ·Delete by Length Delete a specified string from the original number based on the number length.
Number length | Original number length. For example, if the original number is 9999, the number length is 4.
Starting position | Position from which the number change begins. This parameter specifies the position to change some digits in, add digits to, or delete digits from an original called or calling number. Digits are changed from the left in the original number, and the first position code is 0.
New number | New number after the number change or inserted number.

·Click OK.

Number change index 0 is configured.

·Click Create, and configure number change index 1, as shown in Figure 3.

Figure 3 Configuring number change index 1

·Click OK.

·Click Create, and configure number change index 12, as shown in Figure 4.

Figure 4 Configuring number change index 2

·Click OK.

2.Add a number route analyzing prefix.

Add number route analyzing prefix 0. If a called number consists of 11 to 32 digits and its number route analyzing prefix is 0, a number change index will be selected to change the call number. If the called number does not meet the preceding conditions, the unified gateway does not change it.

·Choose Trunk > Called Prefix Configuration.

·Click Create.

·Configure prefix 0, as shown in Figure 5.

Figure 5 Configuring prefix 0

·The Called number change parameter supports 2 to 8 number change indexes. All of these number change indexes must be the ones for changing numbers based on the number length.

·Number change indexes are checked in sequence and only the number change index meeting certain conditions will be used to change a called number.

·If the user uses a POTS phone, you must set Waiting duration parameter when configuring a number route analyzing prefix.

If the user uses an IP phone, you do not need to set this parameter. The waitnextnumbertimerlen parameter indicates the duration of waiting for the next number. The value ranges from 0 to 3000 milliseconds. Set this parameter based on site requirements.

·Click OK.

Prefix 0 is configured.

3.Add an outgoing prefix for local calls.

Add an outgoing prefix for local calls 111, which is used to delete the first three digits of a called number.

·On the Prefix Configuration page, click Create.

·Configure prefix 111, as shown in Figure 6.

Figure 6 Configuring prefix 111

·Click OK.

Prefix 111 is configured.

4.Add an outgoing prefix for national toll calls.

Add an outgoing prefix for national toll calls 222, which is used to delete the first three digits of a called number.

·On the Prefix Configuration page, click Create.

·Configure prefix 222, as shown in Figure 7.

Figure 7 Configuring prefix 222

·Click OK.

Prefix 222 is configured.

Verification

Task | Operation | Result
Make a call to local number 02345678900 as an intra-office user. | Pick up the phone and dial 02345678900. | The call is connected.
Make a call to national toll number 0234567890000. | Pick up the phone and dial 0234567890000. | The call is connected.

Parent Topic: Setting Number Conversion Mode


Configuring the Number Change Based on TGLD

Add all the users who make incoming calls through the trunk to the specified call source, and configure TGLD to implement number change.

Context

The call source is a set of calling numbers. The functions of the call source are as follows:

·If users that belong to the same call source make outgoing calls, the same calling number is displayed on the called parties' phones. If users that belong to different call sources make outgoing calls, different calling numbers are displayed on the called parties' phones.

·If users that belong to the same call source make outgoing calls, the same route is used. If users that belong to different call sources make outgoing calls, different routes are used.

Scenario Description

Figure 1 Network of the trunk call source

Before configuring the trunk call source, ensure that:

·When a unified gateway 0 user calls a PSTN user, after the calling number is changed, the number 83785008 is displayed on the called party's phone.

·When a unified gateway 1 user calls a PSTN user, after the calling number is changed, the number 68907888 is displayed on the called party's phone.

·When a unified gateway 0 or unified gateway 1 user calls a unified gateway 2 user, if the calling number is not changed, the original number is displayed on the called party's phone.

Prerequisites

unified gateway 2 is connected to other related devices as follows:

·unified gateway 2 connects to unified gateway 1 and unified gateway 0 through the SIP trunk. The office route selection codes are 0 and 1.

·unified gateway 2 connects to the PSTN through the PRA trunk. The office route selection code is 2.

The following describes how to configure the trunk call source on unified gateway 2.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure the number change index.

·Index 0: Change the calling number to 68907888.

·Index 1: Change the calling number to 83785008.

·Choose Trunk > Office Route Configuration.

·Click Number change index.

·Click Create.

·Configure the number change index to 0, as shown in Figure 2.

Figure 2 Configuring number change index 0

·Click OK.

Number change index 0 is configured.

·Click Create, and configure number change index 1, as shown in Figure 3.

Figure 3 Configuring number change index 1

3.Configure intra-office prefixes.

Configure intra-office prefix 83787. When an external or internal user dials an intra-office number, the unified gateway analyzes whether the called party is an intra-office user based on the prefix.

·Choose Trunk > CalleePrefix Configuration.

·Click Create.

·Configure prefix 83787, as shown in Figure 4.

Figure 4 Configuring prefix 83787

·Click OK.

Prefix 83787 is configured.

4.Configure an outgoing prefix.

Configure outgoing prefix 83789 between the UScale unified gateway 2 and the PSTN.

·On the Prefix Configuration page, click Create.

·Configure prefix 83789, as shown in Figure 5.

Figure 5 Configuring prefix 83789

·Click OK.

Prefix 83789 is configured.

5.Configure the trunk call source.

6.Configure the trunk bearer.

7.Data save.

Verification

Task | Operation | Result
Make a call to a PSTN user as aunified gateway 0 user. | Dial a PSTN number on the unified gateway 0. | Number 83785008 is displayed on the called party's phone.
Make a call to a PSTN user as aunified gateway 1 user. | Dial a PSTN number on the unified gateway 1. | Number 68907888 is displayed on the called party's phone.
Make a call to an unified gateway 2 intra-office user as a unified gateway 0 and unified gateway 1 user. | Dial an unified gateway 2 intra-office number on the unified gateway 0 and unified gateway 1. | The original phone number of the user is displayed on the called party's phone.

Parent Topic: Setting Number Conversion Mode


Configuring Calling/Called Prefix Routing Configuration

Based on the calling number and called number of the current call, the unified gateway performs routing analysis, number change, or number mapping, or determines whether to display the calling long number and short number. This section uses number change as an example.

Context

When a user places a call, the X1900 series unified gateway selects a route based on the calling number and called number.

Scenario Description

Figure 1 Network Plan

Assume that the following requirements need to be met:

On the X1900 series unified gateway at the central node:

·The calling number 6000 calls 0571XXX, and the call is routed through trunk 10. Number change is not performed. The long number 28886000 of the calling party is displayed.

·The calling number 8000 calls 0571XXX, and the call is routed through trunk 12. After the calling number change, the switchboard number 28888888 is displayed.

Table 1 Data plan

Trunk | Office Route | Office Route Selection Code | Calling Number | Number Change Index | New Number
10 | 10 | 10 | 6000 | - | 28886000
12 | 12 | 12 | 8000 | 12 | 28888888

Prerequisites

·Users 6000 (long number: 28886000) and 8000 have been configured and can make intra-office calls properly.

·The switchboard number 28888888 has been configured and can make calls properly.

·The X1900 series unified gateway has been connected to PSTN trunks. Outgoing calls can be made to external numbers properly.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure the office route selection codes 10 and 12.

Choose Trunk > Office Route Configuration > Office Route Selection and click Create, as shown in Figure 2.

Figure 2 Configuring an office route selection code

3.Bind office routes 10 to the office route selection code 10. Bind office routes 12 to the office route selection code 12.

Choose Trunk > Office Route Configuration > Office Route and click Create, as shown in Figure 3.

Figure 3 Configuring an office route

4.Bind the calling prefix 6 to the called prefix 0571. Configure the calling number 6000 to be displayed as the long number 28886000.

Choose Trunk > CallerCalledPrefix Routing Configuration and click Create, as shown in Figure 4.

Figure 4 Binding the calling prefix to the called prefix (1)

5.Configure the number change index 12. When the calling number 8000 makes outgoing calls, the switchboard number 28888888 is displayed for called parties.

Choose Trunk > Office Route Configuration > Number Change Index and click Create, as shown in Figure 5.

Figure 5 Configuring a number change index

6.Bind the calling prefix 8 to the called prefix 0571. Configure the calling number to be changed to the switchboard number 28888888.

Configure the calling number to be changed to the switchboard number 28888888. Choose Trunk > CallerCalledPrefix Routing Configuration and click Create, as shown in Figure 6.

Figure 6 Binding the calling prefix to the called prefix (2)

7.Click Data Save in the upper right corner.

Verifying the configuration

Verification Task | Operation | Result
The intra-office user 6000 calls a PSTN user. | User 6000 picks up the phone and dials a PSTN number. | The long number (for example, 28886000) is displayed on the called party's phone.
The intra-office user 8000 calls a PSTN user. | User 8000 picks up the phone and dials a PSTN number. | The switchboard number (for example, 28888888) is displayed on the called party's phone.

Parent Topic: Setting Number Conversion Mode


Configuring a Common Administrator

Multiple administrators can be configured on the web management platform to perform hierarchical service management.

Context

The admin administrator can manage (add, delete, modify, and check) common administrators on the web management platform.

The admin administrator can manage all services on the web management platform, but a common administrator can manage only part of services.

The admin administrator can configure a maximum of 20 common administrators on the web management platform.

Typical Scenarios

An enterprise has multiple administrators. The admin administrator needs to configure different rights for different administrators. For example, some administrators can perform only system management and resource query operations rather than account registration and deregistration.

Feature Configuration

1.Use an advanced administrator account admin to log in to the web management system of a X1900 series unified gateway.

2.Choose System > Common Administrator Config.

3.On the Common Administrator Config page, click Create, as shown in Figure 1.

Figure 1 Add Common Administrator account

4.Configure menu permissions that roles can operate on

5. Select "Permission Management>User Management" and click on "Add" on the user management page. Select the new "admin3" added in the previous step for the role selection.

Feature Usage

Create common administrator admin1 and allocate the resource query right. The admin1 administrator can query resources on the web management platform.

Parent Topic: Advanced Configuration


Configure the Collect Call Service

After user A enables the collect call service for specific call types, user A pays for such incoming calls. The collect call service is supported in X1900 V2.0 or a later version.

Context

The collect call service refers to the service in which calls are paid by called parties.

·The administrator can configure the collect call service for specific users. Users without the collect call right cannot receive collect calls.

·Users with the collect call right can control the types of incoming calls.

Figure 1 lists the call analysis process of the collect call service.

Figure 1 Configuring the collect call service

The unified gateway supports the collect call service only when software parameter 249 is enabled.

Typical Scenarios

Customer service agent A in a bank has enabled the collect call service on agent A's phone, and configure to support incoming calls from mobile numbers starting with 1XX.

·A customer uses a mobile number starting with 1XX to make a call to agent A, and the call is successfully established. When the call is complete, unified gateway generates a CDR indicating that agent A pays for the call.

·A customer uses a mobile number that does not start with 1XX to make a call to agent A, and the call is rejected.

Interaction and Restriction

The collect call service can be configured only on the unified gateway used as a called party.

Trunks supported by the collect call service include PRA, Brazil R2, and SIP:

·PRA: The collect call flag is carried in REVERSE CHARGE INDICATION IE (0x4A).

·Brazil R2: If value 8 is carried in Group II forward signals, it is a collect call.

·SIP: The collect call flag is carried in the Support header and supports interconnection only with the X1900. To interconnect with a third-party PBX, obtain protocol information about peer devices with a collect call flag.

The following services are unavailable when the collect call right service is enabled:

·Voice Mailbox

·Voice Meeting

·Call Group

·Hunt Group

·Automatic Switchboard

Restrictions are as follows when the collect call service interacts with the following service:

·Secretary Service, Secretary Station Service, Advanced Secretary Service: determines only the manager rights.

·Group pickup, designated pickup: determines the rights of the service subscriber and called party. The collect call service is available only when the service subscriber and called party have enabled the collect call service.

·Simultaneous and sequential ringing: determines the rights of the primary and other numbers.

·Call forwarding services: determines only the rights of the service subscriber rather than the called party.

·Call transfer services: determines only the rights of the service subscriber rather than the called party.

·ONLY: determines only the rights of the primary number.

Parent Topic: Advanced Configuration


Configuring the Function of Automatically Adding the Outgoing Prefix to a Displayed Calling Number

For incoming calls, you can configure the function of automatically adding the outgoing prefix to a displayed calling number for easy callback.

Context

According to common use habits, the outgoing prefix needs to be dialed for outgoing calls. However, the calling number displayed on the called party's phone does not contain the outgoing prefix by default. Therefore, the called party cannot call back by simply pressing the callback button on the phone. To facilitate callback, the function of automatically adding the outgoing prefix to a displayed calling number can be configured.

Procedure

The following assumes that prefix 9 needs to be dialed for outgoing calls.

1.Create a number change policy with the index being 1, which is used to add an outgoing prefix to a calling number.

config add predeal index 1 changetype insert changepos 0 newdn 9

2.Query the trunk group number of the trunk used for routing incoming calls.

3.Configure calling number change for the trunk.

Parent Topic: Advanced Configuration


Configuring Call Restriction Policies

This topic describes how to configure various call restriction polices so that the call meeting specific conditions are restricted.

·Configuring the Trunk-based Call Restriction

·This topic describes how to configure the trunk-based call restriction.

·Configuring the 32-Level Right Call Restriction

·The 32-level right is a customized right. When used with call prefixes, the 32-level right can prevent specified users from making calls.

·Configuring the Reanalysis Prefix Call Restriction

·This topic describes how to configure the reanalysis prefix call restriction.

·Configuring the Blacklist and Whitelist Call Restriction

·This topic describes how to configure the blacklist and whitelist call restriction.

·Configuring Call Barring Upon a Full CDR Pool

·This topic describes how to configure call barring upon a full CDR pool.

·Configuring Data of Call Restriction for Overloaded CPU

·This topic describes how to configure call restriction for CPU overload protection.

·Configuring Outgoing Call Rights for a Calling Number Prefix

·By configuring outgoing call rights for a calling number prefix, you can allow calling users whose numbers start with the specified prefix to make outgoing calls after they make trunk-based incoming calls.

Parent Topic: Advanced Configuration


Configuring the Trunk-based Call Restriction

This topic describes how to configure the trunk-based call restriction.

Context

To control calls that go through trunks, the unified gateway assigns the following rights to trunks:

·Inter: intra-office call.

·Local: local call.

·DDD: national toll call.

·IDD: international toll call.

The trunk-based call restriction prevents a user from making outgoing calls after making an incoming call to the unified gateway, which forms toll fraud. For example, a PSTN user may dial 0xxx instead of an extension number after the user calls the unified gateway switchboard through the E1/T1 trunk.

In the trunk-based call restriction scenario, call restriction varies according to trunk and calling number prefix as follows:

·If you do not limit the call right for the trunk or the calling number prefix, the call is allowed.

·If you limit the outgoing call right for the trunk and calling number prefix at the same time, the call is restricted.

By combining the two outgoing call rights, the unified gateway can restrict some incoming calls of a trunk, while allows incoming calls of specified calling parties.

In the V2.0 and later versions, the unified gateway can restrict the time that a specified calling party can use a specified trunk. For example, calling party A can use trunks 1 and 2 for unlimited time, and calling party B can use trunk 1 for 15 minutes and trunk 2 for 30 minutes.

The system supports outgoing call time limits for the following trunks: SIP, QSIG, PRA, SS7, R2, and AT0.

When a calling party makes outgoing calls through trunks, multiple trunks can be configured. However, you can configure the call time limits only for a maximum of 16 trunks.

Scenario 1: Trunk-based Call Restriction

Assume that the unified gateway connects to the PSTN through the PRA trunk. The outgoing prefix is 9. The called number change rule is deleting the first digit 9. The following requirements must be met:

·After a PSTN user dials the switchboard number of an enterprise, the unified gateway restricts the outgoing calls made by the user by dialing 9 + Called number.

·After a PSTN user calls an intra-office user, the intra-office user can call back by pressing the callback key.

Verification (Scenario 1)

Task | Operation | Result
Make a call to a PSTN number by pressing the callback key as a switchboard user. | Pick up the phone and press the callback key after a PSTN user makes a call to the automatic switchboard. | The call fails.
Make a call to a PSTN number by pressing the callback key as an intra-office user. | Pick up the phone and press the callback key after a PSTN user makes a call to the intra-office user. | The call is connected.

Scenario 2: Trunk-based Call Time Limit

Calling party 6000 can make an outgoing call through trunk of office route 0 for a maximum of 15 minutes and through trunk of office route 1 for maximum of 30 minutes.

Procedure (Scenario 2)

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose Trunk > Trunk-based Call Time Limit Index, click Create, and configure mapping between trunk-based call time limit indexes and trunks.

A maximum of 255 trunk-based call time limit indexes can be configured.

3.On the User > SIP User or User > POTS User page, select the user number for which you want to configure the service and click Service Configuration.

4.In the Complex service area, click Configure next to Trunk-based Call Time Limit, click Create, and configure trunk-based call time limit indexes.

A maximum of 16 trunk-based call time limit indexes can be associated with each user.

5.In the upper right corner of the web page, click [image] to save the configuration.

Verification (Scenario 2)

User 6000 makes an outgoing call through trunk of office route 0, an announcement is played indicating that only 1 minute of call time is left when the call duration reaches 14 minutes, and the call is ended when the call duration reaches 15 minutes. If the user makes an outgoing call again and the call is routed through trunk of office route 1, the call duration is recalculated. Similar restriction is imposed on outgoing calls through trunk of office route 1.

Parent Topic: Configuring Call Restriction Policies


Configuring the 32-Level Right Call Restriction

The 32-level right is a customized right. When used with call prefixes, the 32-level right can prevent specified users from making calls.

Context

The basic call rights are as follows:

·Inter: intra-office call.

·Local: local call.

·DDD: national toll call.

·IDD: international toll call.

These call rights, however, cannot meet users requirements. To extend users' call rights, 32 levels of rights can be added.

Scenario Description

Figure 1 Network for 32-level right call restriction

Assume the unified gateway connects to other devices as follows:

·The unified gateway connects to the PSTN through the ISUP trunk, and the office route selection code is 1.

·The unified gateway connects to the traditional PBX through the PRA trunk, and the office route selection code is 2.

The following requirements must be met:

·All unified gateway users can dial the traditional PBX user number 5xxx.

·Only users 7080 to 7088 can dial the PSTN user number 9xxxxxxx.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure the number change index.

Add number change index 1 for deleting the first digit of the called number.

a.Choose Trunk > Office Route Configuration.

b.Click Number Change Index.

c.Click Create.

d.Configure number change index 1, as shown in Figure 2.

Figure 2 Configuring number change index 1

e.Click OK.

Number change index 1 is configured.

3.Configure outgoing prefixes.

a.Configure prefix 9 for making outgoing calls to PSTN users.

b.Configure prefix 5 for making outgoing calls to PBX users.

c.Choose Trunk > Called Prefix Configuration.

d.Click Create.

e.Configure prefix 9, as shown in Figure 3.

Figure 3 Configuring prefix 9

f.Click OK.

Prefix 9 is configured.

g.Click Create and configure prefix 5, as shown in Figure 4.

Figure 4 Configuring prefix 5

h.Click OK.

4.Assign the customized call right cus1 to users 7080 to 7088.

Only unified gateway users with the cus1 right can dial prefix 9 to make outgoing calls from the ISUP trunk.

a.Choose User > SIP User.

b.Select users 7080 to 7088 and click Service Configuration.

c.Choose Complex service > Outgoing call right and click Configure.

d.Select Custom 1, as shown in Figure 5.

Figure 5 Modifying customized outgoing call rights

e.Click OK.

Verification

Task | Operation | Result
Make a call to a traditional PBX user as an unified gateway user. | Pick up the phone and dial the number of a traditional PBX user. | The call is connected.
Make a call to PSTN number 9xxxxxxx as any user of unified gateway users 7080 to 7088. | Pick up the phone and dial 9xxxxxxx. | The call is connected.
Make a call to PSTN number 9xxxxxxx as any user except for unified gateway users 7080 to 7088. | Pick up the phone and dial 9xxxxxxx. | The call is restricted.

Parent Topic: Configuring Call Restriction Policies


Navigation: Configuration > Configuration Guide (Web Mode) > Advanced Configuration > Configuring Call Restriction Policies >

Return to chapter overview

Configuring the Reanalysis Prefix Call Restriction

Not currently supported

Parent Topic: Configuring Call Restriction Policies


Configuring the Blacklist and Whitelist Call Restriction

This topic describes how to configure the blacklist and whitelist call restriction.

Context

The blacklist and whitelist call restriction allows you to accept or reject specified calls. Figure 1 shows the call restriction relationships specified by the blacklist and whitelist.

Figure 1 Call restriction relationships specified by the blacklist and whitelist

·A user in the blacklist can call only users in the whitelist.

·A user in the common call restriction group can call users in the whitelist and common call restriction group, but cannot call users in the blacklist.

·A user in the whitelist can call any users.

Scenario Description

Users 7080-7088 are configured on unified gateway, and they all can dial 9168xxxx (intra-office or external numbers).

Requirement: Only user 7080 is allowed to dial 9168xxxx.

Verification

Task | Operation | Result
Make a call to a blacklisted user as an ordinary user. | User 7081 picks up the phone and makes a call to user 9168xxxx. | The call fails.
Make a call to a blacklisted user as a whitelisted user. | User 7080 picks up the phone and makes a call to user 9168xxxx. | The call is connected.

Parent Topic: Configuring Call Restriction Policies


Navigation: Configuration > Configuration Guide (Web Mode) > Advanced Configuration > Configuring Call Restriction Policies >

Return to chapter overview

Configuring Call Barring Upon a Full CDR Pool

Not currently supported

Parent Topic: Configuring Call Restriction Policies


Navigation: Configuration > Configuration Guide (Web Mode) > Advanced Configuration > Configuring Call Restriction Policies >

Return to chapter overview

Configuring Data of Call Restriction for Overloaded CPU

Not currently supported

Parent Topic: Configuring Call Restriction Policies


Configuring Outgoing Call Rights for a Calling Number Prefix

By configuring outgoing call rights for a calling number prefix, you can allow calling users whose numbers start with the specified prefix to make outgoing calls after they make trunk-based incoming calls.

Context

Assume that the following requirement must be met: outgoing call right of calling number prefix 0571 is set to local. When the calling party with the number being 0571xxxxxxxx dials the unified gateway main number, and then dials the local outgoing prefix followed by the called number, that is, from incoming to outgoing, the call is allowed by the system. The analyzed calling number is the number that is changed, including the number change that is specified through the config modify trunkgroup command.

Procedure

X1900 V2.0 and later versions support configuration of caller prefixes by using the web management system.

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose Trunk > CallerPrefix Configuration, click Create.

3.Configure the caller number prefix 0571, as shown in Figure 1.

Figure 1 Configure the caller number prefix

4.Click Data Save in the upper right corner of the web management system.

Parent Topic: Configuring Call Restriction Policies


Configuring Intelligent Routing

Intelligent routing means that the unified gateway can select a trunk and office route based on a certain routing policy, for example, by time or by lowest tariff.

·Configuring Rerouting

·If routing fails based on the policy for the active route selection code, the system reselects a route based on the policy for the standby route selection code corresponding to the routing or call failure processing index. The system can also reanalyze the called number and then reselect a route.

·Configuring Time-Based Routing

·Poll the office routes according to the office route IDs in ascending sequence till an office route that contains the system time and idle circuits is found.

·Configuring Routing Based on Charging Rate

·Poll the office routes according to the charging rate in ascending sequence to query the idle circuits. Poll the office routes according to the office route IDs in ascending sequence if office routes have the same charging rate. If no idle circuit is found, poll the office routes according to the office routes that are not configured with the charging rate in ascending sequence till the idle circuits are found.

·Configuring Routing Based on Load Balancing

·Poll the office routes according to the office route IDs in ascending sequence till an office route that contains idle circuits is found. The later calls will be polled from the office route after the office route that is selected by the preceding call.

·Configuring Routing Based on Load Percentage

·Except the office routes whose load percentages are set to 100%, poll the office routes according to the load percentages in descending sequence.

·Configuring Routing Based on the User Right Level

·Poll the office routes according to the user priority levels which the office routes belong to from high to low. Poll the office routes according to the office route IDs in ascending sequence if office routes belong to the same user right level. Till the user right level which the office route belongs to is equal to or lower than the user right level and the office route contains idle circuits is found.

·Configuring Routing Based on Trunk Link Balance

·Poll the office routes according to the office route IDs in ascending sequence till an office route that contains idle circuits is found.

·Configuring Rerouting Analysis

·Configure rerouting analysis so that all outgoing calls from users in a specified call source are routed through the specified office route.

·Configuring Trunk Bearer

·Configure trunk bearer to determine whether calling and called number change are implemented when users make outgoing calls through the PSTN and whether they hear the ringback tone of the peer office.

·Configuring a Trunk Group

·This topic describes how to configure outgoing call rights and implement calling and called number changes for incoming calls routed through a specified trunk.

Parent Topic: Advanced Configuration


Configuring Rerouting

If routing fails based on the policy for the active route selection code, the system reselects a route based on the policy for the standby route selection code corresponding to the routing or call failure processing index. The system can also reanalyze the called number and then reselect a route.

Context

Rerouting policies can be classified into two types: rerouting upon routing failure and rerouting upon call failure.

·Rerouting Failure: When a trunk link is faulty, the system reroutes a call to other trunks. This option applies to all types of trunks.

·Calling Failure:

§For SIP trunks, a call failure may be caused by a trunk link fault (routing failure) or other exceptions (such as a heartbeat failure).

§For non-SIP trunks, a call failure amounts to a routing failure, that is, a trunk link fault. If rerouting upon routing failure is configured, trunks can be reselected.

When you configure the rerouting policy upon failure, configure rerouting upon routing failure for non-SIP trunks, and configure rerouting upon call failure or rerouting upon routing failure for SIP trunks, depending on the customer's requirements.

For example, if the gateway connects to the peer device through two or more SIP trunks:

·If you configure rerouting upon call failure for SIP trunks, and receives the 302, 403, 502, or 503 response code due to all kinds of reasons, the gateway automatically reroutes a call to another SIP trunk.

·If you do not configure rerouting upon call failure for SIP trunks, trunks will not be reselected when a call fails on the first SIP trunk.

For the unified gateway in versions earlier than V2.0, if rerouting upon routing failure is configured, the system reselects a route based on the policy for the standby route selection code corresponding to the routing failure processing index. After rerouting, the system performs number change only, and does not reanalyze the new called number after number change. As a result, the service features of the new called number's prefix cannot be implemented. If rerouting upon call failure is configured, the system cannot perform number change or reanalyze the called number.

For the unified gateway in V2.0 and later versions, if routing fails based on the policy for the active route selection code, the system reselects a route and also reanalyzes the new called number after number change. A maximum of five reanalysis operations can be performed.

For the unified gateway in V2.0 and later versions, if rerouting upon routing failure is configured, the system can select a call source based on the calling number of the specified trunk and number length for rerouting.

Typical Scenario 1: Rerouting upon Routing Failure

Figure 1 Network diagram of the intelligent route

The unified gateway connects to carrier A's network through the primary rate adaptation (PRA) and Integrated Services Digital Network User Part (ISUP) trunks. The office route selection code is 1. The unified gateway connects to carrier B's devices through the PRA trunks. The office route selection code is 2. Assume that user data and trunk data have been configured.

Assume that: When an unified gateway user dials PSTN user number 0+xxxxxxxx, the call is routed through carrier A's trunk preferentially. When carrier A's network is unavailable, the call is routed through carrier B's trunk.

Table 1 Data plan

Trunk | Office Route Selection Code | Office Route | Failure Processing Index | Number change index
PRA trunk to carrier A's network | 1 | 0 | 0 | 0
ISUP trunk to carrier A's network | 1 | 1 | 0 | 0
PRA trunk to carrier B's network | 2 | 2 | None | None

Procedure (Scenario 1)

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure the office route selection code 2.

Choose Trunk > Office Route Configuration > Office Route Selection Code. Click Create, as shown in Figure 2.

Figure 2 Configuring office route selection code 2

3.Configure the policy for processing routing failures.

Choose Trunk > Office Route Configuration > Failure Processing index. Click Create, as shown in Figure 3.

Figure 3 Configuring failure processing index 0

Table 2 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

Table 2 Key parameter description

Parameter

Description

Failure Processing Index

Unique index of a failure processing policy.

Rerouting policy upon failure

Failure selection policy used by a failure processing index. The options are Rerouting Failure and Calling Failure.

When you configure the rerouting policy upon failure, configure rerouting upon routing failure for non-SIP trunks, and configure rerouting upon call failure or rerouting upon routing failure for SIP trunks.

Selection node of Standby office route

Office route selection policy used for rerouting.

Called number change

Indicates whether to change the called number before rerouting.

For details, see Configuring the Number Change.

Called number reanalysis

Indicates whether to reanalyze the new called number after number change.

This parameter becomes valid after choose Called number change index.

If this parameter is set to Yes, the standby office route selection code becomes invalid. The system reanalyzes the called number and then reselects a route.

Calling number change

Indicates whether to change the calling number before rerouting.

For details, see Configuring the Number Change.

4.Configure the office route selection code to 1, and set the routing failure processing index to 0.

Choose Trunk > Office Route Configuration > Office Route Selection Code. Click Create, as shown in Figure 4.

Figure 4 Configuring office route selection code 1

5.Configure the office route 0, 1 and 2.

Office routes 0 and 1 are used for the PRA and ISUP trunks of carrier A. The corresponding office route selection code is 1. Office route 2 is used for the PRA trunk of carrier B. The corresponding office route selection code is 2.

a.Choose Trunk > Office Route Configuration > Office Route. Click Create, as shown in Figure 5.

Figure 5 Configuring office route 0

b.Repeat the preceding steps to configure office routes 1 and 2.

6.Configure outgoing prefix 0 and the called number change policy of deleting the first digit 0.

a.Choose Trunk > Office Route Configuration > Number change index. Click Create, as shown in Figure 6.

Figure 6 Configuring number change index 0

b.Choose Trunk > Called Prefix Configuration. Click Create, as shown in Figure 7.

Figure 7 Configuring prefix 0

7.Click Data Save in the upper right corner of the web management system.

Typical Scenario 2: Reanalyzing Called Number After Rerouting upon Call Failure

1.When an unified gateway user 1000 calls external number 6000. According to the called prefix (which is 6), the system selects a route based on office route selection code 1. When the call fails, the system enters the rerouting process.

2.The system changes the called number from 6000 to 3036000 according to called number change index 1.

3.The system reanalyzes the new called number and selects a route based on office route selection code 2 according to the new called prefix 303.

4.Phone 3036000 rings, and the calling number displayed is 1000. The call is successfully set up.

Table 3 Data plan

Trunk | Office Route Selection Code | Prefix | Failure Processing Index | Number Change Index
SIP trunk 1 | 1 | 6 | 1 | None
SIP trunk 2 | 2 | 303 | None | 1

Procedure (Scenario 2)

Prerequisites: User 1000, external number 6000, and related trunk connection parameters have been configured.

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure the office route selection code 2.

Choose Trunk > Office Route Configuration > Office Route Selection Code. Click Create, as shown in Figure 8.

Figure 8 Configuring office route selection code 2

3.Configure outgoing prefix 303 and bind it to office route selection code 2.

Choose Trunk > Called Prefix Configuration. Click Create, as shown in Figure 9.

Figure 9 Configuring outgoing prefix 303

4.Configure called number change prefix 1, which is used to prefix a called number with 303.

Choose Trunk > Office Route Configuration > Number change index. Click Create, as shown in Figure 10.

Figure 10 Configuring number change index 1

5.Configure routing failure processing index 1 and the associated processing policy, and enable called number reanalysis.

Choose Trunk > Office Route Configuration > Failure Processing index. Click Create, as shown in Figure 11.

Figure 11 Configuring failure processing index 1

Table 2 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

6.Configure the office route selection code to 1, and set the routing failure processing index to 0.

Choose Trunk > Office Route Configuration > Office Route Selection Code. Click Create, as shown in Figure 12.

Figure 12 Configuring office route selection code 1

7.Configure outgoing prefix 6.

Choose Trunk > Called Prefix Configuration. Click Create, as shown in Figure 13.

Figure 13 Configuring prefix 6

8.Click Data Save in the upper right corner of the web management system.

Typical Scenario 3: Reanalyzing Called Number After Rerouting upon Call Failure to Trigger the Prefix Service

1.When an unified gateway user 1000 calls external number 6000. According to the called prefix (which is 6), the system selects a route based on office route selection code 1. When the call fails, the system enters the rerouting process.

2.The system changes the called number from 6000 to 3036000 according to called number change index 1.

3.The system reanalyzes the new called number and triggers the PIN Code service according to the new called prefix 303. User 1000 is prompted with an announcement, asking the user to enter the password of the PIN Code call barring account.

4.User 1000 enters the password. Phone 3036000 rings, and the calling number displayed is 1000. The call is successfully set up.

The configuration procedure is similar to that in scenario 2.

Parent Topic: Configuring Intelligent Routing


Configuring Time-Based Routing

Poll the office routes according to the office route IDs in ascending sequence till an office route that contains the system time and idle circuits is found.

Scenario Description

Figure 1 Network diagram of the intelligent route

The unified gateway connects to carrier network through the PRA and ISUP trunks. The office route selection code is 1. Assume that user data and trunk data have been configured.

Assume that: When an unified gateway user dials PSTN user number 0+xxxxxxxx every day from 08:00 to 18:00, the calls are routed through carrier's PRA trunk. Calls made in other time segments are routed through carrier's ISUP trunk.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure the office route selection code.

Set the office route selection code to 1. Office route selection code 1 selects office routes based on time. Choose Trunk > Office Route.

a.Choose Trunk > Office Route Configuration > Office Route Selection Code.

b.Click Create.

c.Configure the office route selection code to 1, as shown in Figure 2.

Figure 2 Configuring office route selection code 1

Table 1 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description (1)

Parameter

Description

Office route selection code

Office route selection code of an office route. Each code identifies to an office route selection policy.

Office route selection policy

Policy for selecting among office routes with the same office route selection code. The options are as follows:

·None

Office routes are polled based on office route IDs in ascending order until an office route that contains idle circuits is found.

·By Time

Office routes are polled based on office route IDs in ascending order until an office route that is valid at the current system time and contains idle circuits is found.

·By Charging Rate

Office routes are polled based on charging rates in ascending order until an office route that contains idle circuits is found. Office routes with the same charging rate are polled based on office route IDs in ascending order. If no idle circuit is found, office routes configured with no charge rate are polled based on office route IDs in ascending order until an office route that contains idle circuits is found.

·By Load Sharing

Office routes are polled based on office route IDs in ascending order until an office route that contains idle circuits is found. The later calls will poll office routes from the next office route after an office route is selected by the preceding call.

·By Load Sharing Percentage

Except the office routes whose load percentages are set to 100%, office routes are polled based on the load percentages in descending order.

·User Level

Office routes are polled based on user priorities in ascending order until an office route that contains idle circuits and has an equal or lower user priority is found. Office routes with the same charging rate are polled based on office route IDs in ascending order.

·Load Balancing

Office routes are polled based on office route IDs in ascending order until an office route that contains the maximum number of idle circuits is found.

Failure Processing Index

Index of a routing failure processing policy related to the office route selection policy.

For details, see Configuring Rerouting.

Whether to send the two-stage dialing tone

Indicates whether a user can hear the second dialing tone after dialing the outgoing prefix when making an outgoing call through an office route selected from the current office route selection code.

a.Click OK.

Office route selection code 1 is configured.

2.Configure the time segment index.

a.The time segment of index 1 is from 08:00 to 18:00 every day.

b.The time segment of index 2 is from 18:00 to 08:00 every day.

c.Click Time segment index tab page.

d.Click Create.

e.Configure the time segment index to 1, as shown in Figure 3.

Figure 3 Configuring time segment index 1

Table 2 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

Table 2 Key parameter description (2)

Parameter | Description
Time segment index | Unique index of a time segment.
Start week | Day in a week when the time segment starts. For example, this parameter can be set to Sunday.
End week | Day in a week when the time segment ends. For example, this parameter can be set to Saturday.
Start time | Time when the time segment starts. For example, this parameter can be set to 07:00.
End time | Time when the time segment ends. For example, this parameter can be set to 22:00. If the value of Start time is later than that of End time, the value of End time indicates the time on the next day. For example, if the value of Start time is 21:00, and the value of End time is 7:00, the time segment lasts from 21:00 on the current day to 7:00 on the next day.

f.Click OK.

Time segment index 1 is configured.

g.Click Create, and configure time segment index 2, as shown in Figure 4.

Figure 4 Configuring time segment index 2

Table 2 describes the key parameters displayed on the web page.

3.Configure office route.

a.Office route 0 is used for the PRA trunk, with office route selection code being 1 and time segment index being 1.

b.Office route 1 is used for the ISUP trunk, with office route selection code being 1 and time segment index being 2.

c.Choose Trunk > Office Route.

d.Click Create.

e.Configure the office route to 0, as shown in Figure 5.

Figure 5 Configuring office route 0

f.Click OK.

Office route 0 is configured.

g.Click Create, and configure office route 1, as shown in Figure 6.

Figure 6 Configuring office route 1

4.Configure the outgoing prefix.

Set the outgoing prefix to 0. The first digit 0 of the called number is deleted.

a.Configure the number change index.

·Choose Trunk > Office Route Configuration.

·Click Number change index tab page.

·Click Create.

·Configure the number change index to 0, as shown in Figure 7.

Figure 7 Configuring number change index 0

·Click OK.

Number change index 0 is configured.

b.Choose Trunk > Called Prefix Configuration.

c.Click Create.

d.Configure prefix 0, as shown in Figure 8.

Figure 8 Configuring prefix 0

e.Click OK.

Prefix 0 is configured.

Parent Topic: Configuring Intelligent Routing


Configuring Routing Based on Charging Rate

Poll the office routes according to the charging rate in ascending sequence to query the idle circuits. Poll the office routes according to the office route IDs in ascending sequence if office routes have the same charging rate. If no idle circuit is found, poll the office routes according to the office routes that are not configured with the charging rate in ascending sequence till the idle circuits are found.

Scenario Description

Figure 1 Network diagram of the intelligent route

The unified gateway connects to carrier network through the PRA and ISUP trunks. The office route selection code is 1. Assume that user data and trunk data have been configured.

Assume that: When a user makes an outgoing call, the unified gateway selects office routes according to the charging rate in ascending sequence.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure the office route selection code.

Set the office route selection code to 1. Office route selection code 1 selects office routes based on charging rate.

a.Choose Trunk > Office Route Configuration > Office Route Selection Code.

b.Click Create.

c.Configure the office route selection code to 1, as shown in Figure 2.

Figure 2 Configuring office route selection code 1

Table 1 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description (1)

Parameter

Description

Office route selection code

Office route selection code of an office route. Each code identifies to an office route selection policy.

Office route selection policy

Policy for selecting among office routes with the same office route selection code. The options are as follows:

·None

Office routes are polled based on office route IDs in ascending order until an office route that contains idle circuits is found.

·By Time

Office routes are polled based on office route IDs in ascending order until an office route that is valid at the current system time and contains idle circuits is found.

·By Charging Rate

Office routes are polled based on charging rates in ascending order until an office route that contains idle circuits is found. Office routes with the same charging rate are polled based on office route IDs in ascending order. If no idle circuit is found, office routes configured with no charge rate are polled based on office route IDs in ascending order until an office route that contains idle circuits is found.

·By Load Sharing

Office routes are polled based on office route IDs in ascending order until an office route that contains idle circuits is found. The later calls will poll office routes from the next office route after an office route is selected by the preceding call.

·By Load Sharing Percentage

Except the office routes whose load percentages are set to 100%, office routes are polled based on the load percentages in descending order.

·User Level

Office routes are polled based on user priorities in ascending order until an office route that contains idle circuits and has an equal or lower user priority is found. Office routes with the same charging rate are polled based on office route IDs in ascending order.

·Load Balancing

Office routes are polled based on office route IDs in ascending order until an office route that contains the maximum number of idle circuits is found.

Failure Processing Index

Index of a routing failure processing policy related to the office route selection policy.

For details, see Configuring Rerouting.

Whether to send the two-stage dialing tone

Indicates whether a user can hear the second dialing tone after dialing the outgoing prefix when making an outgoing call through an office route selected from the current office route selection code.

a.Click OK.

Office route selection code 1 is configured.

2.Configure the office route.

a.Office route 0 is used for the PRA trunk, with office route selection code being 1 and charging rate being 10.

b.Office route 1 is used for the ISUP trunk, with office route selection code being 1 and charging rate being 20.

c.Choose Trunk > Office Route Configuration > Office Route.

d.Click Create.

e.Configure the office route to 0, as shown in Figure 3.

Figure 3 Configuring office route 0

Table 2 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

Table 2 Key parameter description (2)

Parameter | Description
Office route ID | Unique ID of an office route.
Charging rate | Charge rate of an office route.

f.Click OK.

Office route 0 is configured.

g.Click Create, and configure office route 1, as shown in Figure 4.

Figure 4 Configuring office route 1

Table 2 describes the parameters displayed on the web page.

3.Configure the outgoing prefix.

Outgoing prefix 0: When a user makes an outgoing call, the UScale X1960 selects office routes according to the charging rate in ascending sequence.

a.Configure the number change index.

·Choose Trunk > Office Route Configuration.

·Click Number change index.

·Click Create.

·Configure the number change index to 0, as shown in Figure 5.

Figure 5 Configuring number change index 0

·Click OK.

Number change index 0 is configured.

b.Choose Trunk > Called Prefix Configuration.

c.Click Create.

d.Configure prefix 0, as shown in Figure 6.

Figure 6 Configuring prefix 0

e.Click OK.

Prefix 0 is configured.

Parent Topic: Configuring Intelligent Routing


Configuring Routing Based on Load Balancing

Poll the office routes according to the office route IDs in ascending sequence till an office route that contains idle circuits is found. The later calls will be polled from the office route after the office route that is selected by the preceding call.

Scenario Description

Figure 1 Network diagram of the intelligent route

The unified gateway connects to carrier network through the PRA and ISUP trunks. The office route selection code is 1. Assume that user data and trunk data have been configured.

Assume that: When an unified gateway user dials PSTN user number 0xxxxxxxx, the unified gateway polls the office routes according to the office route IDs in ascending sequence till an office route that contains idle circuits is found.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure the office route selection code.

Set the office route selection code to 1. Office route selection code 1 selects office routes based on load balancing.

a.Choose Trunk > Office Route Configuration > Office Route Selection Code.

b.Click Create.

c.Configure the office route selection code to 1, as shown in Figure 2.

Figure 2 Configuring office route selection code 1

Table 1 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description (1)

Parameter

Description

Office route selection code

Office route selection code of an office route. Each code identifies to an office route selection policy.

Office route selection policy

Policy for selecting among office routes with the same office route selection code. The options are as follows:

·None

Office routes are polled based on office route IDs in ascending order until an office route that contains idle circuits is found.

·By Time

Office routes are polled based on office route IDs in ascending order until an office route that is valid at the current system time and contains idle circuits is found.

·By Charging Rate

Office routes are polled based on charging rates in ascending order until an office route that contains idle circuits is found. Office routes with the same charging rate are polled based on office route IDs in ascending order. If no idle circuit is found, office routes configured with no charge rate are polled based on office route IDs in ascending order until an office route that contains idle circuits is found.

·By Load Sharing

Office routes are polled based on office route IDs in ascending order until an office route that contains idle circuits is found. The later calls will poll office routes from the next office route after an office route is selected by the preceding call.

·By Load Sharing Percentage

Except the office routes whose load percentages are set to 100%, office routes are polled based on the load percentages in descending order.

·User Level

Office routes are polled based on user priorities in ascending order until an office route that contains idle circuits and has an equal or lower user priority is found. Office routes with the same charging rate are polled based on office route IDs in ascending order.

·Load Balancing

Office routes are polled based on office route IDs in ascending order until an office route that contains the maximum number of idle circuits is found.

Failure Processing Index

Index of a routing failure processing policy related to the office route selection policy.

For details, see Configuring Rerouting.

Whether to send the two-stage dialing tone

Indicates whether a user can hear the second dialing tone after dialing the outgoing prefix when making an outgoing call through an office route selected from the current office route selection code.

a.Click OK.

Office route selection code 1 is configured.

2.Configure the office route.

a.Office route 0 is used for the PRA trunk, with office route selection code being 1.

b.Office route 1 is used for the ISUP trunk, with office route selection code being 1.

c.Choose Trunk > Office Route Configuration > Office Route.

d.Click Create.

e.Configure the office route to 0, as shown in Figure 3.

Figure 3 Configuring office route 0

f.Click OK.

Office route 0 is configured.

g.Click Create, and configure office route 1, as shown in Figure 4.

Figure 4 Configuring office route 1

3.Configure the outgoing prefix.

Set the outgoing prefix to 0. The first digit 0 of the called number is deleted.

a.Configure the number change index.

·Choose Trunk > Office Route Configuration.

·Click Number change index tab page.

·Click Create.

·Configure the number change index to 0, as shown in Figure 5.

Figure 5 Configuring number change index 0

·Click OK.

b.Choose Trunk > Called Prefix Configuration.

c.Click Create.

d.Configure prefix 0, as shown in Figure 6.

Figure 6 Configuring prefix 0

e.Click OK.

Prefix 0 is configured.

Parent Topic: Configuring Intelligent Routing


Configuring Routing Based on Load Percentage

Except the office routes whose load percentages are set to 100%, poll the office routes according to the load percentages in descending sequence.

Context

The unified gateway connects to the PSTN through multiple trunk links. These trunk links correspond to multiple office routes that have different load percentages configured but are bound to the same office route selection code. Figure 1 shows the network.

Figure 1 Network diagram of the intelligent route

Trunks in the figure are examples only. In actual conditions, any trunk type is possible.

Scenario Description

The unified gateway connects to carrier network through the PRA and ISUP trunks. The office route selection code is 1. Assume that user data and trunk data have been configured.

Assume that: When an unified gateway user dials PSTN user number 0+xxxxxxxx, 70% calls are routed through carrier's PRA trunk and 30% calls are routed through carrier's ISUP trunk.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure the office route selection code.

Set the office route selection code to 1, which is used for carrier's PRA and ISUP trunks. Office route selection code 1 selects office routes based on load percentage.

a.Choose Trunk > Office Route Configuration > Office Route Selection Code.

b.Click Create.

c.Configure the office route selection code to 1, as shown in Figure 2.

Figure 2 Configuring office route selection code 1

Table 1 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description (1)

Parameter

Description

Office route selection code

Office route selection code of an office route. Each code identifies to an office route selection policy.

Office route selection policy

Policy for selecting among office routes with the same office route selection code. The options are as follows:

·None

Office routes are polled based on office route IDs in ascending order until an office route that contains idle circuits is found.

·By Time

Office routes are polled based on office route IDs in ascending order until an office route that is valid at the current system time and contains idle circuits is found.

·By Charging Rate

Office routes are polled based on charging rates in ascending order until an office route that contains idle circuits is found. Office routes with the same charging rate are polled based on office route IDs in ascending order. If no idle circuit is found, office routes configured with no charge rate are polled based on office route IDs in ascending order until an office route that contains idle circuits is found.

·By Load Sharing

Office routes are polled based on office route IDs in ascending order until an office route that contains idle circuits is found. The later calls will poll office routes from the next office route after an office route is selected by the preceding call.

·By Load Sharing Percentage

Except the office routes whose load percentages are set to 100%, office routes are polled based on the load percentages in descending order.

·User Level

Office routes are polled based on user priorities in ascending order until an office route that contains idle circuits and has an equal or lower user priority is found. Office routes with the same charging rate are polled based on office route IDs in ascending order.

·Load Balancing

Office routes are polled based on office route IDs in ascending order until an office route that contains the maximum number of idle circuits is found.

Failure Processing Index

Index of a routing failure processing policy related to the office route selection policy.

For details, see Configuring Rerouting.

Whether to send the two-stage dialing tone

Indicates whether a user can hear the second dialing tone after dialing the outgoing prefix when making an outgoing call through an office route selected from the current office route selection code.

a.Click OK.

Office route selection code 1 is configured.

2.Configure the office route.

Office route 1 is used for the PRA trunk, with office route selection code being 1 and load percentage being 70%. Office route 2 is used for the ISUP trunk, with office route selection code being 1 and load percentage being 30%.

a.Choose Trunk > Office Route Configuration > Office Route.

b.Click Create.

c.Configure the office route to 1, as shown in Figure 3.

Figure 3 Configuring office route 1

Table 2 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

Table 2 Key parameter description (2)

Parameter | Description
Office route ID | Unique ID of an office route.
Percentage | Percentage configured for an office route.

d.Click OK.

Office route 1 is configured.

e.Click Create, and configure office route 2, as shown in Figure 4.

Figure 4 Configuring office route 2

Table 2 describes the key parameters displayed on the web page.

3.Configure the outgoing prefix.

Set the outgoing prefix to 0. The first digit 0 of the called number is deleted.

a.Configure the number change index.

·Choose Trunk > Office Route Configuration.

·Click Number change index tab page.

·Click Create.

·Configure the number change index to 0, as shown in Figure 5.

Figure 5 Configuring number change index 0

·Click OK.

Number change index 0 is configured.

b.Choose Trunk > Called Prefix Configuration.

c.Click Create.

d.Configure prefix 0, as shown in Figure 6.

Figure 6 Configuring prefix 0

e.Click OK.

Prefix 0 is configured.

Parent Topic: Configuring Intelligent Routing


Configuring Routing Based on the User Right Level

Poll the office routes according to the user priority levels which the office routes belong to from high to low. Poll the office routes according to the office route IDs in ascending sequence if office routes belong to the same user right level. Till the user right level which the office route belongs to is equal to or lower than the user right level and the office route contains idle circuits is found.

Context

The following describes the call rights corresponding to the four levels:

·Default: The default users have the local number querying, call transfer, call forwarding, call waiting, abbreviated dialing, call-out restriction, alarm, caller ID display, password change, conference call, fax mailbox service with unified access code, call park, phone call right, ONLY, do-not-disturb (DND), multi-call, instant meeting and absent user service rights.

·Common: In addition to service rights for the Default right level, users of this level have rights to use the RCB(only for POTS users), CBB, designated pickup, and group pickup services.

·Advanced: In addition to the service rights of the common users, the advanced users have the three-party call, ringing (simultaneous and sequential ringing modes), attendant break-in, attendant forced release, hotline, CTVMU, CTVMB, CTVMNR, CTFMU, CTVMO, call forwarding presence, call forwarding conditional, callback on no reply, and BLF service rights.

·Super: In addition to the service rights of the advanced users, the users of this level have rights to use the privileged user, secretary, secretary station services.

After call routing based on the user right level is configured, the system preferentially uses an office route at the user's right level to route calls. If no circuit is idle, the office route that is set for a lower user right level is used. Office routes that are set for the same level are polled based on office route IDs in ascending order. To ensure good voice quality of calls for higher-right-level users, these users are allocated high-performance office routes. Lower-right-level users, however, are not allowed to use these office routes.

Figure 1 Network diagram of the intelligent route

Trunks in the figure are examples only. In actual conditions, any trunk type is possible.

Scenario Description

The unified gateway connects to carrier network through the PRA and ISUP trunks. The office route selection code is 1. Assume that intra-office user numbers range from 7000 to 7079. The user data and trunk data have been configured.

Assume that:

·Outgoing calls made by users 7000 to 7009 are routed through the PRA trunk. If the no idle circuit exists in the PRA trunk, the calls are routed through the ISUP trunk.

·Outgoing calls made by users 7010 to 7079 can only be routed through the ISUP trunk.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Change the user right level.

Change the right levels of users 7000 to 7009 to Common Right. A user's default right level is Default Right.

a.Choose User > SIP User.

b.Select user 7000 and click [image] .

c.Change the user right level to Common Right, as shown in Figure 2.

Figure 2 Changing the user right level

d.Click OK.

User 7000's user right level is changed.

e.Repeat the steps to change the user right levels of users 7001 to 7009 to Common Right in sequence.

3.Configure the office route selection code.

Set the office route selection code to 1. Office route selection code 1 selects office routes based on user right level.

a.Choose Trunk > Office Route Configuration > Office Route Selection Code.

b.Click Create.

c.Configure the office route selection code to 1, as shown in Figure 3.

Figure 3 Configuring office route selection code 1

Table 1 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description (1)

Parameter

Description

Office route selection code

Office route selection code of an office route. Each code identifies to an office route selection policy.

Office route selection policy

Policy for selecting among office routes with the same office route selection code. The options are as follows:

·None

Office routes are polled based on office route IDs in ascending order until an office route that contains idle circuits is found.

·By Time

Office routes are polled based on office route IDs in ascending order until an office route that is valid at the current system time and contains idle circuits is found.

·By Charging Rate

Office routes are polled based on charging rates in ascending order until an office route that contains idle circuits is found. Office routes with the same charging rate are polled based on office route IDs in ascending order. If no idle circuit is found, office routes configured with no charge rate are polled based on office route IDs in ascending order until an office route that contains idle circuits is found.

·By Load Sharing

Office routes are polled based on office route IDs in ascending order until an office route that contains idle circuits is found. The later calls will poll office routes from the next office route after an office route is selected by the preceding call.

·By Load Sharing Percentage

Except the office routes whose load percentages are set to 100%, office routes are polled based on the load percentages in descending order.

·User Level

Office routes are polled based on user priorities in ascending order until an office route that contains idle circuits and has an equal or lower user priority is found. Office routes with the same charging rate are polled based on office route IDs in ascending order.

·Load Balancing

Office routes are polled based on office route IDs in ascending order until an office route that contains the maximum number of idle circuits is found.

Failure Processing Index

Index of a routing failure processing policy related to the office route selection policy.

For details, see Configuring Rerouting.

Whether to send the two-stage dialing tone

Indicates whether a user can hear the second dialing tone after dialing the outgoing prefix when making an outgoing call through an office route selected from the current office route selection code.

a.Click OK.

Office route selection code 1 is configured.

2.Configure the office route.

a.Office route 1 is used for the PRA trunk and corresponds to the user right level Common Right.

b.Office route 2 is used for the ISUP trunk and corresponds to the user right level Default Right.

c.Choose Trunk > Office Route Configuration > Office Route.

d.Click Create.

e.Configure the office route to 1, as shown in Figure 4.

Figure 4 Configuring office route 1

Table 2 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

Table 2 Key parameter description (2)

Parameter

Description

Office route ID

Unique ID of an office route.

User right level

Level of user rights. Call rights can be assigned to users of a specified right level. Higher-right-level users can reserve trunks for themselves. If there is no available reserved trunk, higher-right-level users who make outgoing calls can preempt the trunks assigned for lower-right-level users. The options are as follows:

·Default right

Users of this level have rights to use the local number query, call transfer, call forwarding, call waiting, abbreviated dialing, call-out barring, alarm, clock, CLIP, password change, phone meeting, unified fax mailbox, call park, phone permission, ONLY, DND, multi-call, instant meeting and absent user services.

·Common right

In addition to default rights, users of this level have rights to use the RCB(only for POTS users), CBB, designated pickup, and group pickup services.

·Advanced right

In addition to common rights, users of this level have rights to use the three-way calling, ringing (simultaneous and sequential ringing modes), break-in, forced release, hotline, CTVMU, CTVMB, CTVMNR, CTFMU, CTVMO, call forwarding presence, call forwarding conditional, callback on no reply, and BLF services.

·Super right

In addition to advanced rights, users of this level have rights to use the privileged user, secretary, secretary station services.

a.Click OK.

Office route 1 is configured.

b.Click Create, and configure office route 2, as shown in Figure 5.

Figure 5 Configuring office route 2

Table 2 describes the parameters displayed on the web page.

2.Configure the outgoing prefix.

Set the outgoing prefix to 0. The first digit 0 of the called number is deleted.

a.Configure the number change index.

·Choose Trunk > Office Route Configuration.

·Click Number change index tab page.

·Click Create.

·Configure the number change index to 0, as shown in Figure 6.

Figure 6 Configuring number change index 0

·Click OK.

Number change index 0 is configured.

b.Choose Trunk > Called Prefix Configuration.

c.Click Create.

d.Configure prefix 0, as shown in Figure 7.

Figure 7 Configuring prefix 0

e.Click OK.

Prefix 0 is configured.

Parent Topic: Configuring Intelligent Routing


Configuring Routing Based on Trunk Link Balance

Poll the office routes according to the office route IDs in ascending sequence till an office route that contains idle circuits is found.

Context

When users place outgoing calls to the PSTN, the unified gateway polls office routes according to the office route IDs in ascending order and routes the calls through the office route that contains the most idle circuits.

Figure 1 Network diagram of the intelligent route

Trunks in the figure are examples only. In actual conditions, any trunk type is possible.

Scenario Description

The unified gateway connects to carrier network through the PRA and ISUP trunks. The office route selection code is 1. Assume that user data and trunk data have been configured.

Assume that: When an unified gateway user dials PSTN user number 0xxxxxxxx, the unified gateway polls the office routes according to the office route IDs in ascending sequence till an office route that contains the most idle circuits is found.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure the office route selection code.

Set the office route selection code to 1. Office route selection code 1 selects office routes based on trunk link balance.

a.Choose Trunk > Office Route Configuration > Office Route Selection Code.

b.Click Create.

c.Configure the office route selection code to 1, as shown in Figure 2.

Figure 2 Configuring office route selection code 1

Table 1 describes the key parameters displayed on the web page. For details about the parameters, see the Web Management System Online Help.

Table 1 Key parameter description (1)

Parameter

Description

Office route selection code

Office route selection code of an office route. Each code identifies to an office route selection policy.

Office route selection policy

Policy for selecting among office routes with the same office route selection code. The options are as follows:

·None

Office routes are polled based on office route IDs in ascending order until an office route that contains idle circuits is found.

·By Time

Office routes are polled based on office route IDs in ascending order until an office route that is valid at the current system time and contains idle circuits is found.

·By Charging Rate

Office routes are polled based on charging rates in ascending order until an office route that contains idle circuits is found. Office routes with the same charging rate are polled based on office route IDs in ascending order. If no idle circuit is found, office routes configured with no charge rate are polled based on office route IDs in ascending order until an office route that contains idle circuits is found.

·By Load Sharing

Office routes are polled based on office route IDs in ascending order until an office route that contains idle circuits is found. The later calls will poll office routes from the next office route after an office route is selected by the preceding call.

·By Load Sharing Percentage

Except the office routes whose load percentages are set to 100%, office routes are polled based on the load percentages in descending order.

·User Level

Office routes are polled based on user priorities in ascending order until an office route that contains idle circuits and has an equal or lower user priority is found. Office routes with the same charging rate are polled based on office route IDs in ascending order.

·Load Balancing

Office routes are polled based on office route IDs in ascending order until an office route that contains the maximum number of idle circuits is found.

Failure Processing Index

Index of a routing failure processing policy related to the office route selection policy.

For details, see Configuring Rerouting.

Whether to send the two-stage dialing tone

Indicates whether a user can hear the second dialing tone after dialing the outgoing prefix when making an outgoing call through an office route selected from the current office route selection code.

a.Click OK.

Office route selection code 1 is configured.

2.Configure the office route.

a.Office route 0 is used for the PRA trunk, with office route selection code being 1.

b.Office route 1 is used for the ISUP trunk, with office route selection code being 1.

c.Choose Trunk > Office Route Configuration > Office Route.

d.Click Create.

e.Configure the office route to 0, as shown in Figure 3.

Figure 3 Configuring office route 0

f.Click OK.

Office route 0 is configured.

g.Click Create, and configure office route 1, as shown in Figure 4.

Figure 4 Configuring office route 1

3.Configure the outgoing prefix.

Set the outgoing prefix to 0. The first digit 0 of the called number is deleted.

a.Configure the number change index.

·Choose Trunk > Office Route Configuration.

·Click Number change index tab page.

·Click Create.

·Configure the number change index to 0, as shown in Figure 5.

Figure 5 Configuring number change index 0

·Click OK.

Number change index 0 is configured.

b.Choose Trunk > Called Prefix Configuration.

c.Click Create.

d.Configure prefix 0, as shown in Figure 6.

Figure 6 Configuring prefix 0

e.Click OK.

Prefix 0 is configured.

Parent Topic: Configuring Intelligent Routing


Configuring Rerouting Analysis

Configure rerouting analysis so that all outgoing calls from users in a specified call source are routed through the specified office route.

Scenario Description

Figure 1 Intelligent routing network diagram

The unified gateway of V2.0 and later versions supports configuration of the call source for rerouting analysis in the web management system. The unified gateway connects to carrier network through the PRA and ISUP trunks. The office route selection code is 1. Assume that user data and trunk data have been configured.

Assume that: When users 5032 to 5049 in call source 1 dial prefix 9 corresponding to office route selection code 1, calls are routed through the PRA trunk. When users 5050 to 5063 in call source 2 dial prefix 9 corresponding to office route selection code 1, calls are routed through the ISUP trunk. The data plan is as follows:

·Office route 0, used for the PRA trunk, corresponding to office route selection code 1 and call source 1

·Office route 1, used for the ISUP trunk, corresponding to office route selection code 1 and call source 2

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure an office route select code.

a.Choose Trunk > Office Route Configuration > Office Route Selection Code.

b.Clcik Create.

c.Configure office route selection code 1, as shown inFigure 2.

Figure 2 Configuring office route selection code 1

Table 1 describes the key parameters. For more details about the parameters, see the online help of the web management system.

Table 1 Key parameter description

Parameter

Description

Office route selection code

Office route selection code of an office route. Each code identifies to an office route selection policy.

Office route selection policy

Policy for selecting among office routes with the same office route selection code. The options are as follows:

·None

Office routes are polled based on office route IDs in ascending order until an office route that contains idle circuits is found.

·By Time

Office routes are polled based on office route IDs in ascending order until an office route that is valid at the current system time and contains idle circuits is found.

·By Charging Rate

Office routes are polled based on charging rates in ascending order until an office route that contains idle circuits is found. Office routes with the same charging rate are polled based on office route IDs in ascending order. If no idle circuit is found, office routes configured with no charge rate are polled based on office route IDs in ascending order until an office route that contains idle circuits is found.

·By Load Sharing

Office routes are polled based on office route IDs in ascending order until an office route that contains idle circuits is found. The later calls will poll office routes from the next office route after an office route is selected by the preceding call.

·By Load Sharing Percentage

Except the office routes whose load percentages are set to 100%, office routes are polled based on the load percentages in descending order.

·User Level

Office routes are polled based on user priorities in ascending order until an office route that contains idle circuits and has an equal or lower user priority is found. Office routes with the same charging rate are polled based on office route IDs in ascending order.

·Load Balancing

Office routes are polled based on office route IDs in ascending order until an office route that contains the maximum number of idle circuits is found.

Failure Processing Index

Index of a routing failure processing policy related to the office route selection policy.

For details, see Configuring Rerouting.

Whether to send the two-stage dialing tone

Indicates whether a user can hear the second dialing tone after dialing the outgoing prefix when making an outgoing call through an office route selected from the current office route selection code.

a.Click OK.

Office route selection code 1 is configured.

2.Configure office route.

a.Office route 0 is used for the PRA trunk, with office route selection code being 1 and time segment index being 1.

b.Office route 1 is used for the ISUP trunk, with office route selection code being 1 and time segment index being 2.

c.Choose Trunk > Office Route Configuration > Office Route.

d.Click Create.

e.Configure the office route to 0, as shown in Figure 3.

Figure 3 Configuring office route 0

f.Click OK.

Office route 0 is configured.

g.Click Create, and configure office route 1, as shown in Figure 4.

Figure 4 Configuring office route 1

3.Configure the outgoing prefix.

a.Choose Trunk > CalleePrefix Configuration.

b.Click Create.

c.Configure the outgoing prefix 9, as shown in Figure 5.

Figure 5 Configuring the prefix 9.

d.Click OK.

Prefix 9 is configured.

4.Configure the call source.

a.Choose Trunk > CallSource.

b.Click Create.

c.Configure the call source 1, as shown in Figure 6.

Figure 6 Configuring the call source 1

d.Click OK.

Call source 1 is configured.

e.Click Create. Configure call source 2, as shown inFigure 7.

Figure 7 Configuring the call source 2

5.Add users to call sources.

a.Choose User > SIP User.

b.Click Create.

c.Add users 5032–5049 to call source 1, as shown in Figure 8.

Figure 8 Adding numbers 5032–5049 to call source 1

d.Click OK.

e.Click Create, as shown in Figure 9.

Figure 9 Adding numbers 5050–5063 to call source 2

6.Configure rerouting analysis.

a.Choose Trunk > Rerouting Configuration.

b.Click Create.

c.Configure rerouting analysis for routing the outgoing calls from users 5032 to 5049 in call source 1 through the PRA trunk when they dial prefix 9 corresponding to office route selection code 1, as shown in Figure 10.

Figure 10 Configuring rerouting analysis

The RouteNo refers to the number of the office direction to which the call source is bound. After the configuration is complete, you can run the show routeanalysis command to check the binding between the call source and the route number.

d.Click OK.

e.Click Create. Configure rerouting analysis for routing the outgoing calls from users 5050 to 5063 in call source 2 through the ISUP trunk when they dial prefix 9 corresponding to office route selection code 1, as shown in Figure 11.

Figure 11 Configuring rerouting analysis

Parent Topic: Configuring Intelligent Routing


Configuring Trunk Bearer

Configure trunk bearer to determine whether calling and called number change are implemented when users make outgoing calls through the PSTN and whether they hear the ringback tone of the peer office.

Scenario Description

Figure 1 Intelligent routing network diagram

The unified gateway of V200R003C50SPC600 and later versions supports trunk bearer configuration in the web management system. The unified gateway connects to carrier network through the PRA. The outgoing prefix is 9, the office route number is 0, and PSTN user numbers start with 9 or 5. Assume that user data and trunk data have been configured.

Assume that: When an UScale X1900 user dials 09xxxxxxxx, the user listens to the ringback tone of the peer office. When an UScale X1900 user dials 05xxxxxxxx, the user does not listen to the ringback tone of the peer office.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Configure office route selection.

a.Choose Trunk > Office Route Configuration > Office Route Selection.

b.Click Create.

c.Configuring office route selection 1, as shown in Figure 2.

Figure 2 Configuring office route selection 1

d.Click OK.

Office route selection 1 is configured.

3.Configure office route.

a.Choose Trunk > Office Route Configuration > Office Route.

b.Click Create.

c.Configuring office route 0, as shown in Figure 3.

Figure 3 Configuring office route 0

d.Click OK.

Office route 0 is configured.

4.Configure called number change.

a.Choose Trunk > Office Route Configuration > Number Change Index.

b.Click Create.

c.Configure called number change, as shown in Figure 4.

Figure 4 Configuring called number change

d.Click OK.

Called number change is configured.

5.Configure an outgoing prefix.

a.Choose Trunk > CalleePrefix Configuration.

b.Click Create.

c.Configure prefix 9, as shown in Figure 5.

Figure 5 Configuring prefix 9

d.Click OK.

Prefix 9 is configured.

6.Configure call source.

a.Choose Trunk > CallSource.

b.Click Create.

c.Configure call source 1, as shown in Figure 6.

Figure 6 Configuring call source 1

d.Click OK.

Call source 1 is configured.

7.Configure trunk bearer.

a.Choose Trunk > Bearer Trunk Configuration.

b.Click Create.

c.Set parameters so that UScale users hear the ring back tone of the peer office when they call 09xxxxxxxx, as shown in Figure 7.

Figure 7 Configuring trunk bearer

d.Click OK.

Parent Topic: Configuring Intelligent Routing


Configuring a Trunk Group

This topic describes how to configure outgoing call rights and implement calling and called number changes for incoming calls routed through a specified trunk.

Context

The unified gateway of V2.0 and later versions supports configuration of a trunk group in the web management system.

Assume that: If the PSTN user with number 87654321 dials the UScale X1900 switchboard number, and then dials 00xxxxxx, that is, the user makes a toll call through UScale X1900, the call is restricted by UScale X1900. Assume that user data and trunk data have been configured.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose Trunk > TrunkGroup Configuration.

3.Click [image] next to a trunk group.

4.Modify parameter settings of the trunk group, as shown in Figure 1.

Figure 1 Modifying parameter settings of a trunk group

Table 1 Key parameter description

Parameters

Description

Value

trunkgroupno

Indicates the trunk number.

The trunk number is automatically generated after the trunk is configured. You can search the trunk number in the search box of the web page.

Value:

X1960/X1911: 0 to 6143

X1981: 0 to 24575

This parameter has no default value.

Office route ID

Indicates the office route number bound to the trunk.

-

Calling number change

Indicates the calling number change index.

For an incoming call, the calling number is changed based on the change rule specified by the index.

Value: None, 0 to 1023

Default Value: None

Called number change

Indicates the called number change index.

For an incoming call, the called number is changed based on the change rule specified by the index.

Value: None, 0 to 1023

Default Value: None

CallSourceNo

Indicates the call source number.

Value:

X1960/X1911: 0 to 255

X1981: 0 to 1023

User right levels

—

Value: Default right, Common right, Advanced right, Super right

whether send error code

Indicates whether to send an error code to the trunk.

Value: Yes/No

whether barge and forced release are allowed

—

Value: Yes/No

domain type

Indicates the trunk domain type.

Value: common/dt1/dt2/dt3/dt4/dt5/voip/pstn

outgoingright

Indicates the outgoing call right.

This parameter specifies the outgoing call right of the incoming calls that are connected through the trunk. The outgoing call right is any combination of the following options: intra-office call, local calls, national toll call, international toll call, and customized rights 1-32.

For example, if the outgoing call right of an incoming call that is connected through the trunk is local and the values of callattribute and cusattribute of the called prefix are local and cus1, the call cannot go out of the office.

—

Parent Topic: Configuring Intelligent Routing


Configuring the IP-Phone Console Service

This topic describes how to configure and use the IP-phone console service of the unified gateway. If you are using console software as the console system, skip this topic.

·Context

·This topic describes the application scenario, working principle, and necessary data plan of the IP-phone console service.

·Configuring Gateway Data

·This topic describes how to configure the console terminal group ID, console terminal number, user rights, and console terminal access code on the unified gateway.

·Verification

·This topic describes the procedure for verifying the IP-phone console service and expected results.

Parent Topic: Advanced Configuration


Context

This topic describes the application scenario, working principle, and necessary data plan of the IP-phone console service.

Application Scenario

The IP-phone console service of the unified gateway applies to enterprises who do not have independent console software for attendant services. In this IP-phone console service, IP phones function as console terminals and attendants use them to sign in to the console terminal group and then provide services to customers.

Figure 1 shows the typical network of the IP-phone console service.

Figure 1 Typical network of the IP-phone console service

The functions of network elements (NEs) involved in the network are described as follows:

·The unified gateway provides registration of attendants and sets up calls between attendants and customers.

·IP phones help attendants register their console terminal numbers to the unified gateway and sign in to the console terminal groups. Customers can dial the console terminal access code for attendant services.

Working Principle

The unified gateway supports multiple console terminal groups and attendant numbers. A console terminal group corresponds to one group ID, one or more console terminal access codes, and one or more attendants, as shown in Figure 2.

·Console terminal access code: a hotline number provided by an enterprise, which is presented in the form of the switchboard number. Calls to the console system are automatically routed to attendants. A console terminal access code can belong to only one console terminal group.

·Attendant: a dedicated person who provides services for customers. An attendant can belong to only one console terminal group.

·Console terminal group: a group of console terminals with a unique group ID. A console terminal group can contain one or more console terminal access codes and one or more attendants.

Figure 2 Relationship among the console terminal group ID, console terminal access code, and attendant

The following situations may occur when a customer calls the console system:

·Attendants have signed in to the console terminal groups and some of them are available for the customer service.

The phone of an idle attendant rings, and the call of this customer is routed to the attendant.

·Attendants have signed in to the console terminal groups and all of them are busy.

The system plays the announcement "The operator is busy now, please wait for a moment." When an attendant is idle, the call of this customer is routed to this idle attendant. If multiple customers are waiting, they are routed in sequence to idle attendants according to their calling time.

The maximum waiting time is 1 minute. If the waiting time of a customer expires before the customer is put through, the system plays the announcement "Sorry, the number you have dialed cannot be reached. Please redial later." and releases the call of this customer. The customer needs to call again.

·No attendant signs in to the console terminal group.

The system plays an announcement indicating a call connection failure.

Data Plan

In the data plan for the IP-phone console service described in Table 1.

Table 1 Data plan for the IP-phone console service

Parameter | Setting
Console terminal access code | 7777
Console terminal group ID | 1
Attendant 1 | 7001
Attendant 2 | 7002
Intra-office user | 6001 and 6002

Parent Topic: Configuring the IP-Phone Console Service


Configuring Gateway Data

Please configure the attendant access code, attendant number, and attendant group number on the gateway side.

Prerequisites

·Complete the data planning for the attendant console, including the group data of the attendant, the operator number, and their permissions.

·For the operator, complete the user account assignment in the Service 1 gateway.

Configure the operator role

1.Login to the unified web management system. Please refer to Login to the Web Management System for instructions on how to log in.

2.Select 'User Management>SIP Users'.

3.Check the number that needs to be configured as an operator and click on 'Business Configuration'.

4.Select 'Operator' in 'Simple Business'.

Figure 2: Configuring the role of a staff member

5. Click 'OK'.

Configure the attendant console group

1.Log in to the web management system of the unified gateway. Please refer to Logging in to the web management system for instructions on how to log in.

2.Add a attendant console group.

a. Select "User Management>Group Business>Attendant Desk Group".

b. Click "Add" and set the parameters according to the interface prompts, as shown in Figure 3.

Figure 3 Creating a Attendant Desk Group

Table 1 Parameters

Parameter

Description

Value

SoftConsole group number

Indicates the SoftConsole group number.

The value must be an integer, and the value range varies depending on the device model.

X1911/X1960/X1981: 0 to 31

This parameter has no default value.

night service number

Indicates the night service number. When there is a new call to the SoftConsole group and one of the following conditions are met, the system forwards the call to the night service number:

·All SoftConsoles in the SoftConsole group are busy, and Busy policyis set to Switch to night service dn.

·All SoftConsoles in the SoftConsole group are offline, and Offline policyis set to Switch to night service dn.

·All SoftConsoles in the SoftConsole group have signed out, and All Quit policyis set to Switch to night service dn.

The value must be a string consisting of 1 to 32 characters.

This parameter has no default value.

VU number

Indicates the VU number. When there is a new call to the SoftConsole group and one of the following conditions are met, the system forwards the call to the VU number:

·All SoftConsoles in the SoftConsole group are busy, and Busy policyis set to Switch to switchboard dn.

·All SoftConsoles in the SoftConsole group are offline, and Offline policyis set to Switch to switchboard dn.

·All SoftConsoles in the SoftConsole group have signed out, and All Quit policyis set to Switch to switchboard dn.

The value must be a string consisting of 1 to 32 characters.

This parameter has no default value.

Queue waiting time(s)

Indicates the queue waiting time, in seconds.

The value must be an integer ranging from 1 to 59.

Default value: 59

Busy policy

Indicates the policy for processing a new call when all SoftConsoles in the SoftConsole group are busy. The options are as follows:

·Hang up: The call is not processed.

·Switch to switchboard dn: The call is forwarded to a VU number.

·Switch to night service dn: The call is forwarded to a night service number.

·Queue: The call is queued.

·Queue wait first and switch to switchboard dn when timeout: The call is queued and then forwarded to a VU number when queuing times out.

Value: Hang up, Switch to switchboard dn, Switch to night service dn, Queue, Queue wait first and switch to switchboard dn when timeout.

Default value: Queue wait first and switch to switchboard dn when timeout.

Offline policy

Indicates the policy for processing a new call when all SoftConsoles in the SoftConsole group are offline or quit. The options are as follows:

·Hang up: The call is not processed.

·Switch to switchboard dn: The call is forwarded to a VU number.

·Switch to night service dn: The call is forwarded to a night service number.

Value: Hang up, Switch to switchboard dn, Switch to night service dn.

Default value: Switch to switchboard dn.

All Quit policy

Password

This password is used for forcibly forwarding incoming calls to the night service. To activate or deactivate the feature of forcibly forwarding incoming calls to the night service, dial "Prefix for activating or deactivating the night service + Password + * + Access code of the SoftConsole group + #" on a phone.

—

Internal number of the SoftConsole

Indicates the calling number displayed when an agent calls an intra-office user.

The value must be a string consisting of 1 to 32 characters. This parameter has no default value.

External number of the SoftConsole

Indicates the calling number displayed when an agent calls an external user.

The value must be a string consisting of 1 to 32 characters. This parameter has no default value.

a.Click OK.

2.Add agents to the Console group.

a.Click [image] next to the newly created Console group.

b.Click Create. Add agents to the Console group.

Figure 4 Adding agents to the Console group

c.Click OK.

Configuring the Console Access Code

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose Trunk > CalleePrefix Configuration.

3.Click Create.

On the Create Prefix page, configure the Console access code, as shown in Figure 5.

Figure 5 Configuring the Console access code

The call center group can configure multiple access character crowns, but a maximum of 5 access character crowns can be displayed on the web interface.

Parent Topic: Configuring the IP-Phone Console Service


Verification

This topic describes the procedure for verifying the IP-phone console service and expected results.

Prerequisites

·The IP-phone console service has been configured.

·Data for verifying the IP-phone console service has been collected. For details, see Data Plan.

Procedure

1.Attendant 1 picks up the phone and presses memory key 1 (or programmable button 1) to sign in to the console terminal group to which the attendant belongs.

The system plays an announcement indicating a service registration success.

·If a phone has registered two or more console terminal numbers, the attendant needs to press the corresponding line key before pressing memory key 1 (or programmable button 1).

·The attendant can also dial *65*Console terminal access code# to sign in to the console terminal group and dial #65# to sign out when using the POTS or no memory keys (or programmable buttons) for sign-in and sign-out are configured.

2.Intra-office user 6001 dials the console terminal access code 7777.

The phone of attendant 1 rings.

3.Attendant 1 answers the call.

4.Intra-office user 6002 dials the console terminal access code 7777.

The system plays the announcement "The operator is busy now, please wait for a moment."

The maximum waiting time is 1 minute. If the waiting time of a customer expires before the customer is put through, the system plays the announcement "The number you dialed is busy now, please hang up and redial later" and releases the call of this customer. The customer needs to call again.

5.Attendant 2 signs in to the console terminal group before the waiting time of user 6002 expires.

The phone of attendant 2 rings and the calling number displayed is 6002.

6.Attendant 2 answers the call.

Parent Topic: Configuring the IP-Phone Console Service


Configuring Two-Stage Dial Tone

When a user dials an outgoing prefix, the user hears the two-stage dial tone (beep tone) and then dials the subsequent number.

Context

In some countries, when a user dials an outgoing prefix (for example, 0), the user hears the two-stage dial tone (beep tone) and then dials the subsequent number.

The two-stage dial tone and number change (digit deletion) features are used together. During number change, the outgoing prefix must be deleted before the system plays the two-stage dial tone.

·If the prefix is 0, the system plays the two-stage dial tone after the first digit is deleted.

·If the prefix is 00, the system plays the two-stage dial tone after the two digits 00 are deleted. If only the first digit 0 is deleted, the system does not play the two-stage dial tone.

When the two-stage dial tone function is enabled, digits may be lost if you dial numbers too fast. Assume that you need to dial 0 + 12345.

·Normally, after you dial 0, the system collects the digit. When detecting that the two-stage dial tone function is enabled, the system applies for the announcement playing resource, plays the beep tone, and then collects the digits 12345.

·If you dial 012345 consecutively and 1 is dialed when the system applies for the announcement playing resource, the digit 1 may be lost.

Scenario Description

Assume that the following requirement needs to be met:

When an unified gateway user dials 0 + 12345 to call a PSTN user, the unified gateway user first dials the prefix 0 and then dials the number 12345 after the system plays the two-stage dial tone. The called number change policy is to delete the first digit.

Procedure

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Set Office route selection code to 1 and Whether to send the two-stage dialing tone to Yes.

a.Choose Trunk > Office Route Configuration > Office Route Selection Code.

b.Click Create. Configure the office route selection code to 1, as shown in Figure 1.

Figure 1 Configuring office route selection code 1

c.Click OK.

3.Configure the called number change policy as deleting the first digit.

a.Choose Trunk > Office Route Configuration > Number change index.

b.Click Create. Configure the number change index to 0, as shown in Figure 2.

Figure 2 Configuring number change index 0

c.Click OK.

4.Configure the outgoing prefix.

a.Choose Trunk > Called Prefix Configuration.

b.Click Create. Configure prefix 0, as shown in Figure 3.

Figure 3 Configuring prefix 0

c.Click OK.

Result

When the user dials 0 and presses the call button, the user hears the two-stage dial tone (beep tone) and then dials the number 12345. The outgoing call is placed successfully.

Parent Topic: Advanced Configuration


Configuring Signaling Encryption

The unified gateway can encrypt SIP signaling using TLS to improve the security and reliability of voice communication.

Context

When an IP phone or IAD registers with the unified gateway using SIP, or when the unified gateway initiates a call to a peer office through a SIP trunk, the communication parties send SIP signaling to negotiate the data transmission address and port number. To ensure the security of data communication, you can encrypt SIP signaling using TLS.

TLS is a cryptographic protocol that provides communication security between two communication application programs, ensuring data confidentiality and integrity. When transmitting signaling using TLS, two parties must pass certificate authentication to ensure the communication reliability. The two parties interacting using TLS are defined as a TLS server and a TLS client to facilitate the description of the authentication process. The client and server must possess corresponding certificates and private keys and use the same authentication mode.

·Certificates and private keys

Certificates and private keys are authentication credentials for the TLS server and client. The unified gateway and UScale 78xx/79xx series IP phones are provided with built-in certificates and privates keys before delivery. The unified gateway and IP phones can authenticate each other using these built-in certificates and privates keys. After the deployment, it is recommended that the customer generate or apply for the TLS certificates from an official organization.

§rootcert.pem: root certificate

§servercert.pem: server certificate

§serverkey.pem: server private key

§clientcert.pem: client certificate

§clientkey.pem: client private key

·Authentication mode

The unified gateway supports the following authentication modes. The TLS server and client must use the same authentication mode.

§Server authentication: For each signaling interaction, the server sends the server certificate and root certificate to the client for authentication.

§Client authentication: For each signaling interaction, the client sends the client certificate and root certificate to the server for authentication.

§Anonymous authentication: For each signaling interaction, the server and client negotiate a key for encrypting data.

The following table lists the scenarios of signaling encryption using TLS.

Table 1 Scenarios of signaling encryption using the TLS

Scenario

Description

Port

Encrypted SIP registration

IP phones and IADs register with the unified gateway in encrypted mode using TLS. In this scenario, the unified gateway must be the TLS server while IP phones and IADs must be TLS clients.

NOTE:

·The UScale 78xx series IP phones support only anonymous authentication mode. The UScale 79xx series IP phones support anonymous and server authentication modes.

·The IADs support anonymous and server authentication modes.

By default, the unified gateway, IP phones, and IADs use port 5060 for non-encrypted registration and port 5061 for encrypted registration.

NOTE:

In the scenario of encrypted SIP registration, IADs can register with a SIP server only through port 5061. If IADs are deployed on the network, you are advised to use the default port 5061 as the encrypted SIP registration port on the unified gateway.

Encrypted SIP trunk

The unified gateway connects to a peer office through a SIP trunk using TLS. In this scenario, the unified gateway can be either the TLS server or client. However, if one party is configured as the TLS server, the other party must be configured as the TLS client.

By default, the unified gateway uses port 5060 for non-encrypted SIP trunk connection. If you want to configure a TLS-encrypted SIP trunk, to avoid conflicts, do not use a port that has been used as an encrypted SIP registration port. You are advised to use port 5062 or 5063 for encrypted SIP trunk connection.

(Optional) Loading Certificates and Private Keys

To use the certificates generated by the customer or applied from an official organization, load the certificates and private keys on all unified gateways and load the root certificate on all IP phones and IADs.

1.Prepare the certificates and private key files and rename them based on the information provided in the background section.

2.Load the certificates and private keys on unified gateways.

a.Set up an FTPS/TFTP server.

Using TFTP to transfer files may bring some security risks because TFTP is an insecure protocol. It is recommended that you use the FTPS protocol.

b.Load the root certificate, server certificate, and server private key on unified gateways functioning as TLS servers.

config download file rootcert mode <tftp|ftps>

config download file srvcert mode <tftp|ftps>

config download file srvkey mode <tftp|ftps>

c.Load the root certificate, client certificate, and client private key on unified gateways functioning as TLS clients.

config download file rootcert mode <tftp|ftps>

config download file cltcert mode <tftp|ftps>

config download file cltkey mode <tftp|ftps>

d.Set the password used for decrypting the private keys on the TLS server and client.

·If the created certificates have passwords:

§If the unified gateway is TLS server, run the config tls server switch enable password password command.

§If the unified gateway is TLS client, run the config tls client switch enable password password command.

·If the created certificates do not have passwords:

§If the unified gateway is TLS server, run the config tls server switch disable command.

§If the unified gateway is TLS client, run the config tls client switch disable command.

If the private keys provided by unified gateways are used, the password is oocag7Uj.

e.Run the reboot command to restart the device.

3.Load the root certificate on IP phones.

a.Log in to the web management system of an IP phone. (This section uses an UScale 79xx series IP phone as an example.)

b.Choose Advanced > Certificates.

c.In the Import Local Certificate area, click Browse for Root Certificate, and navigate to the root certificate, as shown in Figure 1.

Figure 1 Loading the root certificate on an IP phone

d.Click Import for Root Certificate.

e.Restart the IP phone as prompted.

4.Load the root certificate on IADs.

a.Log in to the web management system of an IAD.

b.Choose Maintenance > TLS Certfile Upgrade.

c.Select a transmission mode, click Browse, and navigate to the root certificate, as shown in Figure 2.

Figure 2 Loading the root certificate on an IAD

d.Click OK.

e.Choose Maintenance > Restart Device, and click Restart Device to restart the device.

Configuring Encrypted SIP Registration

This section assumes that you need to configure encrypted SIP registration on an IP phone and an IAD so that they can register with the unified gateway in encrypted mode using TLS, and assumes that user numbers have been allocated. Configure encrypted SIP registration onsite based on your own data plan.

Figure 3 Network for configuring encrypted SIP registration

NE | IP Address | Role | Signaling Transmission Port | TLS Authentication Mode
Unified gateway | 192.168.1.17 | TLSServer | 5061 | Server authentication
IP phone | 192.168.1.100 | TLSClient | 5061 | Server authentication
IAD | 192.168.1.150 | TLSClient | 5061 | Server authentication

·Check SIP registration parameters on the unified gateway.

1.Log in to the device using a command-line tool.

2.Run the show sip parameter command and view the parameters listed in the following table.

Parameter

Description

UdpSrvPort

UDP registration port for IP terminals. The default value is 5060. If an IP phone or IAD registers with the unified gateway using UDP, enter this port when configuring the SIP server on the IP phone or IAD.

TcpSrvPort

TCP registration port for IP terminals. The default value is 5060. If an IP phone or IAD registers with the unified gateway using TCP, enter this port when configuring the SIP server on the IP phone or IAD.

TlsSrvPort

TLS registration port for IP terminals. The default value is 5061. If an IP phone or IAD registers with the unified gateway using TLS, enter this port when configuring the SIP server on the IP phone or IAD. You are advised to use the default value because IADs can register with a SIP server only through port 5061 in the scenario of encrypted SIP registration.

TlsAuthMode

TLS authentication mode. The default value is Anonymous. The options are as follows:

·anonymous: anonymous authentication

·Server_auth: server authentication

·Client_auth: client authentication

TlsConnMode

TLS connection mode. The default value is Long. The options are as follows:

·Long: A TLS connection is kept alive once it is set up. All SIP interactions are performed on the initial TLS connection.

·Short: A TLS connection is set up only when there are SIP messages to transmit. After the messages are transmitted, the connection is released.

1.Verify that the TlsSrvPort value is 5061 as planned. If not, run the config modify sip parameter command to modify the parameter.

·In the config modify sip parameter command, parameters srvport and tlsport correspond to UdpSrvPort and TlsSrvPort respectively.

·You can also log in to the web management system to modify the parameters. Specifically, choose System > Device Management and click Configure next to SIP Server.

·Set SIP registration parameters on the IP phone.

1.Log in to the web management system of the IP phone.

2.Choose Advanced > Network. In the Network Security area, set SIP Transport and TLS Certificate Issuer and click Save.

The issuer of the built-in root certificate on an IP phone is OpenVox Enterprise UC&C ProductLine CA. If a custom certificate is used, select the custom certificate that has been loaded.

3.Choose Advanced > Others, select a TLS authentication mode, and click Save, as shown in Figure 5.

Figure 5 Selecting a TLS authentication mode on an IP phone

If you select Disable, the anonymous authentication mode takes effect. The TLS authentication mode selected here must be the same as that configured on the SIP server.

4.Choose Advanced > Server, configure the SIP server, and click Save, as shown in Figure 6. Note that the port number of the SIP server must be the same as the TlsSrvPort value on the unified gateway.

Figure 6 Configuring the SIP server on an IP phone

·Set SIP registration parameters on the IAD.

1.Log in to the web management system of the IAD.

2.Choose Advanced Configuration > Signal and Media Encryption and set TLS parameters, as shown in Figure 7.

Figure 7 Enabling signaling encryption on an IAD

For the TLS Mode parameter, value Server indicates server authentication. The TLS authentication mode selected here must be the same as that configured on the SIP server.

3.On the page that is displayed, click save.

·Verify the configuration.

When the configuration is complete, view the SIP user status on the web management system of the IP phone and IAD. If the status is Registered, the configuration is successful.

Configuring an Encrypted SIP Trunk

This section assumes that you need to configure an encrypted SIP trunk between two unified gateways, and assumes that office routes have been configured. Configure encrypted SIP trunks onsite based on your own data plan.

Figure 8 Network for configuring an encrypted SIP trunk

NE | IP Address | Role | Signaling Transmission Port | TLS Authentication Mode
Unified gateway 1 | 192.168.1.17 | TLSClient | 5062 | Client authentication
Unified gateway 2 | 192.168.1.18 | TLSServer | 5063

1.Log in to the web management system of unified gateway 1.

2.Choose Trunk > Trunk Configuration > SIP.

3.Click Add A Peer Office. Click the add icon or the red line connecting the the local office and set the parameters based on the network and parameter description, as shown in Figure 9.

Figure 9 Setting SIP trunk connection parameters on unified gateway 1

Table 2 describes the key parameters. For detailed description about the parameters, see the online help of the web management system.

Table 2 Key parameter description

Parameter | Description
Transmission protocol type | The options include UDP, TCP, TLSServer, and TLSClient. For details about how to configure a SIP trunk using UDP or TCP, see Configuring a SIP Trunk. ·TLSServer: TLS is used as the transmission protocol, and the local end is the TLS server. ·TLSClient: TLS is used as the transmission protocol, and the local end is the TLS client. NOTE: The local office and peer office must be configured as a TLS server and a TLS client.
Signaling port number of the peer office | Signaling transmission port used by the peer office. The value must the same as the actual port used by the peer office.
Signaling port number of the local office | Signaling transmission port used by the local office. Use a port that has not been configured as an encrypted SIP registration port. You are advised to use port 5062 or 5063, or select an idle port by referring to Communication Matrix.
TLS authentication mode | TLS authentication mode of the SIP trunk. NOTE: The local office and peer office must use the same TLS authentication mode.

1.Click OK.

2.Click Data Save in the upper right corner of the web management system.

The unsaved configurations will be deleted after the device is restarted.

3.Log in to the web management system of unified gateway 2 and configure the SIP trunk, as shown in Figure 10.

Figure 10 Setting SIP trunk connection parameters on unified gateway 2

4.Click OK.

5.Verify encrypted SIP relay.

After the configuration is completed, you can try to switch between the local game and the opponent game. If incoming and outgoing calls can be made normally, it indicates that the encrypted SIP relay connection is successful

Parent Topic: Advanced Configuration


Configuring Media Stream Encryption

The unified gateway supports SRTP-based media stream encryption for voice calls to ensure the security of user communication information and prevent malicious eavesdropping.

Context

On the unified gateway, three encryption options are available for POTS users, office routes and conferences: Disable (not encrypted), Optional (encryption not mandatory), and Mandatory (encryption mandatory). These three options are also available for SIP terminals (IP phones and IADs). In P2P calling, voice conferencing, and automatic switchboard services, encryption status negotiation decides whether voice calls can be set up.

Media streams do not exist for calls between narrowband users (incoming calls routed through narrowband trunks or calls between intra-office POTS users).

·Encrypted P2P call

Encryption status negotiation between calling and called parties decides whether an encrypted P2P call can be set up, as described in Table 1.

Table 1 Connection rules for encrypted P2P calls

– | Disable for the calling party | Optional for the calling party | Mandatory for the calling party
Disable for the called party | The call is not encrypted. | The call is not encrypted. | The call fails to set up.
Optional for the called party | The call is not encrypted. | The call is encrypted. | The call is encrypted.
Mandatory for the called party | The call fails to set up. | The call is encrypted. | The call is encrypted.

·Encrypted voice conference

The conference encryption status can be specified during conference scheduling. For an instant conference, its encryption status depends on the encryption status of the conference initiator. The encryption status of a voice conference and that of participants together decide whether the participants can join the conference, as described in Table 2.

Table 2 Connection rules for encrypted voice conferences

– | Disable for a conference | Optional for a conference | Mandatory for a conference
Disable for a participant | √ | √ | x
Optional for a participant | √ | √ | √
Mandatory for a participant | x | √ | √

§A tick (√) indicates that the participant can join the conference, and a cross (x) indicates that the participant cannot join the conference.

§Media streams between an encrypted participant and the conference are encrypted, and media streams between a non-encrypted participant and the conference are not encrypted.

§For a conference with the encryption mode set to Optional, phones can join the conference only when they support Optional encryption. All IP phone models in the UScale 7900 series support this mode.

§If you want to hold an encrypted conference, choose User > Global Service in the web management system, click Configure next to Meeting encryption, and set conference encryption mode to Encryption or User custom.

If Encryption Mode in Meeting Configuration is set to User custom and when an instant conference is initiated in the web self-service system, the encryption mode of the phone number must be the same as the setting of software parameter 464; otherwise, the instant conference fails to be initiated.

§When the phone number is set to no encryption, software parameter 464 needs to set to no encryption or optional encryption.

config softargu type 464 value 0 or config softargu type 464 value 1

§When the phone number is set to encryption, software parameter 464 needs to set to encryption or optional encryption.

config softargu type 464 value 2 or config softargu type 464 value 1

·Encrypted automatic switchboard

In encrypted calling of the automatic switchboard, whether a call is encrypted is decided by the encryption status of the calling party:

§If the encryption status is set to Optional or Mandatory for the calling party and the calling party is a broadband user (an intra-office SIP user or a user whose call is routed through a SIP trunk), the call is encrypted.

§If the encryption status is set to Disable for the calling party and the calling party is a broadband user, the call is not encrypted.

Configuration Method

The following describes how to configure the encryption status for POTS users, office routes, and conferences on the unified gateway.

·Configure the encryption status for a POTS user.

The following uses an existing POTS user as an example. For a newly created POTS user, the configuration is the same.

1.Log in to the web management system. Choose User > POTS User.

2.Modify a POTS number, and set Media stream encryption to the desired encryption status.

3.Click OK.

·Configure the encryption status for an office route.

The following uses an existing office route as an example. For a newly created office route, the configuration is the same.

1.Log in to the web management system. Choose Trunk > Office Route Configuration > Office Route.

2.Modify an office route, and set Media stream encryption to the desired encryption status.

3.Click OK.

·Configure the encryption status for a conference.

1.Log in to the web management system. Choose User > Global Service and click Configure next to Meeting encryption.

2.Select an encryption mode and click OK.z

·If No encryption is selected, users fail to schedule encrypted conferences.

·If Encryption is selected, users cannot schedule non-encrypted conferences.

Parent Topic: Advanced Configuration


Customizing AT0 Interface Parameters

The signal tone and impedance settings preset for the unified gateway may fail to meet site requirements and cause exceptions to calls routed through AT0 trunks. When this occurs, you need to customize AT0 interface parameters based on the local standards. Only X1911, X1960, and X1981 support this function.

·Overview

·This topic describes how to customize AT0 parameters when configuring AT0 trunks for offices outside China.

·Grounding Guide

·To ensure the quality of AT0 trunk calls and reduce interference among cables, ensure that the device is properly grounded and adopt a proper cabling method.

·Obtaining AT0 Interface Parameters

·You can learn about standard AT0 interface parameter settings for some countries or regions from the table that is provided, or obtain suggested values for common parameters in automatic detection mode.

·Customizing Typical Parameters (Using the Web Management System)

·This topic describes how to check and customize signal tone, CLIP, and impedance parameters based on the local standards using the web management system.

·Troubleshooting

·This topic describes the possible causes of common AT0 trunk faults and how to rectify these faults.

Parent Topic: Advanced Configuration


Overview

This topic describes how to customize AT0 parameters when configuring AT0 trunks for offices outside China.

When configuring AT0 trunks for offices outside China, you must set the parameters listed in the following table based on the local standards.

Common Parameter | Description
Impedance | FXS ports at the carrier side are connected to local FXO ports. The voice transmission quality is best and echoes are lowest only when impedance values on both ends of a link are the same.
Signal tone detection | Signal tone detection parameters of FXO ports are used to recognize the ringback tone, busy tone, dial tone, howler tone, or congestion tone sent from the peer office so that the local PBX can process these tones.
Signal tone transmission | Signal tone transmission parameters are used by FXS ports to send signal tones to lower-level offices. You are advised to set these parameters to local standard values to comply with local users' habits.

Before the unified gateway is delivered, AT0 signal tone and impedance parameters have been set for some countries including China, Australia, Brazil, United Kingdom, France, Germany, Ireland, Italy, Malaysia, Mexico, New Zealand, Russia, and Saudi Arabia. (By default, parameter settings for China are used.) To set the signal tone and impedance parameters to local standard values, select the corresponding country or region by referring to Configuring an AT0 Trunk. For other countries or regions, set the signal tone and impedance parameters by referring to Common AT0 Parameter Reference and (Customizing Typical Parameters (Using the Web Management System).

You are advised to perform the following operations to verify that AT0 trunk configurations can meet the requirements of an office:

·Verify basic incoming and outgoing calls, and key voice services configured in the office. Verify that the phones of called parties can ring properly, calls can be connected and released properly, and the CLIP function is normal.

·Initiate an incoming call. When the intra-office phone rings, do not pick up the phone. Hang up as the calling party. Verify that the local office can detect the busy tone correctly (when the intra-office phone stops ringing), and that AT0 trunk link resources are released in a timely manner.

·Check the voice quality of incoming and outgoing calls. Verify that no noise or echo exists.

·Verify that voice shearing does not occur during double-talk (that is, when the calling and called parties speak at the same time). Voice shearing means that the voice of the party whose volume is lower is filtered by the system as echoes.

·AT0 trunk calls are easily affected by noises if the device is not properly grounded. To improve call quality, ensure that the device is properly grounded. For details, see Grounding Guide.

·If signal tones cannot be detected or echoes exist in calls, automatically detect and obtain parameter settings from the carrier side and save them as local configurations by referring to Obtaining AT0 Interface Parameters.

·If the CLIP function is abnormal, check and customize related parameters by referring to Customizing Typical Parameters (Using the Web Management System).

·If other problems occur, detect and customize more parameters by referring to Customizing Other Parameters (Using the Web Management System).

Parent Topic: Customizing AT0 Interface Parameters


Grounding Guide

To ensure the quality of AT0 trunk calls and reduce interference among cables, ensure that the device is properly grounded and adopt a proper cabling method.

Grounding Methods

Table 1 describes the grounding methods.

The cross-sectional area of a PGND cable is no less than 4 mm2. A PGND cable shall be as short as possible during construction, and coiling is forbidden.

Table 1 Device grounding methods

Equipment Room Condition

Grounding Method

A ground bar is available.

Method 1: Use a PGND cable to connect the ground hole of the device directly to the ground bar, as shown in the following figure.

Method 2: Use a PGND cable to connect the ground hole of the device to the ground terminal of the cabinet so that the ground hole of the device is connected to the ground bar through the cabinet. When using this method, ensure that the ground terminal and ground bar are reliably connected.

No ground bar is available.

Method 1: If the device uses a 220 V AC power supply, use the PE cable of the AC power supply to ground the device. When using this method, ensure that that the PE cable is properly grounded in the power distribution room or on the AC power transformer, and that all cables used between the ground segment and device are triple-core cables.

Method 2: Bury a ground electrode, and use a PGND cable to directly ground the device. When using this method, ensure that mud ground exists near the device and that the ground electrode can be buried.

The ground electrode can be angle steel or a steel pipe (made of zinc-coated steel) with a length no less than 0.5 m. The dimensions of the angle steel must be at least 50 mm x 50 mm x 5 mm (L x W x H). The inner wall thickness of the steel pipe must be at least 3.5 mm. The PGND cable shall be welded to the ground electrode, and the surface of the welding point must be coated with antirust paint.

NOTE:

You are advised to spray some salt water on the soil near the ground electrode to reduce the resistivity of the soil and improve the grounding effect of the ground electrode.

Verifying Grounding

·(Recommended) Method 1: Check noises of FXS ports in the local office.

For details, see Obtaining AT0 Interface Parameters.

·Method 2: Measure the ground voltage and resistance.

Item | Measurement Method and Description
Ground voltage | When the device is powered on, use a multimeter to measure the voltage between the device shell and ground (which can be the ground bar or PE cable of the AC power supply). If the voltage is greater than 10 V, the grounding effect is not good. Locate the cause and improve the grounding effect.
Ground resistance. | When the device is powered off, use a multimeter to measure the voltage between the device shell and ground (which can be the ground bar or PE cable of the AC power supply). If the resistance is greater than 10 ohms, the grounding effect is not good. Locate the cause and improve the grounding effect.

Cabling Specifications

To prevent call quality from being affected by interference among cables, comply with the following cabling rules:

·The PGND cable is grounded based on the nearby principle, and is properly connected to the ground bar.

·The length of the PGND cable does not exceed 45 cm. The PGND cable shall be as short as possible, and coiling is forbidden. If the length of the PGND cable exceeds 45 cm, relocate the ground bar.

·The PGND cable shall not be in parallel or twisted with signal cables.

·Signal and power cables are separated, and analog and digital signal cables are separated.

Parent Topic: Customizing AT0 Interface Parameters


Obtaining AT0 Interface Parameters

You can learn about standard AT0 interface parameter settings for some countries or regions from the table that is provided, or obtain suggested values for common parameters in automatic detection mode.

Viewing Standard Parameter Settings

The Common AT0 Parameter Reference lists the standard AT0 interface parameter settings for most countries and regions. If the site is located in one of those countries or regions, check the mapping parameter settings in this file for later configuration.

Parent Topic: Customizing AT0 Interface Parameters


Customizing Typical Parameters (Using the Web Management System)

1.Log in to the web management interface of USCALE.

2.Select "System Management>Dashboard Configuration". Select the OSU board and click on "Configure"

Figure 1 Function Board Configuration

Figure 2 Function Board Configuration

Parent Topic: Customizing AT0 Interface Parameters


Troubleshooting

This topic describes the possible causes of common AT0 trunk faults and how to rectify these faults.

Category

Symptom

Possible Cause and Solution

Signal tone detection faults

Case 1: The busy tone cannot be detected.

The cause is that signal tone detection parameter settings do not match those at the carrier side. You are advised to modify signal tone detection parameters, or automatically detect and obtain signal tone parameter settings at the carrier side by referring to Common AT0 Parameter Reference.

Case 2: Busy tone misdetection occurs.

The system provides various built-in busy and congestion tones except the standard busy tone. If the local ringback tone or other signal tones use the same frequency and cadence as a built-in busy tone or congestion tone, busy tone misdetection may occur. In this case, capture call logs (which must be enabled for the RM and AT0 modules). Search for information similar to "[Rm.c 17936]usToneID=7, VoiceToneID=2" in call logs. The options for usToneID are as follows:

·0: ringback tone

·1: busy tone

·2: dial tone

·3: congestion tone

·4: unallocated number tone

·5: howler tone

·6: busy tone 2

·7: busy tone 3

·8: busy tone 4

·9: busy tone 5

·10: busy tone 6

·11: congestion tone 2

·12: congestion tone 3

·13: congestion tone 4

·14: congestion tone 5

In "[Rm.c 17936]usToneID=7, VoiceToneID=2", the value of usToneID is 7 that corresponds to busy tone 3. As a result, busy tone 3 is detected and treated as the busy tone incorrectly. You can modify or delete the frequency, cadence, or detection period setting for busy tone 3 to avoid busy tone misdetection.

Voice quality fault

Case 1: Noise exists in calls.

The AT0 is easily affected by environmental factors, and noise is generated. You can perform the following operations to reduce noise:

·Set the impedance to that at the carrier side.

·Ensure that the device is grounded properly. (You can check the grounding status by checking noises of FXO and FXS ports. For details, see Obtaining AT0 Interface Parameters.)

·Enable HPF for FXO ports.

·Disable the comfort noise generation (CNG) function provided by the EC.

Case 2: Echoes exist in calls.

The AT0 is easily to generate electrical echoes due to impedance mismatch. You can perform the following operations to cancel echoes:

·Set the impedance to that at the carrier side.

Case 3: Voice shearing occurs during double-talk.

When the NLP is enabled for canceling echoes, the NLP will cancel signal tones whose volume is lower than Volume.Rin+ERL. If the volume difference is large between the two parties on a call, the system may consider voice whose volume is lower than Volume.Rin+ERL as echoes and cancel the voice. You can adjust EC return loss (erlsel) and Local signal threshold (ecsinener) properly to rectify this fault.

CLIP fault

The calling number for an incoming call through the AT0 trunk is not displayed.

The possible causes are listed below: (You are advised to directly connect a POTS phone with the CLIP function to an FXS port in the upper-level office to locate the cause.)

·The CLIP function is disabled at the carrier side.

·The CLIP mode (FSK/DTMF) is inconsistent with that at the carrier side.

·The CLIP time is inconsistent with that at the carrier side.

·The on-hook gain is too high or low to detect FSK energy.

Call volume fault

–

To rectify the fault that the call volume is too high or low, perform the following operations:

·Adjust the send and receive gains of FXO ports on the OSU board. (If the receive gain is too low, DTMF signals may not be detected during two-stage dialing.)

Failure to detect DTMF signals during two-stage dialing

Two-stage digit collection fails.

The possible causes and solutions are as follows:

·The energy of DTMF signals is too low when the DTMF signals reach FXO ports.

·Echo or noise interference exists.

Rectify the fault by canceling echoes or noise.

Parent Topic: Customizing AT0 Interface Parameters


Configuring IPT Services

This topic describes the IPT services provided by the UScale UC solution. For details about the feature description, configuration, and usage, see the Feature Guide.

·Voice Service

·Voice Meeting

·Console

Voice Service

Service Name | Description
Voice Calling | Voice calls can be made between USM users and between USM users and external users.
Video Calling | Video calls are made between two video phones. In a video call, both parties can watch the video of each other.
Local Number Query Service | The local number query feature allows users to obtain the numbers of the phones they are using by dialing the specified service number.
Calling Line Identification Presentation | With the calling line identification presentation (CLIP) feature, the calling number is displayed on the phone of the called party.
Calling Name Identification Presentation | Calling name identification presentation (CNIP) is a terminating service that provides the name associated with the calling number to the called party.
Calling Line Identification Restriction | The calling line identification restriction (CLIR) feature provides a supplementary service that prevents the number of the calling party from being presented to the called party.
Calling Line Identification Restriction Override | The calling line identification restriction override (CLIRO) feature allows a called party to view the number of the calling party even when the calling party enables the CLIR service.
Call Hold | The call hold feature enables a user to hold an ongoing call and resume it when necessary.
Multi-line Call | The multi-line call feature allows users to process multiple incoming and outgoing calls on a single phone. However, only one voice call can be ongoing at the same time, and other calls are held.
Call Waiting | If a user activates the call waiting service and a third party makes a call to the user when the user is on a call, the user hears a prompt tone of the new call.
Call Transfer | The call transfer feature allows a user to press the transfer button to transfer an ongoing call to a third party and exit the call.
Call Divert | The call divert feature allows a user to press the forward button to forward a call to a third party without answering the call.
Call Forwarding | If a user activates the call forwarding service, incoming calls are automatically forwarded to a preset forward-to number without going through the user.
Hotline | The hotline feature enables a phone to automatically dial a preset hotline number upon off-hook.
Do Not Disturb | The do not disturb (DND) features allows the system to temporarily reject incoming calls for users.
Barge | The barge feature allows user A to forcibly join user B's call and establish a three-way call.
Forced Release | The forced release feature allows user A to forcibly end user B's call with another user or remove user B from a conference.
Privileged User | With the forced replacement feature, user A can forcibly join the call of user B and replace the other party in the call to communicate with user B.
One Number Link You | The One Number Link You (ONLY) service enables users to bind several terminals to a single user number so that the users can answer incoming calls on any bound terminal.
Emergency Call | The emergency call feature allows users to use IP phones to dial specified emergency numbers to make outgoing calls when the phones are locked or have not registered or when certain call barring conditions are met.
Extension Mobility | The extension mobility feature allows a user to use the same IP phone settings in a visited area as in the home area provided that the two areas belong to the same USM. Since the user logs in to the IP phone in the visited area using the account of the home area's IP phone, the account on the IP phone of the home area is logged out.
Busy Lamp Field (BLF) | The Busy Lamp Field (BLF) feature allows users to subscribe to the status (idle, call in progress, ringing, or offline) of others using the programmable buttons on the IP phone. Before making a call, the calling party can know the status of the called party. If the called party is not idle, the calling party waits until the called party becomes idle. This helps improve the call success rate.
Call Rights Control | When a user initiates a voice call, the system checks the outgoing call rights of the calling number with the service attributes of the prefix and checks the incoming call rights of the called party with the service attributes of the prefix to determine whether to set up the call. Therefore, call rights can be flexibly controlled based on actual needs.
Blacklist and Whitelist Call Barring | With the blacklist and whitelist call barring feature, calls are accepted or rejected based on call barring relationships configured in the blacklist and whitelist.
Automatic Switchboard | A user who dials an internal number that is busy or not answered, can register the automatic callback (ACB) service. When the called user is idle, the system automatically calls the calling and called parties.

Voice Meeting

Service Name |  | Description
Scheduled Meeting |  | With this feature, a meeting convener can schedule a meeting on the web self-service portal for the X1900 series unified gateway. When the meeting time arrives, the convener can add participants to the meeting using multiple methods.
Instant Meeting | The instant meeting feature allows users to directly hold meetings on IP phones. |

Console

Service Name | Description
background | The operator logs the guest's operator account into the attendant client, and after the guest has obtained the attendant server authentication, they can use the attendant agent function.
Interaction and Restriction | This topic uses data provided in the table to describe how to configure the system data.
Automatic Call Distribution | The automatic call distribution feature provides multiple automatic call distribution modes for the console system.
Call Control | The attendant console has the basic calling function of ordinary users, and also has business permissions that only operators have.
address book | The attendant console supports enterprise address book, attendant console address book, and personal address book.

Parent Topic: Advanced Configuration


SNMP Management

This topic describes how to configure the SNMP function, including enabling the SNMP function, adding SNMP manager IP addresses, adding SNMP user groups, and adding SNMP users.

In V200R003C50SPC500 and later versions, the SNMP management can be configured on the web page.

Enabling the SNMP Function

1.Log in to the web management system as the administrator and choose System > SNMP Management. The SNMP Management page shown in Figure 1 is displayed.

Figure 1 SNMP Management

2.In the SNMP Switch Configuration: area, set SNMP switch to ON.

3.Click Save. A message indicating the configuration success is displayed.

Adding an SNMP Manager IP Address

Perform this task to add an SNMP manager IP address.

At most five SNMP manager IP addresses can be added.

1.In the SNMP Manager Configuration: area, click Create. The Add SNMP Manager page is displayed, as shown in Figure 2.

Figure 2 Add SNMP Manager

2.Enter the manager IP address.

3.Click OK. A message indicating the configuration success is displayed.

You can select a manager IP address and click Delete to delete it. You can also click Refresh to refresh the manager IP address list.

Adding an SNMP User Group

·At most eight SNMP user groups can be added.

·In the scenario of upgrade from an earlier version to V200R003C50SPC500, if the SNMP user group name configured using a command contains special characters (excluding @ . _), the SNMP user group name is empty in the web management system. In this case, you must delete the SNMP user group with special characters using a command for the SNMP user group name to be displayed properly in the web management system.

1.In the SNMP Group Configuration area, click Create. The Add SNMP User Group page is displayed, as shown in Figure 3.

Figure 3 Add SNMP User Group

2.Set SNMP Group Name and select Security Mode. Table 1 describes the parameters.

Table 1 Parameter description

Parameter | Description
SNMP Group Name | The value is a string containing 1 to 32 characters. Default value: N/A
Security Mode | The value is an enumerated value in the format {noauth | authentication | privacy}. Default value: N/A

3.Click OK. A message indicating the configuration success is displayed.

You can select a user group and click Delete to delete it. You can also click Refresh to refresh the user group list.

Adding an SNMP User

Perform this task to add an SNMP user with authentication information.

·At most eight SNMP users can be added.

·In the scenario of upgrade from an earlier version to V200R003C50SPC500, if the SNMP user name configured using a command contains special characters (excluding @ . _), the SNMP user name is empty in the web management system. In this case, you must delete the SNMP user with special characters using a command for the SNMP user name to be displayed properly in the web management system.

1.In the SNMP User Configuration: area, click Create. The Add SNMP User page is displayed, as shown in Figure 4.

Figure 4 Add SNMP User

2.Set parameters. Table 2 describes the parameters.

Table 2 Parameter description

Parameter | Description
User Name | The value is a string containing 1 to 32 characters. Default value: N/A
Notify Name | The value is a string containing 1 to 32 characters. Default value: N/A
Target IP | The value is a string in the format a.b.c.d. Default value: N/A
Group Name | The value is a string containing 1 to 32 characters. Default value: N/A
Authentication Mode | The value is an enumerated value in the format {md5|sha}. Default value: N/A
Authentication Password | The value is a string containing 16 to 32 characters. Default value: N/A
Privacy Mode | The value is an enumerated value in the format {des|aes}. Default value: N/A
Privacy Password | The value is a string containing 8 to 15 characters. Default value: N/A

·The value of Authentication Password can contain 16 to 32 characters. The value of Privacy Password can contain 8 to 15 characters and must contain any two types of the following characters: uppercase letters, lowercase letters, digits, and special characters. In addition, the password cannot consist of repeated sub-strings, such as ABABABAB, ABCABCABC, or ABCDABCD.

·MD5 and DES are insecure encryption algorithms. To avoid risks, secure SHA and AES algorithms are recommended.

3.Click OK. A message indicating the configuration success is displayed.

You can select a user group and click Delete to delete it. You can also click Refresh to refresh the user group list.

Before modifying or deleting SNMP users, you must disable the SNMP function first.

Parent Topic: Advanced Configuration


Dual host and backup function

The dual host backup function is a highly fault-tolerant application solution that combines software and hardware, which can effectively prevent unnecessary losses caused by service interruptions. The communication network layer adopts the external network's heartbeat mechanism (Keepalived), with dual machines providing a VVIP service address to the outside world. The internal data layer and application layer achieve data synchronization between the master and backup nodes.

Equipment requirements

1. The primary and backup devices need to be of the same model, firmware version, expansion board and module, installed in the same location and slot

2. The backup machine synchronizes the SIP extension and account information, so that IAD and phone can be registered to both the primary and backup machines simultaneously

3. By synchronizing the called prefix with the directional and directional selection codes to the relay gateway (consistent with the primary and backup), it is possible to connect the primary and backup machines using the same call routing

4. Except for SIP, other relays do not require synchronization of POST user information

5. If it is a backup machine and cannot be set, the only configuration available is to shut down both machines

6. On the main node, built-in VMS voice message files, recording files, custom voice files, call ticket files, unified gateway voice and language settings are not supported for synchronization to the backup node. Built in VMS voice message configuration supports synchronization to backup nodes

web configuration

Tip:

1. When saving the page, it is necessary to first verify the peer information.

2. After the verification is passed, a prompt should be prompted: "Enabling dual machines will restart the system, selecting cancel will switch back to a normal node.".

3. After configuring the primary node, the backup node must be reconfigured to take effect.

4. After configuring the networking mode, the user will log out of the system and need to log in again.

5. Before configuring a backup node, the primary node must be configured first.


Feature Guide

This guide describes the general information, configuration, and usage of the basic features provided based on the X1900 + ECS.

·Before You Start

·

·Voice Service

·The solution provides three types of voice services: voice calling, video calling, and voice supplementary services.

·Automatic Switchboard

·The automatic switchboard service is also known as the interactive voice response (IVR) service. The IVR service forwards incoming calls to extension numbers.

·Voice Meeting

·A voice meeting enables participants to communicate with each other via voice. Users can create scheduled and instant voice meetings.

·Built-in Voice Mailbox

·Unified Gateway X1911, X1960, and X1981 allow users to record, store, and retrieve voice messages, and customize greetings and prompt tones.

·Telephone Recording

·The telephone recording system enables the recording of multiple concurrent calls. Authorized users can query and play the recording files to implement supervision and monitor recording status.

·Console

·A console system consists of the SoftConsole, ConsoleServer, and unified gateway. A contact center agent can log in to the SoftConsole using an account assigned by the ConsoleServer. After the account is authenticated by the ConsoleServer, the agent can use agent functions.

Parent Topic: Configuration


Before You Start

Keep the basics described below in mind before using this document.

Terminal Type

Terminal Type | Remarks
IP phone | OpenVox's IP Phone
POTS phone | In this document, POTS phones connect to the system using OpenVox's X1900 series unified gateways or integrated access devices (IADs). ·The IAD S196, and IAD S1224. ·The X1900 series unified gateways refer to the X1911, X1960, and X1981. ·The X1900 series unified gateways refer to the X1911, X1960, and X1981.
Desktop Client | Desktop Client is used on a computer running Windows operating system.
Mobile Client | Mobile Client is used on Android devices and iPhones.

User Types

The UC solution has two types of users: POTS and SIP users.

·POTS users: refer to users of POTS phones directly connected to the X1900 series unified gateways .

·SIP users: refer to IP phone users, users of POTS phones connecting to the system through IADs, and soft terminal users.

Configuring Simple Services

·Enabling services for a single number

1.Log in to the web management system of the X1900 series unified gateways as the administrator.

2.Choose User > SIP User or User > POTS User.

3.Select a number for which you want to enable services, and click Service Configuration.

4.In the Simple service area, select services to enable and click OK.

·Enabling services for multiple numbers in batches

1.Log in to the web management system of the X1900 series unified gateways as the administrator.

2.Choose User > SIP User or User > POTS User.

3.Select multiple numbers for which you want to enable services, and click Service Configuration.

4.In the Simple service area, select services to enable.

5.Select On and OK.

To disable services for multiple numbers, select Off.

Parent Topic: Feature Guide


Voice Service

The UC solution provides three types of voice services: voice calling, video calling, and voice supplementary services.

·Voice Calling

·Voice calls can be made between PBX users and between PBX users and external users.

·Video Calling

·Video calls are made between two video phones. In a video call, both parties can watch the video of each other.

·Local Number Query Service

·The local number query feature allows users to obtain the numbers of the phones they are using by dialing the specified service number.

·Calling Line Identification Presentation

·With the calling line identification presentation feature, the calling number is displayed on the phone of the called party.

·Calling Name Identification Presentation

·Calling name identification presentation is a terminating service that provides the name associated with the calling number to the called party.

·Calling Line Identification Restriction

·The calling line identification restriction feature provides a supplementary service that prevents the number of the calling party from being presented to the called party.

·Calling Line Identification Restriction Override

·The calling line identification restriction override feature allows a called party to view the number of the calling party even when the calling party enables the CLIR service.

·Connected Name Identification Presentation

·The connected name identification presentation feature provides the calling party with the name information of the called party.

·Calling Name Identification Restriction

·When a user has enabled the Calling Name Identification Restriction service, the name of this user is not displayed on the peer party's terminal.

·Distinctive Ring Tone

·The distinctive ring tone feature allows a user to set a specific ring tone for a calling party so that the calling party can be recognized by the ring tone when there is an incoming call from the calling party.

·Ringback Tone

·The ringback tone (RBT) feature provides a calling party with a pleasant melody or a greeting instead of an ordinary ring back tone when the calling party places a call to a user attached to an enterprise PBX.

·Call Hold

·The call hold feature enables a user to hold an ongoing call and resume it when necessary.

·Call Park

·The call hold feature allows a user to hold a call on one phone and resume the call on another phone within the office. If the user does not resume the call within the specified period, the call is released and the party on hold hears a busy tone.

·Multi-line Call

·The multi-line call feature allows users to process multiple incoming and outgoing calls on a single phone. However, only one voice call can be ongoing at the same time, and other calls are held.

·Call Waiting

·If a user activates the call waiting service and a third party makes a call to the user when the user is on a call, the user hears a prompt tone of the new call.

·Call Transfer

·The call transfer feature allows a user to press the transfer button to transfer an ongoing call to a third party and exit the call.

·Call Divert

·The call divert feature allows a user to press the forward button to forward a call to a third party without answering the call.

·Call Forwarding

·If a user activates the call forwarding service, incoming calls are automatically forwarded to a preset forward-to number without going through the user.

·Hotline

·The hotline feature enables a phone to automatically dial a preset hotline number upon off-hook.

·Pickup

·With the call pickup service, users can use a phone to answer a call that is ringing on another phone. Designated pickup: Users can use a phone to answer a call that is ringing on a specific phone. Group pickup: Users can use a phone to answer a call that is ringing on another phone in the same pickup group.

·Automatic Callback

·A user who dials an internal number that is busy or not answered, can register the automatic callback (ACB) service. When the called user is idle, the system automatically calls the calling and called parties.

·Abbreviated Dialing

·The abbreviated dialing feature allows users to call frequent contacts by dialing abbreviated numbers instead of long numbers. Abbreviated dialing reduces dialing time and makes numbers easy to remember.

·Do Not Disturb

·The do not disturb (DND) features allows the system to temporarily reject incoming calls for users.

·Barge

·The barge feature allows users to forcibly join an internal user's call and establish a three-way call.

·Forced Release

·The forced release feature allows an agent to forcibly end an ongoing call between two users.

·Privileged User

·The privileged user feature allows an agent to forcibly establish a call with an intra-office user who is in a call.

·One Number Link You

·The One Number Link You (ONLY) service enables users to bind several terminals to a single user number so that the users can answer incoming calls on any bound terminal.

·Three-way Calling

·The three-way calling service allows a user to make a call to a third party without ending the ongoing call and enable three-way calling.

·Alarm Clock

·A phone that has enabled the alarm clock service rings automatically at the preset time to remind the phone user.

·Music on Hold(MoH)

·The Music on Hold (MoH) feature allows the system to play waiting music to users when calls are being held, transferred, or parked.

·Absence

·The absence feature enables calling parties to hear an absence announcement when they place calls to users who have enabled the absence service.

·Multi-Number

·The multi-number service allows a single user to have multiple phone numbers, any of which can be dialed to reach the user.

·Audio Paging

·The audio paging feature uses telephony systems to send messages to all group users through unidirectional broadcast.

·Secretary Service

·The secretary service enables calls made to a manager to be forwarded to the secretary first. The secretary processes the call and forwards the call to the manager if necessary.

·Secretary Station Service

·With the secretary station feature, the system queues an incoming call when a secretary is busy, and forwards the call to the secretary when the secretary becomes idle.

·Advanced Secretary Service

·The advanced secretary service binds a line of a manager's phone to a line of a secretary's phone. The manager and secretary receive a call to the manager at the same time. The manager can answer the call directly. Alternatively, the secretary answers the call first and determines whether to forward the call to the manager.

·Emergency Call

·The emergency call feature allows IP phone users to call public safety answering points (PSAPs) when IP phones are locked, unregistered, or call-barred.

·Call Admission Control

·If the number of incoming and outgoing VoIP calls is too large, the network may be congested, therefore affecting voice quality. The system allows you to limit the number of concurrent incoming and outgoing calls that are made through SIP trunks to ensure proper use of bandwidth resources and better voice quality. Then, when the number of concurrent calls reach the preset upper limit, new incoming and outgoing VoIP calls will be rejected or routed to other trunks.

·Deactivation of All Services

·This feature allows a user to deactivate all the activated supplementary services. However, the user's service rights are not affected.

·Voice Service Password Change

·The voice service password is used in the outgoing call barring, password-based call barring, ONLY, deactivation of all services, and voice mailbox. It is recommended that the voice service password be changed periodically to improve the security of voice services.

·Busy Lamp Field (BLF)

·The Busy Lamp Field (BLF) feature allows users to subscribe to the status (idle, call in progress, ringing, or offline) of others using the programmable buttons on the IP phone. Before making a call, the calling party can know the status of the called party. If the called party is not idle, the calling party waits until the called party becomes idle. This helps improve the call success rate.

·Extension Mobility

·The extension mobility feature allows a user to use the same IP phone settings in a visited area as in the home area provided that the two areas belong to the same unified gateway. Since the user logs in to the IP phone in the visited area using the account of the home area's IP phone, the account on the IP phone of the home area is logged out.

·Service Level

·The service level feature enables management of service rights and basic call rights by service level.

·Trunk Preemption by User Rights Level

·This feature allows a higher-level user to preempt the trunk of a lower-level user to make an outgoing call when the system trunk resources are insufficient. This ensures the voice service requirements of high-level users.

·Call Rights Control

·This feature allows the system to determine whether to set up a call according to the call rights of the calling number and the call type of the called prefix when a user initiates a voice call. Therefore, call rights can be flexibly controlled based on actual needs.

·Blacklist and Whitelist Call Barring

·With the blacklist and whitelist call barring feature, calls are accepted or rejected based on call barring relationships configured in the blacklist and whitelist.

·Anonymous Call Rejection

·When the system cannot obtain the phone number of a calling party, the call will be rejected and the called party's phone does not ring.

·Call-out Restriction Service

·If the call-out restriction service is enabled for a user, the user is prohibited from making specified types of outgoing calls.

·Hunt Group

·In an enterprise, employees in the same field can be added to a hunt group, with a group access code configured. When a user dials the access code of a hunt group, the system allocates the call to group members based on preset ringing policies. When a member answers the call, the system stops ringing.

·PBX Group Line Selection Service

·The system selects a called party from a PBX group according to the preset selection mode when a non-PBX group user dials the number of the PBX group.

·Simultaneous Ringing

·A user binds several numbers to a primary number. When the primary number is called, phones with the primary number and the bound numbers ring simultaneously. When the call is answered on any phone, other phones stop ringing.

·Sequential Ringing

·A user binds several numbers to a primary number. When the primary number is called, phones with the primary number and the bound numbers ring in sequence. When the call is answered on a ringing phone, other phones will no longer ring.

·Call Group

·When a user dials the access code of a call group, phones of all members in the group ring simultaneously. Members can pick up phones to join a meeting. The call group service is used with the instant hotline service, and the SoftConsole group access code is configured as the hotline number. When all members in a call group have the instant hotline service enabled, they can talk with specific outer-group angents after picking up phones.

·Direct Inward Dialing(DID)

·The Direct Inward Dialing (DID) feature enables external users to directly call intra-office users without being forwarded by calling the automatic switchboard.

·Service of Number Replacement on the Same Phone

·When a user's number is replaced and another user dials the user's original number, an announcement is played, indicating that the number is replaced and that the call can be automatically connected to the new number.

·Service of Number Change on the Same Phone

·After a user connects the phone to another phone line and changes the number, when another user dials the user's original number, an announcement is played, indicating that the number is changed and that the call can be automatically connected to the new number.

Parent Topic: Feature Guide


Voice Calling

Voice calls can be made between PBX users and between PBX users and external users.

Applicable Terminals

Terminal Type | Feature Support | Remarks
IP phone | Supported | -
POTS phone | Supported | -
Desktop Client | Supported | -
Mobile Client | Supported | -

Feature Definition

When user A uses a phone to send a call request to user B's phone, a voice call is initiated. When user B answers the call, a voice call is set up. Either party can end the call at any time.

The user who initiates a call request is the calling party. The user who answers the call is the called party.

In a voice call, either the calling party or the called party must be a PBX user.

·If both parties are PBX users, the voice call is an internal call.

·If only one party is a PBX user, the voice call is an external call. In an external call, a trunk is used to connect to the peer switch and then to the other party.

Typical Scenarios

[Scenario 1] Internal call

PBX user A wants to make a call to PBX user B. User A picks up the phone and dials user B's number. User B's phone rings. User B picks up the phone. A call is then set up between user A and user B. Both user A and user B can end the call at any time.

[Scenario 2] External call

1.Outgoing call

PBX user A wants to make a call to external user B. User A picks up the phone and dials user B's number. The PBX forwards the call through a trunk based on predefined routing rules. User B's phone rings. User B picks up the phone. A call is then set up between user A and user B. Both user A and user B can end the call at any time.

2.Incoming call

External user B wants to make a call to PBX user A. User B picks up the phone and dials the switchboard number of user A followed by user A's extension number or directly dials user A's long number. User A's phone rings. User A picks up the phone. A call is set up between user A and user B. Both user A and user B can end the call at any time.

Interaction and Restriction

N/A.

Feature Configuration

Before using the voice calling function, configure basic voice calling data for internal users of the unified gateway and between internal users of the unified gateway and public switched telephone network (PSTN) users. For details, see the OpenVox Enterprise Communications Solution.

Parent Topic: Voice Service


Video Calling

Video calls are made between two video phones. In a video call, both parties can watch the video of each other.

Applicable Terminals

Terminal Type | Feature Support | Remarks
IP phone | Partially supported | Only IP Phone 8850 and Video Phone 8950 support this feature.
POTS phone | Not supported | -
Desktop Client | Supported | -
Mobile Client | Supported | -

Feature Definition

Both parties in a video call must have the video capability. If either party does not have the video capability, a call is automatically switched to a voice call.

When a calling party initiates a video call, the called party can choose the answer mode, voice call or video call. A video call is set up only when the called party selects the video call mode.

You can switch between voice calls and video calls.

In a video call, either party can end the video transmission and continue with the voice call. When either party hangs up in a video call, the communication ends.

Typical Scenarios

[Scenario 1] Internal video call

·Directly initiating a video call

The phones of users A and B both support the video function. User A initiates a video call to user B. User B answers the call in video call mode. A video call is set up between user A and user B. When either party hangs up, the call ends.

·Switching from a voice call to a video call

The phones of users A and B both support the video function. User A initiates a video call to user B. User B answers the call in voice call mode. A voice call is set up between user A and user B. During the conversation, user B presses Video on the personal phone. The call switches to a video call. When either party hangs up, the call ends.

·Switching from a video call to a voice call

Users A and B are in a video call. User B ends the video. The call switches to a voice call. When either party hangs up, the call ends.

[Scenario 2] Video call between an internal user and an external user

A OpenVox PBX uses a SIP trunk to connect to the PBX of another vendor. Internal user A's phone registers with the OpenVox PBX, and external user B's phone registers with the PBX of the vendor. The phones of users A and B both support the video function. Either user A or user B can make a video call to each other.

Interaction and Restriction

·The phones of both parties must support the video function and have at least one common audio and video codec.

·P2P video calls are available to intra-office IP users who communicate with each other using the SIP protocol and available between IP users and external users who communicate with each other using SIP trunks.

Parent Topic: Voice Service


Local Number Query Service

The local number query feature allows users to obtain the numbers of the phones they are using by dialing the specified service number.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Users can directly use the local number querying service without configurations.

Parent Topic: Local Number Query Service


Feature Usage

·A user picks up the phone and dials *128#. The system plays the local phone number.

·A user picks up the phone and dials *125#. The system plays the ONLY number. If the ONLY number is not configured, the system plays the local number.

Parent Topic: Local Number Query Service


Calling Line Identification Presentation

With the calling line identification presentation feature, the calling number is displayed on the phone of the called party.

·Feature Configuration

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

By default, users have the service permission. To configure the service permission, perform the following operations:

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway .

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select the service to activate and click OK.

4.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Calling Line Identification Presentation


Feature Usage

This scenario assumes that the CLIP service has been enabled for user A. When user B makes a call to user A, user B's number is displayed on user A's phone.

Parent Topic: Calling Line Identification Presentation


Calling Name Identification Presentation

Calling name identification presentation (CNIP) is a terminating service that provides the name associated with the calling number to the called party.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

1.Log in to the X1900 series unified gateway using the CLI and access the Config mode.

2.Activate the calling name identification presentation (CNIP) service for a user.

config modify subscriber

Table 1 Parameters for activating the CNIP service

Parameter | How to Set
dn | Enter the user number for which the service is to be activated.
operatenewservice | ·To activate the service, set this parameter to add. ·To deactivate the service, set this parameter to del.
newservicerights | Set this parameter to CNIP.

3.Run the save command to save the configuration.

Parent Topic: Calling Name Identification Presentation


Feature Usage

This scenario assumes that user A has enabled the CNIP service. When user B makes a call to user A, user B's name is displayed on user A's phone.

Parent Topic: Calling Name Identification Presentation


Calling Line Identification Restriction

The calling line identification restriction (CLIR) feature provides a supplementary service that prevents the number of the calling party from being presented to the called party.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Configuring CLIR Rights

1.Use an administrator account to log in to the web management system of the X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select the CLIR service to activate and click OK.

4.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Configuring the Calling Number Display Prefix

1.Use an administrator account to log in to the web management system of the X1900 series unified gateway.

2.Choose Trunk > Called Prefix Configuration and click Create. On the Create Prefix page that is displayed, configure prefix ##.

·Prefix: ##

·Service type: Supplementary service

·Call property: Display calling number

·Use default values of other parameters.

3.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Enabling Software Parameter 496

config softargu type 496 value 1 (default value: 0)

·When software parameter 496 is set to 1, the CLIR feature takes effect for outgoing calls, but not intra-office calls.

·When software parameter 496 is set to 0, the CLIR feature takes effect for intra-office calls, but not outgoing calls.

Parent Topic: Calling Line Identification Restriction


Feature Usage

The following assumes that intra-office user 5000 is the calling party, and intra-office user 6000 and external user 05712856XXXX are called parties.

Scenario | Prerequisites | Operation | Outgoing Call | Intra-Office Call
1 | The CLIR rights have been configured. | Dial the called number as normal. | User 5000 dials 05712856XXXX. The calling number may be displayed to the called party. | User 5000 dials 6000. The calling number is not displayed to the called party.
2 | 1.The CLIR rights have been configured. 2.Software parameter 496 has been enabled. 3.The calling number display prefix has been configured. | Dial the called number as normal. | User 5000 dials 05712856XXXX. The calling number is not displayed to the called party. | User 5000 dials 6000. The calling number is displayed to the called party.
 |  | Dial the calling number display prefix before the called number. | User 5000 dials ##05712856XXXX. The calling number is displayed to the called party. | User 5000 dials ##6000. The calling number is displayed to the called party.

Parent Topic: Calling Line Identification Restriction


Calling Line Identification Restriction Override

The calling line identification restriction override (CLIRO) feature allows a called party to view the number of the calling party even when the calling party enables the CLIR service.

·Feature Configuration

Parent Topic: Voice Service


Feature Configuration

1.Log in to the X1900 series unified gateway using the CLI and access the Config mode.

2.Add the CLIRO permission for users.

config modify subscriber

Table 1 Parameters for adding the CLIRO permission

Parameter | Description
dn | Enter the user number for which the service is to be enabled.
operatenewservice | ·To enable the service, set this parameter to add. ·To disable the service, set this parameter to del.
newservicerights | Set this parameter to CLIRO.

1.Run the save command to save the configuration.

Parent Topic: Calling Line Identification Restriction Override


Connected Name Identification Presentation

The connected name identification presentation (CONP) feature provides the calling party with the name information of the called party.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Configuring the Unified Gateway

1.Log in to the X1900 series unified gateway using the CLI and access the Config mode.

2.Activate the connected name identification presentation (CONP) service for a user.

config modify subscriber

Table 1 Parameters for activating the CONP service

Parameter | How to Set
dn | Enter the user number for which the service is to be activated.
operatenewservice | ·To activate the service, set this parameter to add. ·To deactivate the service, set this parameter to del.
newservicerights | Set this parameter to CONP.

1.Run the save command to save the configuration.

Parent Topic: Connected Name Identification Presentation


Feature Usage

This scenario assumes that user A has enabled the CONP service. When user A makes a call to user B, user B's name is displayed on user A's phone.

Parent Topic: Connected Name Identification Presentation


Calling Name Identification Restriction

When a user has enabled the Calling Name Identification Restriction (CNIR) service, the name of this user is not displayed on the peer party's terminal.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Configuring CNIR Rights

1.Log in to the X1900 series unified gateway using the CLI and access the Config mode.

2.Add the CNIR permission for a user.

config modify subscriber

Table 1 Parameters for adding the CNIR permission

Parameter | Description
dn | Enter the user number for which the service is to be enabled.
operatenewservice | ·To enable the service, set this parameter to add. ·To disable the service, set this parameter to del.
newservicerights | Set this parameter to CNIR.

3.Run the save command to save the configuration.

Configuring the Calling Number Display Prefix

1.Use an administrator account to log in to the web management system of the X1900 series unified gateway.

2.Choose Trunk > Called Prefix Configuration and click Create. On the Create Prefix page that is displayed, configure prefix ##.

·Prefix: ##

·Service type: Supplementary service

·Call property: Display calling number

·Use default values of other parameters.

3.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Enabling Software Parameter 496

config softargu type 496 value 1 (default value: 0)

·When software parameter 496 is set to 1, the CLIR feature takes effect for outgoing calls, but not intra-office calls.

·When software parameter 496 is set to 0, the CLIR feature takes effect for intra-office calls, but not outgoing calls.

Parent Topic: Calling Name Identification Restriction


Feature Usage

The following assumes that intra-office user A is the calling party, and intra-office user B and external user C are called parties.

Scenario | Prerequisites | Operation | Outgoing Call | Intra-Office Call
1 | The CNR rights have been configured. | Dial the called number as normal. | User A dials C. The calling name may be displayed to the called party. | User A dials B. The calling name is not displayed to the called party.
2 | 1.The CNIR rights have been configured. 2.Software parameter 496 has been enabled. 3.The calling number display prefix has been configured. | Dial the called number as normal. | User A dials C. The calling name is not displayed to the called party. | User A dials B. The calling name is displayed to the called party.
 |  | Dial the calling number display prefix before the called number. | User A dials ##C. The calling name is displayed to the called party. | User A dials ##B. The calling name is displayed to the called party.

Parent Topic: Calling Name Identification Restriction


Distinctive Ring Tone

The distinctive ring tone feature allows a user to set a specific ring tone for a calling party so that the calling party can be recognized by the ring tone when there is an incoming call from the calling party.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Configuring the Unified Gateway

1.Enable the distinctive ringing tone function.

You can use the distinctive ringing tone service after the distinctive ringing tone function is enabled.

a.Use an administrator account to log in to the web management system of the X1900 series unified gateway.

b.Choose User->SIP User to enter the SIP user page, and click Click to enlarge next to the user to be modified.

c.In the Modify SIP User page, set Distinctive ringing tone to Yes.

In versions earlier than V2.0, the default distinctive ringing tone function is enabled; V2.0 version and later versions, the default distinctive ringing tone function is disabled.

Run config add sipue command to enable the distinctive ringing tone function and run config modify sipue to modify the distinctive ringing tone function. For details, please refer to UScale X1900 V2.0 Command Reference.

2.Run the command config add ringtype to add a ring tone type. Table 1 lists the parameters.

Table 1 Parameters for configuring the ring tone type

Parameter | Description | Default Value
no | Index of a ring tone, which ranges from 0 to 254. | N/A
callernumsendtype | Sending mode of a calling number. | Inband
inter | Ring tone type of an intra-office call. Unified gateway provides the following ring tone types: a.NormalRing b.CentrexRing c.SilentRing d.FirstRing e.FSKRing f.StopRing g.CallBackRing h.UserRing1 When an intra-office user makes an intra-office call, the peer phone rings in specified mode. | NormalRing
local | Ring tone type of a local call. The ring tone types are the same as the eight listed types. | NormalRing
centrex | Ring tone type of a call in the group. The ring tone types are the same as the eight listed types. | CentrexRing
callback | Callback ring tone type. The ring tone types are the same as the eight listed types. | NormalRing

1.Run the command config modify subscriber to set the user ring tone type. Table 2 lists the parameters.

Table 2 Parameters for configuring the ring tone type for a user

Parameter | Description
dn | User number.
ringtype | Index of a ring tone type, which ranges from 0 to 255. If it is set to 255, the distinctive ring tone service of the user is disabled.

2.Run the save command to save the configuration.

Configuring IP Phones

1.On the home page, choose Apps > Pref. > Ringtone.

The Ringtone page is displayed.

2.Set Default, Internal, or External as required.

The settings of Internal and External take effect only when the ring tone type is configured for the user number corresponding to the IP phone is configured on the unified gateway; otherwise, the ring tone specified by Default is played.

Parent Topic: Distinctive Ring Tone


Feature Usage

The distinctive ring tones for callback on busy and callback on no reply are described as follows:

Figure 1 shows the callback on busy scenario.

Figure 1 Call on busy

Click to enlarge

·Figure 2 shows the callback on no reply scenario.

Figure 2 Call on no reply

Click to enlarge

Parent Topic: Distinctive Ring Tone


Ringback Tone

Play personalized ringtones to the calling party.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Configure RBT

1. Select 'User Management>Global Business'.

2. Click on 'RBT'

3. Click 'Select' and select the ringtone file. Click 'Upload' to upload the selected ringtone file to the system

4. In the "User Management>SIP User Requirements" or "User Management>POTS User Requirements" section, select the number that needs to add business permissions, and click "Business Configuration".

5. Select the business that needs to be opened in the "Simple Business" area box and click "OK".

Parent Topic: Ringback Tone


Navigation: Configuration > Feature Guide > Voice Service > Ringback Tone >

Return to chapter overview

Feature Usage

Parent Topic: Ringback Tone


Call Hold

The call hold feature enables a user to hold an ongoing call and resume it when necessary.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

The call hold service does not need to be configured. Users can directly use the service.

Parent Topic: Call Hold


Feature Usage

POTS Phone

During a call, press the R button on the POTS phone to hold the current call and press the R button again to resume the call.

IP Phone

A user in a call can press the call hold key on the IP Phone 7910 to hold the call, as shown in Figure 1 Call hold on an IP phone.

Figure 1 Call hold on an IP phone

Click to enlarge

Soft Terminal

A user in a call can click the call hold button on the Desktop Client or Mobile Client to hold the call, as shown in Figure 2 Call hold on a soft terminal.

Figure 2 Call hold on a soft terminal

Parent Topic: Call Hold


Call Park

The call hold feature allows a user to hold a call on one phone and resume the call on another phone within the office. If the user does not resume the call within the specified period, the call is released and the party on hold hears a busy tone.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

By default, users have the service permission. To configure the service permission, perform the following operations:

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select the service to activate and click OK.

4.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Call Park


Feature Usage

POTS Phone

Parking the Current Call

Press the hookflash button on the POTS phone of the current call and dial *95#.

Retrieving the Parked Call

Dial *95*TN# on any POTS phone.

TN specifies the number of the phone where the call is parked.

IP Phone

Parking the Current Call

Retrieving the Parked Call

You can park a call and retrieve the parked call on different terminals. For example, you can park a call on a POTS phone and retrieve the parked call on an IP phone 7910.

Parent Topic: Call Park


Multi-line Call

The multi-line call feature allows users to process multiple incoming and outgoing calls on a single phone. However, only one voice call can be ongoing at the same time, and other calls are held.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

By default, users have the service permission. To configure the service permission, perform the following steps:

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select the service to activate and click OK.

4.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Multi-line Call


Feature Usage

Multi-Line Calls Under the Same SIP Account

User A's terminal is configured with only one SIP account, and the account is configured with three lines. When the three lines receive calls at the same time, user A can choose to answer any of the calls. Figure 1 shows the scenario.

Figure 1 Multi-line calls under the same SIP account

Click to enlarge

Multi-Line Calls Under Multiple SIP Accounts

User A's is configured with two SIP accounts, 1000 and 1001, and each account is configured with two lines. Three users are calling user A at the same time, one to account 1000, and the other two to account 1001. User A can choose to answer any of the calls. Figure 2

shows the scenario.

Figure 2 Multi-line calls under multiple SIP accounts

Click to enlarge

Parent Topic: Multi-line Call


Call Waiting

If a user activates the call waiting service and a third party makes a call to the user when the user is on a call, the user hears a prompt tone of the new call.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

By default, users have the service permission. To configure the service permission, perform the following operations:

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select the service to activate and click OK.

4.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Call Waiting


Feature Usage

POTS Phone

Activating or deactivating the service

·A user dials *58#. An announcement is played, indicating that the service is activated successfully.

·A user dials #58#. An announcement is played, indicating that the service is deactivated successfully.

Using the service

User A is talking with user B on the phone. User C makes a call to user A. User A hears the prompt tone, and user C hears the ringback tone. Within 15 seconds, user A can make one of the following choices:

·Reject user C's call.

User A does not perform any operations, the call waiting prompt tone automatically stops and user C hears the busy tone 15 seconds later. The call between users A and B is not affected.

·End the call with user B and talk with user C.

User A presses the hookflash button and then 1 as prompted.

·Hold the call with user B and talk with user C.

User A presses the hookflash button and then 2 as prompted.

When talking with user C, user A can press the hookflash button and then 2 to resume the call with user B. User C hears the call waiting music.

If user A hangs up when talking with user C, users B and C hear the busy tone. If user C hangs up when talking with user A, user A can press the hookflash button as prompted to resume the call with user B.

IP Phone

Activating or deactivating the service

1.On the LCD screen, choose Apps > Pref > Call Setting > Call Waiting.

2.Select Enable or Disable to activate or deactivate the call waiting service.

Using the service

User A is talking with user B on the phone. User C makes a call to user A. User A hears the prompt tone, and user C hears the ringback tone. Within 15 seconds, user A can make one of the choices shown in Figure 1.

Figure 1 IP phone call waiting service

Click to enlarge

Desktop Client

Activating or deactivating the service

Call waiting is enabled by default on Desktop Client. You can receive new calls when you are engaged in an ongoing call or meeting. If you cannot receive new calls while you are in a call or meeting, enable call waiting.

1.Click your profile picture in the main window.

The Setting window is displayed.

2.Choose Call from the navigation bar and select Enable call waiting.

3.Click OK.

Using the service

User B is talking with user A on Desktop Client. User C makes a call to user A. User A click Answers and talks with user C. The call with user B is placed on hold. User B hears the call waiting tone. Figure 2 shows the scenario for the Desktop Client call waiting service.

Figure 2 Desktop Client call waiting service

Click to enlarge

Parent Topic: Call Waiting


Call Transfer

The call transfer feature allows a user to press the transfer button to transfer an ongoing call to a third party and exit the call.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

By default, users have the service permission. To configure the service permission, perform the following operations:

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select the service to activate and click OK.

4.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Call Transfer


Feature Usage

POTS Phone

1.User A makes a call to user B. User B picks up the phone and talks with user A.

2.User A presses the hookflash button. User B hears the call waiting music.

3.When hearing the dialing tone, user A dials user C's number.

·Semi-consult transfer

User C's phone rings. When hearing the ringback tone, user A hangs up. User C picks up the phone and talks with user B.

·Consult transfer

User C picks up the phone and talks with user A. If user C agrees to answer the call from user B, user A transfers the call to user C and hangs up. User B talks with user C.

If user C is busy or does not answer the call, user A can press the hookflash button or wait 25 seconds to resume the call with user B.

IP Phone

1.User A makes a call to user B. User B picks up the phone and talks with user A.

2.User B presses Transfer. The call with user A is held.

3.User B dials user C's number and transfers the call

·Figure 1 shows the blind transfer mode.

Figure 1 Blind transfer

Click to enlarge

·Figure 2 shows the semi-consult transfer mode.

Figure 2 Semi-consult transfer

·Figure 3 shows the consult transfer mode.

Figure 3 Consult transfer

Click to enlarge

4.User A talks with user C or user D.

Desktop Client

1.User A makes a call to user B. User B uses Desktop Client to answer the call.

2.In the call window, user B clicks Click to enlarge and chooses Transfer to new number.

3.User B selects user C and click Transfer.

·Figure 4 shows the blind transfer mode.

Figure 4 Blind transfer

·Figure 5 shows the semi-consult transfer mode.

Figure 5 Semi-consult transfer

·Figure 6 shows the consult transfer mode.

Figure 6 Consult transfer

Click to enlarge

4.User A talks with user C or user D.

Parent Topic: Call Transfer


Call Divert

The call divert feature allows a user to press the forward button to forward a call to a third party without answering the call.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

The call deflection service does not need to be configured. Users can directly use the service.

Parent Topic: Call Divert


Feature Usage

IP Phone

After activating the call divert service, you can divert an incoming call to a third-party. Figure 1 shows the scenario.

Figure 1 IP phone call divert

Click to enlarge

Desktop Client

If you do not have a headset or are inconvenient to answer calls, you can divert incoming calls to your mobile number, office number, or other numbers. The mobile or office number can be displayed in the list only after being configured in your contact information. Figure 2 shows the scenario.

Figure 2 Desktop Client call divert

Click to enlarge

Parent Topic: Call Divert


Call Forwarding

If a user activates the call forwarding service, incoming calls are automatically forwarded to a preset forward-to number without going through the user.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

By default, users have this business permission. To reconfigure, please perform the following steps:

1. Log in to the X1900 series unified gateway web management system using an administrator account.

2. In the "User Management>SIP Users" or "User Management>P Boundary TS Users" interface, select the number that requires adding business permissions, and click "Business Configuration".

3. Select the business that needs to be opened in the "Simple Business" area box and click "OK".

Parent Topic: Call Forwarding


Feature Usage

Using the Service

Call Forwarding Unconditional

No matter what terminal that user A uses, when user C calls user A, the call is unconditionally forwarded to user B. Figure 3shows the scenario.

Figure 3 CFU scenario

Unconditionally Forwarding Calls to the Operator

User A wants to unconditionally forward user B's incoming calls to user A's phone. Figure 4 shows the scenario.

Figure 4 Forwarding calls from a specified user unconditionally

Click to enlarge

User A dials #63*user B's number*. The service for unconditionally forwarding user B's incoming calls to user A is deregistered.

User A dials #63#. The service for unconditionally forwarding all users' incoming calls to user A is deregistered.

Call Forwarding On No Reply

No matter what terminal that user A uses, when user C calls user A, the call is forwarded to user B when user A does not answer the call within 20s. Figure 5 shows the scenario.

Figure 5 CFNR scenario

Call Forwarding Busy

No matter what terminal that user A uses, when user C calls user A and user A is busy, the call is unconditionally forwarded to user B. Figure 6 shows the scenario.

Figure 6 CFB scenario

Call Forwarding Offline

No matter what terminal that user A uses, when user C calls user A, the call is unconditionally forwarded to user B when user A is offline. Figure 7 shows the scenario.

Figure 7 CFO scenario

Call Forwarding Conditional(The calling number is not grouped)

This scenario assumes that the CFC service is enabled for user A. When user C makes a call to user A, the call is forwarded to user B's phone or the voice mailbox named umsno if the call meets specified criteria. The criteria include the calling number, time segment, and called user's status. For example, when user A is busy, user A's incoming calls made by outer-office users from 08:00 to 10:00 every day will be forwarded to user B. If the calling number or time segment is not set, no restriction is imposed on calling numbers or time segments. Figure 8 shows the scenario.

Figure 8 CFC scenario(The calling number is not grouped)

Call Forwarding Conditional(The calling number is grouped)

Assume that user A has enabled the CFC service and has configured calling number groups. The call forwarding conditions for user A are that the calls from the calling numbers in calling number group 1 during the time segment 8:00 to 10:00 will be forwarded to user B.

During the period from 8:00 to 10:00 every day, the call from user C in calling number group 1 will be forwarded to user B. If both the calling number and calling number group are configured for call forwarding, the calling number is matched first. Figure 9 shows the scenario.

Figure 9 CFC scenario(The calling number is grouped)

Call Forwarding Based on UC Client Status

UC client user A sets the service of forwarding calls to number B when user A is away. In this case, when the status of user A's UC client is away, incoming calls are directly forwarded to number B.

Activating or deactivating the advanced secretary service

This scenario assumes that there are outer-office user A and intra-office user B, and the remote activation service has been enabled on X1960 unified gateway.

The VU prefix for activating a forwarding service is 120; the VU prefix for deactivating a forwarding service is 121.

Activating the advanced secretary service

1.User A dials VU prefix 120 to activate the forwarding service. The announcement "Please input your called password then press # to confirm." is played.

2.User A dials user B's number. The announcement "Please input your called password then press # to confirm." is played.

The password here is the service password for number B. To change it, see Voice Service Password Change.

3.User A enters the password of user B's phone. The announcement "Please choose the call forward type then press # to confirm." is played.

4.User A enters the forwarding number and set the forward type as prompted. The system plays an announcement, indicating that the service is activated successfully.

Deactivating the advanced secretary service

1.User A dials VU prefix 121 to deactivate the forwarding service. The announcement "Please dial the number you want to set, and press # to confirm." is played.

2.User A dials user B's number. The announcement "Please input your called password then press # to confirm." is played.

3.User A enters the password of user B's phone. The announcement "Please choose the call forward type then press # to confirm." is played.

The password here is the service password for number B. To change it, see Voice Service Password Change.

4.User A enters the forwarding number and set the forward type as prompted. The system plays an announcement, indicating that the service is deactivated successfully.

Using the Forwarding Override Service

Users A and B are available. User A enables the forwarding override permission. User B has registered the call forwarding service (unconditional, no response, busy, offline, conditional).

User A dials user B's number. User B's phone rings. User B's forwarding service does not take effect.

Using Call Forwarding Service Statistics

Users have enabled and registered the call forwarding unconditional (CFU), call forwarding on no reply (CFNR), call forwarding on busy (CFB), and call forwarding offline (CFO) services on the X1900 series unified gateway.

1.Log in to the X1900 web management system.

2.Choose User > CallForward Statistics. The call forwarding service statistics page is displayed.

3.Set the search criteria to view information about users who have enabled call forwarding services except the CFC service.

You can run the show subscriber callforward [type type][startnum startnum] command to view information about users who have enabled call forwarding services, including the CFC service. For details, see the command reference.

Parent Topic: Call Forwarding


Hotline

The hotline feature enables a phone to automatically dial a preset hotline number upon off-hook.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

POTS Phone Directly Connected to the X1900

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose User > POTS User.

3.Select the user number to be assigned the service permission and click Service Configuration.

4.Under Complex service, click Configure next to Hotline.

5.In the Configure Hotline dialog box that is displayed, select Instant hotline or Delay hotline.

Figure 1 Configuring the hotline service

Click to enlarge

6.Click OK.

7.In the upper right corner of the web page, click Click to enlarge to save the configuration.

IP Phone

The following uses an IP phone 7910 as an example to describe the configuration procedure.

1.Use an administrator account to log in to the web management system of an IP phone 7910.

2.Choose Call Settings > Hotline.

3.Select Enable and set the number and delay time. To enable the instant hotline service, set Delay Time to 0 s; to enable delayed hotline service, set Delay Time to a non-zero value.

Figure 2 Enabling the hotline service

Click to enlarge

4.Click Save to save the settings.

POTS Phone Under the IAD

1.Use an administrator account to log in to the web management system of an IAD.

2.Choose SIP Service Configuration > SIP Hotline.

3.Select the number for which you want to enable the hotline service and set Hotline and Hotline Delaytime(s).

To enable the instant hotline service, set Hotline Delaytime(s) to 0. To enable the delay hotline service, set Hotline Delaytime(s) to a non-zero value.

Parent Topic: Hotline


Feature Usage

·Delay hotline service

User A picks up the phone and waits for 5 seconds. A call is initiated to user B automatically. User A hears the ring back tone. If user B picks up the phone, user A talks with user B.

·Instant hotline service

User A picks up the phone and hears the ring back tone. If user B picks up the phone, user A talks with user B.

·On a POTS phone directly connected to the X1900, a user can dial *52*Hotline number to activate the delay hotline service and dial #52# to deactivate the service.

·On a POTS phone directly connected to the X1900, a user can dial *61*Hotline number to activate the instant hotline service and dial #61# to deactivate the service.

·You need to activate or deactivate a service for an IP phone in the web management system of the IP phone.

·You need to activate or deactivate a service for a POTS phone under an IAD in the web management system of the IAD.

Parent Topic: Hotline


Pickup

With the call pickup service, users can use a phone to answer a call that is ringing on another phone. Designated pickup: Users can use a phone to answer a call that is ringing on a specific phone. Group pickup: Users can use a phone to answer a call that is ringing on another phone in the same pickup group.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Group Pickup

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose User > SIP User.

To activate the service for POTS users, choose User > POTS User.

3.Select the user number to be assigned the service permission and click Service Configuration.

4.If you want use the pickup notice on the IP Phone, please select Designated pickup under Simple service.

5.Under Complex service, click Configure next to Co-group pickup.

6.Set the group ID in the Configure Co-group Pickup area.

Figure 1 Configuring the group pickup service

Click to enlarge

·If a pickup group does not exist, you can perform this step to create a pickup group and add current users to the group. If a pickup group exists, the step only adds current users to this group.

·In V2.0 and later versions, a user can be added to two pickup groups on the X1900 series unified gateway web management page.

·Before configuring a pickup group, query the users added to the pickup group on the Search Co-group Pickup Numbers page to avoid adding unnecessary

users to the same pickup group.

7.Click OK.

8.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Pickup

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select the service to activate and click OK.

4.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Restricted Designated Pickup

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select Restricted designated pickup and click OK.

4.In the upper right corner of the web page, click Click to enlarge to save the configuration.

5.Log in to the self-management system of the X1900 series gateway with a user number.

6.Choose Self-service > Service > Trustlist and click Create, configure user number in the trust list.

7.Click OK.

Pickup and BLF

1.Configure the call pickup function for user B to pick up user A's calls.

For details, see Group Pickup, Pickup, or Restricted Designated Pickup.

2.Enable status subscription and message push functions for user B.

For details, see Busy Lamp Field (BLF).

3.Configure the COLP function for user B.

Parent Topic: Pickup


Feature Usage

Group Pickup

This scenario assumes that the group pickup service has been activated for user A, and users A and B are in the same pickup group. Figure 1 shows the scenario.

Figure 1 Group pickup

[Other Terminals]

1.User C dials user A's number, and user A's phone rings.

2.User B picks up the phone and dials *11#. User A's phone stops ringing.

3.User B talks with user C.

Pickup

This scenario assumes that the pickup service has been activated for user A. Figure 2 shows the scenario.

[IP Phone 7900 Series/Video Phone 8950]

Figure 2 Appointed pickup

Click to enlarge

[Other Terminals]

1.User B dials user A's number, and user A's phone rings.

2.User C picks up the phone and dials *11*TN#, where TN is user A's number. User A's phone stops ringing.

3.User C talks with user B.

Parent Topic: Pickup


Automatic Callback

A user who dials an internal number that is busy or not answered, can register the automatic callback (ACB) service. When the called user is idle, the system automatically calls the calling and called parties.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

By default, intra-office users and QSIG trunk users have service rights of the callback on busy and callback on no reply services. To use the callback on busy or on no reply service across SIP trunks, SIP trunk users must enable the subscription support function of SIP trunks. By default, POTS users with normal, advanced, and super user rights can use the RCB service.

Configuring by Web

X1900 V200R003C00SPC300 or higher version support to configure the callback on no reply, and RCB service (for POTS users) in the web management system.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select the service Callback on busy or Callback on no reply, or RCB to activate the service and click OK.

4.On the Trunk > Trunk Configuration > SIP page, double-click the SIP trunk line. In the window that is displayed, set Subscribable to Yes.

For X1900 V200R003C20 and later versions, you must perform this step if you need to use the callback on busy or on no reply service across SIP trunks.

5.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Configuring by CLI

1.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

2.Activate the callback on busy, callback on no reply, or RCB service for users.

config modify subscriber dn dn operatenewservice Add newservicerights newservicerights

Parameter | How to Set
dn | Enter the user number for which the service is to be activated.
operatenewservice | To activate the service, set this parameter to Add. To deactivate the service, set this parameter to Del.
newservicerights | Set this parameter to NoAnsCallBack, busycallback or busycallsave.

3.Enable the subscription support function of the SIP trunk.

config protocol sip officeno officeno domainname domainname supportsubscribe yes

For X1900 V200R003C20 and later versions, you must perform this step if you need to use the callback on busy or on no reply service across SIP trunks.

4.Run the save command to save the configuration.

Parent Topic: Automatic Callback


Feature Usage

Callback on Busy

The callback on busy service can serve for a user who is busy and cannot answer the phone. Figure 1 shows the callback on busy scenario.

·Activating the service

1.User A picks up the phone and dials an intra-office number.

2.The called user is busy, and user A hears an announcement.

3.User A presses 5 to activate the CBB service.

Figure 1 Callback on busy

Click to enlarge

Callback on No Reply

The callback on no reply service can serve for a user who does not answer the phone. Figure 2 shows the callback on no reply scenario.

·Activating the service

1.User A picks up the phone and dials an intra-office number.

2.The called user does not answer the call, and user A hears an announcement.

3.User A presses 5 to activate the ACB service.

Figure 2 Callback on no reply

Click to enlarge

RCB

If a user makes a call and the called party is busy, the call is registered. If the user does not dial a number within 5 seconds after picking up the phone next time, a call is automatically initiated to the called party.

·Activating the service

User A picks up the phone and dials a number. The called user is busy. User A presses the hookflash key and dials *53#. An announcement is played, indicating that the service is activated successfully.

1.User A picks up the phone and dials the number of an enterprise user.

2.The called party is busy and user A hears the busy tone.

3.User A presses the hookflash button and dials *53#. An announcement is played, indicating that the service is activated successfully.

·Using the service

User A picks up the phone and waits for 5 seconds. A call is automatically originated to the user who is busy last time.

·If the called user is idle, the call is connected and the service is automatically deactivated.

·The service can be used again within 20 minutes if the called user is still busy.

·Deactivating the service

User A picks up the phone and dials #53#. An announcement is played, indicating that the service is deactivated successfully.

The RCB service is automatically deactivated in the following situations:

·The called user is connected.

·Since the service is activated, 20 minutes have passed.

Parent Topic: Automatic Callback


Abbreviated Dialing

The abbreviated dialing feature allows users to call frequent contacts by dialing abbreviated numbers instead of long numbers. Abbreviated dialing reduces dialing time and makes numbers easy to remember.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

By default, users have the service permission. To configure the service permission, perform the following steps.

Configuring by Web

X1900 V200R003C00SPC300 or higher version support to configure the abbreviated dialing in the web management system.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select the service to activate and click OK.

4.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Configuring by CLI

1.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

2.Run the following command to activate abbreviated dialing service for an attendant.

config modify subscriber dn dn operatenewservice Add newservicerights abbreviativedial

Parameter | How to Set
dn | Enter the user number for which the service is to be activated.
operatenewservice | To activate the service, set this parameter to Add. To deactivate the service, set this parameter to Del.
newservicerights | Set this parameter to AbbreviativeDial.

3.Run the save command to save the configuration.

Parent Topic: Abbreviated Dialing


Feature Usage

Service Scenario

·Activating the ABD service through phones

User A picks up the phone and dials *51*MN*TN#. An announcement is played, indicating that the service is activated successfully.

§MN indicates a two-digit abbreviated number, whose value ranges from 00 to 99.

§TN indicates the abbreviated number of user B.

·Activating the ABD service through the web-based self-service platform

1.Use a common user account to log in to the web self-service system of a X1900 series unified gateway.

2.Choose Self-service > Register Service.

3.Click Abbreviated dialing.

4.On the Abbreviated dialing tab, click Create and set Abbreviated Number and User Number.

Figure 1 Configuring the abbreviated dialing service

Click to enlarge

5.Click OK.

Using the Service

User A picks up the phone and dials **MN# to call user B.

Deactivating the Service

You can deactivate the ABD service for a single number or all numbers.

·Deactivate the service for a single number

User A picks up the phone and dials #51*MN#. An announcement is played, indicating that the service is deactivated successfully.

·Deactivate the service for all numbers

User A picks up the phone and dials #51#. An announcement is played, indicating that the service is deactivated successfully.

Parent Topic: Abbreviated Dialing


Do Not Disturb

The do not disturb (DND) features allows the system to temporarily reject incoming calls for users.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

By default, users have the service permission. To configure the service permission, perform the following steps:

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select the service to activate and click OK.

4.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Do Not Disturb


Feature Usage

POTS Phone User

·Activating the service

User A for whom the DND service has been enabled picks up the phone and dials *56#. An announcement is played, indicating that the service is activated successfully.

·Using the service

Other users call user A and hear the DND announcement or the busy tone. User A can make outgoing calls normally.

·Deactivating the service

User A picks up the phone and dials #56#. An announcement is played, indicating that the service is deactivated successfully.

IP Phone User

·Activating the service

Under the screen of an IP phone 7910, User A presses DND. When the service is activated successfully, the message "DND enable" is displayed in the lower part of the screen. Figure 1 shows the operations for activating the service.

Figure 1 Operations for activating the service

Click to enlarge

·Using the service

Other users call user A and hear the DND announcement or the busy tone. User A can make outgoing calls normally.

·Deactivating the service

Under the screen of an IP phone 7910, User A presses DND. When the service is deactivated successfully, the message "DND enable" disappears in the lower part of the screen. Figure 2 shows the operations for deactivating the service.

Figure 2 Operations for deactivating the service

Click to enlarge

Parent Topic: Do Not Disturb


Barge

The barge feature allows users to forcibly join an internal user's call and establish a three-way call.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Barging into Internal Users' Calls by Agents

1.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

2.Assign the barge service permission to an agent.

config modify subscriber dn dnusertype operatoroperatenewservice add newservicerights operatorinsert

Parameter | How to Set
dn | Enter the user number for which the service is to be activated.
usertype | Set this parameter to Operator.
operatenewservice | ·To enable the service, set this parameter to Add. ·To disable the service, set this parameter to Del.
newservicerights | Set this parameter to OperatorInsert.

3.Run the save command to save the configuration.

Barging into Calls Between Internal Users on a Specified Unified Gateway on the SIP Trunk Side

[Data Plan]

Unified gateway 1 is connected to unified gateway 2 through an SIP trunk. User A on unified gateway 1 can barge into the call between internal users B and C on unified gateway 2. The following two tables describe the specific data plans for unified gateways 1 and 2.

Table 1 Unified gateway 1

Parameter | How to Set
IP address | 192.168.1.5
Device domain name | usip
Office route selection code | 70
Office route number | 70
Outgoing call prefix | *80* or *81*
User number A | 81000

Table 2 Unified gateway 2

Parameter | How to Set
IP address | 192.168.1.3
Device domain name | usip
Office route selection code | 80
Office route number | 80
Outgoing call prefix | 8
User number B | 61000
User number C | 61001

[Prerequisites]

Unified gateway 1 has been connected to unified gateway 2 through an SIP trunk. For details, see Commissioning > Commissioning Guide > Verifying the Connection Between Unified Gateways > Multi-Node Network Scenario (Peer-to-Peer) > Data Configuration in the product documentation.

[Configuring Unified Gateway 1]

1.Delete the default prefix *80* on unified gateway 1 and set the prefix to the outgoing call prefix on unified gateway 2.

a.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

b.Choose Trunk > Called Prefix Configuration and delete the default prefix *80*.

c.Click Create. On the Create Prefix page that is displayed, configure prefix *80*.

·Prefix: *80*

·Service type: Basic service

·Call property: Local call

·Office route selection code: for example, 70 (this office route selection code is bound to the SIP trunk that connects unified gateways 1 and 2)

·Trunk access: Yes

d.In the upper right corner of the web page, click Click to enlarge to save the configuration.

2.Configure the barge and forced-release service permission for the SIP trunk.

a.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

b.Query the SIP trunk number, that is, the value of GroupNo corresponding to office route selection code 70.

show trunkgroup

c.Set the barge and forced-release service permission to Yes for the SIP trunk. xxx specifies the trunk number.

config modify trunkgroup no xxx operator yes

d.Run the save command to save the configuration.

[Configuring Unified Gateway 2]

1.Modify attributes of the default prefix *80* on unified gateway 2.

a.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

b.Choose Trunk > Called Prefix Configuration and set Trunk access of the default prefix *80* to Yes.

c.In the upper right corner of the web page, click Click to enlarge to save the configuration.

2.Configure the barge and forced-release service permission for the SIP trunk.

a.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

b.Query the SIP trunk number, that is, the value of GroupNo corresponding to office route selection code 80.

show trunkgroup

c.Set the barge and forced-release service permission to Yes for the SIP trunk. xxx specifies the trunk number.

config modify trunkgroup no xxx operator yes

d.Run the save command to save the configuration.

Parent Topic: Barge


Feature Usage

The following notes apply to both scenarios.

·When user A barges into the call between users B and C, the announcement "A member joins the call." is played to users B and C.

·The barge operation is applicable only to a point-to-point (P2P) voice call.

·If only one of users B and C has the barge override permission, and user A barges into the call based on the number of the user who has the barge override permission, user A hears the announcement "Sorry, we're unable to process your operation for the new service right now." and the call between users B and C continues.

·If only one of users B and C has the barge override permission, and user A barges into the call based on the number of the user who does not have the barge override permission, user A hears the barge tone, and a three-party call starts.

Barging into the Call of an Intra-Office User as an Agent

This scenario assumes that user A is an attendant, the barge service has been enabled for user A, user B is an intra-office user whose number is TN, and user C is an intra-office or outer-office user.

Users B and C are talking on the phone. User A dials *80*TN# to barge into the conversation, and the three-party conversation starts. Each party hangs up the phone, the call of the other two parties continues normally.

·To revoke the barge service permission, run the config modify subscriber dn dn usertype Operator operatenewservice del newservicerights OperatorInsert command.

·To assign the barge override service service to a user, run the config modify subscriber dn dn operatenewservice Add newservicerights OperatorOverstep command.

Barging into the Call of an Intra-Office User on a Specified Unified Gateway Using a SIP Trunk Number

User B (number: TN) on unified gateway 2 and user C (an intra-office user on unified gateway 2 or an external user) are in a call.

User A on unified gateway 1 dials *80*TN# to barge into the conversation, and the three-party conversation starts. Each party hangs up the phone, the call of the other two parties continues normally.

To configure the barge override permission for user B so that user A cannot barge into calls of user B, run the config modify subscriber dn dn operatenewservice Add newservicerights OperatorOverstep command.

Parent Topic: Barge


Forced Release

The forced release feature allows an agent to forcibly end an ongoing call between two users.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Forcibly Releasing Internal Users' Calls by Agents

·To revoke the forced-release service permission from an agent, run the following command: config modify subscriber dn dnusertypeOperatoroperatenewservice del newservicerights OperatorDisconnect

·To disallow the agent to barge into calls of a user, run the following command to assign the barge-in overriding service permission to the user: config modify subscriber dn dnoperatenewservice Add newservicerights OperatorOverstep

Parameter | How to Set
dn | Enter the user number for which the service is to be activated.
usertype | Set this parameter to Operator.
operatenewservice | ·To activate the service, set this parameter to Add. ·To deactivate the service, set this parameter to Del.
newservicerights | Set this parameter to OperatorDisconnect.

Forcibly Releasing Calls Between Internal Users on a Specified Unified Gateway on the SIP Trunk Side

[Data Plan]

Unified gateway 1 is connected to unified gateway 2 through an SIP trunk. User A on unified gateway 1 can forcibly release the call between internal users B and C on unified gateway 2. The following two tables describe the specific data plans for unified gateways 1 and 2.

Table 1 Unified gateway 1

Parameter | How to Set
IP address | 192.168.1.5
Device domain name | usip
Office route selection code | 70
Office route number | 70
Outgoing call prefix | *80* or *81*
User number A | 81000

Table 2 Unified gateway 2

Parameter | How to Set
IP address | 192.168.1.3
Device domain name | usip
Office route selection code | 80
Office route number | 80
Outgoing call prefix | 8
User number B | 61000
User number C | 61001

[Prerequisites]

Unified gateway 1 has been connected to unified gateway 2 through an SIP trunk. For details, see Commissioning > Commissioning Guide > Verifying the Connection Between Unified Gateways > Multi-Node Network Scenario (Peer-to-Peer) > Data Configuration in the product documentation.

[Configuring Unified Gateway 1]

1.Delete the default prefix *81* on unified gateway 1 and set the prefix to the outgoing call prefix on unified gateway 2.

a.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

b.Choose Trunk > Called Prefix Configuration and delete the default prefix *81*.

c.Click Create. On the Create Prefix page that is displayed, configure prefix *81*.

·Prefix: *81*

·Service type: Basic service

·Call property: Local call

·Office route selection code: for example, 70 (this office route selection code is bound to the SIP trunk that connects unified gateways 1 and 2)

·Trunk access: Yes

d.In the upper right corner of the web page, click Click to enlarge to save the configuration.

2.(Optional) Configure the barge and forced-release service permission for the SIP trunk.

If the barge and forced-release service permission has been configured for the SIP trunk in Barging into Calls Between Internal Users on a Specified Unified Gateway on the SIP Trunk Side, skip this step.

a.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

b.Query the SIP trunk number, that is, the value of GroupNo corresponding to office route selection code 70.

show trunkgroup

c.Set the barge and forced-release service permission to Yes for the SIP trunk. xxx specifies the trunk number.

config modify trunkgroup no xxx operator yes

d.Run the save command to save the configuration.

[Configuring Unified Gateway 2]

1.Modify attributes of the default prefix *81* on unified gateway 2.

a.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

b.Choose Trunk > Called Prefix Configuration and set Trunk access of the default prefix *81* to Yes.

c.In the upper right corner of the web page, click Click to enlarge to save the configuration.

2.(Optional) Configure the barge and forced-release service permission for the SIP trunk.

If the barge and forced-release service permission has been configured for the SIP trunk in Barging into Calls Between Internal Users on a Specified Unified Gateway on the SIP Trunk Side, skip this step.

a.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

b.Query the SIP trunk number, that is, the value of GroupNo corresponding to office route selection code 80.

show trunkgroup

c.Set the barge and forced-release service permission to Yes for the SIP trunk. xxx specifies the trunk number.

config modify trunkgroup no xxx operator yes

d.Run the save command to save the configuration.

Parent Topic: Forced Release


Feature Usage

The following notes apply to both scenarios.

·The forced-release operation is applicable only to a point-to-point (P2P) voice call.

·If only one of users B and C has the forced-release override permission, and user A forcibly releases the call based on the number of the user who has the forced-release override permission, user A hears an announcement, indicating that operation fails, and the call between users B and C continues.

·If only one of users B and C has the forced-release override permission, and user A forcibly releases the call based on the number of the user who does not have the barge override permission, user A hears an announcement, indicating that the call is forcibly released, and users B and C hear the busy tone.

Forcibly Releasing the Call of an Intra-Office User as an Agent

This scenario assumes that user A is an attendant, the forced release service has been enabled for user A, user B is an intra-office user whose number is TN, and user C is an intra-office or outer-office user.

Users B and C are talking on the phone. To release the call forcibly, user A dials *81*TN#. User A hears the forced release tone. Users B and C hear the busy tone.

·To revoke the forced-release service permission, run the config modify subscriber dn dn usertype Operator operatenewservice del newservicerights OperatorDisconnect command.

·To assign the forced-release service permission to a user, run the config modify subscriber dn dn operatenewservice Add newservicerights OperatorOverstep command.

Forcibly Releasing the Call of an Intra-Office User on a Specified Unified Gateway Using a SIP Trunk Number

User B (number: TN) on unified gateway 2 and user C (an intra-office user on unified gateway 2 or an external user) are in a call.

User A on unified gateway 1 dials *81*TN# to forcibly release the call. User A hears an announcement, indicating that the call is forcibly released. Users B and C hear the busy tone.

To configure the forced-release override permission for user B so that user A cannot forcibly release calls of user B, run the config modify subscriber dn dn operatenewservice Add newservicerights OperatorOverstep command.

Parent Topic: Forced Release


Privileged User

The privileged user feature allows an agent to forcibly establish a call with an intra-office user who is in a call.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

This following describes the procedure for configuring the privileged user service for user 8000:

1.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

2.Set the user as an attendant and activate the privileged user service for the user.

config modify subscriber dn 8000 usertype operator operatenewservice add newservicerights superrightsuser

Parameter | How to Set
dn | Enter the user number for which the service is to be activated.
usertype | Set this parameter to Operator.
operatenewservice | ·To activate the service, set this parameter to Add. ·To deactivate the service, set this parameter to Del.
newservicerights | Set this parameter to SuperRightsUser.

3.Run the save command to save the configuration.

Parent Topic: Privileged User


Feature Usage

Activating or Deactivating the Service

After being assigned the service permission, users can activate or deactivate the service.

·A user dials *82#. An announcement is played, indicating that the service is activated successfully.

·A user dials #82#. An announcement is played, indicating that the service is deactivated successfully.

Using the Service

This topic assumes that attendant A has activated the service, user B is an internal user, and user C is an internal or external user.

For details about the usage and call status change, see Figure 1.

Figure 1 Method for using the privileged user service

In V200R003C50SPC300 and later versions, when operator A calls B, B will first hear the beep "The peer party has been replaced", then user B and A are on the phone, and user C listens to the call hold tone.

Parent Topic: Privileged User


One Number Link You

The One Number Link You (ONLY) service enables users to bind several terminals to a single user number so that the users can answer incoming calls on any bound terminal.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

The ONLY service can be configured by the administrator or by users in self-service mode.

The following describes how to implement the following requirements as the administrator:

·Main terminal number: 8001; bound internal number: 8002; bound mobile number: 18612345678

·The bound mobile number 18612345678 takes effect only during work hours.

·Phone ringing interval: 12s

Config Time Index (Optional)

The binding relationship between one or more secondary terminals and the primary terminal takes effect only during specific time ranges. For example, personal mobile numbers are bound only during work hours. In this case, configure the time index for options.

1.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

2.Config the time index.

Example: Add a time range. The time range index is 1. The time range is from 08:00 to 18:00 from Monday to Friday.

config add timerange index 1 weekly mon&tue&wed&thu&fri begintime 8 endtime 18

Config ONLY

The ONLY service can be configured by the administrator or on the personal self-service platform.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Complex service, click Configure next to ONLY service.

4.In the Configure ONLY dialog box that is displayed, set parameters as prompted, as shown in Figure 1.

Figure 1 Configure ONLY

If the ONLY service has been configured for the number, you can delete all secondary numbers in the preceding dialog box to deactivate the ONLY service.

Users must add an outgoing prefix when binding an outer-office number.

5.Click OK.

6.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: One Number Link You


Feature Usage

Activating or Deactivating the Service (By the Web Self-service System)

1.Use a common user account to log in to the web self-service system of a X1900 series unified gateway.

2.Choose Self-service > ONLY.

3.Configure the ONLY service, as shown in Figure 1.

Figure 1 Configuring the ONLY service

Users must add an outgoing prefix when binding an outer-office number.

Registering or Deregistering the Service (By Dialing the Access Code *70*)

·User A dials *70*TN# to bind a secondary number for the ONLY service.

Here, TN indicates the number to bind, and must contain an outgoing prefix if an outer-office number is used.

Example: If the local outgoing prefix is 0, and local mobile phone 18612345678 needs to be bound, dial *70*018612345678# to bind the number.

·User A dials #70*TN# to unbind a secondary number for the ONLY service.

Example: If the local outgoing prefix is 0, and local mobile phone 18612345678 needs to be unbound, dial #70*018612345678# to unbind the number.

·User A dials #70# to unbind all numbers bound to the primary number.

Using the Service (as the Called Party)

This topic assumes that user A uses an IP phone with number 8001 in the office as the main terminal and binds the IP phones to a POTS phone (priority: high) and a mobile phone (priority: medium) in the lab. Figure 2 shows the scenario.

Figure 2 Binding numbers to the ONLY number

Use A sets the incoming call processing mode when busy to Call idle terminals and enables the terminal that first rings to continue ringing (the ringing interval is 15s). Figure 3 shows the scenario.

To use the service as the called party, perform the following operations:

1.User B makes a call to user A. The office phone rings, and user B hears the ringback tone.

·If user A answers the call within 15s, the call is connected. If user C makes a call to user A at this moment, the idle terminals ring in overlapping ringing mode.

·If user A does not answer the call within 15s, the Desktop Client rings too. The process goes to step 2.

2.User B hears the ring back tone.

·If user A answers within 30s, the call is connected. Other terminals stop ringing. If user C makes a call to user A at this moment, the idle terminals ring in overlapping ringing mode.

·If user A does not answer within 30s, the mobile phone rings together with the office phone and Desktop Client. The process goes to step 3.

3.User B hears the ring back tone. If user A does not answer the call within 60s, user B hears the busy tone. If user C makes a call to user A at this moment, user C hears the busy tone.

Figure 3 Using the service as the called party

Click to enlarge

If the main terminal is a POTS phone and is in busy state, other bound terminals do not ring when a user dials the ONLY number.

This example assumes that user A uses an IP or POTS phone as the primary number (8001), dials *70*TN# to bind a mobile phone, and configures the mobile phone to ring first.

User B calls user A and hears the ring back tone of user A's fixed phone rather than mobile phone.

Using the Service (as the Calling Party)

This topic assumes that user A's ONLY number is bound to an internal terminal and an external mobile phone. When user A uses the internal terminal to make a call, the ONLY number is displayed on the called party's phone. When user A uses the mobile phone to make a call, the mobile number is displayed on the called party's phone. Figure 4 shows the scenario.

Figure 4 Using the service as the calling party

Click to enlarge

After a user dials *70*TN# on a POTS phone to be bound with a mobile number and picks up the phone, the user can hear a message indicating that you have registered a new service.

Parent Topic: One Number Link You


Three-way Calling

The three-way calling service allows a user to make a call to a third party without ending the ongoing call and enable three-way calling.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

By default, users have the service permission. To configure the service permission, perform the following steps:

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select the service to activate and click OK.

4.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Three-way Calling


Feature Usage

IP Phone as the Initiator

Three-way calling (3WC) can be implemented only after at least two lines are configured for user A's IP phone.

1.When user A is talking with user B on the phone, user A presses the Conf softkey.

2.User A presses the Add softkey and enters user C's number.

3.User A presses the Add and Done softkeys in sequence.

4.User C answers the call.

A three-party call is between users A, B, and C.

POTS Phone as the Initiator

1.When user A is talking with user B on the phone, user A presses the hookflash button. Then, the call with user B is placed on hold.

2.User A dials user C's number when hearing the dialing tone.

3.User C answers the call. The call between users A and C is set up. Then, user A presses the hookflash button again.

·After hearing an announcement, user A presses 3. Then, a three-party call between users A, B, and C is set up.

·After hearing an announcement, user A presses 2. The call between users A and C is placed on hold. The call between users A and B is resumed.

·After hearing an announcement, user A presses 1. The call between users A and C is ended. The call between users A and B is resumed.

·During the call between users A and C, if either user A or C hangs up, the other party talks with user B.

·In a three-party call, if either user B or C hangs up, user A can continue to talk with the party who does not hang up; if user A hangs up, users B and C hear the busy tone.

4.If user C does not answer the call and user A presses the hookflash button, the call between users A and B is resumed.

Parent Topic: Three-way Calling


Alarm Clock

A phone that has enabled the alarm clock service rings automatically at the preset time to remind the phone user.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

The system administrator can configure the alarm clock service for users on the web page. Users can register or deregister the clock service in the web self-service system and their phones.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number for which you want to configure the service and click Service Configuration.

3.In the Simple Service area, select Clock.

To configure the clock service for complex services and in the web self-service system, select Clock service.

4.Under Complex service, click Configure next to Clock.

5.Enter the specified time, as shown in Figure 1.

Figure 1 Configuring the alarm clock service

Click to enlarge

To cancel the clock service, clear the Clock check box in the Simple Service area.

6.Click OK.

7.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Alarm Clock


Feature Usage

Activating or Deactivating the Service

·Register the service through phones.

A user dials *55*HHMM#. An announcement is played, indicating that the service is activated successfully.

·HH: indicates hour with two numerals, whose value ranges from 00 to 23.

·MM: indicates minute with two numerals, whose value ranges from 00 to 59.

A user dials #55#. An announcement is played, indicating that the service is deactivated successfully.

·Register the service in the web self-service system.

1.Use a common user account to log in to the web self-service system of the X1900 series unified gateway SoftCo.

2.On the Self-Service tab page, click Service.

3.Click Clock.

4.On the Clock tab page, set the time and click Yes, as shown in the following figure.

Click to enlarge

To cancel the clock service, click Disable Service.

Using the Service

The following assumes that a user has activated the alarm clock service. When the specified time arrives, the user's terminal automatically rings.

·If the user answers the call, the user hears the notification tone. When the user hangs up, the alarm clock service is automatically deactivated.

·If the user is busy or does not answer the call within 1 minute, the system calls the user again 5 minutes later. If the user is still busy or does not answer the call, the alarm clock service is automatically deactivated.

Parent Topic: Alarm Clock


Music on Hold(MoH)

The Music on Hold (MoH) feature allows the system to play waiting music to users when calls are being held, transferred, or parked.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Configuring Local MoH Playback (on the Centralized Call Management Network)

If you want to implement local voice playback by setting a local node as the MoH source, perform the following steps:

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway on the main node.

2.Choose System > Network Mode.

3.Select the local node to configure, click Modify, select the local voice playback mode, and click OK.

When creating a local node, you can directly enable local voice playback. The preceding steps describe how to modify the configuration for an existing local node.

4.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Configuring Local MoH Playback (on the Distributed Call Management Network)

If you want to implement local voice playback by setting the peer office as the MoH source, perform the following steps:

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose Trunk > Trunk Configuration > SIP.

3.Click the trunk for which you want to configure local voice playback.

4.In the trunk configuration dialog box, set Play Call Hold Tone to Peer offer and click OK.

When creating a SIP trunk, you can directly enable voice playback by the peer office. When reating a SIP trunk, you can directly enable voice playback by the peer office. 3 and and 4 describe how to modify the configuration for an existing SIP trunk.

5.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Customizing MoH Using an Internal Custom Audio File

1.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

2.Prepare an audio file and save it to a TFTP/FTPS server.

Audio file description:

·The unified gateway supports only mono audio files with the sampling sequence of 8 kHz and with the sample precise of 8 bit. The mono audio file must be in .pcm or .wav format in the encoding format G.711a. The size does not exceed 2.5 MB for the X1911, X1960,, does not exceed 2 MB for the U1980 that saves the file in the SD card of the SCUB board, and does not exceed 1 MB for the X1960 that saves the file on the SCUA board. If the format of the audio file is incorrect, users who are placed on hold will hear no sound.

·A custom audio file must be named in the target channel number, such as 256.pcm or 256.wav.

·In versions earlier than V200R003C20SPC300, the channel numbers that can be used for MoH are 256 to 260.

·In the V200R003C20SPC300 and later versions, the channel numbers that can be used for MoH are as follows: X1911: 245 to 260; X1960: 245 to 380; U1980/X1981: 245 to 516.

3.Set the IP address of the TFTP/FTPS server (for example, 192.168.1.4).

config system hostip 192.168.1.4

4.Download the custom audio file (for example, 256.pcm) from the TFTP/FTPS server.

config download voicefile channelid 256 filename 256.pcm

5.Configure the MoH source to an internal custom audio file.

·Versions earlier than V200R003C20SPC300

config modify mohvoice source voicefile

By default, the unified gateway sets the latest audio file uploaded in channel 256 to 260 as MoH. If you need to change MoH, upload the new audio file to be used as MoH. You do not need to run the preceding command again.

·V200R003C20SPC300 and later versions

config modify mohvoice source voicefileselfdefine channelid channelid

In the preceding command, channelid specifies the channel number of MoH. You can upload multiple custom audio files, and run the preceding command to specify one as MoH.

6.Run the save command to save the configuration.

Customizing MoH Using an External Audio Source

1.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

2.Configure the MoH source to an external audio source.

config modify mohvoice source external

3.Run the save command to save the configuration.

4.Use a double-headed audio cable to connect an audio output device to the SCUB board, as shown in Figure 3.

Figure 3 Using a 3.5 mm double-headed audio cable to connect the audio output device

The double-headed audio cable is self-prepared. You must use a standard 3.5 mm audio input connector to connect to the unified gateway. The double-headed audio cable is self-prepared. You must use a standard 3.5 mm audio input connector to connect to the unified gateway. Figure 4 shows the appearance and size.shows the appearance and size.

Figure 4 Appearance and size of the audio input connector

5.Start the audio output device. Ensure that the audio output device can play music properly.

Parent Topic: Music on Hold(MoH)


Feature Usage

An enterprise customizes music on hold (MoH). The call hold service is used as an example to describe how to use the feature.

Internal user A uses an IP phone to talk with user B. After user A presses the call hold softkey, user B hears the customized MoH.

Parent Topic: Music on Hold(MoH)


Absence

The absence feature enables calling parties to hear an absence announcement when they place calls to users who have enabled the absence service.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

By default, users have the service permission. To configure the service permission, perform the following steps:

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select the service to activate and click OK.

4.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Absence


Feature Usage

Activating or Deactivating the Service

A user dials *50#. An announcement is played, indicating that the service is activated successfully.

A user dials #50#. An announcement is played, indicating that the service is deactivated successfully.

Using the Service

The following assumes that user A has activated the absent user service.

User B calls user A. User B hears an announcement, indicating that the called user is absent.

During the period when the absent user service is effective, user A can make outgoing calls properly.

Parent Topic: Absence


Multi-Number

The multi-number service allows a single user to have multiple phone numbers, any of which can be dialed to reach the user.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

1.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

2.Configure the primary and secondary numbers.

config add otmn primarydn primarydn standbydn standbydn

Parameter | Description
primarydn | Indicates the primary number. The value must be an intra-office number that has been allocated; otherwise, the command fails to be executed.
standbydn | Indicates the secondary number. The value must be an intra-office number that has not been allocated; however, the number prefix must exist. For example, if you add 5000 as a secondary number, intra-office number 5000 does not need to exist, but there must be intra-office prefix 5, 50, 500, or 5000.

·To delete a secondary number, run the config delete otmn primarydn primarydn standbydn standbydn command.

·To deactivate the service, run the config delete otmn primarydn primarydn command.

3.Run the save command to save the configuration.

Parent Topic: Multi-Number


Feature Usage

Modifying the Service

User A has activated the multi-number service. If user A wants the called party's phone to display one of his or her secondary numbers, user A can dial *88*TN#. TN specifies a secondary number.

Deactivating the Service

To deactivate the multi-number service, dial #88#.

Using the Service

The following assumes that user A has a primary number TN1 and a secondary number TN2. User B is an internal or external user.

When user B dials TN1 or TN2, user A receives the call.

When user A calls user B, TN1 is displayed on user B's phone.

If user A modifies the service to display the secondary number on the called party's phone, TN2 is displayed on user B's phone.

Parent Topic: Multi-Number


Audio Paging

The audio paging feature uses telephony systems to send messages to all group users through unidirectional broadcast.

·

·Feature Configuration (Unicast)

·

·Feature Configuration (External Broadcast)

·

·Feature Configuration (Associating Emergency Calls)

·

·Feature Usage

·

·FAQs

·

Parent Topic: Voice Service


Feature Configuration (Unicast)

Configuring the Unified Gateway

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Create an audio paging group.

a.Choose User > Group Service > Paging Group.

b.Click Create.

c.Configure the audio paging group, as shown in Figure 1. Click OK.

Figure 1 Configuring the audio paging group

Table 1 describes key parameters for configuring the audio paging group.

Table 1 Key parameter description

Parameter

Description

Group ID

Indicates the unique ID of the audio paging group.

Name

Name of the paging broadcast group.

Intra-office initiators

Indicates the intra-office user that can function as the audio paging initiator. The options are as follows:

·Group users (default value): indicates that only users in the audio paging group can initiate audio paging.

·Intra-office users: indicates that all intra-office users can initiate audio paging.

·Specified users: indicates that only specified intra-office users (maximum: 32) can initiate audio paging.

Outer-office initiators

Indicates the outer-office user that can function as the audio paging initiator. The options are as follows:

·None (default value): indicates that no outer-office user can initiate audio paging.

·All: indicates that all outer-office users can initiate audio paging.

·Specified users: indicates that only specified outer-office users (maximum: 32) can initiate audio paging.

Priority

Indicates whether the audio paging service is prior to the DND service or the DND service is prior to the audio paging service. The options are as follows:

·Audio Paging (default value): indicates that the audio paging service is prior to the DND service. The system will ignore the DND service of an audio paging recipient and forcibly broadcast paging messages from the audio paging group on the recipient's phone.

·Do-not-Disturb: indicates that the DND service is prior to the audio paging service. The system will not broadcast paging messages from the audio paging group on phones that have activated the DND service.

For more information about the DND service, see Do Not Disturb.

1.(Optional) Configure the audio paging initiator.

Perform this step when Intra-office initiators or Outer-office initiators is set to Specified users.

a.On the audio paging group management page, click Initiators in the Operation column for the audio paging group to configure, as shown in Figure 2.

Figure 2 Audio paging group management page

b.Click Create.

c.Configure the audio paging initiator, as shown in Figure 3. Click OK.

Figure 3 Configuring the audio paging initiator

Table 2 describes key parameters for configuring the audio paging initiator.

Table 2 Key parameter description

Parameter | Description
Member number | Indicates the phone number of the audio paging initiator. If the initiator is an outer-office user, set this parameter to the calling number displayed after a call is routed to the office.
Initiator type | Indicates that whether the audio paging initiator is an intra-office or outer-office user.
Number step, Count | Indicates the number step and quantity when configuring multiple audio paging initiators in batches. You can configure multiple audio paging initiators in batches at a time.

2.Configure audio paging group members.

a.On the audio paging group management page, click Member in the Operation column for the audio paging group to configure, as shown in Figure 4.

Figure 4 Audio paging group management page

b.Click Create.

c.Configure audio paging group members, as shown in Figure 5. Click OK.

Figure 5 Configuring audio paging group members

Table 3 describes key parameters for configuring audio paging group members.

Table 3 Key parameter description

Parameter | Description
Member type | Indicates the type of an audio paging group member. Select SIP from the drop-down list box.
Member number | Indicates the SIP user number of the audio paging group member.
Paging type | Select Unicast.
Number step, Count | Indicates the number step and quantity when configuring multiple audio paging group members in batches. You can configure multiple audio paging group members in batches at a time.

3.(Optional) Assign some members the permission to reject receiving paging messages.

By default, all members in the audio paging group must receive paging messages. To allow some members to reject receiving paging messages, perform this step.

a.On the User > SIP User page, select the user number to be assigned the service permission, and click Service Configuration.

b.Under Simple service, select Cancel Audio Paging and click OK.

The member with the Cancel Audio Paging service permission can log in to the web self-service system or dial *16# to activate the service of rejecting receiving paging messages.

4.Configure an access code for the audio paging group.

a.Choose Truck > Called Prefix Configuration.

b.Click Create.

c.Configure an access code for the audio paging group, as shown in Figure 6. Click OK.

For example, the access code of audio paging group 1 is 8800.

Figure 6 Configuring an access code for the audio paging group

5.In the upper right corner of the web page, click Click to enlarge to save the configuration.

(Optional) Configure Speed Dial on the Initiator's IP Phone

Here, an IP phone 7910 is used as an example to describe the configuration method.

1.Log in to the web management system of the IP phone.

2.Choose Buttons > Line & Programmable Button and press a programmable button that is not in use.

3.In the Select a function dialog box that is displayed, select Speed Dial and set Number to the access code of the audio paging group and Label to the name of the audio paging group.

4.Press the programmable button to initiate audio paging. The name of the audio paging group is displayed on the IP phone.

5.Click Save.

Parent Topic: Audio Paging


Feature Configuration (External Broadcast)

Configure FXS ports connected to voice broadcast players as external paging ports, and add them to the paging group as external paging parties.

Prerequisites

The configurations of unicast or multicast are complete.

Configuring FXS Ports

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose User > POTS User.

3.Select the POTS user number corresponding to the FXS port that connects to the broadcast player, click [image] in the Operation column.

The Modify POTS User dialog box is displayed.

4.Set Paging group fxs to Yes and click OK.

Adding an External Broadcast Player

1.Choose User > Group Service > Paging Group.

2.On the audio paging group management page, click Member in the Operation column for the audio paging group to configure.

3.Click Create.

4.Configure the external broadcast player, as shown in Figure 1. Click OK.

Figure 1 Configuring the external broadcast player

Table 1 describes key parameters for configuring the external broadcast player.

Table 1 Key parameter description

Parameter | Description
Member type | Indicates the type of an audio paging group member. Select FXS from the drop-down list box.
Member number | Indicates the POTS user number corresponding to the FXS port that connects to the broadcast player.
Number step, Count | Indicates the number step and quantity when configuring multiple external broadcast players in batches. You can configure multiple external broadcast players in batches at a time.

5.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Audio Paging


Feature Configuration (Associating Emergency Calls)

Emergency call content can be broadcast to paging group members in real time.

Prerequisites

The configurations of unicast or multicast are complete.

Procedure

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the audio paging group management page, click Member in the Operation column for the audio paging group to configure.

3.Click Create.

4.Associate the emergency call prefix with the audio paging group, as shown in Figure 1. Click OK.

Figure 1 Associating the emergency call prefix with the audio paging group

Table 1 describes key parameters for associating the emergency call prefix with the audio paging group.

Table 1 Key parameter description

Parameter | Description
Member type | Indicates the type of an audio paging group member. Select Prefix from the drop-down list box.
Emergency call prefix | Indicates an emergency call prefix that is set. For more information about emergency calls, see Emergency Call.

5.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Audio Paging


Feature Usage

Common Broadcast

In an audio paging group, all broadcast players of external broadcast parties play the broadcast message, and IP phones of all unicast and multicast parties respond, as shown in Figure 1.

Figure 1 Common paging broadcast

Click to enlarge

A receiver can press the Loudspeaker or Headset button on the IP phone to stop listening to the current broadcast message.

1.An initiator dials the access code of their audio paging group and starts to talk after hearing a beep tone.

2.In the audio paging group, all broadcast players of external broadcast parties play the broadcast message, and IP phones of all unicast and multicast parties respond as follows:

·If a receiver is idle or if a receiver has picked up the phone but is not in a call, the loudspeaker automatically opens and plays the broadcast message after a beep tone.

·If a receiver is in a call, the broadcast message is played in a mixed way as a whisper.

·If a receiver enables the DND service, the system determines whether to play the broadcast message to the receiver based on the service priority set for the audio paging group.

3.When the initiator stops talking and hangs up, the broadcast stops on all phones of the receivers.

Broadcast Associated with Emergency Calls

The following assumes that you have associated the emergency call function with an audio paging group, for example, you have associated emergency number 110 with audio paging group doorman. Figure 2 shows the scenario.

Figure 2 Broadcast associated with emergency calls

Click to enlarge

Parent Topic: Audio Paging


FAQs

Phenomenon | Possible Cause | Procedure
The multicast player cannot receive paging broadcast. | The value of SupportSrvSynch of SIPUE on the multicast player's IP phone is no. Users must attach importance to this problem at the unified gateway site upgraded from V100R001C01. | Run the config modify sipue command to set SupportSrvSynch to yes.
Some SIP users are not included when the function of automatically adding SIP multicast users is enabled.

Parent Topic: Audio Paging


Secretary Service

The secretary service enables calls made to a manager to be forwarded to the secretary first. The secretary processes the call and forwards the call to the manager if necessary.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

The manager must have the secretary service permission, and the secretary must have the secretary and call transfer service permission.

Parameter | Description
dn | Indicates the user number for which you want to configure the service permission.
operatenewservice | Indicates the operation type of a supplementary service permission. The options are as follows: add: Add the service; del: Delete the service.
newservicerights | Indicates the supplementary service type. To configure the secretary service, set this parameter to secretaryservice. To configure the call transfer service for the secretary, set this parameter to hookingtransfer.

The following assumes that the secretary's number is 8000 and the manager's number is 8001.

Parent Topic: Secretary Service


Feature Usage

Activating the Service

The following assumes that manager A's number is DN, secretary B's number is TN, and both of them have related service permission.

Manager A dials *77*TN#. An announcement is played, indicating that the service is activated successfully.

Secretary B dials *77*DN*SSSSSS#. An announcement is played, indicating that the service is activated successfully.

SSSSSS indicates the service password of manager A.

Deactivating the Service

The service can be deactivated in either of the following ways:

·Manager A dials #77#. An announcement is played, indicating that the service is deactivated successfully.

·Secretary B dials #77*DN#. An announcement is played, indicating that the service is deactivated successfully.

Using the Service on an IP Phone

1.User C calls manager A. Secretary B's phone rings.

2.Secretary B picks up the phone and talks with user C.

3.Secretary B presses the Transfer button, enters manager A's number, and presses the Call button.

User C hears the waiting music.

4.Manager A picks up the phone and talks with secretary B.

5.If manager A agrees to answer the call from user C, secretary B presses the Done button.

Manager A talks with user C.

Using the Service on a POTS Phone

1.User C calls manager A. Secretary B's phone rings.

2.Secretary B picks up the phone and talks with user C.

3.Secretary B presses the hookflash button and enters manager A's number.

User C hears the waiting music.

If secretary B presses the hookflash button during the connection with manager A, the connection with manager A is released and the conversation with customer C resumes.

4.Manager A picks up the phone and talks with secretary B.

5.If manager A agrees to answer the call from user C, secretary B hangs up. Manager A talks with user C.

If manager A does not want to answer the call from user C, manager A hangs up. Secretary B does not perform any operation in 5s after hearing the busy tone. The system resumes the conversation of secretary B with user C automatically.

Using the Service on Desktop Client

1.User C calls manager A. Secretary B's terminal rings.

2.Secretary B clicks the answer button and talks with user C.

3.In the call window, secretary B clicks Click to enlarge and chooses Transfer > Others.

4.Secretary B selects manager A and clicks Transfer.

5.Manager A picks up the phone and talks with secretary B.

6.If manager A agrees to answer the call from user C, secretary B clicks Done. Manager A talks with user C.

Parent Topic: Secretary Service


Secretary Station Service

With the secretary station feature, the system queues an incoming call when a secretary is busy, and forwards the call to the secretary when the secretary becomes idle.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

The manager must have the secretary service permission, and the secretary must have the secretary station service permission.

The procedure is as follows:

Parameter | Description
dn | Indicates the user number for which you want to configure the service permission.
operatenewservice | Indicates the operation type of a supplementary service permission. The options are as follows: add: Add the service; del: Delete the service.
newservicerights | Indicates the supplementary service type. To configure the secretary service, set this parameter to secretaryservice. To configure the secretary station service, set this parameter to secretarystation.

Parent Topic: Secretary Station Service


Feature Usage

Activating the Service

The following assumes that both manager A and secretary B have the service permission and the number of secretary B is TN.

Manager A dials *77*TN#. An announcement is played, indicating that the service is activated successfully.

Secretary B dials *78#. An announcement is played, indicating that the service is activated successfully.

Deactivating the Service

Manager A dials #77#. An announcement is played, indicating that the service is deactivated successfully.

Secretary B dials #78#. An announcement is played, indicating that the service is deactivated successfully.

Using the Service

1.User C calls manager A. Secretary B's phone rings.

2.Secretary B picks up the phone and talks with user C. Secretary B decides whether to transfer the call to manager A.

3.As secretary B is busy, user D calls user A.

User D hears the ringback tone.

4.Secretary B hangs up. Secretary B's phone rings. Secretary B picks up the phone and talks with user D.

If secretary B does not hang up within 1 minute after user D hears the ringback tone, user D hears the busy tone.

Parent Topic: Secretary Station Service


Advanced Secretary Service

The advanced secretary service binds a line of a manager's phone to a line of a secretary's phone. The manager and secretary receive a call to the manager at the same time. The manager can answer the call directly. Alternatively, the secretary answers the call first and determines whether to forward the call to the manager.

·Feature Configuration

·

·Feature Usage

·

·FAQs

·

Parent Topic: Voice Service


Feature Configuration

Context

For the unified gateway in versions earlier than V2.0, the advanced secretary service needs to be configured on both the unified gateway and IP phone.

For the unified gateway in V2.0 and later versions, after the advanced secretary service is configured on the unified gateway, the configuration is automatically delivered to the IP phone.

The configuration delivered includes the manager and secretary shared line configuration as well as the intercom configuration of the private lines.

Scenario

This topic uses the scenarios of one secretary for one manager and multiple secretaries for one manager as examples. This topic uses the scenarios of one secretary for one manager and multiple secretaries for one manager as examples. Figure 1 shows the detailed phone line configuration plan.shows the detailed phone line configuration plan.

Figure 1 Phone line configuration plan

Click to enlarge

Configuration Process

Table 1 Configuration process

No.

Step (V200R003C30 and Later Versions)

Step (Versions Earlier than V200R003C30)

Description

1

Configure the shared line number and private line number for the manager and secretaries.

Configure the shared line number and private line number for the manager and secretaries.

Allocate SIP numbers on the unified gateway.

2

(Optional) Configure device IDs for other shared lines of the manager.

(Optional) Configure device IDs for other shared lines of the manager.

When multiple secretaries exist, multiple shared lines of the manager use the same SIP number, and each shared line corresponds to a device ID.

During SIP number allocation, a device ID has been created. In this step, you need to create device IDs for other shared lines.

In the scenario of one secretary for one manager, only one shared line is used. Skip this step.

3

Configure the Secretary service rights for the manager's numbers, including the manager's and secretarie's shared line numbers, manager's private line number, and secretaries's private line numbers.

Configure the Secretary service rights for the manager's numbers, including the manager's and secretarie's shared line numbers, as well as the manager's private line number.

Enable services for the shared line number of the manager on the unified gateway.

4

Configure the Secretary service rights for the secretarie's numbers, including the secretaries's private line numbers and manager's private line number.

Configure the Secretary service rights for the secretarie's numbers, which are the secretaries&apos; private line numbers.

Enable services for shared line numbers of secretaries on the unified gateway.

5

Configure the account of the manager's phone.

Configure the account and service rights of the manager's phone.

Configure service rights for numbers of the manager on the manager's phone.

6

Configure the accounts of the secretaries&apos; phones.

Configure the accounts and service rights of the secretaries&apos; phones.

Configure service rights for numbers of each secretary on the secretary's phone.

The configuration method in the scenario of multiple secretaries for multiple managers is the same as that in the scenario of multiple secretaries for one manager. You need to configure the numbers of managers and secretaries for multiple times.

Configuration on the Unified Gateway

1.Configure the shared line number and private line number for the manager and secretaries.

Allocate SIP numbers on the unified gateway.

a.Log in to the web management system of the Unified Gateway X1900 series as the administrator.

b.Choose User > SIP User and create SIP numbers.

For example, create SIP numbers 60000, 70000, 81000, 81001, 71000, and 71001.

When the preceding SIP numbers are created, matching device IDs are created accordingly.

c.Choose Trunk > Prefix Configuration and create intra-office prefixes.

For example, create intra-office prefixes 6, 7, and 8.

2.(Optional) Configure device IDs for other shared lines of the manager.

In the scenario of one secretary for one manager, only one shared line is used. Skip this step.

When multiple secretaries exist, multiple shared lines of the manager use the same SIP number, and each shared line corresponds to a device ID. During SIP number allocation, a device ID has been created. In this step, you need to create device IDs for other shared lines.

a.Log in to the web management system of the Unified Gateway X1900 series as the administrator.

b.Choose User > Device ID.

c.Click Create.

d.Create a device ID

3.Configure service rights for the shared line number of the manager.

Enable services for the shared line number of the manager on the unified gateway.

a.Log in to the web management system of the Unified Gateway X1900 series as the administrator.

b.Choose User > SIP User.

c.Select number 60000 (shared line number of the manager) and click Service Configuration.

The service configuration page is displayed.

d.Click Configure next to Secretary.

e.Set parameters, as shown in Figure 3.

In Figure 3, 60000 and 60001 are device IDs corresponding to shared lines of the manager, and 81000 and 81001 are device IDs corresponding to shared lines of secretaries.

Figure 3 Configuring the advanced secretary service (manager's number)

Except the first shared line, you cannot bind devices IDs (such as 60001) to SIP numbers; otherwise, an error is displayed.

Table 2 Advanced secretary service

Parameter

Description

Mute call

When muting is enabled, the manager's phone does not ring when there is an incoming call to a shared line. However, the indicator for the shared line blinks.

NOTICE:

V200R003C50SPC600 version and later versions, the default distinctive ringing tone function is disabled. To enable the manager's phone to blink but not ring, you must enable the distinctive ringing tone function. Choose User>SIP User to enter the SIP user page, set Distinctive ringing tone to Yes, or run config modify sipue command to enable the distinctive ringing tone function.

Automatic answer

Mode in Which the manager answers calls from private calls:

·Auto on: If the manager is in a call, a new incoming call enters the waiting queue. The manager can decide whether to answer the new incoming call.

·off: If the manager is in a call, new incoming calls cannot be received.

·Always on: No matter whether the manager is in a call or not, a new incoming call is answered preferentially, and the original call is held.

Share line mode

When the manager has only one shared line, this parameter can be set to any values, which have the same effect.

When the manager has multiple shared lines:

·Single: The multiple shared lines of the manager are used separately. Multiple incoming calls are allocated to different shared lines and can be answered separately.

·All: The multiple shared lines of the manager are used as the same shared line. As long as there is an ongoing call on a shared line, incoming calls from other users cannot be connected. The system notifies these users that the line is busy.

Private line number

Private number of the manager, which is not shared with any other lines. A secretary can call the private line number of the manager to ask the manager whether to answer incoming calls.

Peer private line number

Private line number of a secretary. The manager can directly dial the private line number of a secretary to talk with the secretary.

For the unified gateway from V200R003C30, the configuration of the peer private line number is added.

a.Click OK.

In the preceding commands, the 60000 value of dn indicates the SIP number corresponding to the shared lines of the manager, the 60000 and 60001 values of maineid indicate the device IDs corresponding to the shared lines of the manager, and the 81000 and 81001 values of shareeid indicate the device IDs of the shared lines of secretaries.

2.Configure service rights for shared line numbers of secretaries.

The same method is used to configure the shared line number of each secretary. Repeat the following steps to configure shared line numbers for multiple secretaries.

a.Log in to the web management system of the Unified Gateway X1900 series as the administrator.

b.Choose User > SIP User.

c.Select number 81000 (shared line number of secretary 1) and click Service Configuration.

The service configuration page is displayed.

d.Click Configure next to Secretary.

e.Set parameters, as shown in Figure 4.

In Figure 4, 71000 is the private line number of secretary 1, and the peer private line number is the manager&apos;s private line number.

Figure 4 Configuring the advanced secretary service (secretary's number)

f.Click OK.

g.Repeat steps Repeat s ps 4.c through through 4.f to configure number 81001 (shared line number of secretary 2).

Configuring the Manager's Phone

Before configuring the next account, you must save the configured account and manually refresh the IP phone web page. Otherwise, registration fails.

Table 3 Account configuration

Parameter

Description

Account

Device ID registered with the unified gateway.

User Name

User name for logging in to the IP phone. You are advised to set this parameter to the same value as Account.

Function

For shared lines 60000 and 60001: Use the default settings. The IP phone will automatically synchronize services with the unified gateway and update the function to shared line.

For private line 70000: The IP phone of a new version will automatically synchronize services with the unified gateway and update the function to intercom. For an IP phone of an old version, you need to manually set the function to intercom.

NOTE:

When the private line number is configured as intercom, the line can only be used for intercom calls.

Peer Number

For the peer number of a shared line: Enter the device ID of a secretary's shared line. For example, the device ID of secretary 1's shared line corresponding to the manager's shared line 60000 is 81000.

For the peer number of the manager's private line: The IP phone of a new version will automatically update the peer number to the private number of the corresponding secretary. For an IP phone of an old version, you need to manually set the peer number.

Label Name

Label displayed on the IP phone for distinguishing line buttons.

For the unified gateway in versions earlier than V200R003C30, after the advanced secretary service is configured on the unified gateway, the configuration is not automatically delivered to the IP phone. Therefore, on the manager's phone, you need to configure multiple numbers, enable the advanced secretary service, and set the shared and private lines.

1.Log in to the web management system of the IP phone as the admin user.

2.Choose Advanced > Account and configure shared lines 60000 and 60001 and private line 70000.

Before configuring the next account, you must save the configured account and manually refresh the IP phone web page. Otherwise, registration fails.

The IP phone 7910 IP phone supports a maximum of three registered accounts. To register more accounts, use multiple IP phone 7910 or the IP phone 7950.

Table 4 Account configuration

Parameter

Description

Account

Device ID registered with the unified gateway.

User Name

User name for logging in to the IP phone. You are advised to set this parameter to the same value as Account.

Function

Set this parameter to Shared for a shared line and Private or Intercom for a private line.

NOTE:

·When this parameter is set to Intercom for a private line, this private line can be used for intercom calls only.

·When this parameter is set to Private for a private line, configure the speed dial function additionally.

Peer Number

Set this parameter to the device ID of a secretary's shared line.

For example, the device ID of secretary 1's shared line corresponding to the manager's shared line 60000 is 81000.

Label Name

Label displayed on the IP phone for distinguishing line buttons.

In Peer Number, enter the device ID for the shared line of a secretary. For example, the device ID for secretary 1's shared line 60000 is 81000. Then enter 81000 in Peer Number.

1.Choose Advanced > Service Rights Management, set Authorized of Manager Service for shared lines 60000 and 60001 to Yes, and save the setting.

2.(Optional) Choose Buttons > Line & Programmable Button, configure programmable button 1 as the intercom button between the private lines of the manager and secretary 1, and save the setting, as shown in Figure 5.

After the setting is saved, the manager can press programmable button 1 to directly call the private line of secretary 1.

When the private line between the manager and secretary is set to intercom, you do not need to configure the speed dial function additionally.

Figure 5 Configuring the Speed Dial (manager's phone)

Click to enlarge

Table 5 Speed Dial

Parameter | Description
Number | Set this parameter to the private line number of secretary 1 so that the manager can call the number using the speed dial.
Callout Account | Set this parameter to the private line number of the manager for calling the private line number of secretary 1.

3.Repeat Repeat 4 to configure programmable button 2 as the speed dial button between the private lines of the manager and secretary 2.to configure programmable button 2 as the speed dial button between the private lines of the manager and secretary 2.

Before configuring the next account, you must save the configured account and manually refresh the IP phone web page. Otherwise, registration fails.

Table 6 Account configuration

Parameter

Description

Account

Device ID registered with the unified gateway.

User Name

User name for logging in to the IP phone. You are advised to set this parameter to the same value as Account.

Function

For shared lines 60000 and 60001: Use the default settings. The IP phone will automatically synchronize services with the unified gateway and update the function to shared line.

For private line 70000: The IP phone of a new version will automatically synchronize services with the unified gateway and update the function to intercom. For an IP phone of an old version, you need to manually set the function to intercom.

NOTE:

When the private line number is configured as intercom, the line can only be used for intercom calls.

Peer Number

For the peer number of a shared line: Enter the device ID of a secretary's shared line. For example, the device ID of secretary 1's shared line corresponding to the manager's shared line 60000 is 81000.

For the peer number of the manager's private line: The IP phone of a new version will automatically update the peer number to the private number of the corresponding secretary. For an IP phone of an old version, you need to manually set the peer number.

Label Name

Label displayed on the IP phone for distinguishing line buttons.

For the unified gateway in versions earlier than V2.0, after the advanced secretary service is configured on the unified gateway, the configuration is not automatically delivered to the IP phone. Therefore, on the manager's phone, you need to configure multiple numbers, enable the advanced secretary service, and set the shared and private lines.

1.Log in to the web management system of the IP phone as the admin user.

2.Choose Advanced > Account and configure shared lines 60000 and 60001 and private line 70000.

Before configuring the next account, you must save the configured account and manually refresh the IP phone web page. Otherwise, registration fails.

Table 7 Account configuration

Parameter

Description

Account

Device ID registered with the unified gateway.

User Name

User name for logging in to the IP phone. You are advised to set this parameter to the same value as Account.

Function

Set this parameter to Shared for a shared line and Private or Intercom for a private line.

NOTE:

·When this parameter is set to Intercom for a private line, this private line can be used for intercom calls only

·When this parameter is set to Private for a private line, configure the speed dial function additionally

Peer Number

Set this parameter to the device ID of a secretary's shared line.

For example, the device ID of secretary 1's shared line corresponding to the manager's shared line 60000 is 81000.

Label Name

Label displayed on the IP phone for distinguishing line buttons.

1.Choose Advanced > Service Rights Management, set Authorized of Manager Service for shared lines 60000 and 60001 to Yes, and save the setting.

2.(Optional) On the screen of Video Phone 8950, tap [image] . On the screen for creating a speed dial number, set secretary 1's private line number as a speed dial number and save the setting.

After the setting is saved, the manager can directly press the shortcut key for secretary 1's private line number on the speed dial screen to make a call to secretary 1.

When the private line between the manager and secretary is set to intercom, you do not need to configure the speed dial function additionally.

Table 8 Speed Dial

Parameter | Description
Number | Set this parameter to the private line number of secretary 1 so that the manager can call the number using the speed dial.
Label Name | Label displayed on the IP phone for distinguishing line buttons.
Callout Account | Set this parameter to the private line number of the manager for calling the private line number of secretary 1.

3.Repeat Repeat 4 to configure programmable button 2 as the speed dial button between the private lines of the manager and secretary 2.to configure programmable button 2 as the speed dial button between the private lines of the manager and secretary 2.

Configuring Secretaries' Phones

Configuring IP Phone Series

For the unified gateway in V2.0 and later versions, after the advanced secretary service is configured on the unified gateway, the configuration is automatically delivered to the IP phone. The IP phone only needs to register an account.

1.Log in to the web management system of the IP phone as the admin user.

2.Choose Advanced > Account and configure shared line 81000 and private line 71000.

Before configuring the next account, you must save the configured account and manually refresh the IP phone web page. Otherwise, registration fails.

Table 9 Account configuration

Parameter

Description

Account

Device ID registered with the unified gateway.

User Name

User name for logging in to the IP phone. You are advised to set this parameter to the same value as Account.

Function

For shared line 81000: Use the default settings. The IP phone will automatically synchronize services with the unified gateway and update the function to shared line.

For private line 71000: The IP phone of a new version will automatically synchronize services with the unified gateway and update the function to intercom. For an IP phone of an old version, you need to manually set the function to intercom.

NOTE:

When the private line number is configured as intercom, the line can only be used for intercom calls.

Peer Number

Set this parameter to the device ID of the manager's shared line.

For example, when configuring secretary 1's phone, set this parameter to 60000 (device ID of the manager's shared line corresponding to secretary 1).

Label Name

Label displayed on the IP phone for distinguishing line buttons.

For the unified gateway in versions earlier than V200R003C30, after the advanced secretary service is configured on the unified gateway, the configuration is not automatically delivered to the IP phone. Therefore, on the secretaries's phones, you need to configure multiple numbers, enable the advanced secretary service, and set the shared and private lines. The same method is used to configure each secretary's phone. Repeat the following steps to configure the phones of multiple secretaries.

1.Log in to the web management system of the IP phone as the admin user.

2.Choose Advanced > Account and configure shared line 81000 and private line 71000.

Before configuring the next account, you must save the configured account and manually refresh the IP phone web page. Otherwise, registration fails.

Table 10 Account configuration

Parameter

Description

Account

Device ID registered with the unified gateway.

User Name

User name for logging in to the IP phone. You are advised to set this parameter to the same value as Account.

Function

Set this parameter to Shared for a shared line and Private or Intercom for a private line.

NOTE:

·When this parameter is set to Intercom for a private line, this private line can be used for intercom calls only.

·When this parameter is set to Private for a private line, configure the speed dial function additionally.

Peer Number

Set this parameter to the device ID of the manager's shared line.

For example, when configuring secretary 1's phone, set this parameter to 60000 (device ID of the manager's shared line corresponding to secretary 1).

Label Name

Label displayed on the IP phone for distinguishing line buttons.

1.Choose Advanced > Service Rights Management, set Authorized of Secretary Service for shared line 81000 to Yes, and save the setting.

2.(Optional) Choose Buttons > Line & Programmable Button, configure programmable button 1 as the intercom button between the private lines of the manager and secretary 1, and save the setting, as shown in Figure 6.

After the setting is saved, secretary 1 can press programmable button 1 to directly call the private line of the manager. ButtonsLine & Programmable Button

When the private line between the manager and secretary is set to intercom, you do not need to configure the speed dial function additionally.

Figure 6 Configuring the Speed Dial (secretary's phone)

Click to enlarge

Table 11 Speed Dial

Parameter | Description
Number | Set this parameter to the private line number of the manager so that secretary 1 can call the number using the speed dial.
Callout Account | Set this parameter to the private line number of secretary 1 for calling the private line number of the manager.

Before configuring the next account, you must save the configured account and manually refresh the IP phone web page. Otherwise, registration fails.

Table 12 Account configuration

Parameter

Description

Account

Device ID registered with the unified gateway.

User Name

User name for logging in to the IP phone. You are advised to set this parameter to the same value as Account.

Function

For shared line 81000: Use the default settings. The IP phone will automatically synchronize services with the unified gateway and update the function to shared line.

For private line 71000: The IP phone of a new version will automatically synchronize services with the unified gateway and update the function to intercom. For an IP phone of an old version, you need to manually set the function to intercom.

NOTE:

When the private line number is configured as intercom, the line can only be used for intercom calls.

Peer Number

Set this parameter to the device ID of the manager's shared line.

For example, when configuring secretary 1's phone, set this parameter to 60000 (device ID of the manager's shared line corresponding to secretary 1).

Label Name

Label displayed on the IP phone for distinguishing line buttons.

For the unified gateway in versions earlier than V200R003C30, after the advanced secretary service is configured on the unified gateway, the configuration is not automatically delivered to the IP phone. Therefore, on the secretaries's phones, you need to configure multiple numbers, enable the advanced secretary service, and set the shared and private lines. The same method is used to configure each secretary's phone. Repeat the following steps to configure the phones of multiple secretaries.

1.Log in to the web management system of the IP phone as the admin user.

2.Choose Advanced > Account and configure shared line 81000 and private line 71000, and save.

Before configuring the next account, you must save the configured account and manually refresh the IP phone web page. Otherwise, registration fails.

Table 13 Account configuration

Parameter

Description

Account

Device ID registered with the unified gateway.

User Name

User name for logging in to the IP phone. You are advised to set this parameter to the same value as Account.

Function

Set this parameter to Shared for a shared line and Private or Intercom for a private line.

NOTE:

·When this parameter is set to Intercom for a private line, this private line can be used for intercom calls only.

·When this parameter is set to Private for a private line, configure the speed dial function additionally.

Peer Number

Set this parameter to the device ID of the manager's shared line.

For example, when configuring secretary 1's phone, set this parameter to 60000 (device ID of the manager's shared line corresponding to secretary 1).

Label Name

Label displayed on the IP phone for distinguishing line buttons.

1.Choose Advanced > Service Rights Management, set Authorized of Secretary Service for shared line 81000 to Yes, and save the setting.

2.(Optional) On the screen of Video Phone 8950, tap [image] . On the screen for creating a speed dial number, set secretary 1's private line number as a speed dial number and save the setting.

After the setting is saved, secretary 1 can press programmable button 1 to directly call the private line of the manager.

When the private line between the manager and secretary is set to intercom, you do not need to configure the speed dial function additionally.

Table 14 Speed Dial

Parameter | Description
Number | Set this parameter to the private line number of the manager so that secretary 1 can call the number using the speed dial.
Label Name | Label displayed on the IP phone for distinguishing line buttons.
Callout Account | Set this parameter to the private line number of secretary 1 for calling the private line number of the manager.

Configuring Remote Activation Service

A user can dial a specific prefix on phone A, register or deregister the secretary service on phone B, and activate phone B as phone C's secretary.

Phones A, B, and C can belong to the same or different X1900 unified gateways.

The advance secretary service has been enabled for a user before the user activates or deactivates it.

1.Loading the script for activating or deactivating the advanced secretary service.

a.Log in to the web management system of the Unified Gateway X1900 series as the administrator.

b.Loading the script on the System > Script Management page.

·Script type : VU

·Load file : Software\script\english\remote activation

·Script name : Script for registering or canceling advanced secretary service.txt

2.Configure the virtual user (VU) prefix for activating or deactivating the advanced secretary service.

a.Log in to the web management system of the unified gateway X1900 series as the administrator.

b.Choose Trunk > Prefix Configuration, click Create.

c.Configure the virtual user (VU) prefix.

·Prefix :130

·Service type : Virtual user

·Call property : Customized automatic switchboard

·Script name : RemoteSca

d.Click OK.

e.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Advanced Secretary Service


Feature Usage

The following uses an IP phone as an example to describe how to verify the advanced secretary service, as shown in Figure 1.

Figure 1 Advanced secretary service

Click to enlarge

The incoming call notification (whether the phone rings) can be configured independently for the shared line between the manager and secretary.

When the manager calls the private line of the secretary, the secretary's phone automatically answers, and the call is a one-way call. If the secretary's phone is in a call, the private line button blinks.

When the secretary calls the manager's private line, the manager's phone answers the call based on the preset configuration.

The private line is mainly used for private calls between the manager and secretary. The manager is advised not to directly use the private line to call users because this will reveal the private line number to users. If a user dials the private line number, the call is directly connected to the manager, which bypasses the secretary.

The manager can use the shared line to answer or initiate calls. The secretary can use the shared line to answer calls, but cannot use it to initiate calls.s

[Activating or deactivating the advanced secretary service]

When the secretary is on leave, the secretary can dial the prefixto cancel the association with the manager so that incoming calls will not be forwarded to the secretary. When the secretary is back on duty, the secretary can dial the feature access code to activate the association with the manager again.

1.User A dials VU prefix 130 to activate the advanced secretary service. The announcement "Please dial the number you want to set, and press # to confirm." is played.

2.User A dials secretary B's number. The announcement "Please input your called password then press # to confirm." is played.

3.User A enters the password of secretary B's phone. The announcement "Please choose the operation type." is played. To activate the advanced secretary service, press 1. To deactivate the advanced secretary service, press 2.

The password here is the service password for number B. To change it, see Voice Service Password Change.

4.Then user A hears an announcement, indicating that the operation is successful.

Parent Topic: Advanced Secretary Service


FAQs

Possible Cause | Possible Cause | Solution
When you configure devices ID 60001 for a shared line of the manager, the message "Manager Device ID 60001 configuration failure. The secretary device ID is used by another number." is displayed. | Device ID 60001 has been bound to a SIP user. | ·Choose User > SIP User and delete the SIP user bound to device ID 60001. Choose User > Device ID and create device ID 60001 again. ·Alternatively, choose User > Device ID and create a device ID.
Configure service rights for the shared line number of the manager, mute call is on, the manager's phone still blinks and rings. | V200R003C50SPC600 version and later versions, the default distinctive ringing tone function is disabled. | ·Choose User>SIP User to enter the SIP user page, set Distinctive ringing tone to Yes. ·Or run config modify sipue command to enable the distinctive ringing tone function.

Parent Topic: Advanced Secretary Service


Emergency Call

The emergency call feature allows IP phone users to call public safety answering points (PSAPs) when IP phones are locked, unregistered, or call-barred.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Data Plan

The following assumes that Unified Gateway X1900 Series connects to the PSTN through a SIP trunk, and office route 187 is used to route outgoing calls. The following describes configurations on the PBX and IP phone in the emergency call scenario to implement the following requirements:

·Intra-office user 8000 can dial emergency number 911 on the PSTN in case of emergencies. Both the office route and office route selection code for routing calls to the PSTN are 0.

·The calling number displayed to the called party is 8113000 so that the called party can call back.

·The called party control function is enabled. After the calling party hangs up, the calling party can pick up the phone within 60s to resume the call as long as the called party does not hang up. If the calling party does not pick up the phone within 60s, the call is automatically released.

Configuration on the PBX

1.Log in to the web management system of the Unified Gateway X1900 series as the administrator.

2.Configure trunk data for connecting to the virtual device.

a.Create office route selection code 0.

Choose Trunk > Office Route Configuration > Office Route Selection Code, click Create, and configure data, as shown in Figure 1.

Figure 1 Creating office route selection code 0

b.Create office route 0.

Choose Trunk > Office Route Configuration > Office Route, click Create, and configure data, as shown in Figure 2.

Figure 2 Configuring office route 0

c.Create emergency call prefix 110.

Choose Trunk > Called Prefix Configuration, click Create, and configure data, as shown in Figure 3.

Figure 3 Creating emergency call prefix 110

d.Create a virtual SIP trunk.

Choose Trunk > Trunk Configuration > SIP, click Add A Peer Office, click the red line that is generated, and configure data, as shown in Figure 4 Set IP address of the peer office to a nonexistent one.

Figure 4 Creating a virtual SIP trunk

3.Configure an anonymous call domain name.

a.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

b.Configure an anonymous call domain name.

config set anonymouscall ip 10.254.254.254 cardid emergency_call

4.Create a call source and a rerouting policy.

a.Create call source 10.

config add callsource no 10

b.Configure a rerouting policy to reroute calls that are from call source 10 and destined at office route selection code 0 to office route 187 of the PSTN.

config add routeanalysis officeselectcode 0 callsourceno 10 officeno 187

5.Associate the virtual SIP trunk and user 8000 with the call source.

a.View the trunk group number corresponding to office route 0 of the virtual SIP trunk.

According to the command output, the trunk group number corresponding to office route 0 is 7.

b.Associate the virtual SIP trunk with call source 10.

config modify trunkgroup no 7 callsourceno 10

c.Associate the user 8000 with call source 10.

config modify subscriber dn 8000 callsourceno 10

6.Configure the calling number displayed to the called party to 81130000 for call source 10.

config add emergency caller callsourceno 10 number 81130000

7.Enable the called party control function.

config emergency call parameter calledpartycontrol yes releaseprotecttime 60

When the time specified by releaseprotecttime elapses after the calling party hangs up, the call is automatically released. If releaseprotecttime is set to 0, the call will never be released as long as the called party does not hang up.

8.Run the save command to save the configuration.

Configuration on the IP Phone

1.Log in to the web management system of the IP phone.

2.Export the configuration file.

a.Choose Advanced > Configuration File, and click Export.

b.In the File Download dialog box, click Save.

c.Select a directory for saving the configuration file and click Save.

3.Open the configuration file in the Notepad, and configure the IP address of Unified Gateway X1900, emergency call prefix, and call source, as shown in Figure 5.

Figure 5 Modifying the configuration file

Parameter | Description
PrimaryRegServerAddress | IP address of the SIP server.
Emergencynumber1 | Emergency call prefix.
Accessdomain | Call source.

4.Import the configuration file.

a.Choose Advanced > Configuration File, and click Browse.

b.Select the configuration file and click Open.

c.Click Import.

The configuration file is imported and the phone restarts.

Configuring the Service of Generating Two CDRs for an Emergency Call

1.Log in to the unified gateway through the CLI and enter the Config mode.

2.Enable software parameter 539.

config softargu type 539 value 1

Parent Topic: Emergency Call


Feature Usage

1.A user places an emergency call on the IP phone.

Figure 1 IP phone screen locked

Figure 2 IP phone unregistered

Click to enlarge

2.When the called party receives the emergency call, he or she can quickly know the geographic location of the calling party based on the calling number and provides desired service assistance.

3.(Called party control function) If the called party does not hang up after the calling party hangs up, the calling party can pick up the phone again within specified time to resume the call.

Parent Topic: Emergency Call


Call Admission Control

If the number of incoming and outgoing VoIP calls is too large, the network may be congested, therefore affecting voice quality. The system allows you to limit the number of concurrent incoming and outgoing calls that are made through SIP trunks to ensure proper use of bandwidth resources and better voice quality. Then, when the number of concurrent calls reach the preset upper limit, new incoming and outgoing VoIP calls will be rejected or routed to other trunks.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Scenario 1: Common VoIP Domain Call Barring

The following assumes the network diagram is shown in the following figure.

Configuration Background | ·The unified gateway connects to the peer office through the SIP trunk and PRA trunk. ·Prefix for routing outgoing calls through the SIP trunk is 9, and the office route selection code for routing outgoing calls through the PRA trunk is 1.
Configuration Objective | Restrict the maximum number of concurrent incoming and outgoing calls routed through the SIP trunk to 100. If the number of concurrent calls reaches the maximum, new outgoing calls are routed through the PRA trunk.

1.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

2.Create the VoIP domains a1 and a2.

config add voipdomain name a1 maxcallnum 100 domaintype VoIP

config add voipdomain name a2 maxcallnum 100 domaintype VoIP

Parameter | Description
name | Indicates the domain name.
maxcallnum | Indicates the maximum number of concurrent calls (including incoming and outgoing calls) supported by the domain. Its value ranges from 0 to 255.
domaintype | Indicates the domain type. Select the VoIP type.

3.Add the SIP users to VoIP domain a1 and SIP trunk to VoIP domain a2.

a.Obtain the value of id for VoIP domains a1 and a2.

According to the command output, the IDs of VoIP domains a1 and a2 are 0 and 1 respectively.

b.Add the user 7000 to VoIP domain a1.

config modify subscriber dn 7000 voipdomainid 0

c.Add the SIP trunk to VoIP domain a2.

config modify peercomponent domainame domainame voipdomainid 1

Parameter | Description
domainame | Indicates the domain name of the peer device connected through the SIP trunk. You can run the show peercomponent command to query the domain name.

4.Configure the rerouting policy for rerouting calls using office route selection code 1 when calls are barred.

config modify prefix dn 9 voipcallfailreroute yes reroutecallattr local rerouteselectcode 1

5.Run the save command to save the configuration.

Scenario 2: VoIP Domain Call Barring (CAC Rerouting)

The following assumes the network diagram is shown in the following figure.

Click to enlarge

Configuration Background

·Intra-office SIP users 7000 and 8000 belong to VoIP domains a1 and a2 respectively.

·When the number of concurrent calls reaches the maximum in either VoIP domain, call barring will take effect for intra-office SIP users in both offices.

·The office route selection code from the central node to localgw-1 is 199.

·The outgoing prefix for routing outgoing calls from localgw-1 to the local PSTN is 9, and the number change policy is to delete the first digit.

Configuration Objective

When the number of concurrent calls reaches the maximum in either VoIP domain, user 7000 can still make calls to user 8000.

1.Log in to the central node using the CLI and access the Config mode.

2.Obtain the value of id for VoIP domains a1 and a2.

According to the command output, the IDs of VoIP domains a1 and a2 are 0 and 1 respectively.

3.Add the SIP trunks connecting to the local gateways to VoIP domains a1 and a2 respectively.

config modify peercomponent domainname localgw1 voipdomainid 0

config modify peercomponent domainname localgw2 voipdomainid 1

4.Create outgoing prefix 907550571 for routing outgoing calls from the central node to localgw-1, and configure the called number change policy to delete 0755 from the prefix.

config add predeal index 0 changetype delete changepos 1 changelen 4

config add prefix dn 907550571 callcategory basic callattribute local cldpredeal yes cldindex 0 officeselectcode 199

5.Configure outgoing prefix 907550571 as the CAC rerouting prefix of the called party (user 8000).

config modify subscriber dn 8000 cacprefix 907550571

6.Enable rerouting against VoIP domain barring for intra-office prefix 8 of the called party.

config modify prefix dn 8 voipcallfailreroute yes reroutecallattr local rerouteselectcode 1

7.Run the save command to save the configuration.

In the centralized call management network, if CAC rerouting is required in a voice conference that is implemented by audio mixing on the X1900, follow the suggestions below:

·Reserve call source 0 for the conference system only, and add all users to other call sources.

·CAC rerouting in a conference occupies bandwidth resources. Therefore, when configuring rerouting analysis of the call source, consider the bandwidth redundancy on the IP network of each branch node, and associate call source 0 with the office route that corresponds to the SIP trunk with the maximum bandwidth redundancy.

Parent Topic: Call Admission Control


Feature Usage

Scenario 1: Common VoIP Domain Call Barring

·For SIP users who are in the same VoIP domain with the SIP trunk, incoming and outgoing calls through the SIP trunk are not affected.

·For SIP users who are in a different VoIP domain from the SIP trunk, when the number of concurrent calls in the VoIP domain reaches the maximum value, incoming and outgoing calls through the SIP trunk are restricted.

Scenario 2: VoIP Domain Call Barring (CAC Rerouting)

When the number of concurrent calls in the VoIP domain reaches the maximum value, SIP users who belong to different VoIP domains can dial intra-office short numbers to call each other.

Parent Topic: Call Admission Control


Deactivation of All Services

This feature allows a user to deactivate all the activated supplementary services. However, the user's service rights are not affected.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

By default, users have the service permission. To configure the service permission, perform the following steps:

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select the service to activate and click OK.

Parent Topic: Deactivation of All Services


Feature Usage

A user dials *22*SSSSSS#. An announcement is played, indicating that the service is activated successfully. All the activated services of user A are deactivated. SSSSSS indicates the service password.

Parent Topic: Deactivation of All Services


Voice Service Password Change

The voice service password is used in the outgoing call barring, password-based call barring, ONLY, deactivation of all services, and voice mailbox. It is recommended that the voice service password be changed periodically to improve the security of voice services.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Navigation: Configuration > Feature Guide > Voice Service > Voice Service Password Change >

Return to chapter overview

Feature Configuration

No configuration is required.

Parent Topic: Voice Service Password Change


Feature Usage

Changing the Service Password Using a Phone

A user dials *89*SSSSSS*NNNNNN#, the announcement "The new service you applied for has been registered" is played, indicating that the password is changed successfully.

·SSSSSS indicates the six-digit old password. NNNNNN indicates the six-digit new password.

·The password must contain six digits and cannot include the asterisk (*) or number sign (#).

Changing the Service Password on the Self-Service Web Page

Figure 1 Changing the service password

Parent Topic: Voice Service Password Change


Busy Lamp Field (BLF)

The Busy Lamp Field (BLF) feature allows users to subscribe to the status (idle, call in progress, ringing, or offline) of others using the programmable buttons on the IP phone. Before making a call, the calling party can know the status of the called party. If the called party is not idle, the calling party waits until the called party becomes idle. This helps improve the call success rate.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

1.Enable the service permission on the unified gateway.

a.Log in to the web management system of the Unified Gateway X1900 series as the administrator.

b.Choose User > SIP User.

c.Select the user number to be assigned the service permission and click Service Configuration.

d.Under Complex service, click Configure next to IP phone status detection.

e.Set Activate to Yes, set Message push to On, and click OK.

2.Enable the service permission on the IP phone.

a.Log in to the web management system of the IP phone.

b.Choose Advanced > Service Permission Management and set Busy Lamp Field to Authorized.

c.Click Save.

3.Configure a programmable button on the IP phone.

The following uses an IP phone 7910 as an example to describe the configuration procedure. For details about how to configure IP phones of another model, see the User Guide for the model.

a.In the web management system of the IP phone, choose Buttons > Line & Programmable Button.

b.Click a programmable button on the right. In the window that is displayed, configure the quick dialing policy and select BLF, as shown in Figure 1.

Figure 1 Configuring a programmable button

To enable BLF and pickup on the same button, set the dialing policy of the subscribed Speed Dial to Pickup.

c.Click Save.

Parent Topic: Busy Lamp Field (BLF)


Feature Usage

After activating the Busy Lamp Field (BLF) service, a user can view the indicator of a specified programmable button on his or her IP phone to know the status of another user's IP phone.

·Steady green: The monitored account is in pickup, dialing, or standby state.

·Steady red: The monitored account is in a call.

·Blinking red: The monitored account is in ringing state.

·Off: The monitored account is offline.

Parent Topic: Busy Lamp Field (BLF)


Extension Mobility

The extension mobility feature allows a user to use the same IP phone settings in a visited area as in the home area provided that the two areas belong to the same unified gateway. Since the user logs in to the IP phone in the visited area using the account of the home area's IP phone, the account on the IP phone of the home area is logged out.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Prerequisites

·The file server has been configured, or the eSight server has been installed.

·Basic configurations of IP phones in the home area and visited area have been completed. You can log in to the IP phones. Ensure that the IP phones in home area and visited area are registered with the same unified gateway.

Procedure

1.Check the extension mobility service permission of the SIP user. Here, SIP user 81000 is used as an example.

Run the show subscriber dn 81000 type all command to check whether the value of EXTENSIONNUMBERPORTABLE is Y.

By default, SIP users have the extension mobility service permission. To ensure that the service functions properly, check the extension mobility service permission before the service configuration.

If EXTENSIONNUMBERPORTABLE is not displayed in the command output, the SIP user does not have the extension mobility service permission. To assign the permission to the user, run the following command:

config modify subscriber dn 81000 operatenewservice add newservicerights extensionnumberportable

2.Configure the file server on the IP phone in the home area.

a.Use an administrator account to log in to the web management system of the IP phone.

b.Choose Advanced > Server and set parameters in the Profile Server area by referring to Figure 1.

Figure 1 Configuring the file server

Table 1 Parameters for configuring the file server

Parameter

How to Set

Server 1/Port

Set the server IP address to the IP address of the eSight server. Here, the file server provided by eSight is used.

Port:

·Set the port number to 38081 if the HTTP protocol is used.

·Set the port number to 38444 if the HTTPS protocol is used.

NOTE:

HTTP is an insecure protocol. You are advised to use HTTPS. If you must use HTTP, disable it immediately after it is used.

To enable HTTP for eSight, locate the ems_config_readWriter file in ./AppBase/etc/uc in the eSight installation directory and set httpSupportto true.

Server 2/Port

If active and standby eSight servers exist, set the server IP address to the IP address of the standby eSight server. If only one eSight server exists, you do not need to set this parameter.

c.Click Save.

3.Set the user name and password for authentication.

a.Choose Advanced > TR069. Set the ACS user name and password, as shown in Figure 2. Use default values for other parameters.

The user name and password are used for authentication when the IP phone reads personal configurations from the file server.

The default user name and password are eSight and eSight123 respectively.

Figure 2 Setting the user name and password for authentication

b.Click Save.

4.Repeat steps Repe steps 2 and and 3 on the IP phone in the visited area to configure the file server and user authentication information.

Parent Topic: Extension Mobility


Feature Usage

Users can use number 81000 to log in to the IP phone in the visited area, which provides consistent user experience with the IP phone in the home area. You must to enable the extension mobility function before use it.

1.Log in to the web management system of the IP phone as the admin user.

2.Choose Advanced > Others to enable the extension mobility function.

3.Click Save.

Parent Topic: Extension Mobility


Service Level

The service level feature enables management of service rights and basic call rights by service level.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Changing the User Right Level

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number for which you want to change the user right level and click Edit.

3.Change the user right level and click OK.

4.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Restricting the Toll Call Time Segment

This topic assumes that users with common or advanced user rights can make national and international toll calls only from 09:00 to 17:00. The detailed configuration procedure is as follows:

1.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

2.Enable and set a time segment.

config set workingtime switch on starttime 09:00:00 endtime 17:00:00

The configured time segment is valid for both national and international toll calls.

3.Run the save command to save the configuration.

Parent Topic: Service Level


Navigation: Configuration > Feature Guide > Voice Service > Service Level >

Return to chapter overview

Feature Usage

None

Parent Topic: Service Level


Trunk Preemption by User Rights Level

This feature allows a higher-level user to preempt the trunk of a lower-level user to make an outgoing call when the system trunk resources are insufficient. This ensures the voice service requirements of high-level users.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

A higher-level user can preempt resource of a lower-level user when trunk link resources are insufficient, without any configurations.

This topic describes how to reserve trunk line resources for higher-level users and how to modify the prompt tone played to users when their resources are preempted.

Reserving Trunk Line Resources

1.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

2.Configure the reserved circuit.

config add reservedcircuit officeno officeno protocol protocol number number priority priority

Parameter | Description
officeno | Indicates the office route of a trunk line.
protocol | Indicates the trunk type of reserved trunk line resources. The options are as follows: ·pra ·cassignal ·qsig ·isup ·bri ·sip
number | Indicates the number of reserved circuits.
priority | Indicates the lowest right level of the user who can use the reserved circuits. The options are as follows: ·default ·normal ·advanced ·super

3.Run the save command to save the configuration.

Configuring the Prompt Tone Played to Users When Their Resources Are Preempted

1.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

2.Set a prompt tone that the X1900 unified gateway plays when the trunk used by a user is preempted.

config modify hint tone cause reaviedbysuperuser type type

Parameter | Description
type | Indicates the prompt tone type. The options are as follows: ·busytone (default) ·specialtone: The announcement indicating that the system is busy is played.

3.Run the save command to save the configuration.

Parent Topic: Trunk Preemption by User Rights Level


Feature Usage

This topic assumes that user A with the lowest service rights is having an incoming or outgoing call. If the trunk resources are full, user B with higher service rights can preempt the trunk resource occupied by user A to make an outgoing call. Then, user A will hear the announcement "The system is busy. Please try later." Figure 1 shows the scenario.

Figure 1 Trunk preemption by user rights level

Parent Topic: Trunk Preemption by User Rights Level


Call Rights Control

This feature allows the system to determine whether to set up a call according to the call rights of the calling number and the call type of the called prefix when a user initiates a voice call. Therefore, call rights can be flexibly controlled based on actual needs.

·Feature Configuration

·

·Feature Usage

·

·FAQs

·

Parent Topic: Voice Service


Feature Configuration

Scenario: Restricting Specified Outgoing Call Prefixes

Configuration Background | ·User numbers have been allocated. ·A dedicated trunk connected the peer device has been configured. The office route selection code for outgoing calls is 1.
Configuration Objective | Only users with numbers 7200 to 7209 can dial 0 to make outgoing calls through the dedicated trunk.

1.Configure the number change indexes.

a.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

b.Choose TrunkNumber > ChangeIndex, and click Create.

c.Create number change index 10, which is used to delete the first digit of called numbers, as shown in Figure 1.

Figure 1 Configuring the number change index 10

d.Use the same method to create number change indexes 11 and 12 to delete the first two and three digits of called numbers respectively.

2.Configure outgoing call prefixes that are routed through the dedicated trunk and specify the customized call rights cus1.

a.Create the international toll call prefix 000, national toll call prefix 00, and local call prefix 0 that are routed through the dedicated trunk.

Before the local call prefix is created, the international and national toll call prefixes must exist on the unified gateway. If the prefixes do not exist on the unified gateway, the local call prefix will fail to be created.

3.Assign the customized call right cus1 to users 7200 to 7209.

Scenario 2: Restricting the Maximum Toll Call Duration

1.Log in to the web management system and choose User > SIP User.

If the user is a POTS user, choose User > POTS User.

2.Select the user for which you want to restrict the maximum toll call duration and click Service Configuration.

3.Under Complex service, click Configure next to Toll call duration restriction.

4.In the dialog box that is displayed, set the maximum duration of a national or international toll call (the default value 0 indicates that the toll call duration is not restricted).

Scenario 3: Restricting the Call Forwarding Permission

1.Log in to the web management system and choose User > SIP User.

If the user is a POTS user, choose User > POTS User.

2.Select the user for which you want to restrict the call forwarding permission and click Service Configuration.

3.Under Complex service, click Configure next to Call forwarding permission.

4.In the dialog box that is displayed, set the user call forwarding permission. The default call forwarding permission is the same as the outgoing call permission.

Other Optional Operations

Set the maximum number of international toll calls.

1.Log in to the web management system and choose UserGlobal > Service, click Configure next to International toll call barring.

2.Set the maximum number of concurrent calls and click OK.

Modifying Outgoing Call Rights for Users in Batches:

1.Log in to the web management system of the X1900 series unified gateway using the administrator account.

2.Choose User > SIP User.

If the user is a POTS user, choose User> POTS User.

3.Select the users for which you want to modify the outgoing call rights and click Service Configuration.

4.In the Outgoing call right area, select the outgoing call rights to be set, as shown in Figure 2.

Figure 2 Setting outgoing call rights in batches

In the Outgoing call right area, you can click All to select all outgoing call rights and click On to grant the selected rights or click Off to revoke the selected rights.

5.Click OK.

Parent Topic: Call Rights Control


Feature Usage

The calling party can place calls to the called party only after being assigned the basic call rights and customized rights of the called prefix. If the calling party places a call without being authorized, he or she will hear an announcement indicating that he or she has no rights to place the call. Figure 1shows the scenario.

Figure 1 Call rights control scenario

Click to enlarge

If the maximum toll call duration has been specified, the toll call placed by a user will be forcibly ended and the user cannot place toll calls any more when the toll call duration exceeds the maximum value. Figure 2 shows the scenario.

Figure 2 Toll call rights control scenario

Click to enlarge

Parent Topic: Call Rights Control


FAQs

Failed to Make Toll Calls Due to Out-of-Service

[Symptom]

When a user makes a toll call, the announcement "Sorry, your phone is out of service" is played.

[Possible Causes]

Cause 1: The user exceeded the duration limit when making national or internal toll calls earlier. The national or international toll call permission is locked for the user.

Cause 2: The concurrent number of international toll calls reaches the maximum. The international toll call permission is locked for all users.

[Solution]

1.Log in to the web management system of the Unified Gateway X1900 series as the administrator.

2.Choose User > Global Service, click Configure next to International toll call barring, and check whether Status is Normal. If Status is Lock, as shown in Figure 1, click Unlock. When the permission is unlocked, Status becomes Normal.

Figure 1 International toll call permission in locked state globally

3.Choose User > SIP User.

For a POTS user, choose User > POTS User.

4.Find the user and view the status of the national or international toll call permission. If the status is displayed as Lock, as shown in Figure 2, click Unlock. When the permission is unlocked, the message "Unlock success" is displayed. The user can make toll calls again.

Figure 2 Unlocking the toll call permission

Parent Topic: Call Rights Control


Blacklist and Whitelist Call Barring

With the blacklist and whitelist call barring feature, calls are accepted or rejected based on call barring relationships configured in the blacklist and whitelist.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Configuring the System Blacklist and Whitelist

Parameter

Description

dn

Indicates the number to be added to the system blacklist or whitelist.

The value can be a complete user number or a user number prefix. If you add a number prefix to the system blacklist or whitelist, all called numbers starting with the prefix will follow the call restriction.

For example, if you add 400 to the called party blacklist, all calling users except those in the calling party whitelist cannot call numbers starting with 400.

calltype

Indicates whether the number is added to the calling or called party list. The options are as follows:

Caller: Add dn to the calling party list.

Callee: Add dn to the called party list.

grouptype

Indicates the list type. The options are as follows:

Blackgroup: Add dn to the blacklist.

Whitegroup: Add dn to the whitelist.

Configuring the Personal Blacklist

The personal blacklist is configured by users themselves. For details, see Feature Usage.

Parent Topic: Blacklist and Whitelist Call Barring


Feature Usage

The system blacklist and whitelist are configured by the administrator. After the lists are configured, calls placed by users in the lists will be controlled by the lists according to call control rules.

The personal blacklist is configured by a user. After the list is configured, blacklisted users cannot make a call to the user. The procedure is as follows:

1.Use a user number to log in to the web self-service system of a X1900 series unified gateway.

2.Add a number to the personal blacklist by referring to the following figure.

Figure 1 Adding a number to the personal blacklist

Parent Topic: Blacklist and Whitelist Call Barring


Anonymous Call Rejection

When the system cannot obtain the phone number of a calling party, the call will be rejected and the called party's phone does not ring.

·Feature Configuration

·

Parent Topic: Voice Service


Feature Configuration

To configure the service permission, perform the following steps:

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service, select the service to activate and click OK.

Parent Topic: Anonymous Call Rejection


Call-out Restriction Service

If the call-out restriction service is enabled for a user, the user is prohibited from making specified types of outgoing calls.

·Feature Configuration

·

Parent Topic: Voice Service


Feature Configuration

Method 1: Activating/Deactivating the Service on the Web Page

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose User > SIP User.

To enable the service for POTS users, choose User > POTS User.

3.Select the number for which you want to add service rights and click Service Configuration.

The service configuration page is displayed.

4.In the Complex service area, click Configure next to Call-out restriction.

5.In the Configure Call-out Restriction dialog box that is displayed, select Call restriction type, and select a type from the drop-down list box.

6.Click OK.

The message "Configuration success" is displayed.

Method 2: Activating/Deactivating the Service on the Phone

·Activating the service

§POTS phone user A picks up the phone and dials *54#. When hearing beep tones, user A presses KSSSSSS#.

§SIP or POTS phone user A picks up the phone and dials *54*KSSSSSS#. An announcement is played, indicating that the service is activated successfully.

The call-out restriction service has been enabled for user A.

SSSSSS indicates the service password. For details about how to change the password, see Changing the Service Password.

K indicates the call-out restriction option. The values include 1, 2, and 3. When K is 1, the user cannot make any calls. When K is 2, the user cannot make national or international toll calls. When K is 3, the user cannot make international toll calls.

·Deactivating the service

§POTS phone user A picks up the phone and dials *54#. When hearing beep tones, user A presses KSSSSSS#.

§SIP or POTS phone user A picks up the phone and dials #54*KSSSSSS#. An announcement is played, indicating that the service is deactivated successfully.

The service can be deactivated only when the entered value of K is the same as the activated value and the service password is correct.

Parent Topic: Call-out Restriction Service


Hunt Group

In an enterprise, employees in the same field can be added to a hunt group, with a group access code configured. When a user dials the access code of a hunt group, the system allocates the call to group members based on preset ringing policies. When a member answers the call, the system stops ringing.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Creating a Hunt Group

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Create a hunt group.

a.Choose User > Group Service > Hunting Group.

b.Click Create. Set parameters, as shown in Figure 1.

Figure 1 Configuring the hunt group

Table 1 Key parameter description

Parameter

Description

Number

Indicates the number of a hunt group, which uniquely identifies the hunt group.

Sign in mode

·Static

Members of a hunt group sign in automatically and cannot sign out.

·Dynamic

Members of a hunt group can sign in to or out of the hunt group by pressing the corresponding programmable button on the IP phone. Alternatively, they can dial dynamic sign-in/sign-out prefix+Hunt group access code+# to sign in/out of the hunt group.

NOTE:

The default dynamic sign-in prefix is *71*, and the default dynamic sign-out prefix is #71*. You can customize the prefixes.

Busy policy

Indicates the policy for processing a new incoming call when all members in a hunt group are busy.

·Hang up: directly releases the call.

Switch to switchboard dn: transfers the call to the automatic switchboard number.

·Switch to night service dn: transfers the call to a specified night service number.

·Queue: puts the call in the waiting queue.

·Queue wait first and switch to switchboard dn: puts the call in the waiting queue and when the waiting time expires, transfers the call to the automatic switchboard number.

·Switch to dn or ums: transfers the call to a specified number or voice mailbox.

·Queue wait first and switch to dn or ums: puts the call in the waiting queue and when the waiting time expires, transfers the call to a specified number or voice mailbox.

Offline policy

ndicates the policy for processing a new incoming call when all members in a hunt group are offline or no member has signed in.

·Hang up: directly releases the call.

Switch to switchboard dn: transfers the call to the automatic switchboard number.

·Switch to night service dn: transfers the call to a specified night service number.

·Switch to dn or ums: transfers the call to a specified number or voice mailbox.

All Quit policy

No answer switch to dn or ums

Indicates whether to forward an incoming call to another phone number or to the hunt group's voice mailbox when no member in the hunt group answers the call.

If the voice mailbox service is not configured and you set this parameter to Yes, incoming calls can be forwarded only to another phone number.

Waiting time upon busy

Indicates the timeout duration for a call that waits in a queue because all members who have signed in to a hunt group are busy.

Authentication

Indicates whether authentication is required when a member of a hunt group manually signs in to or out of the hunt group.

Authentication and VMS Password

It's used to a member of a hunt group manually signs in to or out of the hunt group, and retrieve the voice message.

Wait time

Indicates the timeout duration for a call waiting in the queue of a hunt group.

Ring type

Indicates the ringing type for members in a hunt group. The options are as follows:

·default: Only the phone with the highest priority rings.

·Sequential: Phones ring sequentially by priority.

·Simultaneous: All phones ring simultaneously.

·Loop: Phones ring sequentially. If no member answers the call in the first round, another round of sequential ringing is triggered until the call is answered.

Auto connect

Indicates whether to automatically answer a call. When a user dials a hunt group access code:

·If auto connect is enabled, the calling party (user on the carrier side or intra-office user) considers that the call is set up even if the calling party is waiting to be connected to the hunt group. The system starts timing the call and does not release the call.

·If auto connect is disabled, the calling party considers that the call is waiting to be connected. The call will be released if the call is not answered within the timeout duration specified on the calling party side.

Queue Tone Type

Indicates whether to enable the customized waiting tone.

·Default: Play the default tone.

·SelfDefineTone: Play the customized tone.

NOTE:

X1911, X1960, and X1981 series V2.0 and later versions support this function.

Queue Toneid

Channel for playing the waiting tone when all members in the hunt group are busy. Value range:

·X1911/X1960: 47~380.

·X1981: 47~648.

NOTE:

·X1911, X1960, and X1981 series V2.0 and later versions support this function.

·By default, the multi-call function is enabled for hunt group users, and two call lines are enabled on the phone of each hunt group user. Therefore, when the number of incoming calls exceeds twice the number of hunt group members, hunt group members are considered all busy. In this case, the system plays the waiting tone indicating that all members in the hunt group are busy.

·The format of a customized voice file must meet specific requirements. Otherwise, the file cannot be loaded or played properly. For details, see Customizing and Loading All System Announcements.

a.Click OK.

2.Add a hunt group member.

a.Click Click to enlarge on the right of the newly created hunt group.

b.Click Create, add a member number, and set the priority for the member.

Figure 2 shows the configuration page.

Figure 2 Adding a hunt group member

A smaller value indicates a higher priority. If the priority is not configured for a member, the member does not possess a priority. The phone of a member with a higher priority rings preferentially.

c.Click the icon shown in Figure 2, select a time segment for the member, and set the priority for the time segment. Figure 3shows the configuration page.

Figure 3 Configuring the time segment

·The member can receive calls to the hunt group only within the configured time segment. If the time segment is not configured, the member can receive calls to the hunt group in all time segments.

·To configure the time segment, choose User > Global Service > Huntgroup Timerange.

·The time segment priority is higher than the global priority. In a time segment, users with a higher time segment priority can answer calls preferentially. If the time segment priority is not configured for a user in a time segment, the user's priority is the global priority configured in Figure 2.

d.Click OK.

You can also configure hunt group members in the following way:

·On the User > SIP User page, select the user number for which you want to configure the service and click Service Configuration.

·Under Complex service, click Configure next to Hunt group.

·Add the user to the hunt group.

3.Configure the hunt group access code.

a.Choose Truck > Called Prefix Configuration. Click Create. Set parameters, as shown in Figure 4.

Figure 4 Configuring the hunt group access code

b.Click OK.

4.(Optional) Configure the dynamic sign-in and sign-out prefixes.

The default dynamic sign-in prefix is *71*. The default sign-out prefix is #71*. To customize the sign-in and sign-out prefixes, see Figure 4. Where:

a.Select Service type to Supplementary service.

b.Set Call property to Sign in to Hunt Group or Sign out to Hunt Group separately.

5.In the upper right corner of the web page, click Click to enlarge to save the configuration.

(Optional) Configuring Hunt Group Rights on IP Phones

By default, hunt group is enabled on IP phones, and the dynamic sign-in and sign-out prefix is configured. Perform the following steps to check hunt group and the sign-in and sign-out prefix. If hunt group is not enabled, enable hunt group.

1.Access the web management page of the IP phone as the hunt group member.

2.Choose Advanced > Service Rights Management. Set Authorized of Hunt Group to Yes, and set Activation Code and Deactivation Code.

Use the sign-in and sign-out prefix configured on the X1900 series unified gateway as the access code.

3.Click Save.

Configuring the BLF

Hunt group members can configure the sign-in and sign-out programmable button on IP phones. After a member signs in to the hunt group, the programmable button turns on. In this case, enable the BLF for hunt group members on the unified gateway, and configure a programmable button as the sign-in and sign-out programmable button.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose User > SIP User.

3.Select the user number to be assigned the service permission and click Service Configuration.

4.Under Complex service, click Configure next to IP phone status detection.

5.In the window that is displayed, select Yes and click OK.

When configurations are complete, hunt group members can configure the programmable button by referring to Whe configurations are complete, hunt group members can configure the programmable button by referring to Figure 1 in in Feature Usage and use the sign-in and sign-out programmable button on IP phones.

Viewing Hunt Group Member Status

Run the following command to view the list of hunt group members in the idle, busy, or faulty state:

show memberstate huntnohuntno state <idle|busy|fault>

If a member is offline without signing out after signing in to the hunt group, the member is in the faulty state.

Configuring Call Forwarding to Voice Mailbox for a Hunt Group

A virtual mailbox can be configured for a hunt group. When others call the hunt group, calls are forwarded to this mailbox if no one in the hunt group answers the calls.

Prerequisite: The built-in voice mailbox service has been configured on the unified gateway.

In this section, call forwarding to voice mailbox on no reply is used as an example.

1.Refer to 2 to enable the service of forwarding calls destined for the hunt group to voice mailbox on no reply and configure the voice mailbox number.

2.Enable call forwarding to voice mailbox on no reply for members in the hunt group.

a.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

b.Choose User > SIP User or User > SIP User.

c.Select the user number to be assigned the service permission and click Service Configuration.

d.Under Complex service, click Configure next to Forwarding service.

e.In the dialog box that is displayed, select the priority and permission of call forwarding to voice mailbox on no reply based on site requirements.

f.Click OK.

g.In the upper right corner of the web page, click Click to enlarge to save the configuration.

3.Assign the virtual voice mailbox service rights for hunt group members and enable the call forwarding to voice mailbox on no reply service for them on the IP phone.

a.Access the web management page of a hunt group member's IP phone as the admin user.

b.Choose Advanced > Service Rights Management. On the page that is displayed, assign the Virtual Voicemail service rights, set Activation Code to the access code for retrieving voice messages, and assign the Call Forward to Voicemail No Answer service rights.

c.Click Save.

d.Choose Call settings > Call Forward and enable call forwarding to voice mailbox on no reply.

e.Click Save.

4.Configure a programmable button for signing in to and out of the hunt group on the IP phone. For details, see the section about Signing In to or Out of a Hunt Group.

After a user signs in to a hunt group and when the hunt group receives a new message, the BLF indicator on the user's IP phone blinks and a message notification is also displayed on the IP phone screen. The user can press the message button to retrieve the message.

Configuring the Greetings of the Voice Mailbox Service for the Hunt Group

X1911/X1960/X1981 V200R003C50SPC900 and later versions, message greetings can be configured for a hunt group. When a user dials the access code of the hunt group, the call is forwarded to the voice mailbox. The voice mailbox system automatically plays greetings to notify the calling party that the call has been forwarded to the voice mailbox system, and guides the calling party to record a message.

To meet the personalized requirements of users, a user can customize five greetings and select one to play based on time segments.

Parameter | Description | Value
huntgroupno | Hunt group ID. | Value range: X1981:0~1023 X1960:0~251 X1911:0~31
subpbxno | Sub-PBX number. You need to set this parameter only when one device manages call services in multiple companies. The device recognizes prefixes of different companies based on this parameter. | The value must be an integer. Value range: 0~251 The default value is 0.
index | Index of the time segment for playing the greetings of the hunt group. | The value must be an integer. Value range: 0~4 This parameter has no default value.
startyear, endyear | Start year and end year for playing greetings. | The value must be an integer. Value range: 2000~2100 This parameter has no default value.
startmonth, endmonth | Start month and end month for playing greetings. | The value must be an integer. Value range: 1~12 This parameter has no default value.
startday, endday | Start date and end date for playing greetings. | The value must be an integer. Value range: 1~31 This parameter has no default value.
startweekday, endweekday | Start day and end day for playing greetings. | The value must be an integer. Value range: sun | mon | tue | wed | thu | fri | sat This parameter has no default value.
starttime, endtime | Start time and end time for playing greetings. | The value must be an integer. Value range: 00:00:00~23:59:59 This parameter has no default value.

·A user can record a maximum of five personalized greetings. If a user records multiple greetings but doe not set the policy for playing multiple greetings by time segment, the voice mailbox system will use the last recorded greeting around the clock.

·If the time segments are set for all the greetings recorded by a user, the default greetings will be used beyond the preset time segments.

If a user records multiple greetings and does not set time segments for some greetings, the voice mailbox system will use the last recorded greeting among the greetings that have no time segments set. For example, if a user records five greetings and sets time segments for playing three greetings. In the time segments that are not set, the voice mailbox system will use the last recorded one among the other two greetings.

2.Configure greetings for the hunt group based on the time segment.

Parameter | Description | Value
huntgroupno | Hunt group ID. | Value range: X1981:0~1023 X1960:0~251 X1911: 0~31
subpbxno | Sub-PBX number. You need to set this parameter only when one device manages call services in multiple companies. The device recognizes prefixes of different companies based on this parameter. | The value must be an integer. Value range: 0~251 The default value is 0.
timeindex | Index of the time segment. | The value must be an integer. Value range: 0~4 This parameter has no default value.
welcomeindex | Index of the greeting. | The value must be an integer. Value range: 1~5 This parameter has no default value.

3.Record the greeting for the hunt group on the phone. For details, see Retrieving Voice Messages and Recording a Message Greeting of a Hunt Group.

Modifying the Waiting Tone Played When All Members in the Hunt Group Are Busy

When the channel for playing the waiting tone that you configure does not exist or is invalid, the system plays the default waiting tone.

Parent Topic: Hunt Group


Feature Usage

This topic uses an IP phone as an example to describe how to use the service.

Signing In to or Out of a Hunt Group

·If the static sign-in mode is configured during hunt group creation, users are signed in to the hunt group by default and cannot sign out.

·If the dynamic sign-in mode is configured during hunt group creation, users can sign in to or sign out of the hunt group in either of the following ways:

§Dial the sign-in or sign-out prefix

Dial *71*hunt group access code# to sign in to the hunt group. Dial #71*hunt group access code# to sign out of the hunt group.

The default dynamic sign-in prefix is *71*. The default sign-out prefix is #71*. Users can also customize the sign-in and sign-out prefixes.

If authentication is required during sign-in and sign-out, the system will prompt you to enter a 6-digit password when you sign in to and out of the hunt group.

§Sign in to or out of the hunt group by pressing one button

Log in to the web management system of an IP phone as the admin user (default password: admin123). Set a programmable button as the button for signing in to or out of the system, as shown in Figure 1.

Figure 1 Setting a programmable button as the button for signing in to or out of the system

Click to enlarge

After the setting is successful, you can press the programmable button on the IP phone to sign in to or out of the hunt group. After the sign-in, the indicator for the programmable button is on. After the sign-out, the indicator for the programmable button is off.

After a user signs in to a hunt group and when the hunt group receives a new message, the BLF indicator on the user's IP phone blinks and a message notification is also displayed on the IP phone screen. The user can press the message button to retrieve the message.

Calling a Hunt Group

Other users can dial the hunt group access code to call the hunt group. IP phones of idle hunt group members ring according to the configured sequential ringing mode.

Click to enlarge

Retrieving Voice Messages and Recording a Message Greeting of a Hunt Group

To retrieve voice messages of a hunt group or to record a greeting, perform the following steps:

1.Dial the VMS unified access prefix.

2.When hearing the announcement "please enter your password and press the pound key", press the star key (*).

If you enter the password here, you retrieve the voice messages of the local phone. If you press the star key (*), you retrieve voice messages of other users, for example, voice messages of a hunt group.

3.When hearing the announcement "please enter the number and press the pound key", enter the access code of the hunt group and press the pound key (#).

4.When hearing the announcement "please enter your password and press the pound key", enter the message retrieval password of the hunt group and press the pound key (#).

5.When hearing the announcement "to retrieve messages, please press 1", press 1 and listen to voice messages of the hunt group as prompted.

6.When hearing the announcement "to record greetings, please press 2 ", press 2 to record and save the greeting as prompted. For details, see Customizing greetings.

Parent Topic: Hunt Group


PBX Group Line Selection Service

The system selects a called party from a PBX group according to the preset selection mode when a non-PBX group user dials the number of the PBX group.

·Feature Configuration

·

Parent Topic: Voice Service


Feature Configuration

Enabling the service

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose User > SIP User.

To enable the service for POTS users, choose User > POTS User.

3.Select the number for which you want to add service rights and click Service Configuration.

The service configuration page is displayed.

4.In the Complex service area, click Configure next to PBX Group.

5.In the Configure PBX Group dialog box that is displayed, click the Configure PBX Group No tab, click Create, set parameters as prompted, and Click OK, as shown in Figure 1 Configure PBX Group No.

Figure 1 Configure PBX Group No

Click to enlarge

6.Click the Configure PBX Group Service tab and select the PBX group number, as shown in Figure 2.

Figure 2 Configure PBX Group Service

Click to enlarge

7.Click OK.

8.The message "Configuration success" is displayed.

Disabling the service

1.Perform operations in enabling the service from 1 to 4.

2.In the Configure PBX Group Service dialog box, click Disable Service.

The message "Disabling success." is displayed.

Parent Topic: PBX Group Line Selection Service


Simultaneous Ringing

A user binds several numbers to a primary number. When the primary number is called, phones with the primary number and the bound numbers ring simultaneously. When the call is answered on any phone, other phones stop ringing.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Enable the ringing service.

Before configuring the ringing service, enable the ringing service in X1900 V200R003C00SPC300 or higher version.

In the Simple service area, select Ringing to enable the ringing service.

After the ringing service is enabled:

·The administrator can configure the ringing service in the Complex service area.

·Users can configure the ringing service in the web self-service system.

4.Configure the ringing service.

Here, take administrator operations as an example to describe the service configuration process.

1.Under Complex service, click Configure next to Ringing.

2.In the Configure Ringing dialog box that is displayed, select Simultaneous ringing, and set numbers, as shown in Figure 1.

Figure 1 Configuring the simultaneous ringing service

To deactivate the simultaneous ringing service, click Disable Service in the Configure Ringing dialog box.

5.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Simultaneous Ringing


Feature Usage

This scenario assumes that user A has enabled the ringing service, numbers of users B and C are configured as the simultaneous numbers of user A, and user D is another user.

1.User D makes a call to user A. Phones of users A, B, and C ring simultaneously.

2.User A, B, or C picks up the phone and talks with user D. The other two users' phones stop ringing.

Parent Topic: Simultaneous Ringing


Sequential Ringing

A user binds several numbers to a primary number. When the primary number is called, phones with the primary number and the bound numbers ring in sequence. When the call is answered on a ringing phone, other phones will no longer ring.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

Activating the Service

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Enable the ringing service.

Before configuring the ringing service, enable the ringing service in X1900 V200R003C00SPC300 or higher version.

In the Simple service area, select Ringing to enable the ringing service.

After the ringing service is enabled:

·The administrator can configure the ringing service in the Complex service area.

·Users can configure the ringing service in the web self-service system.

4.Configure the ringing service.

Here, take administrator operations as an example to describe the service configuration process.

1.Under Complex service, click Configure next to Ringing.

2.In the Configure Ringing dialog box that is displayed, select Simultaneous ringing, and set numbers, as shown in Figure 1.

Figure 1 Configuring the sequential ringing service

a.In the Configure Ringing dialog box, click Disable Service to delete the simultaneous ringing service permission.

5.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Configuring the Ringing Interval

By default, the ringing interval before two terminals is 20s. To modify the ringing interval, run the following command:

config modify timerinterval pid os_pid_usam timergroup 1 timerindex 14 interval <0-35999999>

Parent Topic: Sequential Ringing


Feature Usage

This scenario assumes that the ringing service has been enabled for user A, numbers of users B and C are configured as the sequential numbers of user A, and user D is another user.

1.User D makes a call to user A.

2.If user A does not answer the call within 20 seconds, user A's phone stops ringing, and user B's phone rings.

3.If user B does not answer the call within 20 seconds, user B's phone stops ringing, and user C's phone rings.

4.User C picks up the phone and talks with user D.

If user A answers the call within 20 seconds, user B's phone does not ring. If user B answers the call within 20 seconds, user C's phone does not ring.

Parent Topic: Sequential Ringing


Call Group

When a user dials the access code of a call group, phones of all members in the group ring simultaneously. Members can pick up phones to join a meeting. The call group service is used with the instant hotline service, and the SoftConsole group access code is configured as the hotline number. When all members in a call group have the instant hotline service enabled, they can talk with specific outer-group angents after picking up phones.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Configuration

To implement the function described in Feature Description > Typical Scenarios, perform the following operations.

Prerequisites

·A SoftConsole group access code 28887890 has been configured. Agents can properly use SoftConsole services. For details about how to configure the SoftConsole group access code, see Console.

·A batch of user numbers have been configured for users in a call group. The hotline service has been activated for the user numbers. The hotline number is the SoftConsole group access code. For details about how to enable the hotline service, see Hotline.

Parent Topic: Call Group


Feature Usage

As an Agent

An external agent wants to talk with members in a call group. The agent dials the access code of the call group. Any member in the call group can pick up the phone and talk with the agent.

As a Call Group Member

A call group member picks up the phone. An agent receives an incoming call notification. The agent picks up the phone and talks with the call group member.

Interaction and Restriction

·When the instant hotline service is enabled for call group members, group members cannot make calls to each other.

·The system supports a maximum of 256 call groups, each of which supports a maximum of 10 users.

·Members of a call group must belong to the same X1900 series unified gateway.

·External users cannot dial the access code of a call group, but all intra-office users can.

Parent Topic: Call Group


Direct Inward Dialing(DID)

The Direct Inward Dialing (DID) feature enables external users to directly call intra-office users without being forwarded by calling the automatic switchboard.

·Feature Configuration

·

Parent Topic: Voice Service


Feature Configuration

Configuring DID When Digital Trunks Are Used

Configure long numbers for users to enable the DID function for these users. Figure 1shows the configuration page where the SIP user is used as an example. The configuration method for the POTS user is the same.

Figure 1 Configuring long numbers

From V2.0, two additional parameters, namely Service password and Self-service login password, are provided for a user being created. You can log in to the web management system and configure Service password and Self-service login password, or run the config system subscriber defaultpwd password password webpassword webpassword command in global config mode to configure the default service password and self-service login password for the user. If the passwords are not configured using either the command or web management system, the user fails to be created. If the passwords are configured using both the command and web management system, the configurations in the web management system prevail.

Configuring DID When AT0 Dedicated Lines Are Used

AT0 dedicated lines are allocated by the carrier. After a user is connected to an AT0 trunk, the number allocated by the carrier is the DID long number of the user.

This topic describes how to configure the DID service. For details about the AT0 trunk, see "Configuring an AT0 Trunk" in the Unified Gateway X1900 Product Documentatin.

Prerequisites

·You have connected AT0 trunk lines to the carrier side and obtained the number allocated to each line. Each FXO port on the local OSU board must be connected to an AT0 dedicated line on the carrier side, and uses the number allocated to the dedicated line.

·Basic configurations have been completed on the local end, including OSU board loading, intra-office user number allocation, and intra-office prefix configuration.

·The office route for routing calls through AT0 trunks and the outgoing prefix have been configured. Outgoing calls made by DID users are routed using this office route.

Procedure

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose Trunk > Trunk Configuration > AT0.

3.Click the icon for the peer office.

4.Click Create, configure the port numbers and office route for the AT0 trunk, and bind the port numbers with intra-office numbers one by one. The number allocated by the carrier to an AT0 dedicated line become the DID long number of the corresponding short number.

For details about the FXO port numbers used by phones, see the cable sequence table for the OSU board in "Reference > Pin Assignments of Subscriber Cables" in the Unified Gateway X1900 Product Documentatin.

Figure 2 Configuring AT0 dedicated lines

·When configuring the DID service, you only need to specify dedicated line numbers. You do not need to set Default Called Number.

·An AT0 dedicated line is available only to a specified user. The Line Selection Mode value does not affect calls, and you can use the default value.

5.Click OK.

6.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Direct Inward Dialing(DID)


Service of Number Replacement on the Same Phone

When a user's number is replaced and another user dials the user's original number, an announcement is played, indicating that the number is replaced and that the call can be automatically connected to the new number.

·Feature Description

·

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Description

Feature Definition

When a user's number is replaced and another user dials the user's original number, an announcement is played, indicating that the number is replaced and that the call can be automatically connected to the new number.

Interaction and Restriction

·The service of number replacement on the same phone conflicts with the ONLY service.

·The service of number replacement on the same phone conflicts with the service of number change on the same phone.

Parent Topic: Service of Number Replacement on the Same Phone


Feature Configuration

Configuring the Service of Number Replacement on the Same Phone

1.Log in to the web management system of the X1900 series unified gateway as the administrator.

2.Choose User > SIP User.

To enable the service for POTS users, choose User > POTS User.

3.Select the number for which you want to add service rights and click Service Configuration. The service configuration page is displayed.

4.In the Complex service area, click Configure next to Replace number.

5.In the Configure Number Replacement on the Same Phone dialog box, configure the new number information, as shown in Figure 1.

Figure 1 Configuring the service of number replacement on the same phone

The prefix of the new number must exist and the new number must have not been allocated.

6.Click OK.

The message "Configuration success" is displayed.

Parent Topic: Service of Number Replacement on the Same Phone


Feature Usage

This scenario assumes that user A's number is replaced by a new number.

1.User B dials user A's original number. An announcement is played, indicating that user A's number is replaced by another number.

2.The system checks whether the automatic connection function is enabled.

·If yes, the system automatically connects the call to the new number. User A's phone rings.

·If no, the system does not perform any operations. User B needs to dials user A's new number to ring user A's phone.

Parent Topic: Service of Number Replacement on the Same Phone


Service of Number Change on the Same Phone

After a user connects the phone to another phone line and changes the number, when another user dials the user's original number, an announcement is played, indicating that the number is changed and that the call can be automatically connected to the new number.

·Feature Description

·

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Service


Feature Description

Feature Definition

After a user connects the phone to another phone line and changes the number, when another user dials the user's original number, an announcement is played, indicating that the number is changed and that the call can be automatically connected to the new number.

Interaction and Restriction

·Some issues occur when the service of number change on the same phone is implemented for the number that is already configured with the service of number replacement on the same phone. To avoid the issues, delete the service of number replacement on the same phone before configuring the service of number change on the same phone.

·The service of number change on the same phone conflicts with the ONLY service.

·The service of number change on the same phone conflicts with the service of number replacement on the same phone.

·Both the new and the old number occupy users' License resources.

Parent Topic: Service of Number Change on the Same Phone


Feature Configuration

Configuring the Service of Number Change on the Same Phone

1.Log in to the web management system of the X1900 series unified gateway as the administrator.

2.Choose User > SIP User.

To enable the service for POTS users, choose User > POTS User.

3.Select the number for which you want to add service rights and click Service Configuration. The service configuration page is displayed.

4.In the Complex service area, click Configure next to Change number.

5.In the Configure Change Number on the Same Phone dialog box, configure the new number information, as shown in Figure 1.

Figure 1 Configuring the service of number change on the same phone

The new number must be an existing number configured on the unified gateway.

6.Click OK.

The message "Configuration success" is displayed.

Parent Topic: Service of Number Change on the Same Phone


Feature Usage

This scenario assumes that user A's number has been changed to another existing number.

1.User B dials user A's original number. An announcement is played, indicating that user A's number is changed to another number.

If the new number is too long, the announcement may stop before all the digits of the number are played. You can run the config modify timerinterval pid vu timergroup 0 timerindex 20 interval <timeinterval> command to change the announcement duration.

2.The system checks whether the automatic connection function is enabled.

·If yes, the system automatically connects the call to the new number. User A's phone rings.

·If no, the system does not perform any operations. User B needs to dials user A's new number to ring user A's phone.

Parent Topic: Service of Number Change on the Same Phone


Automatic Switchboard

The automatic switchboard service is also known as the interactive voice response (IVR) service. The IVR service forwards incoming calls to extension numbers.

·Configuring the Default Automatic Switchboard

·

·Configuring an Automatic Switchboard with a Custom Announcement

·

·Configuring the Cyclical Automatic Switchboard

·

·Configuring the Automatic switchboard for dialing the switchboard number and extension number together

·

·Configuring Local Node Recording and Voice Playback

·

·Troubleshooting

·

Parent Topic: Feature Guide


Configuring the Default Automatic Switchboard

Users can configure the automatic switchboard access code to enable automatic switchboard functions. The system plays the default prompt tone for calling users.

Prerequisites

·Numbers have been allocated to intra-office users on the unified gateway.

·The trunk that connects to other devices has been configured.

Data Plan

When an external user dials the automatic switchboard number, the user hears the announcement "Please dial the extension number." The user enters the extension number. Then, the call is routed to the user inside the enterprise.

Table 1 Data plan

Parameter | Planned Value | Description
Automatic switchboard number | 28887888 | This parameter refers to the public number provided by an enterprise for external users. External users can dial this automatic switchboard number, through which their calls are routed to users inside the enterprise.
Extension number | 81000 | External users dial the automatic switchboard number and then dial the extension number 81000. Their calls are then routed to the user with extension number 81000.

Procedure

VU scripts of the automatic switchboard have been pre-configured into the system by default. Users can configure the automatic switchboard access code to enable automatic switchboard functions.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Configure an automatic switchboard access code.

a.Choose Trunk > Called Prefix Configuration.

b.Click Create.

c.Configure prefix 28887888, as shown in Figure 1.

The automatic switchboard access code (28887888 in this example) must be different from user numbers. If the automatic switchboard access code is the same as a user number, the call to the number is routed to the user, not the switchboard.

Figure 1 Configuring prefix 28887888

Table 2 Key parameters

Parameter | Description
VU loop | Whether the switchboard prompt tone is returned again when the switchboard cannot be called. For details, see Configuring the Cyclical Automatic Switchboard.
VU outgoing right | Whether the switchboard can forward calls to external extensions. To prevent intra-office users from dialing the switchboard to make toll calls, it is recommended that you do not set it to DDD or IDD.

d.Click OK.

3.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Verification

Task | Operation | Result
Make a call to the automatic switchboard. | Pick up the phone and dial automatic switchboard number 28887888. | The call is connected and the announcement "Please dial the extension number" is played.
Make a call to an extension number. | Dial an extension number as prompted. | The call is connected.

Parent Topic: Automatic Switchboard


Configuring an Automatic Switchboard with a Custom Announcement

This topic describes how to record voice files, load VU scripts using the CLI, and configure a customized automatic switchboard access code to enable the automatic switchboard to play custom announcements. Then the system plays the custom announcements to users who make calls to the automatic switchboard.

To enable an automatic switchboard to play custom announcements, a user must record the customized voice files for an automatic switchboard and load them to the unified gateway. Custom announcements can be recorded in three ways.

Enterprise A wants to set its automatic switchboard announcement as "Thanks for calling XXX (company). Please dial the extension number. To query numbers, please dial 0. To learn about the company's business, please dial 1. To leave a message, please dial 8. To listen to the announcement again, please dial 9. To return to the previous menu, please press the pound key."

·Data Plan

·

·Recording and loading a single voice file: using an IP phone to record

·

·Customizing and Loading All System Announcements

·

·Configuring Customized Automatic Switchboard Menus and Time Segment Policies

·

·Configuring the Access Code for the Automatic Switchboard

·

·Verification

·

Parent Topic: Automatic Switchboard


Data Plan

Table 1describes the data required for verification.

Table 1 Data plan

Parameter | Planned Value | Description
Automatic switchboard number | 28887888 | This parameter refers to the public number provided by an enterprise for external users. External users can dial this automatic switchboard number, through which their calls are routed to users inside the enterprise.
SoftConsole | 28887890 | External users dial the automatic switchboard number and then dial 0 as prompted. Their calls are then routed to the enterprise's SoftConsole, where external users can be served.
Extension number | 81000 | External users dial the automatic switchboard number and then dial the extension number 81000. Their calls are then routed to the user with extension number 81000.
Recording prefix | 222 | After dialing the automatic switchboard number, an authorized user dials 222 when hearing the announcement to enter the process for recording a custom announcement or notification.

Parent Topic: Configuring an Automatic Switchboard with a Custom Announcement


Recording and loading a single voice file: using an IP phone to record

Context

For X1911/X1960/X1981, if you do not have a high requirement on the audio quality and need to modify custom announcements frequently, you can use a phone to record custom announcements in real time. Recorded custom announcements will be automatically loaded to the unified gateway.

After being recorded, custom announcements are stored on the MTUB that provides DSP resources for calls, synchronized to the SD card of the active SCUB, and then synchronized to the standby SCUB and other MTUBs. Every time the MTUB or standby SCUB restarts or a new MTUB or SCUB is added, the MTUB or standby SCUB reads all custom announcements from the SD card of the active SCUB, as shown in Figure 1. The synchronization process takes about 1 minute and the announcements take effect immediately.

Custom announcements can be loaded only if SCUB boards exist on the unified gateway and SD cards can be inserted into the SCUB boards.

In the centralized call management network, you can choose whether to use the local node or the central node to record. For details about the scenario and configuration method, see Configuring Local Node Recording and Voice Playback.

Figure 1 Process for synchronizing custom announcements recorded through phones

Click to enlarge

The recording script has been loaded to the system by default. You can choose System > Script Management on the web management system of the X1900 series unified gateway to view the recording script.

Procedure

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Create a recording prefix.

a.Choose Trunk > Called Prefix Configuration.

b.Click Create to add a recording prefix.

Take 222 as an example, as shown in Figure 2.

Figure 2 Creating a recording prefix

c.Click OK.

3.In the upper right corner of the web page, click Click to enlarge to save the configuration.

4.Create an authentication account.

a.The value of account must be a number consisting of 6-20 digits, and so is the value of password. The password must be different from the account or the account in reverse order.

b.The try parameter specifies the maximum number of password retries, and the locklen parameter specifies the account lock duration when the maximum number of password retries is exceeded (in minutes).

c.The system supports a maximum of 16 authentication accounts.

5.Use a phone to dial the recording prefix, enter the authentication account and password as prompted, and record custom announcements for specified voice channels.

For the value range of the channel numbers for custom announcements, see Feature Description.

a.The X1900 series unified gateway allows you to use IP phones to record custom announcements. The maximum duration of an announcement cannot exceed 5 minutes. For the duration limitations, see Feature Description. At the same time, only one user is allowed to record custom announcements.

b.To ensure recording quality, avoid recording custom announcements in a noisy environment.

c.You can also dial the recording prefix to delete custom announcements for specified voice channels. When the system plays the announcement corresponding to a voice channel for which the custom announcement is deleted, users will hear the default announcement or hear nothing. The voice.zip package can contain announcements corresponding to voice channel 0 to 311. The voice channels for custom announcements may overlap with the voice channels involved in the voice.zip package. When the voice channels for two announcements are the same, the default announcement in the voice.zip package is played if you delete the custom announcement corresponding to this voice channel. If you delete a custom announcement whose voice channel is not included in the voice.zip package, you can hear nothing.

Figure 3 and Figure 4 show the operation procedures.

Figure 3 Recording a custom announcement

Figure 4 Recording a notification

Click to enlarge

Verification

Dial #79*N# as a user who has the agent rights to verify that the announcement for voice channel N is the recorded custom announcement. An agent can hear the announcements for all voice channels.

You can also dial the recording prefix on the phone and play the recorded announcement as prompted.

Parent Topic: Configuring an Automatic Switchboard with a Custom Announcement


Customizing and Loading All System Announcements

Context

On X1911/X1960/X1981 users can replace the existing voice package with a new one so that customized voice files in the new voice package are automatically loaded.

Phone system announcements (for example, "Connecting to message service now") are automatically played when conditions are met during a call.

By default, the X1900 series unified gateway provides system announcements in Chinese (mandarin). The voice packages listed in the following table are also delivered with the product version. You can load a corresponding file package of the phone system announcements to switch the announcements to the desired language for the X1900 series unified gateway.

The X1900 series unified gateway supports Italian announcements in the V2.0 and later versions.

Table 1 Voice package description

Voice Package Name | Language
voice_arabic.zip | Arabic (United Arab Emirates and Kuwait)
voice_chinese.zip | Chinese (Mandarin)
voice_dutch.zip | Dutch
voice_american.zip | English (United States)
voice_british.zip | English (Britain)
voice_french.zip | French
voice_portuguese(brazilian).zip | Portuguese (Brazil)
voice_portuguese(european).zip | Portuguese (Europe)
voice_russian.zip | Russian
voice_spanish(latin).zip | Spanish (Latin America)
voice_spanish(european).zip | Spanish (Europe)
voice_italian.zip | Italian

If the preset announcements cannot meet onsite requirements, you can create and load audio files as default announcements.

Preparing Phone System Announcements

If a voice package delivered with the product version can meet the requirements, rename the voice package voice.zip or mrsvoice.zip for future use.

The voice package name of X1911/X1960/X1981 is voice.zip.

To replace all audio files, perform the following steps:

1.Record phone system announcements for the channels by referring to custom demand.

For details about mapping between voice contents and channel IDs, see the Audio File List. Note the following when preparing audio files:

·The codec is G.711a.

·The announcement recorded is in mono.pcm format.

·The sampling rate is 8 kHz, sample precision is 8 bit.

·The size of a single voice file cannot exceed 256 KB. The recording duration can last at most 32s for both of them.

The size and duration of a voice file that is created and loaded by using professional software are different from those of a single voice file that is recorded by professional software:

To make and load all voice files, replace the entire voice package to replace the customized voice file. The size and duration of a single voice file are small. The voice file recorded by the professional software is the voice file that is not contained in the audio file table. After the voice file is loaded.

·The recorded audio file must be named after the channel ID. A new voice file will replace the old one if they are in the same channel. Therefore, you need to be cautious when selecting a channel number. It is recommended that you back up the old voice.zip or mrsvoice.zip file before making a new voice.zip or mrsvoice.zip file.

·In the automatic switchboard service, if a user does not press the pound key (#) after dialing a number according to the announcement, the call waiting duration may be long. To avoid this issue, the announcement played needs to prompt users to press the pound key. For example, the announcement "Please dial the extension number" needs to be changed to "Please dial the extension number followed by the pound key".

2.Perform the following steps to make the recorded announcements into a voice.zip or mrsvoice.zip package.

Refer to the following procedure for compression. Do not compress it into a .zip file using a common compression tool.

Verification

Dial #79*N# as a user who has the agent rights to verify that the announcement for voice channel N is the recorded custom announcement. An agent can hear the announcements for all voice channels.

Parent Topic: Configuring an Automatic Switchboard with a Custom Announcement


Configuring Customized Automatic Switchboard Menus and Time Segment Policies

You are allowed to customize one or multiple levels of menus to enable the automatic switchboard to play customized IVR menus and to play different announcements by time segment.

Configuring the Time Segment Index(Optional)

The system supports period-specific automatic switchboard for playing different announcements at different time segments. Skip this section if period-specific automatic switchboard is not required.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose System > VU Management > Time index.

3.Click Create.

For example, to fulfill requirements listed in Table 1, you must configure the time index, as shown in Figure 1.

Table 1 Custom announcement and time segment requirements

Time Segment Index | Time Segment | Automatic Switchboard Operation | Is Holiday
0 | On-duty time (08:00-18:00) from Monday to Friday | The automatic switchboard navigates users to select menus for related operations. | No
1 | Off-duty time (00:00:00-07:59:59) from Monday to Friday | The automatic switchboard plays the announcement indicating that no service is provided in other time. | No
2 | Off-duty time (18:00:01-23:59:59) from Monday to Friday | The automatic switchboard plays the announcement indicating that no service is provided in other time. | No
3 | Saturday and Sunday (all day) | The automatic switchboard plays the announcement dedicated to holidays. | Yes

Figure 1 Configuring the time segment index

·Do not create two time segment policies that have the same time segment. If such policies exist, announcement may encounter exceptions if users dial the corresponding automatic switchboard number within that time segment.

·If two time segments overlap, the automatic switchboard corresponding to holidays is preferentially used among all the overlapping time segments. If the overlapping time segments all belong to holidays or all do not belong to holidays, the automatic switchboard corresponding to the time segment that has a smallest index is preferentially used.

Configuring Multi-level Customized Automatic Switchboard Menus and Time Segment Policies

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose System > VU Management > Customized automatic switchboard Configuration.

3.Click Create.

For example, to meet the requirements listed in Table 1, set parameters by referring to Figure 2.

Click [image] to display advanced parameters.

Figure 2 Adding a customized automatic switchboard

·If the automatic switchboard is not required to play announcements by time segment, you only need to set the first time segment in Figure 2. Set the values of the other Time segment fields to none.

·If multi-level voice menus are not required, you do not need to click Create menu in Figure 2 to set related parameters.

·By default, the system allows users to press * to return to the previous menu and press # to return to the root menu. No additional configuration is required.

Table 2 Key parameter description

Parameter

Description

Script name

Name of the script that is generated after the automatic switchboard is configured. The script name is user-defined. The script can be downloaded so that it can be load to another automatic switchboard to implement the same functions as this automatic switchboard.

Extension number length

Maximum length of an extension number when a call is forwarded from the automatic switchboard to an extension.

Inter-digit timeout time

Interval between two dialing attempts. If the interval between a user's two conseutive dialing attempts reaches this duration or if the user performs no operation within this duration after the system plays an announcement, the system determines that the dialing ends or the operation times out.

Play voice interval

Duration after which the system determines a dialing timeout and plays an announcement again because no operation is performed within this duration. If no digit is dialed when the number of times the system plays the announcement reaches the value of Play count, the system releases the call.

Prefixed number

Number that the system automatically prefixes to an extension number when a user dials the automatic switchboard number and an extension number.

Generally, you do not need to specify this number. If required in some scenarios, set this parameter based on the data plan.

Time segment

Time segment used to specify the announcements and IVR menus to be played. The time segments are set on the Time index tab page.

The default value is none, indicating all time segments.

Welcome voice

Number of the voice channel for the welcome announcement that is played when a call is made to the automatic switchboard in the specified time segment.

Menu voice

Voice menus to be played after the welcome announcement is played. For example, to query numbers, please dial 0. To query services, please dial 1. To switch to the manual service, please dial 9.

Voice menus can be recorded separately from or together with the welcome announcement. If you have recorded voice menus together with the welcome announcement, set this parameter to none.

Extension not support

Extension support

·Extension support

A user can directly dial the extension number of an intra-office user to reach this user after hearing the corresponding announcement.

·Extension not support

A user can only dial a menu code to access a lower-level menu after hearing the corresponding announcement.

Play count

Times an announcement is replayed upon an incorrect user input.

Create menu

Click to create a lower-level menu.

Description of menu items

·0–9, *, #, T/O, Failure transferred

When configuring submenu processes for an automatic switchboard, define the system response process when a user presses a single key (digits from 0 to 9, *, or #) and define the system response process upon situations such as a user operation timeout or a call transfer failure.

NOTE:

By default, the system allows users to press * to return to the previous menu and press # to return to the root menu. If you have redefined the functions for the two keys in the submenus, the new definitions take effect.

·Switch to assigned number

After a user presses this key, the system forwards a call to a preset number, for example, a SoftConsole access number or a manual service number.

·Play voice

When a user presses this key, the system plays the announcement corresponding to a specified channel number, for example, the introduction to an enterprise.

·Switch to voice mailbox

When a user presses this key, the system forwards a call to a voice mailbox.

§If this parameter is empty, the system plays an announcement notifying that the user is being redirected to a process for leaving a voice message and prompts the user to enter the user number to which a voice message is left. Then the user enters the process for leaving a voice message.

§If a user number for a public voice mailbox is entered, the system plays an announcement notifying that the user is being redirected to a process for leaving a voice message and then directly enters the process.

Before setting this parameter, configure the voice mailbox service and ensure that the voice mailbox permission has been granted to related users.

·Get voice message

When a user presses this key, a call is forwarded to a preset voice mailbox access prefix. Then the user enters the process for retrieving voice messages. The user can retrieve voice messages as prompted.

Before setting this parameter, configure the voice mailbox service and ensure that the voice mailbox permission has been granted to related users.

·Switch to sub menu

Select this option if you need to create sub menus. You can also specify the channel numbers for playing sub menu announcements to notify users of the sub menus.

Before setting this parameter, configure the voice mailbox.

·Go back to previous menu

When a user presses this key, the system plays the announcement for returning to the previous menu.

·Replay the menu voice

When a user presses this key, the system repeatedly plays the announcement for a menu.

·Transfer calls to the extension

When a user presses this key, the system allows the user to dial an extension number.

·Whether to continue receive number

§Continue Receive Number: When transfer to extension is supported, users can dial a number within the digit collection period after they press the corresponding key.

§Not Continue Receive Number: When transfer to extension is supported, users directly access the corresponding function after they press the corresponding key, and they cannot dial other numbers.

1.Click OK.

Figure 3 shows the configuration result. The system automatically compiles and loads the new automatic switchboard script.

Figure 3 Configuration result

2.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Uploading or Downloading the Automatic Switchboard Script

In Figure 3, click an icon in the Operation column next to a script name to modify or download a script file. The downloaded script file can be uploaded to this device or another device.

The following takes a .cfg script file that is customized on the web management system for an automatic switchboard as an example. The script files that you upload or download on the Script Management page are all service VU and IVR script files supported by the system, for example, the script file for the VMS. The script files are in .txt format.

In a two-node active and standby scenario, the downloaded user-defined switchboard scripts must be manually loaded to the standby node.

Parent Topic: Configuring an Automatic Switchboard with a Custom Announcement


Configuring the Access Code for the Automatic Switchboard

The automatic switchboard access code is the automatic switchboard number, which is dialed by a user to connect to the automatic switchboard.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose Trunk Management > Called Prefix Configuration.

3.Click Create.

4.Configure the access code 28887888, as shown in Figure 1.

The access code (28887888 in this example) must be different from user numbers. If the access code is the same as a user number, the call to the number is routed to the user, not the switchboard.

Figure 1 Configuring the access code

Table 1 Key parameter description

Parameter | Description
Script name | Select the customized automatic switchboard script under System > VU Management > Customized automatic switchboard configuration.
VU loop | Whether to play the automatic switchboard announcement upon a failure to call an extension. For details, see Configuring the Cyclical Automatic Switchboard.
VU outgoing right | Whether a call that is made by dialing the automatic switchboard number and an extension number can be forwarded to an outer-office number. It is recommended that you do not configure DDD or IDD to prevent an outer-office user from dialing an automatic switchboard number to forward an extension that is a toll call.

5.Click OK.

6.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Configuring an Automatic Switchboard with a Custom Announcement


Verification

Verify the period-specific automatic switchboard service configuration by dialing the automatic switchboard number.

Task | Action | Expected Result
Forward a call to an extension number. | 1. Have a user dial switchboard number 28887888. | The system plays the custom announcement "Thanks for calling XXX (company). Please dial the extension number. To query numbers, please dial 0. To learn about the company's business, please dial 1. To leave a message, please dial 8. To listen to the announcement again, please dial 9. To return to the previous menu, please press the pound key."
 | 2. Have the user enter extension number 81000 followed by the pound key. | The phone with number 81000 rings.
 | 3. Have user 81000 answer the phone. | The user talks with user 81000.
Record and play a notification. | 1. Have a user dial switchboard number 28887888. | The system plays the custom announcement "Thanks for calling XXX (company). Please dial the extension number. To query numbers, please dial 0. To learn about the company's business, please dial 1. To leave a message, please dial 8. To listen to the announcement again, please dial 9. To return to the previous menu, please press the pound key."
 | 2. Have the user enter recording prefix 222 followed by the pound key. | The system plays the authentication announcement.
 | 3. Have the user enter the user name and password. | The system plays an announcement for the user to choose the required recording operation.
 | 4. Have the user enter 2. | The system plays the announcement for recording a notification.
 | 5. Have the user record the notification as prompted. | A notification is recorded, with the duration not exceeding 5 minutes.
 | 6. Have the user dial switchboard number 28887888 again. | The system plays the recorded notification followed by the custom announcement.
Query a number. | 1. Have a user dial switchboard number 28887888. | The system plays the custom announcement "Thanks for calling XXX (company). Please dial the extension number. To query numbers, please dial 0. To learn about the company's business, please dial 1. To leave a message, please dial 8. To listen to the announcement again, please dial 9. To return to the previous menu, please press the pound key."
 | 2. Have the user enter 0. | The system automatically forwards the call to the information desktop for it to provide services for the user.
Obtain information about the business provided by an enterprise. | 1. Have a user dial switchboard number 28887888. | The system plays the custom announcement "Thanks for calling XXX (company). Please dial the extension number. To query numbers, please dial 0. To learn about the company's business, please dial 1. To leave a message, please dial 8. To listen to the announcement again, please dial 9. To return to the previous menu, please press the pound key."
 | 2. Have the user enter 1. | The system plays the announcement introducing the business of the enterprise.
 | 3. Have the user enter #. | The system returns to the previous menu and plays the announcement for this menu.
Listen to an announcement repeatedly. | 1. Have a user dial switchboard number 28887888. | The system plays the custom announcement "Thanks for calling XXX (company). Please dial the extension number. To query numbers, please dial 0. To learn about the company's business, please dial 1. To leave a message, please dial 8. To listen to the announcement again, please dial 9. To return to the previous menu, please press the pound key."
 | 2. Have the user enter 9. | The system plays the announcement that has just played.

Parent Topic: Configuring an Automatic Switchboard with a Custom Announcement


Configuring the Cyclical Automatic Switchboard

This topic describes how to change the automatic switchboard number settings so that a user returns to the switchboard when the user fails to make a call to an extension number.

Prerequisite

The automatic switchboard has been configured by default or with the function of customizing prompt tones.

Procedure

The system will play the automatic switchboard prompt tone when a user fails to call someone by dialing an extension number through the switchboard.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose Trunk > Called Prefix Configuration.

3.Create the automatic switchboard prefix and set VU cyclic parameters, as shown in Figure 1.

Figure 1 Setting VU cyclic parameters

Click to enlarge

4.Click OK.

5.In the upper right corner of the web page, click Click to enlarge to save the configuration.

In V200R003C50SPC600 and later versions, when VU loop is set to No, software parameter 543 can be used to control the number of times of VU internal cyclic announcement playing and digit collection. When software parameter 543 is set to 1, the VU does not play announcements cyclically. When VU loop is set to Yes, software parameter 543 does not take effect.

Verification

Task | Action | Expected Result
Make a call to the automatic switchboard. | Pick up the phone and dial automatic switchboard number 28887888. | The call is connected and the announcement "Please dial the extension number" is played.
Make a call to an extension number. | Dial an extension number 81000 as prompted. | The call fails and the announcement "Please dial the extension number" is played.

Parent Topic: Automatic Switchboard


Configuring the Automatic switchboard for dialing the switchboard number and extension number together

This topic describes how to change the automatic switchboard access code settings and set software parameters so that a user can directly make a call to an extension number without being transferred by the switchboard.

Prerequisite

The automatic switchboard has been configured by default or with the function of customizing prompt tones.

To avoid incorrect number analysis, ensure that the value of minlen for the automatic switchboard access code is the same as the length of the automatic switchboard access code.

Procedure

A user can dial the automatic switchboard access code plus an extension number, for example, 28887888+81000, to directly make a call to an internal user.

1.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

2.Enable soft parameter 306.

config softargu type 306 value 1

3.Run the save command to save data.

Verification

Task | Operation | Result
Make a call to an extension number. | Pick up the phone and dial 2888788881000. | The call is connected.

Parent Topic: Automatic Switchboard


Configuring Local Node Recording and Voice Playback

·Context

·

·Local Voice Playback Scenario 1

·

·Local Voice Playback Scenario 2

·

·Local Voice Playback Scenario 3

·

·Local Voice Playback Scenario 4

·

·Local Recording Scenario 1

·

·Local Recording Scenario 2

·

·Local Recording Scenario 3

·

Parent Topic: Automatic Switchboard


Context

In the centralized call management network, you can enable the central or local nodes to provide the voice playback function for the automatic switchboard. By default, the voice playback function is provided by the central node.

In addition, you can enable the central or local nodes to provide the recording function for users to record announcements on phones.

·Local voice playback scenarios: Based on user requirements on automatic switchboard number planning, you can implement four local voice playback scenarios.

·Local recording scenarios: Based on user requirements, you can implement three local recording scenarios.

Parent Topic: Configuring Local Node Recording and Voice Playback


Local Voice Playback Scenario 1

Scenario

The headquarters and branch use different automatic switchboard numbers. When intra-office users call the automatic switchboard, the voice playback function is provided by the central node. When external users call the automatic switchboard, the voice playback function is provided by the local node.

Figure 1 shows the scenario.

Figure 1 Switchboard voice playback in scenario 1

Click to enlarge

Procedure

1.Set the voice playback source to Local on the local node and headquarters access gateway.

a.Use an administrator account to log in to the web management system of the local node and headquarters access gateway.

b.Choose System > Network Mode.

c.Configure the voice playback source for the automatic switchboard.

·When the voice playback source is set to Local, the local node provides the voice playback function for the automatic switchboard.

·When the voice playback source is set to Center, the central node provides the voice playback function for the automatic switchboard.

Figure 2 shows the configuration.

Figure 2 Configuring the voice playback source for the automatic switchboard

Click to enlarge

For details about the recording channel configuration, see local recording scenarios in the following sections.

2.Add the automatic switchboard number on the central node.

Normally, intra-office users are registered with the central node, and all calls are processed by the central node. Intra-office users at the headquarters dial 28882999, and intra-office users in the branch dial 28885999. Therefore, you need to configure automatic switchboard number 28882999 of the headquarters and automatic switchboard number 28885999 of the branch on the central node for processing calls from intra-office users to the automatic switchboard.

a.Use an administrator account to log in to the web management system of the unified gateway on the central node.

b.Choose Trunk > Called Prefix Configuration.

c.Add prefixes 28882999 and 28885999.

·Set Service type to Virtual user.

·Set Call property to Automatic switchboard.

·Use default values for other parameters.

d.In the upper right corner of the web page, click Click to enlarge to save the configuration.

3.Configure automatic switchboard number 28882999 of the headquarters on the headquarters access gateway.

When users at the PSTN side of the headquarters call the automatic switchboard of the headquarters, the voice playback function is provided by the headquarters access gateway.

For details, see 2.

4.Configure automatic switchboard number 28885999 of the branch on the local node.

When users at the PSTN side of the branch call the automatic switchboard of the branch, the voice playback function is provided by the local node.

For details, see 2.

Parent Topic: Configuring Local Node Recording and Voice Playback


Local Voice Playback Scenario 2

Scenario

The headquarters and branch use different automatic switchboard numbers. When intra-office users and external users call the automatic switchboard, the voice playback function is provided by the local node.

Figure 1 shows the scenario.

Figure 1 Switchboard voice playback in scenario 2

Click to enlarge

Procedure

1.Set the voice playback source to Local on the local node and headquarters access gateway.

Refer to the procedure described in scenario 1.

2.Configure automatic switchboard number 28882999 of the headquarters on the headquarters access gateway.

When users at the PSTN side of the headquarters call the automatic switchboard of the headquarters, the voice playback function is provided by the headquarters access gateway.

Refer to the procedure described in scenario 1.

3.Configure automatic switchboard number 28885999 of the branch on the local node.

When users at the PSTN side of the branch call the automatic switchboard of the branch, the voice playback function is provided by the local node.

Refer to the procedure described in scenario 1.

4.Configure automatic switchboard numbers as outgoing prefixes on the central node for routing calls to the local node.

To implement local voice playback when intra-office users call the automatic switchboard, configure automatic switchboard numbers as outgoing prefixes on the central node for routing calls to the local node.

Configure 28882999 for routing calls to the access gateway; configure 28885999 for routing calls to the local node.

a.Use an administrator account to log in to the web management system of the unified gateway on the central node.

b.Choose Trunk > Called Prefix Configuration.

c.Add prefixes 28882999 and 28885999.

·Set Service type to Basic Service.

·Set Call property to Local call.

·Select the corresponding office route selection code.

·Use default values for other parameters.

d.In the upper right corner of the web page, click Click to enlarge to save the configuration.

Parent Topic: Configuring Local Node Recording and Voice Playback


Local Voice Playback Scenario 3

Scenario

The headquarters and branch use the same automatic switchboard number. When intra-office users call the automatic switchboard, the voice playback function is provided by the central node. When external users call the automatic switchboard, the voice playback function is provided by the local node.

Figure 1 shows the scenario.

Figure 1 Switchboard voice playback in scenario 3

Click to enlarge

This scenario is similar to scenario 1. The only difference is that you configure 28882999 as the automatic switchboard number on both central and local nodes.

Procedure

1.Set the voice playback source to Local on the local node and headquarters access gateway.

Refer to the procedure described in scenario 1.

2.Add the automatic switchboard number on the central node.

Add automatic switchboard number 28882999 for processing calls from intra-office users to the automatic switchboard.

Refer to the procedure described in scenario 1.

3.Configure automatic switchboard number 28882999 of the headquarters on the headquarters access gateway.

When users at the PSTN side of the headquarters call the automatic switchboard of the headquarters, the voice playback function is provided by the headquarters access gateway.

For details, see 2.

4.Configure automatic switchboard number 28882999 of the branch on the local node.

When users at the PSTN side of the branch call the automatic switchboard of the branch, the voice playback function is provided by the local node.

For details, see 2.

Parent Topic: Configuring Local Node Recording and Voice Playback


Local Voice Playback Scenario 4

Scenario

The headquarters and branch use the same automatic switchboard number. When intra-office users and external users call the automatic switchboard, the voice playback function is provided by the local node.

Figure 1 shows the scenario.

Figure 1 Switchboard voice playback in scenario 4

Click to enlarge

Compared with scenario 2, the difference is that the headquarters and branch use the same automatic switchboard number. You cannot configure multiple prefixes of the same value for routing calls to local nodes of different branches.

Therefore, you need to use the call source rerouting analysis function to implement this scenario. The solution is as follows:

Add users in each branch to a separate call source on the central node. Users at the headquarters belong to call source 0 by default. Configure the automatic switchboard number as an outgoing prefix for routing calls to the headquarters access gateway. This implement local voice playback for intra-office users at the headquarters. Then, configure call source rerouting analysis to reroute switchboard calls from intra-office users in a branch to the local node of the branch.

When POTS users registered through the local node call the automatic switchboard, the implementation method of local voice playback is the same as that for SIP users. Therefore, the configuration procedures for POTS and SIP users are the same.

Procedure

1.Set the voice playback source to Local on the local node and headquarters access gateway.

Refer to the procedure described in scenario 1.

2.Configure automatic switchboard number 28882999 of the headquarters on the headquarters access gateway.

When users at the PSTN side of the headquarters call the automatic switchboard of the headquarters, the voice playback function is provided by the headquarters access gateway.

Refer to the procedure described in scenario 1.

3.Configure automatic switchboard number 28882999 of the branch on the local node.

When users at the PSTN side of the branch call the automatic switchboard of the branch, the voice playback function is provided by the local node.

Refer to the procedure described in scenario 1.

4.Configure the automatic switchboard number as an outgoing prefix on the central node for routing calls to the headquarters access gateway.

To implement local voice playback when intra-office users call the automatic switchboard, configure the automatic switchboard number as an outgoing prefix on the central node for routing calls to the headquarters access gateway.

a.Use an administrator account to log in to the web management system of the unified gateway on the central node.

b.Choose Trunk > Called Prefix Configuration.

c.Add prefix 28882999.

·Set Service type to Basic Service.

·Set Call property to Local call.

·Set Office route selection code to the office route selection code from the central node to access gateway.

·Use default values for other parameters.

d.In the upper right corner of the web page, click Click to enlarge to save the configuration.

5.Configure a call source and add users in the branch to the call source.

config modify subscribe dn dn callsource no 1 number number

Here, dn indicates the user number, and number indicates the number of users added in a batch.

a.Configure call source rerouting analysis.

When intra-office users dial 28882999, the central node analyzes the prefix. Calls that should be routed to office route corresponding to the access gateway are routed to the office route corresponding to the local node after call source rerouting analysis.

config add routeanalysis officeselectcode officeselectcode callsourceno 1 officeno officeno

Here, officeselectcode indicates the office route selection code from the central node to the access gateway, and officeno indicates the office route from the central node to the local node.

b.Run the save command to save the configuration.

Parent Topic: Configuring Local Node Recording and Voice Playback


Local Recording Scenario 1

Record announcements only on the local node. Table 1 lists the two recording modes.

Table 1 Scenario of recording only on the local node

Recording Mode

Configure Points

PSTN users dial the recording prefix.

1.Configure the recording prefix, authentication account, and password on the local node. For details, see Procedure.

2.Set Record Channel in Network Mode to Local on the local node.

3.No configuration is required on the central node.

When users routed to the office through the local node dial the recording prefix, the local node starts the recording process.

Intra-office users dial the recording prefix.

1.Configure the recording prefix, authentication account, and password on the local node. For details, see Procedure. Set Record Channel in Network Mode to Local on the local node.

2.Configure the recording prefix as an outgoing prefix on the central node for routing calls to the local node.

When intra-office users dial the recording prefix, the calls are routed to the local node, which then starts the recording process. In this mode, each local node needs a unique recording prefix.

Parent Topic: Configuring Local Node Recording and Voice Playback


Local Recording Scenario 2

Scenario: Record announcements only on the central node.

Table 1 Scenario of recording only on the central node

Recording Mode

Configure Points

PSTN users dial the recording prefix.

1.Configure the recording prefix, authentication account, and password on the central node. For details, see Procedure.

2.Set Record Channel in Network Mode to Center on the local node.

3.Do not configure any recording prefixes on the local node.

When users routed to the office through the local node dial the recording prefix, the local node starts the recording process.

Intra-office users dial the recording prefix.

The configuration is the same as that in the mode for PSTN users to dial the recording prefix.

Parent Topic: Configuring Local Node Recording and Voice Playback


Local Recording Scenario 3

Record announcements on both the central and local nodes. Table 1 lists the two recording modes.

Table 1 Scenario of recording on both the central and local nodes

Recording Mode

Configure Points

PSTN users dial the recording prefix.

1.Configure the recording prefix, authentication account, and password on both the central and local nodes. For details, see Procedure. The recording prefix on the central node must be different from that on the local node.

2.Set Record Channel in Network Mode to Center on the local node.

When users routed to the office dial the recording prefix configured on the central node, the central node starts the recording process. Since a recording prefix is configured on the local node, the local node preferentially starts the recording process when users routed to the office through the local node dial the recording prefix configured on the local node.

Intra-office users dial the recording prefix.

1.Configure the recording prefix, authentication account, and password on both the central and local nodes. For details, see Procedure. The recording prefix on the central node must be different from that on each local node.

2.Set Record Channel in Network Mode to Center on each local node.

3.Configure the recording prefix configured on each local node as an outgoing prefix on the central node for routing calls to the local node.

When intra-office users dial the recording prefix configured on the central node, the central node starts the recording process. When intra-office users dial the recording prefix configured on a local node, the calls are routed to the local node, which then starts the recording process.

Parent Topic: Configuring Local Node Recording and Voice Playback


Troubleshooting

Phenomenon

Possible Cause

Procedure

When configuring the custom switchboard script, users receive a message "Failed to operate the database."

The system supports a maximum of 245 custom scripts. However, the figure cannot reach 245 when custom scripts are complex and configured on web pages.

The total capacity of added scripts reaches the database upper limit. Therefore, users cannot add custom scripts any longer.

·Review and delete unnecessary custom scripts.

·Delete scripts added on web pages. Manually add scripts. Manually added scripts occupy smaller space than scripts added on web pages.

For details about manually adding scripts, see "Reference > FAQ > Gateway Service FAQs > How Do I Manually Edit the VU Script" in the UC Product Documentation.

Parent Topic: Automatic Switchboard


Voice Meeting

A voice meeting enables participants to communicate with each other via voice. Users can create scheduled and instant voice meetings.

·Scheduled Meeting

·With this feature, a meeting convener can schedule a meeting on the web self-service portal for the X1900 series unified gateway. When the meeting time arrives, the convener can add participants to the meeting using multiple methods.

·Instant Meeting

·The instant meeting feature allows users to directly hold meetings on IP phones or web pages of the X1900 series unified gateway.

Parent Topic: Feature Guide


Scheduled Meeting

With this feature, a meeting convener can schedule a meeting on the web self-service portal for the X1900 series unified gateway. When the meeting time arrives, the convener can add participants to the meeting using multiple methods.

·Feature Configuration (ECS+X1900)

·

·Feature Usage

·

Parent Topic: Voice Meeting


Feature Configuration (ECS+U1900)

Navigation: Configuration > Feature Guide > Voice Meeting > Scheduled Meeting >

Return to chapter overview

Feature Configuration (ECS+X1900)

Data Plan

The following describes the data that you need to plan before configuring the voice meeting service. Plan the corresponding data based on the network diagram.

Table 1 User data

User | User Number | User Permission
Moderator | 81000 | No special permission is required for scheduling meetings. The instant meeting permission must be enabled for the moderator to initiate instant meetings.
Guest | 81001 | -
Guest | 81002 | -

Table 2 Service data (single-node or multi-node centralized network)

Parameter | How to Set
IP address of the unified gateway | 192.168.1.3
Meeting access code | 66666 Users can dial the meeting access code to access the conferencing system and create or join a meeting.

Table 3 Service data (multi-node distributed peer-to-peer or convergent network)

Unified Gateway | Parameter | How to Set
Node 1 | Meeting access code | 66666
 | Meeting SID | 100
 | Meeting route code | 111
Node 2 | Meeting access code | 77777
 | Meeting SID | 200
 | Meeting route code | 222
Node 3 | Meeting access code | 88888
 | Meeting SID | 300
 | Meeting route code | 333

Prerequisites

The voice communication function is running properly in all network scenarios. For details, see "Commissioning Guide > Verifying the Connection Between Unified Gateways."

Configuration on the Unified Gateway (Single-Node or Multi-Node Centralized Network)

·To enable the voice conferencing function in a single-node network, configure the meeting access code, on the unified gateway at a single node. The following describes the detailed configuration procedure.

·In a multi-node centralized network, numbers of all branches are registered with the central node and the central node routes all calls, so you need to configure the voice conferencing service on the unified gateway only at the central node. The method for configuring the voice conferencing service in a multi-node centralized network is the same as that in a single-node network.

By default, voice meeting scripts have been loaded on the X1900 series unified gateway. You only need to configure the meeting access code.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Add meeting access code 66666.

a.Choose Trunk > Prefix Configuration.

b.Click Create and set parameters shown in Figure 1. Use default values for other parameters.

Figure 1 Configuring the meeting access code

Configuration on the Unified Gateway (Multi-Node Distributed Peer-to-Peer or Convergent Network)

·In a multi-node distributed peer-to-peer network, unified gateways at different nodes share meeting resources. Figure 2 describes the detailed configuration procedure.

·In a multi-node distributed convergent network, the method for configuring data on the unified way at each node (excluding the convergent gateway) is the same as that in a multi-node distributed peer-to-peer network. On the convergent gateway, you need to configure the meeting access code to each unified gateway as the outgoing call prefix.

Figure 2 Voice meeting configuration process (peer-to-peer network)

The voice meeting configuration procedure in a multi-node distributed peer-to-peer network is as follows:

1.Configure the voice conferencing service for each unified gateway by referring to the method for Configuration on the Unified Gateway (Single-Node or Multi-Node Centralized Network). The meeting access code configured on each unified gateway must be unique.

2.Ensure that the voice communication is normal in the multi-node distributed (peer-to-peer/convergent) network. For details, see "Commissioning Guide > Verifying the Connection Between Unified Gateways > Multi-Node Network Scenario (Peer-to-Peer) or Multi-Node Network Scenario (Convergent)."

3.Configure the meeting SID on unified gateways. The SID configured on each unified gateway must be unique.

The global meeting ID generated by the X1900 series gateway consists of eight digits by default. The first three digits (that is, the meeting SID) are used to identify the unified gateway where the meeting locates. The last five digits are used to uniquely identify a meeting on the same unified gateway. The system randomly generates the last five digits.

config system sid sid

In a multi-node distributed network (peer-to-peer/convergent), you cannot change the global meeting ID to a 2-digit one; otherwise, the unified gateway cannot be identified. A 2-digit meeting ID represents the meeting site number and cannot identify the unified gateway.

4.Configure the meeting access code to each unified gateway as the outgoing call prefix on unified gateways.

For example, to ensure that users at unified gateway A can dial the meeting access code at unified gateway B, configure the meeting access code of unified gateway B as the outgoing call prefix on unified gateway A.

5.Configure the meeting route code on unified gateways to ensure that the meeting list is displayed on terminals of users at each unified gateway. The route code configured on each unified gateway must be unique.

config modify meeting routecode routecode

6.Configure the meeting route code to each unified gateway as the outgoing call prefix on unified gateways.

For example, to ensure that meeting information at unified gateway A can be routed to unified gateway B, configure the meeting route code of unified gateway B as the outgoing call prefix on unified gateway A.

Configuring the Number of Retry Attempts upon Convening Failures

If the user to join the meeting is busy or does not answer the call upon the meeting start, the system does not call the user again by default. You can set software parameter 363 to enable the system to call a user again when the user is busy or does not answer the call. The number of retry attempts is controlled by the software parameter value.

For example, if you set the software parameter to 3 and a participant is busy or does not answer the call within 1 minute, the system calls the participant 1 minute later. For three successive failures, convening the user is considered to be failed. The system does not call the user again.

1.Log in to a X1900 series unified gateway using the CLI and access the Config mode.

2.Set the number of retry attempts, such as 3.

config softargu type 363 value 3

Configuring the Meeting Encryption Mode and Joining Mode

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose User > Global Service > Meeting Configuration and set the meeting global parameters.

Figure 3 Configuring the meeting encryption mode and joining mode

Click to enlarge

Table 4 Parameter description

Parameter

Description

Encryption Mode

Global switch provided by the X1900 series unified gateway to specify the mode of encrypting new meetings. The options are as follows:

·No encryption

·Encryption: The meetings' voice information is encrypted using the Secure Real-time Transport Protocol (SRTP).

·User custom: Users can choose whether to encrypt meetings when scheduling meetings.

Join Mode

·ID and Password: When a user joins a meeting through individual dialing-in, the user is asked to enter the meeting ID and then the password.

·Password: When a user joins a meeting through individual dialing-in, the user is directly asked to enter the meeting password.

X1900 series unified gateway V200R003C50 and later versions allow users to use the meeting password to directly join a meeting.

Configuring Whether to Shield the Peer User's Hold Tone During a Voice Conference

During a voice conference, if a mobile user who joins the conference through a trunk answers the call of an external user, the mobile user will be held in the conference and the call waiting tone is played, indicating that the user is using the call waiting function. To prevent the prompt tone from interrupting other participants in the conference, you need to shield the prompt tone sent to the conference through the SIP trunk.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose Trunk > Trunk Configuration > SIP.

3.Click the connection or icon to open the page for configuring the peer device.

4.Click Advanced and set Shield peer user's hold tone during the SIP trunk conference.

a.If you set this parameter to Yes, the peer user's hold tone is shielded during the SIP trunk conference.

b.If you retain the default value No, the peer user's hold tone is not shielded.

X1900 series unified gateway V2.0 and later versions support shielding of the peer user's hold tone during the voice conference.

Parent Topic: Scheduled Meeting


Feature Usage

Scheduling a Meeting (on X1900)

The following describes how to schedule a voice meeting on X1900.

1.Have user 81000 log in to the web self-service system of the unified gateway.

2.Click Scheduled Meeting. Set meeting parameters as prompted and click OK.

Figure 1 Scheduling a voice meeting (on X1900)

Table 1 Key parameter description

Parameter

Description

Moderator password

The value can be user-defined or randomly generated by the system.

Guest password

The value can be user-defined or randomly generated by the system.

NOTICE:

When Join Mode is set to Password, the moderator password and guest password must be different from the passwords configured in other meetings.

Meeting duration

·A permanent meeting has no end time restriction. Meeting resources are permanently retained.

·An ordinary meeting has the start time and end time, and appointments can only be scheduled within seven days.

NOTE:

·X1900 series unified gateway V2.0 and later versions support permanent meetings.

Warning tone in meeting

Off: The prompt tone indicating that the meeting is in progress is not played.

On: The prompt tone indicating that the meeting is in progress is played at a certain interval. The interval is configurable.

Seats Auto Inc

Off: If a new user requests to join a meeting after the number of meeting participants reaches the value of Number of participants, the announcement "Sorry, the number of participants in the conference has reached the maximum." is played.

On: If a new user requests to join a meeting after the number of meeting participants reaches the value of Number of participants but is less than the number of maximum meeting participants allowed by the license, the new user can join the meeting.

1.Under Participant, add meeting participants, for example, 81000 (moderator), 81001 (guest), and 81002 (guest), and click OK (Participants).

An ordinary meeting can only be scheduled within seven days.

To enable meeting voice encryption, you must configure encryption on both UScale X1900 and participants' terminals. For details, see "Special Commissioning Tasks > Verifying Voice Signaling and Media Encryption > Configuring Encryption on the Unified Gateway > Configuring SRTP Encryption for Voice Conferences".

1.Configure the participant information.

a.Click Participant. On the page that is displayed, click Add Participant to configure the participant information.

Figure 3 Adding participants

b.Click Save.

c.Click Meeting Notification to configure the conference notification type.

Joining a System-Convening Meeting

The system automatically calls participants when the schedule start time of a meeting arrives. Participants answer calls to join the meeting.

Joining an Individual Dial-in Meeting

Before joining an individual dial-in meeting, obtain the meeting access code, meeting ID, and password from the user who schedules the meeting. A participant can join the meeting 5 minutes before the meeting starts.

[IP phone or POTS phone]

1.Dial the meeting access code.

2.When hearing the announcement "Welcome to the meeting system. To join a meeting, please press 1. To create an instant meeting, please press 2.", dial 1.

3.When hearing the announcement "Please enter the meeting ID followed by the pound key.", dial the meeting ID followed by the pound key (#).

When Join Mode is set to Password, you are not asked to enter the meeting ID.

4.When hearing the announcement "Please enter the password followed by the pound key.", dial the password followed by the pound key (#).

5.When hearing the announcement "After you hear the beep, say your name and press the pound key.", pronounce your name and press the pound key (#) to join the meeting.

[Desktop Client]

Figure 5 Joining a meeting through Desktop Client

[Join a meeting with one click]

Users can also dial the meeting access code, the meeting ID, a star key (*), the meeting password, and a pound key (#) sequentially to join an individual dial-in meeting. This method applies to all terminals.

X1900 series unified gateway V200R003C50 and later versions allow users to dial the meeting access code, a star key (*), the meeting password, and a pound key (#) to join a meeting when Join Mode is set to Password.

Inviting Participants as the Moderator In a Host-Convening Meeting

·If the moderator uses an analog phone, the moderator presses the hookflash button after joining a meeting to invite other participants.

After pressing the hookflash button, the moderator can perform the operations listed in the following table.

Table 2 Moderator operations after pressing the hookflash button

Step | Description
Dial 1 to invite users. | Dial a user number and press the hookflash button when the called user answers the call. ·Dial 1 to allow the user to join the meeting. ·Dial 2 to reject the user. The moderator returns to the meeting, and the user hears the busy tone.
Dial 2 to use supplementary services. | Dial a supplementary service prefix and a participants' number (for example, TN) to isolate the participant or remove the participant from the meeting. ·Dial *33*TN# to remove a participant from the meeting. ·Dial #34*TN# to allow a participant to be heard by others, and to hear others. ·Dial *34*TN# to allow a participant to hear others, but not to be heard. ·Dial *35*TN# to allow a participant to be heard, but not to hear others. ·Dial *36*TN# to isolate a participant, that is, the participant cannot hear others nor be heard. ·Dial *38# to end the meeting. ·Press the hookflash button again to return to the meeting.

·If the moderator uses an IP phone, the moderator invites other participants on the IP phone after joining a meeting.

Figure 6 The Moderator Invites Other Participants

Click to enlarge

The moderator can also add or delete participants and transfer the moderator permission.

Parent Topic: Scheduled Meeting


Instant Meeting

The instant meeting feature allows users to directly hold meetings on IP phones or web pages of the X1900 series unified gateway.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Voice Meeting


Feature Configuration

Assigning the Instant Meeting Service Permission

Only users with the instant meeting service permission can use the instant meeting service. The configurations on the instant meeting service are the same as those on the scheduled meeting service.

By default, users have the service permission. To configure the service permission, perform the following operations:

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.On the User > SIP User or User > POTS User page, select the user number to be assigned the service permission and click Service Configuration.

3.Under Simple service (rights), select Instant meeting, and click OK.

Parent Topic: Instant Meeting


Feature Usage

Prerequisites

The instant meeting right has been enabled for the meeting convener.

Initiating an Instant Meeting (on the Web Page of the Unified Gateway)

The following describes how to initiate an instant voice meeting on X1900.

1.Have user 81000 log in to the web self-service system of the unified gateway.

2.Click Instant Meeting.

When you initiate an instant meeting, the system will instantly call the participants that are added. They join the instant meeting when answering the call.

3.Click Add participant, add participants, for example, 81001 and 81002.

Figure 1 Add participant

4.Click OK, the system calls users 81001 and 81002. They join the instant meeting when answering the call.

X1900 series unified gateway V2.0 and later versions, the system performs the following operations for participants in offline state:

·The moderator or scheduler can delete an offline participant directly. If you do not delete the participant, the system deletes the participant by default seven days later. You can also use the software parameter 554 to set the time range to 1-60 days.

·The moderator or scheduler can also click [image] to invite a participant join the conference.

·If the number added in the Add Participant dialog box is the same as the number of the participant to be added, the information about the participant is automatically deleted.

Figure 2 Initiating an instant meeting

If Encryption Mode in Meeting Configuration is set to User custom and when an instant conference is initiated in the web self-service system, the encryption mode of the phone number must be the same as the setting of software parameter 464; otherwise, the instant conference fails to be initiated.

·When the phone number is set to no encryption, software parameter 464 needs to set to no encryption or optional encryption.

config softargu type 464 value 0 or config softargu type 464 value 1

·When the phone number is set to encryption, software parameter 464 needs to set to encryption or optional encryption.

config softargu type 464 value 2 or config softargu type 464 value 1

Initiating an Instant Meeting (on an IP Phone)

Figure 3 shows the procedure for calling the third party and initiating an instant meeting during a call.

Figure 3 Initiating an instant meeting

Click to enlarge

Initiating an Instant Meeting (on Desktop Client)

1.Use a UC account to log in to Desktop Client.

2.In an IM window, click Click to enlarge .

3.Select contacts to add and click OK.

4.Click Click to enlarge to initiate an instant voice meeting.

Initiating an Instant Meeting (on an POTS Phone, Not Recommended)

1.Dial the meeting access code.

2.When hearing the announcement "Welcome to the meeting system. To join a meeting, please press 1. To create an instant meeting, please press 2.", dial 2.

3.The moderator presses the hookflash button after joining a meeting to invite other participants.

4.After pressing the hookflash button, the moderator dial 1 to invite users.

5.Dial a user number and press the hookflash button when the called user answers the call.

·Dial 1 to allow the user to join the meeting.

·Dial 2 to reject the user. The moderator returns to the meeting, and the user hears the busy tone.

Joining an Instant Conference Using the PIN-Code Service

Users cannot join an instant conference by dialing the PIN-Code prefix. Figure 4 shows how to join an instant conference using the PIN-Code service.

Figure 4 Joining an instant conference using the PIN-Code service

Click to enlarge

1.User A (with PIN-code-based call barring enabled) presses Conf to create an instant conference.

2.User A presses the line button to initiate a new call to outer-office user B through the PIN-Code service. (The PIN-code-based call barring service has been enabled for the prefix of user B's number.)

3.User A enters the password as prompted, and presses More.

4.User A presses Join.

5.User B successfully joins the instant conference created by user A.

Parent Topic: Instant Meeting


Built-in Voice Mailbox

Unified Gateway X1911, X1960, and X1981 allow users to record, store, and retrieve voice messages, and customize greetings and prompt tones.

·Voice Mailbox

·The X1911, X1960, and X1981 unified gateways provide built-in Voice Mailbox Services (VMS) to implement recording, storage, and retrieval of voice messages for voice users. When users have unread messages, the system notifies the users of the unread message for them to read the messages in time.

·Customized Greetings

·This feature allows voice mailbox users to record customized greetings for their own voice mailboxes.

·Customized Announcement Syntax Package

·If the system announcements in a language other than Chinese (mandarin) are required, the syntax package needs to be adapted to ensure correct announcements in the VMS service.

Parent Topic: Feature Guide


Voice Mailbox

The X1911, X1960, and X1981 unified gateways provide built-in Voice Mailbox Services (VMS) to implement recording, storage, and retrieval of voice messages for voice users. When users have unread messages, the system notifies the users of the unread message for them to read the messages in time.

·Configuring Basic Data

·

·Configuring Call Transfer to Voice Mailbox

·

·Configuring Directly Leaving Voice Messages

·

·Configuring Call Transfer from Automatic Switchboard to Voice Mailbox

·

·Configuring Other Optional Operations

·

·Feature Usage

·

·Troubleshooting

·

Parent Topic: Built-in Voice Mailbox


Configuring Basic Data

1.Check the license.

a.Log in to the web management system of the Unified Gateway X1900 series as the administrator.

b.Choose System > License Information.

If the value of Voice Mail nums in the License Current Config information area is not 0, the license for the voice mailbox services exists. The value indicates the maximum number of calls that can be processed at a time for the voice mailbox services. If the value is 0, obtain the license file from the service provider and load it in time.

Allocate resource for VMS.

i.Access the web management system, and choose System > Board Configuration.

ii.Right-click the MTU and choose Configure from the shortcut menu.

iii.On the MTU Parameter Configuration page, set the value for Number of VMS Channels and set Meeting board, as shown in Figure 1.

Figure 1 Setting MTU parameters

The value of Number of VMS Channels refers to the maximum number of calls that can be processed at a time for the voice mailbox services, and must be set based on the license information obtained in step 1.

On each MTU board, the value of Number of VMS Channels must be the same as the value of Voice Mail nums in the license.

2.Verify the number of SD cards.

Messages in the voice mailbox service are stored in the SD card of the MTU. Only one SD card can be installed on each MTU board, and the SD card must be installed in slot SD0. The storage space required for voice messages can be calculated with the following formula: Storage space required for voice messages = [Size of PCM-encoded voice data per second (8 KB) x Maximum duration of a voice message (120s) + File header and index (0.1 KB)] x Maximum number of voice messages for a user (20) x Number of users. According to this formula, an 8 GB space can support the voice mailbox service for about 430 users.

Information, such as the total space of the SD card, available space of the SD card, and number of voice messages for intra-office users, can be viewed on the User > VMS Statistics page of the web management system.

3.Initialize an SD card.

4.Check VMS scripts.

a.Access the web management system, and choose System > Script Management.

b.Click the Script Management tab and verify that the VMS scripts listed in the following table exist.

Script Name | Description
vmsrecord | Used to record voice messages. Corresponds to script ..\Script\english\Voice Mail Record Script.txt.
vmsaccesscode | Used to retrieve voice messages and customize personal greetings. Corresponds to script ..\script\english\Voice Mail Service Script\Voice Mail Access Script.txt.

If the scripts do not exist, load the corresponding script. Generally, it is unnecessary to modify the preloaded VMS script. In case of any special situations, for example, when the script is deleted, reload the script. When reloading the script, select the VU type.

5.Create the prefix for leaving voice messages and VMS access code.

Prefix Type | Description
Voice message | Used to record voice messages.
VMS access code | Used to retrieve voice messages and customize personal greetings.

a.Access the web management system, and choose Trunk > Called Prefix Configuration.

b.Click Create, and set the prefix for leaving voice messages and VMS access code, as shown in Figure 2 and Figure 3.

Figure 2 Creating prefix 91001 for leaving voice messages

Figure 3 Creating the VMS access code 91002

You can also run the config add prefix dn dn callcategory vu callattribute <vuvmsleavemsg | vuvmsaccesscode> cldpredeal no command to create a voice message prefix and a VMS unified access prefix, but do not set ifshareprefix to yes (default value: no).

6.Create the voice mailbox.

a.Access the web management system, and choose User > Global Service. Click Configure next to VMS.

b.Click Create, and configure data according to Figure 4.

Figure 4 Creating voice mailbox 0

c.Click OK.

7.In the upper right corner of the web page, click [image] to save the configuration.

Parent Topic: Voice Mailbox


Configuring Call Transfer to Voice Mailbox

1.Access the web management system, and choose User > SIP User.

For a POTS user, choose User > POTS User.

2.Find and select the user number for which you want to enable voice mailbox services and click Service Configuration.

3.Under Complex service, click Configure next to Forwarding service.

4.In the window that is displayed, find the call transfer type to be enabled, and set the parameters, as shown in Figure 1.

Figure 1 Enabling the call transfer to voice mailbox service

Parameter

Description

Priority

Order of priorities for call forwarding to phone number and call forwarding to voice mailbox. If these two services are both enabled for a user, the selected call forwarding mode prevails.

NOTE:

Users can log in to the self-service portal to adjust the priorities of their call forwarding services. If None is selected, the global priority configured in Adjusting global call forwarding parameters prevails.

Voice mailbox

Right

Indicates whether to enable the call forwarding to voice mailbox service permission of the corresponding type.

Voice mailbox number

Number of the voice mailbox created for storing voice messages.

Service

Indicates whether to register the voice mailbox service of the corresponding type for the user. You may not register the service for the user here. Users can register the services themselves. For details, see Activating or Deactivating the Service.

Wait time

Waiting time threshold, crossing which the call forwarding on no reply service is triggered. This parameter is available only for call forwarding to phone number on no reply.

5.Click OK.

After a type of call transfer to voice mailbox service is enabled for a user, the user must activate the service for it to take effect. For details, see Recording Voice Messages.

6.In the upper right corner of the web page, click [image] to save the configuration.

Parent Topic: Voice Mailbox


Configuring Directly Leaving Voice Messages

Prerequisite

Any type of call transfer to voice mailbox service has been enabled for the user. For details, see Configuring Call Transfer to Voice Mailbox.

Procedure

The preset prefix for directly leaving voice messages is *23*. If you need to customize the prefix base on the user habit, you can create a prefix for directly leaving voice messages as follows:

1.Access the web management system, and choose Trunk > Called Prefix Configuration.

2.Click Create, and create prefix 91003 for directly leaving voice messages, as shown in Figure 1.

Figure 1 Creating prefix 91003 for directly leaving voice messages

You can also run the config add prefix dn dn callcategory new callattribute leavemsgdirect cldpredeal no command to create a direct message prefix, but do not set ifshareprefix to yes (default value: no).

3.In the upper right corner of the web page, click [image] to save the configuration.

Parent Topic: Voice Mailbox


Configuring Call Transfer from Automatic Switchboard to Voice Mailbox

Prerequisite

Any type of call transfer to voice mailbox service has been enabled for the user. For details, see Configuring Call Transfer to Voice Mailbox.

Procedure

When editing the custom switchboard script (for details, see Configuring Customized Automatic Switchboard Menus and Time Segment Policies), configure the policy for transferring calls to the voice mailbox in IVR menus as required.

·Configuring call transfer to voice mailbox with a button press

This topic assumes that you want to configure 1 as the button for transferring calls to the voice mailbox corresponding to number 8010. The following figure shows the configuration.

·Configuring call transfer to voice mailbox upon timeout

The following assumes that you want to transfer calls to the voice mailbox corresponding to number 8100 upon timeout. The following figure shows the configuration.

·Configuring call transfer to voice mailbox upon failures

The following assumes that you want to transfer calls to the voice mailbox corresponding to number 8999 when call transfer failures occur (such as when the called number does not exist or the calling used line is faulty). The following figure shows the configuration. Generally, the target voice mailbox is not specified during the configuration of call transfer to voice mailbox upon failures.

·If not specified during the configuration of call transfer to voice mailbox with a button press or upon timeout, the target voice mailbox will be specified using the secondary digit collection. If the target voice mailbox is not specified during the configuration of call transfer to voice mailbox upon failures, incoming calls are automatically forwarded to the called party's voice mailbox.

·The target voice mailbox, if specified in the automatic switchboard script, is generally a public voice mailbox used by multiple users. To avoid personal information leakage when calling parties mistakenly consider that their calls are transferred to a personal mailbox, it is recommended that the greetings be customized for each public voice mailbox, telling calling parties that the voice mailbox is a public one. For details, see Customized Greetings.

·You are advised to set the maximum number of voice messages in a public voice mailbox to 50, which meets most users' requirements. For details, see Adjusting the voice mailbox capacity and maximum voice message duration for some users.

Parent Topic: Voice Mailbox


Configuring Other Optional Operations

Adjusting global call forwarding parameters

1.Access the web management system, choose User > Global Service, click Configure next to Forward service, as shown in Figure 1.

Figure 1 Global call forwarding parameters

Parameter | Description
Forwarding unconditional Priority | Priorities of call forwarding to phone number and call forwarding to voice mailbox in different forwarding conditions. The selected service has a higher priority.
Forwarding on no reply Priority
Forwarding on busy Priority
Forwarding offline Priority
Forwarding on no reply Voice mailbox Wait time | Waiting time threshold, crossing which call forwarding to phone number or to voice mailbox on no reply is triggered.
Forwarding on no reply Number Wait time

If you have configured the priorities for forwarding calls to a number and to a voice mailbox and the waiting duration for no reply for a user, the customization parameters shall prevail.

2.In the window that is displayed, adjust global parameters and click OK.

Backing up and restoring voice messages

To avoid voice message loss caused by SD card damage, periodically back up voice messages. The backup voice messages can be restored to the device when necessary.

Connect the device to the NFS server:

config add nfs nfsip <A.B.C.D> remotedir remotedir localdir localdir

Back up the voice messages:

config oldvmsleavedata backup slotno slotno

Restore the voice messages:

config oldvmsleavedata restore slotno slotno

·In the command, remotedir is the remote shared directory on the NFS server, for example, fileserver, and localdir can be any letter, for example, D.

·The operations of deleting, backing up, and restoring voice messages affect the system performance. It is recommended that you perform such operations during off-peak hours.

Canceling message encryption

By default, voice messages are stored in encrypted mode to prevent messages from being obtained by third parties. If you want to cancel message protection for some voice users, run the following command:

config modify subscriber vms parameter dn dn isencrypt no

After the preceding command is executed, new messages left for the user will not be encrypted.

Retrieving voice messages without the service password

All users can dial the VMS access code to retrieve their own or other users' voice messages. Before retrieving voice messages, users must enter the service password. To simplify the retrieval operation for a user, you can configure the user as a VMS super user.

config modify subscriber dn dn vmslevel super

After a user is configured as a VMS super user:

·The user does not need to enter the service password when retrieving voice messages on the user's own phone.

·The user still needs to enter the service password when retrieving the user's own voice messages on other users' phones.

·The user cannot retrieve other users' voice messages on the user's own phone.

Recording the end tone

When recording a voice message, a user can press any key to end the message. By default, the end tone is not recorded. If you need to record the end tone, use a CLI tool to log in to the unified gateway, access the Config mode, and run the telnet 172.20.0.1x command (where x indicates the slot number) to log in to the debug view of the MTU board.

Run the following command to record the end tone:

debug debug_pid mrfd cmd 800 p1 0

Run the following command to cancel recording the end tone:

debug debug_pid mrfd cmd 800 p1 1

Adjusting the voice mailbox capacity and maximum voice message duration for some users

config modify subscriber vms parameter dn dn maxrecordnum maxrecordnum maxrecordtime maxrecordtime

Parent Topic: Voice Mailbox


Feature Usage

Activating or Deactivating the Service

If the service is not activated when the voice mailbox service permission is assigned to a user, the user must activate the service for the service permission to take effect. The service can be activated or deactivated in either of the following ways:

·Method 1: Activate or deactivate the service in the web self-service system.

1.Log in to the web self-service system.

2.Choose Self-service > Service > Forwarding service.

3.Set the service priority, activate or deactivate the service, and click OK.

·Method 2: Dial a prefix for activating or deactivating the service on an IP phone.

Table 1 lists the prefixes for activating and deactivating call transfer to voice mailbox services.

Table 1 Prefixes for activating and deactivating call transfer to voice mailbox services

Service Type | Prefix for Activating the Service | Prefix for Deactivating the Service
Call transfer to voice mailbox unconditional (CTVMU) | *91# | #91#
Call transfer to voice mailbox on no reply (CTVMNR) | *93# | #93#
Call transfer to voice mailbox on busy (CTVMB) | *92# | #92#
Call transfer to voice mailbox offline (CTVMO) | *98# | #98#

Recording Voice Messages

[Scenario 1] Transferring Calls to the Voice Mailbox

A user activates a call transfer to voice mailbox service. When another user calls the user, the call is transferred to the voice mailbox if specified conditions are met. The calling party can hear a greeting and leave a voice message as prompted.

[Scenario 2] Directly Leaving a Voice Message

A user activates a call transfer to voice mailbox service. Another user can dial *23*called number and directly leave a voice message to the user. If a prefix for directly leaving voice messages is configured based on the dialing practices, the calling party can dial the prefix for directly leaving voice messages and the called number to directly leave a voice message.

Figure 1 shows the process for recording a voice message.

Figure 1 Recording a voice message

Click to enlarge

[Scenario 3] Transferring Calls from the Automatic Switchboard to the Voice Mailbox

After dialing the automatic switchboard access code, a user can leave messages in the voice mailbox with a button press, upon timeout, or upon failures based on the configuration.

Retrieving Voice Messages

When a new voice message arrives, the system will notify the user of the message on the voice terminal side.

Terminal Type | Voice Message Notification Mode
IP phone | Message prompt on the LCD screen
POTS phone | Voice prompt (after picking up the phone, you can hear an announcement indicating that you have a new voice message)
Desktop Client | Message prompt on GUIs
Mobile Client | Message prompt on GUIs

For IP phones and POTS phones, the system can notify users of new voice messages through the MWI. In addition, the function of retrieving voice messages by pressing one button can be configured for an IP phone. Users can press the message button to retrieve voice messages.

All users can dial the VMS unified access prefix to retrieve their own or others' voice messages. Figure 2 shows the message retrieval process. When the message space is full, users need to delete old messages. Otherwise, the system cannot record new voice messages for the users.

Figure 2 Retrieving a voice message

Click to enlarge

When entering identity verification information,

·To change the voice service password, directly press 3 according to the process shown in Figure 2 or perform operations by referring to Feature Usage for the voice service password change.

·Intra-office users need to enter only the password. The intra-office users can also press the star key (*) to retrieve voice messages for others.

·Outer-office users need to enter the voice mailbox user number and password.

·The AES encryption mode is changed after the IP phone is upgraded. In this case, log in to the IP phone web page and change the AES encryption mode back. Otherwise, the voice messages cannot be retrieved from the voice mailbox.

When the system is playing a voice message, users can press any button to stop playing the voice message.

For details about how to record a greeting, see Customized Greetings.

Parent Topic: Voice Mailbox


Troubleshooting

Failure to Record a Voice Message

[Symptom]

When you access the VMS, the system plays an announcement asking you to leave a voice message after hearing the beep tone. After hearing the beep tone, you hear announcement indicating the voice message recording failure.

[Possible Cause]

·Cause 1: The value of Number of VMS Channels for the MTU board is not configured.

·Cause 2: The called party's voice mailbox is full.

·Cause 3: The SD card is full.

·Case4:Cause 4: No SD card is installed on the MTU board.

[Solution]

·For cause 1: Change the value of Number of VMS Channels for the MTU board.

1.Log in to the web management system of the Unified Gateway X1900 series as the administrator.

2.Choose System > License Information and check the value of Voice Mail nums in License Current Config information area.

3.Choose System > Board Configuration, right-click the MTU board, and set the value of Number of VMS Channels to the value of Voice Mail nums.

·For cause 2: Check whether the called party's voice mailbox is full.

1.Log in to the web management system of the Unified Gateway X1900 series as the administrator.

2.Choose User > VMS Statistics and check the VMS capacity of the called party.

3.Notify the called party of dialing the VMS unified access prefix to delete voice messages. If necessary, the VMC capacity can be expanded for the called party. For details, see Adjusting the voice mailbox capacity and maximum voice message duration for some users.

For example, user A calls user B, and user A leaves a message to user B. If user B's voice mailbox is full, user A will be notified that the voice mailbox is full and user A cannot leave a message. When listening to a message, user B is notified that the mailbox is full.

·For cause 3: The system administrator can only back up and delete all messages in the SD card (not recommended), so users must clear their own read messages to ensure proper service running. If such a fault occurs, the system administrator needs to check and reduce allocated VMS storage resources to prevent such faults.

·For cause 4: Add an SD card on the current MTU board or use an MTU board with an SD card installed.

Parent Topic: Voice Mailbox


Customized Greetings

This feature allows voice mailbox users to record customized greetings for their own voice mailboxes.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Built-in Voice Mailbox


Feature Configuration

Configure Basic Functions

You can customize personalized greetings through the existing VMS unified access prefix of the voice mailbox. For details about how to set the maximum voice message duration, see Configuring Basic Data.

Set Parameters for Playing Multiple Greetings by Time Segment (Optional)

Parameter | Description | Value
dn | User number. | The value must be a string. Value range: 1~16 This parameter has no default value.
subpbxno | Sub-PBX number. You need to set this parameter only when one device manages call services in multiple companies. The device recognizes prefixes of different companies based on this parameter. | The value must be an integer. Value range: 0~251 The default value is 0.
index | Index of the time segment for playing the greetings of the hunt group. | The value must be an integer. Value range: 0~4 This parameter has no default value.
startyear/endyear | Indicates the start time and end time for playing the personalized greeting. | Set this parameter based on the site requirements.
startmonth/endmonth
startday/endday
startweekday/endweekday
starttime/endtime

·A user can record a maximum of five personalized greetings. If a user records multiple greetings but doe not set the policy for playing multiple greetings by time segment, the voice mailbox system will use the last recorded greeting around the clock.

·If a greeting corresponding to a time segment does not exist, the voice mailbox system will use the default greeting.

2.Set the user greeting based on the time segment.

Parameter | Description | Value
dn | User number. | The value must be a string. Value range: 1~16 This parameter has no default value.
subpbxno | Sub-PBX number. You need to set this parameter only when one device manages call services in multiple companies. The device recognizes prefixes of different companies based on this parameter. | The value must be an integer. Value range: 0~251 The default value is 0
timeindex | Index of the time segment for playing the greetings of the hunt group. | The value must be an integer. Value range: 0~4 This parameter has no default value.
welcomeindex | Index of the user's personal greeting. | The value must be an integer. Value range: 1~5 This parameter has no default value.

3.Record personalized greetings. For details, see Feature Usage.

Parent Topic: Customized Greetings


Feature Usage

After dialing the VMS unified access prefix, users can record, listen to, and save greetings as prompted. For details, see Figure 1.

Figure 1 Customizing greetings

Click to enlarge

Parent Topic: Customized Greetings


Customized Announcement Syntax Package

If the system announcements in a language other than Chinese (mandarin) are required, the syntax package needs to be adapted to ensure correct announcements in the VMS service.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Built-in Voice Mailbox


Feature Configuration

Scenario 1: Switching the Syntax Package

Run the following command to switch the syntax package of VMS announcements to Chinese (mandarin), English (U.S), or English (UK):

config active grammarpacket type <chinese | american | british>

In V200R003C20SPC500 and later versions, when system announcements are switched to American English on the X1900 series unified gateway, the VMS syntax package will be automatically switched to American English, and no command needs to be executed. When system announcements are switched to a language other than Chinese (mandarin) or American English, the VMS syntax package will be automatically switched to British English.

Scenario 2: Customizing a Syntax Package

Figure 1 illustrates the process for customizing a syntax package.

Figure 1 Syntax customization process

Click to enlarge

Prepare an FTPS or TFTP server, and load the syntax package and the spt.zip file.

·Load the syntax package on all SCU boards.

config download file syntax packet mode <tftp|ftps> slot slot

·Load the spt.zip file on all MTU boards.

config download file sptfile mode <tftp|ftps> slot slot

Activate the syntax package.

config active grammarpacket type selfdefine

Parent Topic: Customized Announcement Syntax Package


Feature Usage

When recording or retrieve voice messages or customize personal greetings, verify that all announcements are correct without syntax errors.

Parent Topic: Customized Announcement Syntax Package


Telephone Recording

The telephone recording system enables the recording of multiple concurrent calls. Authorized users can query and play the recording files to implement supervision and monitor recording status.

·Background

·The recording system uses the latest digital electronics technologies and enables users to record and query multiple channels of telephony conversation. The recording system is widely used in governments, financial organizations, energy companies, hospitals, educational institutions, and other sectors, which helps supervise service quality and resolve disputes.

·Call Recording

·The call recording feature allows users to record ongoing calls with the help of the recording system.

Parent Topic: Feature Guide


Background

The recording system uses the latest digital electronics technologies and enables users to record and query multiple channels of telephony conversation. The recording system is widely used in governments, financial organizations, energy companies, hospitals, educational institutions, and other sectors, which helps supervise service quality and resolve disputes.

Telephone Recording

The recording system can monitor the recording status and record conversational information, including the phone number, call time, and conversational content, in real time.

The recording system consists of a recording module, a recording query and playback module, a status monitoring module, a storage management module, and a user rights management template.

Figure 1 illustrates a network of the recording system.

Figure 1 Recording system network

Click to enlarge

Functions of devices in the recording system:

·Unified gateway: Provides number registration and call connection functions, exchanges SIP signaling with the SIP Server for sending requests to start and stop recording, and sends RTP/SRTP streams to the recording system.

·DataBase: Stores recording server parameters and recording data.

·SIP Server: Exchanges signaling with the unified gateway for receiving requests to start and stop recording, and sends the requests to the recording server.

·IMP: Centrally manages recording servers and configures recording server parameters.

·Recording server: Receives RTP/SRTP streams sent from the site, analyzes recording information based on the requests sent by the SIP Server, and generates recording files and data.

The recording system is a basic function provided by the UC solution for enterprises, aiming to help enterprises manage users conveniently.

The recording system can record users' conversation in accordance with customer requirements, and give users a warning that their telephony conversation will be recorded.

The recording system is mainly used to supervise service quality and resolve disputes.

Recording files are uniformly stored in the database of the recording system. Enterprises can determine how long recording files are stored.

OpenVox shall never collect or store users' conversational content. It is recommended that your enterprise enable specific recording functions in strict accordance with governing laws and regulations. Your enterprise must take sufficient measures to ensure that users' conversational content is strictly protected.

Parent Topic: Telephone Recording


Call Recording

The call recording feature allows users to record ongoing calls with the help of the recording system.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Telephone Recording


Feature Configuration

Data Plan

The data that needs to be planned before configuring recording is as follows. Please plan the corresponding data according to different networking scenarios.

In this solution, taking the use of IP Phone 7910 for recording during a two-way call as an example, a typical debugging scenario for recording services is introduced.

Table 1 User data plan

User Number | User Permission
81000 | On-demand recording and automatic recording
81001 | On-demand recording
81002 | No recording permission

Prerequisites

·Numbers have been allocated to SIP users on the unified gateway.

Configure user recording permissions

After configuring the on-demand recording or automatic recording permission with 0, the post recording function can only be used during calls. Here, 81000 is used as an example.

1. Log in to the X1900 series unified gateway web management system using an administrator account.

2. On the "User Management>SIP Users" page, check 81000 and click "Business Configuration".

Check "Record on demand" or "Auto Record", or both.

On demand recording and automatic recording will take effect simultaneously if both are enabled, and automatic recording will be triggered first.

During a call, the status of automatic recording will be displayed on the phone, and pressing the button to record will automatically stop the recording button.

Figure 1 Assigning recording service permission to user 6001

Configuring IP Phone Series

If an IP Phone Series IP phone is assigned the call recording service permission, users can press the recording button on the IP phone to start recording calls. To assign the call recording service permission to an IP Phone Series IP phone, perform the following steps:

1.Log in to the web management page of an IP Phone Series IP phone as the admin user.

2.Choose Advanced > Service Permission Management.

3.Set Authorized for Call Recording to Yes.

4.Click Save.

Parent Topic: Call Recording


Feature Usage

Recording a Two-Party Call (Automatic Recording)

Have user 81000 call user 81002.

User 81000 talks with user 81002. The system plays an announcement indicating that the call will be recorded.

Recording a Two-Party Call (On-Demand Recording)

1.Have user 81001 call user 81002.

User 81001 talks with user 81002.

2.Have user 81001 press the recording button on the phone to start recording.

The system plays an announcement indicating that the call will be recorded.

3.Have user 81001 press the recording button again to stop recording.

The system plays an announcement indicating that the recording ends.

Recording a Meeting (Automatic Recording)

Have user 81000 enable the recording function during meeting scheduling.

When a user joins the meeting after the meeting starts, the system plays an announcement indicating that the user's conversation will be automatically recorded.

If all participants quit the meeting in advance, both the meeting and automatic meeting recording automatically end after 15 minutes.

Recording a Meeting (On-Demand Recording)

1.Have user 81000 disable the recording function during meeting scheduling.

The meeting is held properly.

2.Have meeting moderator 81000 press the recording button on the phone to start recording.

The system plays an announcement indicating that the meeting will be recorded.

3.Have meeting moderator 81000 press the recording button on the phone again to stop recording.

The system plays an announcement indicating that the recording ends.

Parent Topic: Call Recording


Console

The attendant system consists of a attendant client, attendant server, and a unified gateway. The operator uses the operator account to log in to the attendant console client, and after obtaining authentication from the attendant console server, uses the attendant console seat function.

·background information

The attendant system consists of a attendant client, attendant server, and a unified gateway. The operator uses the operator account to log in to the attendant client, and after obtaining the attendant server authentication, uses the attendant agent function.

·system configuration

Introduce the data planning and configuration steps required for the test attendant console.

·ACD

The attendant console can support multiple ways of automatically assigning calls.

·Call Control

·The attendant console has the basic calling function of ordinary users, and also has the calling permission that the operator has.

·Extension status monitoring

·The operator can check the extension status above the attendant desk customer.

·address book

Parent Topic: Feature Guide


Background information

The X1910 unified gateway is equipped with a built-in web attendant console, which is logged in by the self-service system.

The attendant console is a feature selection service that can only be obtained after obtaining a license. This license is used to control the number of users on the attendant console client and needs to be applied for together with the license network of the X1900 series unified gateway.

Attendant desk and seats

The operator uses the operator account to log in to the guest desk client and use the attendant desk seat function.

When a user calls the access code of the train station group, the unified gateway allocates idle seats within the group to answer the user's call. When all seats in the group are busy and another user calls in, the call will enter the queue. When there are seats in the group who end the call, the busy and idle queues will connect the calls in the queue in sequence.

Multiple attendant groups and operator numbers can be configured on a unified gateway. A attendant group corresponds to a group number, one to multiple access codes, and can include one to multiple operators.

Agent check-in and check-out

After the operator logs in to the attendant client, they automatically check in to the attendant group; If you log out, the attendant group will be automatically checked out. After signing in to the attendant group, the operator can use various business functions of the attendant group.

Seat busy and idle

If the operator is busy and wishes to answer a new call at this time, they can set their seat busy and handle other affairs first. After the processing is completed, set it idle and resume processing business.

<Next topic >


System Configuration

Data Plan

This topic uses data provided in the following table to describe how to configure the system data. You can configure the system data based on the actual SoftConsole service data plan.

·Enterprise A releases the SoftConsole hotline 28887890 which is used to process internal and external calls.

·Enterprise A poses the following requirements on the SoftConsole:

§A SoftConsole group, including three agents, must be configured.

§The supervisor can forcibly release and barge into agents' calls.

Table 1 describes the requirements and data plan for agents.

Table 1 Requirements and data plan for agents

Agent

Requirement

Agent Number

Agent SoftConsole Number

Agent User Name/Password

Web Self-service Password

Agent Tom

·Agents and the supervisor are in the same SoftConsole group.

·Only the supervisor is assigned the barge-in and forced-release service rights.

81001

81001

Tom/m12345

The default web self-service password of an attendant is Change_Me. If an attendant needs to use the conference creation function, ensure that the password used by the attendant to log in to the client is the same as the web self-service password.

To change the password, log in to the self-service portal and click Change Password on the upper right.

Agent John

81002

81002

John/n12345

Supervisor Lucy

81003

81003

Lucy/y12345

Prerequisites

·Numbers have been allocated to SIP users on the unified gateway.

Configure Unified Gateway

Create a attendant group on the unified gateway side, configure attendant roles and permissions.

1. Configure operator roles and permissions.

a. Log in to the web management system as an administrator account.

b. Select 'User Management>SIP Users'.

c. Check the number that needs to be configured as an operator and click on 'Business Configuration'.

d. Select 'Operator' in 'Simple Business'. As shown in Figure 3.

Figure 3 Configuring the Operator Role

e. Click 'OK'.

2. Configure the call center group.

a. Log in to the web management system as an administrator account.

b. Add a attendant console group.

i. Select "User Management>Group Business>Traffic Group".

Ii. Click "Add" and set the parameters according to the interface prompts, as shown in Figure 4.

Figure 4 Creating a Attendant Desk Group

Iii. Click 'OK' to save the data.

This password is used to forcibly switch to night service services. By using the phone to dial "Register/Cancel Night Service Crown+Password+*+Phone Crown Group Access Code+#", you can register or cancel mandatory night service sales.

c. Equipped with attendant access code.

i. Select 'Relay Management>Callee Crown Configuration'.

Ii. Click 'Add'.

On the Create Prefix page, configure the Console access code, as shown in

Figure 5 Configuring the Console access code

i.Click Save.

The attendant access code (such as 123456 in this example) cannot be duplicated with the user's short and long numbers. Otherwise, when calling the attendant station, the call will be directly sent to the short or long number, thus unable to achieve attendant station services.

d. Add the operator to the attendant group.

i. Click clip0109 on the right side of the newly created attendant group.

Ii. Click 'Create' to add members of the traffic strike group. As shown in Figure 6.

Figure 6 Adding Attendant Desk Group Members

Iii. Click 'Save'.

3. Enter the backend management system and click to enter the self-service page

Parent Topic: Console


Automatic Call Distribution

The automatic call distribution feature provides multiple automatic call distribution modes for the console system.

·Feature Configuration

·

·Feature Usage

·

Parent Topic: Console


Feature Configuration

1. Same vibration, parallel vibration, random vibration.

2. Adjust the queue: Double click on a call and it will be ranked first;

3. Full Busy, Full Offline (Set Busy) Line with no seat check-in/departure strategy: Release, transfer to night service, transfer to switchboard, wait, wait first, and then transfer to switchboard after timeout.

Parent Topic: Automatic Call Distribution


Feature Usage

Call Transfer to a Night Service Number

According to the night service number and time period configured on the attendant console client, the system will automatically transfer calls to the night service number during that time period, regardless of whether there are agents online.

During the night service period, the priority of transferring calls to night service is higher than other processing methods configured on the BMU. For example, when all agents configured on the BMU exit, they will be forwarded to the VU. During the night service period, new calls will also be prioritized and forwarded to the night service, rather than to the VU.

Call Processing When All Agents Are busy

When all agents are busy, new incoming calls can be processed in one of the following ways:

·Leave unprocessed

New incoming calls cannot be connected.

·Transfer to a VU

New incoming calls are not added to the waiting queue and are directly transferred to a VU.

·Transfer to a night service number

New incoming calls are not added to the waiting queue and are directly transferred to a night service number.

·Wait in the queue

New incoming calls are added to the waiting queue.

·Queue and transfer to a VU upon timeout

Call Processing When All Agents Show Busy or Sign Out

When all agents show busy or sign out, new incoming calls can be processed in one of the following ways:

·Leave unprocessed

·Transfer to a VU

·Transfer to a night service number

Queue Adjustment

New incoming calls in the queue are sorted by calling time. Attendants can adjust the incoming call sequence in the queue in either of the following ways:

·Double-click an incoming call in the queue. Then, the call is moved to the top of the queue. When an agent is idle, the call is preferentially answered.

·Directly drag one or more incoming calls to a specified location in the queue.

Parent Topic: Automatic Call Distribution


Configuration Examples in Typical Scenarios

This topic provides examples for the configuration and commissioning in typical scenarios of the unified gateway.

·Multi-Node Network Scenario (Peer-to-Peer)

·Configure SIP trunk interconnection data between two or three unified gateways to implement voice communication between them.

·Multi-Node Network Scenario (Convergent)

·Configure SIP trunk data for connecting the convergent node to each local node to implement voice communication between different nodes.

·Configuring the Unified Gateway Two-Node Cluster

·In a multi-node centralized call management network, you can deploy two unified gateways in active/standby mode in the headquarters to provide user registration and call management services. This network improves system reliability. The following describes how to configure data for the unified gateway two-node cluster.

·Configuring Dual-Center Remote Disaster Recovery

·Medium and large enterprises with high reliability requirements can implement remote disaster recovery. In the event of a device fault in one region, the device in the other region can take over services, which ensures the normal operation of core system services.

·Traditional PBX Interworking Scenario

·The scenario of interconnecting the unified gateway with traditional PBXs is applicable when enterprise subscribers who already use traditional PBXs require a more cost-effective solution. Through interconnection between the unified gateway and the traditional PBXs, the subscribers under original PBXs remain unchanged, and the VoIP service and other supplementary services can be provided. The X1960 is used as an example.

Parent Topic: Configuration


Multi-Node Network Scenario (Peer-to-Peer)

Configure SIP trunk interconnection data between two or three unified gateways to implement voice communication between them.

·Background

·Enterprise users in the organizations register with the respective local node. Different nodes are interconnected using SIP trunks to implement inter-node voice communication.

·Scenario

·This topic describes the data plan for node interconnection to implement voice communication between different nodes.

·Data Configuration

·At each node, configure office routes, prefixes, and SIP trunks to the other nodes based on the data plan to implement interconnection between these nodes.

·Verification

·Place inter-office calls to verify the node interconnection data in a multi-node peer-to-peer network.

Parent Topic: Configuration Examples in Typical Scenarios


Background (Multi-Node Peer-to-Peer Network)

Navigation: Configuration > Configuration Examples in Typical Scenarios > Multi-Node Network Scenario (Peer-to-Peer) >

Return to chapter overview

Background

Enterprise users in the organizations register with the respective local node. Different nodes are interconnected using SIP trunks to implement inter-node voice communication.

Network Scheme

Figure 1 illustrates the peer-to-peer network adopted between multiple nodes.

Figure 1 Network scheme

Network Description

·Each organization deploys a unified gateway as a node, which can be UScale X1911, X1960, X1981.

·IP phones, POTS phones, and fax machines all register with the unified gateway in the local organization. The unified gateways in different organizations can connect to the PSTN using trunks such as PRA, SS7, QSIG, R2, and AT0 for local outgoing calls.

·Different nodes are interconnected using SIP trunks. The peer-to-peer network mode supports interconnection between two or three nodes.

Inter-Office Call Routing

Figure 2 Inter-office call routing

At each node, configure office routes, outgoing call prefixes, and SIP trunks to the other nodes for implementing voice communication between these nodes.

·When user 80001 at node 1 calls user 70001 at node 2, node 1 analyzes the number and according to the analysis result (7 is the call prefix to node 2), routes the call to node 2. Then, node 2 connects the call to user 70001, as indicated by [image] in Figure 2.

·When user 80001 at node 1 calls user 60001 at node 3, node 1 analyzes the number and according to the analysis result (6 is the call prefix to node 3), routes the call to node 3. Then, node 3 connects the call to user 60001, as indicated by [image] in Figure 2.

Parent Topic: Multi-Node Network Scenario (Peer-to-Peer)


Scenario (Multi-Node Peer-to-Peer Network)

Navigation: Configuration > Configuration Examples in Typical Scenarios > Multi-Node Network Scenario (Peer-to-Peer) >

Return to chapter overview

Scenario

This topic describes the data plan for node interconnection to implement voice communication between different nodes.

Service Requirements

This topic assumes the following number segments as the planned ones in the current network scenario:

·Node 1: 80000-89999

·Node 2: 70000-79999

·Node 3: 60000-69999

Voice calling between users at three nodes needs to be implemented.

Prefix Plan

NE | Prefix | Call Attribute | Office Route Selection Code | Calling Number Change | Called Number Change | Display Calling Party's Long Number (Yes/No) | Remarks
Node 1 | 7 | Local call | 12 | - | - | No | Outgoing call prefix, used for calling users at node 2.
 | 6 | Local call | 13 | - | - | No | Outgoing call prefix, used for calling users at node 3.
Node 2 | 8 | Local call | 21 | - | - | No | Outgoing call prefix, used for calling users at node 1.
 | 6 | Local call | 23 | - | - | No | Outgoing call prefix, used for calling users at node 3.
Node 3 | 8 | Local call | 31 | - | - | No | Outgoing call prefix, used for calling users at node 1.
 | 7 | Local call | 32 | - | - | No | Outgoing call prefix, used for calling users at node 2.

Trunk Plan

NE | Trunk Type | Office Route Number | Peer Device | Destination IP Address | Destination Port
Node 1 | SIP | 12 | Node 2 | 10.20.1.2 | 5060
 | SIP | 13 | Node 3 | 10.30.1.2 | 5060
Node 2 | SIP | 21 | Node 1 | 10.10.1.1 | 5060
 | SIP | 23 | Node 3 | 10.30.1.2 | 5060
Node 3 | SIP | 31 | Node 1 | 10.10.1.2 | 5060
 | SIP | 32 | Node 2 | 10.20.1.2 | 5060

Configuration Process

Figure 1 illustrates the configuration process based on the preceding requirements and data plan.

Figure 1 Process for configuring node interconnection

Parent Topic: Multi-Node Network Scenario (Peer-to-Peer)


Data Configuration (Multi-Node Peer-to-Peer Network)

Navigation: Configuration > Configuration Examples in Typical Scenarios > Multi-Node Network Scenario (Peer-to-Peer) >

Return to chapter overview

Data Configuration

At each node, configure office routes, prefixes, and SIP trunks to the other nodes based on the data plan to implement interconnection between these nodes.

This topic uses node 1 as an example. Configure nodes 2 and 3 based on the data plan and by referring to configuration procedure for node 1.

Prerequisites

·You have completed the data plan for node interconnection. For the detailed data plan, see Scenario.

·You have verified the following functions in a single-node network:

§Intra-office basic voice calling.

§Connection to the carrier network.

Configuring Office Route Selection Codes

In the current scenario, you need to configure the following office route selection codes at node 1:

·Office route selection code 12 to node 2

·Office route selection code 13 to node 3

1.Choose Trunk > Office Route Configuration > Office Route Selection Code.

2.Click Create.

3.Configure an office route selection code (for example, 12) and click OK.

4.Repeat steps 2 and 3 to configure other office route selection codes (for example, 13).

Configuring Office Routes

In the current scenario, you need to configure the following office routes at node 1:

·Office route 12 to node 2, corresponding to office route selection code 12

·Office route 13 to node 3, corresponding to office route selection code 13

1.Choose Trunk > Office Route Configuration > Office Route.

2.Click Create.

3.Configure an office route (for example, 12) and click OK.

4.Repeat steps 2 and 3 to configure other office routes (for example, 13).

Configuring Prefixes

In the current scenario, you need to configure the following prefixes at node 1:

·Prefix 7 to node 2. The corresponding call attribute is local call and office route selection code is 12.

·Prefix 6 to node 3. The corresponding call attribute is local call and office route selection code is 13.

1.Choose Trunk > Called Prefix Configuration.

2.Click Create.

3.Configure a prefix (for example, 7) and click OK.

4.Repeat steps 2 and 3 to configure other prefixes (for example, 6).

Configuring SIP Trunks

In the current scenario, you need to configure the following SIP trunks at node 1:

·SIP trunk to node 2, corresponding to office route 12

·SIP trunk to node 3, corresponding to office route 13

1.Choose Trunk > Trunk Configuration > SIP.

2.Click Add A Peer Office.

The connection between the local office and the peer office is displayed.

3.Click the line between Local and point:0.

4.Configure a SIP trunk and click OK.

5.Repeat step 2 through step 4 to configure SIP trunks to other nodes.

6.Click Data Save in the upper right corner of the web management system portal.

Follow-up Procedure

Configure the interconnection data at the other nodes, for example, nodes 2 and 3 in this scenario.

Parent Topic: Multi-Node Network Scenario (Peer-to-Peer)


Verification (Multi-Node Peer-to-Peer Network)

Navigation: Configuration > Configuration Examples in Typical Scenarios > Multi-Node Network Scenario (Peer-to-Peer) >

Return to chapter overview

Verification

Place inter-office calls to verify the node interconnection data in a multi-node peer-to-peer network.

This topic assumes that the following users have been configured:

·Node 1: 80001

·Node 2: 70001

·Node 3: 60001

The following table describes how to verify the configuration.

Action | Expected Result
Have user 80001 dial 70001. | The phone of user 70001 rings. After user 70001 picks up the phone, a call is set up.
Have user 80001 dial 60001. | The phone of user 60001 rings. After user 60001 picks up the phone, a call is set up.
Have user 70001 dial 80001. | The phone of user 80001 rings. After user 80001 picks up the phone, a call is set up.
Have user 70001 dial 60001. | The phone of user 60001 rings. After user 60001 picks up the phone, a call is set up.
Have user 60001 dial 80001. | The phone of user 80001 rings. After user 80001 picks up the phone, a call is set up.
Have user 60001 dial 70001. | The phone of user 70001 rings. After user 70001 picks up the phone, a call is set up.

Parent Topic: Multi-Node Network Scenario (Peer-to-Peer)


Multi-Node Network Scenario (Convergent)

Configure SIP trunk data for connecting the convergent node to each local node to implement voice communication between different nodes.

·Background

·Enterprise users at the headquarters and branches register with the respective local node. All these local nodes connect to the convergent node using SIP trunks to implement inter-node voice communication.

·Scenario

·This topic uses an example to describe the user number and interworking data plan. In this example, the UScale U1980/X1981 functions as the convergent node to implement voice communication requirements between local nodes.

·Configuring the Convergent Node

·At the convergent node, configure office routes, prefixes, and SIP trunks to each local node based on the data plan to implement interconnection between the local nodes.

·Configuring Local Nodes

·At each local node, configure office routes, prefixes, and SIP trunks to the convergent node based on the data plan to implement interconnection between the local nodes.

·Verification

·Place inter-office calls to verify node interconnection data in a multi-node convergent network.

Parent Topic: Configuration Examples in Typical Scenarios


Background (Multi-Node Convergent Network)

Navigation: Configuration > Configuration Examples in Typical Scenarios > Multi-Node Network Scenario (Convergent) >

Return to chapter overview

Background

Enterprise users at the headquarters and branches register with the respective local node. All these local nodes connect to the convergent node using SIP trunks to implement inter-node voice communication.

Network Scheme

Figure 1 illustrates the multi-node convergent network.

Figure 1 Network scheme

Network Description

·The unified gateways deployed at the headquarters and branches are local nodes, which can be UScale X1911, X1960, X1981.

·IP phones, POTS phones, and fax machines all register with their local node. Each local node can connect to the PSTN using trunks such as PRA, SS7, QSIG, R2, and AT0 for local outgoing calls.

·The convergent gateway connects to each local node using a SIP trunk to provide call routing between local nodes. The convergent gateway can be UScale U1980, X1981 or USM. When the user capacity reaches 50,000 or above.

Inter-Office Call Routing

Figure 2 Inter-office call routing

To implement inter-node voice communication, configure required parameters at each local node and the convergent node. Specifically, at each local node, configure office routes, outgoing prefixes, and SIP trunks to the convergent node; at the convergent node, also configure these parameters to each local node.

·When user 01080001 dials 05718004, local node 1 analyzes the number and according to the analysis result (0571 is the call prefix to the convergent node), routes the call to the convergent node. The convergent node analyzes the number and according to the analysis result (0571 is the call prefix to local node 4), routes the call to local node 4. Then, local node 4 connects the call to user 05718004, as indicated by [image] in Figure 2.

·When user 01080001 dials 0256003, local node 1 analyzes the number and according to the analysis result (025 is the call prefix to the convergent node), routes the call to the convergent node. The convergent node analyzes the number and according to the analysis result (025 is the call prefix to local node 3), routes the call to local node 3. Then, local node 3 connects the call to user 0256003, as indicated by [image] in Figure 2.

Parent Topic: Multi-Node Network Scenario (Convergent)


Scenario (Multi-Node Convergent Network)

Navigation: Configuration > Configuration Examples in Typical Scenarios > Multi-Node Network Scenario (Convergent) >

Return to chapter overview

Scenario

This topic uses an example to describe the user number and interworking data plan. In this example, the UScale X1981 functions as the convergent node to implement voice communication requirements between local nodes.

Service Requirements

·Users at different local nodes can call each other using "area code+short numbers".

·Users within a local node can call each other using short numbers or "area code+short numbers".

§Dialing area code+short number: The area code here is the local area code, and the calling method is the same as that used for calling users at the other nodes.

§Dialing a short number: Users within a local node can call each other by directly dialing the short numbers.

Number Plan

NE | Number Segment | Remarks
Local node 1 | 01080000-01089999 | User numbers are in format of "area code+short number", where the area code is 010 and the short number is a 5-digit number starting with 8.
Local node 2 | 02170000-02179999 | User numbers are in format of "area code+short number", where the area code is 021 and the short number is a 5-digit number starting with 7.
Local node 3 | 0256000-0256999 | User numbers are in format of "area code+short number", where the area code is 025 and the short number is a 4-digit number starting with 6.
Local node 4 | 05718000-05718999 | User numbers are in format of "area code+short number", where the area code is 0571 and the short number is a 4-digit number starting with 8.

Number Change Plan

NE | Number Change Index | Type | Start Position | Inserted Number | Remarks
Local node 1 | 0 | Insert number | 0 | 010 | The system inserts the local area code before the called short number to allow placing intra-node calls using short numbers.
Local node 2 | 0 | Insert number | 0 | 021
Local node 3 | 0 | Insert number | 0 | 025
Local node 4 | 0 | Insert number | 0 | 0571

Prefix Plan

NE | Prefix | Call Attribute | Office Route Selection Code | Called Number Change | Display Calling Party's Long Number (Yes/No) | Remarks
Local node 1 | 8 | Intra-office call | - | 0 | - | Used for placing calls within a local node using short numbers. When creating a prefix, associate the prefix with the called number change index that is used for inserting the local area code.
 | 010 | Intra-office call | - | - | - | Used for placing calls within a local node using "area code+short numbers."
 | 021 | Local call | 1 | - | No | Used for routing calls to the convergent node. For outgoing calls to the PSTN, 900, 90, and 9 are planned as the international toll call prefix, national toll call prefix, and local call prefix.
 | 025 | Local call | 1 | - | No
 | 0571 | Local call | 1 | - | No
Local node 2 | 7 | Intra-office call | - | 0 | - | Used for placing calls within a local node using short numbers. When creating a prefix, associate the prefix with the called number change index that is used for inserting the local area code.
 | 021 | Intra-office call | - | - | - | Used for placing calls within a local node using "area code+short numbers."
 | 010 | Local call | 1 | - | No | Used for routing calls to the convergent node. For outgoing calls to the PSTN, 900, 90, and 9 are planned as the international toll call prefix, national toll call prefix, and local call prefix.
 | 025 | Local call | 1 | - | No
 | 0571 | Local call | 1 | - | No
Local node 3 | 6 | Intra-office call | - | 0 | - | Used for placing calls within a local node using short numbers. When creating a prefix, associate the prefix with the called number change index that is used for inserting the local area code.
 | 025 | Intra-office call | - | - | - | Used for placing calls within a local node using "area code+short numbers."
 | 010 | Local call | 1 | - | No | Used for routing calls to the convergent node. For outgoing calls to the PSTN, 900, 90, and 9 are planned as the international toll call prefix, national toll call prefix, and local call prefix.
 | 021 | Local call | 1 | - | No
 | 0571 | Local call | 1 | - | No
Local node 4 | 8 | Intra-office call | - | 0 | - | Used for placing calls within a local node using short numbers. When creating a prefix, associate the prefix with the called number change index that is used for inserting the local area code.
 | 0571 | Intra-office call | - | - | - | Used for placing calls within a local node using "area code+short numbers."
 | 010 | Local call | 1 | - | No | Used for routing calls to the convergent node. For outgoing calls to the PSTN, 900, 90, and 9 are planned as the international toll call prefix, national toll call prefix, and local call prefix.
 | 021 | Local call | 1 | - | No
 | 025 | Local call | 1 | - | No
Convergent node | 010 | Local call | 1 | - | No | Used for routing calls to local node 1.
 | 021 | Local call | 2 | - | No | Used for routing calls to local node 2.
 | 025 | Local call | 3 | - | No | Used for routing calls to local node 3.
 | 0571 | Local call | 4 | - | No | Used for routing calls to local node 4.
 | 900 | International toll call | 0 | - | - | Planning and configuring toll call prefixes is to meet the following system requirement: The toll call prefixes must be configured before you configure the local call prefix. These toll call prefixes are not practically useful to the convergent node.
 | 90 | National toll call | 0 | - | -

Trunk Plan

NE | Trunk Type | Office Route Number | Peer Device | Destination IP Address | Destination Port
Local node 1 | SIP | 1 | Convergent node | 10.10.10.3 | 5060
Local node 2 | SIP | 1 | Convergent node | 10.10.10.3 | 5060
Local node 3 | SIP | 1 | Convergent node | 10.10.10.3 | 5060
Local node 4 | SIP | 1 | Convergent node | 10.10.10.3 | 5060
Convergent node | SIP | 1 | Local node 1 | 10.10.10.2 | 5060
Convergent node | SIP | 2 | Local node 2 | 192.168.1.2 | 5060
Convergent node | SIP | 3 | Local node 3 | 172.16.1.2 | 5060
Convergent node | SIP | 4 | Local node 4 | 10.175.1.2 | 5060

Configuration Process

Figure 1 illustrates the configuration process based on the preceding requirements and data plan.

Figure 1 Process for configuring node interconnection

User, number change, and intra-office call prefix configurations belong to the verification of basic voice calling and therefore is not covered in this process.

Parent Topic: Multi-Node Network Scenario (Convergent)


Configuring the Convergent Node (Multi-Node Convergent Network)

Navigation: Configuration > Configuration Examples in Typical Scenarios > Multi-Node Network Scenario (Convergent) >

Return to chapter overview

Configuring the Convergent Node

At the convergent node, configure office routes, prefixes, and SIP trunks to each local node based on the data plan to implement interconnection between the local nodes.

Prerequisites

·You have completed the data plan for node interconnection. For the detailed data plan, see Scenario.

·You have configured basic data at the convergent node.

Configuring Office Route Selection Codes

In the current scenario, you need to configure the following office route selection codes at the convergent node:

·Office route selection code 1 to local node 1

·Office route selection code 2 to local node 2

·Office route selection code 3 to local node 3

·Office route selection code 4 to local node 4

·Office route selection code 0 for toll call prefixes

1.Choose Trunk > Office Route Configuration > Office Route Selection Code.

2.Click Create.

3.Configure an office route selection code (for example, 1) and click OK.

4.Repeat steps 2 and 3 to configure other office route selection codes.

Configuring Office Routes

In the current scenario, you need to configure the following office routes at the convergent node:

·Office route 1 to local node 1, corresponding to office route selection code 1

·Office route 2 to local node 2, corresponding to office route selection code 2

·Office route 3 to local node 3, corresponding to office route selection code 3

·Office route 4 to local node 4, corresponding to office route selection code 4

1.Choose Trunk > Office Route Configuration > Office Route.

2.Click Create.

3.Configure an office route (for example, 1) and click OK.

4.Repeat steps 2 and 3 to configure other office routes.

Configuring Prefixes

In the current scenario, you need to configure the following prefixes at the convergent node:

·Prefix 010 to local node 1. The corresponding call attribute is local call and office route selection code is 1.

·Prefix 021 to local node 2. The corresponding call attribute is local call and office route selection code is 2.

·Prefix 025 to local node 3. The corresponding call attribute is local call and office route selection code is 3.

·Prefix 0571 to local node 4. The corresponding call attribute is local call and office route selection code is 4.

·Prefix 900. The corresponding call attribute is international toll call and office route selection code is 0.

·Prefix 90. The corresponding call attribute is national toll call and office route selection code is 0.

When configuring outgoing prefixes, configure international and national toll call prefixes before configuring the local call prefix.

1.Choose Trunk > Called Prefix Configuration.

2.Click Create.

3.Configure a prefix (for example, 900) and click OK.

4.Repeat steps 2 and 3 to configure other prefixes.

Configuring SIP Trunks

In the current scenario, you need to configure the following SIP trunks at the convergent node:

·SIP trunk to local node 1, corresponding to office route 1

·SIP trunk to local node 2, corresponding to office route 2

·SIP trunk to local node 3, corresponding to office route 3

·SIP trunk to local node 4, corresponding to office route 4

1.Choose Trunk > Trunk Configuration > SIP.

2.Click Add A Peer Office.

The connection between the local office and the peer office is displayed.

3.Click the line between Local and point:0.

4.Configure a SIP trunk and click OK.

5.Repeat step 2 through step 4 to configure SIP trunks to other local nodes.

6.Click Data Save in the upper right corner of the web management system portal.

Parent Topic: Multi-Node Network Scenario (Convergent)


Configuring Local Nodes (Multi-Node Convergent Network)

Navigation: Configuration > Configuration Examples in Typical Scenarios > Multi-Node Network Scenario (Convergent) >

Return to chapter overview

Configuring Local Nodes

At each local node, configure office routes, prefixes, and SIP trunks to the convergent node based on the data plan to implement interconnection between the local nodes.

This topic uses local node 1 as an example. Configure the other local nodes based on the data plan and by referring to the configuration procedure for local node 1.

Prerequisites

·You have completed the data plan for node interconnection. For the detailed data plan, see Scenario.

·You have verified the following functions for each local node in a single-node network:

§Intra-office basic voice calling (placing calls to each other using short numbers or "area code+short numbers").

§Connection to the carrier network.

Configuring Office Route Selection Codes

In the current scenario, at local node 1, configure office route selection code 1 to the convergent node.

1.Choose Trunk > Office Route Configuration > Office Route Selection Code.

2.Click Create.

3.Configure office route selection code 1 and click OK.

Configuring Office Routes

In the current scenario, at local node 1, configure office route 1 to the convergent node.

1.Choose Trunk > Office Route Configuration > Office Route.

2.Click Create.

3.Configure office route 1 and click OK.

Configuring Prefixes

In the current scenario, at local node 1, configure prefixes 021, 025, and 0571 to the convergent node, with their call attribute being local call and office route selection code being 1.

1.Choose Trunk > Called Prefix Configuration.

2.Click Create.

3.Configure a prefix (for example, 021) and click OK.

4.Repeat steps 2 and 3 to configure other prefixes.

Configuring SIP Trunks

In the current scenario, at local node 1, configure the SIP trunk to the convergent node.

1.Choose Trunk > Trunk Configuration > SIP.

2.Click Add A Peer Office.

The connection between the local office and the peer office is displayed.

3.Click the line between Local and point:0.

4.Configure a SIP trunk and click OK.

5.Click Data Save in the upper right corner of the web management system portal.

Follow-up Procedure

Configure the interconnection data at the other local nodes.

Parent Topic: Multi-Node Network Scenario (Convergent)


Verification (Multi-Node Convergent Network)

Navigation: Configuration > Configuration Examples in Typical Scenarios > Multi-Node Network Scenario (Convergent) >

Return to chapter overview

Verification

Place inter-office calls to verify node interconnection data in a multi-node convergent network.

This topic assumes that the following users have been configured:

·Local node 1: 01080001

·Local node 2: 02170002

·Local node 3: 0256003

·Local node 4: 05718004

The following table describes how to verify the configuration.

Action | Expected Result
Have user 01080001 at local node 1 call 02170002 at local node 2. | The phone of user 02170002 rings. After user 02170002 picks up the phone, a call is set up.
Have user 01080001 at local node 1 call 0256003 at local node 3. | The phone of user 0256003 rings. After user 0256003 picks up the phone, a call is set up.
Have user 01080001 at local node 1 call 05718004 at local node 4. | The phone of user 05718004 rings. After user 05718004 picks up the phone, a call is set up.
Have user 02170002 at local node 2 call users at the other local nodes in turn according to the operations performed by the user at local node 1. | The called party's phone rings. After the called party picks up the phone, a call is set up.
Have user 0256003 at local node 3 call users at the other local nodes in turn according to the operations performed by the user at local node 1. | The called party's phone rings. After the called party picks up the phone, a call is set up.
Have user 05718004 at local node 4 call users at the other local nodes in turn according to the operations performed by the user at local node 1. | The called party's phone rings. After the called party picks up the phone, a call is set up.

Parent Topic: Multi-Node Network Scenario (Convergent)


Configuring the Unified Gateway Two-Node Cluster

In a multi-node centralized call management network, you can deploy two unified gateways in active/standby mode in the headquarters to provide user registration and call management services. This network improves system reliability. The following describes how to configure data for the unified gateway two-node cluster.

·Background

·This topic describes the multi-node centralized call management network for the unified gateway two-node cluster and its working mechanism. The gateways that support the active/standby mode are X1911/X1960/X1981/U1980SoftCo7500/SoftCo9500.

·Scenario Description

·This topic describes the unified gateway connection scenario and data plan in a multi-node centralized call management network for the unified gateway two-node cluster.

·Configuring the Active Node

·This topic describes how to configure the active node in a multi-node centralized call management network for the unified gateway two-node cluster.

·Configuring the Standby Node

·This topic describes how to configure the standby node in a multi-node centralized call management network for the unified gateway two-node cluster.

·Configuring Local Nodes

·This topic describes how to configure the local nodes in a multi-node centralized call management network for the unified gateway two-node cluster.

·Configuring the Truck Gateway

·This topic describes how to configure the trunk gateway in a multi-node centralized call management network for the unified gateway two-node cluster.

Parent Topic: Configuration Examples in Typical Scenarios


Background

This topic describes the multi-node centralized call management network for the unified gateway two-node cluster and its working mechanism. The gateways that support the active/standby mode are X1911/X1960/X1981/U1980SoftCo7500/SoftCo9500.

Network Scheme

Figure 1 shows the multi-node centralized call management network for the unified gateway two-node cluster.

Figure 1 Network

Ensure that the networks of devices such as the unified gateways, IADs, and IP phones in the headquarters and branches are connected.

The network is similar to the multi-node centralized call management network. In a multi-node centralized call management network, all users in an enterprise register with the unified gateway in the central node. The unified gateway in the central node processes all calls in the enterprise. In a multi-node centralized call management network for the unified gateway two-node cluster, all users in an enterprise register with the active unified gateway node. The active unified gateway node processes all calls. The active and standby unified gateway nodes work in active/standby node, improving the network reliability.

Two-Node Cluster Mechanism

·Two-node cluster function is available only after the corresponding license is obtained, you need to apply for it together with the license of the X1900 series unified gateway.

·The active node requires licenses, such as Voice Subscriber Port License, while the standby node requires only the Dual Active-Standby license.

·In V200R003C50SPC700 and later versions, the active node requires only the voice user license and the standby node does not require any license.

Two-Node Cluster Mechanism

Service Recovery Mechanism

Impact on Services

Active/Standby redundancy

·Two unified gateways are deployed at the headquarters as the active and standby nodes. The active and standby nodes use a heartbeat mechanism to constantly check each other's status.

NOTE:

The active and standby nodes must use the unified gateways of the same model. Their board layouts and software versions must be the same.

·When the active and standby nodes are running correctly, all users register with the active node. The active node processes all user requests and synchronizes user registration and configuration data to the standby node in real time.

·When the active node fails, the standby node takes over all services from the active node and processes all user requests.

·If the trunk gateway is not deployed, the active and standby nodes both connect to the PSTN. When the active and standby nodes are running correctly, the active node routes calls to the PSTN through trunks. When the active node fails, configurations are required on the PSTN to set up trunk channels with the standby node, and the standby node then routes calls to the PSTN through trunks.

·All service servers support active/standby switching of the gateways. This means these service servers automatically connect to the standby node for service processing after a switching from the active node to the standby node.

After switching from the active node to the standby node due to an active node failure, the standby node processes all services. When detecting that the active node recovers, the standby node automatically switches services to the active node.

·The switching lasts about 2 minutes. During the switching, new calls cannot be initiated. Considering that terminal registration updates to the standby node, the maximum service interruption time is 2 minutes plus the duration of terminal registration updates. The calls that have been set up are not affected.

NOTICE:

The standby node is allowed to take over services for a maximum of 30 days. To avoid service unavailability, repair or replace the faulty node promptly.

·When the standby node takes over the services, data is not synchronized to the active node. After services are switched back to the active node, the active node synchronizes data to the standby node, and the data on the standby node will be overwritten. Before manual switchover, export data from the standby node and import the exported data to the active node so that the data that is generated on the standby node during the fault period will not be lost.

·On the active node of the unified gateway, built-in VMS voice file, recording file, custom voice file, CDR file, and unified gateway voice and language settings do not support synchronization to the standby node. The built-in VMS voice settings can be synchronized to the standby node.

Parent Topic: Configuring the Unified Gateway Two-Node Cluster


Scenario Description

This topic describes the unified gateway connection scenario and data plan in a multi-node centralized call management network for the unified gateway two-node cluster.

Configuration Scenario

Configure data to implement the following objectives:

·Intra-office calls can be made by dialing short numbers between IP phones, POTS phones, and fax machines at the headquarters, branch 1, and branch 2.

·Incoming and outgoing calls can be made after the active node is connected to local nodes through SIP trunks and after local nodes are connected to the PSTN through PRA trunks.

·The active and standby unified gateway nodes can work in active/standby mode. When the active node is faulty, the standby node can take over users' service requests.

Data Plan

Table 1 IP addresses

Location | NE | IP Address | Subnet Mask | Gateway IP Address
Headquarters | Trunk gateway | 10.10.10.2 | 255.255.255.0 | 10.10.10.1
 | Active node | 10.10.10.5 | 255.255.255.0 | 10.10.10.1
 | Standby node | 10.10.10.6 | 255.255.255.0 | 10.10.10.1
Branch 1 | Local node 1 | 192.168.1.2 | 255.255.255.0 | 192.168.1.1
Branch 2 | Local node 2 | 172.16.1.2 | 255.255.255.0 | 172.16.1.1

Table 2 User numbers

Location | Connected Endpoint | Short Number | Long Number | User Rights Level
Headquarters | IP phone | 81000 | 28881000 | Default rights
 | IAD (fax machine) | 82000 | -
 | IAD (POTS phone) | 82001 | -
 | Automatic switchboard access code | - | 28882999
Branch 1 | IP phone | 83000 | 28883000
 | IAD (fax machine) | 84000 | 28884000
 | IAD (POTS phone) | 84001 | 28884001
 | Fax machine | 85000 | -
 | POTS phone | 85001 | -
 | Automatic switchboard access code | - | 28885999
Branch 2 | IP phone | 86000 | 28886000
 | IAD (fax machine) | 87000 | 28887000
 | IAD (POTS phone) | 87001 | 28887001
 | Fax machine | 88000 | -
 | POTS phone | 88001 | -
 | Automatic switchboard access code | - | 28888999 | -

Table 3 SIP trunks

Location

NE

Peer Office

Trunk Type

Office Route Selection Code

Office Route

Headquarters

Active node

Local node 1

SIP

1

1

Local node 2

SIP

2

2

Trunk gateway

SIP

3

3

Trunk gateway

Active node

SIP

1

1

Standby node

SIP

1

2

Branch 1

Local node 1

Active node

·After the active and standby nodes are added, the system automatically creates the SIP trunks, office route selection codes, and office routes for the active and standby nodes.

·If the U1980 functions as the local node, you need to manually create the SIP trunk, office route, and office route selection code in versions earlier than V200R003C20SPC200; in V200R003C20SPC200 and later versions, the system automatically creates them.

Standby node

Branch 2

Local node 2

Active node

Standby node

Table 4 PRA trunks

Location | NE | Peer Office | Trunk Type | Office Route Selection Code | Office Route | CRCa | Connection Locationb
Headquarters | Trunk gateway | PSTN | PRA | 0 | 0 | No | Local office: on the user side; PSTN: on the network side
Branch 1 | Local node 1 | PSTN | PRA | 0 | 0 | No | Local office: on the user side; PSTN: on the network side
Branch 2 | Local node 2 | PSTN | PRA | 0 | 0 | No | Local office: on the user side; PSTN: on the network side
·a: indicates the cyclic redundancy code (CRC) for the unified gateway. The CRC must be the same as that of the peer device. ·b: ensures that the value on the local device is different from that on the peer device.

Table 5 Prefix and number change

Location | NE | Prefix Type | Prefix | Office Route Selection Code | Called Number Change | Calling Number Change | Remarks
Headquarters | Active node | Intra-office call prefix | 8 | - | - | - | -
 |  |  | 2888
 |  | National toll call prefix | 90 | 3: outgoing calls to the trunk gateway | - | Index 1: Changes the number to the automatic switchboard access code 28882999 of the headquarters. | The national toll call rights can be assigned only to specified users by configuring the user rights level, preventing toll fraud.
 |  | International toll call prefix | 900 |  | - |  | The international toll call rights can be assigned only to specified users by configuring the user rights level, preventing toll fraud.
 |  | Local outgoing call prefix | 9 |  | - |  | The central node does not delete the outgoing call prefix 9 for an outgoing call. If the call is rerouted to the branch, the prefix 9 is deleted on the local node. If the call is rerouted to the headquarters, the prefix 9 is deleted through the trunk gateway.
 |  | Outgoing call prefix: Users at branches call PSTN users at the headquarters. | 9010 (010 is the area code of the headquarters) |  | - |  | -
 |  | Outgoing call prefix: Users at the headquarters or branch 2 call PSTN users at branch 1. | 90571 (0571 is the area code of branch 1) | 1: outgoing calls to branch 1 | - | - | -
 |  | Outgoing call prefix: Users at the headquarters or branch 1 call PSTN users at branch 2. | 9021 (021 is the area code of branch 2) | 2: outgoing calls to branch 2 | - | - | -
 | Trunk gateway | National toll call prefix | 90 | 0 | Index 0: Deletes the first digit of a number. | - | Outgoing calls to the PSTN
 |  | International toll call prefix | 900
 |  | Local outgoing call prefix | 9
 |  | Local outgoing call prefix | 2888 | 1 | - | - | Outgoing calls to the active node
Branch 1 | Local node 1 | Intra-office call prefix | 8 | - | - | - | -
 |  | Local regeneration prefix | 2888 |  |  |  | The local regeneration prefix is the intra-office call prefix configured on the central node for users at the local node.
 |  | National toll call prefix | 90 | 0 | Index 0: Deletes the first digit of a number. | Index 1: Changes the number to the automatic switchboard access code 28885999 of branch 1. | Outgoing calls to the local PSTN.
 |  | International toll call prefix | 900
 |  | Outgoing call prefix | 9
 |  | Outgoing call prefix | 90571
Branch 2 | Local node 2 | Intra-office call prefix | 8 | - | - | - | -
 |  | Local regeneration prefix | 2888 |  |  |  | The local regeneration prefix is the intra-office call prefix configured on the central node for users at the local node.
 |  | National toll call prefix | 90 | 0 | Index 0: Deletes the first digit of a number. | Index 1: Changes the number to the automatic switchboard access code 28888999 of branch 2. | Outgoing calls to the local PSTN.
 |  | International toll call prefix | 900
 |  | Outgoing call prefix | 9
 |  | Outgoing call prefix | 9021

Table 6 Call sources

NE | Call Source |  | Remarks
Active node | 1 | Users at branch 1 belong to call source 1. | Configures call rerouting analysis. When a user at branch 1 dials prefix 9 to make an outgoing call, the call is rerouted to local node 1.
 | 2 | Users at branch 2 belong to call source 2. | Configures call rerouting analysis. When a user at branch 2 dials prefix 9 to make an outgoing call, the call is rerouted to local node 2.
Local node 1 | 1 | The SIP trunk from local node 1 to the active node and standby node belongs to call source 1. | Adds SIP trunks from the local nodes to the active node and standby node to call source 1. When a local node processes a call from this call source, the local node changes the call attribute of local regeneration prefix 288 to inter.
Local node 2 | 1 | The SIP trunk from local node 2 to the active node and standby node belongs to call source 1. | Adds SIP trunks from the local nodes to the active node and standby node to call source 1. When a local node processes a call from this call source, the local node changes the call attribute of local regeneration prefix 288 to inter.

Table 7 Boards

Location | NE | Board Type | Slot Number
Headquarters | Trunk gateway | MTU | 0
Branch 1 | Local node 1 | MTU | 0
 |  | ASI | 1
Branch 2 | Local node 2 | MTU | 0
 |  | ASI | 1

Parent Topic: Configuring the Unified Gateway Two-Node Cluster


Configuring the Active Node

This topic describes how to configure the active node in a multi-node centralized call management network for the unified gateway two-node cluster.

Prerequisites

·Basic data, including the unified gateway IP address, boards, and time zone, has been configured for the active node. For details, see Configuring the Basic Information.

·Numbers have been allocated to SIP users (IP phones, and POTS phones and fax machines under IADs). Users with numbers 81000, 82000, and 82001 can dial the short numbers to call each other. For details, see Configuration Guide (Web Mode).

·In a two-node active/standby network, IP phones updates registration information to the standby node when the active node is faulty. Because the unified gateway receives a limited number of terminal registration requests every second, it is recommended that you set the IP phone registration period based on the terminal user capacity size, as shown in Table 1. On the IP phone management web page, the path for setting the parameter is: SIP Registration Cycle under Advanced > SIP Signaling.

Table 1 Recommended SIP registration period

User Capacity Range | 10000-20000 | 5000-10000 | 1000-5000 | 500-1000 | 100-500 | 0-100
Recommended SIP registration period | 1200s | 600s | 360s | 300s | 240s | 150s

Configuring Distributed Network Data

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose System > Network Mode.

3.Select Primary node from the Site type drop-down list box.

4.Set Standby node IP address.

5.Click Create and set parameters for local node 1. For parameter description, see X1900 series unified gateway web help.

You can add local node 2 in the same way.

The Authentication password is the same as Data synchronize password of step 6.

6.Modify Data synchronize password.

Choose System > Device Management, modify Data synchronize password.

The data synchronize password is used for data synchronization between the primary gateway and the standby gateway. You can customize the password, but the password configured on the primary gateway must be the same as that configured on the standby gateway. Otherwise, data synchronization will fail.

7.Click Data Save in the upper right corner of the web management system.

The unsaved configurations will be deleted after the device is restarted.

Configuring User Data

The process of configuring user data for branch 1 is similar to that for branch 2. The following describes how to configure user data for branch 1:

1.Configure SIP users (IP phones, and POTS phones and fax machines under IADs) at branch 1.

a.Choose User > SIP User and click Create.

b.Configure a SIP user with the number 83000 (with long number 28883000), as shown in Figure 2.

From V200R003C30SPC300, two additional parameters, namely Service password and Self-service login password, are provided for a user being created. You can log in to the web management system and configure Service password and Self-service login password, or run the config system subscriber defaultpwd password password webpassword webpassword command in global config mode to configure the default service password and self-service login password for the user. If the passwords are not configured using either the command or web management system, the user fails to be created. If the passwords are configured using both the command and web management system, the configurations in the web management system prevail.

c.Click OK.

d.Configure two SIP users with numbers 84000 and 84001 in the same way. To configure two SIP users at a time, set User count to 2.

2.Configure POTS users (POTS phones and fax machines directly connected to the local node) at branch 1.

POTS users at branch 1 are registered with the central node through the local node. SIP users are configured on the central node while POTS users are configured on the local node.

a.Choose User > SIP User and click Create.

b.Configure two SIP users with numbers 85000 and 85001 (without long numbers).

c.Click OK.

Configuring Office Route Data

1.Set office route selection codes.

·The office route selection code is 1 when the active node connects to local node 1 through a SIP trunk.

·The office route selection code is 2 when the active node connects to local node 2 through a SIP trunk.

·The office route selection code is 3 when the active node connects to trunk gateway through a SIP trunk.

·Choose Trunk > Office Route Configuration > Office Route Selection Code and click Create.

·Set Office Route Selection Code to 3.

·Click OK.

·Repeat the preceding steps to configure the office route selection codes to 1 and 2 when the central node connects to local nodes 1 and 2 through SIP trunks.

2.Set office route IDs.

·Both the office route selection code and the office route ID are 1 when the active node connects to local node 1 through a SIP trunk.

·Both the office route selection code and the office route ID are 2 when the active node connects to local node 2 through a SIP trunk.

·Both the office route selection code and the office route ID are 3 when the active node connects to trunk gateway through a SIP trunk.

·Choose Trunk > Office Route Configuration > Office Route and click Create.

·Configure office route ID 3.

·Click OK.

·Repeat the preceding steps to configure the office route IDs to 1 and 2 when the active node connects to local nodes 1 and 2 through SIP trunks.

3.Configure a number change index.

Number change: Configure number change index 1, which is used to change the calling number to the automatic switchboard number 28882999 of the headquarters.

·Choose Trunk > Office Route Configuration > Number Change Index and click Create.

·Configure number change index 1.

·Click OK.

Configuring Prefixes

1.Configure intra-office call prefixes.

According to the data plan, you must configure intra-office call prefix 8 for short numbers and intra-office call prefix 2888 for long numbers.

a.Choose Trunk > Called Prefix Configuration and click Create.

b.Configure intra-office call prefix 8.

c.Click OK.

Configure intra-office call prefix 2888 by following the steps for configuring intra-office call prefix 8.

2.Configure outgoing call prefixes.

a.Prefix for users at the headquarters to make outgoing calls: 900, 90, and 9

b.Prefix for users at branches to make outgoing calls through the headquarters: 9010

c.Prefix for users at the headquarters and branch 2 to make outgoing calls through branch 1: 90571

d.Prefix for users at the headquarters and branch 1 to make outgoing calls through branch 2: 9021

e.Click Create. Configure international toll call prefix 900.

Local call prefix 9 can be configured only after international toll call prefix 900 and national toll call prefix 90 are configured.

f.Click OK.

Configure other prefixes by using the same method. The interfaces for configuring other prefixes are similar to Figure 8. Table 2 describes the differences.

Table 2 Parameters for configuring outgoing call prefixes

Prefix | Call Attribute | Office Route Selection Code | Calling Number Change | Called Number Change
900 | International toll call | 3 | 1 | None
90 | National toll call | 3 | 1
9 | Local call | 3 | 1
9010 | Local call | 3 | 1
90571 | Local call | 1 | None
9021 | Local call | 2 | None

Configuring SIP Trunks

·Configure the SIP trunk that connects the active node to local node 1. Set the office route ID to 1, domain name of the peer device to localgw1, and SIP port number to 5060. In addition, enable the heartbeat function and set the interval for sending heartbeat messages to 120s.

·Configure the SIP trunk that connects the active node to local node 2. Set the office route ID to 2, domain name of the peer device to localgw2, and SIP port number to 5060. In addition, enable the heartbeat function and set the interval for sending heartbeat messages to 120s.

·Configure the SIP trunk that connects the active node to trunk gateway. Set the office route ID to 3, domain name of the peer device to centergw, and SIP port number to 5060. In addition, enable the heartbeat function and set the interval for sending heartbeat messages to 120s.

1.Choose Trunk > Trunk Configuration > SIP and click Add A Peer Office.

The connection between the local office and the peer office is displayed.

2.Click the line between local and point0. Configure the SIP trunk that connects local node 1 to the active node.

3.Click OK.

4.Repeat the preceding steps to configure the SIP trunk that connects the active node to local node 2 and trunk gateway.

Configuring Call Sources

Configure call sources according to the data plan to implement the following requirements:

·When a user at local node 1 dials prefix 9 (outgoing call prefix) and a called number, the call is routed to the active node. The active node reroutes the call to local node 1 according to the call source (Digits of called numbers are deleted on local node 1. Users at local node 1 belong to call source 1.).

·When a user at local node 2 dials prefix 9 (outgoing call prefix) and a called number, the call is routed to the active node. The active node reroutes the call to local node 2 according to the call source (Digits of called numbers are deleted on local node 2. Users at local node 2 belong to call source 2.).

·When a user at active node dials prefix 9 (outgoing call prefix) and a called number, the call is routed to the trunk gateway. Digits of called numbers are deleted on trunk gateway. You need to set the local node's automatic switchboard number as the prefix with its attribute being "local call". When the active node receives a call request of this prefix, it routes the call to the local node for processing.

1.Choose Trunk > CallSource and click Create.

2.Add call sources 1 and 2.

3.Configure call sources.

a.Choose User > SIP User and click [image] next to the user 83000 to be modified.

b.Set the call source for users at branch 1 to 1.

You can set the call source for user 84000, 84001, 85000, 85001 at branch 1 in the same way, also set callsourceno to 2, you can set the call source for user 86000, 87000, 870001, 88000 and 88001 at branch 2.

All users are added to call source 0 by default, so you do not need to change the call source for users at the headquarters.

4.Configure reroute analysis.

a.Choose Trunk > Rerouting Configuration and click Create.

b.When a user in call source 1 dials outgoing call prefix 9 to make an outgoing call, the call is rerouted to office route 1 (local node 1).

c.When a user in call source 2 dials outgoing call prefix 9 to make an outgoing call, the call is rerouted to office route 2 (local node 2).

Configuring Automatic Switchboards

This topic uses the default automatic switchboard as an example to describe how to configure the automatic switchboard. For more information about automatic switchboard with custom announcements, cyclical automatic switchboard, and automatic switchboard for dialing the switchboard number and extension number together, and local node voice playback, see Automatic Switchboard.

VU scripts of the automatic switchboard have been pre-configured into the system by default. Users can configure the automatic switchboard access code to enable automatic switchboard functions.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose Trunk > Called Prefix Configuration and click Create.

3.Set the automatic switchboard access code and use the default values of other parameters.

4.Click OK.

If you want the central node to play the automatic switchboard announcement for the local nodes, repeat the preceding steps to configure data for the local node automatic switchboard access codes 288885999 and 28888999.

Parent Topic: Configuring the Unified Gateway Two-Node Cluster


Configuring the Standby Node

This topic describes how to configure the standby node in a multi-node centralized call management network for the unified gateway two-node cluster.

Configuring Distributed Network Data

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose System > Network Mode.

3.Select Standby node from the Site type drop-down list box.

4.Set Active node IP address, For parameter description, see X1900 series unified gateway web help.

Active node authentication password is used for data synchronization between the primary gateway and the standby gateway. You can customize the password, but the password configured on the primary gateway must be the same as that configured on the standby gateway. Otherwise, data synchronization will fail.

There two ways to change the active node authentication password:

·On the web management system of primary gateway, choose System > Device Management, modify Data synchronize password.

·Or on the primary gateway, command the line config modify datasync password password.

5.Click Data Save in the upper right corner of the web management system.

The unsaved configurations will be deleted after the device is restarted.

Verifying the Connection Status

To verify the status of connections between the active node and the standby node, perform the following steps:

Verify the status of the connection between the active node and the standby node.

E1 data is not automatically synchronized during data synchronization between the active and standby nodes. If configurations of E1 trunks (including PRA, QSIG, SS7, R2, trunks) are modified on the active node, restart the standby node after data synchronization between the active and standby nodes is completed so that E1 trunk configurations can take effect on the standby node.

Parent Topic: Configuring the Unified Gateway Two-Node Cluster


Configuring Local Nodes

This topic describes how to configure the local nodes in a multi-node centralized call management network for the unified gateway two-node cluster.

Prerequisites

Basic data, including the unified gateway IP address, boards, and time zone, has been configured for the local node. For details, see Configuring the Basic Information.

In V2.0 and later versions, you must change the Data synchronize password before configuring the connection between the central and local nodes; otherwise, the connection fails.

Configuring Distributed Network Data

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose System > Network Mode.

3.Configure the active node and standby node, For parameter description, see X1900 series unified gateway web help.

·When the active node deploys the X1900, it is recommended that you use the same value for Active node trunk port number and Active node register port number.

·When DataSynMode is DB, Active node authentication password is mandatory.

4.Click OK.

For details about how to check the status of the connections between the local nodes and the active node and between the local nodes and the standby node, see Verifying the Connection Status.

5.Modify Data synchronize password.

Choose System > Device Management, modify Data synchronize password.

The data synchronize password is used for data synchronization between the primary gateway and the local gateway. You can customize the password, but the password configured on the local gateway must be the same as that configured on the primary gateway. Otherwise, data synchronization will fail.

Configuring User Data

The process of configuring user data for branch 1 is similar to that for branch 2. The following describes how to configure user data for branch 1:

1.Configure SIP users (IP phones, and POTS phones and fax machines under IADs) at branch 1.

SIP users at branch 1 have been configured on the central node, and SIP user numbers have been synchronized to the local node, so user numbers do not need to be allocated to the SIP users on the local node.

2.Configure POTS users (POTS phones and fax machines directly connected to the local node) at branch 1.

a.Choose User > POTS User and click Create.

b.Configure two POTS users with numbers 85000 and 85001 (without long numbers).

From V200R003C30SPC300, two additional parameters, namely Service password and Self-service login password, are provided for a user being created. You can log in to the web management system and configure Service password and Self-service login password, or run the config system subscriber defaultpwd password password webpassword webpassword command in global config mode to configure the default service password and self-service login password for the user. If the passwords are not configured using either the command or web management system, the user fails to be created. If the passwords are configured using both the command and web management system, the configurations in the web management system prevail.

c.Click OK.

Configuring Office Route Data

1.Set office route selection codes.

·The office route selection code is 0 when local node 1 connects to the PSTN through a PRA trunk.

·The office route selection code is 252(X1911/X1960)or 1021 (X1981) when local node 1 is connected to the active node through a SIP trunk. The office route selection code is automatically created after a distributed network is configured.

·The office route selection code is 253(X1911/X1960)or 1022 (X1981) when local node 1 is connected to the standby node through a SIP trunk. The office route selection code is automatically created after a distributed network is configured.

·Choose Trunk > Office Route Configuration > Office Route Selection Code and click Create.

·Set Office Route Selection Code to 0.

·Click OK.

2.Set office route IDs.

·Both the office route selection code and the office route ID are 0 when local node 1 connects to the PSTN through a PRA trunk.

·The office route ID is 252(X1911/X1960)or 1021 (X1981) when local node 1 is connected to the active node through a SIP trunk. The office route ID is automatically created after a distributed network is configured.

·The office route ID is 253(X1911/X1960)or 1022 (X1981) when local node 1 is connected to the standby node through a SIP trunk. The office route ID is automatically created after a distributed network is configured.

·Choose Trunk > Office Route Configuration > Office Route and click Create.

·Set Office route ID to 0, and select 0 from the Office route selection code drop-down list box.

·Click OK.

3.Configure a number change index.

·Digit deletion: Configure number change index 0, which is used to delete the first digit of called numbers.

·Number change: Configure number change index 1, which is used to change the calling number to the automatic switchboard number 28885999 of the headquarters.

·Choose Trunk > Office Route Configuration > Number Change Index and click Create.

·Configure number change index 0.

·Click OK.

·Click Create. Configure number change index 1.

·Click OK.

Configuring Prefixes

1.Configure intra-office call prefix 8.

a.Choose Trunk > Called Prefix Configuration and click Create.

b.Configure intra-office call prefix 8.

c.Click OK.

2.Configure outgoing call prefixes.

a.Prefix for users at branch 1 to make outgoing calls: 900, 90, and 9

b.Prefix for users at the headquarters and branch 2 to make outgoing calls through branch 1: 90571

c.Click Create. Configure international toll call prefix 900.

Local call prefix 9 can be configured only after international toll call prefix 900 and national toll call prefix 90 are configured.

d.Click OK.

Configure other prefixes by using the same method. The interfaces for configuring other prefixes are similar to Figure 8. Table 1 describes the differences.

Table 1 Parameters for configuring outgoing call prefixes

Prefix | Call Attribute | Office Route Selection Code | Calling Number Change | Called Number Change
900 | International toll call | 0 | 1 | 0
90 | National toll call | 0 | 1 | 0
9 | Local call | 0 | 1 | 0
90571 | Local call | 0 | 1 | 0

3.Configure local regeneration prefix 2888.

The prefix (2888 in this example) of long numbers on the local node needs to be configured as the local regeneration prefix. If long numbers in format of 3999XXXX are planned onsite, set 3999 as the local regeneration prefix.

a.Click Create and configure local regeneration prefix 2888.

In a two-node active/standby network, the system reroutes calls to the standby node if the active node is unreachable.

b.Click OK.

Configuring the SIP Trunk

After the central node is added, the system automatically creates the SIP trunk. If the U1980 functions as the local node, you need to perform the following steps to manually create the SIP trunk in versions earlier than V200R003C20SPC200; in V200R003C20SPC200 and later versions, the system automatically creates the SIP trunk. Configure the SIP trunk that connects local node 1 to the active node and standby node. Set the office route ID to 252 and 253, domain name of the peer device to DefDNPrimarySrv and DefDNStandbySrv, and SIP port number to 5060. In addition, enable the heartbeat function and set the interval for sending heartbeat messages to 120s.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose Trunk > Trunk Configuration > SIP.

The connection between the local office and the peer office is displayed.

3.Click the line between 252 and local. Set the SIP trunk that connects local node 1 to the active node.

The outgoing call rights for the SIP trunk from the local node to the active node are inter and local by default. If a local node user needs to make national toll calls and international toll calls, add the outgoing national toll call right (ddd) and outgoing international toll call right (idd) for the SIP trunk. The command is config modify trunkgroup no x restrict yes outgoingright inter&loca&ddd&idd, where the variable x is the trunk group ID of the SIP trunk, which can be obtained using the show trunkgroup command.

4.Click OK.

Repeat the preceding steps to configure the SIP truck that connects local node 1 to the standby node.

Configuring the PRA Trunk

1.Choose Trunk > Trunk Configuration > PRA and click Add A Peer Office.

A red line is displayed between local and point0.

2.Click the line between local and point0.

3.Click Create and configure the PRA trunk.

4.Click OK.

The line between local and point0 turns green.

5.Choose System > Clock Source Configuration.

6.Set the peer device as the clock source to avoid frame slip (voice packet loss).

7.Click OK.

Configuring the Call Source for the Local Regeneration Prefix

1.Choose Trunk > TrunkGroup Configuration, as shown in Figure 13.

Figure 13 Viewing the trunkgroup

The office route ID is 252 and the value of Trunkgroupno is 6055 when local node 1 connects to the active node through a SIP trunk. The office route ID is 253 and the value of Trunkgroupno is 6079 when local node 1 connects to the active node through a SIP trunk.

2.Add call source 1.

a.Choose Trunk > CallSource and click Create.

b.Add callsource no 1.

3.Add SIP trunks from the local node to the central node to call source 1.

a.Choose Trunk > CallSource and click [image] next to the trunkgroup 6055 and set CallSourceNo to 1.

Add SIP trunk 6079 from the local node to the central node to call source 1 in the same way.

4.For calls from call source 1, enable the local node to change the call attribute of local regeneration prefix 2888 from localinter to inter, so that the local node will process such calls.

This configuration is used to process calls made to analog long numbers at the local node, preventing cyclic routing of the calls between the local node and central node.

a.Choose Trunk > CallSource and click [image] next to the local regeneration prefix 2888.

Configuring Automatic Switchboards

This topic uses the default automatic switchboard as an example to describe how to configure the automatic switchboard. For more information about automatic switchboard with custom announcements, cyclical automatic switchboard, and automatic switchboard for dialing the switchboard number and extension number together, and local node voice playback, see Automatic Switchboard.

After the automatic switchboard is configured at the local node, the local node can process calls from the automatic switchboard during local regeneration in the event of a network fault between local and central nodes.

VU scripts of the automatic switchboard have been pre-configured into the system by default. Users can configure the automatic switchboard access code to enable automatic switchboard functions.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose Trunk > Called Prefix Configuration and click Create.

3.Set the automatic switchboard access code and use the default values of other parameters.

4.Click OK.

Configuring IP Phones

The method for configuring IP phones at branches is similar to that for configuring IP phones at the headquarters. For details, see Allocating Numbers to SIP Users.

Differences: When configuring IP phones at branches, configure the active node, standby node, and local node as SIP servers.

Configuring IADs

The method for configuring IADs at branches is similar to that for configuring IADs at the headquarters. For details, see Allocating Numbers to SIP Users.

Differences: When configuring IADs at branches, configure the active node, standby node, and local node as SIP servers.

Parent Topic: Configuring the Unified Gateway Two-Node Cluster


Configuring the Truck Gateway

This topic describes how to configure the trunk gateway in a multi-node centralized call management network for the unified gateway two-node cluster.

Prerequisites

Basic data, including the unified gateway IP address, boards, and time zone, has been configured for the trunk gateway. For details, see Configuring the Basic Information.

Configuring Distributed Network Data

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose System > Network Mode.

3.Select Common from the Site type drop-down list box.

4.Click OK.

Configuring Office Route Data

1.Set office route selection codes.

·The office route selection code is 0 when the trunk gateway connects to the PSTN through a PRA trunk.

·The office route selection code is 1 when the trunk gateway is connected to the active node through a SIP trunk.

·The office route selection code is 1 when the trunk gateway is connected to the standby node through a SIP trunk.

·Choose Trunk > Office Route Configuration > Office Route Selection Code and click Create.

·Set Office Route Selection Code to 0.

·Click OK.

·Repeat the preceding steps to configure office route selection codes 1 for the trunk gateway to connect active and standby nodes through a SIP trunk.

2.Set office route IDs.

·Both the office route selection code and the office route ID are 0 when the trunk gateway connects to the PSTN through a PRA trunk.

·Both the office route selection code and the office route ID are 1 when the trunk gateway connects to the active node through a SIP trunk.

·The office route selection code is 1 and the office route ID are 2 when the trunk gateway connects to the standby node through a SIP trunk.

·Choose Trunk > Office Route Configuration > Office Route and click Create.

·Set Office route ID to 0, and select 0 from the Office route selection code drop-down list box.

·Click OK.

·Repeat the preceding steps to configure office route IDs 1 and 2 for the trunk gateway to connect active and standby nodes through a SIP trunk.

3.Configure a number change index.

Digit deletion: Configure number change index 0, which is used to delete the first digit of called numbers.

·Choose Trunk > Office Route Configuration > Number Change Index and click Create.

·Configure number change index 0.

·Click OK.

Configuring Prefixes

1.Configure outgoing call prefixes.

·Prefix for users at the headquarters to make outgoing calls: 900, 90, and 9

·Prefix for PSTN users to use the trunk gateway to make outgoing calls to long numbers of users on the active node: 2888

·Click Create. Configure international toll call prefix 900.

Local call prefix 9 can be configured only after international toll call prefix 900 and national toll call prefix 90 are configured.

·Click OK.

Configure other prefixes by using the same method. The interfaces for configuring other prefixes are . Table 1 describes the differences.

Table 1 Parameters for configuring outgoing call prefixes

Prefix | Call Attribute | Office Route Selection Code | Calling Number Change | Called Number Change
900 | International toll call | 0 | None | 0
90 | National toll call | 0 |  | 0
9 | Local call | 0 |  | 0
2888 | Local call | 1 |  | None

Configuring the SIP Trunk

Configure the SIP trunk that trunk gateway to the active node and standby node. Set the office route ID to 1 and 2, domain name of the peer device to DefDNPrimarySrv and DefDNStandbySrv, and SIP port number to 5060. In addition, enable the heartbeat function and set the interval for sending heartbeat messages to 120s.

For the SIP trunk from the trunk gateway to the active and standby nodes, you do not need to configure rerouting upon failure. In normal cases, the SIP trunk between the trunk gateway and the standby node is unavailable. The trunk gateway determines the active and standby nodes through the heartbeat mechanism. Only the active node responds to the heartbeat messages of the trunk gateway, and the standby node does not. Therefore, the trunk gateway does not send routing messages to the standby node. After the active/standby switchover, the original standby node becomes the active one. In this case, the SIP trunk between the standby node (now the active node) and the trunk gateway is available.

1.Use an administrator account to log in to the web management system of a X1900 series unified gateway.

2.Choose Trunk > Trunk Configuration > SIP, click Add A Peer Office.

The connection between the local office and the peer office is displayed.

3.Click the line between local and point0. Set the SIP trunk that connects trunk gateway to the active node.

4.Click OK.

Repeat the preceding steps to configure the SIP truck that connects trunk gateway to the standby node.

Configuring the PRA Trunk

1.Choose Trunk > Trunk Configuration > PRA and click Add A Peer Office.

A red line is displayed between local and point0.

2.Click the line between local and point0.

3.Click Create and configure the PRA trunk.

4.Click OK.

The line between local and point0 turns green.

5.Choose System > Clock Source Configuration.

6.Set the peer device as the clock source to avoid frame slip (voice packet loss).

7.Click OK.

Parent Topic: Configuring the Unified Gateway Two-Node Cluster


Configuring Dual-Center Remote Disaster Recovery

Medium and large enterprises with high reliability requirements can implement remote disaster recovery. In the event of a device fault in one region, the device in the other region can take over services, which ensures the normal operation of core system services.

·Background

·This topic describes the dual-center remote disaster recovery network in a multi-node centralized call management network scenario.

·Scenario Description

·This topic describes unified gateway interconnection scenarios and data planning in a dual-center remote disaster recovery network under a multi-node centralized call management scenario.

·Data Configuration

·This topic describes node configuration methods and procedures in a dual-center remote disaster recovery network under a multi-node centralized call management scenario.

·Verification

·This topic describes how to verify configuration results at central and local nodes by taking examples of making internal calls, incoming and outgoing calls, and local regeneration calls.

Parent Topic: Configuration Examples in Typical Scenarios


Background

This topic describes the dual-center remote disaster recovery network in a multi-node centralized call management network scenario.

Figure 1 shows a typical dual-center remote disaster recovery network.

·In the reliability network of the unified gateway, the single-center two-node active and standby scheme and the dual-center remote disaster recovery scheme cannot be used at the same time.

·Dual-Center remote disaster recovery function is available only after the corresponding license is obtained, you need to apply for it together with the license of the X1900 series unified gateway. Dual-Center remote disaster recovery license is as the same as the Dual Active-Standby license. SBOM code is 88031DSH.

·The active node requires licenses, such as Voice Subscriber Port License, while the standby node requires only the Dual Active-Standby license.

Figure 1 Network scheme

This network is similar to the two-node active and standby network scheme shown in Figure 1 except the following differences:

·The standby node is physically removed from the headquarters to central node B to enable remote disaster recovery.

·The trunk gateway at the central node is replaced with a local node. When faults concurrently occur at active and standby nodes, users at the central node can use the local node to implement local regeneration. User registration and call principles at the central node are the same as those at a local or branch node.

Parent Topic: Configuring Dual-Center Remote Disaster Recovery


Scenario Description

This topic describes unified gateway interconnection scenarios and data planning in a dual-center remote disaster recovery network under a multi-node centralized call management scenario.

Configuration Scenario

Data configuration objectives are as follows:

·Intra-office calls can be made by dialing short numbers between IP phones, POTS phones, and fax machines at the central node A, central node B, branch 1, and branch 2.

·Incoming and outgoing calls can be made after the active node is connected to local nodes through SIP trunks and after local nodes are connected to the PSTN through PRA trunks.

·Active and standby nodes implement remote disaster recovery. The standby node can take over user service requests when the active node is faulty.

Data Plan

Table 1 IP addresses

Location | NE | IP Address | Subnet Mask | Gateway IP Address
Central node A | Active node | 10.10.10.5 | 255.255.255.0 | 10.10.10.1
 | Local node 1 | 10.10.10.2 | 255.255.255.0 | 10.10.10.1
Central node B | Standby node | 10.10.20.5 | 255.255.255.0 | 10.10.10.1
 | Local node 2 | 10.10.20.2 | 255.255.255.0 | 10.10.10.1
Branch 1 | Local node 3 | 192.168.1.2 | 255.255.255.0 | 192.168.1.1
Branch 2 | Local node 4 | 172.16.1.2 | 255.255.255.0 | 172.16.1.1

Table 2 User numbers

Location | Connected Endpoint | Short Number | Long Number | User Rights Level
Central node A | IP phone | 81000 | 28881000 | Default rights
 | IAD (fax machine) | 81001 | -
 | IAD (POTS phone) | 81002 | -
 | Automatic switchboard access code | - | 28882999
Central node B | IP phone | 82000 | 288821000
 | IAD (fax machine) | 82001 | -
 | IAD (POTS phone) | 82002 | -
 | Automatic switchboard access code | - | 28883999
Branch 1 | IP phone | 83000 | 28883000
 | IAD (fax machine) | 84000 | 28884000
 | IAD (POTS phone) | 84001 | 28884001
 | Fax machine | 85000 | -
 | POTS phone | 85001 | -
 | Automatic switchboard access code | - | 28885999
Branch 2 | IP phone | 86000 | 28886000
 | IAD (fax machine) | 87000 | 28887000
 | IAD (POTS phone) | 87001 | 28887001
 | Fax machine | 88000 | -
 | POTS phone | 88001 | -
 | Automatic switchboard access code | - | 28888999

Table 3 SIP trunks

Location

NE

Peer Office

Trunk Type

Office Route Selection Code

Office Route

Central node A

Active node

Local node 1

SIP

1

1

Local node 2

SIP

2

2

Local node 3

SIP

3

3

Local node 4

SIP

4

4

Local node 1

Active node

·After the active and standby nodes are added, the system automatically creates the SIP trunks, office route selection codes, and office routes for the active and standby nodes.

·If the U1980 functions as the local node, you need to manually create the SIP trunk, office route, and office route selection code in versions earlier than V200R003C20SPC200; in V200R003C20SPC200 and later versions, the system automatically creates them.

Standby node

Central node B

Local node 2

Active node

Standby node

Branch 1

Local node 3

Active node

Standby node

Branch 2

Local node 4

Active node

Standby node

Table 4 PRA trunks

Location | NE | Peer Office | Trunk Type | Office Route Selection Code | Office Route | CRCa | Connection Locationb
Central node A | Local node 1 | PSTN | PRA | 0 | 0 | No | Local office: on the user side; PSTN: on the network side
Central node B | Local node 2 | PSTN | PRA | 0 | 0 | No | Local office: on the user side; PSTN: on the network side
Branch 1 | Local node 3 | PSTN | PRA | 0 | 0 | No | Local office: on the user side; PSTN: on the network side
Branch 2 | Local node 4 | PSTN | PRA | 0 | 0 | No | Local office: on the user side; PSTN: on the network side
·a: indicates the cyclic redundancy code (CRC) for the unified gateway. The CRC must be the same as that of the peer device. ·b: ensures that the value on the local device is different from that on the peer device.

Table 5 Prefix and number change

Location | NE | Prefix Type | Prefix | Office Route Selection Code | Called Number Change | Calling Number Change | Remarks
Central node A | Active node | Intra-office call prefix | 8 | - | - | - | -
 |  |  | 2888
 |  | National toll call prefix | 90 | 5: outgoing calls to local node 1 | - | - | The national toll call rights can be assigned only to specified users by configuring the user rights level, preventing toll fraud.
 |  | International toll call prefix | 900 |  |  |  | The international toll call rights can be assigned only to specified users by configuring the user rights level, preventing toll fraud.
 |  | Local outgoing call prefix | 9 |  |  |  | The central node does not delete the outgoing call prefix 9 for an outgoing call. The prefix 9 is deleted on the local node.
 |  | Outgoing call prefix: Users at branches call PSTN users at the central node A. | 9010 (010 is the area code of the central node A) | 1: outgoing calls to local node 1 | - | - | -
 |  | Outgoing call prefix: Users at branches call PSTN users at the central node B. | 9021 (021 is the area code of the central node B) | 2: outgoing calls to local node 2
 |  | Outgoing call prefix: Users at branches call PSTN users at the branch 3. | 90571 (0571 is the area code of branch 3) | 3: outgoing calls to local node 3
 |  | Outgoing call prefix: Users at branches call PSTN users at the branch 4. | 90755 (0755 is the area code of branch 4) | 4: outgoing calls to local node 4
 | Local node 1 | Intra-office call prefix | 8 | - | - | - | -
 |  | Local regeneration prefix | 2888 |  |  |  | The local regeneration prefix is the intra-office call prefix configured on the active node for users at the local node.
 |  | National toll call prefix | 90 | 0 | Index 0: Deletes the first digit of a number. | Index 1: Changes the number to the automatic switchboard access code 28882999 of the central node A. | Outgoing calls to the PSTN
 |  | International toll call prefix | 900
 |  | Local outgoing call prefix | 9
 |  | Local outgoing call prefix | 9010
Central node B | Local node 2 | Intra-office call prefix | 8 | - | - | - | -
 |  | Local regeneration prefix | 2888 |  |  |  | The local regeneration prefix is the intra-office call prefix configured on the active node for users at the local node.
 |  | National toll call prefix | 90 | 0 | Index 0: Deletes the first digit of a number. | Index 1: Changes the number to the automatic switchboard access code 28883999 of the central node B. | Outgoing calls to the PSTN
 |  | International toll call prefix | 900
 |  | Local outgoing call prefix | 9
 |  | Local outgoing call prefix | 9021
Branch 1 | Local node 3 | Intra-office call prefix | 8 | - | - | - | -
 |  | Local regeneration prefix | 2888 |  |  |  | The local regeneration prefix is the intra-office call prefix configured on the active node for users at the local node.
 |  | National toll call prefix | 90 | 0 | Index 0: Deletes the first digit of a number. | Index 1: Changes the number to the automatic switchboard access code 28885999 of the branch 1. | Outgoing calls to the PSTN
 |  | International toll call prefix | 900
 |  | Local outgoing call prefix | 9
 |  | Local outgoing call prefix | 90571
Branch 2 | Local node 4 | Intra-office call prefix | 8 | - | - | - | -
 |  | Local regeneration prefix | 2888 |  |  |  | The local regeneration prefix is the intra-office call prefix configured on the active node for users at the local node.
 |  | National toll call prefix | 90 | 0 | Index 0: Deletes the first digit of a number. | Index 1: Changes the number to the automatic switchboard access code 288859999 of the branch 2. | Outgoing calls to the PSTN
 |  | International toll call prefix | 900
 |  | Local outgoing call prefix | 9
 |  | Local outgoing call prefix | 90755

Table 6 Call sources

NE | Call Source |  | Remarks
Active node | 1 | Users at central node B belong to call source 1. | Configures call rerouting analysis. When a user at central node B dials prefix 9 to make an outgoing call, the call is rerouted to local node 2.
 | 2 | Users at branch 1 belong to call source 2. | Configures call rerouting analysis. When a user at branch 1 dials prefix 9 to make an outgoing call, the call is rerouted to local node 3.
 | 3 | Users at branch 2 belong to call source 3. | Configures call rerouting analysis. When a user at branch 2 dials prefix 9 to make an outgoing call, the call is rerouted to local node 4.
Local node 1 | 1 | The SIP trunk from local node 1 to the active node and standby node belongs to call source 1. | Adds SIP trunks from the local nodes to the active node and standby node to call source 1. When a local node processes a call from this call source, the local node changes the call attribute of local regeneration prefix 288 to inter.
Local node 2 | 1 | The SIP trunk from local node 2 to the active node and standby node belongs to call source 1.
Local node 3 | 1 | The SIP trunk from local node 3 to the active node and standby node belongs to call source 1.
Local node 4 | 1 | The SIP trunk from local node 4 to the active node and standby node belongs to call source 1.

Table 7 Boards

Location | NE | Board Type | Slot Number
Central node A | Local node 1 | MTU | 0
Central node B | Local node 2 | MTU | 0
Branch 1 | Local node 3 | MTU | 0
 |  | ASI | 1
Branch 2 | Local node 4 | MTU | 0
 |  | ASI | 1

Parent Topic: Configuring Dual-Center Remote Disaster Recovery


Data Configuration

This topic describes node configuration methods and procedures in a dual-center remote disaster recovery network under a multi-node centralized call management scenario.

Prerequisites

The dual-center remote disaster recovery network evolves from the single-center two-node active and standby network. Data configuration methods are similar. For details about configuring the two-node active and standby network, see Configuring the Unified Gateway Two-Node Cluster. This topic skips configuration procedures involved in the two-node active and standby network.

Configuring the Active Node

Configuring the active node is similar to configuring the active node in the single-center two-node active and standby network. Configure the active node by referring to the data plan. For details about the procedure, see Configuring the Active Node.

Configuring the Standby Node

Configuring the standby node is similar to configuring the standby node in the single-center two-node active and standby network. Configure the standby node by referring to the data plan. For details about the procedure, see Configuring the Standby Node.

Configuring the Local Node

The four local nodes have the same functions and configuration methods in this network scheme. Configuring the local node is similar to configuring the local node in the single-center two-node active and standby network. Configure the local node by referring to the data plan. For details about the procedure, see Configuring Local Nodes.

Parent Topic: Configuring Dual-Center Remote Disaster Recovery


Verification

This topic describes how to verify configuration results at central and local nodes by taking examples of making internal calls, incoming and outgoing calls, and local regeneration calls.

Procedure

The methods are similar to verification methods in the two-node active and standby network. The following items will be verified: making internal calls by dialing short numbers, making incoming and outgoing calls, switching between active and standby nodes, and making calls in a local regeneration scenario.

Parent Topic: Configuring Dual-Center Remote Disaster Recovery


Traditional PBX Interworking Scenario

The scenario of interconnecting the unified gateway with traditional PBXs is applicable when enterprise subscribers who already use traditional PBXs require a more cost-effective solution. Through interconnection between the unified gateway and the traditional PBXs, the subscribers under original PBXs remain unchanged, and the VoIP service and other supplementary services can be provided. The X1960 is used as an example.

·Background

·This topic describes the traditional PBX and the traditional PBX interworking scenario.

·Configuration Scenario

·This topic describes the configuration objective, network, and data plan for the traditional PBX interworking scenario.

·Configuring Boards

·This topic describes how to configure boards in the web management system based on the actual hardware configuration. After the boards are configured, you can perform operations such as number allocation and trunk configuration.

·Configure User Numbers

·This topic describes how to configure SIP user numbers based on the data plan.

·Configuring Trunks

·This topic describes how to configure the office routes, prefixes, and trunks based on the data plan.

·Configuring the Automatic Switchboard

·This topic describes how to configure the automatic switchboard by running the VU script and configure the automatic switchboard number. After the automatic switchboard is configured, outer-office users hear an announcement when dialing the automatic switchboard number.

·Verification

·This topic describes how to verify the intra-office calls, calls between unified gateway users and original PBX users, calls between unified gateway users and external users, calls between original PBX users and external users, and automatic switchboard after the data configuration is complete.

·Troubleshooting

·This topic describes the methods for troubleshooting after the data configuration is complete.

Parent Topic: Configuration Examples in Typical Scenarios


Background

This topic describes the traditional PBX and the traditional PBX interworking scenario.

Traditional PBX

The traditional private branch exchange (PBX) uses the circuit switching function to provide internal call services.

Description

The traditional PBX interworking allows the traditional PBX users to reduce costs and enjoy more services. The interworking between the unified gateway and traditional PBX provides the voice over IP (VoIP) and other supplementary services for original traditional PBX users.

Original PBX is short for original traditional PBX in the following part of this document.

Parent Topic: Traditional PBX Interworking Scenario


Configuration Scenario

This topic describes the configuration objective, network, and data plan for the traditional PBX interworking scenario.

Target

You can configure scenarios based on customers' requirements. The scenario configuration listed in Table 1 is used as examples in this topic.

Table 1 Configuration Objective

Intra-office number segment

·Original PBX number segment: 5000-5019

·New number segment: 7000-7019

Long number segment

·Original PBX number segment: 83785000-83785009, as the long numbers of 5000 to 5009. New PBX number segment: 68905000-68905009

·New number segment: 68907000-68907009, as the long numbers of 7000 to 7009

The last four digits of a long number forms the short number. Users without a long number are non-Direct Dialing In (DID) users.

Other numbers

·Original main number: 83785888 New main number: 68905888

·New main number: 68907888

Dialing mode

·Intra-office: The calling party makes a call by dialing a 4-digit short number. The short number of the calling party is displayed to the called party.

·Outgoing: Make an outgoing call by dialing the called number without a prefix. For the DID user, the long number of the calling party is displayed. For the non-DID user, the new main number is displayed.

·Incoming: The calling party dials main number + extension number to call a non-DID user, and dials the long number to call a DID user.

NOTE:

The newly added PBX and unified gateway users make outgoing calls through the network of carrier B. For the new DID users, the long number of the calling party is displayed. For the non-DID user, the new main number is displayed.

Trunk type

·Interconnection with carrier A: The PRA trunk is used.

·Interconnection with carrier B: The PRA trunk is used.

·Interconnection with original PBX: The SIP trunk is used.

In this example, the PRA and SIP trunk are used. The R2, SS7 (including ISUP ), and QSIG trunks can also be used. In actual scenarios, negotiate with users and carriers to determine the trunk type.

Data Planning

Before configuration, you need to plan the data based on the networking and user requirements.

1.Plan the user numbers

Table 2 Plan the user numbers

Short Number Segment | Long Number Segment | Associated Device | Remarks
5000–5009 | 83785000–83785009 | Original PBX | Original DID users
5010–5019 | - | Original PBX | Original non-DID user
7000–7009 | 68907000–68907009 | unified gateway | New DID users
7010–7019 | - | unified gateway | New non-DID user
- | 83785888 | unified gateway | Original main number
- | 68907888 | unified gateway | New main number

2.Plan the IP address

Table 3 Plan the IP address

NE | IP Address | Subnet Mask | Gateway IP Address
unified gateway | 192.168.10.10 | 255.255.255.0 | 192.168.10.1
NMS | 192.168.10.11 | 255.255.255.0 | 192.168.10.1
Original PBX | 192.168.10.12 | 255.255.255.0 | 192.168.10.1

3.Plan the trunk data

Based on the installation of boards and E1/T1 cables, plan the trunk data, as described in Table 4.

Table 4 PRA trunk data planning

E1/T1 Slot Number | E1/T1 Port Number | Office Direction Selection Code | Office Direction | Peer Office
2 | 0 | 0 | 0 | Carrier B
2 | 1 | 1 | 1 | Carrier A

4.Plan the prefix

Table 5 Plan the prefix

Prefix | Prefix Type | Office Direction Selection Code | Called Number Change | Calling Number Change | Remarks
68907 | Intra-office prefix | - | - | - | -
0 | National toll call prefix | 0 | - | ·Index 1 means that the entire number is changed to the new main number. ·Use the long number and short number. | Dial without a prefix to make outgoing calls to the network of carrier B.
00 | International toll call prefix | 0 | - | ·Index 1 means that the entire number is changed to the new main number. ·Use the long number and short number. | Dial without a prefix to make outgoing calls to the network of carrier B.
1-9 | Local call prefix | 0 | - | ·Index 1 means that the entire number is changed to the new main number. ·Use the long number and short number. | Dial without a prefix to make outgoing calls to the network of carrier B.
8378 | Local call prefix | 2 | - | - | Make an outbound call to the original PBX.
022 | Local call prefix | 2 | - | - | Make an outbound call to the original PBX.
68905 | Local call prefix | 2 | - | - | Make an outbound call to the original PBX.

Parent Topic: Traditional PBX Interworking Scenario


Configuring Boards

This topic describes how to configure boards in the web management system based on the actual hardware configuration. After the boards are configured, you can perform operations such as number allocation and trunk configuration.

Procedure

1.Log in to the unified gateway web management system.

2.Choose System > Board Configuration.

3.Click the slots and select boards from the displayed drop-down list box.

The board type that you select must be the same as that in the slot on the unified gateway.

4.Click OK.

5.Click Data Save in the upper right corner of the web management system.

The unsaved configurations will be deleted after the device is restarted.

Parent Topic: Traditional PBX Interworking Scenario


Configure User Numbers

This topic describes how to configure SIP user numbers based on the data plan.

Procedure

1.Log in to the unified gateway web management system.

2.Add 10 DID users whose numbers start from 7000 (long number: 68907000) in a batch.

a.Choose User > SIP User.

b.Click Create, and set the relevant parameters, as shown in Figure 1.

From V200R003C30SPC300, two additional parameters, namely Service password and Self-service login password, are provided for a user being created. You can log in to the web management system and configure Service password and Self-service login password, or run the config system subscriber defaultpwd password password webpassword webpassword command in global config mode to configure the default service password and self-service login password for the user. If the passwords are not configured using either the command or web management system, the user fails to be created. If the passwords are configured using both the command and web management system, the configurations in the web management system prevail.

The Service password and Self-service login password are added in the unified gateway V200R003C30SPC300.

c.Click OK.

3.Add 10 non-DID users whose numbers start from 7010 in a batch.

a.Choose User > SIP User.

b.Click Create, and set the relevant parameters.

The Service password and Self-service login password are added in the unified gateway V200R003C30SPC300.

c.Click OK.

4.Click Data Save in the upper right corner of the web management system.

The unsaved configurations will be deleted after the device is restarted.

Parent Topic: Traditional PBX Interworking Scenario


Configuring Trunks

This topic describes how to configure the office routes, prefixes, and trunks based on the data plan.

Procedure

1.Log in to the unified gateway web management system.

2.Configure number change indexes.

Add the following number change indexes:

·Add number change index 0, which is used to delete the first digit of the called number when an outgoing call is made.

·Add number change index 1, which is used to change the calling number of a non-DID user to the switchboard number 68907888 when an outgoing call is made.

·Add number change index 2, which is used to delete the first three digits of the called number when an outgoing call is made.

·Add number change index 3, which is used to configure the calling number change for re-routing, specifically, changing the calling numbers to the main number of the PBX.

To add a number change index, proceed as follows:

·Choose Trunk > Office Route Configuration > Number Change Index.

·Click Create, and set the relevant parameters.

·Click OK.

·Click Create, and configure number change index 1.

·Click Create, and configure number change index 2.

·Click Create, and configure number change index 3.

3.Configure office routes and office route selection codes.

In this scenario, the office routes and office route selection codes are the same and planned as follows:

·Connection to carrier B's network: 0. Whether to select a new route based on the standby office route selection code 1 corresponding to the failure processing index if the call fails to be routed according to the office route selection code 0.

·Connection to carrier A's network: 1.

·Connection to the traditional PBX: 2.

To configure office routes and office route selection codes, proceed as follows:

·Choose Trunk > Office Route Configuration > Office Route Selection Code.

·Click Create, and configure office route selection code 1.

·Click Create, and configure office route selection code 2.

·Choose Trunk > Office Route Configuration > Failure Processing Index.

·Click Create, and set the relevant parameters.

·Click OK.

·Choose Trunk > Office Route Configuration > Office Route Selection Code.

·Click Create, and set the relevant parameters.

·Click OK.

·Choose Trunk > Office Route Configuration > Office Route.

·Click Create, and set the relevant parameters.

·Click OK.

·Click Create, and configure office route 1.

·Click Create, and configure office route 2.

4.Configure the number mapping.

·Map numbers 68905000-83785009 to original user numbers 83785000-83785009 in the PBX.

·Map the number 68905888 to the original PBX switchboard number 83785888.

·Map numbers 0225000-0225019 to the original PBX user numbers 5000-5019. When unified gateway users directly dial the short numbers under the original PBX, the prefix 022 is added to the short numbers through the number mapping.

·Choose Trunk > Office Route Configuration > Number mapping.

·Click Create, and set the relevant parameters.

·Click OK.

Repeat step 4.a to step 4.c to configure other number mappings. Set the relevant parameters by referring to Table 1.

Table 1 Number mapping parameters

Internal Number | External Number
83785000-83785009 | 68905000-68905009
83785888 | 68905888
0225000-0225019 | 5010-5019

5.Configure intra-office prefixes.

When an intra-office subscriber or an external subscriber dials an intra-office number, the unified gateway analyzes whether the called party is an intra-office subscriber based on this prefix.

68907: Long number analysis prefix, based on which the unified gateway analyzes whether the called party is an intra-office subscriber when an intra-office or external subscriber dials the long number of an intra-office subscriber.

·Choose Trunk > Called Prefix Configuration.

·Click Create, and set the relevant parameters.

·Click OK.

6.Configure outgoing prefixes are routed out from the network of carrier B.

·Configure the outgoing prefixes 0 to 9, All outgoing calls are routed out from the network of carrier B through unified gateway. Make an outgoing call by dialing the called number without a prefix. The office direction selection code is 0. For DID subscribers, the long number is displayed; for non-DID subscribers, the main number is displayed.

·Configure the outgoing prefixes 1 to 9, All outgoing calls are routed out from the network of carrier B through unified gateway. Make an outgoing call by dialing the called number without a prefix. The office direction selection code is 0. For DID subscribers, the long number is displayed; for non-DID subscribers, the main number is displayed.

·The short numbers under the PBX (start with 5) or unified gateway (start with 7) may be the same as the first several digits of the local number, so prefix 5 and 7 must be configured as the intra-office or local call prefix. The office route selection code corresponding to the prefix is 0 and the corresponding office route is that of the unified gateway. The intra-office and inter-office numbers sent by the PBX are processed by the unified gateway.

·Configure outgoing prefix 5 to enable unified gateway subscribers to call PBX subscribers' short numbers. PBX subscribers can make outgoing calls that are routed out from the network of carrier B through unified gateway.

·Configure outgoing prefix 7 to enable the unified gateway subscribers to call each others' 4-digit short number and make prefix-free outgoing calls.

·Choose Trunk > Called Prefix Configuration.

·Click Create, and set the relevant parameters.

·Click OK.

Repeat step 6.a to step 6.c to add international toll call prefix 00 and local prefixes 1 to 4, 6, 8, and 9.

·Click Create, and configure prefix 5.

·Click Create, and configure prefix 7. The parameters values of prefix 7 is the same as that of prefix 5.

7.Configure a prefix for the subscribers under the unified gateway to dial the subscribers under the original PBX.

·Configure prefix 8378: Long number prefix for the subscribers under the unified gateway to dial the long numbers under the original PBX through the PRA trunk. During actual deployment, configure this prefix according to the distribution of the original numbers of customers.

·Configure prefix 022: Short number prefix for the subscribers under the unified gateway to directly dial the short numbers under the PBX.

·Configure prefix 68905: Intra-office users can dial the long numbers on the new number segment to call the DID users under the original PBX.

·Choose Trunk > Called Prefix Configuration.

·Click Create, and set the relevant parameters.

·Click OK.

·Click Create, and configure prefix 022.

·Click Create, and configure prefix 68905.

8.Configure the Trunk.

·Configure the PRA trunk through which the unified gateway connects to carrier B's network.

Add a PRA link. Set the link number to 0, slot number to 7, E1/T1 port number to 0, and position to user. This parameter must be set through negotiations with the peer office. Different values must be set for the two offices.

·Configure the PRA trunk through which the unified gateway connects to carrier A's network.

Add a PRA link. Set the link number to 1, slot number to 7, E1/T1 port number to 1, and position to user. This parameter must be set through negotiations with the peer office. Different values must be set for the two offices.

·Configure the SIP trunk for interworking with the original PBX.

·Choose Trunk > Trunk Configuration > PRA.

·Click Add A Peer Office.

·Click the connection line to configure the Trunk. Set the relevant parameters.

·Click OK.

The PRA trunk is connected to carrier B's network.

·Click Add A Peer Office.

·Click the connection line to configure the Trunk. Set the relevant parameters.

·Click OK.

·Choose Trunk > Trunk Configuration > SIP.

·Click Add A Peer Office.

·Click the connection line to configure the Trunk. Set the relevant parameters.

·Click OK.

The SIP trunk is connected to the original PBX.

9.Configure the clock source.

·If the unified gateway connects to an upper-level device through the E1/T1 trunk, clock source configuration ensures that time on the unified gateway and the upper-level device are synchronized. This prevents frame slip (voice packet loss).

·If the unified gateway connects to multiple devices through E1/T1 trunks, configure the clock source on any of these devices. The unified gateway will synchronize time with this device.

·If the unified gateway provides the clock source, you do not need to configure the clock source.

In this example, the unified gateway uses carrier B's time.

·Choose System > Clock Source Configuration.

·From the Select clock source drop-down list box, select the Peer device.

Configure the active clock source as prompted based on the installation information about the E1/T1 trunk connected to the peer device.

·Click OK.

10.Click Data Save in the upper right corner of the web management system.

The unsaved configurations will be deleted after the device is restarted.

Follow-up Procedure

In the actual scenario, if the dialing mode of the customer is dialing without prefix, that is, making outgoing calls by directly dialing the called number, and if an intra-office short number is the same as the first several digits of a local call number, change the call attribute of the outgoing prefix to Local or Intra-Office Call (interlocal). Set the minimum number length to the number length for intra-office numbers and the maximum number length to the number length for outer-office numbers. At the same time, set the WaitNextNumTimerLen parameter.

Parent Topic: Traditional PBX Interworking Scenario


Configuring the Automatic Switchboard

This topic describes how to configure the automatic switchboard by running the VU script and configure the automatic switchboard number. After the automatic switchboard is configured, outer-office users hear an announcement when dialing the automatic switchboard number.

You must enable the software parameter whose ID is 342 when the intra-office or local call prefix, number mapping, and call forwarding functions are used together. Otherwise, the intra-office or local call prefix will not perform the second number analysis.

When a unified gateway user directly dials a short number under the PBX, for example, 5000, the second number analysis is performed. During the second number analysis, number 5000 is mapped to 0225000. Then outgoing calls are made by dialing the prefix 022.

Parent Topic: Traditional PBX Interworking Scenario


Verification

This topic describes how to verify the intra-office calls, calls between unified gateway users and original PBX users, calls between unified gateway users and external users, calls between original PBX users and external users, and automatic switchboard after the data configuration is complete.

After the data configuration is complete, verify that the configured service can be used normally.

1.Verify the intra-office calls.

The intra-office users, such as the user 7000 and user 7001, can call each other normally.

2.Verify the call between an unified gateway user and a user of the original PBX.

·An unified gateway user such as 7000 can talk to a user of the original PBX normally, and the short number is displayed on the phone of the called party.

·A user of the original PBX such as 5000 can talk to an unified gateway user normally, and the number 83785000 is displayed on the phone of the called party.

3.Verify the call between an unified gateway user and an external user.

·The DID user 7000 can talk to an external user normally by dialing external user number, and the calling number 68907000 is displayed on the phone of the called party.

·The non-DID user 7010 can talk to an external user normally by dialing external user number, and the calling number 68907888 is displayed on the phone of the called party.

·An external user can talk to the user 7000 normally by dialing 68907000.

·An external user dials 68907888, hears the VU prompt tone, and then dials the extension number 7010. The phone of the user 7010 rings, and the conversation is normal.

4.Verify the call between a user of the original PBX and an external user.

·The DID user 5000 can talk to an external user normally by dialing external user number, and the calling number 68905000 is displayed on the phone of the called party.

·An external user can talk to user 5000 normally by dialing 83785000.

·The non-DID user 5010 can talk to an external user normally by dialing external user number, and the calling number 68905888 is displayed on the phone of the called party.

·An external user dials 83785888, hears the VU prompt tone, and then dials the extension number 5010. The phone of the user 5010 rings, and the conversation is normal.

·An external user dials 68907888, hears the VU prompt tone, and then dials the extension number 5010. The phone of the user 5010 rings, and the conversation is normal.

Parent Topic: Traditional PBX Interworking Scenario


Troubleshooting

This topic describes the methods for troubleshooting after the data configuration is complete.

1.Intra-office call exceptions

·If the prompt tone "The number you dialed does not exist." is played, see Calling Party and Called Party Cannot Hear Each Other to solve the problem.

·If the phone of the called party does not ring or another phone rings after the calling party makes a call, see ONLY Number cannot be bound to solve the problem.

2.Exceptions of calls between the unified gateway and original PBX subscribers

·If the prompt tone "The number you dialed does not exist." is played after an unified gateway subscriber calls a subscriber of the original PBX, see Number Is Displayed Abnormally to solve the problem.

·If an exception occurs when a subscriber of the original PBX calls an unified gateway subscriber, see 1 to solve the problem.

3.Exceptions of calls between the unified gateway and external subscribers

·If the prompt tone "The number you dialed does not exist." is played after a direct-call subscriber of the unified gateway calls an external subscriber, see Number Is Displayed Abnormally to solve the problem.

·If an exception occurs when an external subscriber calls a subscriber unified gateway, see 1 to solve the problem.

4.Exceptions of calls between the original PBX and external subscribers

·If the prompt tone "The number you dialed does not exist." is played when a subscriber of the original PBX calls a PSTN subscriber, see Number Is Displayed Abnormally to solve the problem.

·If the calling number fails to be displayed correctly on the phone of the called party, see Number Is Displayed Abnormally to solve the problem.

·If an exception occurs when an external subscriber calls a subscriber of the original PBX, see 1 to solve the problem.

·If an external subscriber cannot hear the prompt tone after dialing the switchboard number, see Voice Prompt Faults to solve the problem.

Parent Topic: Traditional PBX Interworking Scenario


Operation and Maintenance

This topic describes the methods for configuring and maintaining the unified gateway.

·Administrator Guide

·

·Security Maintenance

·This document describes how to secure and mainte the unified gateway.


Administrator Guide

·Overview

·This topic provides an overview of the administrator guide.

·Start From Here

·This topic Introduce how to log in to the Web management system.

·Routine Operations

·This topic describes how to use the web management system to perform routine operations, such as configure users.

·Routine Maintenance

·This topic provides guidance for unified gateway routine maintenance.

·Collecting and Reporting Fault Information

·Fault information helps locate faults promptly and precisely.

·FAQs

·This topic provides answers to frequently asked questions (FAQs) encountered when you use the unified gateway.

Parent Topic: Operation and Maintenance


Overview

This topic provides an overview of the administrator guide.

·Application Scope

·This topic describes the responsibilities and roles of enterprise administrators.

·Requirements on Enterprise Administrators

·This topic describes the knowledge and skills that enterprise administrators must acquire.

·Tools

·This topic describes the tools or software that enterprise administrators will use in routine operation and maintenance for the service system.

·Reference Documents

·This topic describes the reference documents for the enterprise administrator to perform routine operation and maintenance for the unified gateway.

·Security Precautions

·This topic describes the security precautions that you must be familiar with before performing routine operation and maintenance.

Parent Topic: Administrator Guide


Application Scope

This topic describes the responsibilities and roles of enterprise administrators.

Enterprise administrators are responsible for:

·Service configuration and management

·Routine maintenance

·Troubleshooting

·Service consultation

Parent Topic: Overview


Requirements on Enterprise Administrators

This topic describes the knowledge and skills that enterprise administrators must acquire.

Enterprise administrators must have a basic knowledge of:

·Windows operating system

·Ethernet, router, and switch

·how to use common maintenance tools

Environment and System Information

Table 1 describes the environment and system information that enterprise administrators must collect.

Table 1 Information to be collected

Category | Preparation | Description
Device information | Device location | Detailed address of the equipment room, position (specifying the line and row) of each cabinet in the equipment room, and position of each device in the cabinet. Each device can be located quickly based on the information.
 | Network | Network topology and hardware connection diagram that involve all devices.
 | Service planning | Active/standby devices, service software installed on each device, and service running modes.
 | Device information | A list of device IP addresses, user names, and passwords used for quick access to each device. If the passwords cannot be listed on paper for security reason, remember them.
Software and tools | Software version and tool | Version installation CD-ROMs (or recovery CD-ROMs), and tools required for troubleshooting.
Contact methods | Service information for purchased devices | Method for contacting the manufacturer, device serial number, and warranty terms and conditions.
 | Technical support personnel information | Names, contact information, and responsibilities of technical support personnel.
Spare parts | Spare parts | Existing spare parts and those available from the service provider, and methods and duration for obtaining spare parts.
 | Available redundancy devices or temporary devices | Redundancy or temporary devices in the system.

Parent Topic: Overview


Tools

This topic describes the tools or software that enterprise administrators will use in routine operation and maintenance for the service system.

Table 1 Required tools

Tool | Usage | How to Obtain | How to Log In
Web management system | The unified gateway provides a simple and easy-to-use web management system, allowing users to configure data (number allocation, trunk configuration, and service configuration), monitor running status, and quickly configure the unified gateway. | Embedded in the system | See Logging In to the Web Management System.
ICHECK_SoftCo_ UScaleV2.0.zip | Inspection package, which provides the inspection tool and software. | Visit http://support.OpenVox.com/enterprise, choose Support > Software Download > UC&C Common > UC&C Others > Common DFx Tools Package, and download the patch installation package of V100R001C01SPCn03. | -

Parent Topic: Overview


Reference Documents

This topic describes the reference documents for the enterprise administrator to perform routine operation and maintenance for the unified gateway.

Table 1 Reference documents

Document | Description | When to Use | How to Obtain
Product Description | Describes the service features, functions, and hardware structure of the unified gateway. | Refers to it when requiring the service features, functions, and hardware structure of the unified gateway. | Product Description
Emergency Maintenance | Describes how to deal with emergency faults based on their severities. | Refers to it when dealing with emergency faults in routine operations and in service configuration. | Emergency Maintenance
MainAst Operation Guide | Describes how to perform the preventive maintenance inspection and use fault collection tools, which facilitates onsite engineers' operations and ensures accuracy, authenticity, and reliability of the check result. | Refers to it when checking key indexes during routine operation and maintenance, checking devices before holidays, and checking project quality during the deployment. | Visit Enterprise Service Support, choose Support > UC&C Common > UC&C Others > Common DFx Tools Package, and download the X1900 V200R003C30 PMI operation Guide.

Parent Topic: Overview


Security Precautions

This topic describes the security precautions that you must be familiar with before performing routine operation and maintenance.

Network Security

·Ensure that only authorized personnel have access to devices.

·Do not access untrusted external sites using the terminals on a local area network (LAN) to prevent unauthorized access and viruses.

System Security

·Take electrostatic discharge (ESD) measures. For example, wear ESD wrist straps when replacing device parts.

·Control the use of network services.

·Regularly monitor the network status and ensure that access is authorized.

·Periodically change user passwords. Passwords must meet complexity requirements.

·Do not restart the system at will. If an emergency fault occurs, contact your agents or OpenVox technical support engineers.

·Excise caution when performing risky operations mentioned in this document.

Data Security

·Periodically back up system data by sticking to backup plans.

·Record detailed problem information if you encounter any problem during maintenance.

Parent Topic: Overview


Start From Here

Introduce how to log in to the Web management system.

·Logging In to the Web Management System

·The Unified Gateway provides a user-friendly Web management system that allows users to easily perform quick configuration, user management, relay management, system management, and resource querying operations on the Unified Gateway.

·Login to the Web Self-Service system.

·The unified gateway provides a Web self-service system for all voice service users. Users can log in using a browser to complete operations such as conference management, service registration and service password maintenance.

Parent Topic: Administrator Guide


Logging In to the Web Management System

The Unified Gateway provides an easy-to-use Web-based management system that enables users to conveniently perform quick configuration, subscriber management, trunk management, system management and resource query operations of the Unified Gateway.

Preconditions

1.Prepare an operation and maintenance terminal (i.e., PC).

The PC should meet the following requirements:

·Equipped with Ethernet card and support TCP/IP protocol.

·Browser is Internet Explorer 8.0/9.0/10.0/11.0 and supports ActiveX and Javascript.

·Support 1024*768 and above resolution, recommended 1280*1024.

2.Connect the configuration cables.

Depending on the actual network environment, you can choose either of the following two ways to connect the network:

·Connect the network port of the Unified Gateway to the network card interface of the PC directly with a straight-through network cable.

·Use a straight-through cable to connect the network port of the Unified Gateway to the NIC interface of the PC through an Ethernet switch or hub.

·In single-port mode, you can log in to the Web Management System through Port 0 or Port 1 of the SCU single board (<%X%>1911/<%X%>1960/<%X%>1981).

·In dual-port and triple-port modes, you must log in to the Web Management System through Port 0 of the SCU single board (<%X%>1911/<%X%>1960/<%X%>1981).

3.Set the IP address of the PC.

The IP address of the PC must be set in the same network segment as the IP address of the Unified Gateway, but it must not conflict with the IP addresses of other devices.

<%X%>1911/<%X%>1960/<%X%>1981 The factory default IP address is 192.168.1.17 and the default gateway is 192.168.1.1.

Procedure

1.Access the device using the Internet Explorer browser (the default URL is https://192.168.1.17).

For security reasons, <%X%>1900 does not support SSL 2.0/3.0. To prevent login failure, please select "Internet Options > Advanced" in your browser, check TLS 1.0/1.1/1.2, and remove the checkbox in front of SSL 2.0/3.0.

2.Click "Enter Administrator Management System" in the upper right corner of the login screen, enter "User Name" and "Configuration Password", and click "Login". Click "Login". As shown in Figure 1.

Figure1 Login X1900 Web Interface

The default "user name" and "configuration password" are "admin" and "admin123" respectively.

·After logging in for the first time, in order to ensure the security of your account, please change your password as soon as possible and use a password with a high degree of complexity; if you don't change it, there is a risk that your account will be stolen. Click "Change Password" in the upper right corner of the Web Management System interface to change the configuration password.

Exception handling

If you fail to log in to the Unified Gateway Appliance, verify that your login information is correct.

·If "Enter Administrator Management System" is displayed in the upper right corner of the login interface, it means that you will log in as an ordinary user account, and the user name and password are the user number and password configured by the user himself/herself.

·If the upper right corner of the login screen displays "Enter Self-service System", it means that you will log in as an administrator account, and the default "User Name" and "Configuration Password" are respectively The default "user name" and "configuration password" are "admin" and "admin123" respectively.

Parent Topic: Start From Here


Login to the Web Self-Service system

The unified gateway provides a Web self-service system for all voice service users. Users can log in using a browser to complete operations such as conference management, service registration and service password maintenance.

Procedure

1.Use a browser to access the IP address of the Unified Gateway (URL e.g. https://<IP address>/).

You can log in to the Web self-service system through the network port 1, network port 2 or network port 3 of the SCU single board.

2.Enter "User Name" and "Password" and click "Login".

·The "User Name" is the user number and the "Password" is configured by the user.

·The password is the personal login password of the Web self-service system, you can change it by clicking "Change Password" in the upper right corner of the interface after login. In order to ensure the security of your account, please change your password regularly and use a password with high complexity, if you don't change it for a long time, there is a risk that your account will be stolen.

Parent Topic: Start From Here


Routine Operations

This topic describes how to use the web management system to perform routine operations, such as configure users.

·User Registration and Deregistration

·This topic describes how to perform registration and deregistration operations for users connected to the unified gateway.

·Same Number When Users Switch Phones

·This topic describes how to enable users connected to the unified gateway to use the same numbers when they switch phones.

·Rights-based Call Restriction Service

·This topic describes how to configure call rights on unified gateway.

·Configuring Voice Services

·This topic describes how to configure unified gateway voice services.

·Modifying Custom Announcements

·If you need to modify a custom announcement (such as the automatic switchboard greeting), you can dial the recording prefix and record a new custom announcement at any time using a phone. This function is applicable for X1911/X1960/X1981 only.

·Unlocking Web Login

·If the user account and IP address used for logging in to the web self-service system or web management system are locked, the administrator can manually unlock them.

Parent Topic: Administrator Guide


User Registration and Deregistration

This topic describes how to perform registration and deregistration operations for users connected to the unified gateway.

·User Type

·This topic describes various types of users connected to the unified gateway, which helps the administrator perform daily operations.

·Configuring Common Users Directly Connected to the unified gateway

·This topic describes how to configure common users directly connected to the unified gateway. Terminals of the users are analog phones.

·Configuring IAD Users

·This topic describes how to configure common IAD users.

·Configuring IP Phone Users

·This topic describes how to configure IP phone users.

Parent Topic: Routine Operations


User Type

This topic describes various types of users connected to the unified gateway, which helps the administrator perform daily operations.

There are three types of users connected to the unified gateway: common users directly connected to the unified gateway (not supported by U1980), common user connected to the IAD, and IP phone users, as shown in Figure 1.

Figure 1 User type

Parent Topic: User Registration and Deregistration


Configuring Common Users Directly Connected to the unified gateway

This topic describes how to configure common users directly connected to the unified gateway. Terminals of the users are analog phones.

Prerequisites

·The unified gateway has been started and connected to the network properly.

·The OSU or ASI board has been configured on the unified gateway.

·You have logged in to the web management system to check license usage information, ensuring that the number of users does not exceed the maximum limit.

Background

After the unified gateway is deployed, the administrator can add and delete users in the web management system as required.

Table 1 lists the maximum number of users supported by the unified gateway. The actual number of supported users is determined by the license.

Table 1 Number of users

Device Model | Total Number of Users | Number of POTS Users
X1911 | 100 | 64
X1960 | 1000 | 192
X1981 | 20000 | 160

Procedure

This topic assumes that you want to:

Allocate 12 user numbers starting from 6000 to the OSU board installed in slot 0 on the unified gateway, and allocate long numbers 68906000–68906006 to user numbers 6000–6006.

A maximum of 12 POTS users can be configured on each OSU board, and a maximum of 32 POTS users can be configured on each ASI board.

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose User > POTS User.

3.Click Create on the POTS User configuration page.

4.Enter user information on the Create POTS Users page that is displayed, as shown in Figure 1.

From V200R003C30SPC300, two additional parameters, namely Service password and Self-service login password, are provided for a user being created. You can log in to the web management system and configure Service password and Self-service login password, or run the config system subscriber defaultpwd password password webpassword webpassword command in global config mode to configure the default service password and self-service login password for the user. If the passwords are not configured using either the command or web management system, the user fails to be created. If the passwords are configured using both the command and web management system, the configurations in the web management system prevail.

Figure 1 Creating POTS Users page

5.Click OK.

To modify or delete configured user information, return to the POTS User page, select [image] next to the user information, and click Modify or Delete, as shown in Figure 2.

Figure 2 POTS user information

·After modifying a user, click OK.

·After deleting a user, click OK on the page that is displayed.

Verification

After the configuration is completed, if configured user numbers can be found, users are successfully configured; otherwise, users fail to be configured.

Troubleshooting

·When a message indicating that a number exists is displayed, do not configure this number.

·When a message indicating license limitation is displayed, the number of configured users reaches the maximum number of users supported by the license.

Parent Topic: User Registration and Deregistration


Configuring IAD Users

This topic describes how to configure common IAD users.

Prerequisites

·The unified gateway has been started and connected to the network properly.

·You have logged in to the web management system to check license usage information, ensuring that the number of users does not exceed the maximum limit.

Background

After the unified gateway is deployed, the administrator can add and delete users in the web management system as required.

Table 1 lists the maximum number of users supported by the unified gateway. The actual number of supported users is determined by the license.

Table 1 Number of users

Device Model | Total Number of Users | Number of POTS Users
X1911 | 100 | 96
X1960 | 1000 | 192
X1981 | 20000 | 160

Procedure

1.Configure SIP users on the unified gateway.

a.Log in to the web management system. For details, see Logging In to the Web Management System.

b.Choose User > SIP User.

c.Click Create on the SIP User page.

d.Enter user information on the Add SIP User page that is displayed, as shown in Figure 1.

Figure 1 Adding SIP users in batches

Table 2 describes the parameters.

Table 2 Parameter description

Parameter

Description

number

The start number is a short number allocated by the unified gateway.

long number

Long numbers are allocated by the carriers, such as PSTN carriers. A long number corresponds to a short number.

device ID

The device ID is the SIP device registration account, for example, SIP user ID configured during IP phone registration.

Device type

The Device type parameter is used for the connection between the unified gateway and a SIP device. The parameter value must be the same as that specified on the SIP device. If the parameter is set to UScale, the corresponding number can access the unified gateway only through an UScale soft terminal.

Authentication mode

This parameter specifies the mode for authenticating a SIP device when it registers with the unified gateway.

NOTICE:

To improve account security, you are advised to select the IP address or password as the authentication mode for SIP number allocation. The password must not be the same as the device ID or device ID in reverse order.

User right level

User right levels are listed in the following ascending order: Default right < Common right < Advanced right < Super right. The default value is Default right. Users with a preset level of rights can use specified call rights only in specified time segments. Higher-level users can reserve trunks for themselves. If there is no available trunk, they can preempt the trunks assigned for lower-level users to make outgoing calls.

Service password

The service password for SIP user.

Self-service login password

Personal password for logging to the web self-service system.

e.Click OK.

To modify or delete configured user information, return to the SIP User page, select [image] next to the user information, and click Modify or Delete, as shown in Figure 2.

Figure 2 SIP user information

2.Configure system data and user data on the IAD.

If SIP users are registered with the unified gateway through the IAD, you need to configure the IAD data to ensure the normal connection between the IAD and the unified gateway after configuring SIP users on the unified gateway. Then allocate the user numbers for the ports on the IAD.

Verification

After the configuration is completed, if configured user numbers can be found, users are successfully configured; otherwise, users fail to be configured.

Troubleshooting

·When a message indicating that a number exists is displayed, do not configure this number.

·When a message indicating license limitation is displayed, the number of configured users reaches the maximum number of users supported by the license.

Parent Topic: User Registration and Deregistration


Configuring IP Phone Users

This topic describes how to configure IP phone users.

Prerequisites

·The unified gateway has been started and connected to the network properly.

·You have logged in to the web management system to check license usage information, ensuring that the number of users does not exceed the maximum limit.

Background

After the unified gateway is deployed, the administrator can add and delete users in the web management system as required.

Table 1 lists the maximum number of users supported by the unified gateway. The actual number of supported users is determined by the license.

Table 1 Number of users

Device Model | Total Number of Users | Number of POTS Users
X1911 | 100 | 96
X1960 | 1000 | 192
X1981 | 20000 | 160

Procedure

This topic assumes that you want to register the following SIP users with the unified gateway:

·IP phone users 6000 to 6031

·IP phone user 7096

1.Configure SIP users on the unified gateway

This topic assumes that you want to:

·Add 32 SIP user devices in batches. The start device ID is 7000 and the start user number is 7000.

·Add the SIP user 7096.

·Choose User > SIP User.

·Click Create on the SIP User page.

·Enter user information on the Add SIP User page that is displayed, as shown in Figure 1.

From V2.0, two additional parameters, namely Service password and Self-service login password, are provided for a user being created. You can log in to the web management system and configure Service password and Self-service login password, or run the config system subscriber defaultpwd password password webpassword webpassword command in global config mode to configure the default service password and self-service login password for the user. If the passwords are not configured using either the command or web management system, the user fails to be created. If the passwords are configured using both the command and web management system, the configurations in the web management system prevail.

Figure 1 Adding SIP users in batches

Table 2 describes the parameters.

Table 2 Parameter description

Parameter

Description

Start number

The start number is a short number allocated by the unified gateway.

Start long number

Long numbers are allocated by the carriers, such as PSTN carriers. A long number corresponds to a short number.

Start device ID

The device ID is the SIP device registration account, for example, SIP user ID configured during IP phone registration.

Device type

The Device type parameter is used for the connection between the unified gateway and a SIP device. The parameter value must be the same as that specified on the SIP device. If the parameter is set to UScale, the corresponding number can access the unified gateway only through an UScale soft terminal.

Authentication mode

This parameter specifies the mode for authenticating a SIP device when it registers with the unified gateway.

NOTICE:

To improve account security, you are advised to select the IP address or password as the authentication mode for SIP number allocation. The password must not be the same as the device ID or device ID in reverse order.

User right level

User right levels are listed in the following ascending order: Default right < Common right < Advanced right < Super right. The default value is Default right. Users with a preset level of rights can use specified call rights only in specified time segments. Higher-level users can reserve trunks for themselves. If there is no available trunk, they can preempt the trunks assigned for lower-level users to make outgoing calls.

Service password

The service password for SIP user.

Self-service login password

Personal password for logging to the web self-service system.

·Click OK.

To modify or delete configured user information, return to the SIP User page, select [image] next to the user information, and click Modify or Delete, as shown in Figure 2.

Figure 2 SIP user information

·Add the SIP user 7096 according to Figure 3.

Figure 3 Adding SIP users

·Click OK.

Return to the SIP Users page. For details on how to modify and delete user information, see 1.d.

2.Configure phone data on the web page of the IP phone.

If SIP users are registered with the unified gateway through the IP phone, you need to perform related configuration on the phone after configuring a SIP user on the unified gateway. The operations are as follows:

·Configuration on an UScale 7910 IP phone

a.Log in to the IP phone web management system.

b.Choose Advanced > Configuration Wizard.

The Configuration Wizard > Network page is displayed.

c.Click Next.

The Configuration Wizard > Server Settings page is displayed.

d.Configure the SIP server IP address and port number, as shown in Figure 4.

Figure 4 Configuring the SIP server

e.Click Next.

The Configuration Wizard > Account Settings page is displayed.

f.Configure the phone account, user name, and password, as shown in Figure 5.

Figure 5 Configuring the phone account

Table 3 describes the key parameters.

Table 3 Key parameter description

Parameter | Description
Account | SIP user ID used in authentication. The value is the same as the SIP device ID configured on the unified gateway.
User Name | Account name provided by the VoIP service provider. The value is similar to or is a phone number. It is the same as the user number configured on the unified gateway.
Password | Password used for an account to register with the SIP server.
Server 1 | IP address of the SIP server. Set this parameter to the IP address of the unified gateway.
Port | Port number of the SIP server. NOTE: §If TLS is selected, the default value of this port is 5061. §If UDP or TCP is selected, the default value of this port is 5060.

a.Click Save.

Table 4 Parameter description

Parameter | Description
Register Name | Authentication ID.
User Name | Account name provided by the VoIP service provider. The value is similar to a phone number or is an actual phone number.
Password | Password corresponding to Register Name. The value is provided by the service provider.
SIP Server | IP address of the SIP server. This parameter specifies the IP address of the unified gateway.
Port | Port number of the SIP server. NOTE: §If TLS is selected, the default value of this port is 5061. §If UDP or TCP is selected, the default value of this port is 5060. §If DNS-SRV is selected, the default value of this port is 0.
Transport | The options are UDP, TCP, TLS (encrypted transmission), and DNS-SRV. The values UDP, TCP, and TLS are SIP transmission methods. The value DNS-SRV indicates that an IP phone determines the transfer type (UDP, TCP, or TLS) based on the information in the DNS SRV record sent by the server. NOTE: The value of this parameter is the same as that of Transporttype configured for the SIP trunk.

a.Click Update.

Certain types of IP phones need to be restarted for the configuration to take effect. For details, see related documents of the IP phone.

Verification

After the configuration is completed, if configured user numbers can be found, users are successfully configured; otherwise, users fail to be configured.

Troubleshooting

·When a message indicating that a number exists is displayed, do not configure this number.

·When a message indicating license limitation is displayed, the number of configured users reaches the maximum number of users supported by the license.

Parent Topic: User Registration and Deregistration


Same Number When Users Switch Phones

This topic describes how to enable users connected to the unified gateway to use the same numbers when they switch phones.

Background

When using their phones, users hope to continue to use their previous numbers when their terminals switch locations.

Procedure

This topic assumes that user A whose number is 7000 switches from position 1 to position 2 where user B whose number is 7001 locates. User A wants to still use number 7000. The procedure is as follows:

·User A and user B use UScale 7910 IP phones.

1.Modify data configured on user A's phone.

a.Log in to the web management system.

b.Choose Advanced > Account.

c.Click [image] .

The Edit Account dialog box is displayed.

d.Change user A's number 7000 to another number that does not exist, such as 8000, and click OK.

2.Configure data on user B's phone.

a.Log in to the web management system.

b.Choose Advanced > Account.

c.Click [image] .

The Edit Account dialog box is displayed.

d.Change account data to that of user A and click OK.

·User A and user B use UScale 7850 IP phones.

1.Delete data configured on user A's phone.

a.Open Internet Explorer, enter the IP address such as 192.168.104.15 of user A's phone in the address box, and press Enter. The phone login page is displayed.

b.Enter the user name and password and click Confirm.

c.Click Account to delete configured user data, as shown in Figure 1.

d.Click Confirm.

2.Configure data on user B's phone.

3.User A and user B are connected to an IAD

a.Open Internet Explorer, enter the IAD IP address such as 192.168.10.12 in the address box, and press Enter.

The system login page is displayed.

b.Enter values of User name and Password and click Login. The IAD WEB Management System page is displayed.

c.Choose SIP Service Configuration > FXS User. The configuration page is displayed.

d.Select users with numbers 7000 and 7001, and click Clear. After the data is cleared, the location with the original number 7000 is now numbered 7001, and the location with the original number 7001 is now numbered 7000.

e.Click OK.

4.User A and user B are connected to different IADs.

a.Perform steps 1 through 2 to log in to the two IADs.

b.Clear the data of user A and user B on the two IADs to which phone A and phone B are connected. After the data is cleared, perform 1 to 2 to set the number to 7001 for the location with the original number 7000 on the IAD of phone A, and set the number to 7000 for the location with the original number 7001 on the IAD of phone B.

Parent Topic: Routine Operations


Rights-based Call Restriction Service

This topic describes how to configure call rights on unified gateway.

Background

unified gateway classifies a user's incoming and outgoing call rights into the following types:

·Inter: intra-office call

·Local: local call

·DDD: national toll call

·IDD: international toll call

unified gateway also supports 32 customized call rights.

The 32 customized call rights can be used to control a user's call rights, for example, to prohibit calls with specified users.

Procedure

·Enabling the service

1.Log in to the web management system. For details, see Login Web Management System.

2.Choose User > SIP User.

To enable the service for POTS users (not applicable for X1980), choose User > POTS User.

3.Find the number for which the service is to be enabled.

4.Select the number and click Service Configuration.

The service configuration page is displayed.

5.In the Complex service area, click Configure next to Outgoing call right.

6.In the Configure Outgoing Call Right dialog box that is displayed, select user rights as required, as shown in Figure 1.

Figure 1 Configuring user rights

7.Click OK.

The message "Configuration success" is displayed.

·Disabling the service

1.Perform operations in enabling the service from 1 to 5.

2.In the Configure Outgoing Call Right dialog box, deselect user rights as required.

3.Click OK.

The message "Configuration success" is displayed.

Parent Topic: Routine Operations


Configuring Voice Services

This topic describes how to configure unified gateway voice services.

·Configuring Simple Services

·This topic uses the calling line identification presentation (CLIP) service as an example to describe how to configure a simple service.

·Configuring Complex services

·This topic uses the call forwarding unconditional (CFU) service as an example to describe how to configure a complex service.

·Service of Deactivating All Services

·Users can deactivate all supplementary services on their phones. The service rights are not affected.

Parent Topic: Routine Operations


Configuring Simple Services

This topic uses the calling line identification presentation (CLIP) service as an example to describe how to configure a simple service.

Procedure

·Enabling the service

§Enabling the service for a single number

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose User > SIP User.

To enable the service for POTS users , choose User > POTS User.

3.Select the number and click Service Configuration.

The service configuration page is displayed.

4.In the Simple service (rights) area, select Calling line identification presentation, as shown in Figure 1.

Figure 1 Enabling the service for a single number

5.Click OK.

The message "Configuration success" is displayed.

§Enabling the service for multiple numbers

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose User > SIP User.

To enable the service for POTS users, choose User > POTS User.

3.Select the numbers and click Service Configuration.

The service configuration page is displayed.

4.Select Calling line identification presentation, as shown in Figure 2.

Figure 2 Enabling the service for multiple numbers

5.In the Simple service (rights) area, select on.

6.Click OK.

The message "Configuration success" is displayed.

·Disabling the service

§Disabling the service for a single number

1.Perform operations in enabling the service from 1 to 3.

2.In the Simple service (rights) area, deselect Calling line identification presentation.

3.Click OK.

The message "Configuration success" is displayed.

§Disabling the service for multiple numbers

1.Perform operations in enabling the service from 1 to 4.

2.In the Simple service (rights) area, select off.

3.Click OK.

The message "Configuration success" is displayed.

Parent Topic: Configuring Voice Services


Configuring Complex services

This topic uses the call forwarding unconditional (CFU) service as an example to describe how to configure a complex service.

Procedure

·Enabling the service

1.Log in to the web management system. For details, see Logging In to the Web Management System.

2.Choose User > SIP User.

To enable the service for POTS users (not applicable for X1980), choose User > POTS User.

3.Select the number and click Service Configuration.

The service configuration page is displayed.

4.In the Complex service area, click Configure next to Call forwarding.

5.In the Configure Call Forwarding dialog box that is displayed, select CFU, and enter the forwarded-to number, as shown in Figure 1.

Figure 1 Configuring the call forwarding service

6.Click OK.

The message "Configuration success" is displayed.

·Disabling the service

1.Perform operations in enabling the service from 1 to 4.

2.In the Configure Call Forwarding dialog box, deselect CFU.

3.Click OK.

The message "Configuration success" is displayed.

Parent Topic: Configuring Voice Services


Service of Deactivating All Services

Users can deactivate all supplementary services on their phones. The service rights are not affected.

Procedure

For details, see Configuring Simple Services.

Parent Topic: Configuring Voice Services


Modifying Custom Announcements

If you need to modify a custom announcement (such as the automatic switchboard greeting), you can dial the recording prefix and record a new custom announcement at any time using a phone. This function is applicable for X1911/X1960/X1981 only.

Prerequisites

·The function of recording custom announcements in real time has been configured during deployment, and the authentication account for managing custom announcements has been allocated. For details, see Configuration Guide (Web Mode).

·The recording prefix, authentication account, and password have been obtained from deployment personnel, and you have known the ID of the voice channel for which you want to customize the announcement.

·To ensure recording quality, avoid recording custom announcements in a noisy environment.

·Only the following voice channels support custom announcements using the method described in this topic:

§X1911: 245–260

§X1960: 245–380

§X1981: 245–517

Procedure

1.Use a phone to dial the recording prefix.

2.Enter the authentication account and password as prompted.

3.Enter the ID of the voice channel for which you want to customize the announcement.

Ensure that the voice channel ID is correct to avoid affecting other services.

4.Perform subsequent operations as prompted.

Figure 1 shows the process.

Figure 1 Process of recording custom announcements

Parent Topic: Routine Operations


Unlocking Web Login

If the user account and IP address used for logging in to the web self-service system or web management system are locked, the administrator can manually unlock them.

Context

The user account and the IP address used in the last login will be locked for 5 minutes after three consecutive failed login attempts to the web self-service system or web management system. When locked, the user account cannot be used to log in to the web self-service system or web management system, and the IP address cannot be used for web login even if an unlocked account is used. The administrator can also log in to the corresponding device and manually unlock the user account and IP address. If you want to customize the lock mechanism, see Login Management for detailed operations.

Parent Topic: Routine Operations


Routine Maintenance

This topic provides guidance for unified gateway routine maintenance.

·Maintenance Item List

·This topic describes how to check the equipment alarms displayed on the local maintenance terminal (LMT) and troubleshoot problems in a timely manner, which ensure the normal operation of the equipment.

·Checking Equipment Operating Status

·This topic describes how to check equipment operating status to improve the routine maintenance efficiency.

·Checking Equipment Indicators

·This topic describes how to rectify hardware faults based on equipment indicator status.

·Checking the Humidity in the Equipment Room

·This topic describes how to use the hygrometer to measure the humidity in the equipment room, ensuring the normal operation of the equipment.

·Checking Temperature in the Equipment Room

·This topic describes how to use the thermometer to measure the temperature in the equipment room, ensuring the normal operation of the equipment.

·Checking Equipment Grounding

·This topic describes how to check the grounding system of the unified gateway and how to use the earth resistance tester to measure the grounding resistance. The grounding system of the unified gateway refers to the yellow and green ground cables from the grounding terminal of the shelf to the grounding system in the equipment room.

·Checking Spare Parts

·This topic describes how to check the storage environment and number of spare parts.

·Backing Up the Configuration File

·To ensure system stability, it is recommended that you back up the configuration file each time before the version upgrade or configuration change. The backup configuration file can be used to restore the system in case of any system faults.

·Removing Dust from Equipment

·Maintain the dust from equipment includes cleaning boards and removing dust from fan box.

Parent Topic: Administrator Guide


Maintenance Item List

The routine maintenance checks multiple items. For details, see unified gateway maintenance item list.

Table 1 Maintenance Item List

Category | Sub-Category | Maintenance Method | Period
Checking equipment operating status | - | MainAst tool | Weekly
Checking the equipment indicators | - | Manual | Weekly
Checking the humidity in the equipment room | - | Hygrometer | Weekly
Checking Temperature in the Equipment Room | - | Thermometer | Weekly
Checking equipment grounding | - | Manual | Monthly
Checks the spare parts. | Checking the storage environment | Thermometer and hygrometer | Monthly
 | Checking the number of spare parts | Manual | Monthly
Backing up configuration data | - | Manual | Monthly
Cleaning the device | Cleaning the boards | Manual | Yearly
 | Cleaning the fan box of unified gateway | Manual | Yearly

Parent Topic: Routine Maintenance


Checking Equipment Operating Status

This topic describes how to check equipment operating status to improve the routine maintenance efficiency.

Prerequisites

·The MainAst and inspection package of the proper version have been obtained.

·The MainAst and its components have been installed.

·The device to be checked has been configured. And the inspection package has been imported.

For details about how to install the MainAst and its components, to configure the device to be checked, and to import the inspection package, see the MainAst Operation Guide.

Remarks

All items pass the check.

Procedure

1.Choose Toollist > iCheck in the MainAst.

2.Choose Check > Customize Device Check Item and select items based on site requirements.

3.Choose Check > Start Check from iCheck.

You can also right-click a device and choose Start Check from the shortcut menu.

4.View the check result.

To view the standards for the check items, proceed as follows:

a.Right-click an inspection package in the main interface.

b.Choose View Standard from the shortcut menu.

The system exports an Excel document, providing standards, check methods, and troubleshooting suggestions for all items in the inspection package.

Troubleshooting

When an item fails the check, proceed as follows:

1.Right-click the inspection package and choose View Standard from the shortcut menu.

The system opens an Excel document. Find the suggestion matching the failed check item in the Excel file to rectify the fault according to the Suggestion.

2.Choose Check > Start Check from iCheck again.

Check whether the item passes the check.

3.If the repaired items do not pass the checking, right-click the inspection package and click Create Report.

4.Select the report types Generate Summary Report (*.xls) and Generate HTML Report (*.html).

5.Send the reports to the service provider.

Parent Topic: Routine Maintenance


Checking Equipment Indicators

This topic describes how to rectify hardware faults based on equipment indicator status.

·Checking ASI Board Indicators

·The ASI board is an analog user interface board that provides access services for POTS phones.

·Checking OSU Board Indicators

·The OSU board provides access services for analog terminals and trunks.

·Checking SCU Board Indicators

·The SCU board is a main control board that provides softswitch services and processes media control protocols. The SCU board supports three board working modes: single-network-port mode, dual-network-port mode, and triple-network-port mode.

·Checking MTU Board Indicators

·The MTU board is a media-trunk resource board that connects to digital trunks, plays announcements, and holds conferences.

Parent Topic: Routine Maintenance


Checking ASI Board Indicators

The ASI board is an analog user interface board that provides access services for POTS phones.

Figure 1 shows the ASI board.

Figure 1 Description of ASI board indicators

Indicators in different status represent the running status of the device. Table 1 describes the indicator status.

Table 1 Status of ASI board indicators

Indicator | PWR | Color | Status Description | Troubleshooting
Power indicator | PWR | Green | ·Steady on: Power is supplied. ·Off: No power is supplied or the board is faulty. | ·No power supply. When this occurs, check the power cable connection. ·Board fault. See Emergency Maintenance of the UScale X1900 series to rectify the fault.
Running indicator | RUN | Green | ·Blinking (4 Hz): The board is loading software. ·Blinking (2 Hz): The board is running normally and a user is in off-hook state. ·Blinking (0.5 Hz): The board is running normally and no conversation exits. ·Blinking (1 Hz): The communication is abnormal. ·Steady on: The board is incorrectly installed or faulty. ·Off: No power is supplied or the board is faulty. | ·No power supply. When this occurs, check the power cable connection. ·Board fault. See Emergency Maintenance of the UScale X1900 series to rectify the fault.
Alarm indicator | ALM | Red | ·Steady on: The communication is abnormal or the board is incorrectly installed or faulty. ·Off: The board is running normally. |

Parent Topic: Checking Equipment Indicators


Checking OSU Board Indicators

The OSU board provides access services for analog terminals and trunks.

Figure 1 shows the OSU board.

Figure 1 Description of OSU board indicators

Indicators in different status represent the running status of the device. Table 1 describes the indicator status.

Table 1 Status of OSU board indicators

Indicator | PWR | Color | Status Description | Troubleshooting
Power indicator | PWR | Green | · [image] Steady on: Power is supplied. · [image] Off: No power is supplied or the board is faulty. | ·No power supply. When this occurs, check the power cable connection. ·Board fault. See Emergency Maintenance of the UScale X1900 series to rectify the fault.
Running indicator | RUN | Green | · [image] Blinking (4 Hz): The board is loading software. · [image] Blinking (2 Hz): The board is running normally and a user is in off-hook state. · [image] Blinking (0.5 Hz): The board is running normally and no conversation exits. · [image] Blinking (1 Hz): The communication is abnormal. · [image] Steady on: The board is incorrectly installed or faulty. · [image] Off: No power is supplied or the board is faulty. | ·No power supply. When this occurs, check the power cable connection. ·Board fault. See Emergency Maintenance of the UScale X1900 series to rectify the fault.
Alarm indicator | ALM | Red | · [image] Steady on: The communication is abnormal or the board is incorrectly installed or faulty. · [image] Off: The board is running normally. |

Parent Topic: Checking Equipment Indicators


Checking SCU Board Indicators

The SCU board is a main control board that provides softswitch services and processes media control protocols. The SCU board supports three board working modes: single-network-port mode, dual-network-port mode, and triple-network-port mode.

Figure 1 shows the SCU board.

Figure 1 Description of SCU board indicators

Indicators in different status represent the running status of the device. Table 1 describes the indicator status.

Table 1 Status of SCU board indicators

Indicator | PWR | Color | Status Description | Troubleshooting
Power indicator | PWR | Green | · [image] On: The power supply is normal. · [image] Off: There is no power supply. | ·No power supply. When this occurs, check the power cable connection. ·Board fault. See Emergency Maintenance of the UScale X1900 series to rectify the fault.
Running indicator | RUN | Green | · [image] Blinking: The board is running normally. · [image] Steady on: The board is faulty. · [image] Off: No power is supplied or the board is faulty. | ·No power supply. When this occurs, check the power cable connection. ·Board fault. See Emergency Maintenance of the UScale X1900 series to rectify the fault.
Alarm indicator | ALM | Red | · [image] Steady on: A critical alarm exists. · [image] Blinking: A major or minor alarm exists. · [image] Off: No alarm exists. | An alarm is generated. Log in to the LMT, double-click the alarm, and handle the alarm as prompted.

Parent Topic: Checking Equipment Indicators


Checking MTU Board Indicators

The MTU board is a media-trunk resource board that connects to digital trunks, plays announcements, and holds conferences.

Figure 1 shows the MTU board.

Figure 1 Description of MTU board indicators

Indicators in different status represent the running status of the device. Table 1 describes the indicator status.

Table 1 Status of MTU board indicators

Indicator | PWR | Color | Status Description | Troubleshooting
Power indicator | PWR | Green | · [image] On: The power supply is normal. · [image] Off: No power is supplied or the board is faulty. | ·No power supply. When this occurs, check the power cable connection. ·Board fault. See Emergency Maintenance of the UScale X1900 series to rectify the fault.
Running indicator | RUN | Green | · [image] Blinking: The board is running normally. · [image] Steady on: The board is faulty. · [image] Off: No power is supplied or the board is faulty. | Board fault. See Emergency Maintenance of the UScale X1900 series to rectify the fault.
Alarm indicator | ALM | Red | · [image] Steady on: A critical alarm exists. · [image] Blinking: A major or minor alarm exists. · [image] Off: No alarm exists. |
Signal loss indicator | LOS | Yellow | · [image] Steady on: Signals are lost. · [image] Off: Signals are normal. | Signal loss. Contact the service provider.
Remote alarm indicator | RFA | Yellow | · [image] Steady on: The peer device fails to receive data. · [image] Off: The peer device is running properly. | Data receiving fault on the peer-end device. Contact the service provider.

Parent Topic: Checking Equipment Indicators


Checking the Humidity in the Equipment Room

This topic describes how to use the hygrometer to measure the humidity in the equipment room, ensuring the normal operation of the equipment.

Reference Standard

The relative humidity in the equipment room is 5% to 95% RH, without condensation.

Procedure

Check the hygrometer in the equipment room.

Troubleshooting

·If the relative humidity in the equipment room is too high, install a dehumidifier in the equipment room.

·If the relative humidity in the equipment room is too low, install a humidifier in the equipment room.

Parent Topic: Routine Maintenance


Checking Temperature in the Equipment Room

This topic describes how to use the thermometer to measure the temperature in the equipment room, ensuring the normal operation of the equipment.

High temperature accelerates the aging process of insulating materials, which reduces device reliability and shortens the lifecycle.

Reference Standard

The temperature in the equipment room ranges from 0°C to 45°C.

Procedure

heck the thermometer reading in the equipment room.

Troubleshooting

Use the air conditioner to control the temperature. If the air conditioner is faulty, repair or replace it in a timely manner.

Parent Topic: Routine Maintenance


Checking Equipment Grounding

This topic describes how to check the grounding system of the unified gateway and how to use the earth resistance tester to measure the grounding resistance. The grounding system of the unified gateway refers to the yellow and green ground cables from the grounding terminal of the shelf to the grounding system in the equipment room.

Reference Standard

·All contacting points are in good condition without loose connection or corrosion.

·Grounding resistance is less than or equal to 5 ohm.

Checking the Grounding System

·Procedure

1.Check whether the ground cables in the shelf are damaged, aged, eroded, or burnt by electrical arc.

2.Check whether the connecting terminals and captive screws of all ground cables in the shelf are connected firmly and are not eroded.

3.Use a multimeter to test if all parts in the shelf are well grounded.

a.Adjust the multimeter to the ohm range. Connect one probe to a fixed grounding point in the equipment room (lengthen the probe cable when necessary). Use another probe to measure the grounding points in the shelf one after the other. To ensure accuracy, the resistance measured at each grounding point should be about five ohms.

b.If the resistance measured at a grounding point is more than five ohms, check the ground cable, grounding terminal, and captive screw of this grounding point at once, and accordingly take proper measures.

4.Use the earth resistance tester to measure the grounding resistance of the grounding network in the equipment room. The grounding resistance should not be more than five ohms. See section Measuring the Grounding Resistance for details.

·Troubleshooting

1.If the connection line is in poor contact, correct the connection.

2.If the connection line is corroded, replace it.

3.If the grounding resistance fails to meet requirements, reconstruct the grounding environment.

Measuring the Grounding Resistance

·Procedure

Use the earth resistance tester to measure the grounding resistance of the grounding network in the equipment room. During measurement, place the voltage pole and the current pole of the earth resistance tester as shown in Figure 1.

Figure 1 Layout of poles of the earth resistance tester

1.The distance from the current pole to the edge of the grounding network is d1. The value d1 is four to five times of the maximum diagonal length (D) of the grounding network.

2.The distance from the voltage pole to the edge of the grounding network is d2. The value d2 is 50% to 60% of the value d1.

3.When measuring the resistance, move the voltage pole three times along the line between the current pole and the grounding network. The distance moved each time is 5% of d1. If the resistance values measured for three times are almost equal, take the average value of these three values as the grounding resistance of the grounding network.

4.If d1 cannot be four to five times of D, set d1 to two times of D and d2 to D in the areas with relatively even earth resistance rate. Set d1 to three times of D and d2 to 1.7 times of D in the areas with uneven earth resistance rate.

5.Place the current pole and the voltage pole vertical to the line or the underground metal pipe.

6.Do not measure the grounding resistance immediately after raining.

·Troubleshooting

If the grounding resistance fails to meet requirements, reconstruct the grounding environment.

Parent Topic: Routine Maintenance


Checking Spare Parts

This topic describes how to check the storage environment and number of spare parts.

·Checking the Storage Environment

·This topic describes how to use the thermometer and hygrometer to check the storage environment.

·Checking the Number of Spare Parts

·This topic describes how to check the number of spare parts.

Parent Topic: Routine Maintenance


Checking the Storage Environment

This topic describes how to use the thermometer and hygrometer to check the storage environment.

Reference Standard

·The temperature in the warehouse is -40ºC to 70ºC.

·The relative humidity in the warehouse is 5% to 95% RH, without condensation.

Procedure

·heck the thermometer reading in the equipment room.

·Check the hygrometer in the equipment room.

Troubleshooting

·Regulate the temperature in the room through the air conditioner. If the air conditioner is faulty, repair or replace it in time.

·Install the dehumidifier or humidifier to control the humidity in the warehouse.

Parent Topic: Checking Spare Parts


Checking the Number of Spare Parts

This topic describes how to check the number of spare parts.

Reference Standard

·Fan box or each type of board has at least one spare board based on the requirements for hardware configuration.

·All spare parts are kept in good condition without being broken, cracked, or corroded.

Procedure

·Check the total number of spare parts.

·Check whether all spare parts are in good state.

Troubleshooting

·Broken spare parts or replaced parts are sent back for repair in time.

·If the spare parts are insufficient, contact the service provider to purchase more. Note that the SN of a spare part needs to be provided for the purchase. You can view the SN on the label attached to the spare part panel, as shown in Figure 1.

Figure 1 Label of the spare part

Parent Topic: Checking Spare Parts


Backing Up the Configuration File

To ensure system stability, it is recommended that you back up the configuration file each time before the version upgrade or configuration change. The backup configuration file can be used to restore the system in case of any system faults.

Reference Standard

Maintenance personnel need to back up the configuration file periodically.

·It is recommended that the configuration file be backed up once every week during off-peak hours (for example, 2:00–4:00 am).

·Do not perform the backup operation when any other operations are being performed. During the backup, do not change the host IP address (hostip).

Procedure

1.Select "System Management > Data Management", click "Backup" and then "Download".

2.Check the backup file.

a.After successful download, please check the backup file.

b.Archive the configuration file for emergency recovery.

Troubleshooting

If the configuration file is not generated in the backup directory, check the setting of hostip and check whether any other operations are being performed.

Parent Topic: Routine Maintenance


Removing Dust from Equipment

Maintain the dust from equipment includes cleaning boards and removing dust from fan box.

·Cleaning Boards

·This topic describes how to clean boards.

·Removing Dust from Fan Box

·If the fan box has too much dust, please clean the fan box on the left side of the back panel of the shelf.

Parent Topic: Routine Maintenance


Cleaning Boards

This topic describes how to clean boards.

Remarks

Boards are free of dust.

·Take electro-static discharge(ESD) measures during the whole process of routine maintenance. For example, perform operations on an ESD workbench, and wear ESD clothes, wrist straps, and gloves.

·Clean boards when service traffic is low, for example, between 2:00 a.m. and 4:00 a.m.

·Choose the cleaning agent according to the related national standards strictly. Otherwise, the boards may be damaged.

Procedure

1.Provide backup boards.

Before cleaning all the boards in the shelf, you need to provide a backup board for each type of board in the frame.

2.Replace the board to be cleaned.

To avoid faults during maintenance, replace the board to be cleaned with a backup board, strictly following the board replacement flow. Clean the replaced board only after the backup board runs normally. For the board replacement flow, see chapter Replacing Parts. See chapter Overview.

3.Remove dust from boards.

The boards can be cleaned in many ways. The key principle is to prevent the physical and electrical characteristics of the boards from being damaged. The two most common methods are:

·Using a vacuum cleaner

Use a clean and dry ESD soft brush to slightly wipe the dust off the board surface. At the same time, point the suction nozzle of a vacuum cleaner at the brush to suck the dust.

A vacuum cleaner is simple in operation and cheap in cost, but it fails to remove the harmful gas absorbed on the board surface.

·Using a cleaning agent

Use a dedicated anhydrous, nonerosive, nonconductive, and high-volatility cleaning agent to clean the boards, for example, isopropanol (IPA).

Wear a protective face mask when using cleaning agents.

A cleaning agent removes not only the dust from the boards entirely, but also most of the harmful gases absorbed on the surface of the boards. This method is complicated in operation and high in cost.

4.Clean boards in turn.

Due to the large number of spare parts, it is impossible to replace all the boards to be cleaned at the same time. In this case, replace a board to be cleaned with the already cleaned board of the same type.

Troubleshooting

If the board has too much dust, please clean the boards. For details, see section Procedure.

Parent Topic: Removing Dust from Equipment


Removing Dust from Fan Box

If the fan box has too much dust, please clean the fan box on the left side of the back panel of the shelf.

Reference Standard

The fan box is free of dust.

·You need to replace a fan box within 60 minutes. Otherwise, the stability and security of the devices in the shelf will be greatly affected.

·If a backup fan box is available, clean it and use it to replace the existing fan box.

Procedure

1.Remove the fan box.

a.Use a Phillips screwdriver to loosen the captive screws fixing the fan box.

b.Pull the fan box out of the shelf slowly.

2.Clean the fan box.

Wipe the dust off the fan blades in the replaced fan box with clean cotton yarn cloth, ESD soft brush, or vacuum cleaner. After being cleaned, the fan box is not covered with dust.

3.Install the fan box.

Push the cleaned fan box into the shelf quickly, and then use a Phillips screwdriver to tighten the captive screws fixing the fan box.

Parent Topic: Removing Dust from Equipment


Collecting and Reporting Fault Information

Fault information helps locate faults promptly and precisely.

·Filling in the Fault Information Collection Template

·This topic describes how to fill in the Fault Information Collection Template and report the fault information.

Parent Topic: Administrator Guide


Filling in the Fault Information Collection Template

This topic describes how to fill in the Fault Information Collection Template and report the fault information.

Fill in the Table 1 and send the fault information to the service provider.

Table 1 Fault Information Collection Template

User Information | Name | -
 | Address or Office name | -
 | Phone number | -
System Information | Product software and hardware versions | -
 | Product network | -
 | Operating system | -
Scenario Information | Impact scope | Emergent/Common
 | Occurrence time | If the time when the fault occurred was a fixed time, provide the specific time.
 | Occurrence frequency | -
Detailed Fault Symptom | Error code/Prompt message/Icon | -
 | Other symptoms | -
Operations Performed Before the Fault Occurred | Device replacement | -
 | Device configuration change | -
 | Other operations | -
Fault Handling Measures and Effects | Whether the fault type is included in the manual | -
 | Fault type | -
 | Fault handling measures and effects | -

Parent Topic: Collecting and Reporting Fault Information


FAQs

This topic provides answers to frequently asked questions (FAQs) encountered when you use the unified gateway.

·Changing the Login Password

·This topic describes how to change the unified gateway login password. Change your password periodically to ensure account security, and passwords must meet complexity requirements.

·What to do if you have forgotten your device login password

·This section describes how to use the password reset function of the Unified Gateway to provide a password reset to obtain an initial password.

·Viewing the device version information

·This topic describes how to view the device version information.

·How to Upgrade Software

·This section describes how to use software upgrade via the Web.

Parent Topic: Administrator Guide


Changing the Login Password

This topic describes how to change the unified gateway login password. Change your password periodically to ensure account security, and passwords must meet complexity requirements.

Background

Table 1 lists the initial login passwords of the unified gateway.

Table 1 Initial login passwords

NE | Password
Web Management System | admin123

Change the login password periodically to improve system security, passwords must meet complexity requirements. You are advised to change the unified gateway login password once a month.

Procedure

·Changing the login password of Web Management System

1.Log in to the Web Management System.

2.Click "Change Password" in the upper right corner of the screen.

The system pops up the Change Password screen, as shown in Figure 1.

Figure1 Change Password

3.Enter the new password and click OK.

Parent Topic: FAQs


What to do if you have forgotten your device login password

This section describes how to use the password reset function of the Unified Gateway to provide a password reset to obtain an initial password.

Parent Topic: FAQs


Viewing the device version information

This topic describes how to view the device version information.

Web mode

1.Logging In to the Web Management System using admin. For details, see Logging In to the Web Management System.

2.Choose System > Version information, the version information of the unified gateway is displayed, as shown in Figure 1.

Figure 1 Viewing version information

Parent Topic: FAQs


How to Upgrade Software

This section describes how to use software upgrade via the Web.

Web

1.Login to Web Management System as admin user, please refer to Login Web Management System for how to login.

2.Select "System Management > Software Upgrade", the interface displays software upgrade information, as shown in Figure 1.

Figure1 Software Upgrade

3.Click Select to select the bin file to be upgraded from your computer.

4.Tap Upload to upload the upgrade file to the system.

5.Finally click Upgrade, the system detects if the upgrade package is valid, if it is normal, it will perform a reboot and carry out the upgrade operation. Wait for a few minutes and re-access the backend system to confirm the system version number.

Parent Topic: FAQs


Security Maintenance

This document describes how to secure and mainte the unified gateway.

·Security Maintenance Overview

·Application Layer Security

·Network Layer Security

·Management Layer Security

·Typical Security Fault Cases

Parent Topic: Operation and Maintenance


Security Maintenance Overview

·Security Maintenance Objectives

·Layered Security Maintenance

Parent Topic: Security Maintenance


Security Maintenance Objectives

Application systems are facing growing security threats from viruses, malicious users, and hackers with the development of the informatization and openness trends of application systems. Carriers and enterprises require that application systems be protected in an all-round way, and many countries and regions impose strict requirements about application system security. The security of application systems is crucial.

To detect potential security problems and resolve them in time, carriers and enterprises need to establish an all-round protection system and execute maintenance tasks with a hierarchical approach.

As new security threats emerge continuously, technical methods are insufficient to ensure the security of application systems. To ensure the proper running of application systems, carriers also need to establish a security management system based on the suggestions given on problems found in routine security maintenance.

Parent Topic: Security Maintenance Overview


Layered Security Maintenance

Unified Communication security maintenance is implemented at the following layers: application layer, system layer, network layer, and management layer. Figure 1 shows the security maintenance layers.

Figure 1 Security maintenance layers

Application Layer

Security maintenance at this layer is conducted to ensure that the UC application system runs properly and provides services normally.

System Layer

Security maintenance at this layer is conducted to ensure that the operating system and database run properly, ensuring the proper running of applications at the application layer.

Network Layer

Security maintenance at this layer is conducted to ensure the proper running of switches, routers, firewalls, and the VPN gateway so that the application of security policies (such as the firewall access-control policy and the VPN encryption policy) is ensured.

Management Layer

Security maintenance at this layer is conducted to enhance manual management and log and patch management to prevent potential risks. The preceding layers are involved in management-layer security maintenance.

Parent Topic: Security Maintenance Overview


Application Layer Security

·Account List

·CPU Load Control

·Login Management

·Remote Access Control

Parent Topic: Security Maintenance


Account List

The default account and password list for the main elements of the Unified Gateway is shown in Table 1:

Table 1 Account list

Function modules | Default account and password | Explanation
Web management system | The username for the super administrator is "admin," and the configured password is "admin123." | The super administrator is responsible for number management, trunk management, system configuration, resource queries, and configuration of regular administrators in the Unified Gateway. The password used for these operations is the same as the password for the Config mode in the command line interface.
 | The username and password for a regular administrator are both user-defined. | Regular administrators are created by the super administrator "admin" and both the username and initial password are user-defined. They are primarily used for hierarchical management of business in the Web system.
Web self-service system | The username and password are configured by the user themselves. | It is used for regular user login to the Web interface to configure business settings.
TLS |  | Decrypting the TLS certificate provided by the device.
Radius shared secret | The password is configured by the user themselves. | Used for encrypting and verifying Radius messages when integrating with a Radius server.
night service | The password is configured by the user themselves. |
Authentication password | The password is configured by the user themselves. | The data synchronization authentication password between the local node and the master node in a centralized call management network. This parameter should be consistent with the value of "Data Synchronization Authentication Password" in "System Management > Device Management" on the local node.
Voice services | The business password is configured by the user themselves. | Please refer to the feature usage for changing the password of voice services to learn about the method to modify the business password.

Parent Topic: Application Layer Security


CPU Load Control

Table 1 Description of the overload levels of the CPU

Overload Level | Call Restriction Ratio | Default Overload Threshold
1 | 30% | X1980: 85% Other:95%
2 | 100% | X1980: 90% Other:99%

Parent Topic: Application Layer Security


Navigation: Operation and Maintenance > Security Maintenance > Application Layer Security >

Return to chapter overview

Login Management

Login User Threshold

Customizing the Login Lock Mechanism

Parent Topic: Application Layer Security


Remote Access Control

On the unified gateway, you can check the running status of a remoteunified gateway and maintain and commission the remote unified gateway using modems.

1.Login web management system

2.Go to System Management-> Device Management-> Remote Assistance to configure.

Parent Topic: Application Layer Security


Network Layer Security

·Security Network

·Management Plane Isolation

·Network Security Maintenance

Parent Topic: Security Maintenance


Security Network

Basic Network

Figure 1 shows the single-node security network of the unified gateway.

Figure 1 Single-node security network

Figure 2 shows the centralized call management security network of the unified gateway.

Figure 2 Centralized call management security network

Network and security domain isolation:

·Installed at the entry and exit of the enterprise network, the unified gateway provides firewall function to filter and check the network information.

·The unified gateway provides filtering function. The security policy to access the unified gateway within enterprises can be set according to the Communication Matrix. This effectively controls internal hosts' access to external resources, forming a security protection system between internal and external networks.

./

Parent Topic: Network Layer Security


Management Plane Isolation

The unified gateway supports isolation of the management plane from the service plane to ensure the security of the system management plane.

Physical isolation is more secure and reliable; therefore, scheme 1 is recommended.

Scheme 1: Physical Isolation (for X1911/X1960/X1981 only)

Configure dual-network-port mode on the control board of the unified gateway to physically isolate the management plane from the service plane, which ensures that the management plane is invisible to the service plane. Figure 1 shows the network.

Figure 1 Network for physical isolation

[Verification]

Attempt to access any IP address, protocol port, or URL of the management plane of the unified gateway from the service network. The access is expected to fail. For example, if you ping the IP address of network port 0, the ping operation is expected to fail.

Scheme 2: Firewall Policy Control

Configure the management plane access policy on the unified gateway and firewall. Such a policy specifies that only IP addresses in the management terminal area can access the URL or protocol port of the management plane. This ensures that the management entries are invisible to the service terminal area. Figure 2 shows the network.

Figure 2 Network for firewall policy control

Parent Topic: Network Layer Security


Network Security Maintenance

·Gateway Security Maintenance

·Firewall Security Maintenance

Parent Topic: Network Layer Security


Gateway Security Maintenance

You must periodically check unified gateway security to ensure proper unified gateway running.

Checking unified gateway password

Checking unified gateway Running Status

If an exception occurs during unified gateway running, some or all services may be unavailable, which affects unified gateway performance. You must check the following items to ensure unified gateway availability:

·Bill pool status

·Blade CPU usage

·Blade status

·User state

Parent Topic: Network Security Maintenance


Firewall Security Maintenance

You must periodically check firewalls if they are deployed on the network. Quidway Eudemon 1000E series firewalls are recommended.

Checking Firewall Statuses

Firewall status information can be collected in all views. If invalid firewall information is detected, handle it in time.

You must check the following information:

·Firewall version

·Firewall clock

·End user

·Initial configuration

·Configuration of the current view

·Current configuration

·Debug switch status

·Technical support information

·Equipment serial number (ESN)

Checking Security Zone Configurations

If firewalls are deployed between internal networks and external networks, you must check security zone configurations and inter-security zone configurations.

You can create security zones on firewalls to provide different security guarantee for users in different security zones.

Checking the Default Packet Filter Rules

Check the default packet filter rules to identify data packets that can be received and data packets that must be denied. If incorrect packet filter rules are detected, handle them in time.

Checking the NAT Configuration

If network address translation (NAT) traversal is implemented on the network, check the NAT configuration and the current firewall configuration. If the incorrect NAT configuration is detected, modify it in time.

Checking VLAN Information

A Local Area Network (LAN) can be divided into multiple Virtual Local Area Networks (VLANs) logically. Hosts on a VLAN can communicate with each other, and hosts between VLANs cannot communicate with each other. That is, broadcast packets can be sent between hosts on the same VLAN, which improves network security.

Check VLAN statues, VLAN configurations, and related IP addresses. If exception information is detected, handle it in time.

Perform the preceding operations by referring to related firewall documents.

Parent Topic: Network Security Maintenance


Management Layer Security

This topic provides general maintenance suggestions for routine security maintenance. Users can formulate security management regulations by referring to these suggestions and abide by these regulations to ensure system security.

·System Maintenance Security Principles

·Protocol Selection

·Account Maintenance

·Password Maintenance

·Log Maintenance

·Data Backup

·Defect Reporting

·Patch Management

·Emergency Response Mechanism

Parent Topic: Security Maintenance


System Maintenance Security Principles

Minimum Principle

·Install only required services and components.

·Distinguish server functions and roles. Do not install unnecessary services or components.

·Distinguish functions and roles of service's internal components. Do not install unnecessary components.

Minimum Accounts

·Manage accounts strictly according to account policies.

·Strictly control addition, modification, and deletion of accounts and groups in the system.

·Delete all useless accounts and groups.

Minimum Rights

·Assign minimum rights to system services, groups, and accounts.

·Control right assignment strictly in the operating system.

·Forbid account's access to unrequired resources.

Dedication

·A host must run only one type of service.

·Partitions where the operating system, applications, and data are located must be separated.

Audit

·Operations on the host must be monitored by using logs or other feasible methods.

·Successes and failures to access the system's important resources must be audited.

·Successes and failures to modify the access control policy must be audited.

Parent Topic: Management Layer Security


Protocol Selection

·The unified gateway supports SSH/Telnet login. (Telnet is disabled by default. To enable Telnet, run the config telnet switch on command.) To ensure system security, it is recommended that SSH be used for logging in to the device using .

·The unified gateway supports web access using HTTP.

·The unified gateway supports file loading and backup using TFTP/FTPS. To ensure system security, it is recommended that FTPS be used for the loading and backup operations performed on the device.

Parent Topic: Management Layer Security


Account Maintenance

The system administrator must routinely check system accounts and verify that:

·All operating system accounts and database accounts are necessary and temporary accounts have been deleted.

·Account rights are appropriate.

·Account login logs and operation logs are audited.

Parent Topic: Management Layer Security


Password Maintenance

User identities need to be verified when they attempt to log in to the application system portal. The account and password complexity, and password validity period need to be configured based on security requirements.

To ensure password security, follow the following suggestions:

·The password of the administrator is kept by designate personnel.

·Passwords must be encrypted before transfer. Do not transfer passwords using emails.

·Passwords must be encrypted for storage.

·Change your account and password periodically (recommended: once a month).

Parent Topic: Management Layer Security


Log Maintenance

The system administrator can audit logs to detect potential risks. The system must log important operations, such as system parameter setting, tariff setting, and service release. You are advised to harden the system to protect log files.

Checking Logs Periodically

The maintenance personnel must periodically check system logs, application logs, and security logs. If any fault is detected, report it to the upper-level departments. If the cause cannot be located or the fault cannot be rectified, contact OpenVox local representative office or OpenVox technical support center.

Backing Up Logs Periodically

The maintenance personnel must periodically back up log files to external storage media such as disks, tapes, and CD-ROMs. After successful backup, the original log files need to be deleted to free up the space.

Parent Topic: Management Layer Security


Data Backup

Based on security maintenance requirements, back up data in the following scenarios:

·Before and after system hardening

In this case, system data must be fully backed up.

·Before and after security configuration, maintenance, and troubleshooting

Parent Topic: Management Layer Security


Defect Reporting

If the customer system is attacked, OpenVox technical support engineers will solve this problem depending on whether any security accidents occur:

·A security accident occurs.

Provide remote or on-site support to mitigate the attack impact with the assistance of customer maintenance personnel and generate an accident handling report.

·No security accident occurs.

Record the problem information and forward it to the research and development (R&D) team to process.

After the R&D team works out a solution, OpenVox technical support engineers will analyze the solution impact on services and develop a feasible solution.

Parent Topic: Management Layer Security


Patch Management

The customer must formulate application patch management regulations and designate specified personnel to check patches released by OpenVox, operating system vendors, database vendors, and middleware vendors.

Contact OpenVox technical support engineers to install patches. Do not install patches by yourself.

Parent Topic: Management Layer Security


Emergency Response Mechanism

The customer must formulate the emergency response mechanism to deal with emergencies, recover the system, and minimize losses.

Parent Topic: Management Layer Security


Typical Security Fault Cases

·Long-Period Voice Service Interruption

Parent Topic: Security Maintenance


Long-Period Voice Service Interruption

Problem

During unified gateway running, a fault occurs and the network is disconnected, causing long-period voice service interruption.

Cause

·The network is disconnected.

·A unified gateway blade is faulty.

·The entire unified gateway is faulty.

Solution

The operation procedure is as follows:

1.Verify that the network connection is normal.

Choose Start > Run, enter cmd in the Open combo box, and then run the ping IP address of the host where unified gateway is installed command on the command-line interface.

If the host does not respond, the network connection is faulty. Verify that the network cables are connected.

2.Run the reset board command in Config mode to restart the blade and check whether unified gateway can run properly.

If unified gateway is still faulty, replace the blade with a spare blade to rectify faults.

3.Run the reboot command in Config mode to restart unified gateway and check whether it can run properly.

If unified gateway is still faulty, replace unified gateway with a spare unified gateway to rectify faults.

Parent Topic: Typical Security Fault Cases


Fault Management

This topic describes troubleshooting processes of common faults and provides typical troubleshooting cases of unified gateway functions and services.

·Emergency Maintenance

·Emergency maintenance mainly deals with emergency faults and handles them differently based on their severity.

·Troubleshooting Guide

·This chapter introduces the methods, processes and tools of troubleshooting.

·Alarm

·


Emergency Maintenance

Emergency maintenance mainly deals with emergency faults and handles them differently based on their severity.

·Overview

·This topic describes the applicable scope, precautions, and preparations for emergency maintenance.

·Quick Troubleshooting

·This topic describes how to handle emergency faults.

·Common Operations

·This topic describes the common operations used for emergency fault rectification.

·Collecting Fault Information

·This topic describes how to collect fault information. The fault information is used for quickly locating an emergency fault.

Parent Topic: Fault Management


Overview

This topic describes the applicable scope, precautions, and preparations for emergency maintenance.

·Applicable Scope

·This topic describes the definition and applicable scope of emergency maintenance.

·Precautions

·This topic describes the precautions to be taken during emergency maintenance. These precautions ensure personnel and device safety, reduce the loss incurred by faults, and mitigate the impact of faults.

·Preparations

·This topic describes the preparations required for emergency maintenance.

Parent Topic: Emergency Maintenance


Applicable Scope

This topic describes the definition and applicable scope of emergency maintenance.

Emergency maintenance is a troubleshooting approach taken to quickly rectify an emergency fault for system or device recovery.

If you cannot restore services with the help of this manual, contact your service provider for assistance.

Parent Topic: Overview


Precautions

This topic describes the precautions to be taken during emergency maintenance. These precautions ensure personnel and device safety, reduce the loss incurred by faults, and mitigate the impact of faults.

To improve the efficiency of handling emergency faults and to minimize loss, take the following precautions when handling emergency faults:

·Emergency maintenance aims to quickly restore services and the proper running of devices. Therefore, to improve the efficiency of rectifying emergency faults, you are advised to prepare handling schemes for emergency faults and to periodically review and practice the schemes.

·Before performing emergency maintenance, take necessary training and be equipped with the following skills:

§Having basic knowledge of network devices and operating systems

§Understanding the logical structure of the unified gateway components and onsite devices, and physical connections between onsite devices

§Understanding the unified gateway system structure and be skilled in operating the unified gateway components.

§Being proficient in identifying, locating, and rectifying emergency faults in unified gateway, and be able to practically use these methods to perform emergency maintenance.

·Stay calm and locate the faulty module before restoring services.

Parent Topic: Overview


Preparations

This topic describes the preparations required for emergency maintenance.

Table 1 lists the items that need to be prepared during the normal running of the unified gateway. You can also refer to the items to make preparations for recovering the unified gateway when an emergency fault occurs.

Table 1 Items to be prepared

Category | No. | Preparation | Description
Device information | 1 | Device location | Detailed address of the equipment room, position of each cabinet in the room (specifying the line and row), and position of each device in the cabinet. Each device can be located quickly based on the information.
 | 2 | Network | Network topology and hardware connection diagram that involve all devices.
 | 3 | Device information | A list of device IP addresses, user names, and passwords used for quick access to each device. If the passwords cannot be listed on paper for security reason, remember them.
Service information | 4 | External interface information | Information about the common external interfaces, for example, Integrated Services Digital Network User Part (ISUP) and Session Initiation Protocol (SIP) interfaces. For details, see Ports and Protocols.
Maintenance information | 5 | Remote maintenance information | Remote connection mode, user name, and password.
Software and tool | 6 | Software version and hardware tool | Installation CD-ROMs, serial number, and hardware tools of the current version.
 | 7 | Log collection | For details about how to collect logs
Contact methods | 8 | Customer contact information | Telephone number of the agency, and mobile phone number, email address, and fax of the maintenance director.
 | 9 | OpenVox personnel contact information | Telephone number of the equipment room, and names, contact information, and responsibilities of OpenVox experts.
Quick restoration method | 10 | Alternative plan | Details about the alternative solutions.
 | 11 | Available redundancy devices or temporary devices | Redundancy or temporary devices in the system, such as the standby file server.
Spare parts | 12 | Spare parts | Existing spare parts and those available from the service provider, and methods and duration for obtaining spare parts.
Purchased-device information | 13 | Purchased-device information | Method for contacting the manufacturer, device serial number, and warranty terms and conditions.
Certificate | 14 | Certificates required for entering the equipment room | Certificates such as ID card, visa, staff card, and equipment room pass card.

Parent Topic: Overview


Quick Troubleshooting

This topic describes how to handle emergency faults.

·General Guideline

·This topic describes the classification of emergency faults, and the principles and process of handling emergency faults.

·Handling a Device Crash

·Check the power supply of the shelf and the running status of the main control board in case of a device crash.

·Handling a Board Crash

·Restart or replace the board in case of a board crash.

·Handling Global Service Congestion

·Check whether the hardware device and the bearer network are functioning properly and whether the configuration data is correct when the global service is congested.

·Handling Partial Service Congestion

·Check whether the hardware device and the bearer network are functioning properly and whether the configuration data is correct when partial service is congested.

Parent Topic: Emergency Maintenance


General Guideline

This topic describes the classification of emergency faults, and the principles and process of handling emergency faults.

·Fault Classification

·This topic describes the classification of emergency faults that may occur on the unified gateway.

·Fault Handling Principles and Process

·This topic describes the principles and process of handling emergency faults.

·Fault Handling Process

·This topic describes the process of handling an emergency fault.

Parent Topic: Quick Troubleshooting


Fault Classification

This topic describes the classification of emergency faults that may occur on the unified gateway.

Emergency faults refer to the faults that occur and affect a wide range of services or devices. They degrade network operation and quality of service (QoS). These faults include device crash and global service congestion.

Emergency faults of the device are classified into two categories:

·Device faults

·Service faults

Device Faults

Device faults refer to the faults that occur on the key parts in the unified gateway shelf, for example, device crash and board crash.

·Device crash

Device crash means that the device malfunctions totally or partially. Any of the following cases is regarded as a device crash:

§Power failure of the shelf

§Crash of all the boards

·Board crash

Board crash indicates the total malfunction of a board.

Service Faults

Service faults refer to the global or partial service congestion of the unified gateway.

·Global service congestion

Global service congestion means that the service of the unified gateway in the local office is interrupted or congested globally for a long time. Any of the following cases is regarded as global service congestion:

§All the media gateways cannot register successfully, for example, being disconnected immediately after they are registered.

§Calls are congested on all user terminals. For example, users fail to make or receive calls, or fail to hear the dial tone or busy tone after they hang up the phone.

§Calls are congested in all office directions. For example, users fail to make or receive calls.

·Partial service congestion

Partial service congestion means that the services in some areas are interrupted or congested for a long time on the unified gateway in the local office.

§Some media gateways fail to register with the network, for example, being disconnected immediately after they are registered.

§Calls are congested on some user terminals. For example, users fail to make or receive calls, and fail to hear the dial tone or busy tone after they hang up the phone.

§Calls are congested in some office directions. For example, users fail to make or receive calls.

Parent Topic: General Guideline


Fault Handling Principles and Process

This topic describes the principles and process of handling emergency faults.

Follow the principles below when handling an emergency fault:

·Restore services within a shortest-possible duration to minimize the fault impact.

The primary task is to restore the affected system functions.

·Collect in time the information required for locating a fault.

All necessary information must be collected and saved for subsequent fault analysis after the system recovery.

Based on the preceding principles, perform service restoration operations based on the following priority in descending order:

·Operations that are less time-consuming and have a higher probability of restoring services

·Operations that are less time-consuming and have a lower probability of restoring services

·Operations that are more time-consuming and have a higher probability of restoring services

Figure 1 illustrates the process of quickly handling an emergency fault for service restoration.

Figure 1 General troubleshooting process

Parent Topic: General Guideline


Fault Handling Process

This topic describes the process of handling an emergency fault.

Procedure

1.Check whether the device runs properly.

The fault of a hardware device causes service congestion. Therefore, ensure that the hardware device runs properly before handling any emergency fault. The methods used for checking hardware devices are as follows:

·Check whether the power supply of the unified gateway runs properly. That is, check whether the shelf and boards inside the shelf are powered on.

·By viewing the indicators or alarm information, check whether all the boards are functioning properly.

If the fault is a device fault, proceed to 2. If the fault is not a device fault, proceed to 4.

2.Handle the device fault.

If the system fails to work and you have confirmed that the unified gateway crashes, handle the fault immediately according to the predefined scheme. You can also follow the procedure in Handling a Device Crash or Handling a Board Crash.

3.Make sure that the fault is rectified.

After handling the emergency fault, verify that the fault has been rectified in the ways such as by the NMS, dial test and service verification. That is, verify that the device functions properly and the service recovers.

·If the fault is rectified, proceed to 7.

·If the fault is not rectified, proceed to 6.

4.Handle the service fault.

If the system fails to work and you have confirmed the service fault, handle the fault immediately according to the predefined scheme. You can also follow the procedure in Handling Global Service Congestion or Handling Partial Service Congestion.

5.Make sure that the fault is rectified.

·If the fault is rectified, proceed to 7.

·If the fault is not rectified, proceed to 6.

6.Obtain technical support.

If you fail to rectify the fault following the emergency fault handling process, collect related fault information and contact your service provider for technical support.

Note down the detailed fault handling operations you have performed, and ask your service provider to provide the new component(s) if required according to the warranty terms. In this way, the time for subsequent fault handling can be shortened.

7.Output a fault handling report.

After verifying that the fault has been rectified, record the fault handling process and output a fault handling report.

Parent Topic: General Guideline


Handling a Device Crash

Check the power supply of the shelf and the running status of the main control board in case of a device crash.

Context

Handle the fault according to the basic process shown in Figure 1.

Figure 1 Process of handling a device crash

Symptom

A device crashes in either of the following conditions:

·All indicators on the device are off.

·The system restarts repeatedly.

Procedure

1.Check whether the power supply is functioning properly.

Remove the power cable and re-insert it. Check whether the fault is recitified.

·If the fault is recitified, proceed to 4.

·If the fault is not recitified, proceed to the next step.

2.Check whether the main control board is functioning properly.

·Restart the system and view the ALM indicator status on the board panel.

·If the ALM indicator is off, the main control board is functioning properly. Proceed to 4.

·If the ALM indicator blinks, the main control board malfunctions. Proceed to the next step.

·Remove the faulty board and re-insert it. Check whether the fault is rectified.

·If the fault is rectified, proceed to 4.

·If the fault is not rectified, proceed to the next step.

·Remove the faulty board and insert a backup board.

To replace a board of the unified gateway, see Replacing a Board.

Check whether the fault is rectified.

·If the fault is rectified, proceed to 4.

·If the fault is not rectified, proceed to the next step.

3.Obtain technical support.

If you fail to rectify the fault following the emergency fault handling process, collect related fault information and contact your service provider for technical support.

4.Output a fault handling report.

Parent Topic: Quick Troubleshooting


Handling a Board Crash

Restart or replace the board in case of a board crash.

Context

A board mentioned in this topic does not refer to main control board. For details about how to handle an emergency fault of the main control board, see Handling a Device Crash.

Figure 1 shows the process of handling a board crash.

Figure 1 Process of handling a board crash

Symptom

A board crashes in any of the following conditions:

·The alarm center on the LMT displays fault alarm information about the board.

·The RUN indicator on the board panel is steady on or off.

·The board status is displayed as fault in the show board command output.

Procedure

1.Restart the faulty board.

For the unified gateway, run the reset board command to restart a board. For details, see Restarting Boards.

2.After the board starts up, observe the RUN indicator on the board panel.

If the RUN indicator blinks, the board is functioning properly. Proceed to 6. Otherwise, proceed to the next step.

3.Remove the faulty board and re-insert it. Check whether the fault is rectified.

·If the fault is rectified, proceed to 6.

·If the fault is not rectified, proceed to the next step.

4.Remove the faulty board and insert a backup board. Check whether the fault is rectified.

For details about how to replace a board of the unified gateway, see Replacing a Board.

·If the fault is rectified, proceed to 6.

·If the fault is not rectified, proceed to the next step.

5.Obtain technical support.

If you fail to rectify the fault following the emergency fault handling process, collect related fault information and contact your service provider for technical support.

6.Output a fault handling report.

Parent Topic: Quick Troubleshooting


Handling Global Service Congestion

Check whether the hardware device and the bearer network are functioning properly and whether the configuration data is correct when the global service is congested.

Context

When global service congestion occurs, you can rectify the fault by checking the hardware device, network, and configuration data in sequence. Figure 1 shows the process of handling global service congestion.

Figure 1 Process of handling global service congestion

Symptom

The global service is congested in any of the following conditions:

·All the media gateways cannot register successfully, for example, being disconnected immediately after they are registered.

·Calls are congested on all user terminals. For example, users fail to make or receive calls, or fail to hear the dial tone or busy tone after they hang up the phone.

·Calls are congested in all office directions. For example, users fail to make or receive calls.

Impact Scope

The service of the unified gateway in the local office is interrupted or congested globally for a long time.

Procedure

1.Check whether the unified gateway is functioning properly.

If the unified gateway is faulty, rectify the fault by referring to Handling a Device Crash.

2.Check whether the bearer network is functioning properly.

Use the ping command to check whether the unified gateway successfully communicates with the congested gateway. For details, see Checking Network Status.

If the communication between the unified gateway and the media gateway, terminals, or other switches is abnormal, handle the bearer network fault.

3.Check whether the global service congestion is caused by modification of configuration data.

When the unified gateway is running, do not modify configuration data. If configuration data is modified, the system may fail to work.

a.Choose Host Log > Call Log on the LMT.

b.Click Module Switch Configuration and select a module.

c.Check the module calling logs and the service operating process to locate the faulty module.

d.Click Operate Log and view the device operation logs. Specifically, check whether the fault occurs due to incorrect modification of the configuration data. If yes, restore the configuration data.

4.Check whether the fault is rectified.

a.If the fault is rectified, proceed to 6.

b.If the fault is not rectified, proceed to 5.

5.Obtain technical support.

If you fail to rectify the fault following the emergency fault handling process, collect related fault information and contact your service provider for technical support.

6.Output a fault handling report.

Parent Topic: Quick Troubleshooting


Handling Partial Service Congestion

Check whether the hardware device and the bearer network are functioning properly and whether the configuration data is correct when partial service is congested.

Context

When partial service congestion occurs, you can rectify the fault by checking the hardware device, network, and configuration data in sequence. Figure 1 shows the process of handling partial service congestion.

Figure 1 Process of handling partial service congestion

Symptom

Partial service is congested in any of the following conditions:

·Some media gateways fail to register with the network, for example, being disconnected immediately after they are registered.

·Calls are congested on some user terminals. For example, users fail to make or receive calls, and fail to hear the dial tone or busy tone after they hang up the phone.

·Calls are congested in some office directions. For example, users fail to make or receive calls.

Impact Scope

The services in some areas are interrupted or congested for a long time on the unified gateway.

Procedure

1.Check whether any board crashes.

If some boards of the unified gateway crash, handle the fault as described in Handling a Board Crash immediately.

2.Check whether the bearer network is functioning properly.

Use the ping command to check whether the unified gateway successfully communicates with the congested gateway. For details, see Checking Network Status.

If the communication between the unified gateway and the media gateway, terminals, or other switches is abnormal, handle the bearer network fault.

3.Check whether the partial service congestion is caused by modification of configuration data.

When the unified gateway is running, do not modify configuration data. If configuration data is modified, the system may fail to work.

4.Check whether the fault is rectified.

a.If the fault is rectified, proceed to 6.

b.If the fault is not rectified, proceed to 5.

5.Obtain technical support.

If you fail to rectify the fault following the emergency fault handling process, collect related fault information and contact your service provider for technical support.

6.Output a fault handling report.

Parent Topic: Quick Troubleshooting


Common Operations

This topic describes the common operations used for emergency fault rectification.

·Restarting Boards

·This topic describes how to restart a board.

·Restarting the System

·This topic describes how to restart the unified gateway system.

·Checking Network Status

·This topic describes how to check the network status using the ping command.

·Replacing Parts

·Learn about the basic process, safety precautions, and operation methods before replacing parts.

Parent Topic: Emergency Maintenance


Restarting Boards

This topic describes how to restart a board.

Preparations

·Use the save command to save the current configuration and service data to the flash memory.

·Choose BillConsole > Control bill transfer on the bill server. Ensure that the bill transfer status is Started.

Verification

After restarting the board, ensure that the ALM indicator is off.

Parent Topic: Common Operations


Restarting the System

This topic describes how to restart the unified gateway system.

Preparations

·Use the save command to save the current configuration and service data to the flash Memory.

·Choose BillConsole > Control bill transfer on the bill server. Ensure that the bill transfer status is Stop.

Methods

·Restarting the unified gateway system by running the reboot command

You can restart the system by running the reboot command in the following conditions:

§For rectifying a system fault

§For making the restored data take effect

·Restarting the unified gateway system using the web management system

§Log in to the web management system.

§Choose System Configuration > Device Management.

§Click Reboot next to System Reboot.

§Click OK to restart the unified gateway system.

·Restarting the unified gateway system by power cycling

If the system fault is severe, you can restart the system by power cycling (that is, powering it off and re-powering it on).

§Turn the power switch on the back panel of the unified gateway shelf to the OFF position.

§Ensure that the power cable is connected properly to the mains supply socket. Then, provide alternating current (AC) power or direct current (DC) power for the unified gateway.

§Turn the power switch on the back panel of the unified gateway shelf to the ON position.

Verify that the POWER indicator on the board panel is on.

·Restarting the unified gateway system by restarting all of the main control board

Parent Topic: Common Operations


Checking Network Status

This topic describes how to check the network status using the ping command.

Run the ping <a.b.c.d> -l <count> command on the command line interface (CLI) of a PC to check the network status.

1.Choose Start > Run and enter the cmd command in the Run dialog box.

2.Click OK. The CLI is displayed, as shown in Figure 1.

Figure 1 Cmd

3.Run the ping 172.16.15.155 command (172.16.15.155 is the IP address of the unified gateway) and press Enter. The network status information is displayed.

As shown in Figure 1, the network connectivity is functioning.

Parent Topic: Common Operations


Replacing Parts

Learn about the basic process, safety precautions, and operation methods before replacing parts.

·Overview

·Parts replacement is generally performed during device maintenance. It involves removing a faulty part from the running device and then installing a functional part to the device.

·Replacing a Board

·This topic describes the process of replacing a board.

·Replacing an SD Card

·MTU and SCU boards of X1911/X1960/X1981 both provide SD card slots for housing the SD cards. The SD card on the MTU board is used for storing VMS recording files, while that on the SCU board is used for storing system announcement files.

Parent Topic: Common Operations


Overview

Parts replacement is generally performed during device maintenance. It involves removing a faulty part from the running device and then installing a functional part to the device.

·Basic Process

·This topic describes the process of replacing parts.

·Safety Precautions

·Parts replacement is a critical maintenance task. To ensure your safety and device safety, read carefully the following safety precautions before performing the operation.

Parent Topic: Replacing Parts


Basic Process

This topic describes the process of replacing parts.

To ensure that the services provided by the unified gateway are not interrupted for users on the network, generally you need to replace the faulty parts of the unified gateway with power-on. In addition, to ensure the running safety of the unified gateway and minimize the impact on the services, replace the parts by strictly following the process shown in Figure 1.

Figure 1 Basic process of replacing parts

Confirming the Operation Feasibility

Before replacing a part, appraise the feasibility of the operation by considering the following aspects:

·The required spare part is available in the warehouse.

When the warehouse does not have any available spare part, contact OpenVox technical support engineers in time for assistance.

·You have the ability to perform the operation.

Parts replacement is carried out by qualified personnel only. That is, you must be familiar with the functions and roles of each unified gateway part, know the basic process of replacing a part, and master the basic skills of replacing a part.

·The risk can be minimized.

Parts replacement is an operation subject to potential risks. Before replacing a part, estimate whether the risks can be controlled by technical protective measures without powering off a device. You can replace a part only when the risk is controllable. If the risk is uncontrollable, contact OpenVox technical support engineers for assistance.

Obtaining the Spare Part and Tools

After confirming the operation feasibility, obtain the spare part and necessary tools. The frequently used tools are:

·Multimeter

·ESD wrist strap

·Phillips screwdriver

Replacing a Part

After taking technical protective measures, replace a part based on the procedure described in this manual.

Verifying the Function of the New Part

After replacing a part, verify the function of the new part. A replacement task is successful only when the new part functions properly. Otherwise, contact OpenVox technical support engineers for assistance.

Returning the Faulty Part for Repair

After replacing a faulty part, contact OpenVox technical support engineers for repair.

Parent Topic: Overview


Safety Precautions

Parts replacement is a critical maintenance task. To ensure your safety and device safety, read carefully the following safety precautions before performing the operation.

Mechanical Operation Safety

When replacing parts (for example, the fan tray), do not put your fingers or any tools into the rotating fan.

While replacing a part, do not apply excessive force, or pull out or insert a board forcibly. This may damage the equipment or the pins on the backplane, thereby causing short-circuit.

Device Running Safety

Complete the fan tray replacement within 5 minutes. Otherwise, the stable running of related services will be severely affected.

Service Running Safety

To avoid unexpected events, replace boards at the time (for example, 2:00 a.m) when the traffic is light in non-emergency cases.

ESD Measures

To guarantee board safety, employ dedicated ESD bags and boxes when transporting or storing boards.

Wear a well-grounded ESD wrist strap when holding, removing or inserting boards, and insert the ground end to the ESD jack of the shelf, as shown in Figure 1.

Figure 1 Wearing the ESD wrist strap

Unpacking Boards

Electronic circuit is vulnerable to the ESD. When handling a board, wear the ESD wrist strap that is properly grounded and touch only the edge of the board.

Boards are put into ESD bags in transportation. Before unpacking boards, take ESD measures. Moreover, note the effect caused by the ambient temperature and humidity. Generally, an ESD bag contains desiccant to absorb the moisture inside the bag. When a board is moved from a cold and dry place to a hot and damp place, wait at least 30 minutes before unpacking the board. Otherwise, the moisture condensed on the board surface may damage the board.

To unpack boards, do as follows:

1.Check the bag of each board for any damages.

2.Wear an ESD wrist strap and ground it properly.

3.Open each bag and check the board inside it for any damages.

Parent Topic: Overview


Replacing a Board

This topic describes the process of replacing a board.

Precautions

For the X1911/X1960/X1981, the devices and boards from V200R003C00 have different default internal IP network segments from those in earlier versions. Table 1 lists the differences (x in the table indicates the slot number).

Table 1 Differences between versions

Version | Default Internal IP Network Segment | How to Change the Internal IP Network Segment
Versions earlier than V200R003C00 | ·168.168.0.1x This network segment is a public IP network segment. Although I/O boards cannot directly communicate with the service/management network, it is recommended that their internal IP network segment be changed to the private IP network segment. ·168.168.255.255 Used in the broadcast network communication between boards. | When switching the internal IP network segment, the slot number needs to be specified. The switching operation needs to be performed on all existing I/O boards (excluding ASI and OSU) and active and standby control boards. ·Other models: config inner network ip <A.B.C.D> [slot <slot>]
V200R003C00 and later versions | 172.20.0.1x | The slot number does not need to be specified when the internal IP network segment is switched. ·Other models: config inner network ip <A.B.C.D>

If the internal IP network segment of existing boards on the device is different from that of a new board, the new board will fail to function properly due to an internal communication error. Before replacing a board, take appropriate approaches according to the device model to avoid a board failure after replacement.

·For the X1911/X1960/X1981, you do not need to switch the internal IP network segment before board replacement. The internal IP network segment of the new board will be automatically changed to the same as that of the control board.

·The internal IP network segment of the new board will be automatically changed to the same as that of the control board; otherwise, manually change the internal IP network segment of existing boards to 168.168.0.1x or 172.20.0.1x before board replacement.

·The internal IP network segment of boards cannot conflict with the IP network segment of any management or service network port on the device at any time. If conflict occurs, the system communication fails. If the communication failure occurs, you need to change the IP address of the network port by connecting to the device using the serial port.

·The internal IP network segment does not change after an upgrade from an earlier version to V200R003C00.

·If the status of a new board is displayed as Fault, run the reset board slot slot command to restart the board.

Confirming the Operation Feasibility

Before replacing a board on the device for rectifying a fault or maintaining the device, confirm the operation feasibility according to the following points:

·The spare board is available in the warehouse.

·You are familiar with the process of replacing the board.

Obtaining the Spare Part and Tools

After confirming the operation feasibility, obtain a spare board, an ESD wrist strap, and a Phillips screwdriver.

Confirming the Position of the Board to Be Replaced

Before removing the board to be replaced, confirm the slot where the board is installed. Locate the board, and attach a label to the board panel for identification.

Removing the Original Board

1.Remove cables from the board.

2.Use a screwdriver to loosen the captive screws on the board panel anticlockwise.

3.Turn the ejector lever outwards to loose the connection of the board connector from the backplane connector, as shown in Figure 1.

Figure 1 Removing the board (using X1960 as an example)

4.Remove the board along the guide rail.

5.Keep the board properly for repair.

Installing the New Board

1.Take the board out from an ESD bag.

2.Put the front end of the board into the slot where the old board is installed.

3.Insert the board along the guide rail, as shown in Figure 2.

Figure 2 Inserting the board (using X1960 as an example)

4.Turn the ejector lever inwards to securely connect the board to the backplane.

5.Use a screwdriver to fasten the captive screws clockwise and secure the board.

After replacement, ensure that the surface of the board is at the same plane as that of other boards.

6.Connect the cables to the newly installed board.

Checking the Running Status of the New Board

After being inserted into the shelf, the board automatically communicates with the main control board in the shelf. You can check whether the board is functioning properly by observing the indicator status. For details about how to check the indicators, see the Checking Equipment Indicators.

Returning the Faulty Board for Repair

After replacing the faulty board, contact OpenVox technical support engineers for repair.

Parent Topic: Replacing Parts


Replacing an SD Card

MTU and SCU boards of X1911/X1960/X1981 both provide SD card slots for housing the SD cards. The SD card on the MTU board is used for storing VMS recording files, while that on the SCU board is used for storing system announcement files.

Confirming the Operation Feasibility

Before replacing an SD card on the device for rectifying a fault or maintaining the device, confirm the operation feasibility according to the following points:

·The spare SD card is available in the warehouse.

·You are familiar with the process of replacing an SD card.

Obtaining the Spare Part and Tools

After confirming the operation feasibility, obtain a spare SD card, an ESD wrist strap, and a Phillips screwdriver.

Confirming the Position of the SD Card to Be Replaced

Before removing the SD card to be replaced, confirm the slot where the board that houses the SD card is installed, locate the board, and attach a label to the board panel for identification. The MTU and SCU boards each have two SD card slots. Figure 1 shows the available SD card slot.

Figure 1 Available SD card slot

Replacing the SD Card

1.Remove the board that houses the SD card to be replaced. For detailed operations, see Removing the Original Board.

2.Remove the SD card from the board, as shown in Figure 2.

Figure 2 Removing the SD card

3.(Optional) Format the SD card.

After you remove the SD card, it is recommended that you format it to avoid information leak.

a.Insert the SD card into the USB port of a PC through a card reader.

b.Choose Start > Computer. Right-click the SD card and choose Format.

c.After the SD card is formatted, remove it.

4.Take the new SD card out from an ESD bag, and insert it into the SD card slot of the board, as shown in Figure 3.

Figure 3 Replacing the SD card

5.Install the board back into the shelf.

Parent Topic: Replacing Parts


Collecting Fault Information

This topic describes how to collect fault information. The fault information is used for quickly locating an emergency fault.

·Fault Information Collection Template

·This topic describes the template used for collecting fault information.

Parent Topic: Emergency Maintenance


Fault Information Collection Template

This topic describes the template used for collecting fault information.

Fill out the Table 1 and submit the template to technical support engineers.

Table 1 Fault Information Collection Template

User Information | Name | -
 | Address or Office name | -
 | Phone number | -
System Information | Product software and hardware versions | -
 | Product network | -
 | Operating system | -
Scenario Information | Impact scope | Emergent/Common
 | Occurrence time | If the time when the fault occurred was a fixed time, provide the specific time.
 | Occurrence frequency | -
Detailed Fault Symptom | Error code/Prompt message/Icon | -
 | Other symptoms | -
Operations Performed Before the Fault Occurred | Device replacement | -
 | Device configuration change | -
 | Other operations | -
Fault Handling Measures and Effects | Whether the fault type is included in the manual | -
 | Fault type | -
 | Fault handling measures and effects | -

Parent Topic: Collecting Fault Information


Troubleshooting Guide

This chapter introduces the methods, processes and tools of troubleshooting.

·Overview

·This topic describes the fault categories, precautions to be taken during troubleshooting, fault sources, and troubleshooting process.

·Common Methods for Locating Faults

·The unified gateway provides several fault locating methods. The flexible combination of these methods can help improve the efficiency of fault locating.

·Login and Registration Faults

·This topic describes service principles and troubleshooting methods for login and registration faults.

·Call Faults

·Call faults include one-way audio, no voice, low call quality, call connection fault, digit sending and collection fault, number display fault, and prompt tone fault.

·Trunk Faults

·Use different methods for troubleshooting faults on different trunks.

·Service faults

·The troubleshooting method varies according to service category.

·System Device Faults

·System device faults usually occur in the power supply system or during the upgrade.

·License Faults

·This topic describes service principles and troubleshooting methods for X1900 license faults.

Parent Topic: Fault Management


Overview

This topic describes the fault categories, precautions to be taken during troubleshooting, fault sources, and troubleshooting process.

·Fault Level

·Depending on the impact and scope of the fault, faults are classified as either emergency faults or ordinary faults.

·Fault Categories

·The troubleshooting method varies according to fault category.

·Precautions

·Before locating and troubleshooting faults, maintenance personnel must read and comply with the relative precautions.

·Fault Sources

·Fault sources help you how to obtain the occurring or occurred fault.

·Troubleshooting Process

·Before proceeding, learn the basic troubleshooting process.

Parent Topic: Troubleshooting Guide


Fault Level

Depending on the impact and scope of the fault, faults are classified as either emergency faults or ordinary faults.

Emergency faults refer to those that occur suddenly and affect a wide range of services or devices. Emergency faults, such as host breakdown and global service congestion, seriously affect network operations and the quality of service (QoS).

The following faults are emergency faults:

·All or the most majority of unified gateway functions are unavailable.

§A single board or all boards are unavailable.

§The unified gateway is powered off.

·All unified gateway services are globally interrupted for a long time or calls are congested.

§None of the media gateways can register with the network, for example, a media gateway is disconnected immediately after it is registered.

§Calls are congested at all user terminals. For example, users cannot make or receive calls, or cannot hear the dial tone or busy tone after picking up the phone.

§Calls are congested at all office directions. For example, users fail to make or receive calls.

·Some unified gateway services are interrupted for a long time or calls are congested.

§Some media gateways fail to register with the network, or disconnect immediately after they are registered.

§Call congestion occurs in some user terminals. For example, users cannot make or receive calls, or cannot hear the dial tone or busy tone after picking up the phone.

§Call congestion occurs in some office directions. For example, users fail to make or receive calls.

Ordinary faults refer to those faults that are not emergency faults. The policies for locating and rectifying faults and the applicable reference documents are different for emergency and ordinary faults.

Table 1 Policies for locating and rectifying faults

Fault Level | Processing Policy | Reference
Ordinary fault | Locate and rectify the fault immediately. | Troubleshooting Guide
Emergency fault | Restore the service that has been affected as soon as possible, and then find the root cause of the fault. | Emergency Maintenance

Parent Topic: Overview


Fault Categories

The troubleshooting method varies according to fault category.

Currently, unified communications solution faults of OpenVox are classified into the following categories:

·Call Faults

·Trunk Faults

·Service faults

·System Device Faults

Parent Topic: Overview


Precautions

Before locating and troubleshooting faults, maintenance personnel must read and comply with the relative precautions.

·Receive training before troubleshooting faults to gain knowledge about operational regulations and industry security regulations.

·Understand basic operational skills and emergency handling techniques for the equipment.

·Take ESD measures, for example, wear ESD wrist straps, when replacing and maintaining device parts.

·Record original information in detail when any problem occurs during troubleshooting, such as troubleshooting step, symptom description, alarm information and log information.

·Record all major operations, such as system restart and software loading. Confirm the feasibility of an operation before performing it. Do not attempt any operation before taking proper backup, emergency, and security measures.

·Modify the data under authorization and control. Back up the data before modifying it, and record the modified content.

·Never run third-party software to query or modify the database.

Parent Topic: Overview


Fault Sources

Fault sources help you how to obtain the occurring or occurred fault.

User Complaints

When receiving a complaint from a user, ask the user to:

1.Describe the fault symptom.

2.Check the parameter settings.

3.Use the LMT to capture related logs and send the logs to the service provider.

Routine Maintenance

Routine maintenance is a type of preventive maintenance that is periodically performed by maintenance engineers during the normal operation of the device to promptly detect and rectify potential faults.

During routine maintenance, the operations to be performed include but are not limited to:

·Checking whether an alarm is reported.

·Checking whether the device is properly grounded.

For details, see Administrator Guide.

Alarm Information

Device alarms reflect a device's running status. When a major or critical alarm is reported, the device is faulty or potentially faulty and must be cleared immediately.

The alarm information includes the following:

·The board is faulty.

·The CDR pool is full.

·The trunk link is faulty.

·The network is faulty.

·The E1/T1 trunk is faulty.

You can use the LMT to view the meaning, possible causes, and handling method of an alarm. For details, see Alarm Analysis.

Parent Topic: Overview


Troubleshooting Process

Before proceeding, learn the basic troubleshooting process.

Figure 1 shows the overall troubleshooting process.

Figure 1 Troubleshooting process

Table 1 Overall troubleshooting process

Operation | Description
Analyze the fault symptom. | Determine the fault type and level according to the fault symptom.
Determine whether the fault is a common fault. | Determine whether the fault is a common fault or an emergency fault according to the fault symptom.
Perform emergency maintenance. | Find the fault cause and take proper measures to handle the fault by referring to Emergency Maintenance.
Refer to the troubleshooting cases to handle the fault. | Find the fault cause and take proper measures to handle the fault by referring to the troubleshooting cases.
Check whether the fault is rectified. | After the fault cause is determined and proper measures are taken, check whether the fault is rectified.
Collect fault information and obtain technical support. | If the fault cannot be rectified using methods described in this manual, obtain sufficient fault source information, fill out the Filling in the Fault Information Collection Template, and ask your service provider for technical support.

Parent Topic: Overview


Common Methods for Locating Faults

The unified gateway provides several fault locating methods. The flexible combination of these methods can help improve the efficiency of fault locating.

·Call Analysis

·This topic describes how to analyze the process of a call made through the SIP/PRA/R2/SS7/QSIG trunk.

·Alarm Analysis

·An alarm is an important sign for a fault or an event. Alarms help detect faults in a timely manner, and provide suggestions for troubleshooting.

·Network Analysis

·Using the ping command to view the status of network connection, delay time and loss package.

·SIP Responses

·

Parent Topic: Troubleshooting Guide


Call Analysis

This topic describes how to analyze the process of a call made through the SIP/PRA/R2/SS7/QSIG trunk.

Parent Topic: Common Methods for Locating Faults


Alarm Analysis

An alarm is an important sign for a fault or an event. Alarms help detect faults in a timely manner, and provide suggestions for troubleshooting.

The priority for rectifying faults depends on the alarm severity.

·Critical: global alarms that seriously affect device operations. For example, a power supply fault, critical alarms must be handled immediately; otherwise, the system may crash.

·Major: board or physical circuit alarms that occur in a certain scope. For example, the fault of the physical circuit, major alarms must be handled immediately; otherwise, the services cannot run normally.

·Minor: general faults or event alarms that describe the working status of each board or physical circuit. You must locate the cause to remove potential problems.

·Warning: prompt message. For example, a message indicating that a device has been restored, warning alarms do not affect system performance and services. No action is required.

If the LMT is used, the alarm severity is displayed in the alarm window.

The procedure for handling an alarm is as follows:

1.Find the critical and major alarms among all alarms.

2.View the cause of each alarm and handle the alarm.

3.Verify that the alarm is cleared.

·If the alarm is cleared, the fault is rectified.

·If the fault is not rectified, find out other possible causes.

To view alarms, use the observe the indicators.

·Observe the unified gateway indicators to obtain alarm information. Table 1 describe the indicators.

Table 1 Alarm indicators

Indicator | Color | Status Description
ALARM | Red | For SCU/CVP boards: ·Blinking: An alarm is being reported while the system is running. ·Off: No alarm is being reported. For other boards: ·Blinking: The board is starting, or the user does not add the board by using a command after the unified gateway has started. ·Off: The board is running normally.

Parent Topic: Common Methods for Locating Faults


Network Analysis

Using the ping command to view the status of network connection, delay time and loss package.

Run the ping <a.b.c.d> -n <count> command in the command line interface of a personal computer to check the network status.

1.Choose Start > Run, and then enter the cmd command in the Run dialog box.

2.Click OK to display the CLI, as shown in Figure 1.

Figure 1 Cmd

3.Enter ping command to check the network status. The abnormal network status is shown in Figure 1.

If you use the data service, suck as fax. See Table 1 to check whether the network meet the requirement.

Table 1 IP bearer network quality

Network Quality | One-Way Delay (ms) | Packet Loss Rate | Jitter (ms)
Good (recommended) | ≤40 | ≤0.1% | ≤10
Poor | ≤100 | ≤1% | ≤20
Terrible | ≤400 | ≤5% | ≤60

Table 2 lists the data service usage that is available based on the IP bearer network quality.

Table 2 Data service usage

Service Type |  | Good | Poor | Terrible
Fax | Transparent transmission (G.711a/u) | Available | Unavailable | Unavailable
 | T.38 | Available | Available | Unavailable
Modem | Transparent transmission (G.711a/u) | Available | Unavailable | Unavailable

Parent Topic: Common Methods for Locating Faults


SIP Responses

Viewing SIP response codes is an important phase of signaling analysis. You can quickly locate faults based on SIP response codes in the signaling process.

A response code contains three digits. The first digit indicates the response type, and the other two digits further explain the response code in detail. The following table describes the response code types and description. Those in bold are common response codes that you need to pay attention to.

Table 1 Description of SIP responses

Message Type | Description | Status Code | Function
1xx | Call progress response, which indicates that a request has been received and is being processed. | 100 | Trying
 |  | 180 | Ringing
 |  | 181 | Call Is Being Forwarded
 |  | 182 | Queued
 |  | 183 | Announcement Playback
2xx | Success response, which indicates that a request has been accepted and processed. | 200 | OK
3xx | Redirection response. A further action is required to complete a request. | 300 | Multiple Choices
 |  | 301 | Moved Permanently
 |  | 302 | Moved Temporarily
 |  | 303 | See Other
 |  | 305 | Use Proxy
 |  | 380 | Alternative Service
4xx | Client error response, which indicates that a request message contains a syntax error or the SIP server cannot process the request message. | 400 | Bad Request
 |  | 401 | Unauthorized
 |  | 402 | Payment Required
 |  | 403 | Forbidden
 |  | 404 | Not Found
 |  | 405 | Method Not Allowed
 |  | 406 | Not Acceptable
 |  | 407 | Proxy Authentication Required
 |  | 408 | Request Timeout
 |  | 410 | Gone
 |  | 412 | Conditional Request Failed
 |  | 413 | Request Entity Too Large
 |  | 414 | Request-URI Too Long
 |  | 415 | Unsupported Media Type
 |  | 416 | Unsupported URI Scheme
 |  | 420 | Bad Extension
 |  | 421 | Extension Required
 |  | 423 | Session Interval Too Small
 |  | 480 | Temporarily Unavailable
 |  | 481 | Call/Transaction Does Not Exist
 |  | 482 | Loop Detected
 |  | 483 | Too Many Hops
 |  | 484 | Address Incomplete
 |  | 485 | Ambiguous
 |  | 486 | Busy Here
 |  | 487 | Request Terminated
 |  | 488 | Not Acceptable Here (mainly media incompatibility)
 |  | 491 | Request Pending
 |  | 493 | Undecipherable
5xx | Server error response, which indicates that the SIP server cannot process messages due to a server error. | 500 | Server Internal Error
 |  | 501 | Not Implemented
 |  | 502 | Bad Gateway
 |  | 503 | Service Unavailable
 |  | 504 | Server Time-out
 |  | 505 | Version Not Supported
 |  | 513 | Message Too Large
 |  | 580 | Precondition Failure
6xx | Global error response, which indicates a request cannot be fulfilled on any SIP servers. | 600 | Busy Everywhere
 |  | 603 | Decline
 |  | 604 | Does Not Exist Anywhere
 |  | 606 | Not Acceptable

Parent Topic: Common Methods for Locating Faults


Login and Registration Faults

This topic describes service principles and troubleshooting methods for login and registration faults.

·

·IP Phone

·

·Analog Phone Directly Connected to the Unified Gateway

·

·Analog Phone Under the IAD

·

Parent Topic: Troubleshooting Guide


Navigation: Fault Management > Troubleshooting Guide > Login and Registration Faults >

Return to chapter overview

IP Phone

·Principle

·

·Troubleshooting

·

Parent Topic: Login and Registration Faults


Principle

IP phones register with the X1900 unified gateway through the IP network.

Click to enlarge

1.SIP numbers are allocated on the X1900 unified gateway.

2.The IP address and port number of the X1900 unified gateway (that is, the SIP server) and the number are configured on the IP phone.

3.The IP phone sends a registration request to the X1900 unified gateway.

Interactions Between the IP Phone and the X1900 Unified Gateway

Click to enlarge

IP Phone Registration Process

1.The IP phone sends a registration request to the X1900 unified gateway (that is, the SIP server).

The request message contains the SIP number as well as the IP address and port number of the IP phone.

Regardless of the authentication mode for the SIP number, the request message does not contain the authentication information when the IP phone initiates registration for the first time.

Click to enlarge

2.The X1900 unified gateway, according to the To header field in the registration request, checks whether the SIP user information stored on the control board contains this SIP number.

·If the SIP number does not exist, the X1900 unified gateway returns a "404 Not Found" message.

·If the SIP number exists, a binding relationship between the SIP number (IP phone number) and the X1900 unified gateway is set up.

3.The X1900 unified gateway determines whether this SIP number requires authentication according to the parameter settings of the SIP number.

The authentication mode is set during SIP number configuration on the X1900 unified gateway or BMU.

·No authentication

The X1900 unified gateway returns a 200 OK message, and the IP phone registration is successful. This mode has security risks and is not recommended.

·Authentication by IP address

The X1900 unified gateway matches the IP phone's IP address in the registration request's Contact header field with its trusted IP address. If they are matched, the X1900 unified gateway returns a 200 OK message; otherwise, the X1900 unified gateway returns a 403 Forbidden message, and the authentication fails.

·Authentication by password

1. The X1900 unified gateway returns a 401 Unauthorized message, asking the IP phone to send a registration request that carries the authentication information.

Click to enlarge 2. The IP phone sends a registration request that carries the authentication information.

Click to enlarge

3. The X1900 unified gateway uses an irreversible encryption algorithm to check whether the ciphertext sent by the IP phone is the same as that stored on the unified gateway. If yes, the authentication is successful and the X1900 unified gateway returns a 200 OK message. If no, the authentication fails and the X1900 unified gateway returns a 403 Forbidden message.

The ciphertext sent by the IP phone and that stored on the unified gateway are both a string of characters that consist of the following fields encrypted using the MD5 algorithm: user number, password, and realm and nonce strings in the message. "Irreversible" means that others cannot deduce the password from this string of characters reversely.

Click to enlarge

·Authentication by password and IP addressBoth the IP address and the password are used for authentication.

Checking the Registration Status

Checking the registration status of IP phone users on the X1900 unified gateway

Log in to the web management system of the X1900 unified gateway as an administrator. Choose User > SIP User. In the Start Number text box, enter the number to query, for example, 81000, and click Search.

Click to enlarge

Status description:

·Idle: normal state

·Fault: not logged in

·If the number to query is not configured, no status is displayed.

Checking the registration status on the IP phone

Log in to the IP phone. Choose Advanced > Account to check the registration status.

Click to enlarge

Recommended SIP registration period

On the IP phone management web page, the path for setting the parameter is: SIP Registration Cycle under Advanced > SIP Signaling.

In a two-node active/standby network, IP phones updates registration information to the standby node when the active node is faulty. Because the unified gateway receives a limited number of terminal registration requests every second, it is recommended that you set the IP phone registration period based on the terminal user capacity size, as shown in Table 1.

Table 1 Recommended SIP registration period

User Capacity Range | 10000~20000 | 5000~10000 | 1000~5000 | 500~1000 | 100~500 | 0~100
Recommended SIP registration period | 1200s | 600s | 360s | 300s | 240s | 150s

Sequential Registration vs. Simultaneous Registration

·Sequential registration:

The IP phone sends registration messages to a SIP server at intervals of half of the registration interval. If the IP phone fails to register with the active SIP server, the IP phone registers with the standby SIP server. If the registration also fails, the IP phone registers with the local SIP server. Services are interrupted during the SIP server switching. After the IP phone registers with a SIP server successfully, its services become available again.

Services configured on the IP phone, for example, do not disturb, will be synchronized to the active SIP server and standby SIP server, but not to the local SIP server. The local SIP server is only used for local survival and ensures only basic voice calling.

It is only used sequential registration in the UC2.X network environments.

After the IP phone is connected to the unified gateway, the connection information is automatically refreshed once every half of the registration interval to prevent connection timeout. If the connection times out, the unified gateway cancels its binding relationship with the SIP number, which will cause the faulty state of the SIP number.

·Simultaneous registration:

The IP phone registers with the active, standby, and local SIP servers at the same time. If the active SIP server fails, the standby SIP server takes over the services. If the standby SIP server also fails, the local SIP server takes over the services. The switching takes about 3s, which cannot be perceived by users. After the switching, services are running properly.

Simultaneous registration is used in the UC2.0 network environments.

Configuring the registration mode:

Access the web page of the IP phone as an administrator, and choose Advanced > Server.

Click to enlarge

In the configuration file of the IP phone, locate the DisasterRecoveryMode parameter in the Device > ComCfg > Phone > Environment path, and set the value to 0 (sequential) or 1 (simultaneous).

Parent Topic: IP Phone


Troubleshooting

Let's come to the possible causes and troubleshooting methods for the IP phone login failure.

Possible Causes

Click to enlarge

Troubleshooting Methods

1.Check the network connectivity by running the ping command.

2.Check whether the user account, password, and the IP address and port number of the registrar SIP server are correctly configured on the IP phone.

3.Check whether the user number is configured on the X1900 unified gateway. If it is configured, check its status.

4.Check whether a functional IP phone can be successfully registered using the same number.

5.Check whether the X1900 unified gateway allows registration of third-party IP phones.

6.Capture messages of the X1900 unified gateway.

Troubleshooting Common Faults

Fault 1: connection issues

Verify that the network cable is connected to the LAN port, not the PC port, of the IP phone.

Figure 1 Cable connections of the IP phone

Click to enlarge

Fault 2: network configuration error

1.The registration fails after the static IP address is configured on the IP phone.

If the IP phone uses the static IP address, verify that the IP address, subnet mask, and gateway address are correct.

On the Apps > Status > Network > IPv4 Network Status screen, configure the IP address, subnet mask, and gateway address.

2.If multiple IP phones cannot obtain IP addresses, verify that the DHCP server functions properly.

Possible Cause | Solution
The IP phone is disconnected from the SIP server. (The VLAN or 802.1x parameters are incorrectly set.) | On the phone login screen, choose Advanced > Network > Access, and set correct VLAN or 802.1x parameters.
If the IP phone is properly connected to the SIP server, the DNS server address is not configured on the IP phone when the SIP server address is in domain name format. | Enter the correct DNS server address.

Fault 3: incorrect user password

A password error message is displayed during IP phone login, or the registration fails.

Verify that the user password is correctly configured on the IP phone.

In the web management system of the unified gateway, choose User > SIP User. On the page that is displayed, click Click to enlarge next to the password and change the password.

Click to enlarge

Fault 4: incorrect IP address and port number of the SIP server

On the Apps > Advanced > Servers > SIP Server screen of the IP phone, verify the IP address and port number of the SIP server.

·SIP Server: Enter the IP address of the unified gateway.

·Port: Use the default port number 5060.

Fault 6: incorrect user number configuration

The user number is not configured on the X1900 unified gateway.

·The number does not exist according to the query result on the X1900 unified gateway.

[% UScale X1930(config)]#show subscriber dn 6005
dn doesn't existed

·According to the packets captured using Wireshark or SIP signaling traced using the LMT, the unified gateway responds with a "404 Not Found" message, indicating that the user does not exist.

For details about packet capture using Wireshark, see Capturing Packets Using Wireshark to Analyze the Registration Process.

For details about SIP signaling tracing using the LMT, see Tracing Registration Messages Using the LMT.

Figure 2 Packets captured using Wireshark

Click to enlarge

Fault 7: incorrect networking mode selected

On the Apps > Advanced > Servers > Network Environment screen of the IP phone, verify that the networking mode is correctly configured.

The network environment for the IP phone used in UScale EC V200R002/V200R003 must be UC2.X. If UC2.0 is selected, the IP phone will encounter a login failure.

Fault 8: Third-party IP phones are not allowed to register according to the software parameter settings.

Check whether the X1900 unified gateway allows registration of third-party IP phones, which is controlled by software parameter 286.

When the value of software parameter 286 is 1, the X1900 unified gateway does not allow registration of third-party IP phones. When the value is 0, the X1900 unified gateway allows registration of third-party IP phones.

Capturing Packets Using Wireshark to Analyze the Registration Process

1.Enable port mirroring on the IP phone.

Access the IP phone web page as an administrator, and choose Advanced > Others. On the page that is displayed, enable port mirroring.

2.Connect the PC where the Wireshark software is installed to the PC port of the IP phone.

3.Start Wireshark.

4.Filter data packets, with the filtering criteria being SIP.

Click to enlarge

5.Use Call-ID to filter packets.

Click to enlarge

6.Choose Statistics > Flow Graph. In the dialog box that is displayed, click OK.

Click to enlarge

Error Code Reference

The following table describes the error codes that the X1900 unified gateway may return in response to the IP phone registration faults.

Error Code | Meaning | Description | Solution
401 | Unauthorized | The X1900 unified gateway asks the IP phone to send a registration request that carries the authentication information. | No action is required. The IP phone will send such a registration request automatically.
403 | Forbidden | The server supports but refuses the request. The possible causes are as follows: 1.Authentication by IP address or password fails. 2.The server does not allow registration of third-party IP phones. 3.The server does not allow preempted number registration. | 1.Verify that the IP address or password of the IP phone is correctly configured. 2.Set the value of software parameter 286 to 0. 3.Check whether the number has been registered.
404 | Not Found | The user number does not exist in the domain specified by Request-URI. | Verify the user number configuration.
407 | Proxy Authentication Required | The X1900 unified gateway asks the proxy to send a registration request that carries the authentication information. | No action is required. The proxy will send such a registration request automatically.
408 | Request Time-out | The request times out. For example, an IP phone registers with the X1900 unified gateway through the SBC, but the registration interval of the IP phone is longer than the keep-alive period of the corresponding port on the SBC. When the IP phone registration is refreshed, the port is unavailable, causing the IP phone registration failure. | Shorten the registration interval of the IP phone.

Parent Topic: IP Phone


Analog Phone Directly Connected to the Unified Gateway

·Principle

·

·Troubleshooting

·

Parent Topic: Login and Registration Faults


Principle

Login and registration do not apply to analog phones.

After numbers are configured on the X1900 unified gateway, the analog phones can be used once they are connected to the X1900 unified gateway.

Click to enlarge

The ASI/OSU boards on the X1900 unified gateway are used to connect analog phones.

·Each ASI board provides 32 FXS ports for connecting 32 analog phones.

·Each OSU board provides 12 FXS ports for connecting 12 analog phones. It also provides 12 FXO ports, which are used to connect analog trunks.

On the X1900 unified gateway, a POTS number is configured for each FXS port and the analog phones are directly connected to these FXS ports using phone cables (high-density subscriber cables).

The analog phone number is the POTS number of the corresponding FXS port.

A high-density subscriber cable consists of four cable clusters, with each cluster bundled with blue or orange adhesive tapes. Each cable cluster has eight twisted pairs, and each pair has two cores in different colors. Each pair corresponds to an FXS port. You can identify the mappings between twisted pairs and FXS ports by color, based on which you can know the analog phone numbers.

Figure 1 Pin assignments of a high-density subscriber cable

Click to enlarge

Parent Topic: Analog Phone Directly Connected to the Unified Gateway


Troubleshooting

Now, let's see how to rectify the faults that may occur when analog phones are directly connected to the X1900 unified gateway.

Possible Causes

Click to enlarge

Troubleshooting Methods

1.Check whether the phone cable (high-density subscriber cable) encounters problems.

·Check whether the cable is disconnected.

·Check whether the analog phones on all ports connected to the cable have no response upon off-hook. If yes, the fault may be caused by the cable or unified gateway.

2.Connect a functional analog phone to the port that encounters the fault, and check whether the fault is caused by the phone.

3.Check whether the unified gateway functions properly.

4.Check whether the POTS number for the corresponding port is configured on the unified gateway.

Parent Topic: Analog Phone Directly Connected to the Unified Gateway


Navigation: Fault Management > Troubleshooting Guide > Login and Registration Faults >

Return to chapter overview

Analog Phone Under the IAD

·Principle

·

·Troubleshooting

·

Parent Topic: Login and Registration Faults


Principle

Analog phones are connected to the IAD using phone cables, and the IAD is then connected to the X1900 unified gateway using a network cable.

Click to enlarge

For the X1900 unified gateway, IADs are SIP terminals, just like IP phones. SIP numbers configured on the X1900 unified gateway are then configured on the IAD, and the IAD interacts with the unified gateway over the IP network.

The interaction between the IAD and the X1900 unified gateway is similar to that between the IP phone and the unified gateway.

Numbers corresponding to the FXS ports are configured on the IAD, and they have a one-to-one mapping relationship with the SIP numbers configured on the X1900 unified gateway. During a call, the IAD converts analog signals sent from the analog phone into digital signals, and sends the digital signals to the X1900 unified gateway. The interaction between the IAD and the analog phone here is similar to that between the unified gateway and the analog phone that is directly connected to the unified gateway.

The Register message sent from the IAD to the X1900 unified gateway carries the user ID (corresponding to the SIP user on the X1900 unified gateway) and the IP address of the IAD. The X1900 unified gateway uses these two parameters to uniquely identify a

The Contact header field carries the user ID as well as the IP address and port number of the IAD, the value of Expires is the registration interval, and the User-Agent header field carries the IAD version information.

Parent Topic: Analog Phone Under the IAD


Troubleshooting

The method of rectifying the fault that the analog phone fails to register with the IAD is the same as the method of rectifying the fault in the scenario where the analog phone is directly connected to the unified gateway.

Here, we just focus on the faults that may occur during the interaction between the IAD and the unified gateway.

Possible Causes

Click to enlarge

Troubleshooting Methods

Enable port mirroring on the IAD, and use Wireshark to trace the SIP messages exchanged between the IAD and the X1900 unified gateway.

Command to enable port mirroring on the IAD: monitor 1 observing-port 2

This command is used to enable the function of copying data from network port 1 (source port) to network port 2 (destination port).

·If the IAD sends registration messages, check the response messages on the X1900 unified gateway.

Click to enlarge

·If the IAD does not send registration messages, check whether local switching is enabled on the IAD or whether the number is deregistered.

Troubleshooting Common Faults

Fault 1: connection issues

Verify the network cable connection between the IAD and the unified gateway.

Verify the cable connection between the IAD and the analog phone.

Fault 2: The corresponding number is not configured.

Verify that the corresponding SIP number is configured on the unified gateway.

Verify that the SIP number is configured on the corresponding port of the IAD.

Fault 3: The user number has been registered on another device.

Rectifying the fault by referring to "Fault 8: The user number has been registered" in Troubleshooting Common Faults.

Fault 4: Local switching has been enabled on the IAD.

When disconnected from the unified gateway, the IAD automatically enters the local switching state.

When the network between the IAD and the unified gateway recovers, the IAD does not initiate registration to the unified gateway but stays in local switching state.

Log in to the web management system of the IAD, and choose Basic Configuration > Local Switch. On the page that is displayed, disable local switching.

Click to enlarge

Fault 5: The number on the IAD has been deregistered.

Run the undo sip shutdown {all | <user-SN>} command to cancel the number deregistration operation.

Fault 6: The control protocol used by the IAD for interacting with the unified gateway is different from that used by the unified gateway.

The IAD can interact with the unified gateway using either the MGCP or SIP protocol.

Log in to the web management system of the IAD, and choose Advanced Configuration > Protocol Mode. On the page that is displayed, change the protocol to be the same as that configured on the unified gateway.

Click to enlarge

Fault 7: The SIP user authentication mode configured on the IAD does not match the configuration on the connected network.

A network to which the IAD is connected authenticates users either by user ID or by user name.

The authentication mode relies on the telecom carrier of the network. The IMS network uses authentication by user name. For other networks, authentication by user ID is generally used.

Log in to the web management system of the IAD, and choose SIP Service Configuration > Soft Parameter. On the page that is displayed, change the authentication mode to be the same as that configured on the connected network.

Click to enlarge

Parent Topic: Analog Phone Under the IAD


Call Faults

Call faults include one-way audio, no voice, low call quality, call connection fault, digit sending and collection fault, number display fault, and prompt tone fault.

·Background

·This topic describes the call process, which helps locate and rectify faults.

·Methods for Locating Call Faults

·

·Only One Party Can Hear the Peer Voice

·This topic describes how to troubleshoot a fault that only one party can hear the peer voice. Symptom

·Calling Party and Called Party Cannot Hear Each Other

·This topic describes how to troubleshoot a fault that calling party and the called party can not hear each other.

·Volume Is Low or High

·This topic describes how to troubleshoot the low volume or the high volume.

·Noise in the Line

·This topic describes how to troubleshoot the noise in the line.

·Voice Is Intermittent

·This topic describes how to troubleshoot the voice intermittent.

·Call Connection Abnormally

·This topic describes how to troubleshoot the call connection faults.

·Sending and Collecting Digits Fail

·This topic describes how to troubleshoot a fault that causes failure to send and collect digits.

·Number Is Displayed Abnormally

·This topic describes a fault that causes number display abnormally.

·Local Calls Failed While Toll Calls Were Successful

·This topic describes how to rectify the fault when local calls failed while toll calls were successful.

·Voice Prompt Faults

·This topic describes how to troubleshoot voice prompt faults.

·A Caller Hears the Voice Prompt That The number you dialed does not exist When Calling an Intra-Office User

·This topic describes how to troubleshoot a fault that a caller hears the voice prompt that "The number you dialed does not exist".

Parent Topic: Troubleshooting Guide


Background

This topic describes the call process, which helps locate and rectify faults.

Call Process

Figure 1 show the call process of the unified gateway.

Figure 1 Call process

Module Functions

The following describes the functions of related modules.

·CCM

The CCM analyzes numbers that are dialed by users, initiates calls to users or trunks, and controls the entire call connection process.

Figure 2 shows the number analysis process.

Figure 2 Number analysis process

·SAM involves USAM and TSAM.

§USAM

The USAM, an abstract module for user services, implements the call connection for intra-office users and carries services.

§TSAM

The TSAM, an abstract module for trunk services, processes trunks.

Parent Topic: Call Faults


Methods for Locating Call Faults

This topic describes how to rectify basic voice call faults, for example, call failures and exceptions.

Figure 1 Method for locating call faults

Click to enlarge

Checking the Network Status

Use the ping command to check the network status, delay, and packet loss between the unified gateway and phone.

Checking the Phone Registration Status

The announcement "Sorry, the number you dialed cannot be reached at this time due to line faults." is played when you make a call if the registration status of the called party's phone is abnormal.

·Check the registration status of an IP phone.

·Pick up the phone to check whether the announcement is correct.

The IDLE state indicates that phone registration status is normal.

For details about how to rectify the phone registration failure, see the first special theme "Login and Registration."

Dialing *125 to Query the Local Phone Number

Dial *125 on phone A. The announcement "Your number is xxx." is played properly, which indicates the following:

·The phone and gateway are corrected properly.

·The gateway plays the announcement properly; that is, the gateway status is normal.

The announcement "Your number is xxx." is played by the unified gateway to phones. If announcement playback is abnormal, the status of the media resource board on the gateway is abnormal.

Checking the Gateway License Status

License exceptions or expiration causes call failures.

Log in to the web management system of the UScale X1900 unified gateway as the administrator, choose System > License Information, and view information about the unified gateway license.

Figure 2 License information

Click to enlarge

The license State should be Valid, and Run LeftDays should not be 0.

Checking the Media Resource Board Status

The media resource module of the UScale X1900 unified gateway is located in the media trunk unit (MTU) and responsible for functions listed in the following figure.

Click to enlarge

When receiving an INVITE message, the unified gateway sends an instruction to the MTU based on the judgment result to instruct it to play the corresponding signal tone.

If the MTU status is abnormal, announcements will fail to be played.

Table 1 Announcement playback types

Terminal | Announcements Stored On | Off-Hook Dialing Tone | Ring Tone | Ring Back Tone (Default) | Ring Back Tone (RBT) | Voice Service Announcement
IP phone | Phone | Played by the phone | Played by the phone | Played by the phone | Played by the gateway | Played by the gateway
POTS phone | Unified gateway | Played by the gateway | Played by the gateway | Played by the gateway | Played by the gateway | Played by the gateway

Check the MTU status as follows:

1.Log in to the web management system of the UScale X1900 unified gateway as the administrator.

2.Choose Resource > Board Status, and check the MTU status indicator.

Alternatively, you can run the show board command.

If board faults or alarms exist, rectify them in a timely manner.

Checking the Prefix Configuration

The announcement "Sorry, the number you dialed does not exist. Please check the number and dial again." will be played if no called prefix is configured. Incorrect call attributes of a prefix will also cause call failures.

Log in to the web management system of the UScale X1900 unified gateway, choose Trunk > Prefix Configuration, check whether the called prefix exists, and check call attributes of the prefix. The intra-office call attribute should ne inter, and the outgoing call attribute should be Local, DDD, or IDD.

Alternatively, you can run the show prefix dn command to query the prefix.

Checking Whether the Called Number Exists

1.Log in to the web management system of the UScale X1900 unified gateway as the administrator.

2.Choose User > SIP User or User > POTS User, and check whether the called number exists. If no, click Create to configure the called number.

Checking the Number Call Permissions

If the calling number does not have the outgoing call permission or the called number does not have the corresponding incoming call permission, call failures occur.

1.

Disable the DND service for the called number, and check whether the call function is normal.

·Pick up the phone and dial #56#. An announcement is played, indicating that the service is deregistered successfully.

·Alternatively, press the DND softkey on the lower screen of the IP phone for which DND is enabled to deregister DND. DND enabled is no longer displayed on the lower screen of the IP phone.

Checking the System Blacklist and Whitelist

The system blacklist and whitelist are used to shield specific calls (for example, ad sales calls) or restrict all users from calling specific numbers (for example, premium-rate telephone number).

The UScale X1900 unified gateway adds users to different call barring groups including the blacklist group, whitelist group, and common call barring group to control call permissions of users.

The following figure shows call permissions of users in different call barring groups.

Figure 3 System blacklist and whitelist call permissions

Click to enlarge

Check the calling party blacklist and whitelist, and find that calling number 4000 is in the system calling party blacklist.

According to call permissions shown in Figure 3, a number in the calling party blacklist cannot make calls to a number in the called party blacklist. Therefore, calling number 4000 will fail to make calls to called number 5000.

Checking the Personal Blacklist

A user can configure the personal blacklist to reject calls from users in the blacklist. When a user in the blacklist makes a call to this user, the system plays the call barring announcement.

The personal blacklist priority is lower than the system blacklist and whitelist priorities.

Check the personal blacklist:

·Log in the web self-service system of the UScale X1900 unified gateway using number 5000, choose Self-service > Service > Blacklist, and find that calling number 4000 is in the blacklist of called number 5000. This is the call failure cause.

·Alternatively, run the following command:

BlackDn indicates a user in the blacklist of the user identified by UserDn. The user specified by BlackDn cannot make calls to the user specified by UserDn. A maximum of 10 blacklisted users can be added for a user.

Delete number 4000 from the blacklist of number 5000. The call can be made successfully.

Checking Whether CFU Is Enabled for the Called Party

Check whether the call forwarding unconditional (CFU) service is enabled for called number 5000 and whether the forward-to number is valid. If the forward-to number is invalid, the call fails.

Log in the web self-service system of the UScale X1900 unified gateway using number 5000, choose Self-service > Service > Forwarding service, and disable Number for Forwarding unconditional.

Parent Topic: Call Faults


Only One Party Can Hear the Peer Voice

This topic describes how to troubleshoot a fault that only one party can hear the peer voice. Symptom

Symptom

After a call is set up, only one party can hear the peer voice.

Possible Causes

The possible causes are as follows:

·The network is abnormal.

·The terminal is faulty.

·Network address translation (NAT) is enabled on the network.

Procedure

1.See Network Analysis to check whether the network connection is normal.

·If the network connection is abnormal, verify that the network cables are connected properly.

·If the network connection is normal, go to the next step.

2.Change the terminal to see whether the fault is rectified.

·If the fault is rectified, the troubleshooting process is complete.

·If the fault persists, go to the next step.

3.Check whether the IP addresses of the devices on the network are on the same network segment.

·If any IP addresses are on the different network segment, see the SBC documentation to deploy the Session Border Controller (SBC) to map device IP addresses or construct a Virtual Private Network (VPN) among these devices.

·If the IP addresses are on the same network segment, go to the next step.

4.If the fault still persists, collect detailed fault information and related logs by referring to Collecting and Reporting Fault Information and send them to the service provider.

Parent Topic: Call Faults


Calling Party and Called Party Cannot Hear Each Other

This topic describes how to troubleshoot a fault that calling party and the called party can not hear each other.

Symptom

After a call is set up, neither of the two parties can hear the peer voice.

Possible Causes

The possible causes are as follows:

·The Field Programmable Gate Array (FPGA) version information is not the same as that described in the release notes delivered with the product.

·The network is abnormal.

·The terminal is faulty.

·Network address translation (NAT) is enabled on the network.

Procedure

1.Run the show version command to check whether the Field Programmable Gate Array (FPGA) version information is the same as Release Notes delivered with the product.

·If no, obtain the correct version to upgrade.

·If yes, go to the next step.

2.Troubleshoot the fault by referring to Only One Party Can Hear the Peer Voice.

Parent Topic: Call Faults


Volume Is Low or High

This topic describes how to troubleshoot the low volume or the high volume.

Symptom

The volume is low or high in the line.

Possible Causes

The device gain is improper.

Procedure

1.If an IP phone is used, press the arrow keys to adjust the volume to check whether the fault is rectified.

·If the fault is rectified, the troubleshooting process is complete.

·If the fault persists, go to the next step.

2.If the AT0 trunk is used for connection, change the off-hook gain to check whether the fault is rectified.

·Run the show osu information slot slot command to check the current off-hook gain.

In the command output, txgain indicates the Tx gain and rxgain indicates the Rx gain.

·Run the config modify osu slot slot txgain txgain rxgain rxgain [startportno startportno number number] command to change the off-hook gain.

·Check whether the fault is rectified. If the fault is rectified, the troubleshooting process is complete. If the fault persists, go to the next step.

3.If an IAD is used, change the outgoing Tx and Rx gain to check whether the fault is rectified. For example, the IAD132E(T).

·Run the display pstnport attribute n command to view the Tx gain and Rx gain.

·Run the dsp send-gain <2-64> command (Tx gain) and dsp recv-gain <2-64> command (Rx gain) to change gains.

·Check whether the fault is rectified. If the fault is rectified, the troubleshooting process is complete. If the fault persists, go to the next step.

4.If the fault still persists, collect detailed fault information and related logs by referring to Collecting and Reporting Fault Information and send them to the service provider.

Parent Topic: Call Faults


Noise in the Line

This topic describes how to troubleshoot the noise in the line.

Symptom

There is noise in the line.

Possible Causes

The possible causes are as follows:

·The network is abnormal.

·The unified gateway is not grounded.

·The terminal is faulty.

·The device gain is improper.

·The peer device is abnormal.

·The clock source has not been configured.

Procedure

1.Connect the ground line again on the unified gateway to check whether the fault is rectified

·If the fault is rectified, the troubleshooting process is complete.

·If the fault persists, go to the next step.

2.Change the terminal to check whether the fault is rectified.

·If the fault is rectified, the troubleshooting process is complete.

·If the fault persists, go to the next step.

3.See Network Analysis to check whether the network is normal.

·If no, verify that the network cables are connected properly.

·If yes, go to the next step.

4.See Volume Is Low or High to reduce device gains and check whether the fault is rectified.

·If the fault is rectified, the troubleshooting process is complete.

·If the fault persists, go to the next step.

5.Check whether the devices at the two ends use the same DSP codec.

·On the unified gateway, run the show mrsparas command to check the value of TdmCodec

·Run the config modify asi by aulaw command to change the value of TdmCodec.

·Check whether the fault is rectified. If the fault is rectified, the troubleshooting process is complete. If the fault persists, go to the next step.

6.See E1/T1 Trunk Exception whether the clock source is configured.

·If no, configure the clock source. Then, check whether the fault is rectified. If the fault is rectified, the troubleshooting process is complete. If the fault persists, go to the next step.

·If yes, go to the next step.

7.Contact the peer office's engineers to check whether the peer device runs normally.

·If no, contact the engineers for the peer device to rectify the fault.

·If yes, go to the next step.

8.If the fault still persists, collect detailed fault information and related logs by referring to Collecting and Reporting Fault Information and send them to the service provider.

Parent Topic: Call Faults


Voice Is Intermittent

This topic describes how to troubleshoot the voice intermittent.

Symptom

The voice is intermittent in the line.

Possible Causes

The possible causes are as follows:

·The network is abnormal.

·The silence suppression function is enabled.

Parent Topic: Call Faults


Call Connection Abnormally

This topic describes how to troubleshoot the call connection faults.

Symptom

Call connection faults are as follows:

·Connect a Call takes more than ten second.

·The caller will hear busy tone after callee unhooking.

Possible Causes

The possible causes are as follows:

·The prefix attribution is abnormal.

·If the user is SIP, the digitmap is incorrect.

·The length of VU collected digits is incorrect.

·The voice codecs for the calling and called parties are different.

Parent Topic: Call Faults


Sending and Collecting Digits Fail

This topic describes how to troubleshoot a fault that causes failure to send and collect digits.

Symptom

The symptoms are as follows:

·Outgoing calls cannot be made.

·Two-stage dialing fails.

·The voice prompt "Please input called number." is played all the time.

·The dialed number is incorrect.

·The connected user is not the user that the calling party calls.

Possible Causes

The possible causes are as follows:

·The configured prefix is incorrect.

·The peer device does not support the number collection mode of the unified gateway.

·The digits that have been sent or received are incorrect.

Parent Topic: Call Faults


Number Is Displayed Abnormally

This topic describes a fault that causes number display abnormally.

Symptom

The symptoms are as follows:

·The number is displayed incorrectly.

·The number cannot be displayed.

Possible Causes

The possible causes are as follows:

·The Calling Line Identification Presentation (CLIP) service has not been enabled on the carrier side.

·The Calling Line Identification Restriction (CLIR) service has been enabled for the user. If the CLIR service is enabled for a user, the user's number cannot be displayed for the called party.

·The related number change rule is incorrect.

Parent Topic: Call Faults


Local Calls Failed While Toll Calls Were Successful

This topic describes how to rectify the fault when local calls failed while toll calls were successful.

Symptom

A user can make a toll call successfully. However, the user failed to make local calls.

Possible Causes

Configure the call rights for the user.

Parent Topic: Call Faults


Voice Prompt Faults

This topic describes how to troubleshoot voice prompt faults.

Symptom

Voice prompt faults are as follows:

·When an intra-office user picks up the phone, no voice prompt can be heard, but the user hears the busy tone after a while.

·When an intra-office user picks up the phone and dials the service number, there is no voice prompt or the voice prompt is incorrect.

·When an outer-office user calls an intra-office user who is not in idle state, no voice prompt can be heard. The intra-office user hears the busy tone after a while.

·When an outer-office user calls an intra-office user who is not in idle state, the voice prompt is incorrect.

Possible Causes

The possible causes are as follows:

·The service configuration is incorrect.

·The media resource board on the unified gateway is defective.

·Files in the voice.zip or mrsvoice.zip package are incorrect.

·The peer device does not support the voice prompt function.

Parent Topic: Call Faults


A Caller Hears the Voice Prompt That The number you dialed does not exist When Calling an Intra-Office User

This topic describes how to troubleshoot a fault that a caller hears the voice prompt that "The number you dialed does not exist".

Symptom

Intra-office user A or external user C hears the voice prompt "The number you dialed does not exist" when calling intra-office user B.

Possible Causes

·The intra-office prefix is not configured.

·Intra-office user B is not allocated a number.

Parent Topic: Call Faults


Trunk Faults

Use different methods for troubleshooting faults on different trunks.

·Background

·This topic describes the background on trunks, which helps to troubleshoot faults.

·E1/T1 Trunk Exception

·This topic describes how to troubleshoot E1/T1 trunk exceptions.

·Call Fails on the PRA Trunk

·This topic describes how to troubleshoot a call fail that occurs on the PRA trunk.

·SIP Trunk Fault

·This topic describes common SIP trunk fault and how to analyze and troubleshoot the fault occurs on the SIP trunk.

·Call Fails on the SS7 Trunk

·This topic describes how to troubleshoot a call fails that occurs on the SS7 trunk.

·Call Fails on the R2 Trunk

·This topic describes how to troubleshoot a call fails that occurs on the R2 trunk.

·AT0 Trunk Faults

·This topic describes common AT0 trunk faults and their rectification methods.

Parent Topic: Troubleshooting Guide


Background

This topic describes the background on trunks, which helps to troubleshoot faults.

·E1/T1 Trunk Cable

·This topic describes the unified gateway physical connection with the E1/T1 trunk cable and common E1/T1 alarms.

·PRA Trunk

·The primary rate adaptation (PRA) trunk signaling process varies according to the user type.

·QSIG Trunk

·The QSIG trunk signaling process varies according to the user type.

·SIP Trunk

·This topic describes the basic concept and signaling process for the SIP trunk.

·SS7 Trunk

·The SS7 trunk includes the ISUP signaling.

·R2 Trunk

·Channel associated signaling (CAS) indicates that the signaling and voice are transmitted in the same channel. R2 signaling is the CAS.

·AT0 Trunk

·This topic describes the concept and types of AT0 trunks.


E1/T1 Trunk Cable

This topic describes the unified gateway physical connection with the E1/T1 trunk cable and common E1/T1 alarms.

Physical Connection

The E1 and T1 trunks use the same physical cable. The following uses the E1 trunk as an example.

The unified gateway is connected to the peer device with the E1 cable.

E1/T1 Alarms

E1/T1 alarm types include:

·Fault alarms

A fault alarm is generated when the device is faulty. You must rectify the fault so that the system can be restored. Common fault alarms include:

§Loss of signal (LOS)

When a device cannot detect a signal, an LOS alarm is generated. When the device detects the signal, the LOS alarm is cleared.

§Loss of frame alignment (LFA)

An LFA alarm and an LOS alarm occur simultaneously. The LFA alarm is cleared after frame alignment.

§Alarm indication signal (AIS)

The peer device cannot correctly receive frame alignment signals.

§Remote alarm indication (RAI)

An RAI alarm indicates that the peer device cannot detect any signals. This may occur because the UScale X1960 fails to send signals, the UScale X1960 is disconnected, or the peer device fails to receive signals.

·Event alarms

Event alarms do not normally require any handling.

The algorithms used to detect the CRC bit in sub-multiframes are different for E1 and T1: E1 uses CRC4 while T1 uses CRC6.

E1-specific Alarms

·Loss of multiframe alignment (LMFA)

When two consecutive error multiframe alignment signals are received, the LMFA alarm is reported.

·Remote multiframe alignment (RMFA)

When a PCM terminal detects multiframe loss or TS16 alarm indication signal (AIS) alarm, the PCM terminal sends an RMFA signal to the peer device, indicating a reception fault.

·TS16-AIS

A device sends all 1 signals in 16 timeslots to indicate that a critical fault occurs and the device is unavailable.

Parent Topic: Background


PRA Trunk

The primary rate adaptation (PRA) trunk signaling process varies according to the user type.

Basic Concept

Primary Rate Interface (PRI)

It has 30B+D and 23B+D type. Both B channels and D channels are 64 kbit/s digital channels. Except for the United States, all countries use 30 B channels and one D channel.

Signaling Process

A SIP user in unified gateway calls a user in peer device, as shown in Figure 1.

Figure 1 Normal signaling process for a call initiated by a SIP user

The signaling process is described as follows:

1.When an intra-office user calls an peer user, unified gateway sends a SETUP message, requesting to set up a call.

2.Peer device returns a CALLPROCEEDING message, indicating that the call is being set up.

3.Peer device sends an ALERT message, indicating that the phone of the peer user rings.

4.Peer device sends a CONNECT message, indicating that the peer user picks up the phone.

5.unified gateway sends a CONNECTACKNOWLEDGE message, indicating that the intra-office has learned that the peer user has picked up the phone.

6.The intra-office user starts to talk with the peer user.

7.Peer device sends a RELEASE message, indicating that the peer user hangs up.

8.unified gateway sends a RELEASECOMPLETE message, indicating that the intra-office user hangs up. unified gateway and peer device release channel resources.

If the intra-office user is callee user, the signaling process is oppositional.

Parent Topic: Background


QSIG Trunk

The QSIG trunk signaling process varies according to the user type.

Basic Concept

QSIG trunk is a digital circuit trunk that connects the peer device with the E1/T1 cable.

The QSIG trunk uses QSIG signaling, which is based on the network/user model, as the control signaling. If one end of the QSIG link connects to the network, the other end connects to a user.

Signaling Process

A SIP user in unified gateway calls a user in peer device, as shown inFigure 1.

Figure 1 Normal signaling process for a call initiated by a SIP user

The signaling process is described as follows:

1.When an intra-office user calls an peer user, unified gateway sends a SETUP message, requesting to set up a call.

2.Peer device returns a CALLPROCEEDING message, indicating that the call is being set up.

3.Peer device sends an ALERT message, indicating that the phone of the peer user rings.

4.Peer device sends a CONNECT message, indicating that the peer user picks up the phone.

5.unified gateway sends a CONNECTACKNOWLEDGE message, indicating that the intra-office has learned that the peer user has picked up the phone.

6.The intra-office user starts to talk with the peer user.

7.The unified gateway sends a DISCONNECT message, indicating that the intra-office user disconnects the call.

8.Peer device sends a RELEASE message, indicating that the peer user hangs up.

9.unified gateway sends a RELEASECOMPLETE message, indicating that the intra-office user hangs up. unified gateway and peer device release channel resources.

If the intra-office user is callee user, the signaling process is oppositional.

Parent Topic: Background


SIP Trunk

This topic describes the basic concept and signaling process for the SIP trunk.

Basic Concept

Session Initiation Protocol (SIP) is a signaling control protocol at the application layer and is used to create, modify, and terminate two-party or multi-party sessions. Session Description Protocol (SDP) is used to describe multimedia communication sessions for session announcement and invitation, and multimedia session initialization.

Signaling Process

Figure 1 shows the normal signaling process.

Figure 1 Normal signaling process

The normal signaling process is as follows:

1.When an intra-office user attempts to call an peer user, unified gateway sends an INVITE message to set up a call.

2.Peer device sends a 180 Ringing message indicating that the peer user's phone is ringing.

3.Peer device sends a 200 OK message indicating that the peer user has picked up the phone.

4.unified gateway sends an ACK message indicating that the intra-office user is talking with the peer user.

5.Peer device sends a BYE message indicating that the peer user has hung up.

6.unified gateway sends a 200 OK message indicating that the intra-office user has been informed that the office user B has hung up. The intra-office user then hangs up.

Parent Topic: Background


SS7 Trunk

The SS7 trunk includes the ISUP signaling.

TUP signaling process

·Figure 1 and Figure 2 show the normal signaling process.

Figure 1 Normal TUP signaling process (intra-office user first hangs up)

Figure 2 Normal TUP signaling process (peer user first hangs up)

The normal signaling process is as follows:

1.When intra-office user calls peer user, unified gateway device sends an IAM message or an IAI message containing the information about initial address.

2.unified gateway device sends an SAO message or an SAM message containing the information about peer user address.

3.If other information is required for connecting the call, peer device sends a GRQ message requesting other information.

4.After receiving the GRQ message, unified gateway device encapsulates the required information into a GSM message. Then the GSM message is sent. In this case, all the information required for establishing the call is collected.

5.Peer device locates the user according to the information and sends an ACM message. Intra-office user plays the RBT and peer user phone rings.

6.After peer user picks up the phone, unified gateway device sends an ANC message indicating that peer user has picked up the phone.

7.Intra-office user starts to talk with peer user.

8.The mode of sending messages according to the hangup sequence.

·If intra-office user first hangs up, unified gateway device sends a CLF message indicating that intra-office user has hung up.

·If peer user first hangs up, peer device sends a CBK message indicating that peer user has hung up. Then intra-office user hangs up and sends a CLF message.

9.Peer device sends an RLG message indicating that peer device is informed that intra-office user has hung up.

·Figure 3 shows the call failure signaling process.

Figure 3 TUP call failure signaling process

When a user in office A (user A) fails to call a user in office B (user B), the device in office B will send a message to user A based on the user B status.

1.If the called number is null, the device sends a UNN message to the unified gateway.

2.If the called number is busy, the device sends a subscriber toll busy signal (STB) or subscriber local busy signal (SLB) to the unified gateway.

ISUP signaling process

·Figure 4 shows the normal ISUP signaling process.

Figure 4 Normal ISUP signaling process

The normal ISUP signaling process is as follows:

1.When intra-office user calls peer user, intra-office users sends an IAM message containing the information about peer user address.

2.Peer device returns an INR message containing other information required for establishing the call.

3.unified gateway device sends an INF message containing the information required for establishing the call.

4.Peer user device locates the user according to the information and sends an ACM message. intra-office user plays the RBT and peer user phone rings.

5.Peer user sends an ANM message indicating that peer user has hung up.

6.Intra-office user starts to talk with peer user.

7.If intra-office user first hangs up, unified gateway device sends an REL message indicating that intra-office user has hung up.

8.peer device device sends an RLC message indicating that peer device is informed that intra-office user has hung up.

Parent Topic: Background


R2 Trunk

Channel associated signaling (CAS) indicates that the signaling and voice are transmitted in the same channel. R2 signaling is the CAS.

Signaling Process

An peer user (number 8000) calls an intra-office user (number 7000). Figure 1 shows the normal signaling process.

Figure 1 Normal signaling process

The following describes the signaling process:

1.An peer user calls an intra-office user. peer device sends a seizing signal.

2.unified gateway returns a seizing-acknowledgement signal.

3.Soft Corequests the calling and called numbers from peer device, and then peer device sends the numbers to unified gateway.

4.unified gateway sends status information about the intra-office user to peer device.

5.If the peer user is available, unified gateway sends a response.

6.The intra-office user talks with the peer user.

7.The intra-office user hangs up. unified gateway sends a CALLEDHANDHOOK message.

8.The peer user hangs up. peer device sends a CALLERHANDHOOK message. The talk ends.

Parent Topic: Background


AT0 Trunk

This topic describes the concept and types of AT0 trunks.

An AT0 trunk is an analog trunk and is also called a loop trunk. AT0 trunks enable users to use subscriber lines of the peer office as trunks lines of local office devices. Local office devices are equivalent to analog users. The number of subscriber lines in the peer office determines the number of AT0 trunks in the local office.

Parent Topic: Background


E1/T1 Trunk Exception

This topic describes how to troubleshoot E1/T1 trunk exceptions.

Symptom

E1/T1 trunk faults are as follows:

·An LOS indicator light is on.

·A frame slip alarm or an error code alarm is generated during signaling collecting with the LMT.

Possible Causes

The possible causes are as follows:

·The unified gateway is not grounded.

·The clock sources is not configured on the unified gateway.

·The E1/T1 trunk cable has failed.

·The media resrouce board has failed.

·The peer device has failed.

Procedure

1.Connect the ground line of the unified gateway again to check whether the fault is rectified.

·If the fault is rectified, the troubleshooting process is complete.

·If the fault persists, go to the next step.

2.Run the show system clocksource information command to check whether the clock source is configured.

·If the preceding information is displayed, the clock source is not configured. Run the config system clocksource command to configure it.

·If the clock source is configured, go to the next step.

3.Check whether the trunk cable is connected right, this is the TX must connect to RX.

·If no, connect the cable again.

·If yes, change the cable to check whether the fault is rectified.

If the fault is rectified, the troubleshooting process is complete. If the fault persists, go to the next step.

4.Change the media resource board to check whether the fault is rectified.

·If the fault is rectified, the troubleshooting process is complete.

·If the fault persists, go to the next step.

5.Contact the peer office's engineers to check whether the peer device runs normally.

·If yes, contact to the peer office's engineers to troubleshoot.

·If no, go to the next step.

6.If the fault still persists, collect detailed fault information and related logs by referring to Collecting and Reporting Fault Information and send them to the service provider.

Parent Topic: Trunk Faults


Call Fails on the PRA Trunk

This topic describes how to troubleshoot a call fail that occurs on the PRA trunk.

Symptom

The following faults often occur on the PRA trunk:

·A busy tone is heard when an incomplete called number is dialed.

·A busy tone is heard when a complete called number is dialed.

Possible Causes

The possible causes are as follows:

·The clock sources is not configured on the unified gateway.

·The intra-office and outgoing prefixes are not configured.

·The board status is abnormal.

·The trunk circuit status is faulty.

·The trunk link status is faulty.

·The CRC is enabled on one end, but is disabled on the other end.

Parent Topic: Trunk Faults


SIP Trunk Fault

This topic describes common SIP trunk fault and how to analyze and troubleshoot the fault occurs on the SIP trunk.

·Call Fails on the SIP Trunk

·This topic describes how to troubleshoot a call fails that occurs on the SIP trunk.

·Call Interrupts on the SIP Trunk

·This topic describes how to troubleshoot a call interrupts that occurs on the SIP trunk.

·Fail to Call an IMS User Through the SIP Trunk

·This topic describes how to troubleshoot a fault that occurs when an IMS user is called through the SIP trunk.

·IMS Users Cannot Be Invited to Join a Conference Through the SIP Trunk

·This topic describes how to troubleshoot a fault that occurs when IMS users are invited to join a conference through the SIP trunk.

Parent Topic: Trunk Faults


Call Fails on the SIP Trunk

This topic describes how to troubleshoot a call fails that occurs on the SIP trunk.

Symptom

The following faults often occur on the SIP trunk:

·A busy tone is heard when an incomplete called number is dialed.

·A busy tone is heard when a complete called number is dialed.

Possible Causes

The possible causes are as follows:

·The intra-office and outgoing prefixes are not configured.

·The trunk data is not configured.

Parent Topic: SIP Trunk Fault


Call Interrupts on the SIP Trunk

This topic describes how to troubleshoot a call interrupts that occurs on the SIP trunk.

Symptom

During the intra-office user call the peer device user, the call is interrupted suddenly.

Possible Causes

The possible causes are as follows:

·Multiple SIP terminals are registered with the same account.

·A heartbeat connection has not been established.

·The peer device is abnormal.

Parent Topic: SIP Trunk Fault


Fail to Call an IMS User Through the SIP Trunk

This topic describes how to troubleshoot a fault that occurs when an IMS user is called through the SIP trunk.

Symptom

When calling the IMS user, the intra-office user hears the busy tone.

Possible Causes

The possible causes are as follows:

·The registration group configuration is incorrect.

·The calling number format does not meet IMS (86+area code+number) requirements.

·The registration group ID is not set.

Parent Topic: SIP Trunk Fault


IMS Users Cannot Be Invited to Join a Conference Through the SIP Trunk

This topic describes how to troubleshoot a fault that occurs when IMS users are invited to join a conference through the SIP trunk.

Symptom

The unified gateway fails to invite IMS users to join a conference.

Possible Causes

The possible causes are as follows:

·The registration group password or account is incorrect.

·The calling number format does not meet IMS (86+area code+number) requirements.

·The registration group ID is not added to the outgoing calling number of the conference.

·The multiple call function is not enabled for the displayed number.

Parent Topic: SIP Trunk Fault


Call Fails on the SS7 Trunk

This topic describes how to troubleshoot a call fails that occurs on the SS7 trunk.

Symptom

The following faults often occur on the SS7 trunk:

·A busy tone is heard when an incomplete called number is dialed.

·A busy tone is heard when a complete called number is dialed.

Possible Causes

The possible causes are as follows:

·The clock source is not configured.

·The intra-office and outgoing prefixes are not configured.

·The board status is abnormal.

·The trunk circuit is faulty.

·The trunk link status is faulty.

Parent Topic: Trunk Faults


Call Fails on the R2 Trunk

This topic describes how to troubleshoot a call fails that occurs on the R2 trunk.

Symptom

The following faults often occur on the R2 trunk:

·A busy tone is heard when an incomplete called number is dialed.

·A busy tone is heard when a complete called number is dialed.

Possible Causes

The possible causes are as follows:

·The clock source is not configured.

·The intra-office and outgoing prefixes are not configured.

·The board status is abnormal.

·The trunk circuit is faulty.

·The register type is not MFC.

·The R2 adaptation script is not imported.

Procedure

1.See E1/T1 Trunk Exception to check the clock source is configured.

2.See step 3 and step 4 in Call Fails on the PRA Trunk to check whether the intra-office and outgoing prefixes are configured and whether the board status is normal.

3.Run the show tkc by office no officenocommand to check the trunk circuit status (the value of State field).

·If the status is ISOLATET, run the config cancelisolate board slot slot command to cancel board isolation.

·If the status is FAULT, seeConfiguring Signaling Data to check whether the trunk data is correct.

·If the status is OK, go to the next step.

4.Run the show cassignal command to check whether the register type is MFC (value of RegisterType field).

·If no, run the config modify cassignal casnamecasname registertype mfc command to modify the register type.

·If yes, go to the next step.

5.Check whether the R2 adaptation script has been imported.

6.If the fault still persists, collect detailed fault information and related logs by referring to Collecting and Reporting Fault Information and send them to the service provider.

Parent Topic: Trunk Faults


AT0 Trunk Faults

This topic describes common AT0 trunk faults and their rectification methods.

·Call Failures

·This topic describes how to analyze and rectify AT0 trunk call failures.

·When an Outer-Office User Dials the Switchboard Number, the Busy Tone Is Heard or the System Repeatedly Prompts the User to Dial an Extension Number

·This topic describes how to analyze and rectify the fault where the busy tone is heard or the system repeatedly prompts an outer-office user to dial an extension number when the user dials the switchboard number.

·Slow Call Connection

·This topic describes how to analyze and rectify the slow call connection fault.

·CLIP Fault

·This topic describes how to analyze and rectify the CLIP fault.

·Intra-Office User Cannot Hear the Busy Tone When an Outer-Office User Hangs Up

·This topic describes how to analyze and rectify the fault where an intra-office user cannot hear the busy tone when an outer-office user hangs up.

·Same Phone Rings When Different Numbers Are Called

·This topic describes how to analyze and rectify the fault where the same phone rings when different numbers are called.

·Exception Occurs When the Moderator Invites a User to Join a Phone Conference

·This topic describes how to analyze and rectify the exception that occurs when the moderator invites a user to join a phone conference.

·ONLY, Simultaneous Ringing, or Sequential Ringing Services Are Unavailable

·This topic describes how to analyze and rectify the fault where the ONLY, simultaneous ringing, or sequential ringing service is unavailable.

Parent Topic: Trunk Faults


Call Failures

This topic describes how to analyze and rectify AT0 trunk call failures.

Symptom

Common AT0 trunk call failures include:

·The busy tone is heard when only part of the called number is dialed.

·The busy tone is heard immediately when the complete called number is dialed.

Possible Causes

The possible causes are as follows:

·The device is not grounded.

·The intra-office and outgoing prefixes are not configured.

·The board status is abnormal.

·The AT0 trunk circuit is faulty.

·The AT0 trunk line is faulty.

·The peer device is faulty.

Procedure

1.Reconnect the PGND cable of the unified gateway, and check whether the fault is rectified.

If the fault persists, go to the next step.

2.Check whether the intra-office and outgoing prefixes are configured and whether the board status is normal. For details, see steps 3 and 4 in Call Fails on the PRA Trunk.

3.Run the show tkc office by no officeno command to check the AT0 trunk circuit status (that is, value of the State field).

·If the value is ISOLATE, run the config cancelisolate board slot slot command to cancel isolation of the board.

·If the value is FAULT, check whether the configuration is correct. For details, see Configuring an AT0 Trunk.

·If the value is IDLE, go to the next step.

4.Connect a phone directly to the AT0 trunk line, make a call to an outer-office user, and check whether the fault is rectified.

If the fault persists, go to the next step.

5.Contact the peer end engineer to check whether the peer device is faulty.

·If yes, ask the peer end engineer to rectify the fault on the peer device.

·If no, go to the next step.

6.If the fault persists, collect detailed fault information and related logs, and submit them to the service provider. For details, see Collecting and Reporting Fault Information.

Parent Topic: AT0 Trunk Faults


When an Outer-Office User Dials the Switchboard Number, the Busy Tone Is Heard or the System Repeatedly Prompts the User to Dial an Extension Number

This topic describes how to analyze and rectify the fault where the busy tone is heard or the system repeatedly prompts an outer-office user to dial an extension number when the user dials the switchboard number.

Symptom

The unified gateway is connected to the peer device through an AT0 trunk. When an outer-office user dials the switchboard number on the unified gateway and dials an extension number as prompted, the system repeatedly prompts the user to dial an extension number.

Possible Causes

The device gain settings are inappropriate.

Parent Topic: AT0 Trunk Faults


Slow Call Connection

This topic describes how to analyze and rectify the slow call connection fault.

Symptom

The unified gateway is connected to the peer device through an AT0 trunk. When an outer-office user dials the number of an intra-office user, the outer-office user must wait for a period of time before the outer-office user can hear the ring back tone.

Possible Causes

The Direct-Inward-Dialing (DID) service is enabled for the intra-office user. As a result, the outer-office user feels that it takes a long period time to connect the call.

Parent Topic: AT0 Trunk Faults


CLIP Fault

This topic describes how to analyze and rectify the CLIP fault.

Symptom

The unified gateway is connected to the PSTN through an AT0 trunk. When a PSTN user makes a call to an intra-office user, the calling number is not displayed.

Possible Causes

The possible causes are as follows:

·The CLIP function is disabled at the carrier side.

·The AT0 trunk line is too long and signal attenuation occurs. As a result, the unified gateway cannot detect analog signal tones.

·The CLIP signal (FSK or DTMF) used at the carrier side is different from that used on the unified gateway.

Parent Topic: AT0 Trunk Faults


Intra-Office User Cannot Hear the Busy Tone When an Outer-Office User Hangs Up

This topic describes how to analyze and rectify the fault where an intra-office user cannot hear the busy tone when an outer-office user hangs up.

Symptom

The unified gateway is connected to the PSTN through an AT0 trunk. When a PSTN user hangs up during a call with an intra-office user, the intra-office user cannot hear the busy tone.

Possible Causes

The possible causes are as follows:

·The configuration is incorrect at the carrier side. As a result, no busy tone is sent when the outer-office user hangs up.

·The AT0 trunk line is too long and signal attenuation occurs. As a result, the unified gateway cannot detect analog signal tones.

Procedure

1.Connect a phone to the AT0 trunk interface provided by the carrier and call the corresponding user line number using a PSTN number. Hang up after the call is connected. Then check whether the called party hears the busy tone.

·If the busy tone is heard, contact the peer end engineer to adjust the configuration.

·If no busy tone is heard, go to the next step.

2.If the AT0 trunk is used for connection, change the off-hook gain to check whether the fault is rectified.

·Run the show osu information slot slot command to check the current off-hook gain.

In the command output, txgain indicates the Tx gain and rxgain indicates the Rx gain.

·Run the config modify osu slot slot txgain txgain rxgain rxgain [startportno startportno number number] command to change the off-hook gain.

·Check whether the fault is rectified. If the fault is rectified, the troubleshooting process is complete. If the fault persists, go to the next step.

3.If the fault persists, collect detailed fault information and related logs, and submit them to the service provider. For details, see Collecting and Reporting Fault Information.

Parent Topic: AT0 Trunk Faults


Same Phone Rings When Different Numbers Are Called

This topic describes how to analyze and rectify the fault where the same phone rings when different numbers are called.

Symptom

The unified gateway is connected to the peer device through an AT0 trunk. When an outer-office user calls any user numbers on the unified gateway, the same phone rings.

Possible Causes

A default AT0 incoming number is configured.

Parent Topic: AT0 Trunk Faults


Exception Occurs When the Moderator Invites a User to Join a Phone Conference

This topic describes how to analyze and rectify the exception that occurs when the moderator invites a user to join a phone conference.

Symptom

The unified gateway is connected to the peer device through an AT0 trunk. When inviting a user to join a phone conference on the unified gateway, the moderator dials the user number slowly. As a result, the user number is not completely collected.

Possible Causes

Number dialing is not continuous. As a result, the user number is not completely collected.

Parent Topic: AT0 Trunk Faults


ONLY, Simultaneous Ringing, or Sequential Ringing Services Are Unavailable

This topic describes how to analyze and rectify the fault where the ONLY, simultaneous ringing, or sequential ringing service is unavailable.

Symptom

The unified gateway is connected to the peer device through an AT0 trunk. When an outer-office number is configured as an ONLY number, a simultaneous ringing number, or a sequential ringing number, the ONLY, simultaneous ringing, or sequential ringing service is unavailable

Possible Causes

Number dialing is not continuous. As a result, the user number is not completely collected.

Parent Topic: AT0 Trunk Faults


Service faults

The troubleshooting method varies according to service category.

·Call Forwarding Faults

·This topic describes how to troubleshoot call forwarding faults.

·Transfer Service Faults

·This topic describes how to troubleshoot transfer service faults.

·ONLY Service Faults

·This topic describes the common One Number Link You (ONLY) service fault and how to analyze and troubleshoot the One Number Link You (ONLY) service faults.

·Main Number Service Fault

·This topic describes the common main number service and how to analyze and troubleshoot the main number service fault.

·Fax service fault

·This topic describes the common main number service and how to analyze and troubleshoot the fax service fault.

Parent Topic: Troubleshooting Guide


Call Forwarding Faults

This topic describes how to troubleshoot call forwarding faults.

Symptom

Common call forwarding service faults are as follows:

·A call initiated by a intra-office user cannot be forwarded to another intra-office user.

·A call initiated by a intra-office user cannot be forwarded to a external user.

Possible Causes

If a call made by user A to user B fails to be forwarded to user C, the possible causes are as follows:

·User A does not have the right to call user C.

·The forwarding number of user B are incorrect.

·The call forwarding service of user B conflicts with any other service.

·The number used by user A does not meet the peer device requirements.

Parent Topic: Service faults


Transfer Service Faults

This topic describes how to troubleshoot transfer service faults.

Symptom

Common call transfer service faults are as follows:

·Integrated access device (IAD) users fail to press the hookflash key.

·Two-stage dialing fails after users press the hookflash key.

Possible Causes

If B fails to transfer an ongoing call with A to C by pressing the hookflash key, the possible causes are as follows:

·The network is abnormal.

·B does not have the right to call C.

·The terminal is faulty.

·The IAD does not support the hookflash function.

·The voice codecs for the calling and called parties are different.

Parent Topic: Service faults


ONLY Service Faults

This topic describes the common One Number Link You (ONLY) service fault and how to analyze and troubleshoot the One Number Link You (ONLY) service faults.

·ONLY Number cannot be bound

·This topic describes how to troubleshoot a fault that occurs when the ONLY number can be bound.

·The User Hears the Busy Tone When Dials the ONLY Number

·This topic describes how to troubleshoot a fault that occurs when the user dials the ONLY number.

·The Sequential Ringing Service or the Simultaneous Ringing Service Fails through ONLY Service

·This topic describes how to troubleshoot a fault that occurs when the sequential ringing service or the simultaneous ringing service fails through ONLY service.

Parent Topic: Service faults


ONLY Number cannot be bound

This topic describes how to troubleshoot a fault that occurs when the ONLY number can be bound.

Symptom

Numbers cannot be bound by using the ONLY service.

Possible Causes

The possible causes are as follows:

·The ONLY service is disabled for the user.

·The number to be bound (intra-office user) has the ONLY service.

·The number to be bound does not exist.

·The ONLY service is enabled for the number to be bound to another ONLY number.

Parent Topic: ONLY Service Faults


The User Hears the Busy Tone When Dials the ONLY Number

This topic describes how to troubleshoot a fault that occurs when the user dials the ONLY number.

Symptom

If a user dials the ONLY number when a bound user is busy, the user hears the busy tone. Possible Causes

Possible Causes

If a user (A) dials the ONLY number when a bound user (B) is busy, user A hears the busy tone. The possible causes are as follows:

·The BusySelectMode field is set to active for the ONLY service.

·The main terminal of the ONLY service is not a SIP terminal.

Parent Topic: ONLY Service Faults


The Sequential Ringing Service or the Simultaneous Ringing Service Fails through ONLY Service

This topic describes how to troubleshoot a fault that occurs when the sequential ringing service or the simultaneous ringing service fails through ONLY service.

Symptom

The PSTN user cannot use the sequential ringing service or the simultaneous ringing service through ONLY service.

Possible Causes

The possible causes are as follows:

·The outgoing prefix is not added to the PSTN user number to be bound.

·The interval for sequential ringing is too long.

·A validity period is set for the binding.

·Services conflict.

Parent Topic: ONLY Service Faults


Main Number Service Fault

This topic describes the common main number service and how to analyze and troubleshoot the main number service fault.

·Prompt Message Faults By Main Number Service

·This topic describes how to troubleshoot prompt message faults by main number service.

·User Faults By Main Number Service

·This topic describes how to troubleshoot user faults by main number service.

Parent Topic: Service faults


Prompt Message Faults By Main Number Service

This topic describes how to troubleshoot prompt message faults by main number service.

Symptom

Common main number service faults are as follows:

·No prompt message is played when the main number is dialed.

·An incorrect prompt message is played when the main number is dialed.

Possible Causes

The possible causes are as follows:

·The access code for the main number is incorrect.

·The MTU on the unified gateway is not functioning properly.

·The VU script is imported incorrectly.

·Files in the voice.zip package are incorrect.

·The default incoming number is set.

Parent Topic: Main Number Service Fault


User Faults By Main Number Service

This topic describes how to troubleshoot user faults by main number service.

Symptom

A calling party dials a number as prompted, but the call cannot be connected or is connected 10 seconds later.

Possible Causes

The possible causes are as follows:

·The VU script is imported incorrectly or the VU script is incorrect.

·The peer device does not support the number collection mode of the unified gateway.

·The trunk-based outgoing call right is not enabled for the VU.

Procedure

1.Import the VU script again to check whether the fault is rectified.

·If the network connection is abnormal, verify that the network cables are connected properly.

·If the network connection is normal, go to the next step.

2.Check whether the script is correct, as shown in Figure 1.

·Check whether the value of groupNo is correct.

·Check whether the value of transferNum is correct.

·Check whether the maximum number of digits to be collected (the fifth parameter of the PlayCollect) and the number end symbol (the ninth parameter of the PlayCollect) is correct.

§Generally, the value is greater than or equal to the length of the called number. By default, the value is 32.

§The default number end symbol is #. You are not advised to set the number end symbol to digits 0 to 9.

For example, if you set the number end symbol to 0 and dials 3000, the unified gateway stops collecting digits when receiving a 0. This leads to call failure.

Figure 1 VU script

3.Check the number collection mode of the peer device (for example, RFC2833) if the unified gateway and the RFC2833 are connected using a SIP trunk.

·Run the show cdsp argu command to check whether the number collection function of the RFC2833 is enabled. By default, the number collection function is enabled. That is, the command out is "RFC2833Flag:1."

·Contact related personnel to check whether the peer device supports the number collection mode of the RFC2833.

§If the peer device supports the number collection function of the RFC2833, run the config cdsp rfc2833 switch on command to enable this function.

§If the peer device does not support the number collection function of the RFC2833, run the config cdsp rfc2833 switch off command to disable this function.

·Run the show cdsp payloadtypecommand to check whether the load on the RFC2833 (value of PayloadTpye) is the same as that on the peer device.

§If they are different, run the config cdsp payloadtype rfc2833 value <0-255> command to change them to the same.

§If they are the same, go to the next step.

4.Run the config softargu type 378 value 1 command to enable the trunk-based outgoing call right for the VU.

5.If the fault still persists, collect detailed fault information and related logs by referring to Collecting and Reporting Fault Information and send them to the service provider.

Parent Topic: Main Number Service Fault


Fax service fault

This topic describes the common main number service and how to analyze and troubleshoot the fax service fault.

·Faults Occurring When Sending or Receiving Faxes

·This topic describes how to troubleshoot a fault that occurs when sending or receiving faxes.

·Fax Quality Is Low

·This topic describes how to troubleshoot the low fax quality.

Parent Topic: Service faults


Faults Occurring When Sending or Receiving Faxes

This topic describes how to troubleshoot a fault that occurs when sending or receiving faxes.

Symptom

The faults are as follows:

·The network is abnormal.

·No fax can be received.

·Faxes can be sent successfully only on some fax machines.

·Faxes can sometimes be sent successfully.

Possible Causes

The possible causes are as follows:

·The network quality does not meet the requirement.

·Operations on the fax machine are incorrect or the fax machine is faulty.

·The fax machine is incorrectly set.

·Fax modes of the unified gateway and IAD are different.

·The receiving gain and sending gain are incorrectly set.

·Some fax machines are incompatible with gateway devices.

·The clock source has not been configured.

Procedure

1.See Network Analysis to check whether the network is normal.

·If no, verify that the network cables are connected properly.

·If yes, go to the next step.

2.Verify that operations on the fax machine are correct. For detail, see router-related document to operate it.

·Before sending a fax, verify that papers are properly placed to the paper tray, and the fax machine is ready.

·When sending a fax, press the start button only after hearing the fax confirm tone sent by the other party.

·Check whether the memory of the fax machine is used up. If the memory is used up, clear the memory.

·Check whether papers are placed to paper trays of both sender and recipient fax machines. If there are papers on both fax machines, remove the papers from the recipient fax machine.

3.Verify that the fax machines are correctly set. For detail, see router-related document to operate it.

·If no fax can be sent, check whether the pulse dialing mode has been enabled. If this mode has been enabled, change it to the touch-tone dialing mode.

·If no fax can be received, check whether the function of rejecting faxes has been enabled. If this function has been enabled, disable it.

4.Check whether the transparent transmission mode has been enabled for the unified gateway and IAD.

5.See E1/T1 Trunk Exception whether the clock source is configured.

6.If the fault still persists, collect detailed fault information and related logs by referring to Collecting and Reporting Fault Information and send them to the service provider.

Parent Topic: Fax service fault


Fax Quality Is Low

This topic describes how to troubleshoot the low fax quality.

Symptom

The symptoms are as follows:

·Images and words are unclear.

·The fax is sent successfully, but the peer party can only receive part of the pages.

Possible Causes

The possible causes are as follows:

·The network quality does not meet the requirement.

·The unified gateway is not grounded.

·The clock source has not been configured.

Procedure

1.See Network Analysis check whether the network meet fax service requirement.

·If no, change the cables to check whether the fault is rectified.

·If yes, go to the next step.

2.Connect the ground ling of unified gateway to check whether the fault is rectified.

·If the network connection is abnormal, verify that the network cables are connected properly.

·If the network connection is normal, go to the next step.

3.See E1/T1 Trunk Exception whether the clock source is configured.

4.If the fault still persists, collect detailed fault information and related logs by referring to Collecting and Reporting Fault Information and send them to the service provider.

Parent Topic: Fax service fault


System Device Faults

System device faults usually occur in the power supply system or during the upgrade.

·Uploading or Downloading a File Fails

·This topic describes how to troubleshoot a fault that occurs when a user uploads or downloads a file.

·Fail to Ping Another Device

·This topic describes how to troubleshoot a fault that occurs when another device is pinged from the unified gateway.

·System Data Damage

·This topic describes how to restore the damaged system data.

·Startup Failure

·This topic describes the possible causes for the unified gateway startup failure and the handling measures.

Parent Topic: Troubleshooting Guide


Uploading or Downloading a File Fails

This topic describes how to troubleshoot a fault that occurs when a user uploads or downloads a file.

Symptom

The system displays an error message when a user uploads a file to the TFTP server or downloads a file (for example, a License file) from the TFTP server.

Possible Causes

·The file name in the loading directory of the TFTP server is different from the file name entered on the CLI during the loading operation.

·The value of hostip on the unified gateway is different from the IP address of the TFTP server.

·If downloading a file fails, the file's directory on the TFTP server may be incorrect or the file to be downloaded may be unavailable.

TFTP has security risks, pay attention to data security during the use and disable the protocol immediately when it is no longer used.

Parent Topic: System Device Faults


Fail to Ping Another Device

This topic describes how to troubleshoot a fault that occurs when another device is pinged from the unified gateway.

Symptom

Another device cannot be pinged from the unified gateway. Assume that the device is A.

Possible Causes

·The network cable is disconnected or faulty.

·The IP address or subnet mask of the unified gateway is incorrect.

·After the IP address of the unified gatewayis changed, the system is not restarted. As a result, the changed IP address does not take effect.

Parent Topic: System Device Faults


System Data Damage

This topic describes how to restore the damaged system data.

Symptom

The system data is damaged and the user data is incorrect.

Possible Causes

The system upgrade fails.

TFTP has security risks, pay attention to data security during the use and disable the protocol immediately when it is no longer used.

1.In the complete command input area, run the config system hostip <a.b.c.d> command to change the host IP address.

2.Run the config download data file data.bin command to load the data.bin file.

3.Run the reboot command to restart the device to make the data.bin file take effect.

4.Check whether the fault is rectified. If the fault is rectified, the troubleshooting process is complete. If the fault persists, go to the next step.

5.If the fault still persists, collect detailed fault information and related logs by referring to Collecting and Reporting Fault Information and send them to the service provider.

Parent Topic: System Device Faults


Startup Failure

This topic describes the possible causes for the unified gateway startup failure and the handling measures.

Symptom

The unified gateway startup failure and all services are unavailable.

Possible Cause

The unified gateway version file is damaged or does not exist.

Procedure

To rectify the fault, proceed as follows:

1.Start the TFTP service on the server corresponding to hostip of the unified gateway.

2.Obtain the unified gateway version software and put the software to the TFTP directory.

TFTP/FTP/HTTP has security risks, pay attention to data security during the use and disable the protocol immediately when it is no longer used.

3.Access the unified gateway through the serial port.

4.Power cycle the unified gateway to restart the unified gateway.

5.Load the latest backup Data.bin.

Parent Topic: System Device Faults


License Faults

This topic describes service principles and troubleshooting methods for X1900 license faults.

·Preface

·

·How to Purchase Licenses

·

·How to Activate Licenses

·How to Load Licenses

·

Parent Topic: Troubleshooting Guide


Preface

UScale X1900 licenses control the number of plain old telephone service (POTS) users, Session Initiation Protocol(SIP) users, agents, concurrent built-in voice mailboxes, and concurrent voice conferences in the entire solution.

This document describes the sales,implementation, and maintenance of UScale X1900 licenses.

Stay tuned for hands-on guides for other service components.

Parent Topic: License Faults


How to Purchase Licenses

License Classification

UScale X1900 licenses are classified into commercial permanent licenses, temporary licenses, and engineering commissioning licenses. All these licenses can be purchased on the Electronic Software Delivery Platform (ESDP) (at http://app.OpenVox.com/isdp). The application scenario and application method for each license type are as follows:

Commercial permanent license

·A commercial permanent license applies to the scenarios where the customer signs a contract order with OpenVox,including but not limited to the new deployment scenario, capacity expansion scenario, and upgrade scenario.

·A commercial permanent license is delivered and activated based on the normal contract order, without manual approval.

Temporary license

·A temporary license applies to the Proof of Concept (POC) test in market development, brand exhibition, and R&D test before the product launch.

·A temporary license cannot be obtained in the normal contract order process, and manual approval is required.

Engineering commissioning license

·An engineering commissioning license can be applied for in the engineering delivery phase of a project so that the license does not need to be adjusted frequently onsite and the delivery efficiency can be improved. In addition, an engineering commissioning license can be applied for when an emergency occurs and emergency restoration is required.

·An engineering commissioning license can be applied for based on the normal contract order, and manual approval is required.

This document describes the commercial permanent license delivered based on the normal contract order.

Part Numbers for License Sales

Table 1 describes the part number,external name, description, and value range of each salable license control item for the UScale X1900 of different models.

Table 1 Part numbers for license sales

Model | Part Number | External Name | Description | Value Range
UScale X1911 | 88031DRY | U18SVSUBPT02 | Software Charge,U18SVSUBPT02,VoiceSubscriber Port License(Per Subscriber) | 0~100
 | 88031DSA | UC9SVMALCN01 | Software Charge,UC9SVMALCN01,Voice MailConcurrent License(2 Path,Per License) | 0~12
 | 88031DSB | UC9SVCNSUB01 | SoftwareCharge,UC9SVCNSUB01,Voice Conference Concurrent Subscribers License | 0~180
 | 88031DSC | UC9SCLTSUB01 | SoftwareCharge,UC9SCLTSUB01,SoftConsole Client Subscriber License | 0~64
 | 88031DSH | U18SDISRCY01 | SoftwareCharge,UC9SDISRCY01,Disaster Recovery Function | 0~1
 | 88031UWT | U11SLOCREG02 | SoftwareCharge,X1911,U11SLOCREG02,X1911 Local Regeneration Function | 0~1
UScale X1960 | 88031DRY | U18SVSUBPT02 | SoftwareCharge,U18SVSUBPT02,Voice Subscriber Port License(Per Subscriber) | 0~1000
 | 88031DSA | UC9SVMALCN01 | SoftwareCharge,UC9SVMALCN01,Voice Mail Concurrent License(2 Path,Per License) | 0~30
 | 88031DSB | UC9SVCNSUB01 | SoftwareCharge,UC9SVCNSUB01,Voice Conference Concurrent Subscribers License | 0~360
 | 88031DSC | UC9SCLTSUB01 | SoftwareCharge,UC9SCLTSUB01,SoftConsole Client Subscriber License | 0~64
 | 88031DSF | U16SLOCREG03 | SoftwareCharge,X1960,U16SLOCREG03,X1960 Local Regeneration Function | 0~1
 | 88031DSH | UC9SDISRCY01 | SoftwareCharge,UC9SDISRCY01,Disaster Recovery Function | 0~1
UScale X1981 | 88031DRY | U18SVSUBPT02 | SoftwareCharge,U18SVSUBPT02,Voice Subscriber Port License(Per Subscriber) | V100R001: 0~10000 V200R003: 0~20000
 | 88031DSA | UC9SVMALCN01 | SoftwareCharge,UC9SVMALCN01,Voice Mail Concurrent License(2 Path,Per License) | 0~30
 | 88031DSB | UC9SVCNSUB01 | SoftwareCharge,UC9SVCNSUB01,Voice Conference Concurrent Subscribers License | V100R001: 0~360 V200R003: 0~2000
 | 88031DSC | UC9SCLTSUB01 | SoftwareCharge,UC9SCLTSUB01,SoftConsole Client Subscriber License | 0~64
 | 88031DSH | UC9SDISRCY01 | SoftwareCharge,UC9SDISRCY01,Disaster Recovery Function | 0~1
 | 88032EAC | U18SLOCREG05 | SoftwareCharge,U18SLOCREG05,X1981 Local Regeneration Function | 0~1

·Voice user licenses apply to both POTS users and SIP users.

·For theactive/standby two-node cluster or disaster recovery (DR), local regenerationfunction, and open interface platform licenses, value 0 indicates that the function is disabled and value 1 indicates that the function is enabled.

License Purchase Rules

When signing a contract order, purchase licenses for each UScale X1900 based on its functions on the network. The following uses the network shown in Figure 1 as an example, where the central node is deployed in an active/standby two-node cluster.

Figure 1 Network where the central node is deployed in an active/standby two-node cluster

Click to enlarge

·Trunk gateway: The trunk gateway provides only trunk connections, has no user registered with it, and does not process any services. No license needs to be applied for.

·Active node: The active node processes all services when it runs properly. You can apply for the voice user license,SoftConsole user license, concurrent built-in voice mailbox license, and concurrent voice conference license for the active node based on the site requirements.

·Standby node: When the active node is faulty, the standby node takes over all services. You need to apply for the active/standby two-node cluster license for the standby node.

After the standby node takes over the services, all user licenses are determined by the UScale X1900 specifications of the standby node instead of the licenses on the active node. However, the validity period of the active/standby two-node cluster license on the standby node is 30 days. If the standby node is disconnected from the active node for more than 30 days, the license on the standby node becomes invalid.

After the standby node is reconnected to the active node, the active node takes over all services, and the validity period of the license on the standby node is automatically restored to 30 days.

·Local node: When a local node is disconnected from the central node, the local node takes over services for local users. You need to apply for the local regeneration function license for the local node.

After the local node takes over the services, all user licenses are determined by the UScale X1900 specifications of the local node instead of the licenses on the active node. However, the validity period of the local regeneration function license on the local node is 30 days. If the local node is disconnected from the active node for more than 30 days, the license on the local node becomes invalid.

After the local node is reconnected to the active node, the active node takes over all services, and the validity period of the license on the local node is automatically restored to 30 days.

Parent Topic: License Faults


How to Activate Licenses

·Obtaining the ESN

·Capacity Expansion Scenario

·

·Upgrade Scenario

·

·Device Replacement Scenario

·

·Network Change Scenario

·

Parent Topic: License Faults


Obtaining the ESN

Viewing the ESN on the System Barcode Label

On the chassis of the UScale X1900,find the system barcode label, as shown in the following figure. The first 20 digits of the barcode are the equipment serial number (ESN).

Click to enlarge

Viewing the ESN in the Web Management System

Log in to the web management system,choose System > View License, and view the ESN.

Click to enlarge

Viewing the ESN on the CLI

Log in to the command-line interface (CLI) of the UScale X1900 as the admin user,enter the View mode, and run the show license command to view the ESN.

Click to enlarge

Parent Topic: How to Activate Licenses


Capacity Expansion Scenario

Scenario Description

Devices run properly on the live network; however, the license capacity cannot meet the current requirements. After the customer places an order to purchase the capacity expansion license, OpenVox delivers the capacity expansion license entitlement, and onsite delivery personnel download the capacity-expanded license file on the ESDP.

This scenario applies to an office where a capacity expansion contract is signed. The new quotation form is processed in the same way as that for a new office. The ESDP automatically generates the license file containing the final capability by merging all license control items on same devices. The license control items in the downloaded license file contain the number of resources that are expanded.

For example, if the UScale X1900 supports 200 licensed voice users, and 100 licensed voice users are added, the final downloaded license supports 300 licensed voice users.

Procedure

In the capacity expansion scenario,verify that the ESN of the UScale X1900 for which the capacity is expanded is the same as that recorded on the ESDP. The subsequent procedure is the same as that in the new deployment scenario.

1.Log in to the ESDP.

2.Choose Equipment management from the navigation tree and check whether the ESN of the UScale X1900 for which capacity expansion is required is the same as that recorded on the ESDP.

Parent Topic: How to Activate Licenses


Upgrade Scenario

A new software version of the UScale X1900 is compatible with the original license file. You do not need to reapply for licenses if the software is upgraded but the capacity is not expanded. If the user capacity is expanded after the software is upgraded, you need to reapply for licenses.

Parent Topic: How to Activate Licenses


Device Replacement Scenario

Scenario Description

Device replacement causes an ESN change. The original license file cannot be used. You need to change the ESN in the original license file and load the new license file on the device.

The following describes the ESN change rules:

·Rule 1: You can change the ESN only in a commercial permanent license file.

·Rule 2: If you have the revocation code, you can change the ESN by yourself. If you do not have the revocation code, you can change the ESN only by submitting an ESN change application workflow.

·Rule 3: The ESN change operation changes the ESN in all license files.

Scenario Where the Revocation Code Is Available

If you can obtain the revocation code after logging in to the UScale X1900, log in to the ESDP to change the ESN by yourself. No manual approval is required.

1.Log in to the CLI of the UScale X1900 as the admin user and enter the Config mode.

2.Run the config disable license command to obtain the license revocation code of the UScale X1900.

Click to enlarge

After the revocation code is generated, the original license file becomes invalid. Record the revocation code for changing the ESN. If you forget the revocation code, run the show disabled license informationcommand to view it.

3.Log in to the ESDP.

4.Choose License Commission And Maintenance > ESN Change.The self-service ESN change page is displayed.

5.Enter the revocation code corresponding to the UScale X1900 for which you want to change the ESN, verify the revocation code, and enter the new ESN.

Click to enlarge

The system automatically submits the ESN change task on the ESDP and completes the ESN change operation.

6.Choose My Task > Operation Record, find the corresponding task record, and click Download to download the adjusted license file.

Scenario Where the Revocation Code Is Unavailable

If you cannot obtain the revocation code, you need to submit an ESN change application workflow for changing the ESN.

1.Log in to the ESDP.

2.Choose License Commission And Maintenance > ESN Change.

The self-service ESN change page is displayed.

3.Click No failure code, please click here and submit an ESN change application workflow.

a.Enter the region and rep office.

b.Enter the application reason and upload the change application attachment.

c.Select the device corresponding to the original ESN and enter the new ESN.

d.Click Submit to submit the application workflow.

Currently, ESN change application workflows are approved by the Rep Office service delivery manager in China Region, and are approved by the regional service delivery manager in regions outside China.

To view the application workflow submitted, choose My task > My Applications.

4.Choose My Task > Operation Record, find the corresponding task record, and click Download to download the adjusted license file.

Parent Topic: How to Activate Licenses


Network Change Scenario

Common UScale X1900 network change scenarios are as follows:

·A local active/standby two-node cluster network is changed to a remote active/standby DR network.

The distance between the active and standby nodes is increased. As long as the active node remains unchanged, you do not need to reapply for licenses.

·A remote active/standby DR network is changed to a local active/standby two-node cluster network.

The distance between the active and standby nodes is decreased. As long as the active node remains unchanged, you do not need to reapply for licenses.

·A local active/standby two-node cluster network or remote active/standby DR network is changed to a network where central and branch nodes are deployed.

The standby node is changed to a local node, so the function of the UScale X1900 is changed. You need to resign a contract order and reactivate licenses based on the contract order.

·A network where central and branch nodes are deployed is changed to a local active/standby two-node cluster network or remote active/standby DR network.

A local node is changed to the standby node, so the function of the UScale X1900 is changed. You need to resign a contract order and reactivate licenses based on the contract order.

·A single-node network is changed to a local active/standby two-node cluster network or remote active/standby DR network.

UScale X1900s need to be added. You need to resign a contract order and reactivate licenses based on the contract order.

·A single-node network is changed to a network where central and branch nodes are deployed.

UScale X1900s need to be added. You need to resign a contract order and reactivate licenses based on the contract order.

Parent Topic: How to Activate Licenses


How to Load Licenses

Background

When no license is loaded, the UScale X1900 supports four voice users but no other functions. After licenses are loaded, the number of each supported item is determined by the license file.

Since V200R003C20, the number of voice users supported by the UScale X1900 with no license loaded is increased to 8.

Procedure

1.Log in to the web management system of the UScale X1900 as the administrator.

2.Choose System > License Information > License Management.

3.Click Browse and select a license file.

Select the correct license file; otherwise, a license loading failure occurs.

4.Click Upload.

Verification

After licenses are loaded, click the License information tab and query license information, as shown in Figure 1.

Figure 1 License information

Click to enlarge

The following table describes the parameters in the license information, corresponding license control items, and part numbers.

Parameter | Control Item Code | Part Number | Description
Total users | LSC2NUMU01 | 88031DRY | Voice user license for the UScaleX1930, X1960 and X1981.
Voice Mail nums | LSC2VMSP01 | 88031DSA | Concurrent built-in voice mailboxlicense.
Conference users | LSC2VOIT01 | 88031DSB | Concurrent voice conference license.
CTI users | LSC2APST01 | 88031DSC | SoftConsole user license.
Local Survival Right | LSC2LSV11 | 88031UWT | Local regeneration function licensefor the UScale X1911.
 | LSC2LSV60 | 88031DSF | Local regeneration function licensefor the UScale X1960.
 | LSC2LSV81 | 88032EAC | Local regeneration function licensefor the UScale X1981.
Redundancy Backup Right | LSC2RMTRC01 | 88031DSH | Active/standby two-node cluster or DRlicense.

Parent Topic: License Faults


Alarm

·ALM-306000078 ASI board fault

· ALM-306000080 OSU board fault

·ALM-306008014 MTU board hardware fault

·ALM-306000284 CPU temperature is too high

·ALM-306000285 CPU temperature restore

·ALM-306010055 License run time will be gone

·

Parent Topic: Fault Management


ALM-306000078 ASI board fault

Description

This alarm is generated when a fault occurs on the ASI board. The possible causes are as follows:

·The ASI board was reset by using the reset board slot, reset card slot, or debug upgrade slot command.

·The ASI board was removed.

·The ASI board restarted abnormally.

Attribute

Alarm ID | Alarm Severity | Alarm Type
306000078 | Critical | Equipment alarm

Parameters

Name | Meaning
Slot | Slot number

Impact on the System

Services for POTS users are interrupted.

System Actions

None.

Procedure

1.Check whether the ASI board is installed.

a.If so, go to Step 2.

b.If not, install the ASI board and wait until it starts. Go to Step 4.

2.Replace the ASI board and wait until the new ASI board restarts. Run the show board command to check the status of the ASI board.

a.If the board status is OK, go to Step 4.

b.If the board status is FAULT, go to Step 3.

3.Install the ASI board into another slot and run the config add board command. After the ASI board starts, checks the board status.

a.If the board status is OK, go to Step 4.

b.If the board status is FAULT, go to Step 5.

4.Check whether the alarm is cleared.

a.If so, go to Step 6.

b.If not, go to Step 5.

5.Contact OpenVox technical support engineers for help or visit http://iCare.OpenVox.com to submit a fault report.

6.End.

Clearing

When the fault is eliminated, the system will auto-clear the alarm. Manual clearing is not required.

Parent Topic: Alarm


ALM-306000080 OSU board fault

Description

This alarm is generated when the OSU fails. The possible causes are as follows:

·The OSU was reset by using the reset board slot, reset card slot, or debug upgrade slot command.

·The OSU was removed.

·The OSU restarted abnormally.

Attribute

Alarm ID | Alarm Severity | Alarm Type
306000080 | Critical | Equipment alarm

Parameters

Name | Meaning
Slot | Slot number

Impact on the System

Services for POTS users are interrupted.

System Actions

None.

Procedure

1.Check whether the OSU is installed.

a.If so, go to Step 2.

b.If not, install the OSU and wait until it starts. Go to Step 4.

2.Replace the OSU and wait until the OSU restarts. Run the show board command to check the status of the OSU.

a.If the board status is OK, go to Step 4.

b.If the board status is FAULT, go to Step 3.

3.Install the OSU into another slot and run the config add board command. After the ASI board starts, checks the board status.

a.If the board status is OK, go to Step 4.

b.If the board status is FAULT, go to Step 5.

4.Check whether the alarm is cleared.

a.If so, go to Step 6.

b.If not, go to Step 5.

5.Contact OpenVox technical support engineers for help or visit http://iCare.OpenVox.com to submit a fault report.

6.End.

Clearing

When the fault is eliminated, the system will auto-clear the alarm. Manual clearing is not required.

Parent Topic: Alarm


ALM-306008016 MTU board fault

Description

The MTU board is not running. Possible causes are as follows: The MTU is restarted after the command such as reset board slot, reset card slot, or debug upgrade slot is executed. The MTU is removed. The MTU is restarted because an exception occurs.

Attribute

Alarm ID | Alarm Severity | Alarm Type
306008016 | Critical | Equipment alarm

Parameters

Name | Meaning
Slot | Slot number

Impact on the System

Users cannot make calls.

System Actions

None.

Procedure

1.Check whether the MTU is installed.

a.If the MTU is installed=>2.

b.If theMTU is not installed, install it and wait until the startup is complete=>4.

2.Replace the MTU and wait until the startup is complete. Then run the show board command to check the MTU status.

a.If the MTU is in OK state=>4.

b.If the MTU is in FAULT state=>3.

3.Install theMTU in an vacant slot and run the config add board command. Wait until the startup is complete and check the MTU status.

a.If the MTU is in OK state=>4.

b.If the MTU is in FAULT state=>5.

4.Check whether the alarm is cleared automatically.

a.If no=>5.

b.If yes, no further action is required.

5.Contact after-sales engineers.

6.End.

Clearing

When the fault is eliminated, the system will auto-clear the alarm. Manual clearing is not required.

Parent Topic: Alarm


ALM-306000284 CPU temperature is too high

Description

This alarm is generated when the CPU temperature is higher than the threshold. The possible causes are as follows:

·The environment temperature is high.

·The system fan fails.

Attribute

Alarm ID | Alarm Severity | Alarm Type
306000284 | Critical | Environmental alarm

Parameters

Name | Meaning
Slot | Slot number
Type | Node type

Impact on the System

If no board fault alarm is generated, this alarm does not affect services but requires immediate handling.

System Actions

None.

Procedure

1.Check the fan.

2.Reduce the temperature.

Clearing

When the fault is eliminated, the system will auto-clear the alarm. Manual clearing is not required.

Parent Topic: Alarm


ALM-306000285 CPU temperature restore

Description

This alarm is generated when the CPU temperature is lower than the threshold.

Attribute

Alarm ID | Alarm Severity | Alarm Type
306000285 | Warning | Environmental alarm

Parameters

Name | Meaning
Slot | Slot number
Type | Node type

Impact on the System

None.

System Actions

None.

Procedure

1.No action is required.

Clearing

When the fault is eliminated, the system will auto-clear the alarm. Manual clearing is not required.

Parent Topic: Alarm


ALM-306010055 License run time will be gone

Description

An alarm is generated every day when the temporary license that can be used time is less than seven days. An alarm is generated once when the temporary license is loaded or system reboot. In local survive scenario, an alarm is generated when local survive remain time is less than seven days. In the active-standby two-node cluster scenario, an alarm is generated when redundancy remain time is less than seven days.

Attribute

Alarm ID | Alarm Severity | Alarm Type
306010055 | Major | State change

Parameters

Name | Meaning
Remain days | Left days

Impact on the System

No influence before the license expires.

System Actions

None.

Procedure

1.Run the show license command to check the license usage.

a.If the value of LeftDays is smaller than or equal to 67=>2.

b.If the value of LeftDays is greater than 67=>3.

2.Contact after-sales engineers to purchase a license. No further action is required.

3.Contact after-sales engineers.

4.End.

Clearing

When the fault is eliminated, manual clearing on the I2000 Client is required.

Parent Topic: Alarm


Reference

This topic describes references of the unified gateway.

·Log Reference

·This topic describes the log classification and the methods of obtaining and analyzing logs for the unified gateway.

·Spare Parts Manual

·This topic describes the unified gateway models of spare parts information.

·Communication Matrix

·A communication matrix is a report stating the security of device ports and system ports, port names and associated functions. Operators and technical support personnel can refer to the communication matrix to configure related services, for example, firewall.

·Channel Tone Reference

·This topic describes the channel tones provided by the built-in voice package of the X1900 unified gateway for reference.

·Pin Assignment Reference

·This topic describes the pin assignments of signal cables for the unified gateway.

·

·Common AT0 Parameter Reference

·This topic describes the standard AT0 interface parameters used in some countries or regions for reference.


Log Reference

This topic describes the log classification and the methods of obtaining and analyzing logs for the unified gateway.

·Log Overview

·The unified gateway provides comprehensive logs to help users learn about device running and operation information, analyze call processes, and locate faults.

·Obtaining Logs

·This topic describes how to obtain logs.

·Analyzing Logs

·This topic describes the log formats and the methods of analyzing logs for the unified gateway.

Parent Topic: Reference


Log Overview

The unified gateway provides comprehensive logs to help users learn about device running and operation information, analyze call processes, and locate faults.

Table 1 describes the logs and log functions of the unified gateway.

Table 1 Log type and description

Type | Description
Run Log | Run logs record key events and faults that occur in system operating, and can be used to locate system faults.
Operate Log | Operation logs record commands executed by maintenance personnel and scheduled tasks, and all the operations (add, delete, modify, and query) performed on configurations.
Call Log | Call logs record detailed running information of programs in a module, key service processes, and the function executing process.
Call Analysis | Call analysis logs can be used to analyze the processes of SIP/PRA/R2/SS7/QSIG trunk-based calls.
Control Block | Control block logs record the in-call control block information.

Parent Topic: Log Reference


Obtaining Logs

This topic describes how to obtain logs.

·Operate Log

·Operation logs record instructions performed by system users including administrators, operators, and supervisors. Use operation logs to locate the time and content of an operation.

·Call Log

·Call logs record service running processes and are used to locate faults or for reference.

·Call Analyzer

·This topic describes how to use the LMT to analyze the call processes for the calls that are made based on the SIP, PRA, R2, SS7 or QSIG trunk.

Parent Topic: Log Reference


Operate Log

Operation logs record instructions performed by system users including administrators, operators, and supervisors. Use operation logs to locate the time and content of an operation.

Prerequisite

The device and LMT have been connected.

Accessing the Configuration Page

Choose Log Management > Operate Log.

Procedure

·Obtaining log information

When you access the configuration page, the LMT automatically obtains log information, as shown in Figure 1.

Figure 1 Log information

You can click [image] or [image] to stop or start refreshing the page where log information is displayed, and click Open to view the generated log file.

§When a device is connected to the LMT, the device's operation logs are stored in the device buffer and the LMT. When the device is disconnected from the LMT, the device's operation logs are stored only in the device buffer, and the logs are synchronized to the LMT incrementally once the device is reconnected to the LMT. A maximum of 5000 operation logs can be stored in the device buffer. If the number of operation logs reaches the upper limit, new logs overwrite the oldest ones. If the device is restarted, its buffer is cleared.

§The operation logs in the device buffer are stored in the Command History Information area of the black box file. The administrator can view such logs in the black box file. The Session field maps the SessionId field in the VTY Connect Information area.

·Querying log information

§Click Search Log.

§Select the items to be searched out in the Search And Filter area and set parameters according to Parameter Description.

§Click Search.

·Filtering log information

§Click Search Log.

§Select the items to be searched out in the Search And Filter area and set parameters according to Parameter Description.

§Click Search.

·Selecting log parameters to be displayed

Click Select Column and select the log parameters to be displayed according to Parameter Description.

·Deleting log information

Right-click a log and choose Delete Selected Records or Delete All Records from the shortcut menu.

Parameter Description

Parameter

Description

Result

Command execution result. The options are SUCCESS and FAILED.

Client IpAddress

IP address of the PC where a configuration tool is installed.

Time

Time when a log is generated.

Client ID

ID of the client for a configuration tool.

Operate Content

Instructions initiated by system users or system scheduled tasks.

UserName

Name of the user who initiates an instruction.

CTLType

Type of the configuration tool connected to the device, which includes the CLI, Web, eSight|LMT, BMU, and CENTERSERVER.

NOTE:

CENTERSERVER is used for the local node or standby node to record logs of the active node's data synchronization in a centralized call management network.

Parent Topic: Obtaining Logs


Call Log

Call logs record service running processes and are used to locate faults or for reference.

Prerequisite

The device and LMT have been connected.

Accessing the Configuration Page

Choose Log Management > Call Log.

Procedure

·Obtaining log information

1.Click Module Switch Configuration.

2.Set parameters according to Table 1.

If you are not familiar with the functions of service modules, you can select the appropriate module based on the scenario. After you select the scenario based on actual conditions, the system automatically selects the corresponding service module.

3.Click Start Configuration.

After enabling the switches, you can click Query Configuration to view the collect items configured previously, and click Close All Configuration to disable all the switches.

4.Click [image] to close the page.

You can click [image] or [image] to stop or start refreshing the page where log information is displayed, and click Open to view the generated log file.

·Querying or filtering log information

1.Click Search Log.

2.Select the items to be searched out in the Search And Filter area and set parameters according to Table 2.

3.Click Search or Filter.

·Setting the column to display log information

Click Config Column and select the items to be displayed according to Table 2.

·Viewing detailed log information

1.Double-click a log that is displayed to view detailed log information.

You can right-click a log and choose View Details from the shortcut menu to view detailed log information.

2.Set Keyword and click Query to search detailed log information for required information.

If you viewing logs about R2 or primary rate interface (PRI) messages, you can right-click a log and choose PRI / R2 Chart Parse from the shortcut menu to view graphical analysis results.

·Deleting log information

Right-click a log and choose Delete Selected Records or Delete All Records from the shortcut menu.

Parameter Description

Table 1 Business Modules

Module | Description
CCM | Call control module where operations such as number analysis and called party location are performed. It is used to display logs about calls.
USAM | User abstract module where operations such as plain old telephone service (POTS) pickup and hangup operations are performed. It is used to display logs about user states.
VU | Virtual switchboard module. It is used to display logs about virtual users (VUs).
H248 | H248 module.
CM | Connection control module. It is used for communication between the control layer (including the USAM, TK, and users) and the resource management layer (including the RM, PATH, and NCM).
RM | Resource management module that manages digital signal processing (DSP) resources for playing announcements, encoding, and decoding. The module can be used to display announcement playing logs.
NM | Network management module. It is used to manage the connection status and port status of each SS component.
CONSOLEGROUP | Attendant group management module. The options are as follows: ·Database function Provides line selection, static database update, dynamic queue update, and maintenance queue update. ·Call function Provides message forwarding between VUs and the device.
CONFERENCE | Conference management module.
BINCLI | BIN channel data synchronization module.
PRI | Primary Rate Interface (PRI) trunk module.
QSIG | QSIG trunk module.
BRI | Basic Rate Interface (BRI) trunk module.
ISUP | Integrated Services Digital Network User Part (ISUP) trunk module.
TUP | Telephone User Part (TUP) trunk module.
SIP | Intra-office Simple Internet Protocol (SIP) trunk module.
SIPTK | Outer-office SIP trunk module.
AT0 | AT0 trunk module.
CNO1 | R2 trunk module.
ISUP Signal | ISUP signaling module.
H248 Signal | H248 signaling module.
USAM IE | User abstract signaling module.
CALL | SIP-call message module.
REGISTER | SIP-registration message module.
OPTION | SIP-heartbeat message module.
SUBSCRIBE | SIP-subscription message module.
NOTIFY | SIP-notification message module.
INFO | SIP-INFO message module.
MESSAGE | SIP-MESSAGE message module.
PUBLISH | SIP-PUBLISH message module.
MTP3 | Message Transfer Part Level 3 (MTP3) protocol.
POTSCP | POTS control protocol.
Q921 | Q921 messages.
DSP | DSP resources of the media resource board.
TSAM | Trunk service abstract module.
MTP2 | Message Transfer Part Level 2 (MTP2) protocol.

Table 2 Parameter description

Parameter | Description
CallerDn | Number of the calling party.
Time | Time when a call is set up.
CalleeDn | Number of the called party.
LogID | Log ID.
ReleaseCause | Digital identifier of the cause for releasing a call.
Description | Description of the call release cause.

Parent Topic: Obtaining Logs


Call Analyzer

This topic describes how to use the LMT to analyze the call processes for the calls that are made based on the SIP, PRA, R2, SS7 or QSIG trunk.

Prerequisite

·The device and LMT have been connected.

·Choose Host Log > Call Log > Module Switch Configuration to configure the module switch.

Accessing Configuration Pages

Choose Log Management > Call Analyzer.

Procedure

·Viewing call flow

1.Select Online Analysis.

2.Set up a call. The call log information is displayed on the UI, as shown in Figure 1.

Figure 1 Call Analysis(1)

3.Click Analyze Call Log.

4.Select a call record on the displayed Call Analysis page. The call flow chart of the selected call is displayed.

·Saving call logs

1.Select Online Analysis.

2.Set up a call. The call log information is displayed on the UI.

3.Click Save.

4.Select a path for storing the logs and enter the file name on the displayed Save dialog box. Click Save.

Parameter Description

Parameter | Description
Time | Time when a call starts.
Source | Name of the device that initiates a message.
Destination | Name of the device that receives a message.
Protocol | SIP, PRA, R2, SS7 and QSIG are included.
Call ID | ID of the call process.
Information | Message type.

Parent Topic: Obtaining Logs


Analyzing Logs

This topic describes the log formats and the methods of analyzing logs for the unified gateway.

·Operate Log

·This topic describes the format of and how to analyze unified gateway operation logs.

·Call Log

·This topic describes the format of and how to analyze unified gateway call logs.

·Call Analysis

·This topic describes the format of and how to analyze unified gateway call analysis logs.

Parent Topic: Log Reference


Operate Log

This topic describes the format of and how to analyze unified gateway operation logs.

Log Format

Table 1 describes the operation log format of the unified gateway.

Table 1 Operate log

Field

Description

Example

Serial No

The sequence number of the operation log

6

Result

Operation result. The operation result has two options according to the command execution result:

·SUCCESS

·FAILED

SUCCESS

Client IpAddress

IP address of the PC where the configuration tool is installed.

10.166.102.152

Time

Time when an operation log is generated.

2023-10-17 17:38:48

Client ID

ID of the configuration tool, which is unique.

29

Operate Content

Command initiated by the system or a system user.

config add prefix

UserName

User name of the initiated command.

admin

CLIType

Type of the configuration tool connected to the unified gateway, which includes CLI, Web, eSight|LMT, BMU, and CENTERSERVER.

NOTE:

CENTERSERVER is used for the local node or standby node to record logs of the active node's data synchronization in a centralized call management network.

WEB

Log Analysis

You can learn about an operation log according to its field information. The operation log example provided in Table 1 conveys the following information: A maintenance engineer logged in to the web management system as an admin user and run the config add prefix command at 2023-10-17 17:38:48, and the execution result is SUCCESS.

Parent Topic: Analyzing Logs


Call Log

This topic describes the format of and how to analyze unified gateway call logs.

Log Format

Table 1 describes the call log format of the unified gateway.

Table 1 call log

Field | Description | Example
Serial No | Serial number of a call log in the LMT. | 2
CallerDn | Calling number of the call corresponding to a call log. | 5000
Time | Time when a call log is generated. | 20130221-16:46:21
CalleeDn | Called number of the call corresponding to a call log. | 5001
LogID | ID of a call log generated by the unified gateway. | 0x00000006
ReleaseCause | Cause code of the call release corresponding to a call log. For details about the common cause codes, see Table 4. | 144
Description | Cause description of the call release corresponding to a call log. | Normal calls are cleared.

Log Analysis

Double-click the call log of a call and view the detailed log information in the lower pane.

With regard to the calling for a specific service function, enable the call log switch of the modules associated with the service type to obtain call logs. After the logs are obtained, trace the status of these modules based on the service process to check whether the process is correct and whether there is any important error message. You can also search for keywords for a quick fault locating.

·Tracing modules

The actual scenario may be a combination of multiple simple scenarios. In the actual scenario, you are advised to decompose the scenario and trace each module so that problems can be located quickly and accurately.

·Searching for keywords

Keywords can be used in log analysis. Table 2 provides error keywords, and Table 3 provides message keywords.

Table 2 Error keywords

Keyword | Description
error | Error.
fail | Failed. The message fail does not necessarily indicate faults.
release | Release. The message release is recorded each time a call is released. You need to determine whether faults occur based on the process information.
alert | Alarm.

Table 3 Message keywords

Keyword | Description | Modules Involved
Setup | A call is initiated and the call process starts. | CCM, USAM, INTESS, and trunks
Alerting | The phone rings. | CCM, USAM, INTESS, and trunks
Connect | Call connection. | CCM, USAM, INTESS, and trunks
Release | Call release. | CCM, USAM, INTESS, and trunks

·Referring to return codes

You can refer to return codes during log analysis to determine fault causes. For common return codes, see Table 4.

Table 4 Return codes

Return Code | Return Code
0 | Newservice set conflict.
1 | Newservice set ok.
2 | Newservice set failed.
3 | Newservice cancel ok.
4 | Newservice cancel failed.
5 | Newservice verify ok.
6 | Newservice verify failed.
7 | Newservice use ok.
8 | Newservice use failed.
9 | Malicious call tracing ok.
10 | Malicious call tracing failed.
11 | Assend user.
12 | No disturb.
13 | Rrecored call save.
14 | Remote test ok.
15 | Long time no information.
16 | Long time no release.
17 | In band signal.
18 | Cock failed.
19 | Exceed max reattempt time.
20 | Rrelease before ring.
21 | Release before answer.
22 | Call barring.
23 | Operator disconnect ok.
24 | Operator disconnect failed.
29 | Record use ok.
30 | Call in barring.
31 | Call fail(tup).
32 | Dual seize.
33 | Remote password update failed.
34 | Remote password update ok.
35 | Remote login call forward ok.
36 | Remote login call forward failed.
37 | Remote cancel call forward ok.
38 | Remote cancel call forward failed.
39 | Join conference ahead failed.
40 | Chairmen has entered.
41 | Diam called owned.
42 | Wrong password.
43 | Redirect restriction.
44 | User queue failed.
45 | Group queue failed.
46 | Timeout in queue.
47 | No CR.
48 | No CCM.
49 | No network resource.
50 | No DTMF resource.
51 | No MFC resource.
52 | No dialing abandon.
53 | No dialing timeout.
54 | Partial dial abandon.
55 | Partial dial timeout.
56 | Long time no alerting.
57 | Long time no answer.
58 | Console call waiting.
59 | Join conference as chairmen.
60 | User suspended.
73 | Waiting call clear.
77 | Black white list barring.
78 | Cli judge restriction.
79 | Redirect from trunk restriction.
81 | Reave cirecuit.
82 | Billpool is full.
83 | No immeconf resource.
96 | Dial no reserved.
97 | User port not active.
98 | Application conference list.
99 | Add conference list.
100 | Del conference list one.
101 | CFU.
102 | Consolegroup call forward.
103 | Conference room is full.
104 | Otmn clip booking.
105 | PKT trunk rerouting.
106 | License limited.
107 | Sipuser license limited.
108 | Specail number failed.
109 | Default route analyse failed.
110 | Call clear.
111 | Radius access failed.
112 | Radius account failed.
113 | Call transfered.
116 | Confer terminal operate ok.
117 | Card radius auth failed.
118 | Card radius charge failed.
119 | Card radius query balance failed.
120 | Card radius change password.
121 | Card radius account failed.
122 | Card radius wait authers timeout.
123 | One user bind onemore card.
126 | Diam time not enough.
127 | No instant conference right.
128 | Unknow.
129 | Uncalloced phone number.
130 | No route to specified internetwork.
131 | No route to termial.
132 | Send private tone.
133 | Error include long distance.
134 | Route unacceptable.
135 | Call has established and deliverd on route established.
144 | Normal call clear.
145 | Called busy.
146 | Called no respond.
147 | No acknowlege.
149 | Call rejected.
150 | Number changed.
154 | Clear unselected.
155 | Terminal error.
156 | Invalid format or address not enough.
157 | Facility rejected.
158 | Respond to status enquiry.
159 | Normal.
160 | Number portable has used.
162 | No route available.
166 | Network error.
169 | Error for the time being.
170 | Exchange facility surge.
171 | Access info lost.
172 | No route or circuit applied available.
175 | No resource availbale.
177 | No suitbale service quality.
178 | Facility applied not preserved.
183 | Incoming call uncallow.
185 | Bearer capability not permit.
186 | No bearer capablitity available this time.
191 | No suitable service or optional project.
193 | Bearer capability not lay out.
194 | Route type not lay out.
197 | Facility applied not lay out.
198 | Only limited digital info bearer capability.
209 | Service or optinal project not lay out.
210 | Invalid call reference.
211 | Route indentified not exist.
212 | Suspended call exist but no call indentifier.
213 | Call indentifier is using.
214 | No suspended call.
215 | Call has the call indentifier applied cleard.
216 | Called is not CUG.
219 | Terminal uncompatable.
223 | Invalied transmit network selection.
224 | Invalid message.
225 | Necessary IE lost.
226 | Message type not exist or not lay out.
227 | Message state error or message error.
228 | IE not exist or not lay out.
229 | Invalid ie content.
231 | Recovery of time out.
238 | Para not exist.
239 | Protocol error.
255 | Interwork.

Parent Topic: Analyzing Logs


Call Analysis

This topic describes the format of and how to analyze unified gateway call analysis logs.

Log Format

Table 1 describes the format of a call analysis log.

Table 1 Call analysis

Field | Description | Example
Time | Time when a call analysis log is generated. | 2023-08-22 07:21:45.58
Source | Source device of a call. | UScale X1900
Destination | Destination device of a call. | Peer PBX
Protocol | Call protocol. SIP, PRI(PRA), R2, SS7, and QSIG are supported. | PRI
Call ID | Call process ID. | 00c7
Information | Message type. | RELEASECOMPLETE

Log Analysis

Locate the call based on the detailed call information in the log and analyze whether the call process meets the requirements.

Parent Topic: Analyzing Logs


Spare Parts Manual

This topic describes the unified gateway models of spare parts information.

· UScale X1911 Unified Gateway Spare Parts Manual

·

· UScale X1960 Unified Gateway Spare Parts Manual

·

· UScale X1981 Unified Gateway Spare Parts Manual

·

·

Parent Topic: Reference


UScale X1911 Unified Gateway Spare Parts Manual

For details, see the UScale X1911 Unified Gateway Spare Parts Manual.

Parent Topic: Spare Parts Manual


UScale X1960 Unified Gateway Spare Parts Manual

For details, see the UScale X1960 Unified Gateway Spare Parts Manual.

Parent Topic: Spare Parts Manual


UScale X1981 Unified Gateway Spare Parts Manual

For details, see the UScale X1981 Unified Gateway Spare Parts Manual.

Parent Topic: Spare Parts Manual


Navigation: Reference >

Return to chapter overview

Communication Matrix

Parent Topic: Reference


Channel Tone Reference

For details, see the Audio File List.

Parent Topic: Reference


Pin Assignment Reference

This topic describes the pin assignments of signal cables for the unified gateway.

·Pin Assignments of Subscriber Cables

·This topic describes the mappings between cable pins and ports when high-density subscriber cables are connected to the ASI and OSU boards.

·E1/T1 Trunk Cable Pin Assignments

·This topic describes the pin assignments of the E1 and T1 trunk cables.

Parent Topic: Reference


Pin Assignments of Subscriber Cables

This topic describes the mappings between cable pins and ports when high-density subscriber cables are connected to the ASI and OSU boards.

A high-density subscriber cable consists of four groups of wires, with each group tied with blue or orange adhesive tapes. A wire group consists of 8 wire pairs. Each pair contains two twisted cores of different colors. When making wire pairs, select twisted cores within the same wire group. Figure 1 shows a high-density subscriber cable.

Figure 1 High-density subscriber cable

The high-density user cable delivered with the device has no RJ11 connector assembled. If you need a RJ11 connector, find the wire pair in the following table, strip off the jacket of the twisted-pair cable, insert the twist pair into the middle pins of the RJ11 connector, and use a crimping tool to crimp the connector. The following table describes the pin assignment of high-density user cables when they connect to the ASI and OSU boards.

Table 1 Pin assignments for the ASI Board and OSU Board

DB68 Pin | Tape Color (Wire Group) | Wire Pair Color | Port (ASI) | Port (OSU)
36/35 | Blue | Blue/White | FXS-0 | FXO-0
38/37 |  | Orange/White | FXS-1 | FXO-1
40/39 |  | Green/White | FXS-2 | FXO-2
42/41 |  | Brown/White | FXS-3 | FXO-3
44/43 |  | Gray/White | FXS-4 | FXO-4
46/45 |  | Blue/Red | FXS-5 | FXO-5
48/47 |  | Orange/Red | FXS-6 | FXO-6
50/49 |  | Green/Red | FXS-7 | FXO-7
2/1 |  | Brown/Red | FXS-8 | FXO-8
4/3 |  | Gray/Red | FXS-9 | FXO-9
6/5 |  | Blue/Black | FXS-10 | FXO-10
8/7 |  | Orange/Black | FXS-11 | FXO-11
10/9 |  | Green/Black | FXS-12 | -
12/11 |  | Brown/Black | FXS-13 | -
14/13 |  | Gray/Black | FXS-14 | -
16/15 |  | Blue/Yellow | FXS-15 | -
54/53 | Orange | Blue/White | FXS-16 | FXS-0
56/55 |  | Orange/White | FXS-17 | FXS-1
58/57 |  | Green/White | FXS-18 | FXS-2
60/59 |  | Brown/White | FXS-19 | FXS-3
62/61 |  | Gray/White | FXS-20 | FXS-4
64/63 |  | Blue/Red | FXS-21 | FXS-5
66/65 |  | Orange/Red | FXS-22 | FXS-6
68/67 |  | Green/Red | FXS-23 | FXS-7
20/19 |  | Brown/Red | FXS-24 | FXS-8
22/21 |  | Gray/Red | FXS-25 | FXS-9
24/23 |  | Blue/Black | FXS-26 | FXS-10
26/25 |  | Orange/Black | FXS-27 | FXS-11
28/27 |  | Green/Black | FXS-28 | -
30/29 |  | Brown/Black | FXS-29 | -
32/31 |  | Gray/Black | FXS-30 | -
34/33 |  | Blue/Yellow | FXS-31 | -

Parent Topic: Pin Assignment Reference


E1/T1 Trunk Cable Pin Assignments

This topic describes the pin assignments of the E1 and T1 trunk cables.

E1 Trunk Cable

Table 2 1E1 trunk cable pin assignments (applicable to the X1911/X1960/X1981)

DB9 Pin Foot | Signal | Port
1/2 | RX+/RX- | R0
6/7 | TX+/TX- | T0

Table 3 2E1 trunk cable pin assignments (applicable to the X1911/X1960/X1981)

DB9 Pin Foot | Signal | Port
1/2 | RX0+/RX0- | R0
6/7 | TX0+/TX0- | T0
3/4 | RX1+/RX1- | R1
8/9 | TX1+/TX1- | T1

Table 6 Pin assignments of the E1 trunk 75–to-120–ohm transfer box

75-ohm Signal Side Pin Foot | Port | 120-ohm Signal Side Pin Foot
RX+/RX- | RX | 4/5
TX+/TX- | TX | 1/2

T1 Trunk Cable

Table 8 1T1 trunk cable pin assignments (applicable to the X1911/X1960/X1981)

DB9 Pin Foot | Signal | Wire Pair Color | RJ48 Pin Foot | Port
1/2 | RX+/RX- | White and orange/Orange | 2/1 | R0/T0
6/7 | TX+/TX- | White and blue/Blue | 5/4

Table 9 2T1 trunk cable pin assignments (applicable to the X1911/X1960/X1981)

DB9 Pin Foot | Signal | Wire Pair Color | RJ48 Pin Foot | Port
1/2 | RX0+/RX0- | White and orange/Orange | 2/1 | R0/T0
6/7 | TX0+/TX0- | White and blue/Blue | 5/4
3/4 | RX1+/RX1- | White and green/Green | 2/1 | R1/T1
8/9 | TX1+/TX1- | White and brown/Brown | 5/4

Table 10 4T1 trunk cable pin assignments (applicable to the )

DB50 Pin Foot | Signal | Wire Pair Color | RJ48 Pin Foot | Port
30/31 | RX0+/RX0- | Blue/White | 2/1 | R0/T0
2/3 | TX0+/TX0- | Orange/White | 5/4
36/37 | RX1+/RX1- | Green/White | 2/1 | R1/T1
8/9 | TX1+/TX1- | Brown/White | 5/4
42/43 | RX2+/RX2- | Grey/White | 2/1 | R2/T2
14/15 | TX2+/TX2- | Blue/Red | 5/4
48/49 | RX3+/RX3- | Orange/Red | 2/1 | R3/T3
20/21 | TX3+/TX3- | Green/Red | 5/4

Parent Topic: Pin Assignment Reference


Common AT0 Parameter Reference

This topic describes the standard AT0 interface parameters used in some countries or regions for reference.

For details, see the AT0 Multi-Country Parameter Reference.

Parent Topic: Reference


Glossary

·Numerics

·

·A

·

·B

·

·C

·

·D

·

·E

·

·F

·

·G

·

·H

·

·I

·

·L

·

·M

·

·N

·

·O

·

·P

·

·R

·

·S

·

·T

·

·U

·

·V

·

·W

·


Numerics

1+1 cold backup

A backup mode in which two systems with the same functions are deployed, one in the active state and the other in the standby state with power off. Once the active system encounters a fault, the standby system takes over the service of the active system by manual intervention.

1+1 hot backup

A backup mode in which two systems with the same functions are deployed, one in the active state and the other in the standby state with power on. The standby system backs up the data of the active system automatically. Once the active system encounters a fault, the standby system takes over the service of the active system automatically or by manual intervention.

100BASE-TX

IEEE 802.3 Physical Layer specification for a 100 Mb/s CSMA/CD local area network over two pairs of Category 5 unshielded twisted-pair (UTP) or shielded twisted-pair (STP) wire.

3G

See 3rd Generation

3rd Generation

The third generation of digital wireless technology, as defined by the International Telecommunications Union (ITU). Third generation technology is expected to deliver data transmission speeds between 144 Kbps (kilobits per second) and 2 Mbps (megabits per second), compared to the 9.6 Kbps to 19.2 Kbps offered by second generation technology. Western Europe and Japan lead the world in adoption of 3G technology and services.

3WC

See Three-Way Calling

Parent Topic: Glossary


A

abbreviated dialing

A feature that allows the caller to call the callee by dialing an abbreviated number with two digits instead of the original callee number.

absent subscriber service

A service that allows other users calling a registered user to hear an announcement indicating that the callee is absent. This service is used when the user is unavailable for answering calls.

access code for retrieving messages

The access code to be dialed when a unified message system (UMS) user obtains voice or fax messages.

Access Gateway

A type of gateway that provides a user-network interface (UNI) such as ISDN. An access gateway is located at the edge access layer of the NGN structure, and provides various methods for connecting users to the NGN.

Access Network

In telecommunications, an access network is a network that connects subscribers to telecommunication service providers over public ground. It can be considered the route between the subscriber's home, and the ISP itself. The access network is composed of the carrier's station and the end user.

ACD

See Automatic Call Distributor

active/standby control mode

A running mode in which two main control boards working in active/standby mode are installed in a system.

active/standby switchover

A troubleshooting technology. When an active device becomes faulty, services and control functions are automatically switched over to the standby device to ensure the normal running of the services and functions.

Address Resolution Protocol

Address Resolution Protocol (ARP) is an Internet Protocol used to map IP addresses to MAC addresses. It allows hosts and routers to determine the link layer addresses through ARP requests and ARP responses. The address resolution is a process in which the host converts the target IP address into a target MAC address before transmitting a frame. The basic function of the ARP is to query the MAC address of the target equipment through its IP address.

AG

See Access Gateway

agent

An enterprise that operates on part or all of the products of a carrier to gain commission

agent busy

A state that is set when the attendant cannot answer calls. The agent busy state can be canceled when necessary. After an agent is set to busy, the following calls to this agent are not included in the call queue of this agent.

alarm

A message reported when a fault is detected by a device or by the network management system during the process of polling devices. Each alarm corresponds to a recovery alarm. After a recovery alarm is received, the status of the corresponding alarm changes to cleared.

alarm clock service

A service that allows the phone to ring at the preset time to inform the user of an arranged task.

alarm mask

On the host, an alarm management method through which users can set conditions for the system to discard (not to save, display, or query for) the alarm information meeting the conditions.

alarm severity

The significance of a change in system performance or events. According to ITU-T recommendations, an alarm can have one of the following severities: Critical, Major, Minor, Warning.

AN

See Access Network

ARP

See Address Resolution Protocol

attendant

A person who provides service enquiry and assistance to group members. In the VPN service, an attendant may be a group member or someone from the carrier's party.

attendant position

The part of a switching system used by an attendant, i.e., an operator, to assist users in call completion and use of special services.

authentication

An act that decides whether a user can be awarded with access right or what kinds of users can access a network.

Automatic Call Distributor

A device distributing calls to corresponding agents or the automatic voice answer system according to the set rules, providing the functions of managing inbound and outbound calls and distributing calls.

automatic login

A login mode in which no user name and password need to be entered when you double-click the host icon, when the client disconnects with the host, or when you start the client. The system automatically logs in to the host with the latest user name that is used to log in to the host successfully. The automatic login mode is classified into double-click login mode and automatic link mode.

automatic switchboard

A service that allows all the incoming calls to be forwarded to the preset automatic switchboard. By default, the switchboard plays the prompt asking the user to dial the extension.

average occupied duration

Average interval between the occupation of a trunk and the release of the trunk in a statistical period. Average occupied duration = Total occupation duration/Total occupation events

Parent Topic: Glossary


B

backplane

A circuit board providing the Zone 1 and Zone 2 connectors for board slots and supporting power distribution, management, and auxiliary signal connections. Link ports of the slots are connected through high-speed signal twisted pairs.

bearer network

A network used to carry the messages of a transport-layer protocol between physical devices.

BHCA

See Busy Hour Call Attempts

BHCC

See Busy Hour Completed Call

bill

A list through which a carrier provides the service fee information periodically for a subscriber. A bill records the information such as the final balance and the fees for using the services and products. Bills are classified into detail bills and summary bills. A carrier charges a subscriber according to the information on the bill.

billServer

A server that exchanges bills with the UScale X1960 hosts. It can store and process the binary bills from multiple UScale X1960 hosts.

bind numbers

To bind the account ID of a subscriber to the unified gateway number so that the subscriber can obtain the service or operation rights that the unified gateway number has.

blacklist and whitelist

A method that the system determines whether to connect a call based on the preset restriction relation between the home group of the calling party and the home group of the called party.

BMU

See business management unit

board

Board refers to an electronic part that can be plugged in to provide new capability. It comprises chips and electronic components and these components are always on a flat and hard base and connected through conductive paths. A board provides ports for upstream connections or service provisioning.

break-in service

A service that allows the attendant to break in on the conversation between two common users. Then, the three parties can converse.

bus

A path or channel for signal transmission. The typical case is that, the bus is an electrical connection that connects one or more conductors. All devices that are connected to a bus, can receive all transmission contents simultaneously.

business management unit

The service management system that is based on the browser/server structure. The Business Management Unit (BMU) provides functions such as self-service, charging management, and call conference management. Subscribers perform operations on the Web pages to realize the functions.

Busy Hour Call Attempts

The number of call attempts during the busiest hour of the day. BHCA cover successful calls and unsuccessful call attempts.

Busy Hour Completed Call

Number of calls completed on the current exchange in the busiest hour on a day, containing incoming and outgoing calls.

busy tone

A tone that indicates that the called number is busy. This tone is of 480 Hz to 620 Hz and repeated 60 times per minute.

busy/idle status area

The area on the console client where the current information about the attendant is displayed. The information about the phone number, group ID, and status of the attendant is displayed.

Parent Topic: Glossary


C

cabinet

Free-standing and self-supporting enclosure for housing electrical and/or electronic equipment. It is usually fitted with doors and/or side panels which may or may not be removable.

call attempts

Number of calls in a statistical period.

call back on busy service

A service in which if a user calls an intra-office user who is busy, the system can automatically initiate a call to this intra-office user when detecting that this user is free.

call completion rate

In a measurement period, the ratio of the number of connected calls to the total number of call attempts. Calculation formula: Call completion rate = Number of connected calls / Total number of call attempts x 100%

call control

A set of functions used to process a call, including establishing, supervising, maintaining, connecting, and releasing calls, and provide service features.

call forwarding busy (CFB) service

A service that allows all the calls to a registered user to be forwarded automatically to a preset phone number when this user is busy.

call forwarding no reply (CFNR) service

A service that allows a call to a registered user to be forwarded automatically to a preset phone number if this user does not answer the call within 20 seconds.

call forwarding offline

A service that allows all the calls to a registered user to be forwarded automatically to a preset phone number when this user is offline.

call forwarding unconditional (CFU) service

A service that allows all the calls to a registered user to be forwarded to a preset phone number irrespective of the status of this user.

Call Hold

A subscriber can hold a call already set up. In this case, the transmission of media streams between the caller and callee is stopped, but the call resources are not released. The call can be resumed when required.

call hold service

A service that allows a user to stop an ongoing conversation and resume the conversation when necessary.

call out

To make a call to objects outside a customer service center in a way such as voice, short message, email, fax, or chat.

call prefix

A string of numbers, which is used to determine the service attribute of a call. Call prefixes are subsets of called numbers. A call prefix starts from the first digit of the called number. It can be a part of the called number or whole of the called number.

call park service

Through call park, a subscriber can hold the current call and resume the held call on another intra-office phone. If the subscriber has not resumed the call in the preset period, the system releases the call and then the held party hears the busy tone.

call restriction on an incoming trunk

A function that the unified gateway checks whether an incoming trunk has the outgoing call right in case the incoming trunk initiates an outgoing call. If the incoming trunk does not have the outgoing call right, the unified gateway restricts the incoming trunk to initiate an outgoing call to prevent the incoming trunk from initiating a call through the switch.

call source

A subscriber or an incoming trunk that initiates a call. In normal cases, subscribers or incoming trunks with the same caller attributes belong to the same call source. Call sources are classified according to the following caller attributes: pre-received digit, dialed number (DN) set, route selection source code, failure source code, national area code, and local MSC number.

Call Transfer

Provides the ability to transfer calls from one cordless handset to another or between the base speakerphone and any other registered handset within the system.

call transfer service

A service that allows any party in a call to transfer the call to the third-party and then exit from the call.

call transfer to voice mailbox on no reply (CTVMNR) service

A service that allows a call to a registered user to be forwarded automatically to the UMS if this user does not answer the call within 20 seconds. Then, the caller can leave messages according to prompts.

call transfer to voice mailbox unconditional (CTVMU) service

A service that allows all the calls to a registered user to be forwarded to the UMS unconditionally. Then, the caller can leave messages according to prompts.

call transfer to voice message on busy (CTVMB) service

A service that allows a call to a registered user to be forwarded automatically to the UMS if this user is busy. Then, the caller can leave messages according to prompts.

call waiting service

When there is a call to a user that is already in conversation, the user hears a prompt. In this case, the user can answer this call or neglect it. If the user answers this call, the user can switch between the two conversations.

call-out restriction service

The restriction on a calling party to dial particular numbers.

callback

A call mode in which both ends of the communication participate in the call. One end is called the Client, while the other end is caller the Server. The Client initiates a call, and the Server decides whether to callback or not. If a callback is needed, the Server tears down the connection and then initiates a call to the Client.

called number

The number dialed by the subscriber who originates a call.

caller number analysis prefix

When a caller number matches this prefix and originates a call, a number change is performed to the called number. Typically, an IVR recording flow access prefix is added in front of the called number. The call can then start the IVR recording flow and be recorded.

calling party number

The number of the subscriber who makes a call.

capacitive coupling

The electrical interaction between two conductors that is caused by the capacitance between them.

floating nut

floating nuts (or as they are more correctly named, 'tee nuts') have a range of uses but are more commonly used in the hobby for engine fixing (securing engine mounts to the firewall), wing fixings, and undercarriage fixing.

captive screw

A threaded screw which is held captive to a panel and which, when disengaged from its main nut, remains fixed to that panel.

card number service

A value-added service that helps to implement functions such as basic call, recharging an account, changing a password, querying account balance, binding terminals, prepayment, and postpayment.

CAS

See Channel Associated Signaling

CC through host convening

A conference method in which the host adds or deletes attendees on the phone during a conference.

CC through individual dialing-in

A conference method in which the attendees join a conference call by dialing the preset access code and password.

cc through system convening

A conference mode in which the phones of the pre-configured attendees ring at the preset time simultaneously and the attendees join the conference after they pick up the phone.

CDMA

See Code Division Multiple Access

CDR pool

A buffer that stores the original CDRs generated by the call control module of the board. The CDR pool enables the host to send CDRs at appropriate time. When the space of the CDR pool is limited, the host restricts the calls, generates corresponding alarms, and automatically sends the CDRs to the charging gateway. Thus, the CDR loss can be avoided when the MSOFTX3000 is disconnected from the MSC.

centralized alarm

The alarms of all the hosts connecting to the operation and maintenance unit (OMU).

CH

See Call Hold

Channel Associated Signaling

A signaling system in which signaling information is transmitted within a dedicated voice channel. China Signaling System No. 1 is a type of CAS signaling.

cleared alarm

A cleared alarm is reported when an alarm is cleared and the device or system restores. A cleared alarm corresponds to a fault alarm.

CLI

See Command Line Interface

client end

client side: A description of technologies (for example: java-script and Macromedia Flash) that are downloaded and run by the user's Web browser rather than on the Web server.

client/server mode

A network model in which the client (a desktop PC) shares application programs and data through a central file server.

CLIP service

A service that allows the caller number to be displayed on the phone set of a registered user (callee) if the caller does not subscribe to the calling line identification restriction (CLIR) service.

CLIR service

A service that allows the phone number of a registered user (caller) not to be displayed on the callee phone set irrespective of whether the callee has subscribed to the calling line identification presentation (CLIP) service.

clock source

A device that provides standard time for the NTP configuration.

cno.1

A channel-associated signaling defined by China. CNO.1 is one of trunking modes for the host to connect to the PSTN.

co-group pickup service

A service that allows a registered user to answer the calls to any subscriber in the same pickup group as the registered user by dialing the pickup access code.

coaxial cable

Coaxial cable is a kind of copper cable between the community antenna and user homes.

Code And Decode

An operation performed to allow two terminals that support different voice encoding and decoding formats to communicate with each other. In a communications network, voice data need to be compressed to effectively use network resources, thus improving the network utilization and user capacity.

Code Division Multiple Access

A communication scheme that forms different code sequences by using the frequency expansion technology. In this case, subscribers of different addresses can use different code sequences for multi-address connection.

CODEC

See Code And Decode

Command Line Interface

A means of communication between a program and its user, based solely on textual input and output. Commands are input with the help of a keyboard or similar device and are interpreted and executed by the program. Results are output as text or graphics to the terminal.

Computer &Telephony Integration Link

A component that distributes protocols between the CCS and automatic call distributor. It provides a channel for the communication between the automatic call distributor and the external resources of the automatic call distributor.

Computer Telephony Integration

Technology that allows interactions on a telephone and a computer to be integrated or co-ordinated.

conference call (CC) service

A conference by telephone in which three or more parties in different locations participate by using a central switching unit.

config mode

A CLI command operation mode under which the user can run all the commands that can be executed in View mode and the device configuration and maintenance commands.

console interface

An interface for configuring and debugging devices. Physically, it can be an Ethernet interface or an RS-232 serial port.

control board

It is a board that is used to control and manage other boards in the system, and to control and manage the service transmission to the upper layer device.

control flow

A basic unit operated in the system. It is a flow defined according to service requirements. A control flow comprises tasks and events. Tasks are cascaded through events.

CRC

See Cyclic Redundancy Check

critical alarm

An alarm severity that indicates a severe problem exists with the resource and normal use is disrupted or severely impeded. This is the most severe alarm severity.

crossover cable

A twisted pair patch cable wired in such a way as to route the transmit signals from one piece of equipment to the receive signals of another piece of equipment, and vice versa.

CT

See Call Transfer

current equalization

The even output current between modules.

Cyclic Redundancy Check

A procedure used in checking for errors in data transmission. CRC error checking uses a complex calculation to generate a number based on the data transmitted. The sending device performs the calculation before transmission and includes it in the packet that it sends to the receiving device. The receiving device repeats the same calculation after transmission. If both devices obtain the same result, it is assumed that the transmission was error free. The procedure is known as a redundancy check because each transmission includes not only data but extra (redundant) error-checking values.

Parent Topic: Glossary


D

Data backup

A method that is used to copy key data to the standby storage area, to prevent data loss in the case of the damage or failure in the original storage area.

debugging network interface

A network interface used for debugging a device. At present, the RJ-45 interface is used.

debugging serial interface

A serial interface used for debugging a device. At present, the RJ-45 interface is used.

delay hotline service

A service in which if a user does not dial a number within five minutes after picking up the phone, a call is initiated to a preset number (hotline number) automatically.

designated pickup service

A service in which a registered user can answer the calls for a subscriber whose phone is ringing by dialing the pickup access code and callee number.

digit collecting

A function for receiving a certificate number, call number, password, date, time, answer, key name.

Digital Signal Processor

A specialized microprocessor designed specifically for digital signal processing, generally in real-time.

digitmap

A DigitMap is a dialing plan resident in the Media Gateway used for detecting and reporting digit events received on a Termination.

Direct-Inward-Dialing (DID) service

A service that allows an intra-office user to be connected through the PSTN long number of this user. That is, this call does not need to be transferred to this user through the automatic switchboard.

Do-Not-Disturb (DND) service

A service that allows the caller to hear a DND announcement or the busy tone. A user that does not want to answer calls can use this service. After subscribing to this service, the user can still make calls.

DSP

See Digital Signal Processor

DTMF

See Dual Tone Multiple Frequency

Dual Tone Multiple Frequency

In telephone systems, multifrequency signaling in which standard set combinations of two specific voice band frequencies, one from a group of four low frequencies and the other from a group of four higher frequencies, are used.

Parent Topic: Glossary


E

E1

A European standard for high-speed data transmission at 2.048 Mbit/s. It provides 32 x 64 kbit/s channels.

echo

In the traditional PSTN network, an echo is caused by the 2/4 wire conversion. In a common session, the end-to-end delay is small, an echo can be rapidly transmitted to the ears of speakers, and thus it is not easily felt. In long-distance calls or international long-distance calls, however, the end-to-end delay is big, and the echo canceller must be used to control echoes.

Electromagnetic Compatibility

Electromagnetic compatibility is the condition which prevails when telecommunications equipment is performing its individually designed function in a common electromagnetic environment without causing or suffering unacceptable degradation due to unintentional electromagnetic interference to or from other equipment in the same environment.

ElectroStatic Discharge

The sudden and momentary electric current that flows between two objects at different electrical potentials caused by direct contact or induced by an electrostatic field.

Element Management System

An element management system (EMS) manages one or more of a specific type of network elements (NEs). An EMS allows the user to manage all the features of each NE individually, but not the communication between NEs - this is done by the network management system (NMS).

EMC

See Electromagnetic Compatibility

emergency maintenance

A type of measure taken to quickly remove a fault, thus restoring the system or recovering the normal running of a device when an emergency fault occurs in the system or device. This type of accidental maintenance is performed to reduce losses.

EMS

See Element Management System

Erlang

A unit of measurement of telephone traffic. It is equal to one hour of conversation (3,600 seconds or 36 CCS). It also specifies the approximate number of trunks in use; for example, if the traffic in a call center is 8.5 Erlangs in one hour, more than 8 trunks were used in that hour.

ESD

See ElectroStatic Discharge

ESD wrist strap

Used to prevent the ElectroStatic Discharge (ESD) when you touch or operate a device or component.

Event alarm

Alarm caused by a predefined event, such as congestion, that happens when the equipment is running. The alarm represents an instantaneous status of the system and the status may not be a fault. Some event alarms are generated repeatedly and regularly.

Parent Topic: Glossary


F

fan

A device for creating a current of air by movement of a surface or surfaces.

Fast Ethernet

A type of Ethernet with a maximum transmission rate of 100 Mbit/s. It complies with the IEEE 802.3u standard and extends the traditional media-sharing Ethernet standard.

Fault alarm

Alarm caused by hardware and/or software faults, for example, board failure, or by the exception of major functions. After handling, a fault alarm can be cleared, upon which the NE reports a recovery alarm. Fault alarms are of higher severity than event alarms.

fax extension

A number that must be dialed when a user sends a fax to a UMS user.

fax mailbox

A virtual mailbox used to store faxes. The user can obtain faxes from the mailbox by fax machine or email.

fax mailbox service with unified access code

A service that allows the caller to dial the unified access code for sending faxes on the fax machine. Then, the call is forwarded to the UMS. The caller sends faxes to the callee according to prompts.

FE

See Fast Ethernet

fee rate

The call charges within a specific period.

filler panel

A piece of board to cover vacant slots, to keep the frame away from dirt, to keep proper airflow inside the frame, and to beautify the frame appearance.

final bill

The last bill provided by a carrier to a subscriber after the subscriber leaves from the network of a carrier. Regardless of the type of the bill that the subscriber subscribes to, the carrier sends a paper bill to the subscriber after the subscriber leaves from the network of the carrier.

final CDR

After receiving original CDRs, the charging NEs processes the CDRs as follows: Saves the final CDRs to the hard disk. Sorts the CDRs and converts their format. Saves the CDRs processed to the hard disk based on a specific classification. The carriers use the final CDRs to charge the subscribers and to process the inter-network settlement. Generally, the billing center automatically and periodically retrieves the final CDRs from the hard disk of the charging NEs through the network.

forced release service

A service that allows the attendant to release a conversation of an intra-office user forcibly when necessary. The attendant may release the conversation when there is a toll call to this user or for other reasons.

FTP

To download files from or upload files to remote computer system, via the Internet's File Transfer Protocol.

fully loaded

A state that indicates that all slots of a piece of equipment are in use, that is, the equipment has no vacant slots.

Parent Topic: Glossary


G

gateway

A device to connect two network segments which use different protocols. It is used to translate the data in the two network segments.

Graphical User Interface

A visual computer environment that represents programs, files, and options with graphical images, such as icons, menus, and dialog boxes, on the screen.

GUI

See Graphical User Interface

guide rail

Components to guide, position, and support plug-in boards.

Parent Topic: Glossary


H

handshake

Sequence of messages exchanged between two or more network devices to ensure transmission synchronization.

hardware reset

An operation of re-loading data and program for specified boards through pressing the RST key on the board panel.

heartbeat

Heartbeats are the packets, requiring no acknowledgement, transmitted between two devices. The device can judge the validity status of the peer device.

host breakdown

A severe fault that results in the loss of all or most of the functions of the host.

hot plugging

A technology used to improve the reliability and maintainability of a system. It ensures that the system performance is not affected when a board is inserted and removed during system running.

hyper terminal

A program which can be connected to other computers, Telnet sites, BBSs (Bulletin Boards System), online services, and hosts by using the Modem, zero Modem cable, or TCP/IP (Winsock).

Parent Topic: Glossary


I

IAD

See Integrated Access Device

incoming call queuing

To queue the incoming calls by time when all the attendants in the attendant group are busy. When an attendant in the group becomes free, this attendant answers the earliest call in the queue.

incoming trunk group

A trunk group used to receive voices or signaling from the peer device.

Indicator

Description of a performance feature collected from the managed devices by the performance collector.

inductance coupling

It is a transformer model implementing coupling through a space high frequency alternating magnetic field, which is based on the law of electromagnetic induction.

Instant conference

When no conference is reserved, the host can hold an instant conference by calling other subscribers.

Integrated Access Device

An Integrated Access Device is an access node that can simultaneously deliver Class 5 switch voice services, packet voice services, and data services (via LAN ports) over a single WAN link. IADs provide a common platform that enables service providers to deliver voice and data over a single access network reducing the cost of co-located equipment in the Telco central office and allowing service providers to least fewer transport spans.

Integrated Services Digital Network

A network defined in CCITT, providing comprehensive transmission service for the voice, video, and data. The ISDN enables the voice, video, and data transmission on a small number of data channels simultaneously, thus implementing a comprehensive transmission service.

intelligent routing

It is a routing mode in which a call is forwarded to a predefined address due to the registration of a forwarding service (such as call forwarding unconditional, call forwarding busy, call forwarding unreachable, or call forwarding no reply).

Interactive Voice Response

A telecommunications system which uses a prerecorded database of voice messages to present options to a user, typically over telephone lines. User input is retrieved via DTMF tone key presses.

internal call recording

The IVR recording flow helps record a call between internal subscribers, a call when an internal subscriber calls a PSTN subscriber, and a call when a PSTN subscriber directly calls an internal subscriber. With internal call recording, the calls of internal subscribers are monitored.

intra-office prefix

The identical preceding one or multiple digits of the extensions in an office.

IP Contact Center

A contact management system which gives growing businesses the flexibility to compete with larger industry players.

IPCC

See IP Contact Center

IPV6

IPv6 is the Internet Protocol of the next version. It is widely agreed that this is the protocol of the next generation Internet. An IPv6 address consists of 128 bits. It emphasizes the end-to-end IP connection, QoS, security, multicast, mobility, and plug-and-play.

ISDN

See Integrated Services Digital Network

Parent Topic: Glossary


L

l2 switching

The switching based on the data link layer.

LAN

See Local Area Network

LDAP

See Lightweight Directory Access Protocol

Lightweight Directory Access Protocol

Short for Directory Access Protocol, a set of protocols for accessing information directories. It is often used to access a directory listing.

link

1. In the topology view, a link is used to identify the physical or logical connection between two topological nodes. 2. A network communications channel consisting of a circuit or transmission path and all related equipment between a sender and a receiver. A link is used to connect signaling points (SPs) and signaling transfer points (STPs) and transmit signaling messages.

live line

A wire that has voltages to the ground in the alternative current (AC) power supply system.

LMT

See Local Maintenance Terminal

Local Maintenance Terminal

Local Maintenance Terminal is a tool that connects to the network element and provides the GUI for the OM of the network element. The LMT is used for the OM of an NE. It supports local and remote maintenance modes.

loading

A flow of importing information from the storage device to the memory to facilitate processing (when the information is data) or execution (when the information is program).

Local Area Network

A network formed by the computers and workstations within the coverage of a few square kilometers or within a single building. It features high speed and low error rate. Ethernet, FDDI, and Token Ring are three technologies used to implement a LAN. Current LANs are generally based on switched Ethernet or Wi-Fi technology and running at 1,000 Mbit/s (that is, 1 Gbit/s).

local number querying service

A service used to query the local phone number by dialing a special prefix.

Log

File and database used to record the use and operation of the system.

log off

To terminate a session with a computer accessed through a communications line-usually a computer that is both distant and open to many users.

log on

To gain access to a specific computer, a program, or a network by identifying oneself with a user name and a password.

Parent Topic: Glossary


M

Mail server

The mail server is a server that can receive and send mails. In the report system, the mail server can forward reports to the external mail boxes of users.

mains supply

The commercial power supply of a nation. In China, the nominal voltage of the mains supply is 220 V AC and the frequency is 50 Hz.

major alarm

An alarm severity that indicates some kind of possibly service-affecting problem with the resource. The severity of the problem is relatively high and normal use of the resource is likely to be impaired.

MAS

See Mobile Agent Server

master control architecture

A design that allows the main control board to control all the other interface boards and resource boards.

Media Gateway

A logical entity that converts the format of the media of a network to meet the format requirement of another network. It can process audio services, video services and data services, and convert the media format in full duplex mode. In addition, it can play certain audio and video signals, and provide the IVR function and media conference.

Media Gateway Controller

The Media Gateway Controller (MGC), also known as Call Agents or Soft Switches, handles registration, management, and control functionality of resources in the Media Gateway (MG).

Media Resource Server

A server that processes media streams in basic and enhanced services, including service announcement provision, conference, notification, and advanced voice services.

message indicator

An indicator light that indicates a new message to a UMS user on the Session Initiation Protocol (SIP) phone.

MGC

See Media Gateway Controller

MGW/MG

See Media Gateway

minor alarm

An alarm severity that indicates a problem of relatively low severity that should not impede use of the resource.

Mobile Agent Server

The MAS is connected to the IAGW to send SMs to mobile phones. The MAS is used in enterprise-constructing mode. It is deployed by an enterprise for private use.

multi-number service

A service that allows a registered user to have multiple phone numbers, a primary phone number and one or more secondary phone numbers. You can connect the user by dialing either the primary phone number or the secondary phone numbers. A primary phone number can correspond to multiple secondary phone numbers whereas a secondary phone number can correspond to a single primary phone number.

multimedia video conference

A conference that integrates audio and video and is typically attended by three parties.

Parent Topic: Glossary


N

network chip

A timeslot exchange chip for time division multiplexing (TDM). The exchange uses the network chip to set up a voice channel between any two internal users.

Next Generation Network

A packet-based network to meet the requirement of various services. It adopts an integrated and open network framework. In NGN, services are separated from call control; call control is separated from bearer. Thus, services are independent of network. NGN can provide various services, such as voice services, data services, multimedia services or the integration of several services.

NGN

See Next Generation Network

number change

An operation performed on the called number or caller number to insert, delete, or change the digits of this number.

Parent Topic: Glossary


O

office direction

If two offices have direct voice path, one office is called the office direction of the other.

OMU client

The Windows operation and management platform of an unified gateway host. It can function as the monitoring center and data management center of the device. An OMU client can be used to manage multiple hosts.

on

Pertaining to a state in which an indicator light is always illuminated and no flicker.

one number link you service

The Unicall service is a personal communication service that enables multiple terminals of a user, including intra-office terminals and outer-office terminals to share the same number. You can apply for Unicall service for any number, the number with Unicall service is Unicall number. Let's suppose that number A is a Unicall number, if you bind number A with number B and number C, the additory services of number A will be copied to number B and number C, that's to say, number B and number C will have all the additory services of number A.

one-terminal-one-number fax mailbox service

A service in which when another user dials the fax extension of a registered user on a fax machine, the call is forwarded to the UMS, and then the caller sends faxes according to prompts.

one-way audio

A call fault that either the caller or callee cannot hear the voice after a call is connected.

original CDR

An unprocessed accounting request (ACR) generated initially by the system and saved in the memory of the host. Generally, the host automatically sends original CDRs to the charging NEs in real time through the internal Ethernet after the original CDRs are generated.

outgoing prefix

Used to add digits to the front of any number that is sent out to the IP.

outgoing trunk group

A outgoing trunk group used to send voices or signaling to the peer device.

Parent Topic: Glossary


P

panel

A part used to ensure proper airflow within a shelf and to ensure electromagnetic compatibility (EMC) by sealing up the slots of the shelf. It is an external part of a board and is vertically placed with the PCB. It includes the ejector lever, indicator, and port.

parts replacement

A maintenance operation of removing a faulty part or a part to be examined from a running device and then installing a new part.

password modification service

A service that allows a user to change the service password.

password-based call restriction

By using the service, a subscriber can prevent other subscribers from making outgoing calls on the phone of the subscriber. In addition, the subscriber can make outgoing calls by dialing the password.

patch

An independent software unit used for fixing the bugs in software.

PBX

See Private Branch Exchange

pbx group line selection service

A service that allows the system to select a callee from the group according to the preset selection mode when an outer-group user calls the primary number of the PBX group.

PGND

See protection ground

Plain Old Telephone Service

The basic telephone service provided through the traditional cabling such as twisted pair cables.

point-to-point multimedia communication

The communication between two multimedia terminals. The media streams are exchanged without passing the core switching layer.

polarity reversal detection

A method used to realize immediate charging. Through the polarity reversal on lines A and B when a call starts and when the call ends, the charging terminal is informed of the start point and end point of charging.

policy on office direction selection

A policy of dynamically selecting an office direction from the office directions that the peer office belongs to as the routing from the local office to the peer office. The policy can be based on time, tariff, or circulation of office direction numbers in ascending order.

power distribution box

A power box installed at the top of the cabinet through which the power enters the cabinet and is re-distributed to various components, at the mean time, the Power Distribution Box protects the electric devices from current overload.

Power Distribution Frame

Power Distribution Frame. It is a high-current power supply in the equipment room.

power up

To start up a computer; to begin a cold boot procedure; to turn on the power

power-off survival

A feature that allows part of the analog phone users to make calls by connecting to the PSTN through analog trunks in the case that the device is powered off. This feature is available when there are analog trunks connecting the unified gateway device and the PSTN.

PRA

See Primary Rate Adaptation

pra link

A type of common channel signaling link that usually occupy the 16th timeslot of an E1/T1 link. The PRA link uses the digital subscriber signaling No.1 (DSS1) signaling. The DSS1 signaling is a type of non-peer-to-peer user signaling. Before a PRA link is set up, the two ends of the link detect the network identifications (NIDs) of each other. The PRA link can be set up only when the NID of one end indicates the network side and the NID of the other end indicates the user side.

prefix

A method of summarizing a large number of addresses in a compact manner. The prefix, which would be at most the length of an address, specifies all addresses that start with the specific prefix.

PRI

See Primary Rate Interface

Primary Rate Adaptation

An interface consisting of a single 64-kbps D channel plus 23 (T1) or 30 (E1) B channels for voice or data.

Primary Rate Interface

An interface consisting of 23 channel Bs and a 64 kbit/s channel D that uses the T1 line, or consisting of 30 channel Bs and a channel D that uses the E1 line.

Private Branch Exchange

Private Branch Exchange (PBX) is a customer premise switch used to connect customer telephones to LEC central office lines (trunks) as well as switch internal calls within the customers premises, usually with software-controlled features such as call forwarding and call pickup.

privilege user service

A service that allows a registered user to forcibly converse with a user that is already in a conversation.

protection ground

A grounding point on the metal surface of the cabinet and the devices in the cabinet. It ensures sound lightning proof, electricity shockproof, and disturbance proof capabilities of the equipment.

protection ground cable

A cable which connects the equipment and the protection ground bar. Usually, one half of the cable is yellow; while the other half is green.

protocol

A formal set of conventions and rules governing the formatting and sequencing of message exchange between two communicating systems.

PSTN

See public switched telephone network

public switched telephone network

Public Switched Telephone Network. A telecommunications network established to perform telephone services for the public subscribers.

Parent Topic: Glossary


R

R2 signaling

Signaling used by the CSOFTX3000 to interwork with the PSTN exchanges that support R2 signaling only. R2 signaling enables the CSOFTX3000 to provide CAS trunks through the MGW. As the telecom network is very large in scale, it is hard to replace channel associated signaling completely with SS7 signaling in a short time span. By far, the channel associated signaling system is still used in the international telecom network and telecom networks of various countries. No. 1 signaling is a subset of the R2 signaling. R2 signaling consists of Line signaling and Register signaling. Of these two kinds of signaling, the definition varies from country to country. Line signaling is transmitted between line devices (repeaters). It is composed of line monitoring signals. It is used for monitoring the status of connection of trunks and controlling the connection. A line device cannot be shared among trunks. Instead, each trunk must have a line device. Therefore, line signaling is relatively simple to reduce costs, and the types of line signaling are few. Register signaling is transmitted between registers. It is composed of selection signals and service signals. It is used for selecting route and called party and managing the telephone network. A register is a shared device. Few registers are needed in a signaling network; therefore, a register can be a complex device for matching more kinds of signaling.

RADIUS

Remote Authentication Dial In User Service.

RBT service

See Ring Back Tone service

real-time alarm

A type of alarm that is reported by the device in real time and that is filtered.

Real-time Transport Control Protocol

Real time Transport Control Protocol (RTCP) is used to monitor data delivery. RTCP enables the receiver to detect if there is any packet loss and to compensate for any delay jitter.

Real-time Transport Protocol

A type of host-to-host protocol used in real-time multimedia services such as Voice over IP (VoIP) and video.

reboot

To start the system again. Programs or data will be reloaded to all boards.

Recording

A function that records the speech of a user into a voice file and save the file to a specific folder on the file server.

redirection number

A forwarding destination number set by a subscriber who has subscribed to the call forwarding service, that is, a number to which an incoming call to the subscriber is forwarded.

redundancy

1. It refers to the scheme to add more than one channels, elements or parts that have the same functions with the counterparts in the system or device at a critical place. When a fault occurs, the system or device can work well, and the reliability is then improved. 2. In the transmission of data, the excess of transmitted message symbols over that required to convey the essential information in a noise-free circuit. Note: Redundancy may be introduced intentionally (as in the case of error detection or correction codes)

registration

A database repository for information about a computer's configuration. The registration contains information that Windows continually references during operation, such as: profiles for each user; the programs installed on the computer and the types of documents that each can create; property settings for folders and program icons; what hardware exists on the system; which ports are being used.

Remote Authentication Dial-In User Service

A service that defines how the network access server (NAS) and RADIUS server transmits user information and charging information to each other. RADIUS uses the User Datagram Protocol (UDP) as its transmission protocol to ensure the real-time quality. RADIUS also supports the retransmission and multi-service mechanisms to ensure good reliability.

resource tracing

An operation performed to trace the resource usage of a board, for example, the CPU usage and memory usage, status of the digital signal processor (DSP) channel, and status of the E1/T1 circuit.

Restoring data

A method for retrieving lost data from damage or an improper operation.

Ring Back Tone service

An intelligent network-based service customized by the subscriber. It changes the traditional tone to colorful RBTs. After customizing the RBT service, subscribers can set the ring back tone to beautiful music, natural sounds or speech.

RJ-45

RJ-45: Short for Registered Jack-45, an eight-wire connector used commonly to connect computers onto a local-area networks (LAN), especially Ethernets. RJ-45 connectors look similar to the ubiquitous RJ-11 connectors used for connecting telephone equipment, but they are somewhat wider.

route

A route is the path that network traffic takes from its source to its destination. In a TCP/IP network, each IP packet is routed independently. Routes can change dynamically.

routine maintenance

It is a set of preventive measures taken regularly to discover and eliminate potential defects or faults of the device or system in time, and to ensure long-term safety and stability of the device or system.

RTCP

See Real-time Transport Control Protocol

RTP

See Real-time Transport Protocol

RX

It is the receiving end of the interface that signals pass through.

Parent Topic: Glossary


S

SCC

See control board

SCE

See Service Creation Environment

secretary service

A service that allows an authorized user (manager) to register any user in the office as the secretary. All the calls to the manager are forwarded to the secretary and only the secretary has the right to connect the manager.

secretary station

A system in which the attendant answers calls and handles voice service requests.

secretary station service

A service that allows a call to a registered user to be held when this user is busy. When this user becomes free, this call is connected. This service is implemented based on the call queuing function provided by the secretary station. Typically, this service is used with the secretary service.

sequential ringing service

A service that allows multiple phones to ring in sequence. For example, assume that user A sets the phone number of user B for sequential ringing. When a user calls A, if A does not answer the call within 20 seconds, the phone of A stops ringing and the phone of B rings. A user can set a maximum of two numbers for sequential ringing.

serial number

One of a set of numbers that is put on items produced in large quantities, such as computers, televisions, paper money, etc. so that each has a different number and can be recognized

serial port

An input/output location (channel) that sends and receives data to and from a computer's CPU or a communications device one bit at a time. Serial ports are used for serial data communication and as interfaces with some peripheral devices, such as mice and printers.

server

1. On a local area network, a computer running administrative software that controls access to the network and its resources, such as printers and disk drives, and provides resources to computers functioning as workstations on the network. 2. On the Internet or other network, a computer or program that responds to commands from a client. For example, a file server may contain an archive of data or program files; when a client submits a request for a file, the server transfers a copy of the file to the client.3. A network device that provides services to network users by managing shared resources, often used in the context of a client-server architecture for a LAN.

Service Creation Environment

A service generation tool that provides a graphical user interface (GUI) for programming.

service flow

The data flows such as audio, video, and fax data on the bearer network. The service flow is also called media stream.

service of number replacement on the same phone

A service that allows the caller to hear a number change announcement when the caller calls a registered user whose phone number is changed because of house movement. The call can be forwarded to the new number when the caller calls the old number. This function is optional.

Session Initiation Protocol

An application-layer control protocol that can establish, modify, and terminate sessions or calls. The sessions include multimedia conferences, Internet telephony, and similar applications. SIP supports the Name Mapping, Redirection Integrated Service, ISDN, and IN services. SIP also supports the personal mobility service, that is, end users can originate and receive calls and access subscribed telecommunications services in any location at any time. To sum up, SIP supports five signaling functions of establishing and terminating multimedia communications: User location (determining the end system to be used for communications) User capabilities (determining the media and media parameters to be used) User availability (determining the willingness of the called party to engage in communications) Call setup (sending ring back tones to the called party and establishing call parameters at both called and calling parties) Call handling and control (including redirection, transfer, and termination of calls) SIP can also initiate multi-party calls using a Super Main Control Unit (SMCU) or fully meshed interconnection instead of multicast. Internet telephony gateways that connect Public Switched Telephone Network (PSTN) parties can also use SIP to set up calls between them. SIP makes minimal assumptions about the underlying transport and network-layer protocols. The lower layer can provide either a packet or a byte stream service, with reliable or unreliable service. SIP can use User Datagram Protocol (UDP) with preferred and Transmission Control Protocol (TCP) as transport protocols, with the UDP preferred.

SG

See signaling gateway

shelf

A physical entity that consists of the sub-rack, slot, backplane, cooling device, and power supply device. Components are placed and interconnected in the shelf. The shelf protects the components against pollution and damage.

signal tone

A digital announcement played at a specific frequency and cadence ratio, and represents the specific meanings. The dial tone, busy tone, ring back tone, test code tone and mute tone are signal tones.

signaling

The exchange of information specifically concerned with the establishment and control of connections, and with management, in a telecommunications network.

signaling adaptation

A function in which a protocol is matched according to the characteristics of the signaling protocol used by a country when the devices of different countries are interconnected through signaling protocol.

signaling gateway

A network device that converts control signals from one format to another.

signaling collect

An operation performed to collect protocol messages, the connection process of a signaling link on a port, and service processes in real time. The collected messages can be stored automatically for check. The signaling collecting function provides a basis for removing faults.

Simple Mail Transfer Protocol

The TCP/IP (Transmission Control Protocol/Internet Protocol) protocol which facilitates the transfer of electronic-mail messages, specifies how two systems are to interact, and the format of messages used to control the transfer of electronic mail.

Simple Network Management Protocol

A network management protocol of TCP/IP. It enables remote users to view and modify the management information of a network element. This protocol ensures the transmission of management information between any two points. The polling mechanism is adopted to provide basic function sets. According to SNMP, agents, which can be hardware as well as software, can monitor the activities of various devices on the network and report these activities to the network console workstation. Control information about each device is maintained by a management information block.

Simple Network Time Protocol

A protocol that is adapted from the Network Time Protocol (NTP) and synchronizes the clocks of computers over the Internet.

simultaneous ringing service

A service that allows multiple phones to ring at the same time. For example, assume that user A sets the phone number of user B for simultaneous ringing. When a user calls A, the phone of user B rings at the same time. A user can set a maximum of 10 phone numbers for simultaneous ringing.

single control mode

A running mode in which a single main control board is installed in a system with the main control design.

SIP

See Session Initiation Protocol

sip phone

A multimedia terminal device that supports the SIP protocol.

sip trunk

A packet trunk. Different from a physical channel defined by a circuit relay, a SIP trunk defines a logical channel, which solves the issues about interoperability authentication and call addressing between the local office and the peer office.

sitecall

A conference mode that allows a user to define or hold a multi-site conference with a terminal. The SiteCall conference mode is provided by OpenVox ViewPoint 8000.

slot

A slot defines the position of one Board and its RTM.

SMTP

See Simple Mail Transfer Protocol

SNMP

See Simple Network Management Protocol

SNTP

See Simple Network Time Protocol

softswitch

A term that refers to a softswitch device in a narrow sense. A softswitch provides call control and connection control for real-time services. As main control of the NGN, softswitches separate the services from the call control and the call control from the bearer, and adopt the application programming interface (API) and standard protocols. This makes it easy for network carriers to develop new services and realize new features.

software reset

An operation of re-loading data and program for specified boards by running MML commands.

software terminal

A set of software running on the PC to implement voice and video communication with the help of earphones and a camera.

SS

See Supplementary Service

stacking

Stacking is a VLAN feature that allows the equipment to add two 802.1Q VLAN tags to a frame, so that the frame can be transported over the backbone network of the service provider. When the frame reaches the BRAS, the BRAS authenticates the frame based on

subnet mask

The technique used by the IP protocol to determine which network segment packets are destined for. The subnet mask is a binary pattern that is stored in the client machine, server or router and is matched with the IP address.

Supplementary Service

A service which modifies or supplements a basic telecommunication service. A supplementary service must be offered together with or in association with a basic telecommunication service. It includes: Call forwarding servicesCall barring servicesLine identification servicesCall completion servicesMultiparty serviceUnstructured supplementary service dataClosed user group service

supplementary service prefix

A prefix dialed preceding a valid phone number to subscribe to or deregister a supplementary service. Typically, a supplementary service prefix is a combination of numerals and the symbol # or *.

switchover

A process in which the active module switches over to its standby and the standby module switches to the active state. A switchover can be automatically triggered or manually performed.

Parent Topic: Glossary


T

t.30

A type of fax transfer protocol and specification defined by the ITU-T over the public switched telephony network. T.30 describes and specifies the communication process, signal format for communication, control signaling, and error correction method of the three types of fax machines over the common telephony network.

t.38

The supplementary protocol of T.30. It is used to encapsulate T.30 signals so that the signals can be transmitted over the IP network. T.38 does not provide the fax state and the IP fax process is maintained by the state machine of T.30.

TDM

Technique in which information from multiple channels can be allocated bandwidth on a single wire based on preassigned time slots. Bandwidth is allocated to each channel regardless of whether the station has data to transmit. Compare with ATDM, FDM, and statistical multiplexing.

tdm switch

A network technology that requires the connection to be set up and retained before two or more users occupy the circuit exclusively. Typically, an exchange is used to set up a physical connection between users. The switching process occurs in the second layer of the open systems interconnection (OSI) model.

Telnet

Standard terminal emulation protocol in the TCP/IP protocol stack. Telnet is used for remote terminal connection, enabling users to log in to remote systems and use resources as if they were connected to a local system. Telnet is defined in RFC 854.

terminal

A device that converts the following from the physical display to the electronic signal or from the electronic signal to the physical display: voice, sound, text, image, table, data and video. A terminal generates and sends signals (such as telecommunications circuit setup or release) that maintain the normal running state of the telecommunications network, and it receives the call signals of telecommunications switch and transmission.

TFTP

See Trivial File Transfer Protocol

three-party service

A service that allows the caller or callee in a conversation to call a third party without ending the current conversation. Then, the caller or original callee can implement a three-party conversation or converse with either of the other two parties at a time.

Three-Way Calling

A service that allows the subscriber to add a third party to an activated two-party call so that all the three parties may communicate in a three-way call. If subscriber A and subscriber B are in conversation and subscriber A (either the calling party or the called party) has registered and activated the 3WC service, subscriber A dials the number of subscriber C and presses the SEND key to call subscriber C. After subscriber A hears the ringing tone or subscriber C answers the call, subscriber A presses the SEND key to invoke the 3WC service. Thus, subscriber A, subscriber B, and subscriber C communicate in a three-way call. After the three subscribers communicate in a three-way call, if either non-controlling subscriber (subscriber B or C) disconnects the call, the other subscriber is re-connected to the controlling subscriber (subscriber A) as a normal two-party call. If the controlling subscriber disconnects the call, the other two parties are released.

TMG

See Trunk Media Gateway

Topology view

A basic component for the human-machine interface. The topology view directly displays the networking of a network as well as the alarm and communication statuses of each network element and subnet. In this manner, the topology view reflects the basic running conditions of the network.

traffic statistics

An activity of measuring, collecting, and making statistics of various data on devices and telecommunications networks. Through the collected data, operators can observe and take statistics of the running status, signaling, users, usages of system resources of the devices or networks, manage the device running, locate problems, monitor and maintain the networks, and plan the networks.

transfer out

To transfer an incoming call to a specified number.

transferring a call

A service that allows a registered user in conversation to call a third-party user by pressing the hookflash and dialing the phone number of the third-party user. Then, this registered user exits from the calls.

transparent transmission

A process during which the signaling protocol or data is not processed in the content but encapsulated in the format for the processing of the next phase.

transparently-transmitted fax

A method of transferring the fax signal in real time over the IP network after the media gateway encodes the fax signal sent by a fax in voice coding mode (G.711) and converts the fax signal to the RTP data packet.

Trivial File Transfer Protocol

A small and simple alternative to FTP for transferring files. TFTP is intended for applications that do not need complex interactions between the client and server. TFTP restricts operations to simple file transfers and does not provide authentication. TFTP is small enough to be contained in ROM to be used for bootstrapping diskless machines.

trunk

Physical communications line between two offices. It transports media signals such as speech, data and video signals.

trunk circuit

An element that constitutes a trunk group. A trunk circuit is a TDM circuit and relates to an E1/T1 timeslot.

trunk group

An element that constitutes a sub-route. The group is formed by a cluster of circuits of the same type under TDM bearer. Generally, trunk circuits of the same office direction and circuit type are identified as a trunk group.

trunk line

A transmission channel between two switching centers or nodes. It is used to connect the exchange to the network.

trunk line selection

Circuit line selection function that is used when the local office originates outgoing trunk calls.

Trunk Media Gateway

The interface between the traditional telephone network and the IP packet network. It converts the PCM signal stream and packet media stream into each other.

TX

It is the transmitting end of the interface that signals pass through.

Parent Topic: Glossary


U

UA

See User Agent

UMS

See Unified Message System

unified communications

A service that is not limited by the device and network-centered communication method (for example, email, instant short message, telephone, and multimedia conference) and uses advanced technologies to enable users to communicate with their colleagues, customers, and cooperation partners conveniently and effectively by using the common communication tools and applications.

Unified Message System

A system that stores and manages messages from different sources, such as voice messages and fax messages, in a unified manner. The user can send and receive messages with any type of communications device, such as a phone, a fax machine, a mobile phone, or a PC anytime at any place.

Universal Serial Bus

A serial bus standard to interface devices. It was designed for computers such as PCs and the Apple Macintosh, but its popularity has prompted it to also become commonplace on video game consoles and PDAs.

USB

See Universal Serial Bus

User Agent

Any software or device that interprets resources. This may include textual browsers, voice browsers, search engines, etc.

Parent Topic: Glossary


V

videotelephony

Videotelephony allows you to see the other caller or the background during a video call, with the help of the camera in the other caller's handset. Videotelephony is only available on the 3G network.

view mode

A CLI command operation mode under which the user can run the show command and common CLI commands, such as clear, help, list, and exit.

Virtual Local Area Network

An end-to-end logical network that can travel through several network segments or networks by using the network management software based on the switch LAN. The IEEE 802.1Q is the main standard for the virtual LAN.

Virtual User

A virtual user provided by the unified gatewaysystem. The VU function helps to play personalized announcements for the automatic operator service and call conference service.

VLAN

See Virtual Local Area Network

Voice over IP

An IP telephony term for a set of facilities used to manage the delivery of voice information over the Internet. VoIP involves sending voice information in a digital form in discrete packets rather than by using the traditional circuit-committed protocols of the public switched telephone network (PSTN).

VoIP

See Voice over IP

VU

See Virtual User

Parent Topic: Glossary


W

warning alarm

An alarm severity that indicates a condition exists that could potentially cause a problem with the resource.

Parent Topic: Glossary